%--------------------------------------------------------------------------
% File     : GEO004-0 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Axioms   : Substitution axioms for simple curve axioms 
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   :
% Syntax   : Number of clauses    :   15 (   0 non-Horn;   0 unit;  13 RR)
%            Number of literals   :   43 (  17 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   46 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO004+0.eq 
%--------------------------------------------------------------------------
input_clause(sum_substitution_1_1,axiom,
    [--equal(A,B),
     ++equal(sum(A,C),sum(B,C))]).

input_clause(sum_substitution_2_2,axiom,
    [--equal(A,B),
     ++equal(sum(C,A),sum(C,B))]).

input_clause(closed_substitution_1_3,axiom,
    [--equal(A,B),
     --closed(A),
     ++closed(B)]).

input_clause(end_point_substitution_1_4,axiom,
    [--equal(A,B),
     --end_point(A,C),
     ++end_point(B,C)]).

input_clause(end_point_substitution_2_5,axiom,
    [--equal(A,B),
     --end_point(C,A),
     ++end_point(C,B)]).

input_clause(incident_c_substitution_1_6,axiom,
    [--equal(A,B),
     --incident_c(A,C),
     ++incident_c(B,C)]).

input_clause(incident_c_substitution_2_7,axiom,
    [--equal(A,B),
     --incident_c(C,A),
     ++incident_c(C,B)]).

input_clause(inner_point_substitution_1_8,axiom,
    [--equal(A,B),
     --inner_point(A,C),
     ++inner_point(B,C)]).

input_clause(inner_point_substitution_2_9,axiom,
    [--equal(A,B),
     --inner_point(C,A),
     ++inner_point(C,B)]).

input_clause(meet_substitution_1_10,axiom,
    [--equal(A,B),
     --meet(A,C,D),
     ++meet(B,C,D)]).

input_clause(meet_substitution_2_11,axiom,
    [--equal(A,B),
     --meet(C,A,D),
     ++meet(C,B,D)]).

input_clause(meet_substitution_3_12,axiom,
    [--equal(A,B),
     --meet(C,D,A),
     ++meet(C,D,B)]).

input_clause(open_substitution_1_13,axiom,
    [--equal(A,B),
     --open(A),
     ++open(B)]).

input_clause(part_of_substitution_1_14,axiom,
    [--equal(A,B),
     --part_of(A,C),
     ++part_of(B,C)]).

input_clause(part_of_substitution_2_15,axiom,
    [--equal(A,B),
     --part_of(C,A),
     ++part_of(C,B)]).
%--------------------------------------------------------------------------
