%--------------------------------------------------------------------------
% File     : GEO004-3 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Axioms   : Substitution axioms for trajectories
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    :

% Status   :
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   0 unit;   5 RR)
%            Number of literals   :   22 (  14 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    3 (   0 constant; 1-2 arity)
%            Number of variables  :   28 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO004+3.eq 
%--------------------------------------------------------------------------
input_clause(at_substitution_1_1,axiom,
    [--equal(A,B),
     ++equal(at(A,C),at(B,C))]).

input_clause(at_substitution_2_2,axiom,
    [--equal(A,B),
     ++equal(at(C,A),at(C,B))]).

input_clause(at_the_same_time_substitution_1_3,axiom,
    [--equal(A,B),
     ++equal(at_the_same_time(A,C),at_the_same_time(B,C))]).

input_clause(at_the_same_time_substitution_2_4,axiom,
    [--equal(A,B),
     ++equal(at_the_same_time(C,A),at_the_same_time(C,B))]).

input_clause(connect_substitution_1_5,axiom,
    [--equal(A,B),
     --connect(A,C,D),
     ++connect(B,C,D)]).

input_clause(connect_substitution_2_6,axiom,
    [--equal(A,B),
     --connect(C,A,D),
     ++connect(C,B,D)]).

input_clause(connect_substitution_3_7,axiom,
    [--equal(A,B),
     --connect(C,D,A),
     ++connect(C,D,B)]).

input_clause(trajectory_of_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(trajectory_of(A),trajectory_of(B))]).

input_clause(once_substitution_1_9,axiom,
    [--equal(A,B),
     --once(A),
     ++once(B)]).
%--------------------------------------------------------------------------
