%--------------------------------------------------------------------------
% File     : HWV004-0 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Hardware Verification
% Axioms   : Substitution axioms from a VHDL design description
% Version  : [Mar02] axioms.
%            Axiom formulation : Different VHDL -> FO-logic translator
% English  : 

% Refs     : [Mar02] Martensson (2002), Email to G. Sutcliffe
% Source   : [Mar02]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :   63 (   0 non-Horn;   0 unit;  24 RR)
%            Number of literals   :  131 ( 121 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :   38 (   0 constant; 1-3 arity)
%            Number of variables  :  172 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(f_ADD__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f_ADD_(A,C),f_ADD_(B,C))]).

input_clause(f_ADD__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f_ADD_(C,A),f_ADD_(C,B))]).

input_clause(f_SUB__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f_SUB_(A,C),f_SUB_(B,C))]).

input_clause(f_SUB__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f_SUB_(C,A),f_SUB_(C,B))]).

input_clause(f__and__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__and_(A,C),f__and_(B,C))]).

input_clause(f__and__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__and_(C,A),f__and_(C,B))]).

input_clause(f__concat__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__concat_(A,C),f__concat_(B,C))]).

input_clause(f__concat__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__concat_(C,A),f__concat_(C,B))]).

input_clause(f__cons__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__cons_(A,C),f__cons_(B,C))]).

input_clause(f__cons__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__cons_(C,A),f__cons_(C,B))]).

input_clause(f__equal__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__equal_(A,C),f__equal_(B,C))]).

input_clause(f__equal__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__equal_(C,A),f__equal_(C,B))]).

input_clause(f__equiv__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__equiv_(A,C),f__equiv_(B,C))]).

input_clause(f__equiv__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__equiv_(C,A),f__equiv_(C,B))]).

input_clause(f__geq__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__geq_(A,C),f__geq_(B,C))]).

input_clause(f__geq__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__geq_(C,A),f__geq_(C,B))]).

input_clause(f__gt__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__gt_(A,C),f__gt_(B,C))]).

input_clause(f__gt__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__gt_(C,A),f__gt_(C,B))]).

input_clause(f__index__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__index_(A,C),f__index_(B,C))]).

input_clause(f__index__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__index_(C,A),f__index_(C,B))]).

input_clause(f__length__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__length_(A),f__length_(B))]).

input_clause(f__leq__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__leq_(A,C),f__leq_(B,C))]).

input_clause(f__leq__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__leq_(C,A),f__leq_(C,B))]).

input_clause(f__lt__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__lt_(A,C),f__lt_(B,C))]).

input_clause(f__lt__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__lt_(C,A),f__lt_(C,B))]).

input_clause(f__nand__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__nand_(A,C),f__nand_(B,C))]).

input_clause(f__nand__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__nand_(C,A),f__nand_(C,B))]).

input_clause(f__nor__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__nor_(A,C),f__nor_(B,C))]).

input_clause(f__nor__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__nor_(C,A),f__nor_(C,B))]).

input_clause(f__not__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__not_(A),f__not_(B))]).

input_clause(f__or__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__or_(A,C),f__or_(B,C))]).

input_clause(f__or__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__or_(C,A),f__or_(C,B))]).

input_clause(f__others__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__others_(A),f__others_(B))]).

input_clause(f__slice__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__slice_(A,C,D),f__slice_(B,C,D))]).

input_clause(f__slice__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__slice_(C,A,D),f__slice_(C,B,D))]).

input_clause(f__slice__substitution_3,axiom,
    [--equal(A,B),
     ++equal(f__slice_(C,D,A),f__slice_(C,D,B))]).

input_clause(f__xnor__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__xnor_(A,C),f__xnor_(B,C))]).

input_clause(f__xnor__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__xnor_(C,A),f__xnor_(C,B))]).

input_clause(f__xor__substitution_1,axiom,
    [--equal(A,B),
     ++equal(f__xor_(A,C),f__xor_(B,C))]).

input_clause(f__xor__substitution_2,axiom,
    [--equal(A,B),
     ++equal(f__xor_(C,A),f__xor_(C,B))]).

input_clause(fstd_DOTstandard_DOTmod__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fstd_DOTstandard_DOTmod_(A,C),fstd_DOTstandard_DOTmod_(B,C))]).

input_clause(fstd_DOTstandard_DOTmod__substitution_2,axiom,
    [--equal(A,B),
     ++equal(fstd_DOTstandard_DOTmod_(C,A),fstd_DOTstandard_DOTmod_(C,B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTdata__in__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTdata__in_(A),
fwork_DOTfifo_DOTrtl_DOTdata__in_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTdata__out__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTdata__out_(A),
fwork_DOTfifo_DOTrtl_DOTdata__out_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTempty__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTempty_(A),
fwork_DOTfifo_DOTrtl_DOTempty_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTfull__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTfull_(A),
fwork_DOTfifo_DOTrtl_DOTfull_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTint__level__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTint__level_(A),
fwork_DOTfifo_DOTrtl_DOTint__level_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTlevel__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTlevel_(A),
fwork_DOTfifo_DOTrtl_DOTlevel_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTmem__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTmem_(A),
fwork_DOTfifo_DOTrtl_DOTmem_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTrd__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTrd_(A),fwork_DOTfifo_DOTrtl_DOTrd_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTrd__error__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTrd__error_(A),
fwork_DOTfifo_DOTrtl_DOTrd__error_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTrd__level__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTrd__level_(A),
fwork_DOTfifo_DOTrtl_DOTrd__level_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTreset__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTreset_(A),
fwork_DOTfifo_DOTrtl_DOTreset_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTwr__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTwr_(A),fwork_DOTfifo_DOTrtl_DOTwr_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTwr__error__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTwr__error_(A),
fwork_DOTfifo_DOTrtl_DOTwr__error_(B))]).

input_clause(fwork_DOTfifo_DOTrtl_DOTwr__level__substitution_1,axiom,
    [--equal(A,B),
     ++equal(fwork_DOTfifo_DOTrtl_DOTwr__level_(A),
fwork_DOTfifo_DOTrtl_DOTwr__level_(B))]).

input_clause(length_substitution_1,axiom,
    [--equal(A,B),
     ++equal(length(A),length(B))]).

input_clause(y_105_substitution_1,axiom,
    [--equal(A,B),
     ++equal(y_105(A),y_105(B))]).

input_clause(def_89_substitution_1,axiom,
    [--equal(A,B),
     --def_89(A,C),
     ++def_89(B,C)]).

input_clause(def_89_substitution_2,axiom,
    [--equal(A,B),
     --def_89(C,A),
     ++def_89(C,B)]).

input_clause(p_LES_EQU__substitution_1,axiom,
    [--equal(A,B),
     --p_LES_EQU_(A,C),
     ++p_LES_EQU_(B,C)]).

input_clause(p_LES_EQU__substitution_2,axiom,
    [--equal(A,B),
     --p_LES_EQU_(C,A),
     ++p_LES_EQU_(C,B)]).

input_clause(p__pred__substitution_1,axiom,
    [--equal(A,B),
     --p__pred_(A),
     ++p__pred_(B)]).
%--------------------------------------------------------------------------
