%--------------------------------------------------------------------------
% File     : SWC001+0 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Axioms   : Substitution axioms for list specification
% Version  : [Wei00] axioms.
% English  : 

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
% Source   : [TPTP]
% Names    : 

% Status   : 
% Syntax   : Number of formulae    :   34 (   0 unit)
%            Number of atoms       :   96 (  40 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   62 (   0 ~  ;   0  |;  28  &)
%                                         (   0 <=>;  34 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   0 constant; 1-2 arity)
%            Number of variables   :   90 (   0 singleton;  90 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(app_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(app(A,C),app(B,C)) )   )).

input_formula(app_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(app(C,A),app(C,B)) )   )).

input_formula(cons_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(cons(A,C),cons(B,C)) )   )).

input_formula(cons_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(cons(C,A),cons(C,B)) )   )).

input_formula(hd_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(hd(A),hd(B)) )   )).

input_formula(tl_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(tl(A),tl(B)) )   )).

input_formula(cyclefreeP_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & cyclefreeP(A) )
     => cyclefreeP(B) )   )).

input_formula(duplicatefreeP_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & duplicatefreeP(A) )
     => duplicatefreeP(B) )   )).

input_formula(equalelemsP_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & equalelemsP(A) )
     => equalelemsP(B) )   )).

input_formula(frontsegP_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & frontsegP(A,C) )
     => frontsegP(B,C) )   )).

input_formula(frontsegP_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & frontsegP(C,A) )
     => frontsegP(C,B) )   )).

input_formula(geq_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & geq(A,C) )
     => geq(B,C) )   )).

input_formula(geq_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & geq(C,A) )
     => geq(C,B) )   )).

input_formula(gt_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & gt(A,C) )
     => gt(B,C) )   )).

input_formula(gt_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & gt(C,A) )
     => gt(C,B) )   )).

input_formula(leq_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & leq(A,C) )
     => leq(B,C) )   )).

input_formula(leq_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & leq(C,A) )
     => leq(C,B) )   )).

input_formula(lt_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & lt(A,C) )
     => lt(B,C) )   )).

input_formula(lt_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & lt(C,A) )
     => lt(C,B) )   )).

input_formula(memberP_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & memberP(A,C) )
     => memberP(B,C) )   )).

input_formula(memberP_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & memberP(C,A) )
     => memberP(C,B) )   )).

input_formula(neq_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & neq(A,C) )
     => neq(B,C) )   )).

input_formula(neq_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & neq(C,A) )
     => neq(C,B) )   )).

input_formula(rearsegP_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & rearsegP(A,C) )
     => rearsegP(B,C) )   )).

input_formula(rearsegP_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & rearsegP(C,A) )
     => rearsegP(C,B) )   )).

input_formula(segmentP_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & segmentP(A,C) )
     => segmentP(B,C) )   )).

input_formula(segmentP_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & segmentP(C,A) )
     => segmentP(C,B) )   )).

input_formula(singletonP_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & singletonP(A) )
     => singletonP(B) )   )).

input_formula(ssItem_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & ssItem(A) )
     => ssItem(B) )   )).

input_formula(ssList_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & ssList(A) )
     => ssList(B) )   )).

input_formula(strictorderP_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & strictorderP(A) )
     => strictorderP(B) )   )).

input_formula(strictorderedP_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & strictorderedP(A) )
     => strictorderedP(B) )   )).

input_formula(totalorderP_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & totalorderP(A) )
     => totalorderP(B) )   )).

input_formula(totalorderedP_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & totalorderedP(A) )
     => totalorderedP(B) )   )).
%--------------------------------------------------------------------------
