%--------------------------------------------------------------------------
% File     : SWC001-0 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Axioms   : Substitution axioms for list specification
% Version  : [Wei00] axioms.
% English  : 

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
% Source   : [TPTP]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :   34 (   0 non-Horn;   0 unit;  30 RR)
%            Number of literals   :   96 (  40 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :    4 (   0 constant; 1-2 arity)
%            Number of variables  :   90 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter SWC001+0.eq 
%--------------------------------------------------------------------------
input_clause(app_substitution_1,axiom,
    [--equal(A,B),
     ++equal(app(A,C),app(B,C))]).

input_clause(app_substitution_2,axiom,
    [--equal(A,B),
     ++equal(app(C,A),app(C,B))]).

input_clause(cons_substitution_1,axiom,
    [--equal(A,B),
     ++equal(cons(A,C),cons(B,C))]).

input_clause(cons_substitution_2,axiom,
    [--equal(A,B),
     ++equal(cons(C,A),cons(C,B))]).

input_clause(hd_substitution_1,axiom,
    [--equal(A,B),
     ++equal(hd(A),hd(B))]).

input_clause(tl_substitution_1,axiom,
    [--equal(A,B),
     ++equal(tl(A),tl(B))]).

input_clause(cyclefreeP_substitution_1,axiom,
    [--equal(A,B),
     --cyclefreeP(A),
     ++cyclefreeP(B)]).

input_clause(duplicatefreeP_substitution_1,axiom,
    [--equal(A,B),
     --duplicatefreeP(A),
     ++duplicatefreeP(B)]).

input_clause(equalelemsP_substitution_1,axiom,
    [--equal(A,B),
     --equalelemsP(A),
     ++equalelemsP(B)]).

input_clause(frontsegP_substitution_1,axiom,
    [--equal(A,B),
     --frontsegP(A,C),
     ++frontsegP(B,C)]).

input_clause(frontsegP_substitution_2,axiom,
    [--equal(A,B),
     --frontsegP(C,A),
     ++frontsegP(C,B)]).

input_clause(geq_substitution_1,axiom,
    [--equal(A,B),
     --geq(A,C),
     ++geq(B,C)]).

input_clause(geq_substitution_2,axiom,
    [--equal(A,B),
     --geq(C,A),
     ++geq(C,B)]).

input_clause(gt_substitution_1,axiom,
    [--equal(A,B),
     --gt(A,C),
     ++gt(B,C)]).

input_clause(gt_substitution_2,axiom,
    [--equal(A,B),
     --gt(C,A),
     ++gt(C,B)]).

input_clause(leq_substitution_1,axiom,
    [--equal(A,B),
     --leq(A,C),
     ++leq(B,C)]).

input_clause(leq_substitution_2,axiom,
    [--equal(A,B),
     --leq(C,A),
     ++leq(C,B)]).

input_clause(lt_substitution_1,axiom,
    [--equal(A,B),
     --lt(A,C),
     ++lt(B,C)]).

input_clause(lt_substitution_2,axiom,
    [--equal(A,B),
     --lt(C,A),
     ++lt(C,B)]).

input_clause(memberP_substitution_1,axiom,
    [--equal(A,B),
     --memberP(A,C),
     ++memberP(B,C)]).

input_clause(memberP_substitution_2,axiom,
    [--equal(A,B),
     --memberP(C,A),
     ++memberP(C,B)]).

input_clause(neq_substitution_1,axiom,
    [--equal(A,B),
     --neq(A,C),
     ++neq(B,C)]).

input_clause(neq_substitution_2,axiom,
    [--equal(A,B),
     --neq(C,A),
     ++neq(C,B)]).

input_clause(rearsegP_substitution_1,axiom,
    [--equal(A,B),
     --rearsegP(A,C),
     ++rearsegP(B,C)]).

input_clause(rearsegP_substitution_2,axiom,
    [--equal(A,B),
     --rearsegP(C,A),
     ++rearsegP(C,B)]).

input_clause(segmentP_substitution_1,axiom,
    [--equal(A,B),
     --segmentP(A,C),
     ++segmentP(B,C)]).

input_clause(segmentP_substitution_2,axiom,
    [--equal(A,B),
     --segmentP(C,A),
     ++segmentP(C,B)]).

input_clause(singletonP_substitution_1,axiom,
    [--equal(A,B),
     --singletonP(A),
     ++singletonP(B)]).

input_clause(ssItem_substitution_1,axiom,
    [--equal(A,B),
     --ssItem(A),
     ++ssItem(B)]).

input_clause(ssList_substitution_1,axiom,
    [--equal(A,B),
     --ssList(A),
     ++ssList(B)]).

input_clause(strictorderP_substitution_1,axiom,
    [--equal(A,B),
     --strictorderP(A),
     ++strictorderP(B)]).

input_clause(strictorderedP_substitution_1,axiom,
    [--equal(A,B),
     --strictorderedP(A),
     ++strictorderedP(B)]).

input_clause(totalorderP_substitution_1,axiom,
    [--equal(A,B),
     --totalorderP(A),
     ++totalorderP(B)]).

input_clause(totalorderedP_substitution_1,axiom,
    [--equal(A,B),
     --totalorderedP(A),
     ++totalorderedP(B)]).
%--------------------------------------------------------------------------
