%--------------------------------------------------------------------------
% File     : ALG010-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : General Algebra (Quasivarieties)
% Problem  : Prove J follows from HBCK
% Version  : [EF+02] axioms.
% English  : Axioms for the quasivariety HBCK are given below. Show that 
%            equation J follows.

% Refs     : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Equ
%          : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : hbck [EF+02]

% Status   : unsatisfiable
% Rating   : 1.00 v2.5.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   8 unit;   4 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   26 (   1 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : This result has been known for some time by a model-theoretic
%            argument. The first  1storder proof was found by Veroff in 2002.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----M3
input_clause(m3,axiom,
    [++equal(multiply(A,one),one)]).   

%----M4
input_clause(m4,axiom,
    [++equal(multiply(one,A),A)]).   

%----M5
input_clause(m5,axiom,
    [++equal(multiply(multiply(A,B),multiply(multiply(C,A),multiply(C,B))),
one)]).   

%----M7
input_clause(m7,axiom,
    [--equal(multiply(A,B),one),
     --equal(multiply(B,A),one),
     ++equal(A,B)]).   

%----M8
input_clause(m8,axiom,
    [++equal(multiply(A,A),one)]).   

%----M9
input_clause(m9,axiom,
    [++equal(multiply(A,multiply(B,C)),multiply(B,multiply(A,C)))]).   

%----H
input_clause(h,axiom,
    [++equal(multiply(multiply(A,B),multiply(A,C)),multiply(multiply(B,A),
multiply(B,C)))]).   

%----Denial of J
input_clause(prove_j,conjecture,
    [--equal(multiply(multiply(multiply(multiply(a,b),b),a),a),
multiply(multiply(multiply(multiply(b,a),a),b),b))]).   
%--------------------------------------------------------------------------
