%--------------------------------------------------------------------------
% File     : BOO002-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Boolean Algebra (Ternary)
% Problem  : In B3 algebra, X * X^-1 * Y = Y
% Version  : [OTTER] (equality) axioms : Reduced > Incomplete.
% English  : 

% Refs     : [LO85]  Lusk & Overbeek (1985), Reasoning about Equality
%          : [Ove90] Overbeek (1990), ATP competition announced at CADE-10
%          : [Ove93] Overbeek (1993), The CADE-11 Competitions: A Personal 
%          : [LM93]  Lusk & McCune (1993), Uniform Strategies: The CADE-11 
%          : [Zha93] Zhang (1993), Automated Proofs of Equality Problems in
% Source   : [Ove90]
% Names    : Problem 5 [LO85]
%          : CADE-11 Competition Eq-3 [Ove90]
%          : THEOREM EQ-3 [LM93]
%          : PROBLEM 3 [Zha93]

% Status   : unsatisfiable
% Rating   : 0.09 v2.6.0, 0.00 v2.2.1, 0.33 v2.2.0, 0.43 v2.1.0, 0.38 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-3 arity)
%            Number of variables  :   31 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Don't include ternary Boolean algebra axioms, as one is omitted 
% include('axioms/BOO001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitutivity1,axiom,
    [--equal(C,D),
     ++equal(multiply(C,E,F),multiply(D,E,F))]).

input_clause(multiply_substitutivity2,axiom,
    [--equal(G,H),
     ++equal(multiply(I,G,J),multiply(I,H,J))]).

input_clause(multiply_substitutivity3,axiom,
    [--equal(K,L),
     ++equal(multiply(M,N,K),multiply(M,N,L))]).

input_clause(associativity,axiom,
    [++equal(multiply(multiply(V,W,X),Y,multiply(V,W,Z)),
multiply(V,W,multiply(X,Y,Z)))]).

input_clause(ternary_multiply_1,axiom,
    [++equal(multiply(Y,X,X),X)]).

input_clause(ternary_multiply_2,axiom,
    [++equal(multiply(X,X,Y),X)]).

input_clause(left_inverse,axiom,
    [++equal(multiply(inverse(Y),Y,X),X)]).

%----This axiom is omitted 
% input_clause(right_inverse,axiom,
%     [++equal(multiply(X,Y,inverse(Y)),X)]).

input_clause(prove_equation,conjecture,
    [--equal(multiply(a,inverse(a),b),b)]).
%--------------------------------------------------------------------------
