%--------------------------------------------------------------------------
% File     : BOO013-3 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : The inverse of X is unique
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : B9 [MOW76]
%          : prob9.ver1 [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   42 (   0 non-Horn;  17 unit;  26 RR)
%            Number of literals   :  100 (  26 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :  127 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Inverse is an involution is added as a lemma.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(inverse_is_an_involution,axiom,
    [++equal(inverse(inverse(X)),X)]).

input_clause(sum_to_multiplicative_identity1,conjecture,
    [++sum(x,y,multiplicative_identity)]).

input_clause(sum_to_multiplicative_identity2,conjecture,
    [++sum(x,z,multiplicative_identity)]).

input_clause(product_to_additive_identity1,conjecture,
    [++product(x,y,additive_identity)]).

input_clause(product_to_additive_identity2,conjecture,
    [++product(x,z,additive_identity)]).

input_clause(prove_both_inverse_are_equal,conjecture,
    [--equal(y,z)]).
%--------------------------------------------------------------------------
