%--------------------------------------------------------------------------
% File     : BOO014-3 : TPTP v2.6.0. Bugfixed v2.2.0.
% Domain   : Boolean Algebra
% Problem  : DeMorgan for inverse and product (X+Y)^-1 = (X^-1) * (Y^-1)
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : B10 [MOW76]
%          : prob.10.ver1 [ANL]

% Status   : unsatisfiable
% Rating   : 0.17 v2.6.0, 0.57 v2.5.0, 0.40 v2.4.0, 0.33 v2.3.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   41 (   0 non-Horn;  15 unit;  25 RR)
%            Number of literals   :  103 (  27 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :  130 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.2.0 - Clause x_plus_y fixed.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(inverse_is_self_cancelling,axiom,
    [++equal(inverse(inverse(X)),X)]).

input_clause(inverse_is_unique,axiom,
    [--sum(X,Y,multiplicative_identity),
     --sum(X,Z,multiplicative_identity),
     --product(X,Y,additive_identity),
     --product(X,Z,additive_identity),
     ++equal(Y,Z)]).

input_clause(x_plus_y,hypothesis,
    [++sum(x,y,x_plus_y)]).

input_clause(x_inverse_times_y_inverse,hypothesis,
    [++product(inverse(x),inverse(y),x_inverse_times_y_inverse)]).

input_clause(prove_equation,conjecture,
    [--equal(inverse(x_plus_y),x_inverse_times_y_inverse)]).
%--------------------------------------------------------------------------
