%--------------------------------------------------------------------------
% File     : BOO025-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : Half of Padmanabhan's 6-basis with Pixley, part 3.
% Version  : [MP96] (equality) axioms : Especial.
% English  : Part 3 (of 3) of the proof that half of Padmanaban's self-dual
%            independent 6-basis for Boolean Algebra, together with a Pixley
%            polynomial, is a basis for Boolean algebra.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : DUAL-BA-2-c [MP96]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1
% Syntax   : Number of clauses    :   19 (   0 non-Horn;   9 unit;   4 RR)
%            Number of literals   :   30 (  30 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-3 arity)
%            Number of variables  :   47 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

input_clause(pixley_substitution_1,axiom,
    [--equal(A,B),
     ++equal(pixley(A,C,D),pixley(B,C,D))]).

input_clause(pixley_substitution_2,axiom,
    [--equal(A,B),
     ++equal(pixley(C,A,D),pixley(C,B,D))]).

input_clause(pixley_substitution_3,axiom,
    [--equal(A,B),
     ++equal(pixley(C,D,A),pixley(C,D,B))]).

%----Half of Padmanabhan's self-dual independent 6-basis for Boolean Algebra:
input_clause(multiply_add,axiom,
    [++equal(multiply(add(X,Y),Y),Y)]).

input_clause(multiply_add_property,axiom,
    [++equal(multiply(X,add(Y,Z)),add(multiply(Y,X),multiply(Z,X)))]).

input_clause(additive_inverse,axiom,
    [++equal(add(X,inverse(X)),1)]).

%----pixley(X,Y,Z) is a Pixley polynomial:
input_clause(pixley_defn,axiom,
    [++equal(pixley(X,Y,Z),add(multiply(X,inverse(Y)),
add(multiply(X,Z),multiply(inverse(Y),Z))))]).

input_clause(pixley1,axiom,
    [++equal(pixley(X,X,Y),Y)]).

input_clause(pixley2,axiom,
    [++equal(pixley(X,Y,Y),X)]).

input_clause(pixley3,axiom,
    [++equal(pixley(X,Y,X),X)]).

%----Denial of conclusion:
input_clause(prove_equal_identity,conjecture,
    [--equal(multiply(b,inverse(b)),multiply(a,inverse(a)))]).
%--------------------------------------------------------------------------
