%--------------------------------------------------------------------------
% File     : BOO027-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : Independence of self-dual 2-basis.
% Version  : [MP96] (eqiality) axioms : Especial.
% English  : Show that half of the self-dual 2-basis in DUAL-BA-3 is not
%            a basis for Boolean Algebra.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : DUAL-BA-4 [MP96]

% Status   : satisfiable
% Rating   : 0.00 v2.2.1
% Syntax   : Number of clauses    :   14 (   0 non-Horn;   7 unit;   4 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   30 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : There is a 2-element model.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Two properties of Boolean algebra:
input_clause(multiply_add_property,axiom,
    [++equal(multiply(X,add(Y,Z)),add(multiply(Y,X),multiply(Z,X)))]).

input_clause(additive_inverse,axiom,
    [++equal(add(X,inverse(X)),one)]).

%----Pixley properties:
input_clause(pixley1,axiom,
    [++equal(add(multiply(X,inverse(X)),add(multiply(X,Y),
multiply(inverse(X),Y))),Y)]).

input_clause(pixley2,axiom,
    [++equal(add(multiply(X,inverse(Y)),add(multiply(X,Y),
multiply(inverse(Y),Y))),X)]).

input_clause(pixley3,axiom,
    [++equal(add(multiply(X,inverse(Y)),add(multiply(X,X),
multiply(inverse(Y),X))),X)]).

%----Denial of a property of Boolean Algebra:
input_clause(prove_idempotence,conjecture,
    [--equal(add(a,a),a)]).
%--------------------------------------------------------------------------
