%--------------------------------------------------------------------------
% File     : BOO031-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : Dual BA 3-basis, proof of distributivity.
% Version  : [MP96] (equality) axioms : Especial.
% English  : This is part of a proof of the existence of a self-dual
%            3-basis for Boolean algebra by majority reduction.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : DUAL-BA-8-a [MP96]

% Status   : unsatisfiable
% Rating   : 0.09 v2.6.0, 0.17 v2.5.0, 0.00 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  13 unit;   4 RR)
%            Number of literals   :   28 (  28 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   47 (   8 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Self-dual distributivity:
input_clause(distributivity,axiom,
    [++equal(add(multiply(X,Y),add(multiply(Y,Z),multiply(Z,X))),
multiply(add(X,Y),multiply(add(Y,Z),add(Z,X))))]).

%----3 properties of Boolean algebra and the corresponding duals.
input_clause(l1,axiom,
    [++equal(add(X,multiply(Y,multiply(X,Z))),X)]).

input_clause(l3,axiom,
    [++equal(add(add(multiply(X,Y),multiply(Y,Z)),Y),Y)]).

input_clause(property3,axiom,
    [++equal(multiply(add(X,inverse(X)),Y),Y)]).

input_clause(l2,axiom,
    [++equal(multiply(X,add(Y,add(X,Z))),X)]).

input_clause(l4,axiom,
    [++equal(multiply(multiply(add(X,Y),add(Y,Z)),Y),Y)]).

input_clause(property3_dual,axiom,
    [++equal(add(multiply(X,inverse(X)),Y),Y)]).

%----Existence of 0 and 1.
input_clause(additive_inverse,axiom,
    [++equal(add(X,inverse(X)),1)]).

input_clause(multiplicative_inverse,axiom,
    [++equal(multiply(X,inverse(X)),0)]).

%----Associativity of the 2 operations.
input_clause(associativity_of_add,axiom,
    [++equal(add(add(X,Y),Z),add(X,add(Y,Z)))]).

input_clause(associativity_of_multiply,axiom,
    [++equal(multiply(multiply(X,Y),Z),multiply(X,multiply(Y,Z)))]).

%----Denial of conclusion:
input_clause(prove_multiply_add_property,conjecture,
    [--equal(multiply(a,add(b,c)),add(multiply(b,a),multiply(c,a)))]).
%--------------------------------------------------------------------------
