%--------------------------------------------------------------------------
% File     : BOO051-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Boolean Algebra
% Problem  : Single axiom C12 for Boolean algebra in the Sheffer stroke
% Version  : [EF+02] axioms.
% English  : 

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
%          : [MV+02] McCune et al. (2002), Short Single Axioms for Boolean
% Source   : [EF+02]
% Names    : sheffer-cstar [EF+02]

% Status   : open
% Rating   : 1.00 v2.5.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   2 unit;   3 RR)
%            Number of literals   :   13 (  13 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   15 (   1 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(nand_substitution_1,axiom,
    [--equal(A,B),
     ++equal(nand(A,C),nand(B,C))]).
     
input_clause(nand_substitution_2,axiom,
    [--equal(A,B),
     ++equal(nand(C,A),nand(C,B))]).

%----C12
input_clause(c12,axiom,
    [++equal(nand(nand(nand(A,nand(A,B)),A),nand(B,nand(A,C))),B)]).
   
%----Denial of Meredith 2-basis
input_clause(prove_meredith_2_basis,conjecture,
    [--equal(nand(nand(a,a),nand(b,a)),a),
     --equal(nand(a,nand(b,nand(a,c))),nand(nand(nand(c,b),b),a))]).
%--------------------------------------------------------------------------
