%--------------------------------------------------------------------------
% File     : CAT002-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y monomorphisms, XY well-defined => XY monomorphism
% Version  : [Qua89] (equality) axioms.
% English  : If x and y are monomorphisms and xy is well-defined then 
%            xy is a monomorphism.

% Refs     : [Qua89] Quaife (1989), Email to L. Wos
% Source   : [ANL]
% Names    : p2.ver2.in [ANL]

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.43 v2.5.0, 0.33 v2.3.0, 0.00 v2.2.1, 0.25 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  10 unit;  14 RR)
%            Number of literals   :   40 (  40 equality)
%            Maximal clause size  :    5 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   33 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
input_clause(codomain_of_a_equals_domain_of_b,hypothesis,
    [++equal(codomain(a),domain(b))]).

input_clause(monomorphism1,hypothesis,
    [--equal(codomain(X),domain(a)),
     --equal(compose(X,a),Y),
     --equal(codomain(Z),domain(b)),
     --equal(compose(Z,a),Y),
     ++equal(X,Z)]).

input_clause(monomorphism2,hypothesis,
    [--equal(codomain(X),domain(a)),
     --equal(compose(X,b),Y),
     --equal(codomain(Z),domain(b)),
     --equal(compose(Z,b),Y),
     ++equal(X,Z)]).

input_clause(codomain_of_h_equals_domain_of_ab,hypothesis,
    [++equal(codomain(h),domain(compose(a,b)))]).

input_clause(codomain_of_g_equals_domain_of_ab,hypothesis,
    [++equal(codomain(g),domain(compose(a,b)))]).

input_clause(h_ab_equals_g_ab,hypothesis,
    [++equal(compose(h,compose(a,b)),compose(g,compose(a,b)))]).

input_clause(prove_h_equals_g,conjecture,
    [--equal(h,g)]).
%--------------------------------------------------------------------------
