%--------------------------------------------------------------------------
% File     : CAT002-3 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : X and Y monomorphisms, XY well-defined => XY monomorphism
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : If x and y are monomorphisms and xy is well-defined then 
%            xy is a monomorphism.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p2.ver3.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.08 v2.6.0, 0.00 v2.5.0, 0.25 v2.4.0, 0.33 v2.3.0, 0.11 v2.2.1, 0.44 v2.2.0, 0.22 v2.1.0, 0.44 v2.0.0
% Syntax   : Number of clauses    :   35 (   2 non-Horn;   8 unit;  25 RR)
%            Number of literals   :   74 (  44 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   67 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
include('Axioms/CAT003-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(cancellation_for_compose1,hypothesis,
    [--equal(compose(a,X),Y),
     --equal(compose(a,Z),Y),
     ++equal(X,Z)]).

input_clause(cancellation_for_compose2,hypothesis,
    [--equal(compose(b,X),Y),
     --equal(compose(b,Z),Y),
     ++equal(X,Z)]).

input_clause(assume_h_exists,hypothesis,
    [++there_exists(h)]).

input_clause(ab_h_equals_ab_g,hypothesis,
    [++equal(compose(compose(a,b),h),compose(compose(a,b),g))]).

input_clause(prove_g_equals_h,conjecture,
    [--equal(g,h)]).
%--------------------------------------------------------------------------
