%--------------------------------------------------------------------------
% File     : CAT003-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY epimorphism => X epimorphism
% Version  : [Qua89] (equality) axioms.
% English  : If xy is an epimorphism, then x is an epimorphism.

% Refs     : [Qua89] Quaife (1989), Email to L. Wos
% Source   : [ANL]
% Names    : p3.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.17 v2.5.0, 0.25 v2.4.0, 0.25 v2.3.0, 0.50 v2.2.1, 0.17 v2.2.0, 0.25 v2.1.0, 0.67 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  10 unit;  13 RR)
%            Number of literals   :   35 (  35 equality)
%            Maximal clause size  :    5 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   30 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
input_clause(endomorphism,hypothesis,
    [--equal(codomain(compose(a,b)),domain(X)),
     --equal(compose(compose(a,b),X),Y),
     --equal(codomain(compose(a,b)),domain(Z)),
     --equal(compose(compose(a,b),Z),Y),
     ++equal(X,Z)]).

input_clause(codomain_of_a_equals_domain_of_b,hypothesis,
    [++equal(codomain(a),domain(b))]).

input_clause(codomain_of_b_equals_domain_of_h,hypothesis,
    [++equal(codomain(b),domain(h))]).

input_clause(codomain_of_b_equals_domain_of_g,hypothesis,
    [++equal(codomain(b),domain(g))]).

input_clause(bh_equals_bg,hypothesis,
    [++equal(compose(b,h),compose(b,g))]).

input_clause(prove_g_equals_h,conjecture,
    [--equal(g,h)]).
%--------------------------------------------------------------------------
