%--------------------------------------------------------------------------
% File     : CAT008-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : If xy is defined then domain(x) = codomain(y)
% Version  : [Mit67] axioms.
% English  : 

% Refs     : [Mit67] Mitchell (1967), Theory of Categories
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : C8 [MOW76]
%          : p8.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   33 (   0 non-Horn;   9 unit;  24 RR)
%            Number of literals   :   79 (  22 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    4 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   88 (   5 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Mitchell's axioms for category theory 
include('Axioms/CAT001-0.ax').
include('Axioms/CAT001-0.eq').
%--------------------------------------------------------------------------
input_clause(ab_defined,hypothesis,
    [++defined(a,b)]).

input_clause(prove_domain_of_a_equals_codomain_of_b,conjecture,
    [--equal(domain(a),codomain(b))]).
%--------------------------------------------------------------------------
