%--------------------------------------------------------------------------
% File     : CAT019-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Axiom of Indiscernibles
% Version  : [Qua89] (equality) axioms.
% English  : [all z (x=z <-> y=z)] -> x=y.

% Refs     : [Qua89] Quaife (1989), Email to L. Wos
% Source   : [ANL]
% Names    : p15.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   17 (   0 non-Horn;   6 unit;  10 RR)
%            Number of literals   :   30 (  30 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   29 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
%----c1 and c2 are Skolem functors 
input_clause(equality_to_c1_and_c2_1,hypothesis,
    [--equal(c2,Z),
     ++equal(c1,Z)]).

input_clause(equality_to_c1_and_c2_2,hypothesis,
    [++equal(c2,Z),
     --equal(c1,Z)]).

input_clause(prove_c1_equals_c2,conjecture,
    [--equal(c2,c1)]).
%--------------------------------------------------------------------------
