%--------------------------------------------------------------------------
% File     : COL043-2 : TPTP v2.6.0. Bugfixed v2.3.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for B and H
% Version  : [WM88] (equality) axioms : Augmented > Especial.
%            Theorem formulation : The fixed point is provided and checked.
% English  : The strong fixed point property holds for the set 
%            P consisting of the combinators B and H, where ((Bx)y)z 
%            = x(yz), ((Hx)y)z = ((xy)z)y.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Wos93] Wos (1993), The Kernel Strategy and Its Use for the St
% Source   : [TPTP]
% Names    : - [Wos93]

% Status   : unsatisfiable
% Rating   : 0.33 v2.6.0, 0.43 v2.5.0, 0.40 v2.4.0, 1.00 v2.3.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   17 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :   11 (   1 average)

% Comments : fixed_point/1 substitution axioms are not included as it is
%            simply a way of introducing the required copies of the strong
%            fixed point.
% Bugfixes : v2.3.0 - Clause prove_strong_fixed_point fixed.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(h_definition,axiom,
    [++equal(apply(apply(apply(h,X),Y),Z),apply(apply(apply(X,Y),Z),Y))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(f_substitution1,axiom,
    [--equal(G,H),
     ++equal(f(G),f(H))]).

input_clause(strong_fixed_point,axiom,
    [--equal(apply(Strong_fixed_point,fixed_pt),apply(fixed_pt,
apply(Strong_fixed_point,fixed_pt))),
     ++fixed_point(Strong_fixed_point)]).

input_clause(prove_strong_fixed_point,conjecture,
    [--fixed_point(
apply(apply(b,apply(apply(b,apply(apply(h,apply(apply(b,apply(apply(b,h),
apply(b,b))),apply(h,apply(apply(b,h),apply(b,b))))),h)),b)),b))]).
%--------------------------------------------------------------------------
