%--------------------------------------------------------------------------
% File     : COL044-8 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for B and N
% Version  : [WM88] (equality) axioms.
%            Theorem formulation : The fixed point is provided and checked.
% English  : The strong fixed point property holds for the set 
%            P consisting of the combinators B and N, where ((Bx)y)z 
%            = x(yz), ((Nx)y)z = ((xz)y)z.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Wos93] Wos (1993), The Kernel Strategy and Its Use for the St
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 1.00 v2.6.0, 0.67 v2.5.0, 0.50 v2.4.0, 0.67 v2.2.1, 0.88 v2.2.0, 0.80 v2.1.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   5 unit;   5 RR)
%            Number of literals   :   16 (  16 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :   12 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(n_definition,axiom,
    [++equal(apply(apply(apply(n,X),Y),Z),apply(apply(apply(X,Z),Y),Z))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(f_substitution1,axiom,
    [--equal(G,H),
     ++equal(f(G),f(H))]).

input_clause(strong_fixed_point,axiom,
    [++equal(strong_fixed_point,
apply(apply(b,apply(apply(b,apply(apply(n,apply(n,
apply(apply(b,apply(b,b)),apply(n,apply(apply(b,b),n))))),n)),b)),b))]).

input_clause(prove_strong_fixed_point,conjecture,
    [--equal(apply(strong_fixed_point,fixed_pt),apply(fixed_pt,
apply(strong_fixed_point,fixed_pt)))]).
%--------------------------------------------------------------------------
