%--------------------------------------------------------------------------
% File     : FLD063-1 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Elimination of additive inverses in an order relation
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.75 v2.6.0, 0.67 v2.5.0, 1.00 v2.1.0
% Syntax   : Number of clauses    :   31 (   3 non-Horn;   7 unit;  31 RR)
%            Number of literals   :   77 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(less_or_equal_3,conjecture,
    [++less_or_equal(additive_inverse(b),additive_inverse(a))]).

input_clause(not_less_or_equal_4,conjecture,
    [--less_or_equal(a,b)]).
%--------------------------------------------------------------------------
