%--------------------------------------------------------------------------
% File     : GEO004-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Every line segment has a midpoint
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [Qua89]
% Names    : T4 [Qua89]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   56 (   5 non-Horn;   7 unit;  25 RR)
%            Number of literals   :  139 (  74 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   5 constant; 0-6 arity)
%            Number of variables  :  267 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(midpoint_substitution1,axiom,
    [--equal(X,Y),
     ++equal(midpoint(X,Z),midpoint(Y,Z))]).

input_clause(midpoint_substitution2,axiom,
    [--equal(X,Y),
     ++equal(midpoint(Z,X),midpoint(Z,Y))]).

input_clause(prove_midpoint,conjecture,
    [--between(a,midpoint(a,b),b),
     --equidistant(a,midpoint(a,b),b,midpoint(a,b))]).
%--------------------------------------------------------------------------
