%--------------------------------------------------------------------------
% File     : GEO005-1 : TPTP v2.6.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : Isosceles triangle based on line segment
% Version  : [MOW76] axioms.
% English  : For any line segment, there exists an isoceles triangle with 
%            that line segment as its base.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T5 [MOW76]
%          : t5.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 1.00 v2.5.0
% Syntax   : Number of clauses    :   57 (   6 non-Horn;   8 unit;  28 RR)
%            Number of literals   :  144 (  72 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   10 (   5 constant; 0-6 arity)
%            Number of variables  :  270 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
%----Quaife states that this hypothesis is unnecessary 
input_clause(a_not_b,hypothesis,
    [--equal(a,b)]).

input_clause(prove_apex,conjecture,
    [--equidistant(a,X,b,X),
     ++between(a,X,b)]).
%--------------------------------------------------------------------------
