%--------------------------------------------------------------------------
% File     : GEO007-1 : TPTP v2.6.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : Betweenness for 4 points on a line
% Version  : [MOW76] axioms.
% English  : For all pairs of distinct points y and z, if w and x are 
%            on the line yz to the left of y (i.e. not between y and z), 
%            then either w is betweeen x and y or x is between w and y.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T7 [MOW76]
%          : t7.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.58 v2.6.0, 0.50 v2.5.0
% Syntax   : Number of clauses    :   60 (   6 non-Horn;  12 unit;  31 RR)
%            Number of literals   :  146 (  72 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  269 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_not_c,hypothesis,
    [--equal(a,c)]).

input_clause(a_between_a_and_c,hypothesis,
    [++between(d,a,c)]).

input_clause(a_between_a_and_e,hypothesis,
    [++between(e,a,c)]).

input_clause(e_not_between_d_and_a,hypothesis,
    [--between(d,e,a)]).

input_clause(prove_d_between_e_and_a,conjecture,
    [--between(e,d,a)]).
%--------------------------------------------------------------------------
