%--------------------------------------------------------------------------
% File     : GEO007-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Betweenness for 4 points on a line
% Version  : [Qua89] axioms.
% English  : For all pairs of distinct points y and z, if w and x are 
%            on the line yz to the left of y (i.e. not between y and z), 
%            then either w is betweeen x and y or x is between w and y.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   58 (   5 non-Horn;  12 unit;  29 RR)
%            Number of literals   :  138 (  71 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(a_not_c,hypothesis,
    [--equal(a,c)]).

input_clause(a_between_a_and_c,hypothesis,
    [++between(d,a,c)]).

input_clause(a_between_a_and_e,hypothesis,
    [++between(e,a,c)]).

input_clause(e_not_between_d_and_a,hypothesis,
    [--between(d,e,a)]).

input_clause(prove_d_between_e_and_a,conjecture,
    [--between(e,d,a)]).
%--------------------------------------------------------------------------
