%--------------------------------------------------------------------------
% File     : GEO008-1 : TPTP v2.6.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : Betweenness for 5 points on a line (Five point theorem)
% Version  : [MOW76] axioms.
% English  : For all points x, y, z, w, and v, if y and w are between 
%            x and z, and v is between y and w, then v is between x and z.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [ANL]
% Names    : T8 [MOW76]
%          : Test Problem 10 [Wos88]
%          : Five Point Theorem [Wos88]
%          : t8.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.92 v2.6.0, 0.88 v2.5.0
% Syntax   : Number of clauses    :   59 (   6 non-Horn;  11 unit;  30 RR)
%            Number of literals   :  145 (  71 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   13 (   8 constant; 0-6 arity)
%            Number of variables  :  269 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(c_between_a_and_e,hypothesis,
    [++between(a,c,e)]).

input_clause(d_between_a_and_e,hypothesis,
    [++between(a,d,e)]).

input_clause(b_between_c_and_d,hypothesis,
    [++between(c,b,d)]).

input_clause(prove_betweenness,conjecture,
    [--between(a,b,e)]).
%--------------------------------------------------------------------------
