%--------------------------------------------------------------------------
% File     : GEO010-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Collinearity is invariant
% Version  : [Qua89] axioms.
% English  : For all points x, y, and z, if x, y, and z are collinear 
%            in one order, they are collinear in any order.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.42 v2.6.0, 0.50 v2.5.0, 0.58 v2.4.0, 0.56 v2.3.0, 0.67 v2.2.1, 0.89 v2.2.0, 0.89 v2.1.0, 0.89 v2.0.0
% Syntax   : Number of clauses    :   62 (   6 non-Horn;   8 unit;  33 RR)
%            Number of literals   :  158 (  73 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-4 arity)
%            Number of functors   :   11 (   6 constant; 0-6 arity)
%            Number of variables  :  285 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO002-1.ax').
include('Axioms/GEO002-1.eq').
%--------------------------------------------------------------------------
input_clause(abc_colinear,hypothesis,
    [++colinear(a,b,c)]).

input_clause(prove_colinear_in_all_orders,conjecture,
    [--colinear(a,c,b),
     --colinear(b,a,c),
     --colinear(b,c,a),
     --colinear(c,a,b),
     --colinear(c,b,a)]).
%--------------------------------------------------------------------------
