%--------------------------------------------------------------------------
% File     : GEO013-1 : TPTP v2.6.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : Collinearity for 5 points
% Version  : [MOW76] axioms.
% English  : If z1, z2, and z3 are each collinear with distinct points 
%            x and y, then z1, z2, and z3 are collinear.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T13 [MOW76]
%          : t13.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 1.00 v2.5.0
% Syntax   : Number of clauses    :   67 (   7 non-Horn;  12 unit;  38 RR)
%            Number of literals   :  165 (  75 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    4 (   0 propositional; 2-4 arity)
%            Number of functors   :   13 (   8 constant; 0-6 arity)
%            Number of variables  :  293 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO001-1.ax').
include('Axioms/GEO001-1.eq').
%--------------------------------------------------------------------------
input_clause(a_not_b,hypothesis,
    [--equal(a,b)]).

input_clause(and1_colinear,hypothesis,
    [++colinear(a,b,d1)]).

input_clause(abd2_colinear,hypothesis,
    [++colinear(a,b,d2)]).

input_clause(abd3_colinear,hypothesis,
    [++colinear(a,b,d3)]).

input_clause(prove_d1d2d3_colinear,conjecture,
    [--colinear(d1,d2,d3)]).
%--------------------------------------------------------------------------
