%--------------------------------------------------------------------------
% File     : GEO026-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Extension is unique
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.30 v2.5.0, 0.25 v2.4.0, 0.22 v2.2.1, 0.33 v2.2.0, 0.11 v2.1.0, 0.22 v2.0.0
% Syntax   : Number of clauses    :   58 (   5 non-Horn;  12 unit;  29 RR)
%            Number of literals   :  138 (  72 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   12 (   7 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_w,hypothesis,
    [++between(u,v,w)]).

input_clause(v_between_u_and_x,hypothesis,
    [++between(u,v,x)]).

input_clause(v_to_w_equals_v_to_x,hypothesis,
    [++equidistant(v,w,v,x)]).

input_clause(u_not_v,hypothesis,
    [--equal(u,v)]).

input_clause(prove_w_is_x,conjecture,
    [--equal(w,x)]).
%--------------------------------------------------------------------------
