%--------------------------------------------------------------------------
% File     : GEO085+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Every open curve has at least two endpoints
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 2.7 (1) [KE99]

% Status   : theorem
% Rating   : 0.17 v2.5.0, 0.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  120 (  34 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   90 (   5 ~  ;   9  |;  37  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  108 (   0 singleton;  97 !;  11 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(theorem_2_7_1,conjecture,(
    ! [C] :
      ( open(C)
     => ? [P,Q] :
          ( ~ equal(P,Q)
          & end_point(P,C)
          & end_point(Q,C) ) )   )).
%--------------------------------------------------------------------------
