%--------------------------------------------------------------------------
% File     : GEO087+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : If one curve is part of another curve then they cannot meet
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Corollary 2.9 [KE99]

% Status   : theorem
% Rating   : 0.17 v2.5.0, 0.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  118 (  33 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   88 (   5 ~  ;   9  |;  35  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  108 (   0 singleton;  98 !;  10 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(corollary_2_9,conjecture,(
    ! [C1,C2] :
      ( part_of(C1,C2)
     => ~ ( ? [P] : meet(P,C1,C2) ) )   )).
%--------------------------------------------------------------------------
