%--------------------------------------------------------------------------
% File     : GEO090-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Meeting point of curves on a subcurve
% Version  : [EHK99] axioms.
% English  : If a point P is a meeting point of two curves and lies on a 
%            sub-curve of one of the two curves then P is also meeting point 
%            of the sub-curve and the other curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   70 (  21 non-Horn;   6 unit;  62 RR)
%            Number of literals   :  207 (  44 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   18 (   4 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO090+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(corollary_2_12_67,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(corollary_2_12_68,conjecture,
    [++incident_c(sk17,sk15)]).

input_clause(corollary_2_12_69,conjecture,
    [++meet(sk17,sk14,sk16)]).

input_clause(corollary_2_12_70,conjecture,
    [--meet(sk17,sk15,sk16)]).
%--------------------------------------------------------------------------
