%--------------------------------------------------------------------------
% File     : GEO092+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Common point of open sum is the meeting point
% Version  : [EHK99] axioms.
% English  : If two curves meet and their sum is open, then the only point 
%            they have in common is their meeting-point.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Proposition 2.14 (1) [KE99]

% Status   : theorem
% Rating   : 0.83 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  121 (  34 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   92 (   6 ~  ;   9  |;  37  &)
%                                         (   9 <=>;  31 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  109 (   0 singleton; 100 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(proposition_2_14_1,conjecture,(
    ! [C1,C2,P] :
      ( ( meet(P,C1,C2)
        & open(sum(C1,C2)) )
     => ! [Q] :
          ( ~ equal(Q,P)
         => ~ ( incident_c(Q,C1)
              & incident_c(Q,C2) ) ) )   )).
%--------------------------------------------------------------------------
