%--------------------------------------------------------------------------
% File     : GEO093+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Sum of meeting open curves is open
% Version  : [EHK99] axioms.
% English  : If two open sub-curves of an open curve meet, then their sum 
%            is also open.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Proposition 2.14 (2) [KE99]

% Status   : theorem
% Rating   : 0.67 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  121 (  33 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   90 (   4 ~  ;   9  |;  38  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  109 (   0 singleton; 100 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(proposition_2_14_2,conjecture,(
    ! [C,C1,C2,P] :
      ( ( open(C)
        & part_of(C1,C)
        & part_of(C2,C)
        & meet(P,C1,C2) )
     => open(sum(C1,C2)) )   )).
%--------------------------------------------------------------------------
