%--------------------------------------------------------------------------
% File     : GEO093-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Sum of meeting open curves is open
% Version  : [EHK99] axioms.
% English  : If two open sub-curves of an open curve meet, then their sum 
%            is also open.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.58 v2.6.0, 0.56 v2.4.0
% Syntax   : Number of clauses    :   71 (  21 non-Horn;   7 unit;  63 RR)
%            Number of literals   :  208 (  44 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   18 (   4 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO093+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(proposition_2_14_2_67,conjecture,
    [++open(sk14)]).

input_clause(proposition_2_14_2_68,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(proposition_2_14_2_69,conjecture,
    [++part_of(sk16,sk14)]).

input_clause(proposition_2_14_2_70,conjecture,
    [++meet(sk17,sk15,sk16)]).

input_clause(proposition_2_14_2_71,conjecture,
    [--open(sum(sk15,sk16))]).
%--------------------------------------------------------------------------
