%--------------------------------------------------------------------------
% File     : GEO096+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Endpoints of curves are endpoints of sum
% Version  : [EHK99] axioms.
% English  : If two curves meet, than the endpoints of the sum are exactly 
%            those endpoints of the two curves that are not meeting-points 
%            of them.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Proposition 2.14 (5) [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  121 (  33 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   91 (   5 ~  ;  10  |;  36  &)
%                                         (  10 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  109 (   0 singleton;  99 !;  10 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(proposition_2_14_5,conjecture,(
    ! [C1,C2] :
      ( ? [P] : meet(P,C1,C2)
     => ! [Q] :
          ( end_point(Q,sum(C1,C2))
        <=> ( ~ meet(Q,C1,C2)
            & ( end_point(Q,C1)
              | end_point(Q,C2) ) ) ) )   )).
%--------------------------------------------------------------------------
