%--------------------------------------------------------------------------
% File     : GEO096-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Endpoints of curves are endpoints of sum
% Version  : [EHK99] axioms.
% English  : If two curves meet, than the endpoints of the sum are exactly 
%            those endpoints of the two curves that are not meeting-points 
%            of them.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   76 (  24 non-Horn;   3 unit;  68 RR)
%            Number of literals   :  231 (  44 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   18 (   4 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO096+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(proposition_2_14_5_67,conjecture,
    [++meet(sk16,sk14,sk15)]).

input_clause(proposition_2_14_5_68,conjecture,
    [++end_point(sk17,sum(sk14,sk15)),
     --meet(sk17,sk14,sk15)]).

input_clause(proposition_2_14_5_69,conjecture,
    [++end_point(sk17,sum(sk14,sk15)),
     ++end_point(sk17,sk14),
     ++end_point(sk17,sk15)]).

input_clause(proposition_2_14_5_70,conjecture,
    [++end_point(sk17,sum(sk14,sk15)),
     --end_point(sk17,sum(sk14,sk15))]).

input_clause(proposition_2_14_5_71,conjecture,
    [++meet(sk17,sk14,sk15),
     --end_point(sk17,sk14),
     --meet(sk17,sk14,sk15)]).

input_clause(proposition_2_14_5_72,conjecture,
    [++meet(sk17,sk14,sk15),
     --end_point(sk17,sk14),
     ++end_point(sk17,sk14),
     ++end_point(sk17,sk15)]).

input_clause(proposition_2_14_5_73,conjecture,
    [++meet(sk17,sk14,sk15),
     --end_point(sk17,sk15),
     --meet(sk17,sk14,sk15)]).

input_clause(proposition_2_14_5_74,conjecture,
    [++meet(sk17,sk14,sk15),
     --end_point(sk17,sk15),
     ++end_point(sk17,sk14),
     ++end_point(sk17,sk15)]).

input_clause(proposition_2_14_5_75,conjecture,
    [++meet(sk17,sk14,sk15),
     --end_point(sk17,sk14),
     --end_point(sk17,sum(sk14,sk15))]).

input_clause(proposition_2_14_5_76,conjecture,
    [++meet(sk17,sk14,sk15),
     --end_point(sk17,sk15),
     --end_point(sk17,sum(sk14,sk15))]).
%--------------------------------------------------------------------------
