%--------------------------------------------------------------------------
% File     : GEO097-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : A subcurves connects any two points on a curve
% Version  : [EHK99] axioms.
% English  : For any two points on a curve there is a sub-curve that connects 
%            these two points, that is to say these points are the endpoints 
%            of the sub-curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   70 (  21 non-Horn;   5 unit;  62 RR)
%            Number of literals   :  209 (  45 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   17 (   3 constant; 0-3 arity)
%            Number of variables  :  179 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO097+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_15_67,conjecture,
    [--equal(sk14,sk15)]).

input_clause(theorem_2_15_68,conjecture,
    [++incident_c(sk14,sk16)]).

input_clause(theorem_2_15_69,conjecture,
    [++incident_c(sk15,sk16)]).

input_clause(theorem_2_15_70,conjecture,
    [--part_of(A,sk16),
     --end_point(sk14,A),
     --end_point(sk15,A)]).
%--------------------------------------------------------------------------
