%--------------------------------------------------------------------------
% File     : GEO102-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Common endpoint of subcurves means inclusion
% Version  : [EHK99] axioms.
% English  : If two sub-curves of one curve have a common endpoint and 
%            include a sub-curve starting at this endpoint, then one of the 
%            two sub-curves is included in the other.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   75 (  21 non-Horn;  11 unit;  67 RR)
%            Number of literals   :  212 (  44 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   19 (   5 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO102+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_20_67,conjecture,
    [++part_of(sk16,sk14)]).

input_clause(theorem_2_20_68,conjecture,
    [++part_of(sk16,sk15)]).

input_clause(theorem_2_20_69,conjecture,
    [++end_point(sk17,sk14)]).

input_clause(theorem_2_20_70,conjecture,
    [++end_point(sk17,sk15)]).

input_clause(theorem_2_20_71,conjecture,
    [++end_point(sk17,sk16)]).

input_clause(theorem_2_20_72,conjecture,
    [++part_of(sk14,sk18)]).

input_clause(theorem_2_20_73,conjecture,
    [++part_of(sk15,sk18)]).

input_clause(theorem_2_20_74,conjecture,
    [--part_of(sk14,sk15)]).

input_clause(theorem_2_20_75,conjecture,
    [--part_of(sk15,sk14)]).
%--------------------------------------------------------------------------
