%--------------------------------------------------------------------------
% File     : GEO103+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Common endpoint of subcurves and another point means inclusion
% Version  : [EHK99] axioms.
% English  : If two sub-curves of an open curve have a common endpoint and 
%            another point in common, then one of the two sub-curves is 
%            included in the other.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Corollary 2.21 [KE99]

% Status   : theorem
% Rating   : 0.83 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of formulae    :   35 (   2 unit)
%            Number of atoms       :  126 (  34 equality)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :   96 (   5 ~  ;  10  |;  42  &)
%                                         (   9 <=>;  30 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  110 (   0 singleton; 101 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%--------------------------------------------------------------------------
input_formula(corollary_2_21,conjecture,(
    ! [C,C1,C2,P,Q] :
      ( ( ( open(C)
          & part_of(C1,C)
          & part_of(C2,C)
          & end_point(P,C1)
          & end_point(P,C2)
          & ~ equal(P,Q)
          & incident_c(Q,C1)
          & incident_c(Q,C2) )
       => ( part_of(C1,C2) )
          | part_of(C2,C1) ) )   )).
%--------------------------------------------------------------------------
