%--------------------------------------------------------------------------
% File     : GEO103-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Common endpoint of subcurves and another point means inclusion
% Version  : [EHK99] axioms.
% English  : If two sub-curves of an open curve have a common endpoint and 
%            another point in common, then one of the two sub-curves is 
%            included in the other.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   76 (  21 non-Horn;  12 unit;  68 RR)
%            Number of literals   :  213 (  45 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   19 (   5 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO103+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(corollary_2_21_67,conjecture,
    [++open(sk14)]).

input_clause(corollary_2_21_68,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(corollary_2_21_69,conjecture,
    [++part_of(sk16,sk14)]).

input_clause(corollary_2_21_70,conjecture,
    [++end_point(sk17,sk15)]).

input_clause(corollary_2_21_71,conjecture,
    [++end_point(sk17,sk16)]).

input_clause(corollary_2_21_72,conjecture,
    [--equal(sk17,sk18)]).

input_clause(corollary_2_21_73,conjecture,
    [++incident_c(sk18,sk15)]).

input_clause(corollary_2_21_74,conjecture,
    [++incident_c(sk18,sk16)]).

input_clause(corollary_2_21_75,conjecture,
    [--part_of(sk15,sk16)]).

input_clause(corollary_2_21_76,conjecture,
    [--part_of(sk16,sk15)]).
%--------------------------------------------------------------------------
