%--------------------------------------------------------------------------
% File     : GEO104-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Subcurves with common endpoint meet or include
% Version  : [EHK99] axioms.
% English  : If two sub-curves of a given open curve have a common endpoint 
%            then the sub-curves meet or one is included in the other.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   74 (  21 non-Horn;  10 unit;  66 RR)
%            Number of literals   :  211 (  44 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-3 arity)
%            Number of functors   :   18 (   4 constant; 0-3 arity)
%            Number of variables  :  178 (  10 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO104+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%--------------------------------------------------------------------------
input_clause(theorem_2_22_67,conjecture,
    [++end_point(sk17,sk15)]).

input_clause(theorem_2_22_68,conjecture,
    [++end_point(sk17,sk16)]).

input_clause(theorem_2_22_69,conjecture,
    [++part_of(sk15,sk14)]).

input_clause(theorem_2_22_70,conjecture,
    [++part_of(sk16,sk14)]).

input_clause(theorem_2_22_71,conjecture,
    [++open(sk14)]).

input_clause(theorem_2_22_72,conjecture,
    [--meet(sk17,sk15,sk16)]).

input_clause(theorem_2_22_73,conjecture,
    [--part_of(sk15,sk16)]).

input_clause(theorem_2_22_74,conjecture,
    [--part_of(sk16,sk15)]).
%--------------------------------------------------------------------------
