%--------------------------------------------------------------------------
% File     : GEO109+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Every endpoint of an open curve is not between any other points
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 3.6 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   40 (   2 unit)
%            Number of atoms       :  138 (  38 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  104 (   6 ~  ;   9  |;  44  &)
%                                         (  11 <=>;  34 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 1-4 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  134 (   0 singleton; 122 !;  12 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%--------------------------------------------------------------------------
input_formula(theorem_3_6,conjecture,(
    ! [C,P] :
      ( open(C)
     => ( end_point(P,C)
      <=> ( incident_c(P,C)
          & ~ ( ? [Q,R] : between_c(C,Q,P,R) ) ) ) )   )).
%--------------------------------------------------------------------------
