%--------------------------------------------------------------------------
% File     : GEO109-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Every endpoint of an open curve is not between any other points
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   83 (  24 non-Horn;   3 unit;  75 RR)
%            Number of literals   :  247 (  50 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :   19 (   4 constant; 0-4 arity)
%            Number of variables  :  227 (  16 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO109+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%--------------------------------------------------------------------------
input_clause(theorem_3_6_77,conjecture,
    [++open(sk15)]).

input_clause(theorem_3_6_78,conjecture,
    [++end_point(sk16,sk15),
     ++incident_c(sk16,sk15)]).

input_clause(theorem_3_6_79,conjecture,
    [++end_point(sk16,sk15),
     --between_c(sk15,A,sk16,B)]).

input_clause(theorem_3_6_80,conjecture,
    [++end_point(sk16,sk15),
     --end_point(sk16,sk15)]).

input_clause(theorem_3_6_81,conjecture,
    [--incident_c(sk16,sk15),
     ++between_c(sk15,sk17,sk16,sk18),
     ++incident_c(sk16,sk15)]).

input_clause(theorem_3_6_82,conjecture,
    [--incident_c(sk16,sk15),
     ++between_c(sk15,sk17,sk16,sk18),
     --between_c(sk15,A,sk16,B)]).

input_clause(theorem_3_6_83,conjecture,
    [--incident_c(sk16,sk15),
     ++between_c(sk15,sk17,sk16,sk18),
     --end_point(sk16,sk15)]).
%--------------------------------------------------------------------------
