%--------------------------------------------------------------------------
% File     : GEO110-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Betweenness for closed curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   84 (  22 non-Horn;  10 unit;  76 RR)
%            Number of literals   :  239 (  53 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :   19 (   4 constant; 0-4 arity)
%            Number of variables  :  223 (  12 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO110+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%--------------------------------------------------------------------------
input_clause(theorem_3_7_77,conjecture,
    [++closed(sk15)]).

input_clause(theorem_3_7_78,conjecture,
    [--equal(sk16,sk17)]).

input_clause(theorem_3_7_79,conjecture,
    [--equal(sk17,sk18)]).

input_clause(theorem_3_7_80,conjecture,
    [--equal(sk16,sk18)]).

input_clause(theorem_3_7_81,conjecture,
    [++incident_c(sk16,sk15)]).

input_clause(theorem_3_7_82,conjecture,
    [++incident_c(sk17,sk15)]).

input_clause(theorem_3_7_83,conjecture,
    [++incident_c(sk18,sk15)]).

input_clause(theorem_3_7_84,conjecture,
    [--between_c(sk15,sk16,sk17,sk18)]).
%--------------------------------------------------------------------------
