%--------------------------------------------------------------------------
% File     : GEO111-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Basic property of orderings on linear structures 1
% Version  : [EHK99] axioms.
% English  : If Q is between P and R wrt. c, then P, Q and R are incident 
%            with c and are pairwise distinct

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.33 v2.6.0, 0.11 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   78 (  23 non-Horn;   3 unit;  70 RR)
%            Number of literals   :  238 (  53 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :   19 (   4 constant; 0-4 arity)
%            Number of variables  :  223 (  12 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO111+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%--------------------------------------------------------------------------
input_clause(theorem_3_8_1_77,conjecture,
    [++between_c(sk15,sk16,sk17,sk18)]).

input_clause(theorem_3_8_1_78,conjecture,
    [--incident_c(sk16,sk15),
     --incident_c(sk17,sk15),
     --incident_c(sk18,sk15),
     ++equal(sk16,sk17),
     ++equal(sk17,sk18),
     ++equal(sk16,sk18)]).
%--------------------------------------------------------------------------
