%--------------------------------------------------------------------------
% File     : GEO113+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Basic property of orderings on linear structures 3
% Version  : [EHK99] axioms.
% English  : If c is open and Q is between P and R wrt. c, then P is not 
%            between Q and R wrt. c

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 3.8 (3) [KE99]
%          : T6 [EHK99]

% Status   : theorem
% Rating   : 0.83 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of formulae    :   40 (   2 unit)
%            Number of atoms       :  137 (  38 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  103 (   6 ~  ;   9  |;  44  &)
%                                         (  10 <=>;  34 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 1-4 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :  134 (   0 singleton; 124 !;  10 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%--------------------------------------------------------------------------
input_formula(theorem_3_8_3,conjecture,(
    ! [C,P,Q,R] :
      ( ( open(C)
        & between_c(C,P,Q,R) )
     => ~ between_c(C,Q,P,R) )   )).
%--------------------------------------------------------------------------
