%--------------------------------------------------------------------------
% File     : GEO113-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Basic property of orderings on linear structures 3
% Version  : [EHK99] axioms.
% English  : If c is open and Q is between P and R wrt. c, then P is not 
%            between Q and R wrt. c

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   79 (  22 non-Horn;   5 unit;  71 RR)
%            Number of literals   :  234 (  50 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :   19 (   4 constant; 0-4 arity)
%            Number of variables  :  223 (  12 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO113+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%--------------------------------------------------------------------------
input_clause(theorem_3_8_3_77,conjecture,
    [++open(sk15)]).

input_clause(theorem_3_8_3_78,conjecture,
    [++between_c(sk15,sk16,sk17,sk18)]).

input_clause(theorem_3_8_3_79,conjecture,
    [++between_c(sk15,sk17,sk16,sk18)]).
%--------------------------------------------------------------------------
