%--------------------------------------------------------------------------
% File     : GEO122+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Every curve has a finishing point
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Corollary 4.8 [KE99]

% Status   : theorem
% Rating   : 0.83 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of formulae    :   64 (   4 unit)
%            Number of atoms       :  215 (  58 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  159 (   8 ~  ;  10  |;  69  &)
%                                         (  20 <=>;  52 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :  220 (   0 singleton; 205 !;  15 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%--------------------------------------------------------------------------
input_formula(corollary_4_8,conjecture,(
    ! [O] :
    ? [P] : finish_point(P,O)   )).
%--------------------------------------------------------------------------
