%--------------------------------------------------------------------------
% File     : GEO124+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Every oriented curve has at most one starting point
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Corollary 4.10 (1) [KE99]

% Status   : theorem
% Rating   : 0.33 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of formulae    :   64 (   3 unit)
%            Number of atoms       :  217 (  59 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  161 (   8 ~  ;  10  |;  70  &)
%                                         (  20 <=>;  53 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :  221 (   0 singleton; 207 !;  14 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%--------------------------------------------------------------------------
input_formula(corollary_4_10_1,conjecture,(
    ! [O,P,Q] :
      ( ( start_point(P,O)
        & start_point(Q,O) )
     => equal(P,Q) )   )).
%--------------------------------------------------------------------------
