%--------------------------------------------------------------------------
% File     : GEO126-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Every oriented curve orders some points
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.50 v2.6.0, 0.44 v2.4.0
% Syntax   : Number of clauses    :  133 (  42 non-Horn;   4 unit; 120 RR)
%            Number of literals   :  403 (  83 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   14 (   0 propositional; 1-4 arity)
%            Number of functors   :   27 (   1 constant; 0-5 arity)
%            Number of variables  :  402 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO126+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_11_133,conjecture,
    [--ordered_by(sk25,A,B),
     ++equal(A,B)]).
%--------------------------------------------------------------------------
