%--------------------------------------------------------------------------
% File     : GEO127-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Incidence on oriented curves can be defined using precedence
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.33 v2.6.0, 0.44 v2.4.0
% Syntax   : Number of clauses    :  138 (  45 non-Horn;   4 unit; 125 RR)
%            Number of literals   :  416 (  82 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   14 (   0 propositional; 1-4 arity)
%            Number of functors   :   29 (   3 constant; 0-5 arity)
%            Number of variables  :  404 (  21 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO127+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_12_133,conjecture,
    [++incident_o(sk26,sk25),
     ++ordered_by(sk25,sk26,sk27),
     ++ordered_by(sk25,sk27,sk26)]).

input_clause(theorem_4_12_134,conjecture,
    [++incident_o(sk26,sk25),
     --incident_o(sk26,sk25)]).

input_clause(theorem_4_12_135,conjecture,
    [--ordered_by(sk25,sk26,A),
     ++ordered_by(sk25,sk26,sk27),
     ++ordered_by(sk25,sk27,sk26)]).

input_clause(theorem_4_12_136,conjecture,
    [--ordered_by(sk25,A,sk26),
     ++ordered_by(sk25,sk26,sk27),
     ++ordered_by(sk25,sk27,sk26)]).

input_clause(theorem_4_12_137,conjecture,
    [--ordered_by(sk25,sk26,A),
     --incident_o(sk26,sk25)]).

input_clause(theorem_4_12_138,conjecture,
    [--ordered_by(sk25,A,sk26),
     --incident_o(sk26,sk25)]).
%--------------------------------------------------------------------------
