%--------------------------------------------------------------------------
% File     : GEO128+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Precedence of three points, of whoich two are ordered
% Version  : [EHK99] axioms.
% English  : If P precedes Q with respect to o, then any point R on o 
%            precedes Q or is preceded by P.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Theorem 4.13 [KE99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   64 (   3 unit)
%            Number of atoms       :  218 (  58 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  162 (   8 ~  ;  11  |;  69  &)
%                                         (  20 <=>;  54 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :  222 (   0 singleton; 208 !;  14 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%--------------------------------------------------------------------------
input_formula(theorem_4_13,conjecture,(
    ! [O,P,Q] :
      ( ordered_by(O,P,Q)
     => ! [R] :
          ( incident_o(R,O)
         => ( ordered_by(O,R,Q)
            | ordered_by(O,P,R) ) ) )   )).
%--------------------------------------------------------------------------
