%--------------------------------------------------------------------------
% File     : GEO133-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Betweenness and precedence property 2
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  140 (  42 non-Horn;   8 unit; 127 RR)
%            Number of literals   :  413 (  83 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   15 (   0 propositional; 1-4 arity)
%            Number of functors   :   31 (   5 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO133+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_17_2_133,conjecture,
    [++ordered_by(sk25,sk26,sk27)]).

input_clause(theorem_4_17_2_134,conjecture,
    [--equal(sk28,sk29)]).

input_clause(theorem_4_17_2_135,conjecture,
    [++incident_o(sk29,sk25)]).

input_clause(theorem_4_17_2_136,conjecture,
    [++between(sk25,sk28,sk26,sk27)]).

input_clause(theorem_4_17_2_137,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     --between(sk25,sk29,sk28,sk27)]).

input_clause(theorem_4_17_2_138,conjecture,
    [++ordered_by(sk25,sk28,sk29),
     --ordered_by(sk25,sk28,sk29)]).

input_clause(theorem_4_17_2_139,conjecture,
    [++between(sk25,sk29,sk28,sk27),
     --between(sk25,sk29,sk28,sk27)]).

input_clause(theorem_4_17_2_140,conjecture,
    [++between(sk25,sk29,sk28,sk27),
     --ordered_by(sk25,sk28,sk29)]).
%--------------------------------------------------------------------------
