%--------------------------------------------------------------------------
% File     : GEO135+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Ordering can be determined by betweenness and incidence
% Version  : [EHK99] axioms.
% English  : The ordering of any pair of points R and S on an oriented line 
%            o can be determined on the basis of a given pair of points P and 
%            Q using betweenness and incidence only.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [KE99]
% Names    : Corollary 4.18 [KE99]
%          : T10 [EHK99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   64 (   3 unit)
%            Number of atoms       :  223 (  60 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :  170 (  11 ~  ;  12  |;  73  &)
%                                         (  21 <=>;  53 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   15 (   0 propositional; 1-4 arity)
%            Number of functors    :    2 (   0 constant; 1-2 arity)
%            Number of variables   :  223 (   0 singleton; 209 !;  14 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%--------------------------------------------------------------------------
input_formula(corollary_4_18,conjecture,(
    ! [O,P,Q] :
      ( ordered_by(O,P,Q)
     => ! [R,S] :
          ( ordered_by(O,R,S)
        <=> ( ( incident_o(S,O)
              & ( between(O,R,P,Q)
                | equal(P,R) )
              & ~ equal(R,S)
              & ~ between(O,S,R,Q) )
            | ( between(O,P,R,S)
              & ~ between(O,Q,P,R) ) ) ) )   )).
%--------------------------------------------------------------------------
