%--------------------------------------------------------------------------
% File     : GEO138-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Curve and ordered points determine oriented curve
% Version  : [EHK99] axioms.
% English  : A curve and a ordered pair of points uniquely determine an 
%            oriented curve.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  136 (  42 non-Horn;   8 unit; 123 RR)
%            Number of literals   :  405 (  84 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-4 arity)
%            Number of functors   :   30 (   4 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO138+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(corollary_4_21_133,conjecture,
    [++equal(underlying_curve(sk25),underlying_curve(sk26))]).

input_clause(corollary_4_21_134,conjecture,
    [++ordered_by(sk25,sk27,sk28)]).

input_clause(corollary_4_21_135,conjecture,
    [++ordered_by(sk26,sk27,sk28)]).

input_clause(corollary_4_21_136,conjecture,
    [--equal(sk25,sk26)]).
%--------------------------------------------------------------------------
