%--------------------------------------------------------------------------
% File     : GEO140-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Unique oppositely oriented curve 1
% Version  : [EHK99] axioms.
% English  : For every oriented line there is exactly one uniquely determined 
%            oriented line with the same underlying curve that orders the 
%            points in the opposite way.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  137 (  43 non-Horn;   5 unit; 124 RR)
%            Number of literals   :  410 (  82 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   15 (   0 propositional; 1-4 arity)
%            Number of functors   :   30 (   4 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO140+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_23_1_133,conjecture,
    [++ordered_by(sk25,sk26,sk27)]).

input_clause(theorem_4_23_1_134,conjecture,
    [++ordered_by(sk25,sk28,sk26),
     ++between(sk25,sk28,sk26,sk27)]).

input_clause(theorem_4_23_1_135,conjecture,
    [++ordered_by(sk25,sk28,sk26),
     --ordered_by(sk25,sk28,sk26)]).

input_clause(theorem_4_23_1_136,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     ++between(sk25,sk28,sk26,sk27)]).

input_clause(theorem_4_23_1_137,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --ordered_by(sk25,sk28,sk26)]).
%--------------------------------------------------------------------------
