%--------------------------------------------------------------------------
% File     : GEO141-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Unique oppositely oriented curve 2
% Version  : [EHK99] axioms.
% English  : For every oriented line there is exactly one uniquely determined
%            oriented line with the same underlying curve that orders the
%            points in the opposite way.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  141 (  46 non-Horn;   5 unit; 128 RR)
%            Number of literals   :  426 (  88 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   15 (   0 propositional; 1-4 arity)
%            Number of functors   :   30 (   4 constant; 0-5 arity)
%            Number of variables  :  400 (  17 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO141+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%--------------------------------------------------------------------------
input_clause(theorem_4_23_2_133,conjecture,
    [++ordered_by(sk25,sk26,sk27)]).

input_clause(theorem_4_23_2_134,conjecture,
    [++ordered_by(sk25,sk28,sk27),
     ++between(sk25,sk28,sk26,sk27),
     ++between(sk25,sk26,sk28,sk27),
     ++equal(sk26,sk28)]).

input_clause(theorem_4_23_2_135,conjecture,
    [++ordered_by(sk25,sk28,sk27),
     --ordered_by(sk25,sk28,sk27)]).

input_clause(theorem_4_23_2_136,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     ++between(sk25,sk28,sk26,sk27),
     ++between(sk25,sk26,sk28,sk27),
     ++equal(sk26,sk28)]).

input_clause(theorem_4_23_2_137,conjecture,
    [--between(sk25,sk26,sk28,sk27),
     ++between(sk25,sk28,sk26,sk27),
     ++between(sk25,sk26,sk28,sk27),
     ++equal(sk26,sk28)]).

input_clause(theorem_4_23_2_138,conjecture,
    [--equal(sk26,sk28),
     ++between(sk25,sk28,sk26,sk27),
     ++between(sk25,sk26,sk28,sk27),
     ++equal(sk26,sk28)]).

input_clause(theorem_4_23_2_139,conjecture,
    [--between(sk25,sk28,sk26,sk27),
     --ordered_by(sk25,sk28,sk27)]).

input_clause(theorem_4_23_2_140,conjecture,
    [--between(sk25,sk26,sk28,sk27),
     --ordered_by(sk25,sk28,sk27)]).

input_clause(theorem_4_23_2_141,conjecture,
    [--equal(sk26,sk28),
     --ordered_by(sk25,sk28,sk27)]).
%--------------------------------------------------------------------------
