%--------------------------------------------------------------------------
% File     : GEO146+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Symmetry of connect
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    : T12 [EHK99]

% Status   : theorem
% Rating   : 0.50 v2.4.0
% Syntax   : Number of formulae    :   82 (   4 unit)
%            Number of atoms       :  258 (  73 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  185 (   9 ~  ;  10  |;  76  &)
%                                         (  25 <=>;  65 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    5 (   0 constant; 1-2 arity)
%            Number of variables   :  273 (   0 singleton; 257 !;  16 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%----Include trajectory axioms
include('Axioms/GEO004+3.ax').
include('Axioms/GEO004+3.eq').
%--------------------------------------------------------------------------
input_formula(t12,conjecture,(
    ! [X,Y,P] :
      ( connect(X,Y,P)
    <=> connect(Y,X,P) )   )).
%--------------------------------------------------------------------------
