%--------------------------------------------------------------------------
% File     : GEO146-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Symmetry of connect
% Version  : [EHK99] axioms.
% English  : 

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.33 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses    :  159 (  43 non-Horn;   5 unit; 140 RR)
%            Number of literals   :  460 (  97 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   16 (   0 propositional; 1-4 arity)
%            Number of functors   :   34 (   3 constant; 0-5 arity)
%            Number of variables  :  462 (  19 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO146+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
include('Axioms/GEO004-3.eq').
%--------------------------------------------------------------------------
input_clause(t12_156,conjecture,
    [++connect(sk27,sk28,sk29),
     ++connect(sk28,sk27,sk29)]).

input_clause(t12_157,conjecture,
    [++connect(sk27,sk28,sk29),
     --connect(sk27,sk28,sk29)]).

input_clause(t12_158,conjecture,
    [--connect(sk28,sk27,sk29),
     ++connect(sk28,sk27,sk29)]).

input_clause(t12_159,conjecture,
    [--connect(sk28,sk27,sk29),
     --connect(sk27,sk28,sk29)]).
%--------------------------------------------------------------------------
