%--------------------------------------------------------------------------
% File     : GEO151+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Object stays still while one moves
% Version  : [EHK99] axioms.
% English  : If an object is in a position before and after another object 
%            moves, then it stays in this position while the other one moves

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [EHK99]
% Names    : T17 [EHK99]

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   82 (   4 unit)
%            Number of atoms       :  260 (  73 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :  187 (   9 ~  ;  10  |;  78  &)
%                                         (  24 <=>;  66 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :    5 (   0 constant; 1-2 arity)
%            Number of variables   :  276 (   0 singleton; 260 !;  16 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include simple curve axioms
include('Axioms/GEO004+0.ax').
include('Axioms/GEO004+0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004+1.ax').
include('Axioms/GEO004+1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004+2.ax').
include('Axioms/GEO004+2.eq').
%----Include trajectory axioms
include('Axioms/GEO004+3.ax').
include('Axioms/GEO004+3.eq').
%--------------------------------------------------------------------------
input_formula(t17,conjecture,(
    ! [P,Q1,Q2,Q3,X,Y] :
      ( ( once(at_the_same_time(at(X,P),at(Y,Q1)))
        & once(at_the_same_time(at(X,P),at(Y,Q3)))
        & between_o(trajectory_of(X),Q1,Q2,Q3) )
     => once(at_the_same_time(at(X,P),at(X,Q2))) )   )).
%--------------------------------------------------------------------------
