%--------------------------------------------------------------------------
% File     : GEO151-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Object stays still while one moves
% Version  : [EHK99] axioms.
% English  : If an object is in a position before and after another object 
%            moves, then it stays in this position while the other one moves

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  159 (  42 non-Horn;   9 unit; 140 RR)
%            Number of literals   :  456 (  97 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   16 (   0 propositional; 1-4 arity)
%            Number of functors   :   37 (   6 constant; 0-5 arity)
%            Number of variables  :  462 (  19 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO151+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
include('Axioms/GEO004-3.eq').
%--------------------------------------------------------------------------
input_clause(t17_156,conjecture,
    [++once(at_the_same_time(at(sk31,sk27),at(sk32,sk28)))]).

input_clause(t17_157,conjecture,
    [++once(at_the_same_time(at(sk31,sk27),at(sk32,sk30)))]).

input_clause(t17_158,conjecture,
    [++between_o(trajectory_of(sk31),sk28,sk29,sk30)]).

input_clause(t17_159,conjecture,
    [--once(at_the_same_time(at(sk31,sk27),at(sk31,sk29)))]).
%--------------------------------------------------------------------------
