%--------------------------------------------------------------------------
% File     : GEO152-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Ordered meeting places
% Version  : [EHK99] axioms.
% English  : If three objects meet in pairs such that the meeting place of 
%            x and z precedes that of x and y on the trajectory of x and the 
%            meeting place of x and y precedes that of y and z on t(y), then 
%            the meet-ing place of y and z does not precede that of x and z 
%            on t(z)

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  161 (  42 non-Horn;  11 unit; 142 RR)
%            Number of literals   :  458 (  97 equality)
%            Maximal clause size  :   12 (   2 average)
%            Number of predicates :   16 (   0 propositional; 1-4 arity)
%            Number of functors   :   37 (   6 constant; 0-5 arity)
%            Number of variables  :  462 (  19 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO152+1.p 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
include('Axioms/GEO004-0.eq').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
include('Axioms/GEO004-1.eq').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
include('Axioms/GEO004-2.eq').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
include('Axioms/GEO004-3.eq').
%--------------------------------------------------------------------------
input_clause(t18_156,conjecture,
    [++connect(sk30,sk32,sk27)]).

input_clause(t18_157,conjecture,
    [++connect(sk30,sk31,sk28)]).

input_clause(t18_158,conjecture,
    [++connect(sk31,sk32,sk29)]).

input_clause(t18_159,conjecture,
    [++ordered_by(trajectory_of(sk30),sk27,sk28)]).

input_clause(t18_160,conjecture,
    [++ordered_by(trajectory_of(sk31),sk28,sk29)]).

input_clause(t18_161,conjecture,
    [++ordered_by(trajectory_of(sk32),sk29,sk27)]).
%--------------------------------------------------------------------------
