%--------------------------------------------------------------------------
% File     : GRP001-4 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : X^2 = identity => commutativity
% Version  : [Wos65] (equality) axioms : Incomplete.
% English  : If the square of every element is the identity, the system 
%            is commutative.

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 65 [Pel86]
%          : x2_quant.in [OTTER]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :   17 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : [Pel86] says "... problems, published I think, by Larry Wos 
%            (but I cannot locate where)."
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(multiply_substitution1,axiom,
    [--equal(D,E),
     ++equal(multiply(D,F),multiply(E,F))]).

input_clause(multiply_substitution2,axiom,
    [--equal(G,H),
     ++equal(multiply(I,G),multiply(I,H))]).

%----The operation '*' is associative 
input_clause(associativity,axiom,
    [++equal(multiply(multiply(X,Y),Z),multiply(X,multiply(Y,Z)))]).

%----There exists an identity element 'e' defined below.
input_clause(left_identity,axiom,
    [++equal(multiply(identity,X),X)]).

input_clause(squareness,hypothesis,
    [++equal(multiply(X,X),identity)]).

input_clause(a_times_b_is_c,hypothesis,
    [++equal(multiply(a,b),c)]).

input_clause(prove_b_times_a_is_c,conjecture,
    [--equal(multiply(b,a),c)]).
%--------------------------------------------------------------------------
