%--------------------------------------------------------------------------
% File     : GRP002-3 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Commutator equals identity in groups of order 3
% Version  : [Ove90] (equality) axioms.
% English  : In a group, if (for all x) the cube of x is the identity 
%            (i.e. a group of order 3), then the equation [[x,y],y]= 
%            identity holds, where [x,y] is the product of x, y, the 
%            inverse of x and the inverse of y (i.e. the commutator 
%            of x and y).

% Refs     : [Ove93] Overbeek (1993), The CADE-11 Competitions: A Personal 
%          : [LM93]  Lusk & McCune (1993), Uniform Strategies: The CADE-11 
%          : [Zha93] Zhang (1993), Automated Proofs of Equality Problems in
%          : [Ove90] Overbeek (1990), ATP competition announced at CADE-10
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [Ove90]
% Names    : CADE-11 Competition Eq-1 [Ove90]
%          : THEOREM EQ-1 [LM93]
%          : PROBLEM 1 [Zha93]
%          : comm.in [OTTER]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.33 v2.2.0, 0.43 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   14 (   0 non-Horn;   7 unit;   4 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   28 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Uses an explicit formulation of the commutator.
%          : Same axioms as [MOW76] (equality) axioms.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
%----Definition of the commutator 
input_clause(commutator,axiom,
    [++equal(commutator(X,Y),multiply(X,multiply(Y,multiply(inverse(X),
inverse(Y)))))]).

input_clause(commutator_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(commutator(A,C),commutator(B,C))]).

input_clause(commutator_substitutivity2,axiom,
    [--equal(D,E),
     ++equal(commutator(F,D),commutator(F,E))]).

input_clause(x_cubed_is_identity,hypothesis,
    [++equal(multiply(X,multiply(X,X)),identity)]).

input_clause(prove_commutator,conjecture,
    [--equal(commutator(commutator(a,b),b),identity)]).
%--------------------------------------------------------------------------
