%--------------------------------------------------------------------------
% File     : GRP011-4 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Left cancellation
% Version  : [Wos65] (equality) axioms : Incomplete.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [Pel86]
% Names    : Pelletier 63 [Pel86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   6 unit;   5 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : [Pel86] says "... problems, published I think, by Larry Wos
%            (but I cannot locate where)."
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitution1,axiom,
    [--equal(D,E),
     ++equal(inverse(D),inverse(E))]).

input_clause(multiply_substitution1,axiom,
    [--equal(F,G),
     ++equal(multiply(F,H),multiply(G,H))]).

input_clause(multiply_substitution2,axiom,
    [--equal(I,J),
     ++equal(multiply(K,I),multiply(K,J))]).

%----The operation '*' is associative 
input_clause(associativity,axiom,
    [++equal(multiply(multiply(X,Y),Z),multiply(X,multiply(Y,Z)))]).

%----There exists an identity element 
input_clause(left_identity,axiom,
    [++equal(multiply(identity,X),X)]).

input_clause(left_inverse,axiom,
    [++equal(multiply(inverse(X),X),identity)]).

input_clause(product_equality,hypothesis,
    [++equal(multiply(b,c),multiply(d,c))]).

input_clause(prove_left_cancellation,conjecture,
    [--equal(b,d)]).
%--------------------------------------------------------------------------
