%--------------------------------------------------------------------------
% File     : GRP013-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Commutator equals identity in these conditions
% Version  : [MOW76] axioms.
% English  : If X.X=identity and if X^-1.Y^-1 = Z then X.Z = Y, then 
%            (X.Y).(X^-1.Y^-1) = identity.

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 11 [Wos65]
%          : wos11 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;  10 unit;  13 RR)
%            Number of literals   :   43 (  16 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   52 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(squareness,hypothesis,
    [++product(A,A,identity)]).

input_clause(a_times_b_is_c,hypothesis,
    [++product(a,b,c)]).

input_clause(inverse_a_times_inverse_b_is_d,hypothesis,
    [++product(inverse(a),inverse(b),d)]).

input_clause(inverses_have_property,hypothesis,
    [--product(inverse(A),inverse(B),C),
     ++product(A,C,B)]).

input_clause(prove_c_times_d_is_identity,conjecture,
    [--product(c,d,identity)]).
%--------------------------------------------------------------------------
