%--------------------------------------------------------------------------
% File     : GRP017-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : The inverse of each element is unique
% Version  : [MOW76] axioms.
% English  : i.e., if ab=ba=identity and ac=ca=identity then b=c

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : G2 [MOW76]
%          : invers1.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;  11 unit;  14 RR)
%            Number of literals   :   42 (  17 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_times_b_is_identity,hypothesis,
    [++product(a,b,identity)]).

input_clause(b_times_a_is_identity,hypothesis,
    [++product(b,a,identity)]).

input_clause(a_times_c_is_identity,hypothesis,
    [++product(a,c,identity)]).

input_clause(c_times_a_is_identity,hypothesis,
    [++product(c,a,identity)]).

input_clause(prove_b_equals_c,conjecture,
    [--equal(b,c)]).
%--------------------------------------------------------------------------
