%--------------------------------------------------------------------------
% File     : GRP080-1 : TPTP v2.6.0. Bugfixed v2.3.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in double division and identity
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of double 
%            division and identity.

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 3.5.5 [McC93]

% Status   : unsatisfiable
% Rating   : 0.00 v2.3.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   5 unit;   4 RR)
%            Number of literals   :   23 (  23 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   6 constant; 0-2 arity)
%            Number of variables  :   27 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
% Bugfixes : v2.3.0 - Deleted double_division, added multiply and inverse,
%            fixed prove_these_axioms.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(double_divide(double_divide(identity,double_divide(X,
double_divide(Y,identity))),double_divide(double_divide(Y,
double_divide(Z,X)),identity)),Z)]).

%----Definition of multiply 
input_clause(multiply,axiom,
    [++equal(multiply(X,Y),double_divide(double_divide(Y,X),identity))]).

%----Definition of inverse 
input_clause(inverse,axiom,
    [++equal(inverse(X),double_divide(X,identity))]).

%----Definition of identity 
input_clause(identity,axiom,
    [++equal(identity,double_divide(X,inverse(X)))]).

%----Substitution axioms 
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(double_divide_substitution1,axiom,
    [--equal(X,Y),
     ++equal(double_divide(X,W),double_divide(Y,W))]).

input_clause(double_divide_substitution2,axiom,
    [--equal(X,Y),
     ++equal(double_divide(W,X),double_divide(W,Y))]).

input_clause(prove_these_axioms,conjecture,
    [--equal(multiply(inverse(a1),a1),identity),
     --equal(multiply(identity,a2),a2),
     --equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3)))]).
%--------------------------------------------------------------------------
