%--------------------------------------------------------------------------
% File     : GRP092-1 : TPTP v2.6.0. Bugfixed v2.3.0.
% Domain   : Group Theory (Abelian)
% Problem  : Single axiom for Abelian group theory, in division
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for Abelian group theory, in terms 
%            of division

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 3.8.4 [McC93]

% Status   : unsatisfiable
% Rating   : 0.12 v2.6.0, 0.00 v2.3.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   5 unit;   4 RR)
%            Number of literals   :   24 (  24 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   11 (   8 constant; 0-2 arity)
%            Number of variables  :   31 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
% Bugfixes : v2.3.0 - Deleted division, added multiply and inverse.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(divide(divide(X,Y),divide(divide(X,Z),Y)),Z)]).

%----Definition of multiply
input_clause(multiply,axiom,
    [++equal(multiply(X,Y),divide(X,divide(divide(Z,Z),Y)))]).

%----Definition of inverse
input_clause(inverse,axiom,
    [++equal(inverse(X),divide(divide(Z,Z),X))]).

%----Definition of identity
input_clause(identity,axiom,
    [++equal(identity,divide(X,X))]).

%----Substitution axioms 
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(divide_substitution1,axiom,
    [--equal(X,Y),
     ++equal(divide(X,W),divide(Y,W))]).

input_clause(divide_substitution2,axiom,
    [--equal(X,Y),
     ++equal(divide(W,X),divide(W,Y))]).

input_clause(prove_these_axioms,conjecture,
    [--equal(multiply(inverse(a1),a1),multiply(inverse(b1),b1)),
     --equal(multiply(multiply(inverse(b2),b2),a2),a2),
     --equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3))),
     --equal(multiply(X,Y),multiply(Y,X))]).
%--------------------------------------------------------------------------
