%--------------------------------------------------------------------------
% File     : GRP166-3 : TPTP v2.6.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Multiplication with a positive element increases a value
% Version  : [Fuc94] (equality) axioms. 
%            Theorem formulation : Uses a different positive element.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : lat3a [Sch95] 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   28 (   0 non-Horn;  19 unit;   6 RR)
%            Number of literals   :   38 (  38 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(lat3a_1,hypothesis,
    [++equal(least_upper_bound(a,identity),a)]).

input_clause(lat3a_2,hypothesis,
    [++equal(least_upper_bound(b,identity),b)]).

input_clause(prove_lat3a,conjecture,
    [--equal(least_upper_bound(a,multiply(b,a)),multiply(b,a))]).
%--------------------------------------------------------------------------
