%--------------------------------------------------------------------------
% File     : GRP178-2 : TPTP v2.6.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : A consequence of monotonicity
% Version  : [Fuc94] (equality) axioms.
%            Theorem formulation : Dual.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p09b [Sch95] 

% Status   : unsatisfiable
% Rating   : 0.45 v2.6.0, 0.33 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1, 0.67 v2.2.0, 0.71 v2.1.0, 0.43 v2.0.0
% Syntax   : Number of clauses    :   30 (   0 non-Horn;  21 unit;   8 RR)
%            Number of literals   :   40 (  40 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p09b_1,hypothesis,
    [++equal(greatest_lower_bound(identity,a),identity)]).

input_clause(p09b_2,hypothesis,
    [++equal(greatest_lower_bound(identity,b),identity)]).

input_clause(p09b_3,hypothesis,
    [++equal(greatest_lower_bound(identity,c),identity)]).

input_clause(p09b_4,hypothesis,
    [++equal(greatest_lower_bound(a,b),identity)]).

input_clause(prove_p09b,conjecture,
    [--equal(greatest_lower_bound(a,multiply(b,c)),
greatest_lower_bound(a,c))]).
%--------------------------------------------------------------------------
