%--------------------------------------------------------------------------
% File     : GRP198-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Group Theory (Cancellative semigroups)
% Problem  : In cancellative semigroups, xyyyxy=yyyyxx -> babbba=aabbbb.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : CS-8 [MP96]

% Status   : unsatisfiable
% Rating   : 0.75 v2.6.0, 0.67 v2.5.0, 0.75 v2.4.0, 1.00 v2.2.1
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   23 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : The original CS-8 uses a nonstandard form of cancellation. That's
%            been fixed here.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include cancellative semigroups axioms
include('Axioms/GRP008-0.ax').
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
%----Hypothesis:
input_clause(condition,hypothesis,
    [++equal(multiply(X,multiply(Y,multiply(Y,multiply(Y,multiply(X,Y))))),
multiply(Y,multiply(Y,multiply(Y,multiply(Y,multiply(X,X))))))]).

%----Denial of conclusion:
input_clause(prove_this,conjecture,
    [--equal(multiply(b,multiply(a,multiply(b,multiply(b,multiply(b,a))))),
multiply(a,multiply(a,multiply(b,multiply(b,multiply(b,b))))))]).
%--------------------------------------------------------------------------
