%--------------------------------------------------------------------------
% File     : GRP199-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Group Theory (Cancellative semigroups)
% Problem  : Nilpotent CS satisfy the quotient condition.
% Version  : [MP96] (equality) axioms.
% English  : Nilpotent cancellative semigroups satisfy the quotient condition.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : CS-13 [MP96]

% Status   : unsatisfiable
% Rating   : 0.75 v2.6.0, 0.67 v2.5.0, 0.75 v2.4.0, 1.00 v2.2.1
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   7 unit;   8 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   8 constant; 0-2 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Cancellative semigroups axioms
include('Axioms/GRP008-0.ax').
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
%----Nilpotency:
input_clause(nilpotency,hypothesis,
    [++equal(multiply(X,multiply(Y,multiply(Z,multiply(Y,X)))),
multiply(Y,multiply(X,multiply(Z,multiply(X,Y)))))]).

%----Denial of the quotient condition.
input_clause(prove_quotient1,conjecture,
    [++equal(multiply(b,b0),multiply(a,a0))]).

input_clause(prove_quotient2,conjecture,
    [++equal(multiply(d,b0),multiply(c,a0))]).

input_clause(prove_quotient3,conjecture,
    [++equal(multiply(b,d0),multiply(a,c0))]).

input_clause(prove_quotient4,conjecture,
    [--equal(multiply(d,d0),multiply(c,c0))]).
%--------------------------------------------------------------------------
