%--------------------------------------------------------------------------
% File     : GRP200-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Group Theory (Loops)
% Problem  : In Loops, Moufang-1 => Moufang-2.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [Wos96] Wos (1996), OTTER and the Moufang Identity Problem
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : MFL-1 [MP96]
%          : - [Wos96]

% Status   : unsatisfiable
% Rating   : 0.27 v2.6.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  11 unit;   5 RR)
%            Number of literals   :   32 (  32 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   4 constant; 0-2 arity)
%            Number of variables  :   43 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(left_division_substitution_1,axiom,
    [--equal(A,B),
     ++equal(left_division(A,C),left_division(B,C))]).

input_clause(left_division_substitution_2,axiom,
    [--equal(A,B),
     ++equal(left_division(C,A),left_division(C,B))]).

input_clause(left_inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(left_inverse(A),left_inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

input_clause(right_division_substitution_1,axiom,
    [--equal(A,B),
     ++equal(right_division(A,C),right_division(B,C))]).

input_clause(right_division_substitution_2,axiom,
    [--equal(A,B),
     ++equal(right_division(C,A),right_division(C,B))]).

input_clause(right_inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(right_inverse(A),right_inverse(B))]).

%----Loop axioms:
input_clause(left_identity,axiom,
    [++equal(multiply(identity,X),X)]).

input_clause(right_identity,axiom,
    [++equal(multiply(X,identity),X)]).

input_clause(multiply_left_division,axiom,
    [++equal(multiply(X,left_division(X,Y)),Y)]).

input_clause(left_division_multiply,axiom,
    [++equal(left_division(X,multiply(X,Y)),Y)]).

input_clause(multiply_right_division,axiom,
    [++equal(multiply(right_division(X,Y),Y),X)]).

input_clause(right_division_multiply,axiom,
    [++equal(right_division(multiply(X,Y),Y),X)]).

input_clause(right_inverse,axiom,
    [++equal(multiply(X,right_inverse(X)),identity)]).

input_clause(left_inverse,axiom,
    [++equal(multiply(left_inverse(X),X),identity)]).

%----Moufang-1:
input_clause(moufang1,axiom,
    [++equal(multiply(multiply(X,multiply(Y,Z)),X),multiply(multiply(X,Y),
multiply(Z,X)))]).

%----Denial of Moufang-2:
input_clause(prove_moufang2,conjecture,
    [--equal(multiply(multiply(multiply(a,b),c),b),
multiply(a,multiply(b,multiply(c,b))))]).
%--------------------------------------------------------------------------
