%--------------------------------------------------------------------------
% File     : GRP501-1 : TPTP v2.6.0. Released v2.6.0.
% Domain   : Group Theory
% Problem  : Axiom for group theory, in double division and inverse, part 3
% Version  : [McC93] (equality) axioms.
% English  : 

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.09 v2.6.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   4 unit;   4 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   26 (   0 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : A UEQ part of GRP082-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(double_divide(inverse(A),inverse(double_divide(inverse(double_divide(A,double_divide(B,C))),double_divide(D,double_divide(B,D))))),C)]).

input_clause(multiply,axiom,
    [++equal(multiply(A,B),inverse(double_divide(B,A)))]).

input_clause(inverse_substitution,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

input_clause(double_divide_substitution1,axiom,
    [--equal(A,B),
     ++equal(double_divide(A,C),double_divide(B,C))]).

input_clause(double_divide_substitution2,axiom,
    [--equal(A,B),
     ++equal(double_divide(C,A),double_divide(C,B))]).

input_clause(prove_these_axioms_3,conjecture,
    [--equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3)))]).
%--------------------------------------------------------------------------
