%--------------------------------------------------------------------------
% File     : GRP545-1 : TPTP v2.6.0. Released v2.6.0.
% Domain   : Group Theory (Abelian)
% Problem  : Axiom for Abelian group theory, in division and identity, part 1
% Version  : [McC93] (equality) axioms.
% English  : 

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   21 (  21 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   27 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : A UEQ part of GRP094-1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(divide(divide(identity,divide(A,B)),divide(divide(B,C),A)),C)]).

input_clause(multiply,axiom,
    [++equal(multiply(A,B),divide(A,divide(identity,B)))]).

input_clause(inverse,axiom,
    [++equal(inverse(A),divide(identity,A))]).

input_clause(identity,axiom,
    [++equal(identity,divide(A,A))]).

input_clause(inverse_substitution,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

input_clause(divide_substitution1,axiom,
    [--equal(A,B),
     ++equal(divide(A,C),divide(B,C))]).

input_clause(divide_substitution2,axiom,
    [--equal(A,B),
     ++equal(divide(C,A),divide(C,B))]).

input_clause(prove_these_axioms_1,conjecture,
    [--equal(multiply(inverse(a1),a1),multiply(inverse(b1),b1))]).
%--------------------------------------------------------------------------
