%--------------------------------------------------------------------------
% File     : HAL001+1 : TPTP v2.6.0. Released v2.6.0.
% Domain   : Homological Algebra
% Problem  : Short Five Lemma, Part 1
% Version  : [TPTP] axioms.
% English  :

% Refs     : [Wei94] Weibel (1994), An Introduction to Homological Algebra
% Source   : [TPTP]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.6.0
% Syntax   : Number of formulae    :   53 (  19 unit)
%            Number of atoms       :  141 (  47 equality)
%            Maximal formula depth :   16 (   5 average)
%            Number of connectives :   88 (   0 ~  ;   0  |;  44  &)
%                                         (   2 <=>;  42 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 1-4 arity)
%            Number of functors    :   17 (  14 constant; 0-3 arity)
%            Number of variables   :  143 (   0 singleton; 139 !;   4 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include Standard homological algebra axioms
include('Axioms/HAL001+0.ax').
include('Axioms/HAL001+0.eq').
%--------------------------------------------------------------------------
input_formula(alpha_morphism,axiom,(
    morphism(alpha,a,b)   )).

input_formula(beta_morphism,axiom,(
    morphism(beta,b,c)   )).

input_formula(gamma_morphism,axiom,(
    morphism(gamma,d,e)   )).

input_formula(delta_morphism,axiom,(
    morphism(delta,e,r)   )).

input_formula(f_morphism,axiom,(
    morphism(f,a,d)   )).

input_formula(g_morphism,axiom,(
    morphism(g,b,e)   )).

input_formula(h_morphism,axiom,(
    morphism(h,c,r)   )).

input_formula(alpha_injection,axiom,(
    injection(alpha)   )).

input_formula(gamma_injection,axiom,(
    injection(gamma)   )).

input_formula(beta_surjection,axiom,(
    surjection(beta)   )).

input_formula(delta_surjection,axiom,(
    surjection(delta)   )).

input_formula(alpha_beta_exact,axiom,(
    exact(alpha,beta)   )).

input_formula(gamma_delta_exact,axiom,(
    exact(gammma,delta)   )).

input_formula(alpha_g_f_gamma_commute,axiom,(
    commute(alpha,g,f,gamma)   )).

input_formula(beta_h_g_delta_commute,axiom,(
    commute(beta,h,g,delta)   )).

input_formula(f_injection,hypothesis,(
    injection(f)   )).

input_formula(h_injection,hypothesis,(
    injection(h)   )).

input_formula(g_injection,conjecture,(
    injection(g)   )).
%--------------------------------------------------------------------------
