%--------------------------------------------------------------------------
% File     : HAL002+1 : TPTP v2.6.0. Released v2.6.0.
% Domain   : Homological Algebra
% Problem  : Equivalence of injection axioms
% Version  : [TPTP] axioms.
% English  :

% Refs     : [Wei94] Weibel (1994), An Introduction to Homological Algebra
% Source   : [TPTP]
% Names    :

% Status   : theorem
% Rating   : 0.67 v2.6.0
% Syntax   : Number of formulae    :   39 (   2 unit)
%            Number of atoms       :  136 (  51 equality)
%            Maximal formula depth :   16 (   7 average)
%            Number of connectives :   97 (   0 ~  ;   0  |;  48  &)
%                                         (   3 <=>;  46 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-4 arity)
%            Number of functors    :    6 (   3 constant; 0-3 arity)
%            Number of variables   :  151 (   0 singleton; 147 !;   4 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include Standard homological algebra axioms
include('Axioms/HAL001+0.ax').
include('Axioms/HAL001+0.eq').
%--------------------------------------------------------------------------
%----Alternative defn of injection
input_formula(injection_properties_2,axiom,(
    ! [Morphism,Dom,Cod] : 
      ( ( injection_2(Morphism)
        & morphism(Morphism,Dom,Cod) )
     => ! [El] : 
          ( ( element(El,Dom)
            & equal(apply(Morphism,El),zero(Cod)) )
         => equal(El,zero(Dom)) ) )   )).

input_formula(properties_for_injection_2,axiom,(
    ! [Morphism,Dom,Cod] : 
      ( ( morphism(Morphism,Dom,Cod)
        & ! [El] : 
            ( ( element(El,Dom)
              & equal(apply(Morphism,El),zero(Cod)) )
           => equal(El,zero(Dom)) ) )
     => injection_2(Morphism) )   )).

input_formula(x_morphism,hypothesis,(
    morphism(x,any1,any2)   )).

input_formula(my,conjecture,(
    ( injection(x)
  <=> injection_2(x) )   )).
%--------------------------------------------------------------------------
