%--------------------------------------------------------------------------
% File     : HEN008-4 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= Y => X/Z <= Y/Z
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;  11 unit;  12 RR)
%            Number of literals   :   40 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :   43 (   5 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
include('Axioms/HEN002-0.eq').
%--------------------------------------------------------------------------
input_clause(everything_divide_id_is_zero,axiom,
    [++equal(divide(X,identity),zero)]).

input_clause(zero_divide_anything_is_zero,axiom,
    [++equal(divide(zero,X),zero)]).

input_clause(x_divide_x_is_zero,axiom,
    [++equal(divide(X,X),zero)]).

input_clause(x_divide_zero_is_x,axiom,
    [++equal(divide(a,zero),a)]).

input_clause(transitivity_of_less_equal,axiom,
    [--less_equal(X,Y),
     --less_equal(Y,Z),
     ++less_equal(X,Z)]).

input_clause(property_of_divide1,axiom,
    [--less_equal(divide(X,Y),Z),
     ++less_equal(divide(X,Z),Y)]).

input_clause(property_of_divide2,axiom,
    [--less_equal(X,Y),
     ++less_equal(divide(Z,Y),divide(Z,X))]).

input_clause(a_LE_b,hypothesis,
    [++less_equal(a,b)]).

input_clause(prove_a_divide_c_LE_b_divide_c,conjecture,
    [--less_equal(divide(a,c),divide(b,c))]).
%--------------------------------------------------------------------------
