%--------------------------------------------------------------------------
% File     : HWV007-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Hardware Verification
% Problem  : A fulladder built from two halfadders and an or gate
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.33 v2.5.0, 0.20 v2.4.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   56 (   3 non-Horn;   9 unit;  56 RR)
%            Number of literals   :  139 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    5 (   0 propositional; 2-2 arity)
%            Number of functors   :   21 (  13 constant; 0-2 arity)
%            Number of variables  :   52 (   3 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/HWV001-0.ax').
%----Include model of halfadder
include('Axioms/HWV001-1.ax').
%----Include model of fulladder
include('Axioms/HWV001-2.ax').
%--------------------------------------------------------------------------
%----Observations
input_clause(f_isa_fulladder,hypothesis,
    [++type(f,fulladder)]).

input_clause(in1_1,hypothesis,
    [++value(in(1,f),0)]).

input_clause(in2_0,hypothesis,
    [++value(in(2,f),1)]).

input_clause(inc_1,hypothesis,
    [++value(in(c,f),1)]).

input_clause(outs_1,hypothesis,
    [++value(out(s,f),1)]).

input_clause(outc_0,hypothesis,
    [++value(out(c,f),0)]).

%----Minimal diagnosis
input_clause(diagnosis_and2h1,conjecture,
    [--mode(and2(h1(f)),abnormal)]).

input_clause(diagnosis_or1_and1h1,conjecture,
    [--mode(or1(f),abnormal), 
     --mode(and1(h1(f)),abnormal)]).

input_clause(diagnosis_or1_not1h1,conjecture,
    [--mode(or1(f),abnormal), 
         --mode(not1(h1(f)),abnormal)]).

input_clause(diagnosis_or1_and1h2,conjecture,
    [--mode(or1(f),abnormal), 
     --mode(and1(h2(f)),abnormal)]).

input_clause(diagnosis_or1_or1h2,conjecture,
    [--mode(or1(f),abnormal), 
     --mode(or1(h2(f)),abnormal)]).
%--------------------------------------------------------------------------
