%--------------------------------------------------------------------------
% File     : HWV007-2 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Hardware Verification
% Problem  : A fulladder built from two halfadders and an or gate
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.33 v2.5.0, 0.20 v2.4.0, 0.00 v2.1.0
% Syntax   : Number of clauses    :   62 (   5 non-Horn;   7 unit;  62 RR)
%            Number of literals   :  144 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   12 (   0 propositional; 1-2 arity)
%            Number of functors   :   13 (   1 constant; 0-1 arity)
%            Number of variables  :   55 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/HWV002-0.ax').
%----Include model of halfadder
include('Axioms/HWV002-1.ax').
%----Include model of fulladder
include('Axioms/HWV002-2.ax').
%--------------------------------------------------------------------------
%----Observations
input_clause(f_isa_fulladder,hypothesis,
    [++fulladder(f)]).

input_clause(in1_1,hypothesis,
    [++zero(in1(f))]).

input_clause(in2_0,hypothesis,
    [++one(in2(f))]).

input_clause(inc_1,hypothesis,
    [++one(inc(f))]).

input_clause(outs_1,hypothesis,
    [++one(outs(f))]).

input_clause(outc_0,hypothesis,
    [++zero(outc(f))]).

%----Minimal diagnosis
input_clause(diagnosis_and2h1,conjecture,
    [--abnormal(and2(h1(f)))]).

input_clause(diagnosis_or1_and1h1,conjecture,
    [--abnormal(or1(f)),
     --abnormal(and1(h1(f)))]).

input_clause(diagnosis_or1_not1h1,conjecture,
    [--abnormal(or1(f)),
     --abnormal(not1(h1(f)))]).

input_clause(diagnosis_or1_and1h2,conjecture,
    [--abnormal(or1(f)),
     --abnormal(and1(h2(f)))]).

input_clause(diagnosis_or1_or1h2,conjecture,
    [--abnormal(or1(f)),
     --abnormal(or1(h2(f)))]).
%--------------------------------------------------------------------------
