%--------------------------------------------------------------------------
% File     : HWV008-1.001 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Hardware Verification
% Problem  : 1 bit ripple carry adder
% Version  : [Gei96] axioms.
% English  :

% Refs     : [Gei96] Geisler (1996), Email to G. Sutcliffe
% Source   : [Gei96]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.12 v2.6.0, 0.00 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses    :   60 (   3 non-Horn;  11 unit;  60 RR)
%            Number of literals   :  145 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    5 (   0 propositional; 2-2 arity)
%            Number of functors   :   25 (  15 constant; 0-2 arity)
%            Number of variables  :   58 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include basic diagnosis axioms
include('Axioms/HWV001-0.ax').
%----Include model of halfadder
include('Axioms/HWV001-1.ax').
%----Include model of fulladder
include('Axioms/HWV001-2.ax').
%--------------------------------------------------------------------------
%----Composition of 1-bit adder
input_clause(nbit_adder_fulladder1,axiom,
    [--type(X,nbit_adder(1)),
     ++type(v(1,X),fulladder)]).

%----Connections of 1-bit adder
input_clause(nbit_adder_connection_out1_out1v1,axiom,
    [--type(X,nbit_adder(1)),
     ++connection(out(1,X),out(s,v(1,X)))]).

input_clause(nbit_adder_connection_outc_outcv1,axiom,
    [--type(X,nbit_adder(1)),
     ++connection(out(c,X),out(c,v(1,X)))]).

input_clause(nbit_adder_connection_ina1_in1v1,axiom,
    [--type(X,nbit_adder(1)),
     ++connection(in(a1,X),in(1,v(1,X)))]).

input_clause(nbit_adder_connection_inb1_in2v1,axiom,
    [--type(X,nbit_adder(1)),
     ++connection(in(b1,X),in(2,v(1,X)))]).

input_clause(nbit_adder_connection_inc_incv1,axiom,
    [--type(X,nbit_adder(1)),
     ++connection(in(c,X),in(c,v(1,X)))]).

%----Observations
input_clause(a_isa_1bit_adder,hypothesis,
    [++type(a,nbit_adder(1))]).

input_clause(ina1_0,hypothesis,
    [++value(in(a1,a),0)]).

input_clause(inb1_0,hypothesis,
    [++value(in(b1,a),0)]).

input_clause(inc_0,hypothesis,
    [++value(in(c,a),0)]).

input_clause(out1_0,hypothesis,
    [++value(out(1,a),0)]).

input_clause(outc_0,hypothesis,
    [++value(out(c,a),1)]).

%----Minimal diagnosis
input_clause(diagnosis_or1v1,conjecture,
    [--mode(or1(v(1,a)),abnormal)]).

input_clause(diagnosis_and2h1v1,conjecture,
    [--mode(and2(h1(v(1,a))),abnormal)]).

input_clause(diagnosis_and2h2v1,conjecture,
    [--mode(and2(h2(v(1,a))),abnormal)]).
%--------------------------------------------------------------------------
