%--------------------------------------------------------------------------
% File     : LAT008-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Lattice Theory (Distributive lattices)
% Problem  : Sholander's basis for distributive lattices, part 5 (of 6).
% Version  : [MP96] (equality) axioms.
% English  : This is part of the proof that Sholanders 2-basis for
%            distributive lattices is correct. Here we prove the absorption 
%            law  x v (x ^ y) = x.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : LT-3-f [MP96]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   23 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(join_substitution1,axiom,
    [--equal(D,E),
     ++equal(join(D,F),join(E,F))]).

input_clause(join_substitution2,axiom,
    [--equal(G,H),
     ++equal(join(I,G),join(I,H))]).

input_clause(meet_substitution1,axiom,
    [--equal(J,K),
     ++equal(meet(J,L),meet(K,L))]).

input_clause(meet_substitution2,axiom,
    [--equal(M,N),
     ++equal(meet(O,M),meet(O,N))]).

%----Sholander's 2-basis for distributive lattices:
input_clause(absorption,axiom,
    [++equal(meet(X,join(X,Y)),X)]).

input_clause(distribution,axiom,
    [++equal(meet(X,join(Y,Z)),join(meet(Z,X),meet(Y,X)))]).

%----Denial of the conclusion:
input_clause(prove_absorbtion_dual,conjecture,
    [--equal(join(a,meet(a,b)),a)]).
%--------------------------------------------------------------------------
