%--------------------------------------------------------------------------
% File     : LAT011-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Lattice Theory
% Problem  : Uniqueness of meet (dually join) in lattice theory
% Version  : [MP96] (equality) axioms : Especial.
% English  : Let's say we have a lattice with two meet operations, say
%            meet1 and meet2.  In other words, {join,meet1} is a lattice,
%            and {join,meet2} is a lattice.  Then, we can prove that the
%            two meet operations are really the same.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : LT-8 [MP96]

% Status   : unsatisfiable
% Rating   : 0.09 v2.6.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   23 (   0 non-Horn;  15 unit;   3 RR)
%            Number of literals   :   32 (  32 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   50 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : For quasilattice, meet (dually join) is not necessarily unique.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(meet2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(meet2(A,C),meet2(B,C))]).

input_clause(meet2_substitution_2,axiom,
    [--equal(A,B),
     ++equal(meet2(C,A),meet2(C,B))]).

%----{join,meet2} is a lattice:
input_clause(idempotence_of_meet2,axiom,
    [++equal(meet2(X,X),X)]).

input_clause(commutativity_of_meet2,axiom,
    [++equal(meet2(X,Y),meet2(Y,X))]).

input_clause(absorption1_2,axiom,
    [++equal(meet2(X,join(X,Y)),X)]).

input_clause(absorption2_2,axiom,
    [++equal(join(X,meet2(X,Y)),X)]).

input_clause(associativity_of_meet2,axiom,
    [++equal(meet2(meet2(X,Y),Z),meet2(X,meet2(Y,Z)))]).

%----Denial that meet1 and meet2 are the same:
input_clause(prove_meets_are_same,conjecture,
    [--equal(meet(a,b),meet2(a,b))]).
%--------------------------------------------------------------------------
