%--------------------------------------------------------------------------
% File     : LAT013-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Lattice Theory
% Problem  : McKenzie's 4-basis for lattice theory, part 2 (of 3)
% Version  : [MP96] (equality) axioms.
% English  : This is part of a proof that McKenzie's 4-basis axiomatizes
%            lattice theory.  We prove half of the standard basis.
%            The other half follows by duality.  In this part we prove
%            associativity of meet.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : LT-9-b [MP96]

% Status   : unsatisfiable
% Rating   : 0.18 v2.6.0, 0.17 v2.5.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   6 unit;   3 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   30 (   8 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_clause(join_substitution1,axiom,
    [--equal(D,E),
     ++equal(join(D,F),join(E,F))]).

input_clause(join_substitution2,axiom,
    [--equal(G,H),
     ++equal(join(I,G),join(I,H))]).

input_clause(meet_substitution1,axiom,
    [--equal(J,K),
     ++equal(meet(J,L),meet(K,L))]).

input_clause(meet_substitution2,axiom,
    [--equal(M,N),
     ++equal(meet(O,M),meet(O,N))]).

%----McKenzie's self-dual (independent) absorptive 4-basis for lattice theory.
input_clause(mckenzie1,axiom,
    [++equal(join(X,meet(Y,meet(X,Z))),X)]).

input_clause(mckenzie2,axiom,
    [++equal(meet(X,join(Y,join(X,Z))),X)]).

input_clause(mckenzie3,axiom,
    [++equal(join(join(meet(X,Y),meet(Y,Z)),Y),Y)]).

input_clause(mckenzie4,axiom,
    [++equal(meet(meet(join(X,Y),join(Y,Z)),Y),Y)]).

%----Denial of conclusion:
input_clause(prove_associativity_of_meet,conjecture,
    [--equal(meet(meet(a,b),c),meet(a,meet(b,c)))]).
%--------------------------------------------------------------------------
