%--------------------------------------------------------------------------
% File     : LAT019-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Lattice Theory (Quasilattices)
% Problem  : In quasilattices, a distributive law implies its dual.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : QLT-2 [MP96]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   17 (   0 non-Horn;  11 unit;   3 RR)
%            Number of literals   :   24 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   39 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Quasilattice theory (equality) axioms
include('Axioms/LAT004-0.ax').
%--------------------------------------------------------------------------
%----A distributivity law:
input_clause(distributivity_law,hypothesis,
    [++equal(meet(X,join(Y,Z)),join(meet(X,Y),meet(X,Z)))]).

%----Denial of the corresponding dual distributivity law:
input_clause(prove_distributivity_law_dual,conjecture,
    [--equal(join(a,meet(b,c)),meet(join(a,b),join(a,c)))]).
%--------------------------------------------------------------------------
