%--------------------------------------------------------------------------
% File     : LAT021-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Lattice Theory (Quasilattices)
% Problem  : Bowden's inequality gives distributivity in lattice theory.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : QLT-4 [MP96]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   17 (   0 non-Horn;  11 unit;   3 RR)
%            Number of literals   :   24 (  24 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   39 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : Bowden's inequality is written as an equation.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Quasilattice theory (equality) axioms
include('Axioms/LAT004-0.ax').
%--------------------------------------------------------------------------
%----Bowden's inequality (as an equation):
input_clause(bowden,hypothesis,
    [++equal(join(join(X,meet(Y,Z)),meet(join(X,Y),Z)),join(X,meet(Y,Z)))]).

%----Denial of distributivity:
input_clause(prove_distributivity,conjecture,
    [--equal(meet(a,join(b,c)),join(meet(a,b),meet(a,c)))]).
%--------------------------------------------------------------------------
