%--------------------------------------------------------------------------
% File     : LAT024-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Lattice Theory (Quasilattices)
% Problem  : Meet (dually join) is not necessarily unique for quasilattices.
% Version  : [MP96] (equality) axioms.
% English  : Let's say we have a quasilattice with two meet operations, say
%            meet1 and meet2.  In other words, {join,meet1} is a lattice,
%            and {join,meet2} is a lattice.  Then, we can show that the
%            two meet operations not necessarily the same.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : QLT-7 [MP96]

% Status   : satisfiable
% Rating   : 0.33 v2.4.0, 0.67 v2.3.0, 1.00 v2.2.1
% Syntax   : Number of clauses    :   23 (   0 non-Horn;  15 unit;   3 RR)
%            Number of literals   :   32 (  32 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   54 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : There is a 2-element model.
%          : For lattices meet (dually join) is unique.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Quasilattice theory (equality) axioms
include('Axioms/LAT004-0.ax').
%--------------------------------------------------------------------------
%----{join,meet2} is a quasilattice:
input_clause(idempotence_of_meet2,axiom,
    [++equal(meet2(X,X),X)]).

input_clause(commutativity_of_meet2,axiom,
    [++equal(meet2(X,Y),meet2(Y,X))]).

input_clause(associativity_of_meet2,axiom,
    [++equal(meet2(meet2(X,Y),Z),meet2(X,meet2(Y,Z)))]).

input_clause(quasi_lattice1_2,axiom,
    [++equal(join(meet2(X,join(Y,Z)),meet2(X,Y)),meet2(X,join(Y,Z)))]).

input_clause(quasi_lattice2_2,axiom,
    [++equal(meet2(join(X,meet2(Y,Z)),join(X,Y)),join(X,meet2(Y,Z)))]).

input_clause(meet2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(meet2(A,C),meet2(B,C))]).

input_clause(meet2_substitution_2,axiom,
    [--equal(A,B),
     ++equal(meet2(C,A),meet2(C,B))]).

%----Denial that meet1 and meet2 are the same:
input_clause(prove_meets_equal,conjecture,
    [--equal(meet(a,b),meet2(a,b))]).
%--------------------------------------------------------------------------
