%--------------------------------------------------------------------------
% File     : LAT026-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : WAL + absorption gives LT, part 1.
% Version  : [MP96] (equality) axioms.
% English  : A Weakly associative lattice (WAL) satisfying an absorption
%            law is associative, and therefore a full lattice, part 1.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : WAL-1-a [MP96]

% Status   : unsatisfiable
% Rating   : 0.09 v2.6.0, 0.00 v2.4.0, 0.00 v2.2.1
% Syntax   : Number of clauses    :   15 (   0 non-Horn;   9 unit;   3 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   33 (   6 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Weakly Associative Lattices theory (equality) axioms
include('Axioms/LAT005-0.ax').
%--------------------------------------------------------------------------
%----An absorption law.
input_clause(absorbtion,hypothesis,
    [++equal(meet(X,join(Y,join(X,Z))),X)]).

%----Denial of associativity of meet:
input_clause(prove_associativity_of_meet,conjecture,
    [--equal(meet(meet(a,b),c),meet(a,meet(b,c)))]).
%--------------------------------------------------------------------------
