%--------------------------------------------------------------------------
% File     : LAT028-1 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Uniqueness of meet (dually join) in WAL
% Version  : [MP96] (equality) axioms.
% English  : Let's say we have a weakly-associative lattice (WAL) with 2 meet
%            operations, say meet1 and meet2.  In other words, {join,meet1}
%            is a WAL, and {join,meet2} is a WAL.  Then, we can prove that the
%            two meet operations are really the same.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : WAL-2 [MP96]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  12 unit;   3 RR)
%            Number of literals   :   29 (  29 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   45 (   8 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include Weakly Associative Lattices theory (equality) axioms
include('Axioms/LAT005-0.ax').
%--------------------------------------------------------------------------
%----{join,meet2} is a weakly-associative lattice:
input_clause(idempotence_of_meet2,axiom,
    [++equal(meet2(X,X),X)]).

input_clause(commutativity_of_meet2,axiom,
    [++equal(meet2(X,Y),meet2(Y,X))]).

input_clause(wal_1_2,axiom,
    [++equal(meet2(meet2(join(X,Y),join(Z,Y)),Y),Y)]).

input_clause(wal_2_2,axiom,
    [++equal(join(join(meet2(X,Y),meet2(Z,Y)),Y),Y)]).

input_clause(meet2_substitution_1,axiom,
    [--equal(A,B),
     ++equal(meet2(A,C),meet2(B,C))]).

input_clause(meet2_substitution_2,axiom,
    [--equal(A,B),
     ++equal(meet2(C,A),meet2(C,B))]).

%----Denial of meet=meet2:
input_clause(name,conjecture,
    [--equal(meet(a,b),meet2(a,b))]).
%--------------------------------------------------------------------------
