%--------------------------------------------------------------------------
% File     : LAT033-1 : TPTP v2.6.0. Bugfixed v2.5.0.
% Domain   : Lattice Theory
% Problem  : Idempotency of join
% Version  : [McC88] (equality) axioms.
% English  :

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : idemp_of_join [DeN00]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   14 (   0 non-Horn;   8 unit;   3 RR)
%            Number of literals   :   21 (  21 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   1 constant; 0-2 arity)
%            Number of variables  :   32 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.5.0 - Used axioms without the conjecture
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice theory axioms
%include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(absorption1,axiom,
    [++equal(meet(X,join(X,Y)),X)]).

input_clause(absorption2,axiom,
    [++equal(join(X,meet(X,Y)),X)]).

input_clause(commutativity_of_meet,axiom,
    [++equal(meet(X,Y),meet(Y,X))]).

input_clause(commutativity_of_join,axiom,
    [++equal(join(X,Y),join(Y,X))]).

input_clause(associativity_of_meet,axiom,
    [++equal(meet(meet(X,Y),Z),meet(X,meet(Y,Z)))]).

input_clause(associativity_of_join,axiom,
    [++equal(join(join(X,Y),Z),join(X,join(Y,Z)))]).

%----Substitution axioms
input_clause(join_substitution1,axiom,
    [--equal(D,E),
     ++equal(join(D,F),join(E,F))]).

input_clause(join_substitution2,axiom,
    [--equal(G,H),
     ++equal(join(I,G),join(I,H))]).

input_clause(meet_substitution1,axiom,
    [--equal(J,K),
     ++equal(meet(J,L),meet(K,L))]).

input_clause(meet_substitution2,axiom,
    [--equal(M,N),
     ++equal(meet(O,M),meet(O,N))]).

input_clause(idempotence_of_join,conjecture,
    [--equal(join(xx,xx),xx)]).
%--------------------------------------------------------------------------
