%--------------------------------------------------------------------------
% File     : LAT035-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Composition to form a join hemimorphism
% Version  : [McC88] (equality) axioms.
% English  : In a lattice with 0,1, the composition of a unary join 
%            antihemimorphism and a lattice antimorphism is a join 
%            hemimorphism.

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-antihemi [DeN00]

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  19 unit;   8 RR)
%            Number of literals   :   40 (  40 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   51 (   4 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(x_meet_0,axiom,
    [++equal(meet(X,0),0)]).

input_clause(x_join_0,axiom,
    [++equal(join(X,0),X)]).

input_clause(x_meet_1,axiom,
    [++equal(meet(X,1),X)]).

input_clause(x_join_1,axiom,
    [++equal(join(X,1),1)]).

input_clause(modular,axiom,
    [--equal(meet(X,Z),X),
     ++equal(meet(Z,join(X,Y)),join(X,meet(Y,Z)))]).

input_clause(k_on_join,axiom,
    [++equal(k(join(U,V)),meet(k(U),k(V)))]).

input_clause(k_on_meet,axiom,
    [++equal(k(meet(U,V)),join(k(U),k(V)))]).

input_clause(k_on_bottom,axiom,
    [++equal(k(0),1)]).

input_clause(k_on_top,axiom,
    [++equal(k(1),0)]).

input_clause(f_on_meet,axiom,
    [++equal(f(meet(U,V)),join(f(U),f(V)))]).

input_clause(f_on_top,axiom,
    [++equal(f(1),0)]).

input_clause(k_substitution,axiom,
    [--equal(A,B),
     ++equal(k(A),k(B))]).

input_clause(f_substitution,axiom,
    [--equal(A,B),
     ++equal(f(A),f(B))]).

input_clause(comp_join_hemimorphism,conjecture,
    [--equal(f(k(join(aa,bb))),join(f(k(aa)),f(k(bb)))),
     --equal(f(k(0)),0)]).
%--------------------------------------------------------------------------
