%--------------------------------------------------------------------------
% File     : LAT036-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Property of a distributive lattive with an antimorphism
% Version  : [McC88] (equality) axioms.
% English  : In every distributive lattice with 0,1 and an antimorphism k:
%            if   k^2(a) \leq a v k(a)              and  
%                 k^3(b) \leq a v k(a)              and
%                 k^2(a) \leq k(a) v k(b) v k(c)    and
%                 k^3(b) \leq k(a) v k(b) v k(c)
%            then k^2(a v k(b)) \leq (a & k(b & c)) v k(a)

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [BV94]  Blyth & Varlet I.C. (1994), Ockham Algebras
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-antimorphism [DeN00]
%            Example 5.1 [BV94]

% Status   : unsatisfiable
% Rating   : 0.75 v2.6.0, 0.83 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of clauses    :   32 (   0 non-Horn;  24 unit;  10 RR)
%            Number of literals   :   41 (  41 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   53 (   4 singleton)
%            Maximal term depth   :    6 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(dist_join,hypothesis,
    [++equal(join(X,meet(Y,Z)),meet(join(X,Y),join(X,Z)))]).

input_clause(dist_meet,hypothesis,
    [++equal(meet(X,join(Y,Z)),join(meet(X,Y),meet(X,Z)))]).

input_clause(x_meet_0,axiom,
    [++equal(meet(X,0),0)]).

input_clause(x_join_0,axiom,
    [++equal(join(X,0),X)]).

input_clause(x_meet_1,axiom,
    [++equal(meet(X,1),X)]).

input_clause(x_join_1,axiom,
    [++equal(join(X,1),1)]).

input_clause(modular,axiom,
    [--equal(meet(X,Z),X),
     ++equal(meet(Z,join(X,Y)),join(X,meet(Y,Z)))]).

input_clause(k_on_join,axiom,
    [++equal(k(join(U,V)),meet(k(U),k(V)))]).

input_clause(k_on_meet,axiom,
    [++equal(k(meet(U,V)),join(k(U),k(V)))]).

input_clause(k_on_bottom,axiom,
    [++equal(k(0),1)]).

input_clause(k_on_top,axiom,
    [++equal(k(1),0)]).

input_clause(k_substitution,axiom,
    [--equal(A,B),
     ++equal(k(A),k(B))]).

input_clause(lhs1,hypothesis,
    [++equal(join(k(k(aa)),join(aa,k(aa))),join(aa,k(aa)))]).

input_clause(lhs2,hypothesis,
    [++equal(join(k(k(k(bb))),join(aa,k(aa))),join(aa,k(aa)))]).

input_clause(lhs3,hypothesis,
    [++equal(join(k(k(aa)),join(k(aa),join(k(bb),k(cc)))),
join(k(aa),join(k(bb),k(cc))))]).

input_clause(lhs4,hypothesis,
    [++equal(join(k(k(k(bb))),join(k(aa),join(k(bb),k(cc)))),
join(k(aa),join(k(bb),k(cc))))]).

input_clause(rhs,conjecture,
    [--equal(join(k(k(join(aa,k(bb)))),join(meet(aa,k(meet(bb,cc))),k(aa))),
join(meet(aa,k(meet(bb,cc))),k(aa)))]).
%--------------------------------------------------------------------------
