%--------------------------------------------------------------------------
% File     : LAT037-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Uniqueness of complement
% Version  : [McC88] (equality) axioms.
% English  : Distributive lattice complements are unique whenever they exist.

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-complement [DeN00]

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;  20 unit;   7 RR)
%            Number of literals   :   35 (  35 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   47 (   4 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(dist_join,hypothesis,
    [++equal(join(X,meet(Y,Z)),meet(join(X,Y),join(X,Z)))]).

input_clause(dist_meet,hypothesis,
    [++equal(meet(X,join(Y,Z)),join(meet(X,Y),meet(X,Z)))]).

input_clause(x_meet_0,axiom,
    [++equal(meet(X,0),0)]).

input_clause(x_join_0,axiom,
    [++equal(join(X,0),X)]).

input_clause(x_meet_1,axiom,
    [++equal(meet(X,1),X)]).

input_clause(x_join_1,axiom,
    [++equal(join(X,1),1)]).

input_clause(modular,axiom,
    [--equal(meet(X,Z),X),
     ++equal(meet(Z,join(X,Y)),join(X,meet(Y,Z)))]).

input_clause(lhs1,axiom,
    [++equal(join(xx,yy),1)]).

input_clause(lhs2,axiom,
    [++equal(join(xx,zz),1)]).

input_clause(lhs3,axiom,
    [++equal(meet(xx,yy),0)]).

input_clause(lhs4,axiom,
    [++equal(meet(xx,zz),0)]).

input_clause(rhs,conjecture,
    [--equal(yy,zz)]).
%--------------------------------------------------------------------------
