%--------------------------------------------------------------------------
% File     : LAT039-2 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Every distributive lattice is modular
% Version  : [McC88] (equality) axioms.
% English  : Theorem formulation : Modularity is expressed by: 
%            x <= y -> x v (y & z) = (x v y) & (x v z)

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-mod-3 [DeN00]

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   19 (   0 non-Horn;  13 unit;   4 RR)
%            Number of literals   :   26 (  26 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   40 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
input_clause(dist_join,hypothesis,
    [++equal(join(X,meet(Y,Z)),meet(join(X,Y),join(X,Z)))]).

input_clause(dist_meet,hypothesis,
    [++equal(meet(X,join(Y,Z)),join(meet(X,Y),meet(X,Z)))]).

input_clause(lhs,hypothesis,
    [++equal(join(xx,yy),yy)]).

input_clause(rhs,conjecture,
    [--equal(join(xx,meet(yy,zz)),meet(join(xx,yy),join(xx,zz)))]).
%--------------------------------------------------------------------------
