%--------------------------------------------------------------------------
% File     : LAT041-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : A hyperbase for type <2,2> lattice hyperidentities
% Version  : [PP00] axioms.
% English  : 

% Refs     : [PP00]  Padmanabhan & Penner (2000), A Hyperbase for Binary La
% Source   : [PP00]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :   31 (   0 non-Horn;  15 unit;  10 RR)
%            Number of literals   :   50 (  38 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :   15 (  11 constant; 0-3 arity)
%            Number of variables  :   73 (   2 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(big_p_substitution_1,axiom,
    [--equal(A,B),
     ++equal(big_p(A,C,D),big_p(B,C,D))]).

input_clause(big_p_substitution_2,axiom,
    [--equal(A,B),
     ++equal(big_p(C,A,D),big_p(C,B,D))]).

input_clause(big_p_substitution_3,axiom,
    [--equal(A,B),
     ++equal(big_p(C,D,A),big_p(C,D,B))]).

input_clause(big_t_substitution_1,axiom,
    [--equal(A,B),
     ++equal(big_t(A,C,D),big_t(B,C,D))]).

input_clause(big_t_substitution_2,axiom,
    [--equal(A,B),
     ++equal(big_t(C,A,D),big_t(C,B,D))]).

input_clause(big_t_substitution_3,axiom,
    [--equal(A,B),
     ++equal(big_t(C,D,A),big_t(C,D,B))]).

input_clause(plus_substitution_1,axiom,
    [--equal(A,B),
     ++equal(plus(A,C),plus(B,C))]).

input_clause(plus_substitution_2,axiom,
    [--equal(A,B),
     ++equal(plus(C,A),plus(C,B))]).

input_clause(times_substitution_1,axiom,
    [--equal(A,B),
     ++equal(times(A,C),times(B,C))]).

input_clause(times_substitution_2,axiom,
    [--equal(A,B),
     ++equal(times(C,A),times(C,B))]).

input_clause(term_substitution_1,axiom,
    [--equal(A,B),
     --term(A),
     ++term(B)]).

input_clause(big_p_term1,axiom,
    [++equal(big_p(term1,X,Y),X)]).

input_clause(big_p_term2,axiom,
    [++equal(big_p(term2,X,Y),Y)]).

input_clause(big_p_term3,axiom,
    [++equal(big_p(term3,X,Y),times(X,Y))]).

input_clause(big_p_term4,axiom,
    [++equal(big_p(term4,X,Y),times(Y,X))]).

input_clause(big_p_term5,axiom,
    [++equal(big_p(term5,X,Y),plus(X,Y))]).

input_clause(big_p_term6,axiom,
    [++equal(big_p(term6,X,Y),plus(Y,X))]).

input_clause(big_p_and_big_t,axiom,
    [++equal(big_t(W,X,Y),big_p(W,X,Y))]).

input_clause(term1,axiom,
    [++term(term1)]).

input_clause(term2,axiom,
    [++term(term2)]).

input_clause(term3,axiom,
    [++term(term3)]).

input_clause(term4,axiom,
    [++term(term4)]).

input_clause(term5,axiom,
    [++term(term5)]).

input_clause(term6,axiom,
    [++term(term6)]).

input_clause(q2,hypothesis,
    [--term(W),
     ++equal(big_p(W,big_p(W,X,Y),Z),big_p(W,X,big_p(W,Y,Z)))]).

input_clause(q5,hypothesis,
    [--term(W),
     ++equal(big_p(W,big_p(W,X,Y),big_p(W,Z,V)),
big_p(W,big_p(W,X,Z),big_p(W,Y,V)))]).

input_clause(q3,hypothesis,
    [--term(W1),
     --term(W2),
     ++equal(big_t(W1,big_p(W2,big_t(W1,X,Y),Z),big_p(W2,Y,Z)),
big_p(W2,big_t(W1,X,Y),Z))]).

input_clause(prove_q4,conjecture,
    [--equal(times(a,plus(b,times(d,times(c,e)))),
times(a,plus(b,times(plus(b,c),times(d,times(c,e))))))]).
%--------------------------------------------------------------------------
