%--------------------------------------------------------------------------
% File     : LAT042-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Lattice modularity from Boolean algebra
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
% Source   : [RW01]
% Names    : eqp-a1.in [RW01]

% Status   : unsatisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  14 unit;   3 RR)
%            Number of literals   :   27 (  27 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   40 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
% Distributivity (4)
input_clause(distributivity,axiom,
    [++equal(meet(X,join(Y,Z)),join(meet(X,Y),meet(X,Z)))]).

% Invertability (5)
input_clause(invertability1,axiom,
    [++equal(join(complement(X),X),1)]).

input_clause(invertability2,axiom,
    [++equal(meet(complement(X),X),0)]).

input_clause(invertability3,axiom,
    [++equal(complement(complement(X)),X)]).

input_clause(complement_substitution_1,axiom,
    [--equal(A,B),
     ++equal(complement(A),complement(B))]).

%----Preceding gives us Boolean Algebra
%----Denial of modular law:
input_clause(prove_modular_law,conjecture,
    [--equal(join(a,meet(b,join(a,c))),meet(join(a,b),join(a,c)))]).
%--------------------------------------------------------------------------
