%--------------------------------------------------------------------------
% File     : LAT050-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Orthomodular lattice is not modular lattice
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
%          : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [RW01]
% Names    : mace-f.in [RW01]
%          : oml-mod [EF+02]

% Status   : satisfiable
% Rating   : 0.33 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   22 (   0 non-Horn;  16 unit;   3 RR)
%            Number of literals   :   29 (  29 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   43 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : This is well known, but it is a good test problem for finite
%            model search.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Compatibility (6)
input_clause(compatibility1,axiom,
    [++equal(complement(join(X,Y)),meet(complement(X),complement(Y)))]).

input_clause(compatibility2,axiom,
    [++equal(complement(meet(X,Y)),join(complement(X),complement(Y)))]).

%----Invertability (5)
input_clause(invertability1,axiom,
    [++equal(join(complement(X),X),1)]).

input_clause(invertability2,axiom,
    [++equal(meet(complement(X),X),0)]).

input_clause(invertability3,axiom,
    [++equal(complement(complement(X)),X)]).

input_clause(complement_substitution_1,axiom,
    [--equal(A,B),
     ++equal(complement(A),complement(B))]).

%----Orthomodular law (8)
input_clause(orthomodular_law,axiom,
    [++equal(join(X,meet(complement(X),join(X,Y))),join(X,Y))]).

%----Denial of modular law:
input_clause(prove_modular_law,conjecture,
    [--equal(join(a,meet(b,join(a,c))),meet(join(a,b),join(a,c)))]).
%--------------------------------------------------------------------------
