%--------------------------------------------------------------------------
% File     : LAT052-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Modular lattice is not modular ortholattice
% Version  : [McC88] (equality) axioms.
% English  : 

% Refs     : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
%          : [RW01]  Rose & Wilkinson (2001), Application of Model Search
% Source   : [RW01]
% Names    : mace-g1.in [RW01]

% Status   : satisfiable
% Rating   : 0.33 v2.6.0, 0.67 v2.5.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;  14 unit;   3 RR)
%            Number of literals   :   27 (  27 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   40 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : First part of the problem. The second part, mace-g2.in, requires
%            MACE specific input.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Invertability (5)
input_clause(invertability1,axiom,
    [++equal(join(complement(X),X),1)]).

input_clause(invertability2,axiom,
    [++equal(meet(complement(X),X),0)]).

input_clause(invertability3,axiom,
    [++equal(complement(complement(X)),X)]).

input_clause(complement_substitution_1,axiom,
    [--equal(A,B),
     ++equal(complement(A),complement(B))]).

%----Modular law (7)
input_clause(modular_law,axiom,
    [++equal(join(X,meet(Y,join(X,Z))),meet(join(X,Y),join(X,Z)))]).

%----Denial of compatibility (6)
input_clause(prove_compatibility_law,conjecture,
    [--equal(complement(join(a,b)),meet(complement(a),complement(b)))]).
%--------------------------------------------------------------------------
