%--------------------------------------------------------------------------
% File     : LAT066-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Lattice Theory
% Problem  : Weak property G61 to make a uniquely complemented lattice Boolean
% Version  : [EF+02] axioms.
% English  : 

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
% Source   : [EF+02]
% Names    : lattice-uc [EF+02]

% Status   : unsatisfiable
% Rating   : 1.00 v2.5.0
% Syntax   : Number of clauses    :   21 (   0 non-Horn;  13 unit;   5 RR)
%            Number of literals   :   31 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :   44 (   2 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----Complementation
input_clause(top,axiom,
    [++equal(join(A,complement(A)),1)]).
   
input_clause(bottom,axiom,
    [++equal(meet(A,complement(A)),0)]).

%----Complements are unique
input_clause(complements_are_unique,axiom,
    [--equal(join(A,B),1),
     --equal(meet(A,B),0),
     ++equal(complement(A),B)]).

input_clause(complement_substitution_1,axiom,
    [--equal(A,B),
     ++equal(complement(A),complement(B))]).

%----G61
input_clause(g61,axiom,
    [++equal(meet(A,join(B,join(C,meet(D,join(A,meet(B,C)))))),
meet(A,join(B,join(C,meet(A,D)))))]).
   
%----Denial of distributivity
input_clause(prove_distributivity,conjecture,
    [--equal(meet(a,join(b,c)),join(meet(a,b),meet(a,c)))]).
%--------------------------------------------------------------------------
