%--------------------------------------------------------------------------
% File     : LAT071-1 : TPTP v2.6.0. Released v2.6.0.
% Domain   : Lattice Theory (Orthomodularlattices)
% Problem  : Given single axiom OML-21C, prove associativity
% Version  : [MRV03] (equality) axioms.
% English  : Given a single axiom candidate OML-21C for orthomodular lattices
%            (OML) in terms of the Sheffer Stroke, prove a Sheffer stroke form
%            of associativity.

% Refs     : [MRV03] McCune et al. (2003), Sheffer Stroke Bases for Ortholatt
% Source   : [MRV03]
% Names    : OML-21C-associativity [MRV03]

% Status   : open
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   16 (   2 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution_1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution_2,axiom,
    [--equal(A,B),
     ++equal(f(C,A),f(C,B))]).

%----Single axiom OML-21C
input_clause(oml_21C,axiom,
    [++equal(f(f(B,A),f(f(f(f(B,A),A),f(C,A)),f(f(A,A),D))),A)]).

%----Denial of Sheffer stroke associativity
input_clause(associativity,conjecture,
    [--equal(f(a,f(f(b,c),f(b,c))),f(c,f(f(b,a),f(b,a))))]).
%--------------------------------------------------------------------------
