%--------------------------------------------------------------------------
% File     : LAT073-1 : TPTP v2.6.0. Released v2.6.0.
% Domain   : Lattice Theory (Ortholattices)
% Problem  : Given single axiom MOL-23C, prove modularity
% Version  : [MRV03] (equality) axioms.
% English  : Given a single axiom candidate MOL-23C for modular ortholattices
%            (MOL) in terms of the Sheffer Stroke, prove a Sheffer stroke form 
%            of modularity.

% Refs     : [MRV03] McCune et al. (2003), Sheffer Stroke Bases for Ortholatt
% Source   : [MRV03]
% Names    : MOL-23C-modularity [MRV03]

% Status   : open
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   16 (   1 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(f_substitution_1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution_2,axiom,
    [--equal(A,B),
     ++equal(f(C,A),f(C,B))]).

%----Single axiom MOL-23C
input_clause(mol_23C,axiom,
    [++equal(f(f(f(B,f(A,B)),B),f(A,f(C,f(f(A,B),f(f(C,C),D))))),A)]).

%----Denial of Sheffer stroke modularity
input_clause(modularity,conjecture,
    [--equal(f(a,f(b,f(a,f(c,c)))),f(a,f(c,f(a,f(b,b)))))]).
%--------------------------------------------------------------------------
