%--------------------------------------------------------------------------
% File     : LCL003-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Logic Calculi (Disjunction/Negation 2 valued sentential)
% Problem  : AN-CAMerideth => AN-2
% Version  : [McC92] axioms.
% English  : The Whitehead-Russell axiomatisation of the Disjunction/ 
%            Negation 2 valued sentential calculus is {AN-1,AN-2,AN-3, 
%            AN-4}. Show that AN-2 can be derived from the Merideth axiom.

% Refs     : [Mer53] Meredith (1953), Single Axioms for the Systems (C,N), 
%          : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : AN-52 [MW92]

% Status   : unsatisfiable
% Rating   : 0.38 v2.6.0, 0.29 v2.5.0, 0.00 v2.4.0, 0.29 v2.3.0, 0.57 v2.2.1, 0.89 v2.1.0, 0.88 v2.0.0
% Syntax   : Number of clauses    :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of literals   :    5 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :    7 (   1 singleton)
%            Maximal term depth   :    7 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(or(not(X),Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(an_CAMerideth,axiom,
    [++is_a_theorem(or(not(or(not(or(not(X),Y)),or(Z,or(U,V)))),
or(not(or(not(U),X)),or(Z,or(V,X)))))]).

input_clause(an_2,conjecture,
    [--is_a_theorem(or(not(or(a,b)),or(b,a)))]).
%--------------------------------------------------------------------------
