%--------------------------------------------------------------------------
% File     : LCL114-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Logic Calculi (Many valued sentential)
% Problem  : MV-36 depends on the Meredith system
% Version  : [LW92] axioms.
%            Theorem formulation : Wajsberg algebra formulation
% English  : An axiomatisation of the many valued sentential calculus 
%            is {MV-1,MV-2,MV-3,MV-5} by Meredith. Wajsberg presented 
%            an equality axiomatisation. Show that MV-36 depends on the 
%            Wajsberg axiomatisation.

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [LW92]  Lusk & Wos (1992), Benchmark Problems in Which Equalit
% Source   : [LW92]
% Names    : MV3 [LW92]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   6 unit;   4 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   22 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_mv_36,conjecture,
    [--equal(implies(implies(x,y),implies(not(y),not(x))),truth)]).
%--------------------------------------------------------------------------
