%--------------------------------------------------------------------------
% File     : LCL156-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : The 4th alternative Wajsberg algebra axiom
% Version  : [Bon91] (equality) axioms.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [AB90]  Anantharaman & Bonacina (1990), An Application of the 
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : W' axiom 4 [Bon91]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.38 v2.0.0
% Syntax   : Number of clauses    :   31 (   0 non-Horn;  18 unit;   5 RR)
%            Number of literals   :   45 (  45 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   3 constant; 0-2 arity)
%            Number of variables  :   71 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra and and or definitions 
include('Axioms/LCL001-2.ax').
%----Include Alternative Wajsberg algebra definitions 
include('Axioms/LCL002-1.ax').
%--------------------------------------------------------------------------
input_clause(prove_alternative_wajsberg_axiom,conjecture,
    [--equal(and_star(x,truth),x)]).
%--------------------------------------------------------------------------
