%--------------------------------------------------------------------------
% File     : LDA003-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : LD-Algebras (Left segments)
% Problem  : Show that 3 is a left segment of U = 2*2
% Version  : [Jec93] axioms.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 3 [Jec93]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   14 (   0 non-Horn;   7 unit;   9 RR)
%            Number of literals   :   25 (  16 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   4 constant; 0-2 arity)
%            Number of variables  :   26 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%----A1: x(yz)=xy(xz) 
input_clause(a1,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),f(X,Z)))]).

%----x is a left segment of xy 
input_clause(a2,axiom,
    [++left(X,f(X,Y))]).

%----transitive 
input_clause(a3,axiom,
    [--left(X,Y),
     --left(Y,Z),
     ++left(X,Z)]).

input_clause(clause_4,axiom,
    [++equal(2,f(1,1))]).

input_clause(clause_5,axiom,
    [++equal(3,f(2,1))]).

input_clause(clause_6,axiom,
    [++equal(u,f(2,2))]).

input_clause(f_substitution1,axiom,
    [--equal(A,B),
     ++equal(f(A,C),f(B,C))]).

input_clause(f_substitution2,axiom,
    [--equal(D,E),
     ++equal(f(F,D),f(F,E))]).

input_clause(left_substitution1,axiom,
    [--equal(G,H),
     --left(G,I),
     ++left(H,I)]).

input_clause(left_substitution2,axiom,
    [--equal(J,K),
     --left(L,J),
     ++left(L,K)]).

%----3 is a left segment of U 
input_clause(prove_equation,conjecture,
    [--left(3,u)]).
%--------------------------------------------------------------------------
