%--------------------------------------------------------------------------
% File     : LDA006-2 : TPTP v2.6.0. Bugfixed v2.6.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that tsg is not in the range of t
% Version  : [Jec93] axioms : Incomplete > Reduced & Augmented > Incomplete.
% English  : Showing that tsg is not in the range of t is the same as 
%            showing that tsg <> ta for any a.

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses    :   28 (   2 non-Horn;  14 unit;  16 RR)
%            Number of literals   :   45 (  34 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   14 (  11 constant; 0-2 arity)
%            Number of variables  :   47 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.6.0 - Bugfix in LDA001-0.ax
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms 
% include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
%----A1  x(yz)=(xy)(xz) 
input_clause(a1,axiom,
    [++equal(f(X,f(Y,Z)),f(f(X,Y),f(X,Z)))]).

%----A1a a(x,a(y,z)) = a(x*y,a(x,z))
input_clause(a1a,axiom,
    [++equal(a(X,a(Y,Z)),a(f(X,Y),a(X,Z)))]).

%----A2  cr(u*v) = a(u,cr(v))
input_clause(a2,axiom,
    [++equal(critical_point(f(U,V)),a(U,critical_point(V)))]).

%----B1  -(x<x)
input_clause(b1,axiom,
    [--less(X,X)]).

%----B4  if x<y then ux<uy 
input_clause(b4,axiom,
    [--less(X,Y),
     ++less(a(U,X),a(U,Y))]).

%----C1 x=a(u,x) | (x<a(u,x)) (from C2, C3)
input_clause(c1,axiom,
    [++equal(X,a(U,X)),
     ++less(X,a(U,X))]).

%----C2  if x<crit(u) then ux=x 
input_clause(c2,axiom,
    [--less(X,critical_point(U)),
     ++equal(a(U,X),X)]).

%----C3  x<crit(u) or x<ux 
input_clause(c3,axiom,
    [++less(X,critical_point(U)),
     ++less(X,a(U,X))]).

%----D2 a(u,x)!=x | a(v*u,x)=x (from B1, C3, C1, A2, B3, C2)
input_clause(d2,axiom,
    [--equal(a(U,X),X),
     ++equal(a(f(V,U),X),X)]).

input_clause(critical_point_substitution1,axiom,
    [--equal(D,E),
     ++equal(critical_point(D),critical_point(E))]).

input_clause(a_substitution1,axiom,
    [--equal(F,G),
     ++equal(a(F,H),a(G,H))]).

input_clause(a_substitution2,axiom,
    [--equal(I,J),
     ++equal(a(K,I),a(K,J))]).

input_clause(f_substitution1,axiom,
    [--equal(F,G),
     ++equal(f(F,H),f(G,H))]).

input_clause(f_substitution2,axiom,
    [--equal(I,J),
     ++equal(f(K,I),f(K,J))]).

input_clause(less_substitution1,axiom,
    [--equal(L,M),
     --less(L,N),
     ++less(M,N)]).

input_clause(less_substitution2,axiom,
    [--equal(O,P),
     --less(Q,O),
     ++less(Q,P)]).

input_clause(clause_1,axiom,
    [++equal(tt,f(t,t))]).

input_clause(clause_2,axiom,
    [++equal(st,f(s,t))]).

input_clause(clause_3,axiom,
    [++equal(ts,f(t,s))]).

input_clause(clause_4,axiom,
    [++equal(k,critical_point(t))]).

input_clause(clause_5,axiom,
    [++equal(sk,f(s,k))]).

input_clause(clause_6,axiom,
    [++equal(tk,f(t,k))]).

input_clause(clause_7,axiom,
    [++equal(stk,f(st,k))]).

input_clause(clause_8,axiom,
    [++equal(tsk,f(ts,k))]).

%----tsk <> ta   for any a, when k=crit(t) 
input_clause(prove_equation,conjecture,
    [++equal(tsk,f(t,skolem))]).
%--------------------------------------------------------------------------
