%--------------------------------------------------------------------------
% File     : LDA008-1 : TPTP v2.6.0. Bugfixed v2.6.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t) = cr(T). If Ta < Tsg, then ta < tsg
% Version  : [Jec93] axioms : Incomplete.
% English  : 

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Problem 9 [Jec93]

% Status   : unsatisfiable
% Rating   : 1.00 v2.6.0
% Syntax   : Number of clauses    :   29 (   2 non-Horn;  15 unit;  18 RR)
%            Number of literals   :   48 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :   14 (  11 constant; 0-2 arity)
%            Number of variables  :   47 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
% Bugfixes : v2.6.0 - Bugfix in LDA001-0.ax
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(ts,f(t,s))]).

input_clause(clause_2,axiom,
    [++equal(bts,f(bt,s))]).

input_clause(clause_3,axiom,
    [++equal(ta,f(t,aconst))]).

input_clause(clause_4,axiom,
    [++equal(bta,f(bt,aconst))]).

input_clause(clause_5,axiom,
    [++equal(k,critical_point(t))]).

input_clause(clause_6,axiom,
    [++equal(critical_point(bt),k)]).

input_clause(clause_7,axiom,
    [++equal(tsk,f(ts,k))]).

input_clause(clause_8,axiom,
    [++equal(btsk,f(bts,k))]).

input_clause(clause_9,axiom,
    [++less(bta,btsk)]).

%----ta<tsk,  assuming Ta<Tsk and k=crit(t)=crit(T) 
input_clause(prove_equation,conjecture,
    [--less(ta,tsk)]).
%--------------------------------------------------------------------------
