%--------------------------------------------------------------------------
% File     : MGT002-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Structural inertia increases monotonically with age. 
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   7 unit;  13 RR)
%            Number of literals   :   40 (   0 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :    5 (   0 propositional; 2-3 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :   29 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT002+1.p 
%--------------------------------------------------------------------------
input_clause(mp3_1,axiom,
    [--organization(A,B),
     ++reproducibility(A,sk1(B,A),B)]).

input_clause(mp4_2,axiom,
    [--reorganization_free(A,B,C),
     ++reorganization_free(A,B,B)]).

input_clause(mp4_3,axiom,
    [--reorganization_free(A,B,C),
     ++reorganization_free(A,C,C)]).

input_clause(a3_FOL_4,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --reorganization_free(A,B,B),
     --reorganization_free(C,D,D),
     --reproducibility(A,E,B),
     --reproducibility(C,F,D),
     --inertia(A,G,B),
     --inertia(C,H,D),
     --greater(F,E),
     ++greater(H,G)]).

input_clause(a3_FOL_5,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --reorganization_free(A,B,B),
     --reorganization_free(C,D,D),
     --reproducibility(A,E,B),
     --reproducibility(C,F,D),
     --inertia(A,G,B),
     --inertia(C,H,D),
     --greater(H,G),
     ++greater(F,E)]).

input_clause(a4_FOL_6,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization_free(A,B,C),
     --reproducibility(A,D,B),
     --reproducibility(A,E,C),
     --greater(C,B),
     ++greater(E,D)]).

input_clause(t2_FOL_7,conjecture,
    [++organization(sk2,sk5)]).

input_clause(t2_FOL_8,conjecture,
    [++organization(sk2,sk6)]).

input_clause(t2_FOL_9,conjecture,
    [++reorganization_free(sk2,sk5,sk6)]).

input_clause(t2_FOL_10,conjecture,
    [++inertia(sk2,sk3,sk5)]).

input_clause(t2_FOL_11,conjecture,
    [++inertia(sk2,sk4,sk6)]).

input_clause(t2_FOL_12,conjecture,
    [++greater(sk6,sk5)]).

input_clause(t2_FOL_13,conjecture,
    [--greater(sk4,sk3)]).
%--------------------------------------------------------------------------
