%--------------------------------------------------------------------------
% File     : MGT004-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Attempts at reorganization increase death rates.
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   14 (   2 non-Horn;   9 unit;  14 RR)
%            Number of literals   :   46 (   0 equality)
%            Maximal clause size  :   11 (   3 average)
%            Number of predicates :    6 (   0 propositional; 2-3 arity)
%            Number of functors   :    9 (   7 constant; 0-2 arity)
%            Number of variables  :   32 (   4 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT004+1.p 
%--------------------------------------------------------------------------
input_clause(mp1_1,axiom,
    [--organization(A,B),
     ++reliability(A,sk1(B,A),B)]).

input_clause(mp2_2,axiom,
    [--organization(A,B),
     ++accountability(A,sk2(B,A),B)]).

input_clause(a1_FOL_3,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --reliability(A,E,B),
     --reliability(C,F,D),
     --accountability(A,G,B),
     --accountability(C,H,D),
     --survival_chance(A,I,B),
     --survival_chance(C,J,D),
     --greater(F,E),
     --greater(H,G),
     ++greater(J,I)]).

input_clause(a6_FOL_4,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization(A,D,E),
     --reliability(A,F,B),
     --reliability(A,G,C),
     --accountability(A,H,B),
     --accountability(A,I,C),
     ++greater(D,B),
     --greater(C,B),
     ++greater(C,E),
     ++greater(F,G)]).

input_clause(a6_FOL_5,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization(A,D,E),
     --reliability(A,F,B),
     --reliability(A,G,C),
     --accountability(A,H,B),
     --accountability(A,I,C),
     ++greater(D,B),
     --greater(C,B),
     ++greater(C,E),
     ++greater(H,I)]).

input_clause(t4_FOL_6,conjecture,
    [++organization(sk3,sk6)]).

input_clause(t4_FOL_7,conjecture,
    [++organization(sk3,sk7)]).

input_clause(t4_FOL_8,conjecture,
    [++reorganization(sk3,sk8,sk9)]).

input_clause(t4_FOL_9,conjecture,
    [++survival_chance(sk3,sk4,sk6)]).

input_clause(t4_FOL_10,conjecture,
    [++survival_chance(sk3,sk5,sk7)]).

input_clause(t4_FOL_11,conjecture,
    [--greater(sk8,sk6)]).

input_clause(t4_FOL_12,conjecture,
    [++greater(sk7,sk6)]).

input_clause(t4_FOL_13,conjecture,
    [--greater(sk7,sk9)]).

input_clause(t4_FOL_14,conjecture,
    [--greater(sk4,sk5)]).
%--------------------------------------------------------------------------
