%--------------------------------------------------------------------------
% File     : MGT005-2 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Complexity increases the risk of death due to reorganization.
% Version  : Especial.
%            Theorem formulation : Updated.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.33 v2.6.0, 0.00 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   63 (   3 non-Horn;  22 unit;  62 RR)
%            Number of literals   :  204 (  35 equality)
%            Maximal clause size  :   19 (   3 average)
%            Number of predicates :    9 (   0 propositional; 2-3 arity)
%            Number of functors   :   19 (  15 constant; 0-8 arity)
%            Number of variables  :  184 (   6 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT005+2.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(class_substitution_1_4,axiom,
    [--equal(A,B),
     --class(A,C,D),
     ++class(B,C,D)]).

input_clause(class_substitution_2_5,axiom,
    [--equal(A,B),
     --class(C,A,D),
     ++class(C,B,D)]).

input_clause(class_substitution_3_6,axiom,
    [--equal(A,B),
     --class(C,D,A),
     ++class(C,D,B)]).

input_clause(complexity_substitution_1_7,axiom,
    [--equal(A,B),
     --complexity(A,C,D),
     ++complexity(B,C,D)]).

input_clause(complexity_substitution_2_8,axiom,
    [--equal(A,B),
     --complexity(C,A,D),
     ++complexity(C,B,D)]).

input_clause(complexity_substitution_3_9,axiom,
    [--equal(A,B),
     --complexity(C,D,A),
     ++complexity(C,D,B)]).

input_clause(greater_substitution_1_10,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_11,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(organization_substitution_1_12,axiom,
    [--equal(A,B),
     --organization(A,C),
     ++organization(B,C)]).

input_clause(organization_substitution_2_13,axiom,
    [--equal(A,B),
     --organization(C,A),
     ++organization(C,B)]).

input_clause(reorganization_substitution_1_14,axiom,
    [--equal(A,B),
     --reorganization(A,C,D),
     ++reorganization(B,C,D)]).

input_clause(reorganization_substitution_2_15,axiom,
    [--equal(A,B),
     --reorganization(C,A,D),
     ++reorganization(C,B,D)]).

input_clause(reorganization_substitution_3_16,axiom,
    [--equal(A,B),
     --reorganization(C,D,A),
     ++reorganization(C,D,B)]).

input_clause(reorganization_free_substitution_1_17,axiom,
    [--equal(A,B),
     --reorganization_free(A,C,D),
     ++reorganization_free(B,C,D)]).

input_clause(reorganization_free_substitution_2_18,axiom,
    [--equal(A,B),
     --reorganization_free(C,A,D),
     ++reorganization_free(C,B,D)]).

input_clause(reorganization_free_substitution_3_19,axiom,
    [--equal(A,B),
     --reorganization_free(C,D,A),
     ++reorganization_free(C,D,B)]).

input_clause(reorganization_type_substitution_1_20,axiom,
    [--equal(A,B),
     --reorganization_type(A,C,D),
     ++reorganization_type(B,C,D)]).

input_clause(reorganization_type_substitution_2_21,axiom,
    [--equal(A,B),
     --reorganization_type(C,A,D),
     ++reorganization_type(C,B,D)]).

input_clause(reorganization_type_substitution_3_22,axiom,
    [--equal(A,B),
     --reorganization_type(C,D,A),
     ++reorganization_type(C,D,B)]).

input_clause(survival_chance_substitution_1_23,axiom,
    [--equal(A,B),
     --survival_chance(A,C,D),
     ++survival_chance(B,C,D)]).

input_clause(survival_chance_substitution_2_24,axiom,
    [--equal(A,B),
     --survival_chance(C,A,D),
     ++survival_chance(C,B,D)]).

input_clause(survival_chance_substitution_3_25,axiom,
    [--equal(A,B),
     --survival_chance(C,D,A),
     ++survival_chance(C,D,B)]).

input_clause(mp6_1_26,axiom,
    [--greater(A,B),
     --equal(A,B)]).

input_clause(mp6_2_27,axiom,
    [--greater(A,B),
     --greater(B,A)]).

input_clause(mp11_28,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp14_29,axiom,
    [--survival_chance(A,B,C),
     --survival_chance(D,E,C),
     ++greater(p1,p2),
     ++equal(p1,p2),
     ++greater(p2,p1)]).

input_clause(mp12_30,axiom,
    [--organization(A,B),
     ++survival_chance(A,sk1(B,A),B)]).

input_clause(mp13_31,axiom,
    [--organization(A,B),
     --organization(A,C),
     --greater(D,B),
     --greater(C,D),
     ++organization(A,D)]).

input_clause(mp7_32,axiom,
    [--reorganization(A,B,C),
     ++greater(C,B)]).

input_clause(t3_FOL_33,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization_free(A,B,C),
     --survival_chance(A,D,B),
     --survival_chance(A,E,C),
     --greater(C,B),
     ++greater(E,D)]).

input_clause(t4_FOL_34,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization(A,D,E),
     --survival_chance(A,F,B),
     --survival_chance(A,G,C),
     ++greater(D,B),
     --greater(C,B),
     ++greater(C,E),
     ++greater(F,G)]).

input_clause(a10_FOL_35,hypothesis,
    [--organization(A,B),
     --organization(C,B),
     --organization(C,D),
     --class(A,E,B),
     --class(C,E,B),
     --reorganization(A,B,F),
     --reorganization(C,B,D),
     --reorganization_type(A,G,B),
     --reorganization_type(C,G,B),
     --complexity(A,H,B),
     --complexity(C,I,B),
     --greater(I,H),
     ++greater(D,F)]).

input_clause(a11_FOL_36,hypothesis,
    [--organization(A,B),
     --organization(C,B),
     --organization(A,D),
     --organization(C,D),
     --class(A,E,B),
     --class(C,E,B),
     --survival_chance(A,F,B),
     --survival_chance(C,F,B),
     --reorganization(A,B,D),
     --reorganization(C,B,G),
     --reorganization_type(A,H,B),
     --reorganization_type(C,H,B),
     --survival_chance(A,I,D),
     --survival_chance(C,J,D),
     --complexity(A,K,B),
     --complexity(C,L,B),
     --greater(L,K),
     ++greater(I,J),
     ++equal(I,J)]).

input_clause(a15_FOL_37,hypothesis,
    [--greater(A,B),
     --survival_chance(C,D,B),
     --survival_chance(E,F,B),
     --survival_chance(C,G,A),
     --survival_chance(E,H,A),
     --greater(G,D),
     --greater(F,G),
     ++greater(sk2(A,B,H,F,G,D,E,C),B)]).

input_clause(a15_FOL_38,hypothesis,
    [--greater(A,B),
     --survival_chance(C,D,B),
     --survival_chance(E,F,B),
     --survival_chance(C,G,A),
     --survival_chance(E,H,A),
     --greater(G,D),
     --greater(F,G),
     ++greater(A,sk2(A,B,H,F,G,D,E,C))]).

input_clause(a15_FOL_39,hypothesis,
    [--greater(A,B),
     --survival_chance(C,D,B),
     --survival_chance(E,F,B),
     --survival_chance(C,G,A),
     --survival_chance(E,H,A),
     --greater(G,D),
     --greater(F,G),
     ++survival_chance(C,sk3(A,B,H,F,G,D,E,C),sk2(A,B,H,F,G,D,E,C))]).

input_clause(a15_FOL_40,hypothesis,
    [--greater(A,B),
     --survival_chance(C,D,B),
     --survival_chance(E,F,B),
     --survival_chance(C,G,A),
     --survival_chance(E,H,A),
     --greater(G,D),
     --greater(F,G),
     ++survival_chance(E,sk4(A,B,H,F,G,D,E,C),sk2(A,B,H,F,G,D,E,C))]).

input_clause(a15_FOL_41,hypothesis,
    [--greater(A,B),
     --survival_chance(C,D,B),
     --survival_chance(E,F,B),
     --survival_chance(C,G,A),
     --survival_chance(E,H,A),
     --greater(G,D),
     --greater(F,G),
     ++equal(sk3(A,B,H,F,G,D,E,C),sk4(A,B,H,F,G,D,E,C))]).

input_clause(t5_plus_FOL_42,conjecture,
    [++organization(sk5,sk15)]).

input_clause(t5_plus_FOL_43,conjecture,
    [++organization(sk6,sk15)]).

input_clause(t5_plus_FOL_44,conjecture,
    [++organization(sk5,sk17)]).

input_clause(t5_plus_FOL_45,conjecture,
    [++organization(sk6,sk17)]).

input_clause(t5_plus_FOL_46,conjecture,
    [++class(sk5,sk8,sk15)]).

input_clause(t5_plus_FOL_47,conjecture,
    [++class(sk6,sk8,sk15)]).

input_clause(t5_plus_FOL_48,conjecture,
    [++survival_chance(sk5,sk9,sk15)]).

input_clause(t5_plus_FOL_49,conjecture,
    [++survival_chance(sk6,sk9,sk15)]).

input_clause(t5_plus_FOL_50,conjecture,
    [++reorganization(sk5,sk15,sk16)]).

input_clause(t5_plus_FOL_51,conjecture,
    [++reorganization(sk6,sk15,sk17)]).

input_clause(t5_plus_FOL_52,conjecture,
    [++reorganization_type(sk5,sk7,sk15)]).

input_clause(t5_plus_FOL_53,conjecture,
    [++reorganization_type(sk6,sk7,sk15)]).

input_clause(t5_plus_FOL_54,conjecture,
    [++reorganization_free(sk5,sk16,sk17)]).

input_clause(t5_plus_FOL_55,conjecture,
    [++survival_chance(sk5,sk10,sk14)]).

input_clause(t5_plus_FOL_56,conjecture,
    [++survival_chance(sk6,sk11,sk14)]).

input_clause(t5_plus_FOL_57,conjecture,
    [++complexity(sk5,sk12,sk15)]).

input_clause(t5_plus_FOL_58,conjecture,
    [++complexity(sk6,sk13,sk15)]).

input_clause(t5_plus_FOL_59,conjecture,
    [++greater(sk13,sk12)]).

input_clause(t5_plus_FOL_60,conjecture,
    [--equal(sk14,sk17),
     ++greater(sk10,sk11)]).

input_clause(t5_plus_FOL_61,conjecture,
    [++equal(sk14,sk16)]).

input_clause(t5_plus_FOL_62,conjecture,
    [--greater(sk10,sk11)]).

input_clause(t5_plus_FOL_63,conjecture,
    [--equal(sk10,sk11)]).
%--------------------------------------------------------------------------
