%--------------------------------------------------------------------------
% File     : MGT007-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Reproducibility decreases during reorganization.
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   17 (   2 non-Horn;   9 unit;  17 RR)
%            Number of literals   :   68 (   0 equality)
%            Maximal clause size  :   11 (   4 average)
%            Number of predicates :    6 (   0 propositional; 2-3 arity)
%            Number of functors   :   10 (   7 constant; 0-2 arity)
%            Number of variables  :   54 (   8 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT007+1.p 
%--------------------------------------------------------------------------
input_clause(mp1_1,axiom,
    [--organization(A,B),
     ++reliability(A,sk1(B,A),B)]).

input_clause(mp2_2,axiom,
    [--organization(A,B),
     ++accountability(A,sk2(B,A),B)]).

input_clause(mp_not_in_TR_3,axiom,
    [--organization(A,B),
     ++reproducibility(A,sk3(B,A),B)]).

input_clause(a2_FOL_4,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --reliability(A,E,B),
     --reliability(C,F,D),
     --accountability(A,G,B),
     --accountability(C,H,D),
     --reproducibility(A,I,B),
     --reproducibility(C,J,D),
     --greater(J,I),
     ++greater(F,E)]).

input_clause(a2_FOL_5,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --reliability(A,E,B),
     --reliability(C,F,D),
     --accountability(A,G,B),
     --accountability(C,H,D),
     --reproducibility(A,I,B),
     --reproducibility(C,J,D),
     --greater(J,I),
     ++greater(H,G)]).

input_clause(a2_FOL_6,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --reliability(A,E,B),
     --reliability(C,F,D),
     --accountability(A,G,B),
     --accountability(C,H,D),
     --reproducibility(A,I,B),
     --reproducibility(C,J,D),
     --greater(F,E),
     --greater(H,G),
     ++greater(J,I)]).

input_clause(a6_FOL_7,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization(A,D,E),
     --reliability(A,F,B),
     --reliability(A,G,C),
     --accountability(A,H,B),
     --accountability(A,I,C),
     ++greater(D,B),
     --greater(C,B),
     ++greater(C,E),
     ++greater(F,G)]).

input_clause(a6_FOL_8,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization(A,D,E),
     --reliability(A,F,B),
     --reliability(A,G,C),
     --accountability(A,H,B),
     --accountability(A,I,C),
     ++greater(D,B),
     --greater(C,B),
     ++greater(C,E),
     ++greater(H,I)]).

input_clause(t7_FOL_9,conjecture,
    [++organization(sk4,sk7)]).

input_clause(t7_FOL_10,conjecture,
    [++organization(sk4,sk8)]).

input_clause(t7_FOL_11,conjecture,
    [++reorganization(sk4,sk9,sk10)]).

input_clause(t7_FOL_12,conjecture,
    [++reproducibility(sk4,sk5,sk7)]).

input_clause(t7_FOL_13,conjecture,
    [++reproducibility(sk4,sk6,sk8)]).

input_clause(t7_FOL_14,conjecture,
    [--greater(sk9,sk7)]).

input_clause(t7_FOL_15,conjecture,
    [++greater(sk8,sk7)]).

input_clause(t7_FOL_16,conjecture,
    [--greater(sk8,sk10)]).

input_clause(t7_FOL_17,conjecture,
    [--greater(sk5,sk6)]).
%--------------------------------------------------------------------------
