%--------------------------------------------------------------------------
% File     : MGT008-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Organizational death rates decrease with size.
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   15 (   0 non-Horn;  12 unit;  15 RR)
%            Number of literals   :   34 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :    7 (   0 propositional; 2-3 arity)
%            Number of functors   :   10 (   9 constant; 0-2 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT008+1.p 
%--------------------------------------------------------------------------
input_clause(mp5_1,axiom,
    [--organization(A,B),
     ++inertia(A,sk1(B,A),B)]).

input_clause(a5_FOL_2,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --class(A,E,B),
     --class(C,E,D),
     --size(A,F,B),
     --size(C,G,D),
     --inertia(A,H,B),
     --inertia(C,I,D),
     --greater(G,F),
     ++greater(I,H)]).

input_clause(t1_FOL_3,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --reorganization_free(A,B,B),
     --reorganization_free(C,D,D),
     --inertia(A,E,B),
     --inertia(C,F,D),
     --survival_chance(A,G,B),
     --survival_chance(C,H,D),
     --greater(F,E),
     ++greater(H,G)]).

input_clause(t8_FOL_4,conjecture,
    [++organization(sk2,sk9)]).

input_clause(t8_FOL_5,conjecture,
    [++organization(sk3,sk10)]).

input_clause(t8_FOL_6,conjecture,
    [++reorganization_free(sk2,sk9,sk9)]).

input_clause(t8_FOL_7,conjecture,
    [++reorganization_free(sk3,sk10,sk10)]).

input_clause(t8_FOL_8,conjecture,
    [++class(sk2,sk4,sk9)]).

input_clause(t8_FOL_9,conjecture,
    [++class(sk3,sk4,sk10)]).

input_clause(t8_FOL_10,conjecture,
    [++survival_chance(sk2,sk5,sk9)]).

input_clause(t8_FOL_11,conjecture,
    [++survival_chance(sk3,sk6,sk10)]).

input_clause(t8_FOL_12,conjecture,
    [++size(sk2,sk7,sk9)]).

input_clause(t8_FOL_13,conjecture,
    [++size(sk3,sk8,sk10)]).

input_clause(t8_FOL_14,conjecture,
    [++greater(sk8,sk7)]).

input_clause(t8_FOL_15,conjecture,
    [--greater(sk6,sk5)]).
%--------------------------------------------------------------------------
