%--------------------------------------------------------------------------
% File     : MGT011-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Organizational size cannot decrease without reorganization
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   33 (   0 non-Horn;   8 unit;  32 RR)
%            Number of literals   :   92 (  24 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :    7 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   93 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT011+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(class_substitution_1_4,axiom,
    [--equal(A,B),
     --class(A,C,D),
     ++class(B,C,D)]).

input_clause(class_substitution_2_5,axiom,
    [--equal(A,B),
     --class(C,A,D),
     ++class(C,B,D)]).

input_clause(class_substitution_3_6,axiom,
    [--equal(A,B),
     --class(C,D,A),
     ++class(C,D,B)]).

input_clause(greater_substitution_1_7,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_8,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(inertia_substitution_1_9,axiom,
    [--equal(A,B),
     --inertia(A,C,D),
     ++inertia(B,C,D)]).

input_clause(inertia_substitution_2_10,axiom,
    [--equal(A,B),
     --inertia(C,A,D),
     ++inertia(C,B,D)]).

input_clause(inertia_substitution_3_11,axiom,
    [--equal(A,B),
     --inertia(C,D,A),
     ++inertia(C,D,B)]).

input_clause(organization_substitution_1_12,axiom,
    [--equal(A,B),
     --organization(A,C),
     ++organization(B,C)]).

input_clause(organization_substitution_2_13,axiom,
    [--equal(A,B),
     --organization(C,A),
     ++organization(C,B)]).

input_clause(reorganization_free_substitution_1_14,axiom,
    [--equal(A,B),
     --reorganization_free(A,C,D),
     ++reorganization_free(B,C,D)]).

input_clause(reorganization_free_substitution_2_15,axiom,
    [--equal(A,B),
     --reorganization_free(C,A,D),
     ++reorganization_free(C,B,D)]).

input_clause(reorganization_free_substitution_3_16,axiom,
    [--equal(A,B),
     --reorganization_free(C,D,A),
     ++reorganization_free(C,D,B)]).

input_clause(size_substitution_1_17,axiom,
    [--equal(A,B),
     --size(A,C,D),
     ++size(B,C,D)]).

input_clause(size_substitution_2_18,axiom,
    [--equal(A,B),
     --size(C,A,D),
     ++size(C,B,D)]).

input_clause(size_substitution_3_19,axiom,
    [--equal(A,B),
     --size(C,D,A),
     ++size(C,D,B)]).

input_clause(mp5_20,axiom,
    [--organization(A,B),
     ++inertia(A,sk1(B,A),B)]).

input_clause(mp6_1_21,axiom,
    [--greater(A,B),
     --equal(A,B)]).

input_clause(mp6_2_22,axiom,
    [--greater(A,B),
     --greater(B,A)]).

input_clause(mp9_23,axiom,
    [--organization(A,B),
     ++class(A,sk2(B,A),B)]).

input_clause(mp10_24,axiom,
    [--organization(A,B),
     --organization(A,C),
     --reorganization_free(A,B,C),
     --class(A,D,B),
     --class(A,E,C),
     ++equal(D,E)]).

input_clause(a5_FOL_25,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --class(A,E,B),
     --class(C,E,D),
     --size(A,F,B),
     --size(C,G,D),
     --inertia(A,H,B),
     --inertia(C,I,D),
     --greater(G,F),
     ++greater(I,H)]).

input_clause(t2_FOL_26,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization_free(A,B,C),
     --inertia(A,D,B),
     --inertia(A,E,C),
     --greater(C,B),
     ++greater(E,D)]).

input_clause(t11_FOL_27,conjecture,
    [++organization(sk3,sk6)]).

input_clause(t11_FOL_28,conjecture,
    [++organization(sk3,sk7)]).

input_clause(t11_FOL_29,conjecture,
    [++reorganization_free(sk3,sk6,sk7)]).

input_clause(t11_FOL_30,conjecture,
    [++size(sk3,sk4,sk6)]).

input_clause(t11_FOL_31,conjecture,
    [++size(sk3,sk5,sk7)]).

input_clause(t11_FOL_32,conjecture,
    [++greater(sk7,sk6)]).

input_clause(t11_FOL_33,conjecture,
    [++greater(sk4,sk5)]).
%--------------------------------------------------------------------------
