%--------------------------------------------------------------------------
% File     : MGT014-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : If orgainzation size increases, its complexity cannot decrease
% Version  : [PB+94] axioms.
% English  : If the size of an organization gets bigger, its complexity
%            cannot get smaller (in lack of reorganization).

% Refs     : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.11 v2.5.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   34 (   1 non-Horn;  10 unit;  33 RR)
%            Number of literals   :   90 (  24 equality)
%            Maximal clause size  :    7 (   2 average)
%            Number of predicates :    7 (   0 propositional; 1-3 arity)
%            Number of functors   :    7 (   7 constant; 0-0 arity)
%            Number of variables  :   82 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : "Not published due to publication constraints." [Kam95].
%          : Created with tptp2X -f tptp -t clausify:otter MGT014+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(complexity_substitution_1_4,axiom,
    [--equal(A,B),
     --complexity(A,C,D),
     ++complexity(B,C,D)]).

input_clause(complexity_substitution_2_5,axiom,
    [--equal(A,B),
     --complexity(C,A,D),
     ++complexity(C,B,D)]).

input_clause(complexity_substitution_3_6,axiom,
    [--equal(A,B),
     --complexity(C,D,A),
     ++complexity(C,D,B)]).

input_clause(greater_substitution_1_7,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_8,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(organization_substitution_1_9,axiom,
    [--equal(A,B),
     --organization(A,C),
     ++organization(B,C)]).

input_clause(organization_substitution_2_10,axiom,
    [--equal(A,B),
     --organization(C,A),
     ++organization(C,B)]).

input_clause(reorganization_free_substitution_1_11,axiom,
    [--equal(A,B),
     --reorganization_free(A,C,D),
     ++reorganization_free(B,C,D)]).

input_clause(reorganization_free_substitution_2_12,axiom,
    [--equal(A,B),
     --reorganization_free(C,A,D),
     ++reorganization_free(C,B,D)]).

input_clause(reorganization_free_substitution_3_13,axiom,
    [--equal(A,B),
     --reorganization_free(C,D,A),
     ++reorganization_free(C,D,B)]).

input_clause(size_substitution_1_14,axiom,
    [--equal(A,B),
     --size(A,C,D),
     ++size(B,C,D)]).

input_clause(size_substitution_2_15,axiom,
    [--equal(A,B),
     --size(C,A,D),
     ++size(C,B,D)]).

input_clause(size_substitution_3_16,axiom,
    [--equal(A,B),
     --size(C,D,A),
     ++size(C,D,B)]).

input_clause(time_substitution_1_17,axiom,
    [--equal(A,B),
     --time(A),
     ++time(B)]).

input_clause(mp6_1_18,axiom,
    [--greater(A,B),
     --equal(A,B)]).

input_clause(mp6_2_19,axiom,
    [--greater(A,B),
     --greater(B,A)]).

input_clause(mp15_20,axiom,
    [--organization(A,B),
     ++time(B)]).

input_clause(mp16_21,axiom,
    [--time(A),
     --time(B),
     ++greater(A,B),
     ++equal(A,B),
     ++greater(B,A)]).

input_clause(mp17_22,axiom,
    [--reorganization_free(A,B,C),
     ++reorganization_free(A,C,B)]).

input_clause(mp19_23,axiom,
    [--organization(A,B),
     --organization(A,C),
     --size(A,D,B),
     --size(A,E,C),
     --equal(B,C),
     ++equal(D,E)]).

input_clause(t11_FOL_24,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization_free(A,B,C),
     --size(A,D,B),
     --size(A,E,C),
     --greater(C,B),
     --greater(D,E)]).

input_clause(t12_FOL_25,hypothesis,
    [--organization(A,B),
     --organization(A,C),
     --reorganization_free(A,B,C),
     --complexity(A,D,B),
     --complexity(A,E,C),
     --greater(C,B),
     --greater(D,E)]).

input_clause(t14_FOL_26,conjecture,
    [++organization(sk1,sk6)]).

input_clause(t14_FOL_27,conjecture,
    [++organization(sk1,sk7)]).

input_clause(t14_FOL_28,conjecture,
    [++reorganization_free(sk1,sk6,sk7)]).

input_clause(t14_FOL_29,conjecture,
    [++complexity(sk1,sk2,sk6)]).

input_clause(t14_FOL_30,conjecture,
    [++complexity(sk1,sk3,sk7)]).

input_clause(t14_FOL_31,conjecture,
    [++size(sk1,sk4,sk6)]).

input_clause(t14_FOL_32,conjecture,
    [++size(sk1,sk5,sk7)]).

input_clause(t14_FOL_33,conjecture,
    [++greater(sk5,sk4)]).

input_clause(t14_FOL_34,conjecture,
    [++greater(sk2,sk3)]).
%--------------------------------------------------------------------------
