%--------------------------------------------------------------------------
% File     : MGT017-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Length of reoganisation proportional to organization size
% Version  : [PB+94] axioms.
% English  : The length of reorganizational period grows by the size the
%            organization begins reorganization (if the bigger organization
%            survives it).

% Refs     : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    :

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;  13 unit;  16 RR)
%            Number of literals   :   38 (   0 equality)
%            Maximal clause size  :   13 (   2 average)
%            Number of predicates :    7 (   0 propositional; 2-3 arity)
%            Number of functors   :   10 (   9 constant; 0-2 arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : "Not published due to publication constraints." [Kam95].
%          : Created with tptp2X -f tptp -t clausify:otter MGT017+1.p 
%--------------------------------------------------------------------------
input_clause(mp5_1,axiom,
    [--organization(A,B),
     ++inertia(A,sk1(B,A),B)]).

input_clause(a5_FOL_2,hypothesis,
    [--organization(A,B),
     --organization(C,D),
     --class(A,E,B),
     --class(C,E,D),
     --size(A,F,B),
     --size(C,G,D),
     --inertia(A,H,B),
     --inertia(C,I,D),
     --greater(G,F),
     ++greater(I,H)]).

input_clause(a13_FOL_3,hypothesis,
    [--organization(A,B),
     --organization(C,B),
     --organization(C,D),
     --class(A,E,B),
     --class(C,E,B),
     --reorganization(A,B,F),
     --reorganization(C,B,D),
     --reorganization_type(A,G,B),
     --reorganization_type(C,G,B),
     --inertia(A,H,B),
     --inertia(C,I,B),
     --greater(I,H),
     ++greater(D,F)]).

input_clause(t17_FOL_4,conjecture,
    [++organization(sk2,sk8)]).

input_clause(t17_FOL_5,conjecture,
    [++organization(sk3,sk8)]).

input_clause(t17_FOL_6,conjecture,
    [++organization(sk3,sk10)]).

input_clause(t17_FOL_7,conjecture,
    [++class(sk2,sk5,sk8)]).

input_clause(t17_FOL_8,conjecture,
    [++class(sk3,sk5,sk8)]).

input_clause(t17_FOL_9,conjecture,
    [++reorganization(sk2,sk8,sk9)]).

input_clause(t17_FOL_10,conjecture,
    [++reorganization(sk3,sk8,sk10)]).

input_clause(t17_FOL_11,conjecture,
    [++reorganization_type(sk2,sk4,sk8)]).

input_clause(t17_FOL_12,conjecture,
    [++reorganization_type(sk3,sk4,sk8)]).

input_clause(t17_FOL_13,conjecture,
    [++size(sk2,sk6,sk8)]).

input_clause(t17_FOL_14,conjecture,
    [++size(sk3,sk7,sk8)]).

input_clause(t17_FOL_15,conjecture,
    [++greater(sk7,sk6)]).

input_clause(t17_FOL_16,conjecture,
    [--greater(sk10,sk9)]).
%--------------------------------------------------------------------------
