%--------------------------------------------------------------------------
% File     : MGT020-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : First movers exceeds efficient producers disbanding rate
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.11 v2.5.0, 0.22 v2.4.0
% Syntax   : Number of clauses    :   35 (   2 non-Horn;   4 unit;  30 RR)
%            Number of literals   :   97 (  31 equality)
%            Maximal clause size  :    7 (   2 average)
%            Number of predicates :    7 (   0 propositional; 1-4 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   89 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Same as version with [PM93] axioms.
%          : Created with tptp2X -f tptp -t clausify:otter MGT020+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(difference_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(difference(A,C),difference(B,C))]).

input_clause(difference_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(difference(C,A),difference(C,B))]).

input_clause(disbanding_rate_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(disbanding_rate(A,C),disbanding_rate(B,C))]).

input_clause(disbanding_rate_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(disbanding_rate(C,A),disbanding_rate(C,B))]).

input_clause(initial_FM_EP_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(initial_FM_EP(A),initial_FM_EP(B))]).

input_clause(start_time_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(start_time(A),start_time(B))]).

input_clause(decreases_substitution_1_10,axiom,
    [--equal(A,B),
     --decreases(A),
     ++decreases(B)]).

input_clause(environment_substitution_1_11,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_12,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_13,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_14,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_15,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_16,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_17,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(subpopulations_substitution_1_18,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_19,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_20,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_21,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(l3_22,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --decreases(difference(disbanding_rate(first_movers,B),disbanding_rate(efficient_producers,B)))]).

input_clause(mp_earliest_time_point_23,axiom,
    [--environment(A),
     --in_environment(A,initial_FM_EP(A)),
     ++subpopulations(first_movers,efficient_producers,A,initial_FM_EP(A))]).

input_clause(mp_earliest_time_point_24,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater_or_equal(B,initial_FM_EP(A))]).

input_clause(mp_positive_function_difference_25,axiom,
    [--environment(A),
     --greater_or_equal(B,C),
     --greater_or_equal(D,B),
     --subpopulations(first_movers,efficient_producers,A,D),
     --greater(disbanding_rate(first_movers,C),disbanding_rate(efficient_producers,C)),
     ++decreases(difference(disbanding_rate(first_movers,B),disbanding_rate(efficient_producers,B))),
     ++greater(disbanding_rate(first_movers,D),disbanding_rate(efficient_producers,D))]).

input_clause(mp_time_point_occurs_26,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++in_environment(A,B)]).

input_clause(mp_initial_time_27,axiom,
    [--environment(A),
     ++greater_or_equal(initial_FM_EP(A),start_time(A))]).

input_clause(mp_times_in_order_28,axiom,
    [--environment(A),
     --greater_or_equal(B,start_time(A)),
     --greater(C,B),
     --in_environment(A,C),
     ++in_environment(A,B)]).

input_clause(mp_greater_transitivity_29,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_greater_or_equal_30,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(a8_31,hypothesis,
    [--environment(A),
     ++greater(disbanding_rate(first_movers,initial_FM_EP(A)),disbanding_rate(efficient_producers,initial_FM_EP(A)))]).

input_clause(a10_32,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater_or_equal(D,B),
     --greater_or_equal(C,D),
     ++subpopulations(first_movers,efficient_producers,A,D)]).

input_clause(prove_l2_33,conjecture,
    [++environment(sk1)]).

input_clause(prove_l2_34,conjecture,
    [++subpopulations(first_movers,efficient_producers,sk1,sk2)]).

input_clause(prove_l2_35,conjecture,
    [--greater(disbanding_rate(first_movers,sk2),disbanding_rate(efficient_producers,sk2))]).
%--------------------------------------------------------------------------
