%--------------------------------------------------------------------------
% File     : MGT023-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Stable environments have a critical point.
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.6.0, 0.11 v2.4.0
% Syntax   : Number of clauses    :   25 (   3 non-Horn;   4 unit;  22 RR)
%            Number of literals   :   71 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    6 (   0 propositional; 1-4 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   60 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT023+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(critical_point_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(critical_point(A),critical_point(B))]).

input_clause(growth_rate_substitution_1_5,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_6,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(environment_substitution_1_7,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_8,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_9,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(in_environment_substitution_1_10,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_11,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(stable_substitution_1_12,axiom,
    [--equal(A,B),
     --stable(A),
     ++stable(B)]).

input_clause(subpopulations_substitution_1_13,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_14,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_15,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_16,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(d1_17,hypothesis,
    [--environment(A),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk1(B,A)),
     ++equal(B,critical_point(A))]).

input_clause(d1_18,hypothesis,
    [--environment(A),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)),
     --in_environment(A,B),
     ++greater(sk1(B,A),B),
     ++equal(B,critical_point(A))]).

input_clause(d1_19,hypothesis,
    [--environment(A),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B)),
     --in_environment(A,B),
     --greater(growth_rate(efficient_producers,sk1(B,A)),growth_rate(first_movers,sk1(B,A))),
     ++equal(B,critical_point(A))]).

input_clause(l12_20,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk2(A))]).

input_clause(l12_21,hypothesis,
    [--environment(A),
     --stable(A),
     --greater(growth_rate(efficient_producers,sk2(A)),growth_rate(first_movers,sk2(A)))]).

input_clause(l12_22,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater(B,sk2(A)),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(prove_l5_23,conjecture,
    [++environment(sk3)]).

input_clause(prove_l5_24,conjecture,
    [++stable(sk3)]).

input_clause(prove_l5_25,conjecture,
    [--in_environment(sk3,critical_point(sk3))]).
%--------------------------------------------------------------------------
