%--------------------------------------------------------------------------
% File     : MGT024-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Subpopulation growth rates are in equilibria
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : If a subpopulation has positive growth rate, then the other 
%            subpopulation must have negative growth rate in equilibrium. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   44 (   9 non-Horn;   4 unit;  37 RR)
%            Number of literals   :  143 (  43 equality)
%            Maximal clause size  :    6 (   3 average)
%            Number of predicates :    8 (   0 propositional; 1-4 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :  100 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT024+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(equilibrium_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(equilibrium(A),equilibrium(B))]).

input_clause(growth_rate_substitution_1_5,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_6,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(number_of_organizations_substitution_1_7,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(A,C),number_of_organizations(B,C))]).

input_clause(number_of_organizations_substitution_2_8,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(C,A),number_of_organizations(C,B))]).

input_clause(resources_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(resources(A,C),resources(B,C))]).

input_clause(resources_substitution_2_10,axiom,
    [--equal(A,B),
     ++equal(resources(C,A),resources(C,B))]).

input_clause(constant_substitution_1_11,axiom,
    [--equal(A,B),
     --constant(A),
     ++constant(B)]).

input_clause(decreases_substitution_1_12,axiom,
    [--equal(A,B),
     --decreases(A),
     ++decreases(B)]).

input_clause(environment_substitution_1_13,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_14,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_15,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_16,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_17,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_18,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_19,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(subpopulations_substitution_1_20,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_21,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_22,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_23,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp_time_point_occur_24,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++in_environment(A,B)]).

input_clause(mp_positive_number_of_organizations_25,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater(number_of_organizations(A,B),zero)]).

input_clause(mp_equilibrium_26,axiom,
    [--environment(A),
     --greater_or_equal(B,equilibrium(A)),
     --greater(equilibrium(A),B)]).

input_clause(a3_27,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(number_of_organizations(A,B),zero),
     --greater(equilibrium(A),B),
     ++decreases(resources(A,B))]).

input_clause(a3_28,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(number_of_organizations(A,B),zero),
     ++greater(equilibrium(A),B),
     ++constant(resources(A,B))]).

input_clause(a6_29,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --decreases(resources(A,B)),
     --decreases(number_of_organizations(A,B))]).

input_clause(a6_30,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --constant(resources(A,B)),
     ++constant(number_of_organizations(A,B))]).

input_clause(l7_31,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(number_of_organizations(A,B)),
     ++equal(growth_rate(first_movers,B),zero),
     ++greater(growth_rate(first_movers,B),zero),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l7_32,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(number_of_organizations(A,B)),
     ++equal(growth_rate(first_movers,B),zero),
     ++greater(growth_rate(first_movers,B),zero),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(l7_33,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(number_of_organizations(A,B)),
     ++equal(growth_rate(first_movers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,B)),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l7_34,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(number_of_organizations(A,B)),
     ++equal(growth_rate(first_movers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,B)),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(l7_35,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(number_of_organizations(A,B)),
     ++equal(growth_rate(efficient_producers,B),zero),
     ++greater(growth_rate(first_movers,B),zero),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l7_36,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(number_of_organizations(A,B)),
     ++equal(growth_rate(efficient_producers,B),zero),
     ++greater(growth_rate(first_movers,B),zero),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(l7_37,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(number_of_organizations(A,B)),
     ++equal(growth_rate(efficient_producers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,B)),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l7_38,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --constant(number_of_organizations(A,B)),
     ++equal(growth_rate(efficient_producers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,B)),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(prove_l6_39,conjecture,
    [++environment(sk1)]).

input_clause(prove_l6_40,conjecture,
    [++subpopulations(first_movers,efficient_producers,sk1,sk2)]).

input_clause(prove_l6_41,conjecture,
    [++greater_or_equal(sk2,equilibrium(sk1))]).

input_clause(prove_l6_42,conjecture,
    [--equal(growth_rate(first_movers,sk2),zero),
     --equal(growth_rate(efficient_producers,sk2),zero)]).

input_clause(prove_l6_43,conjecture,
    [--greater(growth_rate(first_movers,sk2),zero),
     --greater(zero,growth_rate(efficient_producers,sk2))]).

input_clause(prove_l6_44,conjecture,
    [--greater(growth_rate(efficient_producers,sk2),zero),
     --greater(zero,growth_rate(first_movers,sk2))]).
%--------------------------------------------------------------------------
