%--------------------------------------------------------------------------
% File     : MGT025-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Constant population means opposite growth rates
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : If one of the two subpopulations has positive growth rate, 
%            then the other subpopulation must have negative growth rate 
%            if the total number of organizations is constant. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.33 v2.6.0, 0.22 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   52 (  10 non-Horn;   4 unit;  43 RR)
%            Number of literals   :  166 (  55 equality)
%            Maximal clause size  :    6 (   3 average)
%            Number of predicates :    9 (   0 propositional; 1-4 arity)
%            Number of functors   :    9 (   5 constant; 0-2 arity)
%            Number of variables  :  137 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT025+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(cardinality_at_time_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(growth_rate_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(number_of_organizations_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(A,C),number_of_organizations(B,C))]).

input_clause(number_of_organizations_substitution_2_9,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(C,A),number_of_organizations(C,B))]).

input_clause(sum_substitution_1_10,axiom,
    [--equal(A,B),
     ++equal(sum(A,C),sum(B,C))]).

input_clause(sum_substitution_2_11,axiom,
    [--equal(A,B),
     ++equal(sum(C,A),sum(C,B))]).

input_clause(constant_substitution_1_12,axiom,
    [--equal(A,B),
     --constant(A),
     ++constant(B)]).

input_clause(decreases_substitution_1_13,axiom,
    [--equal(A,B),
     --decreases(A),
     ++decreases(B)]).

input_clause(environment_substitution_1_14,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_15,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_16,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(in_environment_substitution_1_17,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_18,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(increases_substitution_1_19,axiom,
    [--equal(A,B),
     --increases(A),
     ++increases(B)]).

input_clause(subpopulation_substitution_1_20,axiom,
    [--equal(A,B),
     --subpopulation(A,C,D),
     ++subpopulation(B,C,D)]).

input_clause(subpopulation_substitution_2_21,axiom,
    [--equal(A,B),
     --subpopulation(C,A,D),
     ++subpopulation(C,B,D)]).

input_clause(subpopulation_substitution_3_22,axiom,
    [--equal(A,B),
     --subpopulation(C,D,A),
     ++subpopulation(C,D,B)]).

input_clause(subpopulations_substitution_1_23,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_24,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_25,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_26,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp_only_members_27,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     ++greater(cardinality_at_time(B,C),zero),
     ++equal(number_of_organizations(A,C),sum(cardinality_at_time(first_movers,C),cardinality_at_time(efficient_producers,C)))]).

input_clause(mp_only_members_28,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     --equal(B,efficient_producers),
     ++equal(number_of_organizations(A,C),sum(cardinality_at_time(first_movers,C),cardinality_at_time(efficient_producers,C)))]).

input_clause(mp_only_members_29,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     --equal(B,first_movers),
     ++equal(number_of_organizations(A,C),sum(cardinality_at_time(first_movers,C),cardinality_at_time(efficient_producers,C)))]).

input_clause(mp_subpopulations_30,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(first_movers,A,B)]).

input_clause(mp_subpopulations_31,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(efficient_producers,A,B)]).

input_clause(mp_abc_sum_increase_32,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(B),
     ++increases(B),
     ++decreases(B)]).

input_clause(mp_abc_sum_increase_33,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(B),
     ++increases(B),
     ++increases(C)]).

input_clause(mp_abc_sum_increase_34,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(B),
     ++decreases(C),
     ++decreases(B)]).

input_clause(mp_abc_sum_increase_35,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(B),
     ++decreases(C),
     ++increases(C)]).

input_clause(mp_abc_sum_increase_36,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(C),
     ++increases(B),
     ++decreases(B)]).

input_clause(mp_abc_sum_increase_37,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(C),
     ++increases(B),
     ++increases(C)]).

input_clause(mp_abc_sum_increase_38,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(C),
     ++decreases(C),
     ++decreases(B)]).

input_clause(mp_abc_sum_increase_39,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(C),
     ++decreases(C),
     ++increases(C)]).

input_clause(mp_growth_rate_40,axiom,
    [--environment(A),
     --in_environment(A,B),
     --subpopulation(C,A,B),
     --greater(cardinality_at_time(C,B),zero),
     --constant(cardinality_at_time(C,B)),
     ++equal(growth_rate(C,B),zero)]).

input_clause(mp_growth_rate_41,axiom,
    [--environment(A),
     --in_environment(A,B),
     --subpopulation(C,A,B),
     --greater(cardinality_at_time(C,B),zero),
     --increases(cardinality_at_time(C,B)),
     ++greater(growth_rate(C,B),zero)]).

input_clause(mp_growth_rate_42,axiom,
    [--environment(A),
     --in_environment(A,B),
     --subpopulation(C,A,B),
     --greater(cardinality_at_time(C,B),zero),
     --decreases(cardinality_at_time(C,B)),
     ++greater(zero,growth_rate(C,B))]).

input_clause(mp_non_zero_producers_43,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater(cardinality_at_time(first_movers,B),zero)]).

input_clause(mp_non_zero_producers_44,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater(cardinality_at_time(efficient_producers,B),zero)]).

input_clause(mp_time_point_occur_45,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++in_environment(A,B)]).

input_clause(a9_46,hypothesis,
    [--environment(A),
     --subpopulation(B,A,C),
     --greater(cardinality_at_time(B,C),zero),
     ++equal(B,efficient_producers),
     ++equal(B,first_movers)]).

input_clause(prove_l7_47,conjecture,
    [++environment(sk1)]).

input_clause(prove_l7_48,conjecture,
    [++subpopulations(first_movers,efficient_producers,sk1,sk2)]).

input_clause(prove_l7_49,conjecture,
    [++constant(number_of_organizations(sk1,sk2))]).

input_clause(prove_l7_50,conjecture,
    [--equal(growth_rate(first_movers,sk2),zero),
     --equal(growth_rate(efficient_producers,sk2),zero)]).

input_clause(prove_l7_51,conjecture,
    [--greater(growth_rate(first_movers,sk2),zero),
     --greater(zero,growth_rate(efficient_producers,sk2))]).

input_clause(prove_l7_52,conjecture,
    [--greater(growth_rate(efficient_producers,sk2),zero),
     --greater(zero,growth_rate(first_movers,sk2))]).
%--------------------------------------------------------------------------
