%--------------------------------------------------------------------------
% File     : MGT028-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : FMs have a negative growth rate in stable environments
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : First movers have negative growth rate past a certain point
%            of time (also after the appearence of efficient producers) 
%            in stable environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   14 (   4 non-Horn;   2 unit;  14 RR)
%            Number of literals   :   57 (   0 equality)
%            Maximal clause size  :    7 (   4 average)
%            Number of predicates :    6 (   0 propositional; 1-4 arity)
%            Number of functors   :   10 (   4 constant; 0-2 arity)
%            Number of variables  :   23 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT028+1.p 
%--------------------------------------------------------------------------
input_clause(mp_first_movers_negative_growth_1,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk1(B,A)),
     ++greater(sk2(A),appear(efficient_producers,A))]).

input_clause(mp_first_movers_negative_growth_2,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++greater_or_equal(sk1(B,A),B),
     ++greater(sk2(A),appear(efficient_producers,A))]).

input_clause(mp_first_movers_negative_growth_3,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++subpopulations(first_movers,efficient_producers,A,sk1(B,A)),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater_or_equal(C,sk2(A)),
     ++greater(zero,growth_rate(first_movers,C))]).

input_clause(mp_first_movers_negative_growth_4,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     ++greater_or_equal(sk1(B,A),B),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater_or_equal(C,sk2(A)),
     ++greater(zero,growth_rate(first_movers,C))]).

input_clause(mp_first_movers_negative_growth_5,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(zero,growth_rate(first_movers,sk1(B,A))),
     ++greater(sk2(A),appear(efficient_producers,A))]).

input_clause(mp_first_movers_negative_growth_6,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(zero,growth_rate(first_movers,sk1(B,A))),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater_or_equal(C,sk2(A)),
     ++greater(zero,growth_rate(first_movers,C))]).

input_clause(l11_7,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk3(A))]).

input_clause(l11_8,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,sk3(A)),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l11_9,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,sk3(A)),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(prove_l10_10,conjecture,
    [++environment(sk4)]).

input_clause(prove_l10_11,conjecture,
    [++stable(sk4)]).

input_clause(prove_l10_12,conjecture,
    [--greater(A,appear(efficient_producers,sk4)),
     ++subpopulations(first_movers,efficient_producers,sk4,sk5(A))]).

input_clause(prove_l10_13,conjecture,
    [--greater(A,appear(efficient_producers,sk4)),
     ++greater_or_equal(sk5(A),A)]).

input_clause(prove_l10_14,conjecture,
    [--greater(A,appear(efficient_producers,sk4)),
     --greater(zero,growth_rate(first_movers,sk5(A)))]).
%--------------------------------------------------------------------------
