%--------------------------------------------------------------------------
% File     : MGT029-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : EPs have positive and FMs have negative growth rates
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : Efficient producers have positive, while first movers have
%            negative growth rate past a certain point of time in stable
%            environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.50 v2.6.0, 0.44 v2.5.0, 0.56 v2.4.0
% Syntax   : Number of clauses    :   40 (  10 non-Horn;   3 unit;  37 RR)
%            Number of literals   :  134 (  35 equality)
%            Maximal clause size  :    6 (   3 average)
%            Number of predicates :    7 (   0 propositional; 1-4 arity)
%            Number of functors   :    9 (   4 constant; 0-2 arity)
%            Number of variables  :   92 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT029+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(equilibrium_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(equilibrium(A),equilibrium(B))]).

input_clause(growth_rate_substitution_1_5,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_6,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(environment_substitution_1_7,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_8,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_9,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_10,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_11,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_12,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_13,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(stable_substitution_1_14,axiom,
    [--equal(A,B),
     --stable(A),
     ++stable(B)]).

input_clause(subpopulations_substitution_1_15,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_16,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_17,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_18,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp_greater_transitivity_19,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_times_in_environment_20,axiom,
    [--in_environment(A,B),
     --in_environment(A,C),
     ++greater(C,B),
     ++equal(C,B),
     ++greater(B,C)]).

input_clause(mp_greater_or_equal_21,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_22,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_23,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(l6_24,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,equilibrium(A)),
     ++equal(growth_rate(first_movers,B),zero),
     ++greater(growth_rate(first_movers,B),zero),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l6_25,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,equilibrium(A)),
     ++equal(growth_rate(first_movers,B),zero),
     ++greater(growth_rate(first_movers,B),zero),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(l6_26,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,equilibrium(A)),
     ++equal(growth_rate(first_movers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,B)),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l6_27,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,equilibrium(A)),
     ++equal(growth_rate(first_movers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,B)),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(l6_28,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,equilibrium(A)),
     ++equal(growth_rate(efficient_producers,B),zero),
     ++greater(growth_rate(first_movers,B),zero),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l6_29,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,equilibrium(A)),
     ++equal(growth_rate(efficient_producers,B),zero),
     ++greater(growth_rate(first_movers,B),zero),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(l6_30,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,equilibrium(A)),
     ++equal(growth_rate(efficient_producers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,B)),
     ++greater(growth_rate(efficient_producers,B),zero)]).

input_clause(l6_31,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,equilibrium(A)),
     ++equal(growth_rate(efficient_producers,B),zero),
     ++greater(zero,growth_rate(efficient_producers,B)),
     ++greater(zero,growth_rate(first_movers,B))]).

input_clause(l1_32,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk1(A))]).

input_clause(l1_33,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,sk1(A)),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(a4_34,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk2(A))]).

input_clause(a4_35,hypothesis,
    [--environment(A),
     --stable(A),
     ++greater_or_equal(sk2(A),equilibrium(A))]).

input_clause(prove_l11_36,conjecture,
    [++environment(sk3)]).

input_clause(prove_l11_37,conjecture,
    [++stable(sk3)]).

input_clause(prove_l11_38,conjecture,
    [--in_environment(sk3,A),
     ++subpopulations(first_movers,efficient_producers,sk3,sk4(A))]).

input_clause(prove_l11_39,conjecture,
    [--in_environment(sk3,A),
     ++greater_or_equal(sk4(A),A)]).

input_clause(prove_l11_40,conjecture,
    [--in_environment(sk3,A),
     --greater(growth_rate(efficient_producers,sk4(A)),zero),
     --greater(zero,growth_rate(first_movers,sk4(A)))]).
%--------------------------------------------------------------------------
