%--------------------------------------------------------------------------
% File     : MGT031-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : First movers appear first in an environment
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.5.0, 0.17 v2.4.0
% Syntax   : Number of clauses    :   34 (   2 non-Horn;   4 unit;  27 RR)
%            Number of literals   :   86 (  33 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    6 (   0 propositional; 1-3 arity)
%            Number of functors   :   10 (   6 constant; 0-2 arity)
%            Number of variables  :   79 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT031+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(number_of_organizations_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(A,C),number_of_organizations(B,C))]).

input_clause(number_of_organizations_substitution_2_9,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(C,A),number_of_organizations(C,B))]).

input_clause(environment_substitution_1_10,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_11,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_12,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_13,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_14,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_15,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_16,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(subpopulation_substitution_1_17,axiom,
    [--equal(A,B),
     --subpopulation(A,C,D),
     ++subpopulation(B,C,D)]).

input_clause(subpopulation_substitution_2_18,axiom,
    [--equal(A,B),
     --subpopulation(C,A,D),
     ++subpopulation(C,B,D)]).

input_clause(subpopulation_substitution_3_19,axiom,
    [--equal(A,B),
     --subpopulation(C,D,A),
     ++subpopulation(C,D,B)]).

input_clause(mp_positive_number_when_appear_20,axiom,
    [--environment(A),
     ++greater(number_of_organizations(e,appear(an_organisation,A)),zero)]).

input_clause(mp_number_mean_non_empty_21,axiom,
    [--environment(A),
     --greater(number_of_organizations(A,B),zero),
     ++subpopulation(sk1(B,A),A,B)]).

input_clause(mp_number_mean_non_empty_22,axiom,
    [--environment(A),
     --greater(number_of_organizations(A,B),zero),
     ++greater(cardinality_at_time(sk1(B,A),B),zero)]).

input_clause(mp_no_EP_before_appearance_23,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(appear(efficient_producers,A),B),
     --greater(cardinality_at_time(efficient_producers,B),zero)]).

input_clause(mp_no_FM_before_appearance_24,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(appear(first_movers,A),B),
     --greater(cardinality_at_time(first_movers,B),zero)]).

input_clause(mp_FM_not_precede_first_25,axiom,
    [--environment(A),
     ++greater_or_equal(appear(first_movers,A),appear(an_organisation,A))]).

input_clause(mp_greater_transitivity_26,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_greater_or_equal_27,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_28,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_29,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(a9_30,hypothesis,
    [--environment(A),
     --subpopulation(B,A,C),
     --greater(cardinality_at_time(B,C),zero),
     ++equal(B,efficient_producers),
     ++equal(B,first_movers)]).

input_clause(a13_31,hypothesis,
    [--environment(A),
     ++greater(appear(efficient_producers,e),appear(first_movers,A))]).

input_clause(prove_l13_32,conjecture,
    [++environment(sk2)]).

input_clause(prove_l13_33,conjecture,
    [++in_environment(sk2,appear(an_organisation,sk2))]).

input_clause(prove_l13_34,conjecture,
    [--equal(appear(an_organisation,sk2),appear(first_movers,sk2))]).
%--------------------------------------------------------------------------
