%--------------------------------------------------------------------------
% File     : MGT032-2 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Selection favours EPs above FMs
% Version  : [PM93] axioms.
% English  : In stable environments, selection favors efficient producers 
%            above first movers past a certain point in time. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   2 unit;   8 RR)
%            Number of literals   :   20 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    7 (   0 propositional; 1-4 arity)
%            Number of functors   :    6 (   3 constant; 0-2 arity)
%            Number of variables  :   10 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT032+2.p 
%--------------------------------------------------------------------------
input_clause(mp1_high_growth_rates_1,axiom,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --greater(growth_rate(C,D),growth_rate(B,D)),
     ++selection_favors(C,B,D)]).

input_clause(l1_2,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk1(A))]).

input_clause(l1_3,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,sk1(A)),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(prove_t1_4,conjecture,
    [++environment(sk2)]).

input_clause(prove_t1_5,conjecture,
    [++stable(sk2)]).

input_clause(prove_t1_6,conjecture,
    [--in_environment(sk2,A),
     ++subpopulations(first_movers,efficient_producers,sk2,sk3(A))]).

input_clause(prove_t1_7,conjecture,
    [--in_environment(sk2,A),
     ++greater_or_equal(sk3(A),A)]).

input_clause(prove_t1_8,conjecture,
    [--in_environment(sk2,A),
     --selection_favors(efficient_producers,first_movers,sk3(A))]).
%--------------------------------------------------------------------------
