%--------------------------------------------------------------------------
% File     : MGT033-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Selection favors FMs above EPs until EPs appear
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : Selection favors first movers above efficient producers 
%            until the appearance of efficient producers. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.14 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   43 (   1 non-Horn;   6 unit;  36 RR)
%            Number of literals   :  116 (  39 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    7 (   0 propositional; 1-3 arity)
%            Number of functors   :   12 (   7 constant; 0-2 arity)
%            Number of variables  :  102 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT033+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(number_of_organizations_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(A,C),number_of_organizations(B,C))]).

input_clause(number_of_organizations_substitution_2_9,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(C,A),number_of_organizations(C,B))]).

input_clause(start_time_substitution_1_10,axiom,
    [--equal(A,B),
     ++equal(start_time(A),start_time(B))]).

input_clause(environment_substitution_1_11,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_12,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_13,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_14,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_15,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_16,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_17,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(selection_favors_substitution_1_18,axiom,
    [--equal(A,B),
     --selection_favors(A,C,D),
     ++selection_favors(B,C,D)]).

input_clause(selection_favors_substitution_2_19,axiom,
    [--equal(A,B),
     --selection_favors(C,A,D),
     ++selection_favors(C,B,D)]).

input_clause(selection_favors_substitution_3_20,axiom,
    [--equal(A,B),
     --selection_favors(C,D,A),
     ++selection_favors(C,D,B)]).

input_clause(subpopulation_substitution_1_21,axiom,
    [--equal(A,B),
     --subpopulation(A,C,D),
     ++subpopulation(B,C,D)]).

input_clause(subpopulation_substitution_2_22,axiom,
    [--equal(A,B),
     --subpopulation(C,A,D),
     ++subpopulation(C,B,D)]).

input_clause(subpopulation_substitution_3_23,axiom,
    [--equal(A,B),
     --subpopulation(C,D,A),
     ++subpopulation(C,D,B)]).

input_clause(mp2_favour_members_24,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     --subpopulation(D,A,C),
     --greater(cardinality_at_time(B,C),zero),
     --equal(cardinality_at_time(D,C),zero),
     ++selection_favors(B,D,C)]).

input_clause(mp_not_present_before_appearance_25,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(appear(C,A),B),
     ++equal(cardinality_at_time(C,B),zero)]).

input_clause(mp_positive_sum_means_members_26,axiom,
    [--environment(A),
     --greater(number_of_organizations(A,B),zero),
     ++subpopulation(sk1(B,A),A,B)]).

input_clause(mp_positive_sum_means_members_27,axiom,
    [--environment(A),
     --greater(number_of_organizations(A,B),zero),
     ++greater(cardinality_at_time(sk1(B,A),B),zero)]).

input_clause(mp_zero_is_not_positive_28,axiom,
    [--equal(cardinality_at_time(A,t),zero),
     --greater(cardinality_at_time(A,B),zero)]).

input_clause(mp_positive_and_sustains_29,axiom,
    [--environment(A),
     --greater(number_of_organizations(A,B),zero),
     ++in_environment(A,B)]).

input_clause(mp_durations_are_time_intervals_30,axiom,
    [--environment(A),
     --in_environment(A,B),
     --in_environment(A,C),
     --greater_or_equal(C,D),
     --greater_or_equal(D,B),
     ++in_environment(A,D)]).

input_clause(mp_opening_time_in_duration_31,axiom,
    [--environment(A),
     ++in_environment(A,start_time(A))]).

input_clause(mp_no_FM_before_opening_32,axiom,
    [--environment(A),
     ++greater_or_equal(appear(first_movers,A),start_time(A))]).

input_clause(mp_subpopulations_33,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(first_movers,A,B)]).

input_clause(mp_subpopulations_34,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(efficient_producers,A,B)]).

input_clause(mp_FM_means_organisations_35,axiom,
    [--environment(A),
     --in_environment(A,appear(first_movers,A)),
     ++in_environment(A,appear(an_organisation,A))]).

input_clause(a1_36,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(B,appear(an_organisation,A)),
     ++greater(number_of_organizations(A,B),zero)]).

input_clause(a9_37,hypothesis,
    [--environment(A),
     --subpopulation(B,A,C),
     --greater(cardinality_at_time(B,C),zero),
     ++equal(B,efficient_producers),
     ++equal(B,first_movers)]).

input_clause(l13_38,hypothesis,
    [--environment(A),
     --in_environment(A,appear(an_organisation,A)),
     ++equal(appear(an_organisation,A),appear(first_movers,A))]).

input_clause(prove_t2_39,conjecture,
    [++environment(sk2)]).

input_clause(prove_t2_40,conjecture,
    [++in_environment(sk2,sk3)]).

input_clause(prove_t2_41,conjecture,
    [++greater_or_equal(sk3,appear(first_movers,sk2))]).

input_clause(prove_t2_42,conjecture,
    [++greater(appear(efficient_producers,sk2),sk3)]).

input_clause(prove_t2_43,conjecture,
    [--selection_favors(first_movers,efficient_producers,sk3)]).
%--------------------------------------------------------------------------
