%--------------------------------------------------------------------------
% File     : MGT034-2 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Selection favors FMs above EPs until critical point reached
% Version  : [PM93] axioms.
% English  : Selection favors first movers above efficient producers past 
%            the appearance of efficient producers until the critical
%            point is reached. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.25 v2.6.0, 0.22 v2.4.0
% Syntax   : Number of clauses    :   62 (   3 non-Horn;   6 unit;  49 RR)
%            Number of literals   :  169 (  53 equality)
%            Maximal clause size  :    7 (   2 average)
%            Number of predicates :    8 (   0 propositional; 1-4 arity)
%            Number of functors   :   13 (   5 constant; 0-2 arity)
%            Number of variables  :  149 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT034+2.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(critical_point_substitution_1_8,axiom,
    [--equal(A,B),
     ++equal(critical_point(A),critical_point(B))]).

input_clause(difference_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(difference(A,C),difference(B,C))]).

input_clause(difference_substitution_2_10,axiom,
    [--equal(A,B),
     ++equal(difference(C,A),difference(C,B))]).

input_clause(disbanding_rate_substitution_1_11,axiom,
    [--equal(A,B),
     ++equal(disbanding_rate(A,C),disbanding_rate(B,C))]).

input_clause(disbanding_rate_substitution_2_12,axiom,
    [--equal(A,B),
     ++equal(disbanding_rate(C,A),disbanding_rate(C,B))]).

input_clause(founding_rate_substitution_1_13,axiom,
    [--equal(A,B),
     ++equal(founding_rate(A,C),founding_rate(B,C))]).

input_clause(founding_rate_substitution_2_14,axiom,
    [--equal(A,B),
     ++equal(founding_rate(C,A),founding_rate(C,B))]).

input_clause(growth_rate_substitution_1_15,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_16,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(start_time_substitution_1_17,axiom,
    [--equal(A,B),
     ++equal(start_time(A),start_time(B))]).

input_clause(decreases_substitution_1_18,axiom,
    [--equal(A,B),
     --decreases(A),
     ++decreases(B)]).

input_clause(environment_substitution_1_19,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_20,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_21,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_22,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_23,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_24,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_25,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(selection_favors_substitution_1_26,axiom,
    [--equal(A,B),
     --selection_favors(A,C,D),
     ++selection_favors(B,C,D)]).

input_clause(selection_favors_substitution_2_27,axiom,
    [--equal(A,B),
     --selection_favors(C,A,D),
     ++selection_favors(C,B,D)]).

input_clause(selection_favors_substitution_3_28,axiom,
    [--equal(A,B),
     --selection_favors(C,D,A),
     ++selection_favors(C,D,B)]).

input_clause(subpopulations_substitution_1_29,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_30,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_31,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_32,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp1_high_growth_rates_33,axiom,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --greater(growth_rate(C,D),growth_rate(B,D)),
     ++selection_favors(C,B,D)]).

input_clause(l3_34,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --decreases(difference(disbanding_rate(first_movers,B),disbanding_rate(efficient_producers,B)))]).

input_clause(mp_critical_point_means_FM_and_EP_35,axiom,
    [--environment(A),
     --in_environment(A,critical_point(A)),
     ++subpopulations(first_movers,efficient_producers,A,critical_point(A))]).

input_clause(mp_FM_and_EP_when_EP_appears_36,axiom,
    [--environment(A),
     --in_environment(A,appear(efficient_producers,A)),
     ++subpopulations(first_movers,efficient_producers,A,appear(efficient_producers,A))]).

input_clause(mp_difference_between_founding_rates_37,axiom,
    [--decreases(difference(founding_rate(first_movers,A),founding_rate(efficient_producers,A))),
     ++decreases(difference(disbanding_rate(first_movers,A),disbanding_rate(efficient_producers,A))),
     ++decreases(difference(growth_rate(first_movers,A),growth_rate(efficient_producers,A)))]).

input_clause(mp_decreasing_function_38,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(difference(growth_rate(first_movers,B),growth_rate(efficient_producers,B)),zero),
     --greater_or_equal(C,appear(efficient_producers,A)),
     --greater(B,C),
     --decreases(difference(growth_rate(first_movers,C),growth_rate(efficient_producers,C))),
     ++greater(difference(growth_rate(first_movers,C),growth_rate(efficient_producers,C)),zero)]).

input_clause(mp_negative_growth_rate_difference_39,axiom,
    [--greater(zero,difference(growth_rate(first_movers,A),growth_rate(efficient_producers,A))),
     ++greater(growth_rate(efficient_producers,A),growth_rate(first_movers,A))]).

input_clause(mp_negative_growth_rate_difference_40,axiom,
    [--greater(growth_rate(efficient_producers,A),growth_rate(first_movers,A)),
     ++greater(zero,difference(growth_rate(first_movers,A),growth_rate(efficient_producers,A)))]).

input_clause(mp_positive_growth_rate_difference_41,axiom,
    [--greater(difference(growth_rate(first_movers,A),growth_rate(efficient_producers,A)),zero),
     ++greater(growth_rate(first_movers,A),growth_rate(efficient_producers,A))]).

input_clause(mp_positive_growth_rate_difference_42,axiom,
    [--greater(growth_rate(first_movers,A),growth_rate(efficient_producers,A)),
     ++greater(difference(growth_rate(first_movers,A),growth_rate(efficient_producers,A)),zero)]).

input_clause(mp_durations_are_time_intervals_43,axiom,
    [--environment(A),
     --in_environment(A,B),
     --in_environment(A,C),
     --greater_or_equal(C,D),
     --greater_or_equal(D,B),
     ++in_environment(A,D)]).

input_clause(mp_opening_time_in_duration_44,axiom,
    [--environment(A),
     ++in_environment(A,start_time(A))]).

input_clause(mp_no_FM_before_opening_45,axiom,
    [--environment(A),
     ++greater_or_equal(appear(first_movers,A),start_time(A))]).

input_clause(mp_critical_time_points_46,axiom,
    [--environment(A),
     --in_environment(A,critical_point(A)),
     --greater_or_equal(B,appear(efficient_producers,A)),
     --greater(critical_point(A),B),
     ++in_environment(A,B)]).

input_clause(mp_contains_FM_and_EP_47,axiom,
    [--environment(A),
     --in_environment(A,B),
     --greater(cardinality_at_time(first_movers,B),zero),
     --greater(cardinality_at_time(efficient_producers,B),zero),
     ++subpopulations(first_movers,efficient_producers,A,B)]).

input_clause(mp_symmetry_of_subpopulations_48,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++subpopulations(efficient_producers,first_movers,A,B)]).

input_clause(mp_FM_and_EP_members_EP_appeared_49,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater_or_equal(B,appear(efficient_producers,A))]).

input_clause(mp_greater_or_equal_50,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_51,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_52,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_relationship_of_growth_rates_53,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater(zero,difference(growth_rate(first_movers,B),growth_rate(efficient_producers,B))),
     ++greater_or_equal(difference(growth_rate(first_movers,B),growth_rate(efficient_producers,B)),zero)]).

input_clause(d1_54,hypothesis,
    [--environment(A),
     --equal(B,critical_point(A)),
     --greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(d1_55,hypothesis,
    [--environment(A),
     --equal(B,critical_point(A)),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater(C,B),
     ++greater(growth_rate(efficient_producers,C),growth_rate(first_movers,C))]).

input_clause(a10_56,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --subpopulations(first_movers,efficient_producers,A,C),
     --greater_or_equal(D,B),
     --greater_or_equal(C,D),
     ++subpopulations(first_movers,efficient_producers,A,D)]).

input_clause(a12_57,hypothesis,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++decreases(difference(founding_rate(first_movers,B),founding_rate(efficient_producers,B)))]).

input_clause(prove_t3_58,conjecture,
    [++environment(sk1)]).

input_clause(prove_t3_59,conjecture,
    [++in_environment(sk1,critical_point(sk1))]).

input_clause(prove_t3_60,conjecture,
    [++greater_or_equal(sk2,appear(efficient_producers,sk1))]).

input_clause(prove_t3_61,conjecture,
    [++greater(critical_point(sk1),sk2)]).

input_clause(prove_t3_62,conjecture,
    [--selection_favors(first_movers,efficient_producers,sk2)]).
%--------------------------------------------------------------------------
