%--------------------------------------------------------------------------
% File     : MGT035-2 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : EPs outcompete FMs in stable environments
% Version  : [PM93] axioms.
% English  : Efficient producers outcompete first movers past a certain
%            time in stable environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.92 v2.6.0, 0.89 v2.4.0
% Syntax   : Number of clauses    :   80 (  13 non-Horn;   3 unit;  69 RR)
%            Number of literals   :  259 (  69 equality)
%            Maximal clause size  :    6 (   3 average)
%            Number of predicates :   12 (   0 propositional; 1-4 arity)
%            Number of functors   :   13 (   4 constant; 0-2 arity)
%            Number of variables  :  213 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT035+2.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(cardinality_at_time_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(equilibrium_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(equilibrium(A),equilibrium(B))]).

input_clause(growth_rate_substitution_1_7,axiom,
    [--equal(A,B),
     ++equal(growth_rate(A,C),growth_rate(B,C))]).

input_clause(growth_rate_substitution_2_8,axiom,
    [--equal(A,B),
     ++equal(growth_rate(C,A),growth_rate(C,B))]).

input_clause(number_of_organizations_substitution_1_9,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(A,C),number_of_organizations(B,C))]).

input_clause(number_of_organizations_substitution_2_10,axiom,
    [--equal(A,B),
     ++equal(number_of_organizations(C,A),number_of_organizations(C,B))]).

input_clause(resources_substitution_1_11,axiom,
    [--equal(A,B),
     ++equal(resources(A,C),resources(B,C))]).

input_clause(resources_substitution_2_12,axiom,
    [--equal(A,B),
     ++equal(resources(C,A),resources(C,B))]).

input_clause(sum_substitution_1_13,axiom,
    [--equal(A,B),
     ++equal(sum(A,C),sum(B,C))]).

input_clause(sum_substitution_2_14,axiom,
    [--equal(A,B),
     ++equal(sum(C,A),sum(C,B))]).

input_clause(constant_substitution_1_15,axiom,
    [--equal(A,B),
     --constant(A),
     ++constant(B)]).

input_clause(decreases_substitution_1_16,axiom,
    [--equal(A,B),
     --decreases(A),
     ++decreases(B)]).

input_clause(environment_substitution_1_17,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_18,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_19,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_20,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_21,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_22,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_23,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(increases_substitution_1_24,axiom,
    [--equal(A,B),
     --increases(A),
     ++increases(B)]).

input_clause(outcompetes_substitution_1_25,axiom,
    [--equal(A,B),
     --outcompetes(A,C,D),
     ++outcompetes(B,C,D)]).

input_clause(outcompetes_substitution_2_26,axiom,
    [--equal(A,B),
     --outcompetes(C,A,D),
     ++outcompetes(C,B,D)]).

input_clause(outcompetes_substitution_3_27,axiom,
    [--equal(A,B),
     --outcompetes(C,D,A),
     ++outcompetes(C,D,B)]).

input_clause(stable_substitution_1_28,axiom,
    [--equal(A,B),
     --stable(A),
     ++stable(B)]).

input_clause(subpopulation_substitution_1_29,axiom,
    [--equal(A,B),
     --subpopulation(A,C,D),
     ++subpopulation(B,C,D)]).

input_clause(subpopulation_substitution_2_30,axiom,
    [--equal(A,B),
     --subpopulation(C,A,D),
     ++subpopulation(C,B,D)]).

input_clause(subpopulation_substitution_3_31,axiom,
    [--equal(A,B),
     --subpopulation(C,D,A),
     ++subpopulation(C,D,B)]).

input_clause(subpopulations_substitution_1_32,axiom,
    [--equal(A,B),
     --subpopulations(A,C,D,E),
     ++subpopulations(B,C,D,E)]).

input_clause(subpopulations_substitution_2_33,axiom,
    [--equal(A,B),
     --subpopulations(C,A,D,E),
     ++subpopulations(C,B,D,E)]).

input_clause(subpopulations_substitution_3_34,axiom,
    [--equal(A,B),
     --subpopulations(C,D,A,E),
     ++subpopulations(C,D,B,E)]).

input_clause(subpopulations_substitution_4_35,axiom,
    [--equal(A,B),
     --subpopulations(C,D,E,A),
     ++subpopulations(C,D,E,B)]).

input_clause(mp_time_point_in_environment_36,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++in_environment(A,B)]).

input_clause(mp_environment_not_empty_37,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater(number_of_organizations(A,B),zero)]).

input_clause(mp_only_members_38,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     ++greater(cardinality_at_time(B,C),zero),
     ++equal(number_of_organizations(A,C),sum(cardinality_at_time(first_movers,C),cardinality_at_time(efficient_producers,C)))]).

input_clause(mp_only_members_39,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     --equal(B,efficient_producers),
     ++equal(number_of_organizations(A,C),sum(cardinality_at_time(first_movers,C),cardinality_at_time(efficient_producers,C)))]).

input_clause(mp_only_members_40,axiom,
    [--environment(A),
     --subpopulation(B,A,C),
     --equal(B,first_movers),
     ++equal(number_of_organizations(A,C),sum(cardinality_at_time(first_movers,C),cardinality_at_time(efficient_producers,C)))]).

input_clause(mp_FM_and_EP_organisational_41,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(first_movers,A,B)]).

input_clause(mp_FM_and_EP_organisational_42,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++subpopulation(efficient_producers,A,B)]).

input_clause(mp_abc_sum_increase_43,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(B),
     ++increases(B),
     ++decreases(B)]).

input_clause(mp_abc_sum_increase_44,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(B),
     ++increases(B),
     ++increases(C)]).

input_clause(mp_abc_sum_increase_45,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(B),
     ++decreases(C),
     ++decreases(B)]).

input_clause(mp_abc_sum_increase_46,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(B),
     ++decreases(C),
     ++increases(C)]).

input_clause(mp_abc_sum_increase_47,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(C),
     ++increases(B),
     ++decreases(B)]).

input_clause(mp_abc_sum_increase_48,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(C),
     ++increases(B),
     ++increases(C)]).

input_clause(mp_abc_sum_increase_49,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(C),
     ++decreases(C),
     ++decreases(B)]).

input_clause(mp_abc_sum_increase_50,axiom,
    [--equal(A,sum(B,C)),
     --constant(A),
     ++constant(C),
     ++decreases(C),
     ++increases(C)]).

input_clause(mp_growth_rate_51,axiom,
    [--environment(A),
     --in_environment(A,B),
     --subpopulation(C,A,B),
     --greater(cardinality_at_time(C,B),zero),
     --constant(cardinality_at_time(C,B)),
     ++equal(growth_rate(C,B),zero)]).

input_clause(mp_growth_rate_52,axiom,
    [--environment(A),
     --in_environment(A,B),
     --subpopulation(C,A,B),
     --greater(cardinality_at_time(C,B),zero),
     --increases(cardinality_at_time(C,B)),
     ++greater(growth_rate(C,B),zero)]).

input_clause(mp_growth_rate_53,axiom,
    [--environment(A),
     --in_environment(A,B),
     --subpopulation(C,A,B),
     --greater(cardinality_at_time(C,B),zero),
     --decreases(cardinality_at_time(C,B)),
     ++greater(zero,growth_rate(C,B))]).

input_clause(mp_positive_number_of_organizations_54,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater(cardinality_at_time(first_movers,B),zero)]).

input_clause(mp_positive_number_of_organizations_55,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++greater(cardinality_at_time(efficient_producers,B),zero)]).

input_clause(mp6_1_56,axiom,
    [--greater(A,B),
     --equal(A,B)]).

input_clause(mp6_2_57,axiom,
    [--greater(A,B),
     --greater(B,A)]).

input_clause(mp_greater_transitivity_58,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_times_in_environment_59,axiom,
    [--in_environment(A,B),
     --in_environment(A,C),
     ++greater(C,B),
     ++equal(C,B),
     ++greater(B,C)]).

input_clause(mp_greater_or_equal_60,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_61,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_62,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_equilibrium_63,axiom,
    [--environment(A),
     --greater_or_equal(B,equilibrium(A)),
     --greater(equilibrium(A),B)]).

input_clause(d2_64,hypothesis,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --greater_or_equal(growth_rate(C,D),zero),
     --greater(zero,growth_rate(B,D)),
     ++outcompetes(C,B,D)]).

input_clause(d2_65,hypothesis,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --outcompetes(C,B,D),
     ++greater_or_equal(growth_rate(C,D),zero)]).

input_clause(d2_66,hypothesis,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --outcompetes(C,B,D),
     ++greater(zero,growth_rate(B,D))]).

input_clause(a4_67,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(number_of_organizations(A,B),zero),
     --greater(equilibrium(A),B),
     ++decreases(resources(A,B))]).

input_clause(a4_68,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(number_of_organizations(A,B),zero),
     ++greater(equilibrium(A),B),
     ++constant(resources(A,B))]).

input_clause(a5_69,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk1(A))]).

input_clause(a5_70,hypothesis,
    [--environment(A),
     --stable(A),
     ++greater_or_equal(sk1(A),equilibrium(A))]).

input_clause(a7_71,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --decreases(resources(A,B)),
     --decreases(number_of_organizations(A,B))]).

input_clause(a7_72,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --constant(resources(A,B)),
     ++constant(number_of_organizations(A,B))]).

input_clause(a11_73,hypothesis,
    [--environment(A),
     --subpopulation(B,A,C),
     --greater(cardinality_at_time(B,C),zero),
     ++equal(B,efficient_producers),
     ++equal(B,first_movers)]).

input_clause(l1_74,hypothesis,
    [--environment(A),
     --stable(A),
     ++in_environment(A,sk2(A))]).

input_clause(l1_75,hypothesis,
    [--environment(A),
     --stable(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     --greater_or_equal(B,sk2(A)),
     ++greater(growth_rate(efficient_producers,B),growth_rate(first_movers,B))]).

input_clause(prove_t4_76,conjecture,
    [++environment(sk3)]).

input_clause(prove_t4_77,conjecture,
    [++stable(sk3)]).

input_clause(prove_t4_78,conjecture,
    [--in_environment(sk3,A),
     ++subpopulations(first_movers,efficient_producers,sk3,sk4(A))]).

input_clause(prove_t4_79,conjecture,
    [--in_environment(sk3,A),
     ++greater_or_equal(sk4(A),A)]).

input_clause(prove_t4_80,conjecture,
    [--in_environment(sk3,A),
     --outcompetes(efficient_producers,first_movers,sk4(A))]).
%--------------------------------------------------------------------------
