%--------------------------------------------------------------------------
% File     : MGT036-2 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : First movers never outcompete efficient producers. 
% Version  : [PM93] axioms.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   14 (   1 non-Horn;   4 unit;  12 RR)
%            Number of literals   :   38 (   0 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    6 (   0 propositional; 1-4 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   35 (   6 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT036+2.p 
%--------------------------------------------------------------------------
input_clause(mp_symmetry_of_subpopulations_1,axiom,
    [--environment(A),
     --subpopulations(B,C,A,D),
     ++subpopulations(C,B,A,D)]).

input_clause(mp_time_point_occur_2,axiom,
    [--environment(A),
     --subpopulations(first_movers,efficient_producers,A,B),
     ++in_environment(A,B)]).

input_clause(mp_growth_rate_relationships_3,axiom,
    [++environment(A),
     --greater(zero,growth_rate(B,C))]).

input_clause(mp_growth_rate_relationships_4,axiom,
    [++subpopulations(A,B,C,D),
     --greater(zero,growth_rate(A,D))]).

input_clause(mp_growth_rate_relationships_5,axiom,
    [--greater_or_equal(growth_rate(A,B),zero),
     --greater(zero,growth_rate(A,B))]).

input_clause(mp_growth_rate_relationships_6,axiom,
    [++greater(zero,growth_rate(A,B)),
     --environment(C),
     --subpopulations(A,D,C,B),
     ++greater_or_equal(growth_rate(A,B),zero)]).

input_clause(d2_7,hypothesis,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --greater_or_equal(growth_rate(C,D),zero),
     --greater(zero,growth_rate(B,D)),
     ++outcompetes(C,B,D)]).

input_clause(d2_8,hypothesis,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --outcompetes(C,B,D),
     ++greater_or_equal(growth_rate(C,D),zero)]).

input_clause(d2_9,hypothesis,
    [--environment(A),
     --subpopulations(B,C,A,D),
     --outcompetes(C,B,D),
     ++greater(zero,growth_rate(B,D))]).

input_clause(a2_10,hypothesis,
    [++greater(resilience(efficient_producers),resilience(first_movers))]).

input_clause(a13_11,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     ++greater(zero,growth_rate(C,B)),
     --greater(resilience(D),resilience(C)),
     --greater(zero,growth_rate(D,B))]).

input_clause(prove_t5_12,conjecture,
    [++environment(sk1)]).

input_clause(prove_t5_13,conjecture,
    [++subpopulations(first_movers,efficient_producers,sk1,sk2)]).

input_clause(prove_t5_14,conjecture,
    [++outcompetes(first_movers,efficient_producers,sk2)]).
%--------------------------------------------------------------------------
