%--------------------------------------------------------------------------
% File     : MGT037+1 : TPTP v2.6.0. Released v2.0.0.
% Domain   : Management (Organisation Theory)
% Problem  : Once appeared, efficient producers do not disappear
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [Kam95]
% Names    : 

% Status   : theorem
% Rating   : 0.33 v2.6.0, 0.43 v2.5.0, 0.38 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1, 0.00 v2.1.0
% Syntax   : Number of formulae    :   43 (   2 unit)
%            Number of atoms       :  136 (  50 equality)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :  101 (   8 ~  ;   3  |;  45  &)
%                                         (   0 <=>;  45 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   11 (   4 constant; 0-2 arity)
%            Number of variables   :  111 (   0 singleton; 109 !;   2 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Subsitution axioms
input_formula(appear_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(appear(A,C),appear(B,C)) )   )).

input_formula(appear_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(appear(C,A),appear(C,B)) )   )).

input_formula(cardinality_at_time_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(cardinality_at_time(A,C),cardinality_at_time(B,C)) )   )).

input_formula(cardinality_at_time_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(cardinality_at_time(C,A),cardinality_at_time(C,B)) )   )).

input_formula(equilibrium_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(equilibrium(A),equilibrium(B)) )   )).

input_formula(growth_rate_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(growth_rate(A,C),growth_rate(B,C)) )   )).

input_formula(growth_rate_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(growth_rate(C,A),growth_rate(C,B)) )   )).

input_formula(number_of_organizations_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(number_of_organizations(A,C),
number_of_organizations(B,C)) )   )).

input_formula(number_of_organizations_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(number_of_organizations(C,A),
number_of_organizations(C,B)) )   )).

input_formula(resilience_substitution_1,axiom,(
    ! [A,B] : 
      ( equal(A,B)
     => equal(resilience(A),resilience(B)) )   )).

input_formula(resources_substitution_1,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(resources(A,C),resources(B,C)) )   )).

input_formula(resources_substitution_2,axiom,(
    ! [A,B,C] : 
      ( equal(A,B)
     => equal(resources(C,A),resources(C,B)) )   )).

input_formula(constant_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & constant(A) )
     => constant(B) )   )).

input_formula(decreases_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & decreases(A) )
     => decreases(B) )   )).

input_formula(environment_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & environment(A) )
     => environment(B) )   )).

input_formula(greater_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(A,C) )
     => greater(B,C) )   )).

input_formula(greater_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater(C,A) )
     => greater(C,B) )   )).

input_formula(greater_or_equal_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater_or_equal(A,C) )
     => greater_or_equal(B,C) )   )).

input_formula(greater_or_equal_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & greater_or_equal(C,A) )
     => greater_or_equal(C,B) )   )).

input_formula(in_environment_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in_environment(A,C) )
     => in_environment(B,C) )   )).

input_formula(in_environment_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in_environment(C,A) )
     => in_environment(C,B) )   )).

input_formula(subpopulation_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & subpopulation(A,C,D) )
     => subpopulation(B,C,D) )   )).

input_formula(subpopulation_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & subpopulation(C,A,D) )
     => subpopulation(C,B,D) )   )).

input_formula(subpopulation_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & subpopulation(C,D,A) )
     => subpopulation(C,D,B) )   )).

%----Problem axioms
%----MP. If the number of efficient producers is zero in the environment
%----past their appearence, then there had to be a time not before their
%----appearence when their growth rate was negative.
input_formula(mp_previous_negative_growth,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & greater_or_equal(T,appear(efficient_producers,E))
        & equal(cardinality_at_time(efficient_producers,T),zero) )
     => ? [To] : 
          ( greater(To,appear(efficient_producers,E))
          & in_environment(E,To)
          & greater(T,To)
          & greater(zero,growth_rate(efficient_producers,To)) ) )   )).

%----MP. The number of organizations in the environment is zero until the
%----appearence of first organizations.
input_formula(mp_start_of_organizations,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T)
        & greater(appear(an_organisation,E),T) )
     => equal(number_of_organizations(E,T),zero) )   )).

%----MP. If the number of organizations in the environment cdoes not
%----decrease, then there is an organizational group in the environment
%----that does not decrease.
input_formula(mp_non_decreasing,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T)
        & ~ decreases(number_of_organizations(E,T)) )
     => ? [X] : 
          ( subpopulation(X,E,T)
          & greater(cardinality_at_time(X,T),zero)
          & ~ greater(zero,growth_rate(X,T)) ) )   )).

%----MP. If the sum of organizations in an environment is zero, then no
%----organizational group has members in the environment.
input_formula(mp_no_members,axiom,(
    ! [E,T,X] : 
      ( ( environment(E)
        & in_environment(E,T)
        & equal(number_of_organizations(E,T),zero)
        & subpopulation(X,E,T) )
     => equal(cardinality_at_time(X,T),zero) )   )).

%----MP. First movers and efficient producers are subpopulations.
input_formula(mp_subpopulations,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T) )
     => ( subpopulation(first_movers,E,T)
        & subpopulation(efficient_producers,E,T) ) )   )).

%----MP. An empty group of objects does not decrease in number.
input_formula(mp_empty_not_decreasing,axiom,(
    ! [S,T] : 
      ( equal(cardinality_at_time(S,T),zero)
     => ~ greater(zero,growth_rate(S,T)) )   )).

%----MP. The number of efficient producers is non-negative.
input_formula(mp_efficient_producers_exist,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T) )
     => ( equal(cardinality_at_time(efficient_producers,T),zero)
        | greater(cardinality_at_time(efficient_producers,T),zero) ) )   )).

%----MP. If something is constant, then it does not decreases.
input_formula(mp_constant_not_decrease,axiom,(
    ! [X] : 
      ( constant(X)
     => ~ decreases(X) )   )).

%----MP. on inquality
input_formula(mp_environment_inequality,axiom,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T) )
     => ( greater_or_equal(T,appear(an_organisation,E))
        | greater(appear(an_organisation,E),T) ) )   )).

%----A3. Resource availability decreases until equilibrium is reached.
input_formula(a3,hypothesis,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T)
        & greater(number_of_organizations(E,T),zero) )
     => ( ( greater(equilibrium(E),T)
         => decreases(resources(E,T)) )
        & ( ~ greater(equilibrium(E),T)
         => constant(resources(E,T)) ) ) )   )).

%----A1. The environment has a positive carrying capacity
input_formula(a1,hypothesis,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T)
        & greater_or_equal(T,appear(an_organisation,E)) )
     => greater(number_of_organizations(E,T),zero) )   )).

%----A6. If resource availability decreases, then the number of
%----organizations increases or constant.
input_formula(a6,hypothesis,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T) )
     => ( ( decreases(resources(E,T))
         => ~ decreases(number_of_organizations(E,T)) )
        & ( constant(resources(E,T))
         => constant(number_of_organizations(E,T)) ) ) )   )).

%----A12. If a subpopulation does not decrease in members, then a more
%----resilient subpopulation does not decrease either.
input_formula(a12,hypothesis,(
    ! [E,S1,S2,T] : 
      ( ( environment(E)
        & in_environment(E,T)
        & ~ greater(zero,growth_rate(S1,T))
        & greater(resilience(S2),resilience(S1)) )
     => ~ greater(zero,growth_rate(S2,T)) )   )).

%----A2. Efficient producers are more resilient than first movers.
input_formula(a2,hypothesis,(
    greater(resilience(efficient_producers),resilience(first_movers))   )).

%----A9. The population contains only first movers and efficient producers.
input_formula(a9,hypothesis,(
    ! [E,X,T] : 
      ( ( environment(E)
        & subpopulation(X,E,T)
        & greater(cardinality_at_time(X,T),zero) )
     => ( equal(X,efficient_producers)
        | equal(X,first_movers) ) )   )).

%----GOAL: T6. Once appeared in an environment, efficient producers do not
%----disappear.
input_formula(prove_t6,conjecture,(
    ! [E,T] : 
      ( ( environment(E)
        & in_environment(E,T)
        & greater_or_equal(T,appear(efficient_producers,E)) )
     => greater(cardinality_at_time(efficient_producers,T),zero) )   )).
%--------------------------------------------------------------------------
