%--------------------------------------------------------------------------
% File     : MGT038-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : FMs become extinct in stable environments
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : First movers become extinct past a certain point in time 
%            in stable environments. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.29 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of clauses    :   28 (   0 non-Horn;   4 unit;  23 RR)
%            Number of literals   :   72 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    7 (   0 propositional; 1-2 arity)
%            Number of functors   :   12 (   8 constant; 0-2 arity)
%            Number of variables  :   57 (   1 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT038+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(cardinality_at_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(A,C),cardinality_at_time(B,C))]).

input_clause(cardinality_at_time_substitution_2_7,axiom,
    [--equal(A,B),
     ++equal(cardinality_at_time(C,A),cardinality_at_time(C,B))]).

input_clause(contracts_from_substitution_1_8,axiom,
    [--equal(A,B),
     --contracts_from(A,C),
     ++contracts_from(B,C)]).

input_clause(contracts_from_substitution_2_9,axiom,
    [--equal(A,B),
     --contracts_from(C,A),
     ++contracts_from(C,B)]).

input_clause(environment_substitution_1_10,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(finite_set_substitution_1_11,axiom,
    [--equal(A,B),
     --finite_set(A),
     ++finite_set(B)]).

input_clause(greater_substitution_1_12,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_13,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(in_environment_substitution_1_14,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_15,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(stable_substitution_1_16,axiom,
    [--equal(A,B),
     --stable(A),
     ++stable(B)]).

input_clause(mp7_first_movers_exist_17,axiom,
    [++finite_set(first_movers)]).

input_clause(mp_stable_first_movers_18,axiom,
    [--environment(A),
     --stable(A),
     ++in_environment(A,appear(first_movers,A))]).

input_clause(mp_contracting_time_19,axiom,
    [--finite_set(A),
     --contracts_from(B,A),
     ++greater(sk1(B,A),B)]).

input_clause(mp_contracting_time_20,axiom,
    [--finite_set(A),
     --contracts_from(B,A),
     ++equal(cardinality_at_time(s,t2),zero)]).

input_clause(mp_long_stable_environments_21,axiom,
    [--environment(A),
     --stable(A),
     --in_environment(A,B),
     --greater(C,B),
     ++in_environment(A,C)]).

input_clause(mp_greater_transitivity_22,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(l9_23,hypothesis,
    [--environment(A),
     --stable(A),
     ++greater(sk2(A),appear(efficient_producers,A))]).

input_clause(l9_24,hypothesis,
    [--environment(A),
     --stable(A),
     ++contracts_from(sk2(A),first_movers)]).

input_clause(a13_25,hypothesis,
    [--environment(A),
     ++greater(appear(efficient_producers,e),appear(first_movers,A))]).

input_clause(prove_t7_26,conjecture,
    [++environment(sk3)]).

input_clause(prove_t7_27,conjecture,
    [++stable(sk3)]).

input_clause(prove_t7_28,conjecture,
    [--in_environment(sk3,A),
     --greater(A,appear(first_movers,sk3)),
     --equal(cardinality_at_time(first_movers,to),zero)]).
%--------------------------------------------------------------------------
