%--------------------------------------------------------------------------
% File     : MGT039-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Selection favours EPs above Fms if change is slow
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : Selection favors efficient producers above first movers if
%            environmental change is slow. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.17 v2.6.0, 0.11 v2.5.0, 0.22 v2.4.0
% Syntax   : Number of clauses    :   38 (   4 non-Horn;   6 unit;  37 RR)
%            Number of literals   :  108 (  27 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    9 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   3 constant; 0-2 arity)
%            Number of variables  :   75 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT039+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(critical_point_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(critical_point(A),critical_point(B))]).

input_clause(end_time_substitution_1_5,axiom,
    [--equal(A,B),
     ++equal(end_time(A),end_time(B))]).

input_clause(start_time_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(start_time(A),start_time(B))]).

input_clause(environment_substitution_1_7,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(greater_substitution_1_8,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_9,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_10,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_11,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_12,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_13,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(observational_period_substitution_1_14,axiom,
    [--equal(A,B),
     --observational_period(A),
     ++observational_period(B)]).

input_clause(propagation_strategy_substitution_1_15,axiom,
    [--equal(A,B),
     --propagation_strategy(A),
     ++propagation_strategy(B)]).

input_clause(selection_favors_substitution_1_16,axiom,
    [--equal(A,B),
     --selection_favors(A,C,D),
     ++selection_favors(B,C,D)]).

input_clause(selection_favors_substitution_2_17,axiom,
    [--equal(A,B),
     --selection_favors(C,A,D),
     ++selection_favors(C,B,D)]).

input_clause(selection_favors_substitution_3_18,axiom,
    [--equal(A,B),
     --selection_favors(C,D,A),
     ++selection_favors(C,D,B)]).

input_clause(slow_change_substitution_1_19,axiom,
    [--equal(A,B),
     --slow_change(A),
     ++slow_change(B)]).

input_clause(mp3_favoured_trategy_20,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     ++environment(sk1(A)),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp3_favoured_trategy_21,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     ++in_environment(A,sk1(A)),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp3_favoured_trategy_22,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     --selection_favors(efficient_producers,first_movers,end_time(sk1(A))),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp4_critical_point_23,axiom,
    [--observational_period(A),
     --slow_change(A),
     --environment(B),
     --in_environment(A,B),
     ++in_environment(B,sk2(B,A))]).

input_clause(mp4_critical_point_24,axiom,
    [--observational_period(A),
     --slow_change(A),
     --environment(B),
     --in_environment(A,B),
     ++greater(sk2(B,A),critical_point(B))]).

input_clause(mp_organizational_sets1_25,axiom,
    [++propagation_strategy(first_movers)]).

input_clause(mp_organizational_sets2_26,axiom,
    [++propagation_strategy(efficient_producers)]).

input_clause(mp_time_in_environment_27,axiom,
    [--environment(A),
     --greater_or_equal(B,start_time(A)),
     --greater_or_equal(end_time(A),B),
     ++in_environment(A,B)]).

input_clause(mp_environment_end_point_28,axiom,
    [--environment(A),
     --in_environment(A,B),
     ++greater_or_equal(end_time(A),B)]).

input_clause(mp_time_of_critical_point_29,axiom,
    [--environment(A),
     ++greater_or_equal(critical_point(A),start_time(A))]).

input_clause(mp_greater_transitivity_30,axiom,
    [--greater(A,B),
     --greater(B,C),
     ++greater(A,C)]).

input_clause(mp_greater_or_equal_31,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_greater_or_equal_32,axiom,
    [--greater(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_greater_or_equal_33,axiom,
    [--equal(A,B),
     ++greater_or_equal(A,B)]).

input_clause(mp_beginning_and_ending_34,axiom,
    [--environment(A),
     --greater(B,start_time(A)),
     ++greater(B,end_time(A)),
     ++greater_or_equal(end_time(A),B)]).

input_clause(l8_35,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater(B,critical_point(A)),
     ++selection_favors(efficient_producers,first_movers,B)]).

input_clause(prove_t8_36,conjecture,
    [++observational_period(sk3)]).

input_clause(prove_t8_37,conjecture,
    [++slow_change(sk3)]).

input_clause(prove_t8_38,conjecture,
    [--selection_favors(efficient_producers,first_movers,sk3)]).
%--------------------------------------------------------------------------
