%--------------------------------------------------------------------------
% File     : MGT040-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Selection favours FMs above EPs if change is not extreme
% Version  : [PB+94] axioms : Reduced & Augmented > Complete.
% English  : Selection favors first movers above efficient producers if
%            environmental change is rapid but not extreme during the 
%            observational period. 

% Refs     : [PM93]  Peli & Masuch (1993), The Logic of Propogation Strateg
%          : [PM94]  Peli & Masuch (1994), The Logic of Propogation Strateg
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   44 (   8 non-Horn;   7 unit;  41 RR)
%            Number of literals   :  132 (  31 equality)
%            Maximal clause size  :    6 (   3 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   82 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT040+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(appear_substitution_1_4,axiom,
    [--equal(A,B),
     ++equal(appear(A,C),appear(B,C))]).

input_clause(appear_substitution_2_5,axiom,
    [--equal(A,B),
     ++equal(appear(C,A),appear(C,B))]).

input_clause(critical_point_substitution_1_6,axiom,
    [--equal(A,B),
     ++equal(critical_point(A),critical_point(B))]).

input_clause(end_time_substitution_1_7,axiom,
    [--equal(A,B),
     ++equal(end_time(A),end_time(B))]).

input_clause(empty_substitution_1_8,axiom,
    [--equal(A,B),
     --empty(A),
     ++empty(B)]).

input_clause(environment_substitution_1_9,axiom,
    [--equal(A,B),
     --environment(A),
     ++environment(B)]).

input_clause(extreme_substitution_1_10,axiom,
    [--equal(A,B),
     --extreme(A),
     ++extreme(B)]).

input_clause(greater_substitution_1_11,axiom,
    [--equal(A,B),
     --greater(A,C),
     ++greater(B,C)]).

input_clause(greater_substitution_2_12,axiom,
    [--equal(A,B),
     --greater(C,A),
     ++greater(C,B)]).

input_clause(greater_or_equal_substitution_1_13,axiom,
    [--equal(A,B),
     --greater_or_equal(A,C),
     ++greater_or_equal(B,C)]).

input_clause(greater_or_equal_substitution_2_14,axiom,
    [--equal(A,B),
     --greater_or_equal(C,A),
     ++greater_or_equal(C,B)]).

input_clause(in_environment_substitution_1_15,axiom,
    [--equal(A,B),
     --in_environment(A,C),
     ++in_environment(B,C)]).

input_clause(in_environment_substitution_2_16,axiom,
    [--equal(A,B),
     --in_environment(C,A),
     ++in_environment(C,B)]).

input_clause(observational_period_substitution_1_17,axiom,
    [--equal(A,B),
     --observational_period(A),
     ++observational_period(B)]).

input_clause(propagation_strategy_substitution_1_18,axiom,
    [--equal(A,B),
     --propagation_strategy(A),
     ++propagation_strategy(B)]).

input_clause(rapid_change_substitution_1_19,axiom,
    [--equal(A,B),
     --rapid_change(A),
     ++rapid_change(B)]).

input_clause(selection_favors_substitution_1_20,axiom,
    [--equal(A,B),
     --selection_favors(A,C,D),
     ++selection_favors(B,C,D)]).

input_clause(selection_favors_substitution_2_21,axiom,
    [--equal(A,B),
     --selection_favors(C,A,D),
     ++selection_favors(C,B,D)]).

input_clause(selection_favors_substitution_3_22,axiom,
    [--equal(A,B),
     --selection_favors(C,D,A),
     ++selection_favors(C,D,B)]).

input_clause(mp3_favoured_trategy_23,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     ++environment(sk1(A)),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp3_favoured_trategy_24,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     ++in_environment(A,sk1(A)),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp3_favoured_trategy_25,axiom,
    [--observational_period(A),
     --propagation_strategy(first_movers),
     --propagation_strategy(efficient_producers),
     --selection_favors(efficient_producers,first_movers,end_time(sk1(A))),
     ++selection_favors(efficient_producers,first_movers,A)]).

input_clause(mp5_rapid_change_is_non_critical_26,axiom,
    [--observational_period(A),
     --rapid_change(A),
     --environment(B),
     --in_environment(A,B),
     --in_environment(B,critical_point(B))]).

input_clause(mp6_not_extreme_change_means_not_empty_27,axiom,
    [--observational_period(A),
     ++extreme(A),
     --environment(B),
     --in_environment(A,B),
     --empty(B)]).

input_clause(mp_organizational_sets1_28,axiom,
    [++propagation_strategy(first_movers)]).

input_clause(mp_organizational_sets2_29,axiom,
    [++propagation_strategy(efficient_producers)]).

input_clause(mp_endpoint_in_environment_30,axiom,
    [--environment(A),
     ++in_environment(A,end_time(A))]).

input_clause(mp_critical_point_not_before_opening_31,axiom,
    [--environment(A),
     ++in_environment(A,critical_point(A)),
     ++greater(critical_point(A),end_time(A))]).

input_clause(mp_non_empty_means_organisations_32,axiom,
    [--environment(A),
     ++empty(A),
     ++greater_or_equal(end_time(A),appear(an_organisation,A))]).

input_clause(mp_appearance_before_end_holds_33,axiom,
    [--environment(A),
     --greater_or_equal(end_time(A),appear(an_organisation,A)),
     ++in_environment(A,appear(an_organisation,A))]).

input_clause(mp_selection_favours_in_time_34,axiom,
    [--environment(A),
     --greater_or_equal(B,appear(efficient_producers,A)),
     --greater(critical_point(A),B),
     ++in_environment(A,critical_point(A)),
     ++in_environment(A,critical_point(A)),
     ++selection_favors(first_movers,efficient_producers,end_time(A))]).

input_clause(mp_selection_favours_in_time_35,axiom,
    [--environment(A),
     --greater_or_equal(B,appear(efficient_producers,A)),
     --greater(critical_point(A),B),
     --selection_favors(first_movers,efficient_producers,B),
     ++in_environment(A,critical_point(A)),
     ++selection_favors(first_movers,efficient_producers,end_time(A))]).

input_clause(mp_greater_or_equal_36,axiom,
    [--greater_or_equal(A,B),
     ++greater(A,B),
     ++equal(A,B)]).

input_clause(mp_appearance_of_EP_37,axiom,
    [--in_environment(A,B),
     ++greater(appear(efficient_producers,A),B),
     ++greater_or_equal(B,appear(efficient_producers,A))]).

input_clause(t2_38,hypothesis,
    [--environment(A),
     --in_environment(A,B),
     --greater_or_equal(B,appear(first_movers,A)),
     --greater(appear(efficient_producers,A),B),
     ++selection_favors(first_movers,efficient_producers,B)]).

input_clause(t3_39,hypothesis,
    [--environment(A),
     --in_environment(A,critical_point(A)),
     --greater_or_equal(B,appear(efficient_producers,A)),
     --greater(critical_point(A),B),
     ++selection_favors(first_movers,efficient_producers,B)]).

input_clause(l13_40,hypothesis,
    [--environment(A),
     --in_environment(A,appear(an_organisation,A)),
     ++equal(appear(an_organisation,A),appear(first_movers,A))]).

input_clause(prove_t9_41,conjecture,
    [++observational_period(sk2)]).

input_clause(prove_t9_42,conjecture,
    [++rapid_change(sk2)]).

input_clause(prove_t9_43,conjecture,
    [--extreme(sk2)]).

input_clause(prove_t9_44,conjecture,
    [--selection_favors(first_movers,efficient_producers,sk2)]).
%--------------------------------------------------------------------------
