%--------------------------------------------------------------------------
% File     : MGT048-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Capability decreases monotonically with its age
% Version  : [Han98] axioms.
% English  : An organization's capability decreases monotonically with its age.

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.08 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   39 (   3 non-Horn;   4 unit;  28 RR)
%            Number of literals   :   95 (  40 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    6 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   94 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : See MGT042+1.p for the mnemonic names.
%          : Created with tptp2X -f tptp -t clausify:otter MGT048+1.p 
%--------------------------------------------------------------------------
%----Include equality axioms
include('Axioms/EQU001-0.ax').
%----Include inequality axioms
include('Axioms/MGT001-0.ax').
include('Axioms/MGT001-0.eq').
%--------------------------------------------------------------------------
input_clause(age_substitution_1_23,axiom,
    [--equal(A,B),
     ++equal(age(A,C),age(B,C))]).

input_clause(age_substitution_2_24,axiom,
    [--equal(A,B),
     ++equal(age(C,A),age(C,B))]).

input_clause(capability_substitution_1_25,axiom,
    [--equal(A,B),
     ++equal(capability(A,C),capability(B,C))]).

input_clause(capability_substitution_2_26,axiom,
    [--equal(A,B),
     ++equal(capability(C,A),capability(C,B))]).

input_clause(internal_friction_substitution_1_27,axiom,
    [--equal(A,B),
     ++equal(internal_friction(A,C),internal_friction(B,C))]).

input_clause(internal_friction_substitution_2_28,axiom,
    [--equal(A,B),
     ++equal(internal_friction(C,A),internal_friction(C,B))]).

input_clause(stock_of_knowledge_substitution_1_29,axiom,
    [--equal(A,B),
     ++equal(stock_of_knowledge(A,C),stock_of_knowledge(B,C))]).

input_clause(stock_of_knowledge_substitution_2_30,axiom,
    [--equal(A,B),
     ++equal(stock_of_knowledge(C,A),stock_of_knowledge(C,B))]).

input_clause(organization_substitution_1_31,axiom,
    [--equal(A,B),
     --organization(A),
     ++organization(B)]).

input_clause(assumption_5_32,axiom,
    [--organization(A),
     --greater(stock_of_knowledge(A,B),stock_of_knowledge(A,C)),
     --smaller_or_equal(internal_friction(A,B),internal_friction(A,C)),
     ++greater(capability(A,B),capability(A,C))]).

input_clause(assumption_5_33,axiom,
    [--organization(A),
     --smaller_or_equal(stock_of_knowledge(A,B),stock_of_knowledge(A,C)),
     --greater(internal_friction(A,B),internal_friction(A,C)),
     ++smaller(capability(A,B),capability(A,C))]).

input_clause(assumption_5_34,axiom,
    [--organization(A),
     --equal(stock_of_knowledge(A,B),stock_of_knowledge(A,C)),
     --equal(internal_friction(A,B),internal_friction(A,C)),
     ++equal(capability(A,B),capability(A,C))]).

input_clause(assumption_10_35,axiom,
    [--organization(A),
     ++equal(stock_of_knowledge(A,B),stock_of_knowledge(A,C))]).

input_clause(assumption_12_36,axiom,
    [--organization(A),
     --greater(age(A,B),age(A,C)),
     ++greater(internal_friction(A,B),internal_friction(A,C))]).

input_clause(lemma_5_37,conjecture,
    [++organization(sk1)]).

input_clause(lemma_5_38,conjecture,
    [++greater(age(sk1,sk3),age(sk1,sk2))]).

input_clause(lemma_5_39,conjecture,
    [--smaller(capability(sk1,sk3),capability(sk1,sk2))]).
%--------------------------------------------------------------------------
