%--------------------------------------------------------------------------
% File     : MSC007-2.005 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Miscellaneous
% Problem  : Cook pigeon-hole problem
% Version  : [Pel88] axioms : Especial.
% English  : Suppose there are N holes and N+1 pigeons to put in the 
%            holes. Every pigeon is in a hole and no hole contains more 
%            than one pigeon. Prove that this is impossible. The size is 
%            the number of pigeons.

% Refs     : [CR79]  Cook & Reckhow (1979), The Relative Efficiency of Prop
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Pel88] Pelletier (1988), Errata
% Source   : [Pel86]
% Names    : Pelletier 73 (Size 4) [Pel86]

% Status   : unsatisfiable
% Rating   : 0.50 v2.6.0, 0.33 v2.5.0, 0.64 v2.4.0, 0.50 v2.3.0, 0.62 v2.2.1, 0.67 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses    :   37 (   1 non-Horn;  26 unit;  36 RR)
%            Number of literals   :   60 (  33 equality)
%            Maximal clause size  :    6 (   1 average)
%            Number of predicates :    4 (   0 propositional; 1-2 arity)
%            Number of functors   :   10 (   9 constant; 0-1 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : This problem is incorrect in [Pel86] and is corrected in [Pel88].
%          : tptp2X: -f tptp -s5 MSC007-2.g 
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equal(X,X)]).

input_clause(symmetry,axiom,
    [--equal(X,Y),
     ++equal(Y,X)]).

input_clause(transitivity,axiom,
    [--equal(X,Y),
     --equal(Y,Z),
     ++equal(X,Z)]).

input_clause(pigeon_substitutivity1,axiom,
    [--equal(X,Y),
     --pigeon(X),
     ++pigeon(Y)]).

input_clause(hole_of_substitutivity1,axiom,
    [--equal(X,Y),
     ++equal(hole_of(X),hole_of(Y))]).

input_clause(hole_substitutivity1,axiom,
    [--equal(X,Y),
     --hole(X),
     ++hole(Y)]).

input_clause(in_substitutivity1,axiom,
    [--equal(X,Y),
     --in(X,Z),
     ++in(Y,Z)]).

input_clause(in_substitutivity2,axiom,
    [--equal(X,Y),
     --in(Z,X),
     ++in(Z,Y)]).

input_clause(pigeon_1,axiom,
    [++pigeon(pigeon_1)]).

input_clause(pigeon_2,axiom,
    [++pigeon(pigeon_2)]).

input_clause(pigeon_3,axiom,
    [++pigeon(pigeon_3)]).

input_clause(pigeon_4,axiom,
    [++pigeon(pigeon_4)]).

input_clause(pigeon_5,axiom,
    [++pigeon(pigeon_5)]).

input_clause(pigeon_1_is_not_pigeon_2,axiom,
    [--equal(pigeon_1,pigeon_2)]).

input_clause(pigeon_1_is_not_pigeon_3,axiom,
    [--equal(pigeon_1,pigeon_3)]).

input_clause(pigeon_1_is_not_pigeon_4,axiom,
    [--equal(pigeon_1,pigeon_4)]).

input_clause(pigeon_1_is_not_pigeon_5,axiom,
    [--equal(pigeon_1,pigeon_5)]).

input_clause(pigeon_2_is_not_pigeon_3,axiom,
    [--equal(pigeon_2,pigeon_3)]).

input_clause(pigeon_2_is_not_pigeon_4,axiom,
    [--equal(pigeon_2,pigeon_4)]).

input_clause(pigeon_2_is_not_pigeon_5,axiom,
    [--equal(pigeon_2,pigeon_5)]).

input_clause(pigeon_3_is_not_pigeon_4,axiom,
    [--equal(pigeon_3,pigeon_4)]).

input_clause(pigeon_3_is_not_pigeon_5,axiom,
    [--equal(pigeon_3,pigeon_5)]).

input_clause(pigeon_4_is_not_pigeon_5,axiom,
    [--equal(pigeon_4,pigeon_5)]).

input_clause(hole_1,axiom,
    [++hole(hole_1)]).

input_clause(hole_2,axiom,
    [++hole(hole_2)]).

input_clause(hole_3,axiom,
    [++hole(hole_3)]).

input_clause(hole_4,axiom,
    [++hole(hole_4)]).

input_clause(hole_1_is_not_hole_2,axiom,
    [--equal(hole_1,hole_2)]).

input_clause(hole_1_is_not_hole_3,axiom,
    [--equal(hole_1,hole_3)]).

input_clause(hole_1_is_not_hole_4,axiom,
    [--equal(hole_1,hole_4)]).

input_clause(hole_2_is_not_hole_3,axiom,
    [--equal(hole_2,hole_3)]).

input_clause(hole_2_is_not_hole_4,axiom,
    [--equal(hole_2,hole_4)]).

input_clause(hole_3_is_not_hole_4,axiom,
    [--equal(hole_3,hole_4)]).

input_clause(all_holes,axiom,
    [--hole(Hole),
     ++equal(Hole,hole_1),
     ++equal(Hole,hole_2),
     ++equal(Hole,hole_3),
     ++equal(Hole,hole_4)]).

input_clause(each_pigeons_hole1,axiom,
    [--pigeon(X),
     ++hole(hole_of(X))]).

input_clause(each_pigeons_hole2,axiom,
    [--pigeon(X),
     ++in(X,hole_of(X))]).

input_clause(only_one_per_hole,conjecture,
    [--hole(Hole),
     --pigeon(Pigeon1),
     --pigeon(Pigeon2),
     --in(Pigeon1,Hole),
     --in(Pigeon2,Hole),
     ++equal(Pigeon1,Pigeon2)]).
%--------------------------------------------------------------------------
