%--------------------------------------------------------------------------
% File     : NLP005+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 5
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of formulae    :   27 (   1 unit)
%            Number of atoms       :  193 (  41 equality)
%            Maximal formula depth :   34 (   5 average)
%            Number of connectives :  170 (   4 ~  ;   0  |; 139  &)
%                                         (   0 <=>;  27 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   96 (   0 singleton;  58 !;  38 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(barrel_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(A,C) )
     => barrel(B,C) )   )).

input_formula(barrel_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(C,A) )
     => barrel(C,B) )   )).

input_formula(car_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & car(A) )
     => car(B) )   )).

input_formula(chevy_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & chevy(A) )
     => chevy(B) )   )).

input_formula(city_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & city(A) )
     => city(B) )   )).

input_formula(dirty_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & dirty(A) )
     => dirty(B) )   )).

input_formula(down_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & down(A,C) )
     => down(B,C) )   )).

input_formula(down_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & down(C,A) )
     => down(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & event(A) )
     => event(B) )   )).

input_formula(fellow_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & fellow(A) )
     => fellow(B) )   )).

input_formula(front_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & front(A) )
     => front(B) )   )).

input_formula(furniture_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & furniture(A) )
     => furniture(B) )   )).

input_formula(hollywood_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & hollywood(A) )
     => hollywood(B) )   )).

input_formula(in_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in(A,C) )
     => in(B,C) )   )).

input_formula(in_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in(C,A) )
     => in(C,B) )   )).

input_formula(lonely_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & lonely(A) )
     => lonely(B) )   )).

input_formula(man_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & man(A) )
     => man(B) )   )).

input_formula(old_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & old(A) )
     => old(B) )   )).

input_formula(seat_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & seat(A) )
     => seat(B) )   )).

input_formula(street_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & street(A) )
     => street(B) )   )).

input_formula(way_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & way(A) )
     => way(B) )   )).

input_formula(white_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & white(A) )
     => white(B) )   )).

input_formula(young_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & young(A) )
     => young(B) )   )).

input_formula(co1,conjecture,(
    ( ? [U,V,W,X,Y,Z,X1,X3,X4] : 
        ( seat(U)
        & furniture(U)
        & front(U)
        & hollywood(V)
        & city(V)
        & event(W)
        & chevy(X)
        & car(X)
        & white(X)
        & dirty(X)
        & old(X)
        & street(Y)
        & way(Y)
        & lonely(Y)
        & barrel(W,X)
        & down(W,Y)
        & in(W,V)
        & ~ equal(Z,X1)
        & fellow(Z)
        & man(Z)
        & young(Z)
        & fellow(X1)
        & man(X1)
        & young(X1)
        & equal(Z,X3)
        & in(X3,U)
        & equal(X1,X4)
        & in(X4,U) )
   => ? [X5,X6,X7,X8,X9,X10,X11,X12,X14,X15] : 
        ( seat(X5)
        & furniture(X5)
        & front(X5)
        & seat(X6)
        & furniture(X6)
        & front(X6)
        & hollywood(X7)
        & city(X7)
        & event(X8)
        & street(X9)
        & way(X9)
        & lonely(X9)
        & chevy(X10)
        & car(X10)
        & white(X10)
        & dirty(X10)
        & old(X10)
        & barrel(X8,X10)
        & down(X8,X9)
        & in(X8,X7)
        & ~ equal(X11,X12)
        & fellow(X11)
        & man(X11)
        & young(X11)
        & fellow(X12)
        & man(X12)
        & young(X12)
        & equal(X11,X14)
        & in(X14,X5)
        & equal(X12,X15)
        & in(X15,X6) ) )
  & ( ? [X16,X17,X18,X19,X20,X21,X22,X23,X25,X26] : 
        ( seat(X16)
        & furniture(X16)
        & front(X16)
        & seat(X17)
        & furniture(X17)
        & front(X17)
        & hollywood(X18)
        & city(X18)
        & event(X19)
        & street(X20)
        & way(X20)
        & lonely(X20)
        & chevy(X21)
        & car(X21)
        & white(X21)
        & dirty(X21)
        & old(X21)
        & barrel(X19,X21)
        & down(X19,X20)
        & in(X19,X18)
        & ~ equal(X22,X23)
        & fellow(X22)
        & man(X22)
        & young(X22)
        & fellow(X23)
        & man(X23)
        & young(X23)
        & equal(X22,X25)
        & in(X25,X16)
        & equal(X23,X26)
        & in(X26,X17) )
   => ? [X27,X28,X29,X30,X31,X32,X33,X35,X36] : 
        ( seat(X27)
        & furniture(X27)
        & front(X27)
        & hollywood(X28)
        & city(X28)
        & event(X29)
        & chevy(X30)
        & car(X30)
        & white(X30)
        & dirty(X30)
        & old(X30)
        & street(X31)
        & way(X31)
        & lonely(X31)
        & barrel(X29,X30)
        & down(X29,X31)
        & in(X29,X28)
        & ~ equal(X32,X33)
        & fellow(X32)
        & man(X32)
        & young(X32)
        & fellow(X33)
        & man(X33)
        & young(X33)
        & equal(X32,X35)
        & in(X35,X27)
        & equal(X33,X36)
        & in(X36,X27) ) )   )).
%--------------------------------------------------------------------------
