%--------------------------------------------------------------------------
% File     : NLP008+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 8
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of formulae    :   27 (   1 unit)
%            Number of atoms       :  193 (  41 equality)
%            Maximal formula depth :   34 (   5 average)
%            Number of connectives :  170 (   4 ~  ;   0  |; 139  &)
%                                         (   0 <=>;  27 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   96 (   0 singleton;  58 !;  38 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(barrel_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(A,C) )
     => barrel(B,C) )   )).

input_formula(barrel_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(C,A) )
     => barrel(C,B) )   )).

input_formula(car_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & car(A) )
     => car(B) )   )).

input_formula(chevy_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & chevy(A) )
     => chevy(B) )   )).

input_formula(city_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & city(A) )
     => city(B) )   )).

input_formula(dirty_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & dirty(A) )
     => dirty(B) )   )).

input_formula(down_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & down(A,C) )
     => down(B,C) )   )).

input_formula(down_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & down(C,A) )
     => down(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & event(A) )
     => event(B) )   )).

input_formula(fellow_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & fellow(A) )
     => fellow(B) )   )).

input_formula(front_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & front(A) )
     => front(B) )   )).

input_formula(furniture_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & furniture(A) )
     => furniture(B) )   )).

input_formula(hollywood_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & hollywood(A) )
     => hollywood(B) )   )).

input_formula(in_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in(A,C) )
     => in(B,C) )   )).

input_formula(in_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in(C,A) )
     => in(C,B) )   )).

input_formula(lonely_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & lonely(A) )
     => lonely(B) )   )).

input_formula(man_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & man(A) )
     => man(B) )   )).

input_formula(old_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & old(A) )
     => old(B) )   )).

input_formula(seat_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & seat(A) )
     => seat(B) )   )).

input_formula(street_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & street(A) )
     => street(B) )   )).

input_formula(way_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & way(A) )
     => way(B) )   )).

input_formula(white_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & white(A) )
     => white(B) )   )).

input_formula(young_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & young(A) )
     => young(B) )   )).

input_formula(co1,conjecture,(
    ( ? [U,V,W,X,Y,Z,X1,X3,X4] : 
        ( seat(U)
        & furniture(U)
        & front(U)
        & hollywood(V)
        & city(V)
        & event(W)
        & street(X)
        & way(X)
        & lonely(X)
        & chevy(Y)
        & car(Y)
        & white(Y)
        & dirty(Y)
        & old(Y)
        & barrel(W,Y)
        & down(W,X)
        & in(W,V)
        & ~ equal(Z,X1)
        & fellow(Z)
        & man(Z)
        & young(Z)
        & fellow(X1)
        & man(X1)
        & young(X1)
        & equal(Z,X3)
        & in(X3,U)
        & equal(X1,X4)
        & in(X4,U) )
   => ? [X5,X6,X7,X8,X9,X10,X11,X12,X13,X14] : 
        ( seat(X5)
        & furniture(X5)
        & front(X5)
        & hollywood(X6)
        & city(X6)
        & event(X7)
        & chevy(X8)
        & car(X8)
        & white(X8)
        & dirty(X8)
        & old(X8)
        & street(X9)
        & way(X9)
        & lonely(X9)
        & barrel(X7,X8)
        & down(X7,X9)
        & in(X7,X6)
        & seat(X12)
        & furniture(X12)
        & front(X12)
        & ~ equal(X10,X11)
        & fellow(X10)
        & man(X10)
        & young(X10)
        & fellow(X11)
        & man(X11)
        & young(X11)
        & equal(X10,X13)
        & in(X13,X12)
        & equal(X11,X14)
        & in(X14,X5) ) )
  & ( ? [X15,X16,X17,X18,X19,X20,X21,X22,X23,X24] : 
        ( seat(X15)
        & furniture(X15)
        & front(X15)
        & hollywood(X16)
        & city(X16)
        & event(X17)
        & chevy(X18)
        & car(X18)
        & white(X18)
        & dirty(X18)
        & old(X18)
        & street(X19)
        & way(X19)
        & lonely(X19)
        & barrel(X17,X18)
        & down(X17,X19)
        & in(X17,X16)
        & seat(X22)
        & furniture(X22)
        & front(X22)
        & ~ equal(X20,X21)
        & fellow(X20)
        & man(X20)
        & young(X20)
        & fellow(X21)
        & man(X21)
        & young(X21)
        & equal(X20,X23)
        & in(X23,X22)
        & equal(X21,X24)
        & in(X24,X15) )
   => ? [X25,X26,X27,X28,X29,X30,X31,X33,X34] : 
        ( seat(X25)
        & furniture(X25)
        & front(X25)
        & hollywood(X26)
        & city(X26)
        & event(X27)
        & street(X28)
        & way(X28)
        & lonely(X28)
        & chevy(X29)
        & car(X29)
        & white(X29)
        & dirty(X29)
        & old(X29)
        & barrel(X27,X29)
        & down(X27,X28)
        & in(X27,X26)
        & ~ equal(X30,X31)
        & fellow(X30)
        & man(X30)
        & young(X30)
        & fellow(X31)
        & man(X31)
        & young(X31)
        & equal(X30,X33)
        & in(X33,X25)
        & equal(X31,X34)
        & in(X34,X25) ) )   )).
%--------------------------------------------------------------------------
