%--------------------------------------------------------------------------
% File     : NLP009+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : "The old dirty white Chevy" problem 9
% Version  : [Bos00] axioms.
% English  : A problem generated by the DORIS [Bos00] system when parsing
%            the statement "The old dirty white Chevy barrels down a lonely
%            street in Hollywood".

% Refs     : [Bos00] Bos (2000), DORIS: Discourse Oriented Representation an
%            [Bau99] Baumgartner (1999), FTP'2000 - Problem Sets
% Source   : [Bau99]
% Names    : 

% Status   : theorem
% Rating   : 0.33 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of formulae    :   27 (   1 unit)
%            Number of atoms       :  187 (  41 equality)
%            Maximal formula depth :   31 (   4 average)
%            Number of connectives :  164 (   4 ~  ;   0  |; 133  &)
%                                         (   0 <=>;  27 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   94 (   0 singleton;  58 !;  36 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(barrel_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(A,C) )
     => barrel(B,C) )   )).

input_formula(barrel_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(C,A) )
     => barrel(C,B) )   )).

input_formula(car_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & car(A) )
     => car(B) )   )).

input_formula(chevy_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & chevy(A) )
     => chevy(B) )   )).

input_formula(city_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & city(A) )
     => city(B) )   )).

input_formula(dirty_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & dirty(A) )
     => dirty(B) )   )).

input_formula(down_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & down(A,C) )
     => down(B,C) )   )).

input_formula(down_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & down(C,A) )
     => down(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & event(A) )
     => event(B) )   )).

input_formula(fellow_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & fellow(A) )
     => fellow(B) )   )).

input_formula(front_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & front(A) )
     => front(B) )   )).

input_formula(furniture_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & furniture(A) )
     => furniture(B) )   )).

input_formula(hollywood_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & hollywood(A) )
     => hollywood(B) )   )).

input_formula(in_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in(A,C) )
     => in(B,C) )   )).

input_formula(in_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & in(C,A) )
     => in(C,B) )   )).

input_formula(lonely_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & lonely(A) )
     => lonely(B) )   )).

input_formula(man_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & man(A) )
     => man(B) )   )).

input_formula(old_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & old(A) )
     => old(B) )   )).

input_formula(seat_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & seat(A) )
     => seat(B) )   )).

input_formula(street_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & street(A) )
     => street(B) )   )).

input_formula(way_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & way(A) )
     => way(B) )   )).

input_formula(white_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & white(A) )
     => white(B) )   )).

input_formula(young_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & young(A) )
     => young(B) )   )).

input_formula(co1,conjecture,(
    ( ? [U,V,W,X,Y,Z,X1,X2,X3] : 
        ( hollywood(U)
        & city(U)
        & event(V)
        & street(W)
        & way(W)
        & lonely(W)
        & chevy(X)
        & car(X)
        & white(X)
        & dirty(X)
        & old(X)
        & barrel(V,X)
        & down(V,W)
        & in(V,U)
        & seat(X1)
        & furniture(X1)
        & front(X1)
        & ~ equal(Y,Z)
        & fellow(Y)
        & man(Y)
        & young(Y)
        & fellow(Z)
        & man(Z)
        & young(Z)
        & equal(Y,X2)
        & in(X2,X1)
        & equal(Z,X3)
        & in(X3,X1) )
   => ? [X4,X5,X6,X7,X8,X9,X10,X11,X12] : 
        ( hollywood(X4)
        & city(X4)
        & event(X5)
        & chevy(X6)
        & car(X6)
        & white(X6)
        & dirty(X6)
        & old(X6)
        & street(X7)
        & way(X7)
        & lonely(X7)
        & barrel(X5,X6)
        & down(X5,X7)
        & in(X5,X4)
        & seat(X10)
        & furniture(X10)
        & front(X10)
        & ~ equal(X8,X9)
        & fellow(X8)
        & man(X8)
        & young(X8)
        & fellow(X9)
        & man(X9)
        & young(X9)
        & equal(X8,X11)
        & in(X11,X10)
        & equal(X9,X12)
        & in(X12,X10) ) )
  & ( ? [X13,X14,X15,X16,X17,X18,X19,X20,X21] : 
        ( hollywood(X13)
        & city(X13)
        & event(X14)
        & chevy(X15)
        & car(X15)
        & white(X15)
        & dirty(X15)
        & old(X15)
        & street(X16)
        & way(X16)
        & lonely(X16)
        & barrel(X14,X15)
        & down(X14,X16)
        & in(X14,X13)
        & seat(X19)
        & furniture(X19)
        & front(X19)
        & ~ equal(X17,X18)
        & fellow(X17)
        & man(X17)
        & young(X17)
        & fellow(X18)
        & man(X18)
        & young(X18)
        & equal(X17,X20)
        & in(X20,X19)
        & equal(X18,X21)
        & in(X21,X19) )
   => ? [X22,X23,X24,X25,X26,X27,X28,X29,X30] : 
        ( hollywood(X22)
        & city(X22)
        & event(X23)
        & street(X24)
        & way(X24)
        & lonely(X24)
        & chevy(X25)
        & car(X25)
        & white(X25)
        & dirty(X25)
        & old(X25)
        & barrel(X23,X25)
        & down(X23,X24)
        & in(X23,X22)
        & seat(X28)
        & furniture(X28)
        & front(X28)
        & ~ equal(X26,X27)
        & fellow(X26)
        & man(X26)
        & young(X26)
        & fellow(X27)
        & man(X27)
        & young(X27)
        & equal(X26,X29)
        & in(X29,X28)
        & equal(X27,X30)
        & in(X30,X28) ) )   )).
%--------------------------------------------------------------------------
