%--------------------------------------------------------------------------
% File     : NLP031-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Three young guys, problem 6
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Three young guys sit at a table with hamburgers."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.40 v2.6.0, 0.50 v2.4.0
% Syntax   : Number of clauses    :   38 (  11 non-Horn;   2 unit;  23 RR)
%            Number of literals   :  128 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   18 (   1 propositional; 0-4 arity)
%            Number of functors   :   16 (   5 constant; 0-4 arity)
%            Number of variables  :  129 (  52 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP031+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc50)]).

input_clause(clause2,conjecture,
    [++actual_world(skc5)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++group(skc50,skc51)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++three(skc50,skc51)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++ssSkP2(skc51,skc50)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++three(skc5,skc6)]).

input_clause(clause7,conjecture,
    [--ssSkC0,
     ++group(skc5,skc6)]).

input_clause(clause8,conjecture,
    [--ssSkC0,
     ++table(skc5,skc7)]).

input_clause(clause9,conjecture,
    [--ssSkC0,
     ++ssSkP1(skc7,skc6,skc5)]).

input_clause(clause10,conjecture,
    [++ssSkP2(U,V),
     ++member(V,skf26(V,U),U)]).

input_clause(clause11,conjecture,
    [--member(skc50,U,skc51),
     ++ssSkC0,
     ++guy(skc50,U)]).

input_clause(clause12,conjecture,
    [--member(skc50,U,skc51),
     ++ssSkC0,
     ++young(skc50,U)]).

input_clause(clause13,conjecture,
    [--member(skc5,U,skc6),
     --ssSkC0,
     ++guy(skc5,U)]).

input_clause(clause14,conjecture,
    [--member(skc5,U,skc6),
     --ssSkC0,
     ++young(skc5,U)]).

input_clause(clause15,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf19(W,U,V),V)]).

input_clause(clause16,conjecture,
    [++ssSkP0(U,V,W,X),
     ++member(X,skf15(W,X,Y,Z),W)]).

input_clause(clause17,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++table(U,skf23(U,X))]).

input_clause(clause18,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++group(U,skf22(U,X))]).

input_clause(clause19,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++group(U,skf17(U,Y,Z))]).

input_clause(clause20,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++event(U,skf13(U,Z,X1,X2))]).

input_clause(clause21,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++present(U,skf13(U,Z,X1,X2))]).

input_clause(clause22,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++sit(U,skf13(U,Z,X1,X2))]).

input_clause(clause23,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++ssSkP0(X,V,skf17(U,V,X),U)]).

input_clause(clause24,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++ssSkP0(skf23(U,V),V,skf22(U,V),U)]).

input_clause(clause25,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++agent(U,skf13(U,V,X,Y),Y)]).

input_clause(clause26,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++at(U,skf13(U,V,X,Z),X)]).

input_clause(clause27,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++with(U,skf13(U,V,Z,X1),V)]).

input_clause(clause28,conjecture,
    [--member(U,V,skf22(U,W)),
     --member(U,X,Y),
     --ssSkP2(Y,U),
     ++hamburger(U,V)]).

input_clause(clause29,conjecture,
    [--member(U,V,skf17(U,W,X)),
     --member(U,Y,Z),
     --ssSkP1(X1,Z,U),
     ++hamburger(U,V)]).

input_clause(clause30,conjecture,
    [--group(U,V),
     --ssSkP0(W,skf19(U,W,X),V,U),
     ++ssSkP1(W,Y,U),
     ++member(U,skf20(U,V),V)]).

input_clause(clause31,conjecture,
    [--hamburger(U,skf20(U,V)),
     --group(U,W),
     --ssSkP0(X,skf19(U,X,Y),W,U),
     ++ssSkP1(X,Z,U)]).

input_clause(clause32,conjecture,
    [--group(U,V),
     --three(U,V),
     --ssSkP2(V,U),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf12(U,V),V)]).

input_clause(clause33,conjecture,
    [--group(U,V),
     --hamburger(U,skf27(U,W)),
     --ssSkP0(X,skf26(U,Y),V,U),
     --table(U,X),
     ++ssSkP2(Z,U)]).

input_clause(clause34,conjecture,
    [--group(U,V),
     --ssSkP0(W,skf26(U,X),V,U),
     --table(U,W),
     ++ssSkP2(Y,U),
     ++member(U,skf27(U,V),V)]).

input_clause(clause35,conjecture,
    [--three(U,V),
     --group(U,V),
     --ssSkP1(W,V,U),
     --table(U,W),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf29(U,V),V)]).

input_clause(clause36,conjecture,
    [--young(U,skf12(U,V)),
     --guy(U,skf12(U,V)),
     --group(U,W),
     --three(U,W),
     --ssSkP2(W,U),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause37,conjecture,
    [--three(U,V),
     --group(U,V),
     --young(U,skf29(U,W)),
     --guy(U,skf29(U,W)),
     --ssSkP1(X,V,U),
     --table(U,X),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--with(U,V,skf15(W,U,X,Y)),
     --at(U,V,X),
     --sit(U,V),
     --present(U,V),
     --agent(U,V,Y),
     --event(U,V),
     ++ssSkP0(X,Y,W,U)]).
%--------------------------------------------------------------------------
