%--------------------------------------------------------------------------
% File     : NLP032-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Three young guys, problem 7
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Three young guys sit at a table with hamburgers."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.60 v2.6.0, 0.75 v2.5.0, 0.83 v2.4.0
% Syntax   : Number of clauses    :   46 (  10 non-Horn;   2 unit;  21 RR)
%            Number of literals   :  159 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   19 (   1 propositional; 0-4 arity)
%            Number of functors   :   18 (   4 constant; 0-4 arity)
%            Number of variables  :  183 (  78 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP032+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc64)]).

input_clause(clause2,conjecture,
    [++actual_world(skc4)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++group(skc64,skc65)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++ssSkP2(skc65,skc64)]).

input_clause(clause5,conjecture,
    [--ssSkC0,
     ++group(skc4,skc5)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++ssSkP3(skc5,skc4)]).

input_clause(clause7,conjecture,
    [++ssSkP2(U,V),
     ++member(V,skf29(V,U),U)]).

input_clause(clause8,conjecture,
    [++ssSkP3(U,V),
     ++member(V,skf34(V,U),U)]).

input_clause(clause9,conjecture,
    [--member(skc64,U,skc65),
     ++ssSkC0,
     ++hamburger(skc64,U)]).

input_clause(clause10,conjecture,
    [--member(skc4,U,skc5),
     --ssSkC0,
     ++hamburger(skc4,U)]).

input_clause(clause11,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf23(U,W,V),V)]).

input_clause(clause12,conjecture,
    [++ssSkP0(U,V,W,X),
     ++member(X,skf18(W,X,Y,Z),W)]).

input_clause(clause13,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++table(U,skf26(U,X))]).

input_clause(clause14,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++group(U,skf25(U,X))]).

input_clause(clause15,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++three(U,skf25(U,X))]).

input_clause(clause16,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++three(U,skf32(U,X))]).

input_clause(clause17,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++group(U,skf32(U,X))]).

input_clause(clause18,conjecture,
    [--member(U,V,W),
     --ssSkP3(W,U),
     ++ssSkP1(V,skf32(U,V),U)]).

input_clause(clause19,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++table(U,skf20(U,Y,Z))]).

input_clause(clause20,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++sit(U,skf19(U,Y,Z))]).

input_clause(clause21,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++present(U,skf19(U,Y,Z))]).

input_clause(clause22,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++event(U,skf19(U,Y,Z))]).

input_clause(clause23,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++with(U,skf19(U,V,X),X)]).

input_clause(clause24,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++agent(U,skf19(U,V,Y),V)]).

input_clause(clause25,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++event(U,skf16(U,Z,X1,X2))]).

input_clause(clause26,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++present(U,skf16(U,Z,X1,X2))]).

input_clause(clause27,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++sit(U,skf16(U,Z,X1,X2))]).

input_clause(clause28,conjecture,
    [--member(U,V,W),
     --ssSkP2(W,U),
     ++ssSkP0(V,skf26(U,V),skf25(U,V),U)]).

input_clause(clause29,conjecture,
    [--hamburger(U,skf37(U,V)),
     --group(U,W),
     --ssSkP3(W,U),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause30,conjecture,
    [--group(U,V),
     --ssSkP3(V,U),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf37(U,V),V)]).

input_clause(clause31,conjecture,
    [--hamburger(U,skf15(U,V)),
     --group(U,W),
     --ssSkP2(W,U),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause32,conjecture,
    [--group(U,V),
     --ssSkP2(V,U),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf15(U,V),V)]).

input_clause(clause33,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++agent(U,skf16(U,V,Z,X1),V)]).

input_clause(clause34,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++at(U,skf16(U,V,X,Y),Y)]).

input_clause(clause35,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++with(U,skf16(U,V,X,Z),X)]).

input_clause(clause36,conjecture,
    [--member(U,V,skf25(U,W)),
     --member(U,X,Y),
     --ssSkP2(Y,U),
     ++young(U,V)]).

input_clause(clause37,conjecture,
    [--member(U,V,skf25(U,W)),
     --member(U,X,Y),
     --ssSkP2(Y,U),
     ++guy(U,V)]).

input_clause(clause38,conjecture,
    [--member(U,V,skf32(U,W)),
     --member(U,X,Y),
     --ssSkP3(Y,U),
     ++young(U,V)]).

input_clause(clause39,conjecture,
    [--member(U,V,skf32(U,W)),
     --member(U,X,Y),
     --ssSkP3(Y,U),
     ++guy(U,V)]).

input_clause(clause40,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++at(U,skf19(U,Y,Z),skf20(U,Z,Y))]).

input_clause(clause41,conjecture,
    [--group(U,V),
     --three(U,V),
     --ssSkP1(skf34(U,W),V,U),
     ++ssSkP3(X,U),
     ++member(U,skf35(U,V),V)]).

input_clause(clause42,conjecture,
    [--three(U,V),
     --group(U,V),
     --ssSkP0(skf29(U,W),X,V,U),
     --table(U,X),
     ++ssSkP2(Y,U),
     ++member(U,skf30(U,V),V)]).

input_clause(clause43,conjecture,
    [--young(U,skf35(U,V)),
     --guy(U,skf35(U,V)),
     --group(U,W),
     --three(U,W),
     --ssSkP1(skf34(U,X),W,U),
     ++ssSkP3(Y,U)]).

input_clause(clause44,conjecture,
    [--three(U,V),
     --group(U,V),
     --young(U,skf30(U,W)),
     --guy(U,skf30(U,W)),
     --ssSkP0(skf29(U,X),Y,V,U),
     --table(U,Y),
     ++ssSkP2(Z,U)]).

input_clause(clause45,conjecture,
    [--with(U,V,W),
     --at(U,V,X),
     --sit(U,V),
     --present(U,V),
     --agent(U,V,skf18(Y,U,W,X)),
     --event(U,V),
     ++ssSkP0(W,X,Y,U)]).

input_clause(clause46,conjecture,
    [--event(U,V),
     --agent(U,V,skf23(W,U,X)),
     --present(U,V),
     --sit(U,V),
     --with(U,V,W),
     --at(U,V,Y),
     --table(U,Y),
     ++ssSkP1(W,Z,U)]).
%--------------------------------------------------------------------------
