%--------------------------------------------------------------------------
% File     : NLP042-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Mia ordered a shake, problem 1
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "Mia ordered a shake."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :  137 (   0 non-Horn;  13 unit; 136 RR)
%            Number of literals   :  345 (  85 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :   39 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   5 constant; 0-0 arity)
%            Number of variables  :  339 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Created from NLP042+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(abstraction_substitution_1,axiom,
    [--equal(A,B),
     --abstraction(A,C),
     ++abstraction(B,C)]).

input_clause(abstraction_substitution_2,axiom,
    [--equal(A,B),
     --abstraction(C,A),
     ++abstraction(C,B)]).

input_clause(act_substitution_1,axiom,
    [--equal(A,B),
     --act(A,C),
     ++act(B,C)]).

input_clause(act_substitution_2,axiom,
    [--equal(A,B),
     --act(C,A),
     ++act(C,B)]).

input_clause(actual_world_substitution_1,axiom,
    [--equal(A,B),
     --actual_world(A),
     ++actual_world(B)]).

input_clause(agent_substitution_1,axiom,
    [--equal(A,B),
     --agent(A,C,D),
     ++agent(B,C,D)]).

input_clause(agent_substitution_2,axiom,
    [--equal(A,B),
     --agent(C,A,D),
     ++agent(C,B,D)]).

input_clause(agent_substitution_3,axiom,
    [--equal(A,B),
     --agent(C,D,A),
     ++agent(C,D,B)]).

input_clause(animate_substitution_1,axiom,
    [--equal(A,B),
     --animate(A,C),
     ++animate(B,C)]).

input_clause(animate_substitution_2,axiom,
    [--equal(A,B),
     --animate(C,A),
     ++animate(C,B)]).

input_clause(beverage_substitution_1,axiom,
    [--equal(A,B),
     --beverage(A,C),
     ++beverage(B,C)]).

input_clause(beverage_substitution_2,axiom,
    [--equal(A,B),
     --beverage(C,A),
     ++beverage(C,B)]).

input_clause(entity_substitution_1,axiom,
    [--equal(A,B),
     --entity(A,C),
     ++entity(B,C)]).

input_clause(entity_substitution_2,axiom,
    [--equal(A,B),
     --entity(C,A),
     ++entity(C,B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A,C),
     ++event(B,C)]).

input_clause(event_substitution_2,axiom,
    [--equal(A,B),
     --event(C,A),
     ++event(C,B)]).

input_clause(eventuality_substitution_1,axiom,
    [--equal(A,B),
     --eventuality(A,C),
     ++eventuality(B,C)]).

input_clause(eventuality_substitution_2,axiom,
    [--equal(A,B),
     --eventuality(C,A),
     ++eventuality(C,B)]).

input_clause(existent_substitution_1,axiom,
    [--equal(A,B),
     --existent(A,C),
     ++existent(B,C)]).

input_clause(existent_substitution_2,axiom,
    [--equal(A,B),
     --existent(C,A),
     ++existent(C,B)]).

input_clause(female_substitution_1,axiom,
    [--equal(A,B),
     --female(A,C),
     ++female(B,C)]).

input_clause(female_substitution_2,axiom,
    [--equal(A,B),
     --female(C,A),
     ++female(C,B)]).

input_clause(food_substitution_1,axiom,
    [--equal(A,B),
     --food(A,C),
     ++food(B,C)]).

input_clause(food_substitution_2,axiom,
    [--equal(A,B),
     --food(C,A),
     ++food(C,B)]).

input_clause(forename_substitution_1,axiom,
    [--equal(A,B),
     --forename(A,C),
     ++forename(B,C)]).

input_clause(forename_substitution_2,axiom,
    [--equal(A,B),
     --forename(C,A),
     ++forename(C,B)]).

input_clause(general_substitution_1,axiom,
    [--equal(A,B),
     --general(A,C),
     ++general(B,C)]).

input_clause(general_substitution_2,axiom,
    [--equal(A,B),
     --general(C,A),
     ++general(C,B)]).

input_clause(human_substitution_1,axiom,
    [--equal(A,B),
     --human(A,C),
     ++human(B,C)]).

input_clause(human_substitution_2,axiom,
    [--equal(A,B),
     --human(C,A),
     ++human(C,B)]).

input_clause(human_person_substitution_1,axiom,
    [--equal(A,B),
     --human_person(A,C),
     ++human_person(B,C)]).

input_clause(human_person_substitution_2,axiom,
    [--equal(A,B),
     --human_person(C,A),
     ++human_person(C,B)]).

input_clause(impartial_substitution_1,axiom,
    [--equal(A,B),
     --impartial(A,C),
     ++impartial(B,C)]).

input_clause(impartial_substitution_2,axiom,
    [--equal(A,B),
     --impartial(C,A),
     ++impartial(C,B)]).

input_clause(living_substitution_1,axiom,
    [--equal(A,B),
     --living(A,C),
     ++living(B,C)]).

input_clause(living_substitution_2,axiom,
    [--equal(A,B),
     --living(C,A),
     ++living(C,B)]).

input_clause(mia_forename_substitution_1,axiom,
    [--equal(A,B),
     --mia_forename(A,C),
     ++mia_forename(B,C)]).

input_clause(mia_forename_substitution_2,axiom,
    [--equal(A,B),
     --mia_forename(C,A),
     ++mia_forename(C,B)]).

input_clause(nonexistent_substitution_1,axiom,
    [--equal(A,B),
     --nonexistent(A,C),
     ++nonexistent(B,C)]).

input_clause(nonexistent_substitution_2,axiom,
    [--equal(A,B),
     --nonexistent(C,A),
     ++nonexistent(C,B)]).

input_clause(nonhuman_substitution_1,axiom,
    [--equal(A,B),
     --nonhuman(A,C),
     ++nonhuman(B,C)]).

input_clause(nonhuman_substitution_2,axiom,
    [--equal(A,B),
     --nonhuman(C,A),
     ++nonhuman(C,B)]).

input_clause(nonliving_substitution_1,axiom,
    [--equal(A,B),
     --nonliving(A,C),
     ++nonliving(B,C)]).

input_clause(nonliving_substitution_2,axiom,
    [--equal(A,B),
     --nonliving(C,A),
     ++nonliving(C,B)]).

input_clause(nonreflexive_substitution_1,axiom,
    [--equal(A,B),
     --nonreflexive(A,C),
     ++nonreflexive(B,C)]).

input_clause(nonreflexive_substitution_2,axiom,
    [--equal(A,B),
     --nonreflexive(C,A),
     ++nonreflexive(C,B)]).

input_clause(object_substitution_1,axiom,
    [--equal(A,B),
     --object(A,C),
     ++object(B,C)]).

input_clause(object_substitution_2,axiom,
    [--equal(A,B),
     --object(C,A),
     ++object(C,B)]).

input_clause(of_substitution_1,axiom,
    [--equal(A,B),
     --of(A,C,D),
     ++of(B,C,D)]).

input_clause(of_substitution_2,axiom,
    [--equal(A,B),
     --of(C,A,D),
     ++of(C,B,D)]).

input_clause(of_substitution_3,axiom,
    [--equal(A,B),
     --of(C,D,A),
     ++of(C,D,B)]).

input_clause(order_substitution_1,axiom,
    [--equal(A,B),
     --order(A,C),
     ++order(B,C)]).

input_clause(order_substitution_2,axiom,
    [--equal(A,B),
     --order(C,A),
     ++order(C,B)]).

input_clause(organism_substitution_1,axiom,
    [--equal(A,B),
     --organism(A,C),
     ++organism(B,C)]).

input_clause(organism_substitution_2,axiom,
    [--equal(A,B),
     --organism(C,A),
     ++organism(C,B)]).

input_clause(past_substitution_1,axiom,
    [--equal(A,B),
     --past(A,C),
     ++past(B,C)]).

input_clause(past_substitution_2,axiom,
    [--equal(A,B),
     --past(C,A),
     ++past(C,B)]).

input_clause(patient_substitution_1,axiom,
    [--equal(A,B),
     --patient(A,C,D),
     ++patient(B,C,D)]).

input_clause(patient_substitution_2,axiom,
    [--equal(A,B),
     --patient(C,A,D),
     ++patient(C,B,D)]).

input_clause(patient_substitution_3,axiom,
    [--equal(A,B),
     --patient(C,D,A),
     ++patient(C,D,B)]).

input_clause(relation_substitution_1,axiom,
    [--equal(A,B),
     --relation(A,C),
     ++relation(B,C)]).

input_clause(relation_substitution_2,axiom,
    [--equal(A,B),
     --relation(C,A),
     ++relation(C,B)]).

input_clause(relname_substitution_1,axiom,
    [--equal(A,B),
     --relname(A,C),
     ++relname(B,C)]).

input_clause(relname_substitution_2,axiom,
    [--equal(A,B),
     --relname(C,A),
     ++relname(C,B)]).

input_clause(shake_beverage_substitution_1,axiom,
    [--equal(A,B),
     --shake_beverage(A,C),
     ++shake_beverage(B,C)]).

input_clause(shake_beverage_substitution_2,axiom,
    [--equal(A,B),
     --shake_beverage(C,A),
     ++shake_beverage(C,B)]).

input_clause(singleton_substitution_1,axiom,
    [--equal(A,B),
     --singleton(A,C),
     ++singleton(B,C)]).

input_clause(singleton_substitution_2,axiom,
    [--equal(A,B),
     --singleton(C,A),
     ++singleton(C,B)]).

input_clause(specific_substitution_1,axiom,
    [--equal(A,B),
     --specific(A,C),
     ++specific(B,C)]).

input_clause(specific_substitution_2,axiom,
    [--equal(A,B),
     --specific(C,A),
     ++specific(C,B)]).

input_clause(substance_matter_substitution_1,axiom,
    [--equal(A,B),
     --substance_matter(A,C),
     ++substance_matter(B,C)]).

input_clause(substance_matter_substitution_2,axiom,
    [--equal(A,B),
     --substance_matter(C,A),
     ++substance_matter(C,B)]).

input_clause(thing_substitution_1,axiom,
    [--equal(A,B),
     --thing(A,C),
     ++thing(B,C)]).

input_clause(thing_substitution_2,axiom,
    [--equal(A,B),
     --thing(C,A),
     ++thing(C,B)]).

input_clause(unisex_substitution_1,axiom,
    [--equal(A,B),
     --unisex(A,C),
     ++unisex(B,C)]).

input_clause(unisex_substitution_2,axiom,
    [--equal(A,B),
     --unisex(C,A),
     ++unisex(C,B)]).

input_clause(woman_substitution_1,axiom,
    [--equal(A,B),
     --woman(A,C),
     ++woman(B,C)]).

input_clause(woman_substitution_2,axiom,
    [--equal(A,B),
     --woman(C,A),
     ++woman(C,B)]).

input_clause(clause1,axiom,
    [--order(U,V),
     ++act(U,V)]).

input_clause(clause2,axiom,
    [--act(U,V),
     ++event(U,V)]).

input_clause(clause3,axiom,
    [--event(U,V),
     ++eventuality(U,V)]).

input_clause(clause4,axiom,
    [--eventuality(U,V),
     ++thing(U,V)]).

input_clause(clause5,axiom,
    [--thing(U,V),
     ++singleton(U,V)]).

input_clause(clause6,axiom,
    [--eventuality(U,V),
     ++specific(U,V)]).

input_clause(clause7,axiom,
    [--eventuality(U,V),
     ++nonexistent(U,V)]).

input_clause(clause8,axiom,
    [--eventuality(U,V),
     ++unisex(U,V)]).

input_clause(clause9,axiom,
    [--order(U,V),
     ++event(U,V)]).

input_clause(clause10,axiom,
    [--shake_beverage(U,V),
     ++beverage(U,V)]).

input_clause(clause11,axiom,
    [--beverage(U,V),
     ++food(U,V)]).

input_clause(clause12,axiom,
    [--food(U,V),
     ++substance_matter(U,V)]).

input_clause(clause13,axiom,
    [--substance_matter(U,V),
     ++object(U,V)]).

input_clause(clause14,axiom,
    [--object(U,V),
     ++entity(U,V)]).

input_clause(clause15,axiom,
    [--entity(U,V),
     ++thing(U,V)]).

input_clause(clause16,axiom,
    [--entity(U,V),
     ++specific(U,V)]).

input_clause(clause17,axiom,
    [--entity(U,V),
     ++existent(U,V)]).

input_clause(clause18,axiom,
    [--object(U,V),
     ++nonliving(U,V)]).

input_clause(clause19,axiom,
    [--object(U,V),
     ++impartial(U,V)]).

input_clause(clause20,axiom,
    [--object(U,V),
     ++unisex(U,V)]).

input_clause(clause21,axiom,
    [--forename(U,V),
     ++relname(U,V)]).

input_clause(clause22,axiom,
    [--relname(U,V),
     ++relation(U,V)]).

input_clause(clause23,axiom,
    [--relation(U,V),
     ++abstraction(U,V)]).

input_clause(clause24,axiom,
    [--abstraction(U,V),
     ++thing(U,V)]).

input_clause(clause25,axiom,
    [--abstraction(U,V),
     ++nonhuman(U,V)]).

input_clause(clause26,axiom,
    [--abstraction(U,V),
     ++general(U,V)]).

input_clause(clause27,axiom,
    [--abstraction(U,V),
     ++unisex(U,V)]).

input_clause(clause28,axiom,
    [--mia_forename(U,V),
     ++forename(U,V)]).

input_clause(clause29,axiom,
    [--woman(U,V),
     ++human_person(U,V)]).

input_clause(clause30,axiom,
    [--human_person(U,V),
     ++organism(U,V)]).

input_clause(clause31,axiom,
    [--organism(U,V),
     ++entity(U,V)]).

input_clause(clause32,axiom,
    [--organism(U,V),
     ++impartial(U,V)]).

input_clause(clause33,axiom,
    [--organism(U,V),
     ++living(U,V)]).

input_clause(clause34,axiom,
    [--human_person(U,V),
     ++human(U,V)]).

input_clause(clause35,axiom,
    [--human_person(U,V),
     ++animate(U,V)]).

input_clause(clause36,axiom,
    [--woman(U,V),
     ++female(U,V)]).

input_clause(clause37,axiom,
    [--female(U,V),
     --unisex(U,V)]).

input_clause(clause38,axiom,
    [--general(U,V),
     --specific(U,V)]).

input_clause(clause39,axiom,
    [--living(U,V),
     --nonliving(U,V)]).

input_clause(clause40,axiom,
    [--human(U,V),
     --nonhuman(U,V)]).

input_clause(clause41,axiom,
    [--nonexistent(U,V),
     --existent(U,V)]).

input_clause(clause42,axiom,
    [--nonliving(U,V),
     --animate(U,V)]).

input_clause(clause43,axiom,
    [--nonreflexive(U,V),
     --patient(U,V,W),
     --agent(U,V,W)]).

input_clause(clause44,axiom,
    [--forename(U,V),
     --of(U,W,X),
     --forename(U,W),
     --of(U,V,X),
     --entity(U,X),
     ++equal(W,V)]).

input_clause(clause45,conjecture,
    [++actual_world(skc5)]).

input_clause(clause46,conjecture,
    [++woman(skc5,skc9)]).

input_clause(clause47,conjecture,
    [++shake_beverage(skc5,skc7)]).

input_clause(clause48,conjecture,
    [++order(skc5,skc6)]).

input_clause(clause49,conjecture,
    [++nonreflexive(skc5,skc6)]).

input_clause(clause50,conjecture,
    [++past(skc5,skc6)]).

input_clause(clause51,conjecture,
    [++event(skc5,skc6)]).

input_clause(clause52,conjecture,
    [++forename(skc5,skc8)]).

input_clause(clause53,conjecture,
    [++mia_forename(skc5,skc8)]).

input_clause(clause54,conjecture,
    [++of(skc5,skc8,skc9)]).

input_clause(clause55,conjecture,
    [++agent(skc5,skc6,skc9)]).

input_clause(clause56,conjecture,
    [++patient(skc5,skc6,skc7)]).
%--------------------------------------------------------------------------
