%--------------------------------------------------------------------------
% File     : NLP053-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Mia ordered a shake, problem 11
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "Mia ordered a shake. It cost five dollars."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 0.29 v2.5.0, 0.67 v2.4.0
% Syntax   : Number of clauses    :  203 (   7 non-Horn;  17 unit; 197 RR)
%            Number of literals   :  591 ( 188 equality)
%            Maximal clause size  :   17 (   2 average)
%            Number of predicates :   50 (   0 propositional; 1-3 arity)
%            Number of functors   :   13 (   6 constant; 0-7 arity)
%            Number of variables  :  540 (  31 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP053+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(abstraction_substitution_1,axiom,
    [--equal(A,B),
     --abstraction(A,C),
     ++abstraction(B,C)]).

input_clause(abstraction_substitution_2,axiom,
    [--equal(A,B),
     --abstraction(C,A),
     ++abstraction(C,B)]).

input_clause(act_substitution_1,axiom,
    [--equal(A,B),
     --act(A,C),
     ++act(B,C)]).

input_clause(act_substitution_2,axiom,
    [--equal(A,B),
     --act(C,A),
     ++act(C,B)]).

input_clause(actual_world_substitution_1,axiom,
    [--equal(A,B),
     --actual_world(A),
     ++actual_world(B)]).

input_clause(agent_substitution_1,axiom,
    [--equal(A,B),
     --agent(A,C,D),
     ++agent(B,C,D)]).

input_clause(agent_substitution_2,axiom,
    [--equal(A,B),
     --agent(C,A,D),
     ++agent(C,B,D)]).

input_clause(agent_substitution_3,axiom,
    [--equal(A,B),
     --agent(C,D,A),
     ++agent(C,D,B)]).

input_clause(animate_substitution_1,axiom,
    [--equal(A,B),
     --animate(A,C),
     ++animate(B,C)]).

input_clause(animate_substitution_2,axiom,
    [--equal(A,B),
     --animate(C,A),
     ++animate(C,B)]).

input_clause(beverage_substitution_1,axiom,
    [--equal(A,B),
     --beverage(A,C),
     ++beverage(B,C)]).

input_clause(beverage_substitution_2,axiom,
    [--equal(A,B),
     --beverage(C,A),
     ++beverage(C,B)]).

input_clause(cash_substitution_1,axiom,
    [--equal(A,B),
     --cash(A,C),
     ++cash(B,C)]).

input_clause(cash_substitution_2,axiom,
    [--equal(A,B),
     --cash(C,A),
     ++cash(C,B)]).

input_clause(cost_substitution_1,axiom,
    [--equal(A,B),
     --cost(A,C),
     ++cost(B,C)]).

input_clause(cost_substitution_2,axiom,
    [--equal(A,B),
     --cost(C,A),
     ++cost(C,B)]).

input_clause(currency_substitution_1,axiom,
    [--equal(A,B),
     --currency(A,C),
     ++currency(B,C)]).

input_clause(currency_substitution_2,axiom,
    [--equal(A,B),
     --currency(C,A),
     ++currency(C,B)]).

input_clause(dollar_substitution_1,axiom,
    [--equal(A,B),
     --dollar(A,C),
     ++dollar(B,C)]).

input_clause(dollar_substitution_2,axiom,
    [--equal(A,B),
     --dollar(C,A),
     ++dollar(C,B)]).

input_clause(entity_substitution_1,axiom,
    [--equal(A,B),
     --entity(A,C),
     ++entity(B,C)]).

input_clause(entity_substitution_2,axiom,
    [--equal(A,B),
     --entity(C,A),
     ++entity(C,B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A,C),
     ++event(B,C)]).

input_clause(event_substitution_2,axiom,
    [--equal(A,B),
     --event(C,A),
     ++event(C,B)]).

input_clause(eventuality_substitution_1,axiom,
    [--equal(A,B),
     --eventuality(A,C),
     ++eventuality(B,C)]).

input_clause(eventuality_substitution_2,axiom,
    [--equal(A,B),
     --eventuality(C,A),
     ++eventuality(C,B)]).

input_clause(existent_substitution_1,axiom,
    [--equal(A,B),
     --existent(A,C),
     ++existent(B,C)]).

input_clause(existent_substitution_2,axiom,
    [--equal(A,B),
     --existent(C,A),
     ++existent(C,B)]).

input_clause(female_substitution_1,axiom,
    [--equal(A,B),
     --female(A,C),
     ++female(B,C)]).

input_clause(female_substitution_2,axiom,
    [--equal(A,B),
     --female(C,A),
     ++female(C,B)]).

input_clause(five_substitution_1,axiom,
    [--equal(A,B),
     --five(A,C),
     ++five(B,C)]).

input_clause(five_substitution_2,axiom,
    [--equal(A,B),
     --five(C,A),
     ++five(C,B)]).

input_clause(food_substitution_1,axiom,
    [--equal(A,B),
     --food(A,C),
     ++food(B,C)]).

input_clause(food_substitution_2,axiom,
    [--equal(A,B),
     --food(C,A),
     ++food(C,B)]).

input_clause(forename_substitution_1,axiom,
    [--equal(A,B),
     --forename(A,C),
     ++forename(B,C)]).

input_clause(forename_substitution_2,axiom,
    [--equal(A,B),
     --forename(C,A),
     ++forename(C,B)]).

input_clause(general_substitution_1,axiom,
    [--equal(A,B),
     --general(A,C),
     ++general(B,C)]).

input_clause(general_substitution_2,axiom,
    [--equal(A,B),
     --general(C,A),
     ++general(C,B)]).

input_clause(group_substitution_1,axiom,
    [--equal(A,B),
     --group(A,C),
     ++group(B,C)]).

input_clause(group_substitution_2,axiom,
    [--equal(A,B),
     --group(C,A),
     ++group(C,B)]).

input_clause(human_substitution_1,axiom,
    [--equal(A,B),
     --human(A,C),
     ++human(B,C)]).

input_clause(human_substitution_2,axiom,
    [--equal(A,B),
     --human(C,A),
     ++human(C,B)]).

input_clause(human_person_substitution_1,axiom,
    [--equal(A,B),
     --human_person(A,C),
     ++human_person(B,C)]).

input_clause(human_person_substitution_2,axiom,
    [--equal(A,B),
     --human_person(C,A),
     ++human_person(C,B)]).

input_clause(impartial_substitution_1,axiom,
    [--equal(A,B),
     --impartial(A,C),
     ++impartial(B,C)]).

input_clause(impartial_substitution_2,axiom,
    [--equal(A,B),
     --impartial(C,A),
     ++impartial(C,B)]).

input_clause(living_substitution_1,axiom,
    [--equal(A,B),
     --living(A,C),
     ++living(B,C)]).

input_clause(living_substitution_2,axiom,
    [--equal(A,B),
     --living(C,A),
     ++living(C,B)]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C,D),
     ++member(B,C,D)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A,D),
     ++member(C,B,D)]).

input_clause(member_substitution_3,axiom,
    [--equal(A,B),
     --member(C,D,A),
     ++member(C,D,B)]).

input_clause(mia_forename_substitution_1,axiom,
    [--equal(A,B),
     --mia_forename(A,C),
     ++mia_forename(B,C)]).

input_clause(mia_forename_substitution_2,axiom,
    [--equal(A,B),
     --mia_forename(C,A),
     ++mia_forename(C,B)]).

input_clause(multiple_substitution_1,axiom,
    [--equal(A,B),
     --multiple(A,C),
     ++multiple(B,C)]).

input_clause(multiple_substitution_2,axiom,
    [--equal(A,B),
     --multiple(C,A),
     ++multiple(C,B)]).

input_clause(nonexistent_substitution_1,axiom,
    [--equal(A,B),
     --nonexistent(A,C),
     ++nonexistent(B,C)]).

input_clause(nonexistent_substitution_2,axiom,
    [--equal(A,B),
     --nonexistent(C,A),
     ++nonexistent(C,B)]).

input_clause(nonhuman_substitution_1,axiom,
    [--equal(A,B),
     --nonhuman(A,C),
     ++nonhuman(B,C)]).

input_clause(nonhuman_substitution_2,axiom,
    [--equal(A,B),
     --nonhuman(C,A),
     ++nonhuman(C,B)]).

input_clause(nonliving_substitution_1,axiom,
    [--equal(A,B),
     --nonliving(A,C),
     ++nonliving(B,C)]).

input_clause(nonliving_substitution_2,axiom,
    [--equal(A,B),
     --nonliving(C,A),
     ++nonliving(C,B)]).

input_clause(nonreflexive_substitution_1,axiom,
    [--equal(A,B),
     --nonreflexive(A,C),
     ++nonreflexive(B,C)]).

input_clause(nonreflexive_substitution_2,axiom,
    [--equal(A,B),
     --nonreflexive(C,A),
     ++nonreflexive(C,B)]).

input_clause(object_substitution_1,axiom,
    [--equal(A,B),
     --object(A,C),
     ++object(B,C)]).

input_clause(object_substitution_2,axiom,
    [--equal(A,B),
     --object(C,A),
     ++object(C,B)]).

input_clause(of_substitution_1,axiom,
    [--equal(A,B),
     --of(A,C,D),
     ++of(B,C,D)]).

input_clause(of_substitution_2,axiom,
    [--equal(A,B),
     --of(C,A,D),
     ++of(C,B,D)]).

input_clause(of_substitution_3,axiom,
    [--equal(A,B),
     --of(C,D,A),
     ++of(C,D,B)]).

input_clause(order_substitution_1,axiom,
    [--equal(A,B),
     --order(A,C),
     ++order(B,C)]).

input_clause(order_substitution_2,axiom,
    [--equal(A,B),
     --order(C,A),
     ++order(C,B)]).

input_clause(organism_substitution_1,axiom,
    [--equal(A,B),
     --organism(A,C),
     ++organism(B,C)]).

input_clause(organism_substitution_2,axiom,
    [--equal(A,B),
     --organism(C,A),
     ++organism(C,B)]).

input_clause(past_substitution_1,axiom,
    [--equal(A,B),
     --past(A,C),
     ++past(B,C)]).

input_clause(past_substitution_2,axiom,
    [--equal(A,B),
     --past(C,A),
     ++past(C,B)]).

input_clause(patient_substitution_1,axiom,
    [--equal(A,B),
     --patient(A,C,D),
     ++patient(B,C,D)]).

input_clause(patient_substitution_2,axiom,
    [--equal(A,B),
     --patient(C,A,D),
     ++patient(C,B,D)]).

input_clause(patient_substitution_3,axiom,
    [--equal(A,B),
     --patient(C,D,A),
     ++patient(C,D,B)]).

input_clause(possession_substitution_1,axiom,
    [--equal(A,B),
     --possession(A,C),
     ++possession(B,C)]).

input_clause(possession_substitution_2,axiom,
    [--equal(A,B),
     --possession(C,A),
     ++possession(C,B)]).

input_clause(present_substitution_1,axiom,
    [--equal(A,B),
     --present(A,C),
     ++present(B,C)]).

input_clause(present_substitution_2,axiom,
    [--equal(A,B),
     --present(C,A),
     ++present(C,B)]).

input_clause(relation_substitution_1,axiom,
    [--equal(A,B),
     --relation(A,C),
     ++relation(B,C)]).

input_clause(relation_substitution_2,axiom,
    [--equal(A,B),
     --relation(C,A),
     ++relation(C,B)]).

input_clause(relname_substitution_1,axiom,
    [--equal(A,B),
     --relname(A,C),
     ++relname(B,C)]).

input_clause(relname_substitution_2,axiom,
    [--equal(A,B),
     --relname(C,A),
     ++relname(C,B)]).

input_clause(set_substitution_1,axiom,
    [--equal(A,B),
     --set(A,C),
     ++set(B,C)]).

input_clause(set_substitution_2,axiom,
    [--equal(A,B),
     --set(C,A),
     ++set(C,B)]).

input_clause(shake_beverage_substitution_1,axiom,
    [--equal(A,B),
     --shake_beverage(A,C),
     ++shake_beverage(B,C)]).

input_clause(shake_beverage_substitution_2,axiom,
    [--equal(A,B),
     --shake_beverage(C,A),
     ++shake_beverage(C,B)]).

input_clause(singleton_substitution_1,axiom,
    [--equal(A,B),
     --singleton(A,C),
     ++singleton(B,C)]).

input_clause(singleton_substitution_2,axiom,
    [--equal(A,B),
     --singleton(C,A),
     ++singleton(C,B)]).

input_clause(specific_substitution_1,axiom,
    [--equal(A,B),
     --specific(A,C),
     ++specific(B,C)]).

input_clause(specific_substitution_2,axiom,
    [--equal(A,B),
     --specific(C,A),
     ++specific(C,B)]).

input_clause(substance_matter_substitution_1,axiom,
    [--equal(A,B),
     --substance_matter(A,C),
     ++substance_matter(B,C)]).

input_clause(substance_matter_substitution_2,axiom,
    [--equal(A,B),
     --substance_matter(C,A),
     ++substance_matter(C,B)]).

input_clause(thing_substitution_1,axiom,
    [--equal(A,B),
     --thing(A,C),
     ++thing(B,C)]).

input_clause(thing_substitution_2,axiom,
    [--equal(A,B),
     --thing(C,A),
     ++thing(C,B)]).

input_clause(unisex_substitution_1,axiom,
    [--equal(A,B),
     --unisex(A,C),
     ++unisex(B,C)]).

input_clause(unisex_substitution_2,axiom,
    [--equal(A,B),
     --unisex(C,A),
     ++unisex(C,B)]).

input_clause(woman_substitution_1,axiom,
    [--equal(A,B),
     --woman(A,C),
     ++woman(B,C)]).

input_clause(woman_substitution_2,axiom,
    [--equal(A,B),
     --woman(C,A),
     ++woman(C,B)]).

input_clause(clause1,axiom,
    [--member(U,V,V)]).

input_clause(clause2,axiom,
    [--dollar(U,V),
     ++cash(U,V)]).

input_clause(clause3,axiom,
    [--cash(U,V),
     ++currency(U,V)]).

input_clause(clause4,axiom,
    [--currency(U,V),
     ++possession(U,V)]).

input_clause(clause5,axiom,
    [--possession(U,V),
     ++abstraction(U,V)]).

input_clause(clause6,axiom,
    [--abstraction(U,V),
     ++thing(U,V)]).

input_clause(clause7,axiom,
    [--thing(U,V),
     ++singleton(U,V)]).

input_clause(clause8,axiom,
    [--abstraction(U,V),
     ++nonhuman(U,V)]).

input_clause(clause9,axiom,
    [--abstraction(U,V),
     ++general(U,V)]).

input_clause(clause10,axiom,
    [--abstraction(U,V),
     ++unisex(U,V)]).

input_clause(clause11,axiom,
    [--group(U,V),
     ++set(U,V)]).

input_clause(clause12,axiom,
    [--set(U,V),
     ++multiple(U,V)]).

input_clause(clause13,axiom,
    [--five(U,V),
     ++group(U,V)]).

input_clause(clause14,axiom,
    [--cost(U,V),
     ++event(U,V)]).

input_clause(clause15,axiom,
    [--event(U,V),
     ++eventuality(U,V)]).

input_clause(clause16,axiom,
    [--eventuality(U,V),
     ++thing(U,V)]).

input_clause(clause17,axiom,
    [--eventuality(U,V),
     ++specific(U,V)]).

input_clause(clause18,axiom,
    [--eventuality(U,V),
     ++nonexistent(U,V)]).

input_clause(clause19,axiom,
    [--eventuality(U,V),
     ++unisex(U,V)]).

input_clause(clause20,axiom,
    [--order(U,V),
     ++act(U,V)]).

input_clause(clause21,axiom,
    [--act(U,V),
     ++event(U,V)]).

input_clause(clause22,axiom,
    [--order(U,V),
     ++event(U,V)]).

input_clause(clause23,axiom,
    [--shake_beverage(U,V),
     ++beverage(U,V)]).

input_clause(clause24,axiom,
    [--beverage(U,V),
     ++food(U,V)]).

input_clause(clause25,axiom,
    [--food(U,V),
     ++substance_matter(U,V)]).

input_clause(clause26,axiom,
    [--substance_matter(U,V),
     ++object(U,V)]).

input_clause(clause27,axiom,
    [--object(U,V),
     ++entity(U,V)]).

input_clause(clause28,axiom,
    [--entity(U,V),
     ++thing(U,V)]).

input_clause(clause29,axiom,
    [--entity(U,V),
     ++specific(U,V)]).

input_clause(clause30,axiom,
    [--entity(U,V),
     ++existent(U,V)]).

input_clause(clause31,axiom,
    [--object(U,V),
     ++nonliving(U,V)]).

input_clause(clause32,axiom,
    [--object(U,V),
     ++impartial(U,V)]).

input_clause(clause33,axiom,
    [--object(U,V),
     ++unisex(U,V)]).

input_clause(clause34,axiom,
    [--forename(U,V),
     ++relname(U,V)]).

input_clause(clause35,axiom,
    [--relname(U,V),
     ++relation(U,V)]).

input_clause(clause36,axiom,
    [--relation(U,V),
     ++abstraction(U,V)]).

input_clause(clause37,axiom,
    [--mia_forename(U,V),
     ++forename(U,V)]).

input_clause(clause38,axiom,
    [--woman(U,V),
     ++human_person(U,V)]).

input_clause(clause39,axiom,
    [--human_person(U,V),
     ++organism(U,V)]).

input_clause(clause40,axiom,
    [--organism(U,V),
     ++entity(U,V)]).

input_clause(clause41,axiom,
    [--organism(U,V),
     ++impartial(U,V)]).

input_clause(clause42,axiom,
    [--organism(U,V),
     ++living(U,V)]).

input_clause(clause43,axiom,
    [--human_person(U,V),
     ++human(U,V)]).

input_clause(clause44,axiom,
    [--human_person(U,V),
     ++animate(U,V)]).

input_clause(clause45,axiom,
    [--woman(U,V),
     ++female(U,V)]).

input_clause(clause46,axiom,
    [--female(U,V),
     --unisex(U,V)]).

input_clause(clause47,axiom,
    [--general(U,V),
     --specific(U,V)]).

input_clause(clause48,axiom,
    [--multiple(U,V),
     --singleton(U,V)]).

input_clause(clause49,axiom,
    [--past(U,V),
     --present(U,V)]).

input_clause(clause50,axiom,
    [--living(U,V),
     --nonliving(U,V)]).

input_clause(clause51,axiom,
    [--human(U,V),
     --nonhuman(U,V)]).

input_clause(clause52,axiom,
    [--nonexistent(U,V),
     --existent(U,V)]).

input_clause(clause53,axiom,
    [--nonliving(U,V),
     --animate(U,V)]).

input_clause(clause54,axiom,
    [--five(U,V),
     ++member(U,skf17(V,U),V)]).

input_clause(clause55,axiom,
    [--five(U,V),
     ++member(U,skf15(V,U),V)]).

input_clause(clause56,axiom,
    [--five(U,V),
     ++member(U,skf13(V,U),V)]).

input_clause(clause57,axiom,
    [--five(U,V),
     ++member(U,skf11(V,U),V)]).

input_clause(clause58,axiom,
    [--five(U,V),
     ++member(U,skf9(V,U),V)]).

input_clause(clause59,axiom,
    [--equal(skf17(U,V),skf9(U,V)),
     --five(V,U)]).

input_clause(clause60,axiom,
    [--equal(skf17(U,V),skf11(U,V)),
     --five(V,U)]).

input_clause(clause61,axiom,
    [--equal(skf17(U,V),skf13(U,V)),
     --five(V,U)]).

input_clause(clause62,axiom,
    [--equal(skf17(U,V),skf15(U,V)),
     --five(V,U)]).

input_clause(clause63,axiom,
    [--equal(skf15(U,V),skf9(U,V)),
     --five(V,U)]).

input_clause(clause64,axiom,
    [--equal(skf15(U,V),skf11(U,V)),
     --five(V,U)]).

input_clause(clause65,axiom,
    [--equal(skf15(U,V),skf13(U,V)),
     --five(V,U)]).

input_clause(clause66,axiom,
    [--equal(skf13(U,V),skf9(U,V)),
     --five(V,U)]).

input_clause(clause67,axiom,
    [--equal(skf13(U,V),skf11(U,V)),
     --five(V,U)]).

input_clause(clause68,axiom,
    [--equal(skf11(U,V),skf9(U,V)),
     --five(V,U)]).

input_clause(clause69,axiom,
    [--nonreflexive(U,V),
     --patient(U,V,W),
     --agent(U,V,W)]).

input_clause(clause70,axiom,
    [--forename(U,V),
     --of(U,W,X),
     --forename(U,W),
     --of(U,V,X),
     --entity(U,X),
     ++equal(W,V)]).

input_clause(clause71,axiom,
    [--member(U,V,W),
     --five(U,W),
     ++equal(V,skf9(W,U)),
     ++equal(V,skf11(W,U)),
     ++equal(V,skf13(W,U)),
     ++equal(V,skf15(W,U)),
     ++equal(V,skf17(W,U))]).

input_clause(clause72,axiom,
    [--equal(skf18(U,V,W,X,Y,Z,X1),V),
     --member(X2,U,X3),
     --member(X2,V,X3),
     --member(X2,X4,X3),
     --member(X2,X5,X3),
     --member(X2,X6,X3),
     ++five(X2,X3),
     ++equal(U,X6),
     ++equal(U,X5),
     ++equal(U,X4),
     ++equal(U,V),
     ++equal(V,X6),
     ++equal(V,X5),
     ++equal(V,X4),
     ++equal(X4,X6),
     ++equal(X4,X5),
     ++equal(X5,X6)]).

input_clause(clause73,axiom,
    [--equal(skf18(U,V,W,X,Y,Z,X1),W),
     --member(X2,U,X3),
     --member(X2,V,X3),
     --member(X2,W,X3),
     --member(X2,X4,X3),
     --member(X2,X5,X3),
     ++five(X2,X3),
     ++equal(U,X5),
     ++equal(U,X4),
     ++equal(U,W),
     ++equal(U,V),
     ++equal(V,X5),
     ++equal(V,X4),
     ++equal(V,W),
     ++equal(W,X5),
     ++equal(W,X4),
     ++equal(X4,X5)]).

input_clause(clause74,axiom,
    [--equal(skf18(U,V,W,X,Y,Z,X1),X),
     --member(X2,U,X3),
     --member(X2,V,X3),
     --member(X2,W,X3),
     --member(X2,X,X3),
     --member(X2,X4,X3),
     ++five(X2,X3),
     ++equal(U,X4),
     ++equal(U,X),
     ++equal(U,W),
     ++equal(U,V),
     ++equal(V,X4),
     ++equal(V,X),
     ++equal(V,W),
     ++equal(W,X4),
     ++equal(W,X),
     ++equal(X,X4)]).

input_clause(clause75,axiom,
    [--equal(skf18(U,V,W,X,Y,Z,X1),Y),
     --member(X2,U,X3),
     --member(X2,V,X3),
     --member(X2,W,X3),
     --member(X2,X,X3),
     --member(X2,Y,X3),
     ++five(X2,X3),
     ++equal(U,Y),
     ++equal(U,X),
     ++equal(U,W),
     ++equal(U,V),
     ++equal(V,Y),
     ++equal(V,X),
     ++equal(V,W),
     ++equal(W,Y),
     ++equal(W,X),
     ++equal(X,Y)]).

input_clause(clause76,axiom,
    [--member(U,V,W),
     --member(U,X,W),
     --member(U,Y,W),
     --member(U,Z,W),
     --member(U,X1,W),
     ++five(U,W),
     ++member(U,skf18(V,X,Y,Z,X1,W,U),W),
     ++equal(V,X1),
     ++equal(V,Z),
     ++equal(V,Y),
     ++equal(V,X),
     ++equal(X,X1),
     ++equal(X,Z),
     ++equal(X,Y),
     ++equal(Y,X1),
     ++equal(Y,Z),
     ++equal(Z,X1)]).

input_clause(clause77,axiom,
    [--equal(skf18(U,V,W,X,Y,Z,X1),U),
     --member(X2,U,X3),
     --member(X2,X4,X3),
     --member(X2,X5,X3),
     --member(X2,X6,X3),
     --member(X2,X7,X3),
     ++five(X2,X3),
     ++equal(U,X7),
     ++equal(U,X6),
     ++equal(U,X5),
     ++equal(U,X4),
     ++equal(X4,X7),
     ++equal(X4,X6),
     ++equal(X4,X5),
     ++equal(X5,X7),
     ++equal(X5,X6),
     ++equal(X6,X7)]).

input_clause(clause78,conjecture,
    [++actual_world(skc6)]).

input_clause(clause79,conjecture,
    [++woman(skc6,skc12)]).

input_clause(clause80,conjecture,
    [++shake_beverage(skc6,skc10)]).

input_clause(clause81,conjecture,
    [++nonhuman(skc6,skc7)]).

input_clause(clause82,conjecture,
    [++five(skc6,skc7)]).

input_clause(clause83,conjecture,
    [++group(skc6,skc7)]).

input_clause(clause84,conjecture,
    [++order(skc6,skc9)]).

input_clause(clause85,conjecture,
    [++nonreflexive(skc6,skc9)]).

input_clause(clause86,conjecture,
    [++past(skc6,skc9)]).

input_clause(clause87,conjecture,
    [++event(skc6,skc9)]).

input_clause(clause88,conjecture,
    [++forename(skc6,skc11)]).

input_clause(clause89,conjecture,
    [++mia_forename(skc6,skc11)]).

input_clause(clause90,conjecture,
    [++of(skc6,skc11,skc12)]).

input_clause(clause91,conjecture,
    [++agent(skc6,skc9,skc12)]).

input_clause(clause92,conjecture,
    [++patient(skc6,skc9,skc10)]).

input_clause(clause93,conjecture,
    [--member(skc6,U,skc7),
     ++dollar(skc6,U)]).

input_clause(clause94,conjecture,
    [--member(skc6,U,skc7),
     ++cost(skc6,skf7(V))]).

input_clause(clause95,conjecture,
    [--member(skc6,U,skc7),
     ++nonreflexive(skc6,skf7(V))]).

input_clause(clause96,conjecture,
    [--member(skc6,U,skc7),
     ++present(skc6,skf7(V))]).

input_clause(clause97,conjecture,
    [--member(skc6,U,skc7),
     ++event(skc6,skf7(V))]).

input_clause(clause98,conjecture,
    [--member(skc6,U,skc7),
     ++patient(skc6,skf7(U),U)]).

input_clause(clause99,conjecture,
    [--member(skc6,U,skc7),
     ++agent(skc6,skf7(V),skc7)]).
%--------------------------------------------------------------------------
