%--------------------------------------------------------------------------
% File     : NLP058+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Mia ordered a shake, problem 16
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            "Mia ordered a shake. It cost five dollars."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris035 [Bos00b]

% Status   : satisfiable
% Rating   : 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of formulae    :  161 (   2 unit)
%            Number of atoms       :  482 ( 124 equality)
%            Maximal formula depth :   28 (   4 average)
%            Number of connectives :  345 (  24 ~  ;   4  |; 156  &)
%                                         (   1 <=>; 160 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   50 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  456 (   0 singleton; 437 !;  19 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(abstraction_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(A,C) )
     => abstraction(B,C) )   )).

input_formula(abstraction_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(C,A) )
     => abstraction(C,B) )   )).

input_formula(act_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & act(A,C) )
     => act(B,C) )   )).

input_formula(act_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & act(C,A) )
     => act(C,B) )   )).

input_formula(actual_world_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & actual_world(A) )
     => actual_world(B) )   )).

input_formula(agent_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(A,C,D) )
     => agent(B,C,D) )   )).

input_formula(agent_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,A,D) )
     => agent(C,B,D) )   )).

input_formula(agent_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,D,A) )
     => agent(C,D,B) )   )).

input_formula(animate_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(A,C) )
     => animate(B,C) )   )).

input_formula(animate_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(C,A) )
     => animate(C,B) )   )).

input_formula(beverage_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & beverage(A,C) )
     => beverage(B,C) )   )).

input_formula(beverage_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & beverage(C,A) )
     => beverage(C,B) )   )).

input_formula(cash_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cash(A,C) )
     => cash(B,C) )   )).

input_formula(cash_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cash(C,A) )
     => cash(C,B) )   )).

input_formula(cost_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cost(A,C) )
     => cost(B,C) )   )).

input_formula(cost_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & cost(C,A) )
     => cost(C,B) )   )).

input_formula(currency_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & currency(A,C) )
     => currency(B,C) )   )).

input_formula(currency_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & currency(C,A) )
     => currency(C,B) )   )).

input_formula(dollar_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & dollar(A,C) )
     => dollar(B,C) )   )).

input_formula(dollar_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & dollar(C,A) )
     => dollar(C,B) )   )).

input_formula(entity_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(A,C) )
     => entity(B,C) )   )).

input_formula(entity_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(C,A) )
     => entity(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(A,C) )
     => event(B,C) )   )).

input_formula(event_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(C,A) )
     => event(C,B) )   )).

input_formula(eventuality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(A,C) )
     => eventuality(B,C) )   )).

input_formula(eventuality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(C,A) )
     => eventuality(C,B) )   )).

input_formula(existent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(A,C) )
     => existent(B,C) )   )).

input_formula(existent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(C,A) )
     => existent(C,B) )   )).

input_formula(female_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & female(A,C) )
     => female(B,C) )   )).

input_formula(female_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & female(C,A) )
     => female(C,B) )   )).

input_formula(five_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & five(A,C) )
     => five(B,C) )   )).

input_formula(five_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & five(C,A) )
     => five(C,B) )   )).

input_formula(food_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & food(A,C) )
     => food(B,C) )   )).

input_formula(food_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & food(C,A) )
     => food(C,B) )   )).

input_formula(forename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & forename(A,C) )
     => forename(B,C) )   )).

input_formula(forename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & forename(C,A) )
     => forename(C,B) )   )).

input_formula(general_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(A,C) )
     => general(B,C) )   )).

input_formula(general_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(C,A) )
     => general(C,B) )   )).

input_formula(group_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group(A,C) )
     => group(B,C) )   )).

input_formula(group_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group(C,A) )
     => group(C,B) )   )).

input_formula(human_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(A,C) )
     => human(B,C) )   )).

input_formula(human_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(C,A) )
     => human(C,B) )   )).

input_formula(human_person_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(A,C) )
     => human_person(B,C) )   )).

input_formula(human_person_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(C,A) )
     => human_person(C,B) )   )).

input_formula(impartial_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(A,C) )
     => impartial(B,C) )   )).

input_formula(impartial_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(C,A) )
     => impartial(C,B) )   )).

input_formula(living_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(A,C) )
     => living(B,C) )   )).

input_formula(living_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(C,A) )
     => living(C,B) )   )).

input_formula(member_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(A,C,D) )
     => member(B,C,D) )   )).

input_formula(member_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(C,A,D) )
     => member(C,B,D) )   )).

input_formula(member_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(C,D,A) )
     => member(C,D,B) )   )).

input_formula(mia_forename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & mia_forename(A,C) )
     => mia_forename(B,C) )   )).

input_formula(mia_forename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & mia_forename(C,A) )
     => mia_forename(C,B) )   )).

input_formula(multiple_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & multiple(A,C) )
     => multiple(B,C) )   )).

input_formula(multiple_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & multiple(C,A) )
     => multiple(C,B) )   )).

input_formula(nonexistent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(A,C) )
     => nonexistent(B,C) )   )).

input_formula(nonexistent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(C,A) )
     => nonexistent(C,B) )   )).

input_formula(nonhuman_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(A,C) )
     => nonhuman(B,C) )   )).

input_formula(nonhuman_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(C,A) )
     => nonhuman(C,B) )   )).

input_formula(nonliving_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(A,C) )
     => nonliving(B,C) )   )).

input_formula(nonliving_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(C,A) )
     => nonliving(C,B) )   )).

input_formula(nonreflexive_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonreflexive(A,C) )
     => nonreflexive(B,C) )   )).

input_formula(nonreflexive_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonreflexive(C,A) )
     => nonreflexive(C,B) )   )).

input_formula(object_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(A,C) )
     => object(B,C) )   )).

input_formula(object_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(C,A) )
     => object(C,B) )   )).

input_formula(of_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(A,C,D) )
     => of(B,C,D) )   )).

input_formula(of_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,A,D) )
     => of(C,B,D) )   )).

input_formula(of_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,D,A) )
     => of(C,D,B) )   )).

input_formula(order_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & order(A,C) )
     => order(B,C) )   )).

input_formula(order_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & order(C,A) )
     => order(C,B) )   )).

input_formula(organism_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(A,C) )
     => organism(B,C) )   )).

input_formula(organism_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(C,A) )
     => organism(C,B) )   )).

input_formula(past_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & past(A,C) )
     => past(B,C) )   )).

input_formula(past_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & past(C,A) )
     => past(C,B) )   )).

input_formula(patient_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(A,C,D) )
     => patient(B,C,D) )   )).

input_formula(patient_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(C,A,D) )
     => patient(C,B,D) )   )).

input_formula(patient_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & patient(C,D,A) )
     => patient(C,D,B) )   )).

input_formula(possession_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & possession(A,C) )
     => possession(B,C) )   )).

input_formula(possession_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & possession(C,A) )
     => possession(C,B) )   )).

input_formula(present_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(A,C) )
     => present(B,C) )   )).

input_formula(present_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(C,A) )
     => present(C,B) )   )).

input_formula(relation_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(A,C) )
     => relation(B,C) )   )).

input_formula(relation_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(C,A) )
     => relation(C,B) )   )).

input_formula(relname_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(A,C) )
     => relname(B,C) )   )).

input_formula(relname_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(C,A) )
     => relname(C,B) )   )).

input_formula(set_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & set(A,C) )
     => set(B,C) )   )).

input_formula(set_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & set(C,A) )
     => set(C,B) )   )).

input_formula(shake_beverage_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & shake_beverage(A,C) )
     => shake_beverage(B,C) )   )).

input_formula(shake_beverage_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & shake_beverage(C,A) )
     => shake_beverage(C,B) )   )).

input_formula(singleton_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(A,C) )
     => singleton(B,C) )   )).

input_formula(singleton_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(C,A) )
     => singleton(C,B) )   )).

input_formula(specific_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(A,C) )
     => specific(B,C) )   )).

input_formula(specific_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(C,A) )
     => specific(C,B) )   )).

input_formula(substance_matter_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & substance_matter(A,C) )
     => substance_matter(B,C) )   )).

input_formula(substance_matter_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & substance_matter(C,A) )
     => substance_matter(C,B) )   )).

input_formula(thing_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(A,C) )
     => thing(B,C) )   )).

input_formula(thing_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(C,A) )
     => thing(C,B) )   )).

input_formula(unisex_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(A,C) )
     => unisex(B,C) )   )).

input_formula(unisex_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(C,A) )
     => unisex(C,B) )   )).

input_formula(woman_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & woman(A,C) )
     => woman(B,C) )   )).

input_formula(woman_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & woman(C,A) )
     => woman(C,B) )   )).

input_formula(ax1,axiom,(
    ! [U,V] : 
      ( woman(U,V)
     => female(U,V) )   )).

input_formula(ax2,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => animate(U,V) )   )).

input_formula(ax3,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => human(U,V) )   )).

input_formula(ax4,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => living(U,V) )   )).

input_formula(ax5,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => impartial(U,V) )   )).

input_formula(ax6,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => entity(U,V) )   )).

input_formula(ax7,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => organism(U,V) )   )).

input_formula(ax8,axiom,(
    ! [U,V] : 
      ( woman(U,V)
     => human_person(U,V) )   )).

input_formula(ax9,axiom,(
    ! [U,V] : 
      ( mia_forename(U,V)
     => forename(U,V) )   )).

input_formula(ax10,axiom,(
    ! [U,V] : 
      ( relation(U,V)
     => abstraction(U,V) )   )).

input_formula(ax11,axiom,(
    ! [U,V] : 
      ( relname(U,V)
     => relation(U,V) )   )).

input_formula(ax12,axiom,(
    ! [U,V] : 
      ( forename(U,V)
     => relname(U,V) )   )).

input_formula(ax13,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => unisex(U,V) )   )).

input_formula(ax14,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => impartial(U,V) )   )).

input_formula(ax15,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => nonliving(U,V) )   )).

input_formula(ax16,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => existent(U,V) )   )).

input_formula(ax17,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => specific(U,V) )   )).

input_formula(ax18,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => thing(U,V) )   )).

input_formula(ax19,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => entity(U,V) )   )).

input_formula(ax20,axiom,(
    ! [U,V] : 
      ( substance_matter(U,V)
     => object(U,V) )   )).

input_formula(ax21,axiom,(
    ! [U,V] : 
      ( food(U,V)
     => substance_matter(U,V) )   )).

input_formula(ax22,axiom,(
    ! [U,V] : 
      ( beverage(U,V)
     => food(U,V) )   )).

input_formula(ax23,axiom,(
    ! [U,V] : 
      ( shake_beverage(U,V)
     => beverage(U,V) )   )).

input_formula(ax24,axiom,(
    ! [U,V] : 
      ( order(U,V)
     => event(U,V) )   )).

input_formula(ax25,axiom,(
    ! [U,V] : 
      ( act(U,V)
     => event(U,V) )   )).

input_formula(ax26,axiom,(
    ! [U,V] : 
      ( order(U,V)
     => act(U,V) )   )).

input_formula(ax27,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => unisex(U,V) )   )).

input_formula(ax28,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => nonexistent(U,V) )   )).

input_formula(ax29,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => specific(U,V) )   )).

input_formula(ax30,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => thing(U,V) )   )).

input_formula(ax31,axiom,(
    ! [U,V] : 
      ( event(U,V)
     => eventuality(U,V) )   )).

input_formula(ax32,axiom,(
    ! [U,V] : 
      ( cost(U,V)
     => event(U,V) )   )).

input_formula(ax33,axiom,(
    ! [U,V] : 
      ( five(U,V)
     => group(U,V) )   )).

input_formula(ax34,axiom,(
    ! [U,V] : 
      ( set(U,V)
     => multiple(U,V) )   )).

input_formula(ax35,axiom,(
    ! [U,V] : 
      ( group(U,V)
     => set(U,V) )   )).

input_formula(ax36,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => unisex(U,V) )   )).

input_formula(ax37,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => general(U,V) )   )).

input_formula(ax38,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => nonhuman(U,V) )   )).

input_formula(ax39,axiom,(
    ! [U,V] : 
      ( thing(U,V)
     => singleton(U,V) )   )).

input_formula(ax40,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => thing(U,V) )   )).

input_formula(ax41,axiom,(
    ! [U,V] : 
      ( possession(U,V)
     => abstraction(U,V) )   )).

input_formula(ax42,axiom,(
    ! [U,V] : 
      ( currency(U,V)
     => possession(U,V) )   )).

input_formula(ax43,axiom,(
    ! [U,V] : 
      ( cash(U,V)
     => currency(U,V) )   )).

input_formula(ax44,axiom,(
    ! [U,V] : 
      ( dollar(U,V)
     => cash(U,V) )   )).

input_formula(ax45,axiom,(
    ! [U,V] : 
      ( animate(U,V)
     => ~ nonliving(U,V) )   )).

input_formula(ax46,axiom,(
    ! [U,V] : 
      ( existent(U,V)
     => ~ nonexistent(U,V) )   )).

input_formula(ax47,axiom,(
    ! [U,V] : 
      ( nonhuman(U,V)
     => ~ human(U,V) )   )).

input_formula(ax48,axiom,(
    ! [U,V] : 
      ( nonliving(U,V)
     => ~ living(U,V) )   )).

input_formula(ax49,axiom,(
    ! [U,V] : 
      ( present(U,V)
     => ~ past(U,V) )   )).

input_formula(ax50,axiom,(
    ! [U,V] : 
      ( singleton(U,V)
     => ~ multiple(U,V) )   )).

input_formula(ax51,axiom,(
    ! [U,V] : 
      ( specific(U,V)
     => ~ general(U,V) )   )).

input_formula(ax52,axiom,(
    ! [U,V] : 
      ( unisex(U,V)
     => ~ female(U,V) )   )).

input_formula(ax53,axiom,(
    ! [U,V,W] : 
      ( ( entity(U,V)
        & forename(U,W)
        & of(U,W,V) )
     => ~ ( ? [X] : 
              ( forename(U,X)
              & ~ equal(X,W)
              & of(U,X,V) ) ) )   )).

input_formula(ax54,axiom,(
    ! [U,V,W,X] : 
      ( ( nonreflexive(U,V)
        & agent(U,V,W)
        & patient(U,V,X) )
     => ~ equal(W,X) )   )).

input_formula(ax55,axiom,(
    ! [U,V] : 
      ( five(U,V)
    <=> ? [W] : 
          ( member(U,W,V)
          & ? [X] : 
              ( member(U,X,V)
              & ~ equal(X,W)
              & ? [Y] : 
                  ( member(U,Y,V)
                  & ( ~ equal(Y,X)
                    & ~ equal(Y,W) )
                  & ? [Z] : 
                      ( member(U,Z,V)
                      & ( ~ equal(Z,Y)
                        & ~ equal(Z,X)
                        & ~ equal(Z,W) )
                      & ? [X1] : 
                          ( member(U,X1,V)
                          & ( ~ equal(X1,Z)
                            & ~ equal(X1,Y)
                            & ~ equal(X1,X)
                            & ~ equal(X1,W) )
                          & ! [X2] : 
                              ( member(U,X2,V)
                             => ( equal(X2,X1)
                                | equal(X2,Z)
                                | equal(X2,Y)
                                | equal(X2,X)
                                | equal(X2,W) ) ) ) ) ) ) ) )   )).

input_formula(ax56,axiom,(
    ! [U] : 
      ~ ( ? [V] : member(U,V,V) )   )).

input_formula(co1,conjecture,(
    ~ ( ? [U] : 
          ( actual_world(U)
          & ? [V,W,X,Y] : 
              ( of(U,W,V)
              & woman(U,V)
              & mia_forename(U,W)
              & forename(U,W)
              & shake_beverage(U,X)
              & event(U,Y)
              & agent(U,Y,V)
              & patient(U,Y,X)
              & past(U,Y)
              & nonreflexive(U,Y)
              & order(U,Y) ) )
      & ~ ( ? [Z] : 
              ( actual_world(Z)
              & ? [V,W,X,Y,X1] : 
                  ( of(Z,W,V)
                  & woman(Z,V)
                  & mia_forename(Z,W)
                  & forename(Z,W)
                  & shake_beverage(Z,X)
                  & event(Z,Y)
                  & agent(Z,Y,V)
                  & patient(Z,Y,X)
                  & past(Z,Y)
                  & nonreflexive(Z,Y)
                  & order(Z,Y)
                  & nonhuman(Z,X1)
                  & ! [X2] : 
                      ( member(Z,X2,X1)
                     => ? [X3] : 
                          ( event(Z,X3)
                          & agent(Z,X3,X1)
                          & patient(Z,X3,X2)
                          & present(Z,X3)
                          & nonreflexive(Z,X3)
                          & cost(Z,X3) ) )
                  & five(Z,X1)
                  & group(Z,X1)
                  & ! [X4] : 
                      ( member(Z,X4,X1)
                     => dollar(Z,X4) ) ) ) ) )   )).
%--------------------------------------------------------------------------
