%--------------------------------------------------------------------------
% File     : NLP066-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 8
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   40 (  14 non-Horn;   2 unit;  19 RR)
%            Number of literals   :  173 (   0 equality)
%            Maximal clause size  :    8 (   4 average)
%            Number of predicates :   19 (   1 propositional; 0-3 arity)
%            Number of functors   :   12 (   4 constant; 0-3 arity)
%            Number of variables  :  118 (  37 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP066+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc48)]).

input_clause(clause2,conjecture,
    [++actual_world(skc4)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++group(skc48,skc49)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++six(skc48,skc49)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc49,skc48)]).

input_clause(clause6,conjecture,
    [--ssSkC0,
     ++group(skc4,skc5)]).

input_clause(clause7,conjecture,
    [--ssSkC0,
     ++six(skc4,skc5)]).

input_clause(clause8,conjecture,
    [--ssSkC0,
     ++ssSkP1(skc5,skc4)]).

input_clause(clause9,conjecture,
    [--ssSkC0,
     ++male(skc4,skc5)]).

input_clause(clause10,conjecture,
    [++ssSkP0(U,V),
     ++cannon(V,skf12(V,W))]).

input_clause(clause11,conjecture,
    [++ssSkP0(U,V),
     ++man(V,skf14(V,W))]).

input_clause(clause12,conjecture,
    [++ssSkP0(U,V),
     ++male(V,skf14(V,W))]).

input_clause(clause13,conjecture,
    [++ssSkP1(U,V),
     ++cannon(V,skf17(V,W))]).

input_clause(clause14,conjecture,
    [++ssSkP1(U,V),
     ++man(V,skf19(V,W))]).

input_clause(clause15,conjecture,
    [++ssSkP0(U,V),
     ++member(V,skf12(V,U),U)]).

input_clause(clause16,conjecture,
    [++ssSkP1(U,V),
     ++of(V,skf17(V,U),U)]).

input_clause(clause17,conjecture,
    [++ssSkP1(U,V),
     ++member(V,skf17(V,U),U)]).

input_clause(clause18,conjecture,
    [--member(skc48,U,skc49),
     ++ssSkC0,
     ++shot(skc48,U)]).

input_clause(clause19,conjecture,
    [--member(skc4,U,skc5),
     --ssSkC0,
     ++shot(skc4,U)]).

input_clause(clause20,conjecture,
    [++ssSkP0(U,V),
     ++of(V,skf12(V,W),skf14(V,W))]).

input_clause(clause21,conjecture,
    [--shot(U,skf9(U,V)),
     --group(U,W),
     --six(U,W),
     --ssSkP0(W,U),
     --actual_world(U),
     --ssSkC0]).

input_clause(clause22,conjecture,
    [--group(U,V),
     --six(U,V),
     --ssSkP0(V,U),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf9(U,V),V)]).

input_clause(clause23,conjecture,
    [--shot(U,skf21(U,V)),
     --group(U,W),
     --six(U,W),
     --ssSkP1(W,U),
     --male(U,W),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause24,conjecture,
    [--group(U,V),
     --six(U,V),
     --ssSkP1(V,U),
     --male(U,V),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf21(U,V),V)]).

input_clause(clause25,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,W),
     --man(U,X),
     --ssSkP1(W,U),
     ++fire(U,skf15(U,Y,Z))]).

input_clause(clause26,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,W),
     --man(U,X),
     --ssSkP1(W,U),
     ++nonreflexive(U,skf15(U,Y,Z))]).

input_clause(clause27,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,W),
     --man(U,X),
     --ssSkP1(W,U),
     ++present(U,skf15(U,Y,Z))]).

input_clause(clause28,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,W),
     --man(U,X),
     --ssSkP1(W,U),
     ++event(U,skf15(U,Y,Z))]).

input_clause(clause29,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,W),
     --man(U,X),
     --ssSkP1(W,U),
     ++agent(U,skf15(U,X,Y),X)]).

input_clause(clause30,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,W),
     --man(U,X),
     --ssSkP1(W,U),
     ++from_loc(U,skf15(U,X,V),V)]).

input_clause(clause31,conjecture,
    [--of(U,V,W),
     --cannon(U,V),
     --member(U,V,W),
     --man(U,X),
     --ssSkP1(W,U),
     ++patient(U,skf15(U,X,V),V)]).

input_clause(clause32,conjecture,
    [--cannon(U,V),
     --member(U,V,W),
     --of(U,V,X),
     --man(U,X),
     --male(U,X),
     --ssSkP0(W,U),
     ++fire(U,skf10(U,Y,Z))]).

input_clause(clause33,conjecture,
    [--cannon(U,V),
     --member(U,V,W),
     --of(U,V,X),
     --man(U,X),
     --male(U,X),
     --ssSkP0(W,U),
     ++event(U,skf10(U,Y,Z))]).

input_clause(clause34,conjecture,
    [--cannon(U,V),
     --member(U,V,W),
     --of(U,V,X),
     --man(U,X),
     --male(U,X),
     --ssSkP0(W,U),
     ++present(U,skf10(U,Y,Z))]).

input_clause(clause35,conjecture,
    [--cannon(U,V),
     --member(U,V,W),
     --of(U,V,X),
     --man(U,X),
     --male(U,X),
     --ssSkP0(W,U),
     ++nonreflexive(U,skf10(U,Y,Z))]).

input_clause(clause36,conjecture,
    [--cannon(U,V),
     --member(U,V,W),
     --of(U,V,X),
     --man(U,X),
     --male(U,X),
     --ssSkP0(W,U),
     ++agent(U,skf10(U,X,Y),X)]).

input_clause(clause37,conjecture,
    [--cannon(U,V),
     --member(U,V,W),
     --of(U,V,X),
     --man(U,X),
     --male(U,X),
     --ssSkP0(W,U),
     ++patient(U,skf10(U,X,V),V)]).

input_clause(clause38,conjecture,
    [--cannon(U,V),
     --member(U,V,W),
     --of(U,V,X),
     --man(U,X),
     --male(U,X),
     --ssSkP0(W,U),
     ++from_loc(U,skf10(U,X,V),V)]).

input_clause(clause39,conjecture,
    [--from_loc(U,V,skf12(U,W)),
     --fire(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf12(U,W)),
     --agent(U,V,skf14(U,W)),
     --event(U,V),
     ++ssSkP0(X,U)]).

input_clause(clause40,conjecture,
    [--from_loc(U,V,skf17(U,W)),
     --fire(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf17(U,W)),
     --agent(U,V,skf19(U,W)),
     --event(U,V),
     ++ssSkP1(X,U)]).
%--------------------------------------------------------------------------
