%--------------------------------------------------------------------------
% File     : NLP081-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 21
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon. He screams a cry of
%            revenge."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.12 v2.6.0, 0.00 v2.5.0, 0.25 v2.4.0
% Syntax   : Number of clauses    :   49 (  19 non-Horn;   2 unit;  42 RR)
%            Number of literals   :  179 (   0 equality)
%            Maximal clause size  :   19 (   3 average)
%            Number of predicates :   21 (   1 propositional; 0-4 arity)
%            Number of functors   :   18 (  14 constant; 0-4 arity)
%            Number of variables  :   93 (  36 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP081+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc39)]).

input_clause(clause2,conjecture,
    [++actual_world(skc14)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++revenge(skc39,skc45)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++event(skc39,skc40)]).

input_clause(clause5,conjecture,
    [++ssSkC0,
     ++present(skc39,skc40)]).

input_clause(clause6,conjecture,
    [++ssSkC0,
     ++nonreflexive(skc39,skc40)]).

input_clause(clause7,conjecture,
    [++ssSkC0,
     ++scream(skc39,skc40)]).

input_clause(clause8,conjecture,
    [++ssSkC0,
     ++group(skc39,skc42)]).

input_clause(clause9,conjecture,
    [++ssSkC0,
     ++six(skc39,skc42)]).

input_clause(clause10,conjecture,
    [++ssSkC0,
     ++cannon(skc39,skc43)]).

input_clause(clause11,conjecture,
    [++ssSkC0,
     ++man(skc39,skc44)]).

input_clause(clause12,conjecture,
    [++ssSkC0,
     ++male(skc39,skc44)]).

input_clause(clause13,conjecture,
    [++ssSkC0,
     ++cry(skc39,skc41)]).

input_clause(clause14,conjecture,
    [--ssSkC0,
     ++cry(skc14,skc20)]).

input_clause(clause15,conjecture,
    [--ssSkC0,
     ++event(skc14,skc15)]).

input_clause(clause16,conjecture,
    [--ssSkC0,
     ++present(skc14,skc15)]).

input_clause(clause17,conjecture,
    [--ssSkC0,
     ++nonreflexive(skc14,skc15)]).

input_clause(clause18,conjecture,
    [--ssSkC0,
     ++scream(skc14,skc15)]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++group(skc14,skc17)]).

input_clause(clause20,conjecture,
    [--ssSkC0,
     ++six(skc14,skc17)]).

input_clause(clause21,conjecture,
    [--ssSkC0,
     ++cannon(skc14,skc18)]).

input_clause(clause22,conjecture,
    [--ssSkC0,
     ++man(skc14,skc19)]).

input_clause(clause23,conjecture,
    [--ssSkC0,
     ++male(skc14,skc19)]).

input_clause(clause24,conjecture,
    [--ssSkC0,
     ++revenge(skc14,skc16)]).

input_clause(clause25,conjecture,
    [++ssSkC0,
     ++of(skc39,skc40,skc45)]).

input_clause(clause26,conjecture,
    [++ssSkC0,
     ++agent(skc39,skc40,skc44)]).

input_clause(clause27,conjecture,
    [++ssSkC0,
     ++of(skc39,skc43,skc44)]).

input_clause(clause28,conjecture,
    [++ssSkC0,
     ++patient(skc39,skc40,skc41)]).

input_clause(clause29,conjecture,
    [--ssSkC0,
     ++patient(skc14,skc15,skc20)]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++agent(skc14,skc15,skc19)]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++of(skc14,skc18,skc19)]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++of(skc14,skc15,skc16)]).

input_clause(clause33,conjecture,
    [++ssSkC0,
     ++ssSkP0(skc43,skc44,skc42,skc39)]).

input_clause(clause34,conjecture,
    [--ssSkC0,
     ++ssSkP0(skc18,skc19,skc17,skc14)]).

input_clause(clause35,conjecture,
    [--member(skc39,U,skc42),
     ++ssSkC0,
     ++shot(skc39,U)]).

input_clause(clause36,conjecture,
    [--member(skc14,U,skc17),
     --ssSkC0,
     ++shot(skc14,U)]).

input_clause(clause37,conjecture,
    [++ssSkP0(U,V,W,X),
     ++member(X,skf9(W,X,Y,Z),W)]).

input_clause(clause38,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++event(U,skf7(U,Z,X1,X2))]).

input_clause(clause39,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++present(U,skf7(U,Z,X1,X2))]).

input_clause(clause40,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++nonreflexive(U,skf7(U,Z,X1,X2))]).

input_clause(clause41,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++fire(U,skf7(U,Z,X1,X2))]).

input_clause(clause42,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++agent(U,skf7(U,V,X,Y),Y)]).

input_clause(clause43,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++patient(U,skf7(U,V,Z,X1),V)]).

input_clause(clause44,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++from_loc(U,skf7(U,V,X,Z),X)]).

input_clause(clause45,conjecture,
    [--from_loc(U,V,W),
     --fire(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf9(X,U,W,Y)),
     --agent(U,V,Y),
     --event(U,V),
     ++ssSkP0(W,Y,X,U)]).

input_clause(clause46,conjecture,
    [--cry(U,V),
     --patient(U,W,V),
     --event(U,W),
     --present(U,W),
     --nonreflexive(U,W),
     --scream(U,W),
     --group(U,X),
     --six(U,X),
     --cannon(U,Y),
     --agent(U,W,Z),
     --ssSkP0(Y,Z,X,U),
     --of(U,Y,Z),
     --man(U,Z),
     --male(U,Z),
     --of(U,W,X1),
     --revenge(U,X1),
     --actual_world(U),
     ++ssSkC0,
     ++member(U,skf12(U,X),X)]).

input_clause(clause47,conjecture,
    [--cry(U,V),
     --patient(U,W,V),
     --event(U,W),
     --present(U,W),
     --nonreflexive(U,W),
     --scream(U,W),
     --shot(U,skf12(U,X)),
     --group(U,Y),
     --six(U,Y),
     --cannon(U,Z),
     --agent(U,W,X1),
     --ssSkP0(Z,X1,Y,U),
     --of(U,Z,X1),
     --man(U,X1),
     --male(U,X1),
     --of(U,W,X2),
     --revenge(U,X2),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause48,conjecture,
    [--revenge(U,V),
     --of(U,W,V),
     --event(U,W),
     --present(U,W),
     --nonreflexive(U,W),
     --scream(U,W),
     --group(U,X),
     --six(U,X),
     --cannon(U,Y),
     --agent(U,W,Z),
     --ssSkP0(Y,Z,X,U),
     --of(U,Y,Z),
     --man(U,Z),
     --male(U,Z),
     --patient(U,W,X1),
     --cry(U,X1),
     --actual_world(U),
     --ssSkC0,
     ++member(U,skf6(U,X),X)]).

input_clause(clause49,conjecture,
    [--revenge(U,V),
     --of(U,W,V),
     --event(U,W),
     --present(U,W),
     --nonreflexive(U,W),
     --scream(U,W),
     --shot(U,skf6(U,X)),
     --group(U,Y),
     --six(U,Y),
     --cannon(U,Z),
     --agent(U,W,X1),
     --ssSkP0(Z,X1,Y,U),
     --of(U,Z,X1),
     --man(U,X1),
     --male(U,X1),
     --patient(U,W,X2),
     --cry(U,X2),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
