%--------------------------------------------------------------------------
% File     : NLP089-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : A man comes out of the bathroom, problem 29
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            "A man comes out of the bathroom with a magnum in his hand.
%            The man fires six shots from his canon. He screams a cry of
%            revenge."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 0.71 v2.5.0, 0.83 v2.4.0
% Syntax   : Number of clauses    :  193 (   9 non-Horn;  10 unit; 185 RR)
%            Number of literals   :  673 ( 234 equality)
%            Maximal clause size  :   23 (   3 average)
%            Number of predicates :   46 (   0 propositional; 1-4 arity)
%            Number of functors   :   14 (   4 constant; 0-8 arity)
%            Number of variables  :  612 (  60 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP089+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(act_substitution_1,axiom,
    [--equal(A,B),
     --act(A,C),
     ++act(B,C)]).

input_clause(act_substitution_2,axiom,
    [--equal(A,B),
     --act(C,A),
     ++act(C,B)]).

input_clause(action_substitution_1,axiom,
    [--equal(A,B),
     --action(A,C),
     ++action(B,C)]).

input_clause(action_substitution_2,axiom,
    [--equal(A,B),
     --action(C,A),
     ++action(C,B)]).

input_clause(actual_world_substitution_1,axiom,
    [--equal(A,B),
     --actual_world(A),
     ++actual_world(B)]).

input_clause(agent_substitution_1,axiom,
    [--equal(A,B),
     --agent(A,C,D),
     ++agent(B,C,D)]).

input_clause(agent_substitution_2,axiom,
    [--equal(A,B),
     --agent(C,A,D),
     ++agent(C,B,D)]).

input_clause(agent_substitution_3,axiom,
    [--equal(A,B),
     --agent(C,D,A),
     ++agent(C,D,B)]).

input_clause(animate_substitution_1,axiom,
    [--equal(A,B),
     --animate(A,C),
     ++animate(B,C)]).

input_clause(animate_substitution_2,axiom,
    [--equal(A,B),
     --animate(C,A),
     ++animate(C,B)]).

input_clause(artifact_substitution_1,axiom,
    [--equal(A,B),
     --artifact(A,C),
     ++artifact(B,C)]).

input_clause(artifact_substitution_2,axiom,
    [--equal(A,B),
     --artifact(C,A),
     ++artifact(C,B)]).

input_clause(cannon_substitution_1,axiom,
    [--equal(A,B),
     --cannon(A,C),
     ++cannon(B,C)]).

input_clause(cannon_substitution_2,axiom,
    [--equal(A,B),
     --cannon(C,A),
     ++cannon(C,B)]).

input_clause(cry_substitution_1,axiom,
    [--equal(A,B),
     --cry(A,C),
     ++cry(B,C)]).

input_clause(cry_substitution_2,axiom,
    [--equal(A,B),
     --cry(C,A),
     ++cry(C,B)]).

input_clause(entity_substitution_1,axiom,
    [--equal(A,B),
     --entity(A,C),
     ++entity(B,C)]).

input_clause(entity_substitution_2,axiom,
    [--equal(A,B),
     --entity(C,A),
     ++entity(C,B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A,C),
     ++event(B,C)]).

input_clause(event_substitution_2,axiom,
    [--equal(A,B),
     --event(C,A),
     ++event(C,B)]).

input_clause(eventuality_substitution_1,axiom,
    [--equal(A,B),
     --eventuality(A,C),
     ++eventuality(B,C)]).

input_clause(eventuality_substitution_2,axiom,
    [--equal(A,B),
     --eventuality(C,A),
     ++eventuality(C,B)]).

input_clause(existent_substitution_1,axiom,
    [--equal(A,B),
     --existent(A,C),
     ++existent(B,C)]).

input_clause(existent_substitution_2,axiom,
    [--equal(A,B),
     --existent(C,A),
     ++existent(C,B)]).

input_clause(fire_substitution_1,axiom,
    [--equal(A,B),
     --fire(A,C),
     ++fire(B,C)]).

input_clause(fire_substitution_2,axiom,
    [--equal(A,B),
     --fire(C,A),
     ++fire(C,B)]).

input_clause(from_loc_substitution_1,axiom,
    [--equal(A,B),
     --from_loc(A,C,D),
     ++from_loc(B,C,D)]).

input_clause(from_loc_substitution_2,axiom,
    [--equal(A,B),
     --from_loc(C,A,D),
     ++from_loc(C,B,D)]).

input_clause(from_loc_substitution_3,axiom,
    [--equal(A,B),
     --from_loc(C,D,A),
     ++from_loc(C,D,B)]).

input_clause(group_substitution_1,axiom,
    [--equal(A,B),
     --group(A,C),
     ++group(B,C)]).

input_clause(group_substitution_2,axiom,
    [--equal(A,B),
     --group(C,A),
     ++group(C,B)]).

input_clause(human_substitution_1,axiom,
    [--equal(A,B),
     --human(A,C),
     ++human(B,C)]).

input_clause(human_substitution_2,axiom,
    [--equal(A,B),
     --human(C,A),
     ++human(C,B)]).

input_clause(human_person_substitution_1,axiom,
    [--equal(A,B),
     --human_person(A,C),
     ++human_person(B,C)]).

input_clause(human_person_substitution_2,axiom,
    [--equal(A,B),
     --human_person(C,A),
     ++human_person(C,B)]).

input_clause(impartial_substitution_1,axiom,
    [--equal(A,B),
     --impartial(A,C),
     ++impartial(B,C)]).

input_clause(impartial_substitution_2,axiom,
    [--equal(A,B),
     --impartial(C,A),
     ++impartial(C,B)]).

input_clause(instrumentality_substitution_1,axiom,
    [--equal(A,B),
     --instrumentality(A,C),
     ++instrumentality(B,C)]).

input_clause(instrumentality_substitution_2,axiom,
    [--equal(A,B),
     --instrumentality(C,A),
     ++instrumentality(C,B)]).

input_clause(living_substitution_1,axiom,
    [--equal(A,B),
     --living(A,C),
     ++living(B,C)]).

input_clause(living_substitution_2,axiom,
    [--equal(A,B),
     --living(C,A),
     ++living(C,B)]).

input_clause(male_substitution_1,axiom,
    [--equal(A,B),
     --male(A,C),
     ++male(B,C)]).

input_clause(male_substitution_2,axiom,
    [--equal(A,B),
     --male(C,A),
     ++male(C,B)]).

input_clause(man_substitution_1,axiom,
    [--equal(A,B),
     --man(A,C),
     ++man(B,C)]).

input_clause(man_substitution_2,axiom,
    [--equal(A,B),
     --man(C,A),
     ++man(C,B)]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C,D),
     ++member(B,C,D)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A,D),
     ++member(C,B,D)]).

input_clause(member_substitution_3,axiom,
    [--equal(A,B),
     --member(C,D,A),
     ++member(C,D,B)]).

input_clause(multiple_substitution_1,axiom,
    [--equal(A,B),
     --multiple(A,C),
     ++multiple(B,C)]).

input_clause(multiple_substitution_2,axiom,
    [--equal(A,B),
     --multiple(C,A),
     ++multiple(C,B)]).

input_clause(nonexistent_substitution_1,axiom,
    [--equal(A,B),
     --nonexistent(A,C),
     ++nonexistent(B,C)]).

input_clause(nonexistent_substitution_2,axiom,
    [--equal(A,B),
     --nonexistent(C,A),
     ++nonexistent(C,B)]).

input_clause(nonliving_substitution_1,axiom,
    [--equal(A,B),
     --nonliving(A,C),
     ++nonliving(B,C)]).

input_clause(nonliving_substitution_2,axiom,
    [--equal(A,B),
     --nonliving(C,A),
     ++nonliving(C,B)]).

input_clause(nonreflexive_substitution_1,axiom,
    [--equal(A,B),
     --nonreflexive(A,C),
     ++nonreflexive(B,C)]).

input_clause(nonreflexive_substitution_2,axiom,
    [--equal(A,B),
     --nonreflexive(C,A),
     ++nonreflexive(C,B)]).

input_clause(object_substitution_1,axiom,
    [--equal(A,B),
     --object(A,C),
     ++object(B,C)]).

input_clause(object_substitution_2,axiom,
    [--equal(A,B),
     --object(C,A),
     ++object(C,B)]).

input_clause(of_substitution_1,axiom,
    [--equal(A,B),
     --of(A,C,D),
     ++of(B,C,D)]).

input_clause(of_substitution_2,axiom,
    [--equal(A,B),
     --of(C,A,D),
     ++of(C,B,D)]).

input_clause(of_substitution_3,axiom,
    [--equal(A,B),
     --of(C,D,A),
     ++of(C,D,B)]).

input_clause(organism_substitution_1,axiom,
    [--equal(A,B),
     --organism(A,C),
     ++organism(B,C)]).

input_clause(organism_substitution_2,axiom,
    [--equal(A,B),
     --organism(C,A),
     ++organism(C,B)]).

input_clause(patient_substitution_1,axiom,
    [--equal(A,B),
     --patient(A,C,D),
     ++patient(B,C,D)]).

input_clause(patient_substitution_2,axiom,
    [--equal(A,B),
     --patient(C,A,D),
     ++patient(C,B,D)]).

input_clause(patient_substitution_3,axiom,
    [--equal(A,B),
     --patient(C,D,A),
     ++patient(C,D,B)]).

input_clause(present_substitution_1,axiom,
    [--equal(A,B),
     --present(A,C),
     ++present(B,C)]).

input_clause(present_substitution_2,axiom,
    [--equal(A,B),
     --present(C,A),
     ++present(C,B)]).

input_clause(revenge_substitution_1,axiom,
    [--equal(A,B),
     --revenge(A,C),
     ++revenge(B,C)]).

input_clause(revenge_substitution_2,axiom,
    [--equal(A,B),
     --revenge(C,A),
     ++revenge(C,B)]).

input_clause(scream_substitution_1,axiom,
    [--equal(A,B),
     --scream(A,C),
     ++scream(B,C)]).

input_clause(scream_substitution_2,axiom,
    [--equal(A,B),
     --scream(C,A),
     ++scream(C,B)]).

input_clause(set_substitution_1,axiom,
    [--equal(A,B),
     --set(A,C),
     ++set(B,C)]).

input_clause(set_substitution_2,axiom,
    [--equal(A,B),
     --set(C,A),
     ++set(C,B)]).

input_clause(shot_substitution_1,axiom,
    [--equal(A,B),
     --shot(A,C),
     ++shot(B,C)]).

input_clause(shot_substitution_2,axiom,
    [--equal(A,B),
     --shot(C,A),
     ++shot(C,B)]).

input_clause(singleton_substitution_1,axiom,
    [--equal(A,B),
     --singleton(A,C),
     ++singleton(B,C)]).

input_clause(singleton_substitution_2,axiom,
    [--equal(A,B),
     --singleton(C,A),
     ++singleton(C,B)]).

input_clause(six_substitution_1,axiom,
    [--equal(A,B),
     --six(A,C),
     ++six(B,C)]).

input_clause(six_substitution_2,axiom,
    [--equal(A,B),
     --six(C,A),
     ++six(C,B)]).

input_clause(sound_substitution_1,axiom,
    [--equal(A,B),
     --sound(A,C),
     ++sound(B,C)]).

input_clause(sound_substitution_2,axiom,
    [--equal(A,B),
     --sound(C,A),
     ++sound(C,B)]).

input_clause(specific_substitution_1,axiom,
    [--equal(A,B),
     --specific(A,C),
     ++specific(B,C)]).

input_clause(specific_substitution_2,axiom,
    [--equal(A,B),
     --specific(C,A),
     ++specific(C,B)]).

input_clause(ssSkP0_substitution_1,axiom,
    [--equal(A,B),
     --ssSkP0(A,C,D,E),
     ++ssSkP0(B,C,D,E)]).

input_clause(ssSkP0_substitution_2,axiom,
    [--equal(A,B),
     --ssSkP0(C,A,D,E),
     ++ssSkP0(C,B,D,E)]).

input_clause(ssSkP0_substitution_3,axiom,
    [--equal(A,B),
     --ssSkP0(C,D,A,E),
     ++ssSkP0(C,D,B,E)]).

input_clause(ssSkP0_substitution_4,axiom,
    [--equal(A,B),
     --ssSkP0(C,D,E,A),
     ++ssSkP0(C,D,E,B)]).

input_clause(thing_substitution_1,axiom,
    [--equal(A,B),
     --thing(A,C),
     ++thing(B,C)]).

input_clause(thing_substitution_2,axiom,
    [--equal(A,B),
     --thing(C,A),
     ++thing(C,B)]).

input_clause(unisex_substitution_1,axiom,
    [--equal(A,B),
     --unisex(A,C),
     ++unisex(B,C)]).

input_clause(unisex_substitution_2,axiom,
    [--equal(A,B),
     --unisex(C,A),
     ++unisex(C,B)]).

input_clause(weapon_substitution_1,axiom,
    [--equal(A,B),
     --weapon(A,C),
     ++weapon(B,C)]).

input_clause(weapon_substitution_2,axiom,
    [--equal(A,B),
     --weapon(C,A),
     ++weapon(C,B)]).

input_clause(weaponry_substitution_1,axiom,
    [--equal(A,B),
     --weaponry(A,C),
     ++weaponry(B,C)]).

input_clause(weaponry_substitution_2,axiom,
    [--equal(A,B),
     --weaponry(C,A),
     ++weaponry(C,B)]).

input_clause(clause1,axiom,
    [--member(U,V,V)]).

input_clause(clause2,axiom,
    [--scream(U,V),
     ++sound(U,V)]).

input_clause(clause3,axiom,
    [--sound(U,V),
     ++event(U,V)]).

input_clause(clause4,axiom,
    [--event(U,V),
     ++eventuality(U,V)]).

input_clause(clause5,axiom,
    [--eventuality(U,V),
     ++thing(U,V)]).

input_clause(clause6,axiom,
    [--thing(U,V),
     ++singleton(U,V)]).

input_clause(clause7,axiom,
    [--eventuality(U,V),
     ++specific(U,V)]).

input_clause(clause8,axiom,
    [--eventuality(U,V),
     ++nonexistent(U,V)]).

input_clause(clause9,axiom,
    [--eventuality(U,V),
     ++unisex(U,V)]).

input_clause(clause10,axiom,
    [--scream(U,V),
     ++event(U,V)]).

input_clause(clause11,axiom,
    [--cry(U,V),
     ++event(U,V)]).

input_clause(clause12,axiom,
    [--revenge(U,V),
     ++action(U,V)]).

input_clause(clause13,axiom,
    [--action(U,V),
     ++act(U,V)]).

input_clause(clause14,axiom,
    [--act(U,V),
     ++event(U,V)]).

input_clause(clause15,axiom,
    [--shot(U,V),
     ++action(U,V)]).

input_clause(clause16,axiom,
    [--group(U,V),
     ++set(U,V)]).

input_clause(clause17,axiom,
    [--set(U,V),
     ++multiple(U,V)]).

input_clause(clause18,axiom,
    [--six(U,V),
     ++group(U,V)]).

input_clause(clause19,axiom,
    [--fire(U,V),
     ++event(U,V)]).

input_clause(clause20,axiom,
    [--cannon(U,V),
     ++weapon(U,V)]).

input_clause(clause21,axiom,
    [--weapon(U,V),
     ++weaponry(U,V)]).

input_clause(clause22,axiom,
    [--weaponry(U,V),
     ++instrumentality(U,V)]).

input_clause(clause23,axiom,
    [--instrumentality(U,V),
     ++artifact(U,V)]).

input_clause(clause24,axiom,
    [--artifact(U,V),
     ++object(U,V)]).

input_clause(clause25,axiom,
    [--object(U,V),
     ++entity(U,V)]).

input_clause(clause26,axiom,
    [--entity(U,V),
     ++thing(U,V)]).

input_clause(clause27,axiom,
    [--entity(U,V),
     ++specific(U,V)]).

input_clause(clause28,axiom,
    [--entity(U,V),
     ++existent(U,V)]).

input_clause(clause29,axiom,
    [--object(U,V),
     ++nonliving(U,V)]).

input_clause(clause30,axiom,
    [--object(U,V),
     ++impartial(U,V)]).

input_clause(clause31,axiom,
    [--object(U,V),
     ++unisex(U,V)]).

input_clause(clause32,axiom,
    [--man(U,V),
     ++human_person(U,V)]).

input_clause(clause33,axiom,
    [--human_person(U,V),
     ++organism(U,V)]).

input_clause(clause34,axiom,
    [--organism(U,V),
     ++entity(U,V)]).

input_clause(clause35,axiom,
    [--organism(U,V),
     ++impartial(U,V)]).

input_clause(clause36,axiom,
    [--organism(U,V),
     ++living(U,V)]).

input_clause(clause37,axiom,
    [--human_person(U,V),
     ++human(U,V)]).

input_clause(clause38,axiom,
    [--human_person(U,V),
     ++animate(U,V)]).

input_clause(clause39,axiom,
    [--man(U,V),
     ++male(U,V)]).

input_clause(clause40,axiom,
    [--male(U,V),
     --unisex(U,V)]).

input_clause(clause41,axiom,
    [--multiple(U,V),
     --singleton(U,V)]).

input_clause(clause42,axiom,
    [--living(U,V),
     --nonliving(U,V)]).

input_clause(clause43,axiom,
    [--nonexistent(U,V),
     --existent(U,V)]).

input_clause(clause44,axiom,
    [--nonliving(U,V),
     --animate(U,V)]).

input_clause(clause45,axiom,
    [--six(U,V),
     ++member(U,skf25(V,U),V)]).

input_clause(clause46,axiom,
    [--six(U,V),
     ++member(U,skf23(V,U),V)]).

input_clause(clause47,axiom,
    [--six(U,V),
     ++member(U,skf21(V,U),V)]).

input_clause(clause48,axiom,
    [--six(U,V),
     ++member(U,skf19(V,U),V)]).

input_clause(clause49,axiom,
    [--six(U,V),
     ++member(U,skf17(V,U),V)]).

input_clause(clause50,axiom,
    [--six(U,V),
     ++member(U,skf15(V,U),V)]).

input_clause(clause51,axiom,
    [--equal(skf25(U,V),skf15(U,V)),
     --six(V,U)]).

input_clause(clause52,axiom,
    [--equal(skf25(U,V),skf17(U,V)),
     --six(V,U)]).

input_clause(clause53,axiom,
    [--equal(skf25(U,V),skf19(U,V)),
     --six(V,U)]).

input_clause(clause54,axiom,
    [--equal(skf25(U,V),skf21(U,V)),
     --six(V,U)]).

input_clause(clause55,axiom,
    [--equal(skf25(U,V),skf23(U,V)),
     --six(V,U)]).

input_clause(clause56,axiom,
    [--equal(skf23(U,V),skf15(U,V)),
     --six(V,U)]).

input_clause(clause57,axiom,
    [--equal(skf23(U,V),skf17(U,V)),
     --six(V,U)]).

input_clause(clause58,axiom,
    [--equal(skf23(U,V),skf19(U,V)),
     --six(V,U)]).

input_clause(clause59,axiom,
    [--equal(skf23(U,V),skf21(U,V)),
     --six(V,U)]).

input_clause(clause60,axiom,
    [--equal(skf21(U,V),skf15(U,V)),
     --six(V,U)]).

input_clause(clause61,axiom,
    [--equal(skf21(U,V),skf17(U,V)),
     --six(V,U)]).

input_clause(clause62,axiom,
    [--equal(skf21(U,V),skf19(U,V)),
     --six(V,U)]).

input_clause(clause63,axiom,
    [--equal(skf19(U,V),skf15(U,V)),
     --six(V,U)]).

input_clause(clause64,axiom,
    [--equal(skf19(U,V),skf17(U,V)),
     --six(V,U)]).

input_clause(clause65,axiom,
    [--equal(skf17(U,V),skf15(U,V)),
     --six(V,U)]).

input_clause(clause66,axiom,
    [--nonreflexive(U,V),
     --patient(U,V,W),
     --agent(U,V,W)]).

input_clause(clause67,axiom,
    [--member(U,V,W),
     --six(U,W),
     ++equal(V,skf15(W,U)),
     ++equal(V,skf17(W,U)),
     ++equal(V,skf19(W,U)),
     ++equal(V,skf21(W,U)),
     ++equal(V,skf23(W,U)),
     ++equal(V,skf25(W,U))]).

input_clause(clause68,axiom,
    [--equal(skf26(U,V,W,X,Y,Z,X1,X2),V),
     --member(X3,U,X4),
     --member(X3,V,X4),
     --member(X3,X5,X4),
     --member(X3,X6,X4),
     --member(X3,X7,X4),
     --member(X3,X8,X4),
     ++six(X3,X4),
     ++equal(U,X8),
     ++equal(U,X7),
     ++equal(U,X6),
     ++equal(U,X5),
     ++equal(U,V),
     ++equal(V,X8),
     ++equal(V,X7),
     ++equal(V,X6),
     ++equal(V,X5),
     ++equal(X5,X8),
     ++equal(X5,X7),
     ++equal(X5,X6),
     ++equal(X6,X8),
     ++equal(X6,X7),
     ++equal(X7,X8)]).

input_clause(clause69,axiom,
    [--equal(skf26(U,V,W,X,Y,Z,X1,X2),U),
     --member(X3,U,X4),
     --member(X3,X5,X4),
     --member(X3,X6,X4),
     --member(X3,X7,X4),
     --member(X3,X8,X4),
     --member(X3,X9,X4),
     ++six(X3,X4),
     ++equal(U,X9),
     ++equal(U,X8),
     ++equal(U,X7),
     ++equal(U,X6),
     ++equal(U,X5),
     ++equal(X5,X9),
     ++equal(X5,X8),
     ++equal(X5,X7),
     ++equal(X5,X6),
     ++equal(X6,X9),
     ++equal(X6,X8),
     ++equal(X6,X7),
     ++equal(X7,X9),
     ++equal(X7,X8),
     ++equal(X8,X9)]).

input_clause(clause70,axiom,
    [--member(U,V,W),
     --member(U,X,W),
     --member(U,Y,W),
     --member(U,Z,W),
     --member(U,X1,W),
     --member(U,X2,W),
     ++six(U,W),
     ++member(U,skf26(V,X,Y,Z,X1,X2,W,U),W),
     ++equal(V,X2),
     ++equal(V,X1),
     ++equal(V,Z),
     ++equal(V,Y),
     ++equal(V,X),
     ++equal(X,X2),
     ++equal(X,X1),
     ++equal(X,Z),
     ++equal(X,Y),
     ++equal(Y,X2),
     ++equal(Y,X1),
     ++equal(Y,Z),
     ++equal(Z,X2),
     ++equal(Z,X1),
     ++equal(X1,X2)]).

input_clause(clause71,axiom,
    [--equal(skf26(U,V,W,X,Y,Z,X1,X2),Z),
     --member(X3,U,X4),
     --member(X3,V,X4),
     --member(X3,W,X4),
     --member(X3,X,X4),
     --member(X3,Y,X4),
     --member(X3,Z,X4),
     ++six(X3,X4),
     ++equal(U,Z),
     ++equal(U,Y),
     ++equal(U,X),
     ++equal(U,W),
     ++equal(U,V),
     ++equal(V,Z),
     ++equal(V,Y),
     ++equal(V,X),
     ++equal(V,W),
     ++equal(W,Z),
     ++equal(W,Y),
     ++equal(W,X),
     ++equal(X,Z),
     ++equal(X,Y),
     ++equal(Y,Z)]).

input_clause(clause72,axiom,
    [--equal(skf26(U,V,W,X,Y,Z,X1,X2),Y),
     --member(X3,U,X4),
     --member(X3,V,X4),
     --member(X3,W,X4),
     --member(X3,X,X4),
     --member(X3,Y,X4),
     --member(X3,X5,X4),
     ++six(X3,X4),
     ++equal(U,X5),
     ++equal(U,Y),
     ++equal(U,X),
     ++equal(U,W),
     ++equal(U,V),
     ++equal(V,X5),
     ++equal(V,Y),
     ++equal(V,X),
     ++equal(V,W),
     ++equal(W,X5),
     ++equal(W,Y),
     ++equal(W,X),
     ++equal(X,X5),
     ++equal(X,Y),
     ++equal(Y,X5)]).

input_clause(clause73,axiom,
    [--equal(skf26(U,V,W,X,Y,Z,X1,X2),X),
     --member(X3,U,X4),
     --member(X3,V,X4),
     --member(X3,W,X4),
     --member(X3,X,X4),
     --member(X3,X5,X4),
     --member(X3,X6,X4),
     ++six(X3,X4),
     ++equal(U,X6),
     ++equal(U,X5),
     ++equal(U,X),
     ++equal(U,W),
     ++equal(U,V),
     ++equal(V,X6),
     ++equal(V,X5),
     ++equal(V,X),
     ++equal(V,W),
     ++equal(W,X6),
     ++equal(W,X5),
     ++equal(W,X),
     ++equal(X,X6),
     ++equal(X,X5),
     ++equal(X5,X6)]).

input_clause(clause74,axiom,
    [--equal(skf26(U,V,W,X,Y,Z,X1,X2),W),
     --member(X3,U,X4),
     --member(X3,V,X4),
     --member(X3,W,X4),
     --member(X3,X5,X4),
     --member(X3,X6,X4),
     --member(X3,X7,X4),
     ++six(X3,X4),
     ++equal(U,X7),
     ++equal(U,X6),
     ++equal(U,X5),
     ++equal(U,W),
     ++equal(U,V),
     ++equal(V,X7),
     ++equal(V,X6),
     ++equal(V,X5),
     ++equal(V,W),
     ++equal(W,X7),
     ++equal(W,X6),
     ++equal(W,X5),
     ++equal(X5,X7),
     ++equal(X5,X6),
     ++equal(X6,X7)]).

input_clause(clause75,conjecture,
    [++actual_world(skc4)]).

input_clause(clause76,conjecture,
    [++male(skc4,skc7)]).

input_clause(clause77,conjecture,
    [++man(skc4,skc7)]).

input_clause(clause78,conjecture,
    [++cannon(skc4,skc6)]).

input_clause(clause79,conjecture,
    [++six(skc4,skc5)]).

input_clause(clause80,conjecture,
    [++group(skc4,skc5)]).

input_clause(clause81,conjecture,
    [++of(skc4,skc6,skc7)]).

input_clause(clause82,conjecture,
    [++ssSkP0(skc6,skc7,skc5,skc4)]).

input_clause(clause83,conjecture,
    [--member(skc4,U,skc5),
     ++shot(skc4,U)]).

input_clause(clause84,conjecture,
    [++ssSkP0(U,V,W,X),
     ++member(X,skf13(U,V,W,X),W)]).

input_clause(clause85,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++event(U,skf11(U,Z,X1,X2))]).

input_clause(clause86,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++present(U,skf11(U,Z,X1,X2))]).

input_clause(clause87,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++nonreflexive(U,skf11(U,Z,X1,X2))]).

input_clause(clause88,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++fire(U,skf11(U,Z,X1,X2))]).

input_clause(clause89,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++agent(U,skf11(U,V,X,Y),Y)]).

input_clause(clause90,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++patient(U,skf11(U,V,Z,X1),V)]).

input_clause(clause91,conjecture,
    [--member(U,V,W),
     --ssSkP0(X,Y,W,U),
     ++from_loc(U,skf11(U,V,X,Z),X)]).

input_clause(clause92,conjecture,
    [--from_loc(U,V,W),
     --fire(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf13(W,X,Y,U)),
     --agent(U,V,X),
     --event(U,V)]).

input_clause(clause93,conjecture,
    [--six(U,V),
     --group(U,V),
     --cannon(U,W),
     --male(U,X),
     --man(U,X),
     --of(U,W,X),
     --ssSkP0(W,X,V,U),
     --of(U,Y,Z),
     --revenge(U,Z),
     --agent(U,Y,X1),
     --male(U,X1),
     --scream(U,Y),
     --nonreflexive(U,Y),
     --present(U,Y),
     --event(U,Y),
     --cry(U,X2),
     --patient(U,Y,X2),
     --actual_world(U),
     ++member(U,skf10(U,V),V)]).

input_clause(clause94,conjecture,
    [--six(U,V),
     --group(U,V),
     --shot(U,skf10(U,W)),
     --cannon(U,X),
     --male(U,Y),
     --man(U,Y),
     --of(U,X,Y),
     --ssSkP0(X,Y,V,U),
     --of(U,Z,X1),
     --revenge(U,X1),
     --agent(U,Z,X2),
     --male(U,X2),
     --scream(U,Z),
     --nonreflexive(U,Z),
     --present(U,Z),
     --event(U,Z),
     --cry(U,X3),
     --patient(U,Z,X3),
     --actual_world(U)]).
%--------------------------------------------------------------------------
