%--------------------------------------------------------------------------
% File     : NLP094-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 1
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Every customer in a restaurant saw a person who drank a
%            coffee."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.12 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   38 (  17 non-Horn;   2 unit;  12 RR)
%            Number of literals   :  192 (   0 equality)
%            Maximal clause size  :   16 (   5 average)
%            Number of predicates :   14 (   1 propositional; 0-3 arity)
%            Number of functors   :   14 (   2 constant; 0-1 arity)
%            Number of variables  :   98 (  20 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP094+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc13)]).

input_clause(clause2,conjecture,
    [++actual_world(skc2)]).

input_clause(clause3,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++customer(U,skf39(U))]).

input_clause(clause4,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++restaurant(U,skf34(U))]).

input_clause(clause5,conjecture,
    [--actual_world(U),
     --ssSkC0,
     ++customer(U,skf25(U))]).

input_clause(clause6,conjecture,
    [--actual_world(U),
     --ssSkC0,
     ++restaurant(U,skf20(U))]).

input_clause(clause7,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++in(U,skf39(U),skf34(U))]).

input_clause(clause8,conjecture,
    [--actual_world(U),
     --ssSkC0,
     ++in(U,skf25(U),skf20(U))]).

input_clause(clause9,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++event(skc13,skf26(W))]).

input_clause(clause10,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++past(skc13,skf26(W))]).

input_clause(clause11,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++nonreflexive(skc13,skf26(W))]).

input_clause(clause12,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++see(skc13,skf26(W))]).

input_clause(clause13,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++human_person(skc13,skf29(W))]).

input_clause(clause14,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++drink(skc13,skf27(W))]).

input_clause(clause15,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++nonreflexive(skc13,skf27(W))]).

input_clause(clause16,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++past(skc13,skf27(W))]).

input_clause(clause17,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++event(skc13,skf27(W))]).

input_clause(clause18,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++coffee(skc13,skf28(W))]).

input_clause(clause19,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++event(skc2,skf12(W))]).

input_clause(clause20,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++past(skc2,skf12(W))]).

input_clause(clause21,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++nonreflexive(skc2,skf12(W))]).

input_clause(clause22,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++see(skc2,skf12(W))]).

input_clause(clause23,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++coffee(skc2,skf14(W))]).

input_clause(clause24,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++drink(skc2,skf13(W))]).

input_clause(clause25,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++nonreflexive(skc2,skf13(W))]).

input_clause(clause26,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++past(skc2,skf13(W))]).

input_clause(clause27,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++event(skc2,skf13(W))]).

input_clause(clause28,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++human_person(skc2,skf15(W))]).

input_clause(clause29,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++agent(skc13,skf26(V),V)]).

input_clause(clause30,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++agent(skc2,skf12(V),V)]).

input_clause(clause31,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++patient(skc13,skf26(W),skf29(W))]).

input_clause(clause32,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++agent(skc13,skf27(W),skf29(W))]).

input_clause(clause33,conjecture,
    [--restaurant(skc13,U),
     --in(skc13,V,U),
     --customer(skc13,V),
     ++ssSkC0,
     ++patient(skc13,skf27(W),skf28(W))]).

input_clause(clause34,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++agent(skc2,skf13(W),skf15(W))]).

input_clause(clause35,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++patient(skc2,skf12(W),skf15(W))]).

input_clause(clause36,conjecture,
    [--restaurant(skc2,U),
     --in(skc2,V,U),
     --customer(skc2,V),
     --ssSkC0,
     ++patient(skc2,skf13(W),skf14(W))]).

input_clause(clause37,conjecture,
    [--event(U,V),
     --agent(U,V,skf39(U)),
     --past(U,V),
     --nonreflexive(U,V),
     --see(U,V),
     --patient(U,W,X),
     --coffee(U,X),
     --drink(U,W),
     --nonreflexive(U,W),
     --past(U,W),
     --event(U,W),
     --human_person(U,Y),
     --agent(U,W,Y),
     --patient(U,V,Y),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--event(U,V),
     --agent(U,V,skf25(U)),
     --past(U,V),
     --nonreflexive(U,V),
     --see(U,V),
     --patient(U,V,W),
     --agent(U,X,W),
     --human_person(U,W),
     --drink(U,X),
     --nonreflexive(U,X),
     --past(U,X),
     --event(U,X),
     --coffee(U,Y),
     --patient(U,X,Y),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
