%--------------------------------------------------------------------------
% File     : NLP098-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 4
% Version  : [Bos00b] axioms.
% English  : Eliminating logically equivalent interpretations in the statement
%            "Every customer in a restaurant saw a person who drank a
%            coffee."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   38 (  18 non-Horn;   2 unit;  11 RR)
%            Number of literals   :  180 (   0 equality)
%            Maximal clause size  :   17 (   4 average)
%            Number of predicates :   14 (   1 propositional; 0-3 arity)
%            Number of functors   :   14 (   4 constant; 0-3 arity)
%            Number of variables  :   89 (  26 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP098+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++actual_world(skc15)]).

input_clause(clause2,conjecture,
    [++actual_world(skc4)]).

input_clause(clause3,conjecture,
    [++ssSkC0,
     ++coffee(skc15,skc16)]).

input_clause(clause4,conjecture,
    [++ssSkC0,
     ++restaurant(skc15,skc17)]).

input_clause(clause5,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++customer(U,skf32(U))]).

input_clause(clause6,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++restaurant(U,skf27(U))]).

input_clause(clause7,conjecture,
    [--actual_world(U),
     ++ssSkC0,
     ++in(U,skf32(U),skf27(U))]).

input_clause(clause8,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++human_person(skc15,skf22(V))]).

input_clause(clause9,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++drink(skc15,skf21(V))]).

input_clause(clause10,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++nonreflexive(skc15,skf21(V))]).

input_clause(clause11,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++past(skc15,skf21(V))]).

input_clause(clause12,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++event(skc15,skf21(V))]).

input_clause(clause13,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++event(skc15,skf20(V))]).

input_clause(clause14,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++past(skc15,skf20(V))]).

input_clause(clause15,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++nonreflexive(skc15,skf20(V))]).

input_clause(clause16,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++see(skc15,skf20(V))]).

input_clause(clause17,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++patient(skc15,skf21(V),skc16)]).

input_clause(clause18,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++agent(skc15,skf20(U),U)]).

input_clause(clause19,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++agent(skc15,skf21(V),skf22(V))]).

input_clause(clause20,conjecture,
    [--in(skc15,U,skc17),
     --customer(skc15,U),
     ++ssSkC0,
     ++patient(skc15,skf20(V),skf22(V))]).

input_clause(clause21,conjecture,
    [--coffee(U,V),
     --restaurant(U,W),
     --actual_world(U),
     --ssSkC0,
     ++customer(U,skf17(U,X,Y))]).

input_clause(clause22,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++event(skc4,skf10(W))]).

input_clause(clause23,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++past(skc4,skf10(W))]).

input_clause(clause24,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++nonreflexive(skc4,skf10(W))]).

input_clause(clause25,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++see(skc4,skf10(W))]).

input_clause(clause26,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++human_person(skc4,skf13(W))]).

input_clause(clause27,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++drink(skc4,skf11(W))]).

input_clause(clause28,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++nonreflexive(skc4,skf11(W))]).

input_clause(clause29,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++past(skc4,skf11(W))]).

input_clause(clause30,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++event(skc4,skf11(W))]).

input_clause(clause31,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++coffee(skc4,skf12(W))]).

input_clause(clause32,conjecture,
    [--coffee(U,V),
     --restaurant(U,W),
     --actual_world(U),
     --ssSkC0,
     ++in(U,skf17(U,W,X),W)]).

input_clause(clause33,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++agent(skc4,skf10(V),V)]).

input_clause(clause34,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++patient(skc4,skf11(W),skf12(W))]).

input_clause(clause35,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++patient(skc4,skf10(W),skf13(W))]).

input_clause(clause36,conjecture,
    [--restaurant(skc4,U),
     --in(skc4,V,U),
     --customer(skc4,V),
     --ssSkC0,
     ++agent(skc4,skf11(W),skf13(W))]).

input_clause(clause37,conjecture,
    [--event(U,V),
     --agent(U,V,skf32(U)),
     --past(U,V),
     --nonreflexive(U,V),
     --see(U,V),
     --patient(U,V,W),
     --agent(U,X,W),
     --human_person(U,W),
     --drink(U,X),
     --nonreflexive(U,X),
     --past(U,X),
     --event(U,X),
     --coffee(U,Y),
     --patient(U,X,Y),
     --actual_world(U),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--coffee(U,V),
     --see(U,W),
     --nonreflexive(U,W),
     --past(U,W),
     --agent(U,W,skf17(U,X,V)),
     --event(U,W),
     --event(U,Y),
     --patient(U,Y,V),
     --past(U,Y),
     --nonreflexive(U,Y),
     --drink(U,Y),
     --patient(U,W,Z),
     --agent(U,Y,Z),
     --human_person(U,Z),
     --restaurant(U,X),
     --actual_world(U),
     --ssSkC0]).
%--------------------------------------------------------------------------
