%--------------------------------------------------------------------------
% File     : NLP113-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Every customer in a restaurant, problem 20
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "Every customer in a restaurant saw a person who drank a
%            coffee."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses    :   50 (   0 non-Horn;   2 unit;  37 RR)
%            Number of literals   :  115 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :   33 (   0 propositional; 1-3 arity)
%            Number of functors   :    6 (   2 constant; 0-1 arity)
%            Number of variables  :   98 (  11 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP113+1.p using FLOTTER
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [--see(U,V),
     ++event(U,V)]).

input_clause(clause2,axiom,
    [--event(U,V),
     ++eventuality(U,V)]).

input_clause(clause3,axiom,
    [--eventuality(U,V),
     ++thing(U,V)]).

input_clause(clause4,axiom,
    [--thing(U,V),
     ++singleton(U,V)]).

input_clause(clause5,axiom,
    [--eventuality(U,V),
     ++specific(U,V)]).

input_clause(clause6,axiom,
    [--eventuality(U,V),
     ++nonexistent(U,V)]).

input_clause(clause7,axiom,
    [--eventuality(U,V),
     ++unisex(U,V)]).

input_clause(clause8,axiom,
    [--drink(U,V),
     ++event(U,V)]).

input_clause(clause9,axiom,
    [--coffee(U,V),
     ++beverage(U,V)]).

input_clause(clause10,axiom,
    [--beverage(U,V),
     ++food(U,V)]).

input_clause(clause11,axiom,
    [--food(U,V),
     ++substance_matter(U,V)]).

input_clause(clause12,axiom,
    [--substance_matter(U,V),
     ++object(U,V)]).

input_clause(clause13,axiom,
    [--object(U,V),
     ++entity(U,V)]).

input_clause(clause14,axiom,
    [--entity(U,V),
     ++thing(U,V)]).

input_clause(clause15,axiom,
    [--entity(U,V),
     ++specific(U,V)]).

input_clause(clause16,axiom,
    [--entity(U,V),
     ++existent(U,V)]).

input_clause(clause17,axiom,
    [--object(U,V),
     ++nonliving(U,V)]).

input_clause(clause18,axiom,
    [--object(U,V),
     ++impartial(U,V)]).

input_clause(clause19,axiom,
    [--object(U,V),
     ++unisex(U,V)]).

input_clause(clause20,axiom,
    [--human_person(U,V),
     ++organism(U,V)]).

input_clause(clause21,axiom,
    [--organism(U,V),
     ++entity(U,V)]).

input_clause(clause22,axiom,
    [--organism(U,V),
     ++impartial(U,V)]).

input_clause(clause23,axiom,
    [--organism(U,V),
     ++living(U,V)]).

input_clause(clause24,axiom,
    [--human_person(U,V),
     ++human(U,V)]).

input_clause(clause25,axiom,
    [--human_person(U,V),
     ++animate(U,V)]).

input_clause(clause26,axiom,
    [--customer(U,V),
     ++human_person(U,V)]).

input_clause(clause27,axiom,
    [--restaurant(U,V),
     ++building(U,V)]).

input_clause(clause28,axiom,
    [--building(U,V),
     ++artifact(U,V)]).

input_clause(clause29,axiom,
    [--artifact(U,V),
     ++object(U,V)]).

input_clause(clause30,axiom,
    [--living(U,V),
     --nonliving(U,V)]).

input_clause(clause31,axiom,
    [--nonexistent(U,V),
     --existent(U,V)]).

input_clause(clause32,axiom,
    [--nonliving(U,V),
     --animate(U,V)]).

input_clause(clause33,axiom,
    [--nonreflexive(U,V),
     --patient(U,V,W),
     --agent(U,V,W)]).

input_clause(clause34,axiom,
    [--drink(U,V),
     --patient(U,V,W),
     --agent(U,V,X),
     ++beverage(U,W)]).

input_clause(clause35,conjecture,
    [++actual_world(skc2)]).

input_clause(clause36,conjecture,
    [++restaurant(skc2,skc3)]).

input_clause(clause37,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++event(skc2,skf4(V))]).

input_clause(clause38,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++past(skc2,skf4(V))]).

input_clause(clause39,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++nonreflexive(skc2,skf4(V))]).

input_clause(clause40,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++see(skc2,skf4(V))]).

input_clause(clause41,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++coffee(skc2,skf6(V))]).

input_clause(clause42,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++drink(skc2,skf5(V))]).

input_clause(clause43,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++nonreflexive(skc2,skf5(V))]).

input_clause(clause44,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++past(skc2,skf5(V))]).

input_clause(clause45,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++event(skc2,skf5(V))]).

input_clause(clause46,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++human_person(skc2,skf7(V))]).

input_clause(clause47,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++agent(skc2,skf4(U),U)]).

input_clause(clause48,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++patient(skc2,skf5(V),skf6(V))]).

input_clause(clause49,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++agent(skc2,skf5(V),skf7(V))]).

input_clause(clause50,conjecture,
    [--in(skc2,U,skc3),
     --customer(skc2,U),
     ++patient(skc2,skf4(V),skf7(V))]).
%--------------------------------------------------------------------------
