%--------------------------------------------------------------------------
% File     : NLP125+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 12
% Version  : [Bos00b] axioms.
% English  : Eliminating inconsistent interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris102 [Bos00b]

% Status   : satisfiable
% Rating   : 0.17 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of formulae    :  122 (   1 unit)
%            Number of atoms       :  346 (  90 equality)
%            Maximal formula depth :   20 (   3 average)
%            Number of connectives :  229 (   5 ~  ;   0  |; 104  &)
%                                         (   0 <=>; 120 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   41 (   0 propositional; 1-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  343 (   0 singleton; 337 !;   6 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(abstraction_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(A,C) )
     => abstraction(B,C) )   )).

input_formula(abstraction_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(C,A) )
     => abstraction(C,B) )   )).

input_formula(actual_world_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & actual_world(A) )
     => actual_world(B) )   )).

input_formula(agent_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(A,C,D) )
     => agent(B,C,D) )   )).

input_formula(agent_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,A,D) )
     => agent(C,B,D) )   )).

input_formula(agent_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,D,A) )
     => agent(C,D,B) )   )).

input_formula(artifact_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(A,C) )
     => artifact(B,C) )   )).

input_formula(artifact_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(C,A) )
     => artifact(C,B) )   )).

input_formula(barrel_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(A,C) )
     => barrel(B,C) )   )).

input_formula(barrel_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(C,A) )
     => barrel(C,B) )   )).

input_formula(car_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & car(A,C) )
     => car(B,C) )   )).

input_formula(car_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & car(C,A) )
     => car(C,B) )   )).

input_formula(chevy_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & chevy(A,C) )
     => chevy(B,C) )   )).

input_formula(chevy_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & chevy(C,A) )
     => chevy(C,B) )   )).

input_formula(city_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & city(A,C) )
     => city(B,C) )   )).

input_formula(city_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & city(C,A) )
     => city(C,B) )   )).

input_formula(dirty_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & dirty(A,C) )
     => dirty(B,C) )   )).

input_formula(dirty_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & dirty(C,A) )
     => dirty(C,B) )   )).

input_formula(down_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(A,C,D) )
     => down(B,C,D) )   )).

input_formula(down_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(C,A,D) )
     => down(C,B,D) )   )).

input_formula(down_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(C,D,A) )
     => down(C,D,B) )   )).

input_formula(entity_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(A,C) )
     => entity(B,C) )   )).

input_formula(entity_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(C,A) )
     => entity(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(A,C) )
     => event(B,C) )   )).

input_formula(event_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(C,A) )
     => event(C,B) )   )).

input_formula(eventuality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(A,C) )
     => eventuality(B,C) )   )).

input_formula(eventuality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(C,A) )
     => eventuality(C,B) )   )).

input_formula(existent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(A,C) )
     => existent(B,C) )   )).

input_formula(existent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(C,A) )
     => existent(C,B) )   )).

input_formula(general_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(A,C) )
     => general(B,C) )   )).

input_formula(general_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(C,A) )
     => general(C,B) )   )).

input_formula(hollywood_placename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & hollywood_placename(A,C) )
     => hollywood_placename(B,C) )   )).

input_formula(hollywood_placename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & hollywood_placename(C,A) )
     => hollywood_placename(C,B) )   )).

input_formula(impartial_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(A,C) )
     => impartial(B,C) )   )).

input_formula(impartial_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(C,A) )
     => impartial(C,B) )   )).

input_formula(in_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(A,C,D) )
     => in(B,C,D) )   )).

input_formula(in_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(C,A,D) )
     => in(C,B,D) )   )).

input_formula(in_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(C,D,A) )
     => in(C,D,B) )   )).

input_formula(instrumentality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & instrumentality(A,C) )
     => instrumentality(B,C) )   )).

input_formula(instrumentality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & instrumentality(C,A) )
     => instrumentality(C,B) )   )).

input_formula(location_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & location(A,C) )
     => location(B,C) )   )).

input_formula(location_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & location(C,A) )
     => location(C,B) )   )).

input_formula(lonely_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & lonely(A,C) )
     => lonely(B,C) )   )).

input_formula(lonely_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & lonely(C,A) )
     => lonely(C,B) )   )).

input_formula(nonexistent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(A,C) )
     => nonexistent(B,C) )   )).

input_formula(nonexistent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(C,A) )
     => nonexistent(C,B) )   )).

input_formula(nonhuman_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(A,C) )
     => nonhuman(B,C) )   )).

input_formula(nonhuman_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(C,A) )
     => nonhuman(C,B) )   )).

input_formula(nonliving_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(A,C) )
     => nonliving(B,C) )   )).

input_formula(nonliving_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(C,A) )
     => nonliving(C,B) )   )).

input_formula(object_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(A,C) )
     => object(B,C) )   )).

input_formula(object_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(C,A) )
     => object(C,B) )   )).

input_formula(of_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(A,C,D) )
     => of(B,C,D) )   )).

input_formula(of_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,A,D) )
     => of(C,B,D) )   )).

input_formula(of_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,D,A) )
     => of(C,D,B) )   )).

input_formula(old_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & old(A,C) )
     => old(B,C) )   )).

input_formula(old_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & old(C,A) )
     => old(C,B) )   )).

input_formula(placename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & placename(A,C) )
     => placename(B,C) )   )).

input_formula(placename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & placename(C,A) )
     => placename(C,B) )   )).

input_formula(present_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(A,C) )
     => present(B,C) )   )).

input_formula(present_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(C,A) )
     => present(C,B) )   )).

input_formula(relation_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(A,C) )
     => relation(B,C) )   )).

input_formula(relation_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(C,A) )
     => relation(C,B) )   )).

input_formula(relname_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(A,C) )
     => relname(B,C) )   )).

input_formula(relname_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(C,A) )
     => relname(C,B) )   )).

input_formula(singleton_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(A,C) )
     => singleton(B,C) )   )).

input_formula(singleton_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(C,A) )
     => singleton(C,B) )   )).

input_formula(specific_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(A,C) )
     => specific(B,C) )   )).

input_formula(specific_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(C,A) )
     => specific(C,B) )   )).

input_formula(street_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & street(A,C) )
     => street(B,C) )   )).

input_formula(street_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & street(C,A) )
     => street(C,B) )   )).

input_formula(thing_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(A,C) )
     => thing(B,C) )   )).

input_formula(thing_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(C,A) )
     => thing(C,B) )   )).

input_formula(transport_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & transport(A,C) )
     => transport(B,C) )   )).

input_formula(transport_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & transport(C,A) )
     => transport(C,B) )   )).

input_formula(unisex_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(A,C) )
     => unisex(B,C) )   )).

input_formula(unisex_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(C,A) )
     => unisex(C,B) )   )).

input_formula(vehicle_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & vehicle(A,C) )
     => vehicle(B,C) )   )).

input_formula(vehicle_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & vehicle(C,A) )
     => vehicle(C,B) )   )).

input_formula(way_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & way(A,C) )
     => way(B,C) )   )).

input_formula(way_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & way(C,A) )
     => way(C,B) )   )).

input_formula(white_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & white(A,C) )
     => white(B,C) )   )).

input_formula(white_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & white(C,A) )
     => white(C,B) )   )).

input_formula(ax1,axiom,(
    ! [U,V] : 
      ( instrumentality(U,V)
     => artifact(U,V) )   )).

input_formula(ax2,axiom,(
    ! [U,V] : 
      ( transport(U,V)
     => instrumentality(U,V) )   )).

input_formula(ax3,axiom,(
    ! [U,V] : 
      ( vehicle(U,V)
     => transport(U,V) )   )).

input_formula(ax4,axiom,(
    ! [U,V] : 
      ( car(U,V)
     => vehicle(U,V) )   )).

input_formula(ax5,axiom,(
    ! [U,V] : 
      ( chevy(U,V)
     => car(U,V) )   )).

input_formula(ax6,axiom,(
    ! [U,V] : 
      ( location(U,V)
     => object(U,V) )   )).

input_formula(ax7,axiom,(
    ! [U,V] : 
      ( city(U,V)
     => location(U,V) )   )).

input_formula(ax8,axiom,(
    ! [U,V] : 
      ( hollywood_placename(U,V)
     => placename(U,V) )   )).

input_formula(ax9,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => unisex(U,V) )   )).

input_formula(ax10,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => general(U,V) )   )).

input_formula(ax11,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => nonhuman(U,V) )   )).

input_formula(ax12,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => thing(U,V) )   )).

input_formula(ax13,axiom,(
    ! [U,V] : 
      ( relation(U,V)
     => abstraction(U,V) )   )).

input_formula(ax14,axiom,(
    ! [U,V] : 
      ( relname(U,V)
     => relation(U,V) )   )).

input_formula(ax15,axiom,(
    ! [U,V] : 
      ( placename(U,V)
     => relname(U,V) )   )).

input_formula(ax16,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => unisex(U,V) )   )).

input_formula(ax17,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => impartial(U,V) )   )).

input_formula(ax18,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => nonliving(U,V) )   )).

input_formula(ax19,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => existent(U,V) )   )).

input_formula(ax20,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => specific(U,V) )   )).

input_formula(ax21,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => thing(U,V) )   )).

input_formula(ax22,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => entity(U,V) )   )).

input_formula(ax23,axiom,(
    ! [U,V] : 
      ( artifact(U,V)
     => object(U,V) )   )).

input_formula(ax24,axiom,(
    ! [U,V] : 
      ( way(U,V)
     => artifact(U,V) )   )).

input_formula(ax25,axiom,(
    ! [U,V] : 
      ( street(U,V)
     => way(U,V) )   )).

input_formula(ax26,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => unisex(U,V) )   )).

input_formula(ax27,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => nonexistent(U,V) )   )).

input_formula(ax28,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => specific(U,V) )   )).

input_formula(ax29,axiom,(
    ! [U,V] : 
      ( thing(U,V)
     => singleton(U,V) )   )).

input_formula(ax30,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => thing(U,V) )   )).

input_formula(ax31,axiom,(
    ! [U,V] : 
      ( event(U,V)
     => eventuality(U,V) )   )).

input_formula(ax32,axiom,(
    ! [U,V] : 
      ( barrel(U,V)
     => event(U,V) )   )).

input_formula(ax33,axiom,(
    ! [U,V] : 
      ( existent(U,V)
     => ~ nonexistent(U,V) )   )).

input_formula(ax34,axiom,(
    ! [U,V] : 
      ( specific(U,V)
     => ~ general(U,V) )   )).

input_formula(ax35,axiom,(
    ! [U,V,W] : 
      ( ( entity(U,V)
        & placename(U,W)
        & of(U,W,V) )
     => ~ ( ? [X] : 
              ( placename(U,X)
              & ~ equal(X,W)
              & of(U,X,V) ) ) )   )).

input_formula(co1,conjecture,(
    ~ ( ? [U] : 
          ( actual_world(U)
          & ? [V,W,X,Y] : 
              ( of(U,V,W)
              & city(U,W)
              & hollywood_placename(U,V)
              & placename(U,V)
              & street(U,W)
              & lonely(U,W)
              & chevy(U,X)
              & white(U,X)
              & dirty(U,X)
              & old(U,X)
              & event(U,Y)
              & agent(U,Y,X)
              & present(U,Y)
              & barrel(U,Y)
              & down(U,Y,W)
              & in(U,Y,W) ) ) )   )).
%--------------------------------------------------------------------------
