%--------------------------------------------------------------------------
% File     : NLP157+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 44
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris134 [Bos00b]

% Status   : satisfiable
% Rating   : 0.33 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of formulae    :  189 (   2 unit)
%            Number of atoms       :  552 ( 135 equality)
%            Maximal formula depth :   30 (   3 average)
%            Number of connectives :  377 (  14 ~  ;   1  |; 173  &)
%                                         (   1 <=>; 188 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   60 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  544 (   0 singleton; 527 !;  17 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(abstraction_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(A,C) )
     => abstraction(B,C) )   )).

input_formula(abstraction_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(C,A) )
     => abstraction(C,B) )   )).

input_formula(actual_world_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & actual_world(A) )
     => actual_world(B) )   )).

input_formula(agent_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(A,C,D) )
     => agent(B,C,D) )   )).

input_formula(agent_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,A,D) )
     => agent(C,B,D) )   )).

input_formula(agent_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,D,A) )
     => agent(C,D,B) )   )).

input_formula(animate_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(A,C) )
     => animate(B,C) )   )).

input_formula(animate_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(C,A) )
     => animate(C,B) )   )).

input_formula(artifact_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(A,C) )
     => artifact(B,C) )   )).

input_formula(artifact_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & artifact(C,A) )
     => artifact(C,B) )   )).

input_formula(barrel_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(A,C) )
     => barrel(B,C) )   )).

input_formula(barrel_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & barrel(C,A) )
     => barrel(C,B) )   )).

input_formula(be_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(A,C,D,E) )
     => be(B,C,D,E) )   )).

input_formula(be_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,A,D,E) )
     => be(C,B,D,E) )   )).

input_formula(be_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,D,A,E) )
     => be(C,D,B,E) )   )).

input_formula(be_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,D,E,A) )
     => be(C,D,E,B) )   )).

input_formula(car_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & car(A,C) )
     => car(B,C) )   )).

input_formula(car_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & car(C,A) )
     => car(C,B) )   )).

input_formula(chevy_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & chevy(A,C) )
     => chevy(B,C) )   )).

input_formula(chevy_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & chevy(C,A) )
     => chevy(C,B) )   )).

input_formula(city_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & city(A,C) )
     => city(B,C) )   )).

input_formula(city_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & city(C,A) )
     => city(C,B) )   )).

input_formula(dirty_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & dirty(A,C) )
     => dirty(B,C) )   )).

input_formula(dirty_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & dirty(C,A) )
     => dirty(C,B) )   )).

input_formula(down_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(A,C,D) )
     => down(B,C,D) )   )).

input_formula(down_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(C,A,D) )
     => down(C,B,D) )   )).

input_formula(down_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & down(C,D,A) )
     => down(C,D,B) )   )).

input_formula(entity_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(A,C) )
     => entity(B,C) )   )).

input_formula(entity_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(C,A) )
     => entity(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(A,C) )
     => event(B,C) )   )).

input_formula(event_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(C,A) )
     => event(C,B) )   )).

input_formula(eventuality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(A,C) )
     => eventuality(B,C) )   )).

input_formula(eventuality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(C,A) )
     => eventuality(C,B) )   )).

input_formula(existent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(A,C) )
     => existent(B,C) )   )).

input_formula(existent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(C,A) )
     => existent(C,B) )   )).

input_formula(fellow_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & fellow(A,C) )
     => fellow(B,C) )   )).

input_formula(fellow_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & fellow(C,A) )
     => fellow(C,B) )   )).

input_formula(frontseat_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & frontseat(A,C) )
     => frontseat(B,C) )   )).

input_formula(frontseat_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & frontseat(C,A) )
     => frontseat(C,B) )   )).

input_formula(furniture_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & furniture(A,C) )
     => furniture(B,C) )   )).

input_formula(furniture_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & furniture(C,A) )
     => furniture(C,B) )   )).

input_formula(general_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(A,C) )
     => general(B,C) )   )).

input_formula(general_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(C,A) )
     => general(C,B) )   )).

input_formula(group_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group(A,C) )
     => group(B,C) )   )).

input_formula(group_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & group(C,A) )
     => group(C,B) )   )).

input_formula(hollywood_placename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & hollywood_placename(A,C) )
     => hollywood_placename(B,C) )   )).

input_formula(hollywood_placename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & hollywood_placename(C,A) )
     => hollywood_placename(C,B) )   )).

input_formula(human_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(A,C) )
     => human(B,C) )   )).

input_formula(human_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(C,A) )
     => human(C,B) )   )).

input_formula(human_person_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(A,C) )
     => human_person(B,C) )   )).

input_formula(human_person_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(C,A) )
     => human_person(C,B) )   )).

input_formula(impartial_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(A,C) )
     => impartial(B,C) )   )).

input_formula(impartial_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(C,A) )
     => impartial(C,B) )   )).

input_formula(in_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(A,C,D) )
     => in(B,C,D) )   )).

input_formula(in_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(C,A,D) )
     => in(C,B,D) )   )).

input_formula(in_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & in(C,D,A) )
     => in(C,D,B) )   )).

input_formula(instrumentality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & instrumentality(A,C) )
     => instrumentality(B,C) )   )).

input_formula(instrumentality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & instrumentality(C,A) )
     => instrumentality(C,B) )   )).

input_formula(living_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(A,C) )
     => living(B,C) )   )).

input_formula(living_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(C,A) )
     => living(C,B) )   )).

input_formula(location_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & location(A,C) )
     => location(B,C) )   )).

input_formula(location_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & location(C,A) )
     => location(C,B) )   )).

input_formula(lonely_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & lonely(A,C) )
     => lonely(B,C) )   )).

input_formula(lonely_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & lonely(C,A) )
     => lonely(C,B) )   )).

input_formula(male_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & male(A,C) )
     => male(B,C) )   )).

input_formula(male_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & male(C,A) )
     => male(C,B) )   )).

input_formula(man_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & man(A,C) )
     => man(B,C) )   )).

input_formula(man_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & man(C,A) )
     => man(C,B) )   )).

input_formula(member_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(A,C,D) )
     => member(B,C,D) )   )).

input_formula(member_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(C,A,D) )
     => member(C,B,D) )   )).

input_formula(member_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & member(C,D,A) )
     => member(C,D,B) )   )).

input_formula(multiple_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & multiple(A,C) )
     => multiple(B,C) )   )).

input_formula(multiple_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & multiple(C,A) )
     => multiple(C,B) )   )).

input_formula(nonexistent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(A,C) )
     => nonexistent(B,C) )   )).

input_formula(nonexistent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(C,A) )
     => nonexistent(C,B) )   )).

input_formula(nonhuman_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(A,C) )
     => nonhuman(B,C) )   )).

input_formula(nonhuman_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(C,A) )
     => nonhuman(C,B) )   )).

input_formula(nonliving_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(A,C) )
     => nonliving(B,C) )   )).

input_formula(nonliving_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonliving(C,A) )
     => nonliving(C,B) )   )).

input_formula(object_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(A,C) )
     => object(B,C) )   )).

input_formula(object_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & object(C,A) )
     => object(C,B) )   )).

input_formula(of_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(A,C,D) )
     => of(B,C,D) )   )).

input_formula(of_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,A,D) )
     => of(C,B,D) )   )).

input_formula(of_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,D,A) )
     => of(C,D,B) )   )).

input_formula(old_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & old(A,C) )
     => old(B,C) )   )).

input_formula(old_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & old(C,A) )
     => old(C,B) )   )).

input_formula(organism_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(A,C) )
     => organism(B,C) )   )).

input_formula(organism_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(C,A) )
     => organism(C,B) )   )).

input_formula(placename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & placename(A,C) )
     => placename(B,C) )   )).

input_formula(placename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & placename(C,A) )
     => placename(C,B) )   )).

input_formula(present_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(A,C) )
     => present(B,C) )   )).

input_formula(present_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(C,A) )
     => present(C,B) )   )).

input_formula(relation_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(A,C) )
     => relation(B,C) )   )).

input_formula(relation_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(C,A) )
     => relation(C,B) )   )).

input_formula(relname_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(A,C) )
     => relname(B,C) )   )).

input_formula(relname_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(C,A) )
     => relname(C,B) )   )).

input_formula(seat_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & seat(A,C) )
     => seat(B,C) )   )).

input_formula(seat_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & seat(C,A) )
     => seat(C,B) )   )).

input_formula(set_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & set(A,C) )
     => set(B,C) )   )).

input_formula(set_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & set(C,A) )
     => set(C,B) )   )).

input_formula(singleton_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(A,C) )
     => singleton(B,C) )   )).

input_formula(singleton_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(C,A) )
     => singleton(C,B) )   )).

input_formula(specific_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(A,C) )
     => specific(B,C) )   )).

input_formula(specific_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(C,A) )
     => specific(C,B) )   )).

input_formula(state_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & state(A,C) )
     => state(B,C) )   )).

input_formula(state_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & state(C,A) )
     => state(C,B) )   )).

input_formula(street_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & street(A,C) )
     => street(B,C) )   )).

input_formula(street_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & street(C,A) )
     => street(C,B) )   )).

input_formula(thing_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(A,C) )
     => thing(B,C) )   )).

input_formula(thing_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(C,A) )
     => thing(C,B) )   )).

input_formula(transport_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & transport(A,C) )
     => transport(B,C) )   )).

input_formula(transport_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & transport(C,A) )
     => transport(C,B) )   )).

input_formula(two_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & two(A,C) )
     => two(B,C) )   )).

input_formula(two_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & two(C,A) )
     => two(C,B) )   )).

input_formula(unisex_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(A,C) )
     => unisex(B,C) )   )).

input_formula(unisex_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(C,A) )
     => unisex(C,B) )   )).

input_formula(vehicle_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & vehicle(A,C) )
     => vehicle(B,C) )   )).

input_formula(vehicle_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & vehicle(C,A) )
     => vehicle(C,B) )   )).

input_formula(way_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & way(A,C) )
     => way(B,C) )   )).

input_formula(way_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & way(C,A) )
     => way(C,B) )   )).

input_formula(white_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & white(A,C) )
     => white(B,C) )   )).

input_formula(white_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & white(C,A) )
     => white(C,B) )   )).

input_formula(young_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & young(A,C) )
     => young(B,C) )   )).

input_formula(young_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & young(C,A) )
     => young(C,B) )   )).

input_formula(ax1,axiom,(
    ! [U,V] : 
      ( furniture(U,V)
     => instrumentality(U,V) )   )).

input_formula(ax2,axiom,(
    ! [U,V] : 
      ( seat(U,V)
     => furniture(U,V) )   )).

input_formula(ax3,axiom,(
    ! [U,V] : 
      ( frontseat(U,V)
     => seat(U,V) )   )).

input_formula(ax4,axiom,(
    ! [U,V] : 
      ( location(U,V)
     => object(U,V) )   )).

input_formula(ax5,axiom,(
    ! [U,V] : 
      ( city(U,V)
     => location(U,V) )   )).

input_formula(ax6,axiom,(
    ! [U,V] : 
      ( hollywood_placename(U,V)
     => placename(U,V) )   )).

input_formula(ax7,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => unisex(U,V) )   )).

input_formula(ax8,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => general(U,V) )   )).

input_formula(ax9,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => nonhuman(U,V) )   )).

input_formula(ax10,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => thing(U,V) )   )).

input_formula(ax11,axiom,(
    ! [U,V] : 
      ( relation(U,V)
     => abstraction(U,V) )   )).

input_formula(ax12,axiom,(
    ! [U,V] : 
      ( relname(U,V)
     => relation(U,V) )   )).

input_formula(ax13,axiom,(
    ! [U,V] : 
      ( placename(U,V)
     => relname(U,V) )   )).

input_formula(ax14,axiom,(
    ! [U,V] : 
      ( way(U,V)
     => artifact(U,V) )   )).

input_formula(ax15,axiom,(
    ! [U,V] : 
      ( street(U,V)
     => way(U,V) )   )).

input_formula(ax16,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => unisex(U,V) )   )).

input_formula(ax17,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => impartial(U,V) )   )).

input_formula(ax18,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => nonliving(U,V) )   )).

input_formula(ax19,axiom,(
    ! [U,V] : 
      ( object(U,V)
     => entity(U,V) )   )).

input_formula(ax20,axiom,(
    ! [U,V] : 
      ( artifact(U,V)
     => object(U,V) )   )).

input_formula(ax21,axiom,(
    ! [U,V] : 
      ( instrumentality(U,V)
     => artifact(U,V) )   )).

input_formula(ax22,axiom,(
    ! [U,V] : 
      ( transport(U,V)
     => instrumentality(U,V) )   )).

input_formula(ax23,axiom,(
    ! [U,V] : 
      ( vehicle(U,V)
     => transport(U,V) )   )).

input_formula(ax24,axiom,(
    ! [U,V] : 
      ( car(U,V)
     => vehicle(U,V) )   )).

input_formula(ax25,axiom,(
    ! [U,V] : 
      ( chevy(U,V)
     => car(U,V) )   )).

input_formula(ax26,axiom,(
    ! [U,V] : 
      ( barrel(U,V)
     => event(U,V) )   )).

input_formula(ax27,axiom,(
    ! [U,V] : 
      ( event(U,V)
     => eventuality(U,V) )   )).

input_formula(ax28,axiom,(
    ! [U,V] : 
      ( state(U,V)
     => event(U,V) )   )).

input_formula(ax29,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => unisex(U,V) )   )).

input_formula(ax30,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => nonexistent(U,V) )   )).

input_formula(ax31,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => specific(U,V) )   )).

input_formula(ax32,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => thing(U,V) )   )).

input_formula(ax33,axiom,(
    ! [U,V] : 
      ( state(U,V)
     => eventuality(U,V) )   )).

input_formula(ax34,axiom,(
    ! [U,V] : 
      ( two(U,V)
     => group(U,V) )   )).

input_formula(ax35,axiom,(
    ! [U,V] : 
      ( set(U,V)
     => multiple(U,V) )   )).

input_formula(ax36,axiom,(
    ! [U,V] : 
      ( group(U,V)
     => set(U,V) )   )).

input_formula(ax37,axiom,(
    ! [U,V] : 
      ( man(U,V)
     => male(U,V) )   )).

input_formula(ax38,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => animate(U,V) )   )).

input_formula(ax39,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => human(U,V) )   )).

input_formula(ax40,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => living(U,V) )   )).

input_formula(ax41,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => impartial(U,V) )   )).

input_formula(ax42,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => existent(U,V) )   )).

input_formula(ax43,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => specific(U,V) )   )).

input_formula(ax44,axiom,(
    ! [U,V] : 
      ( thing(U,V)
     => singleton(U,V) )   )).

input_formula(ax45,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => thing(U,V) )   )).

input_formula(ax46,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => entity(U,V) )   )).

input_formula(ax47,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => organism(U,V) )   )).

input_formula(ax48,axiom,(
    ! [U,V] : 
      ( man(U,V)
     => human_person(U,V) )   )).

input_formula(ax49,axiom,(
    ! [U,V] : 
      ( fellow(U,V)
     => man(U,V) )   )).

input_formula(ax50,axiom,(
    ! [U,V] : 
      ( animate(U,V)
     => ~ nonliving(U,V) )   )).

input_formula(ax51,axiom,(
    ! [U,V] : 
      ( existent(U,V)
     => ~ nonexistent(U,V) )   )).

input_formula(ax52,axiom,(
    ! [U,V] : 
      ( nonhuman(U,V)
     => ~ human(U,V) )   )).

input_formula(ax53,axiom,(
    ! [U,V] : 
      ( nonliving(U,V)
     => ~ living(U,V) )   )).

input_formula(ax54,axiom,(
    ! [U,V] : 
      ( singleton(U,V)
     => ~ multiple(U,V) )   )).

input_formula(ax55,axiom,(
    ! [U,V] : 
      ( specific(U,V)
     => ~ general(U,V) )   )).

input_formula(ax56,axiom,(
    ! [U,V] : 
      ( unisex(U,V)
     => ~ male(U,V) )   )).

input_formula(ax57,axiom,(
    ! [U,V] : 
      ( young(U,V)
     => ~ old(U,V) )   )).

input_formula(ax58,axiom,(
    ! [U,V,W] : 
      ( ( entity(U,V)
        & placename(U,W)
        & of(U,W,V) )
     => ~ ( ? [X] : 
              ( placename(U,X)
              & ~ equal(X,W)
              & of(U,X,V) ) ) )   )).

input_formula(ax59,axiom,(
    ! [U,V,W,X] : 
      ( be(U,V,W,X)
     => equal(W,X) )   )).

input_formula(ax60,axiom,(
    ! [U,V] : 
      ( two(U,V)
    <=> ? [W] : 
          ( member(U,W,V)
          & ? [X] : 
              ( member(U,X,V)
              & ~ equal(X,W)
              & ! [Y] : 
                  ( member(U,Y,V)
                 => ( equal(Y,X)
                    | equal(Y,W) ) ) ) ) )   )).

input_formula(ax61,axiom,(
    ! [U] : 
      ~ ( ? [V] : member(U,V,V) )   )).

input_formula(co1,conjecture,(
    ~ ( ? [U] : 
          ( actual_world(U)
          & ? [V,W,X,Y] : 
              ( street(U,V)
              & lonely(U,V)
              & of(U,W,X)
              & city(U,X)
              & hollywood_placename(U,W)
              & placename(U,W)
              & chevy(U,X)
              & white(U,X)
              & dirty(U,X)
              & old(U,X)
              & event(U,Y)
              & agent(U,Y,X)
              & present(U,Y)
              & barrel(U,Y)
              & down(U,Y,V)
              & in(U,Y,X) ) )
      & ~ ( ? [Z] : 
              ( actual_world(Z)
              & ? [V,W,X,Y,X1] : 
                  ( street(Z,V)
                  & lonely(Z,V)
                  & of(Z,W,X)
                  & city(Z,X)
                  & hollywood_placename(Z,W)
                  & placename(Z,W)
                  & chevy(Z,X)
                  & white(Z,X)
                  & dirty(Z,X)
                  & old(Z,X)
                  & event(Z,Y)
                  & agent(Z,Y,X)
                  & present(Z,Y)
                  & barrel(Z,Y)
                  & down(Z,Y,V)
                  & in(Z,Y,X)
                  & ! [X2] : 
                      ( member(Z,X2,X1)
                     => ? [X3,X4] : 
                          ( frontseat(Z,X4)
                          & state(Z,X3)
                          & be(Z,X3,X2,X4)
                          & in(Z,X4,X4) ) )
                  & two(Z,X1)
                  & group(Z,X1)
                  & ! [X5] : 
                      ( member(Z,X5,X1)
                     => ( fellow(Z,X5)
                        & young(Z,X5) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
