%--------------------------------------------------------------------------
% File     : NLP212-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : An old dirty white Chevy, problem 99
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            "An old dirty white chevy barrels down a lonely street in 
%            hollywood. Two young fellas are in the front seat. They are 
%            wearing cheap black coats. Jules is behind the wheel."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.67 v2.6.0, 1.00 v2.4.0
% Syntax   : Number of clauses    :  285 (   8 non-Horn;  26 unit; 270 RR)
%            Number of literals   :  812 ( 175 equality)
%            Maximal clause size  :   35 (   2 average)
%            Number of predicates :   75 (   0 propositional; 1-4 arity)
%            Number of functors   :   19 (   8 constant; 0-4 arity)
%            Number of variables  :  801 (  37 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : Created from NLP212+1.p using FLOTTER
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(abstraction_substitution_1,axiom,
    [--equal(A,B),
     --abstraction(A,C),
     ++abstraction(B,C)]).

input_clause(abstraction_substitution_2,axiom,
    [--equal(A,B),
     --abstraction(C,A),
     ++abstraction(C,B)]).

input_clause(actual_world_substitution_1,axiom,
    [--equal(A,B),
     --actual_world(A),
     ++actual_world(B)]).

input_clause(agent_substitution_1,axiom,
    [--equal(A,B),
     --agent(A,C,D),
     ++agent(B,C,D)]).

input_clause(agent_substitution_2,axiom,
    [--equal(A,B),
     --agent(C,A,D),
     ++agent(C,B,D)]).

input_clause(agent_substitution_3,axiom,
    [--equal(A,B),
     --agent(C,D,A),
     ++agent(C,D,B)]).

input_clause(animate_substitution_1,axiom,
    [--equal(A,B),
     --animate(A,C),
     ++animate(B,C)]).

input_clause(animate_substitution_2,axiom,
    [--equal(A,B),
     --animate(C,A),
     ++animate(C,B)]).

input_clause(artifact_substitution_1,axiom,
    [--equal(A,B),
     --artifact(A,C),
     ++artifact(B,C)]).

input_clause(artifact_substitution_2,axiom,
    [--equal(A,B),
     --artifact(C,A),
     ++artifact(C,B)]).

input_clause(barrel_substitution_1,axiom,
    [--equal(A,B),
     --barrel(A,C),
     ++barrel(B,C)]).

input_clause(barrel_substitution_2,axiom,
    [--equal(A,B),
     --barrel(C,A),
     ++barrel(C,B)]).

input_clause(be_substitution_1,axiom,
    [--equal(A,B),
     --be(A,C,D,E),
     ++be(B,C,D,E)]).

input_clause(be_substitution_2,axiom,
    [--equal(A,B),
     --be(C,A,D,E),
     ++be(C,B,D,E)]).

input_clause(be_substitution_3,axiom,
    [--equal(A,B),
     --be(C,D,A,E),
     ++be(C,D,B,E)]).

input_clause(be_substitution_4,axiom,
    [--equal(A,B),
     --be(C,D,E,A),
     ++be(C,D,E,B)]).

input_clause(behind_substitution_1,axiom,
    [--equal(A,B),
     --behind(A,C,D),
     ++behind(B,C,D)]).

input_clause(behind_substitution_2,axiom,
    [--equal(A,B),
     --behind(C,A,D),
     ++behind(C,B,D)]).

input_clause(behind_substitution_3,axiom,
    [--equal(A,B),
     --behind(C,D,A),
     ++behind(C,D,B)]).

input_clause(black_substitution_1,axiom,
    [--equal(A,B),
     --black(A,C),
     ++black(B,C)]).

input_clause(black_substitution_2,axiom,
    [--equal(A,B),
     --black(C,A),
     ++black(C,B)]).

input_clause(car_substitution_1,axiom,
    [--equal(A,B),
     --car(A,C),
     ++car(B,C)]).

input_clause(car_substitution_2,axiom,
    [--equal(A,B),
     --car(C,A),
     ++car(C,B)]).

input_clause(cheap_substitution_1,axiom,
    [--equal(A,B),
     --cheap(A,C),
     ++cheap(B,C)]).

input_clause(cheap_substitution_2,axiom,
    [--equal(A,B),
     --cheap(C,A),
     ++cheap(C,B)]).

input_clause(chevy_substitution_1,axiom,
    [--equal(A,B),
     --chevy(A,C),
     ++chevy(B,C)]).

input_clause(chevy_substitution_2,axiom,
    [--equal(A,B),
     --chevy(C,A),
     ++chevy(C,B)]).

input_clause(city_substitution_1,axiom,
    [--equal(A,B),
     --city(A,C),
     ++city(B,C)]).

input_clause(city_substitution_2,axiom,
    [--equal(A,B),
     --city(C,A),
     ++city(C,B)]).

input_clause(clothes_substitution_1,axiom,
    [--equal(A,B),
     --clothes(A,C),
     ++clothes(B,C)]).

input_clause(clothes_substitution_2,axiom,
    [--equal(A,B),
     --clothes(C,A),
     ++clothes(C,B)]).

input_clause(coat_substitution_1,axiom,
    [--equal(A,B),
     --coat(A,C),
     ++coat(B,C)]).

input_clause(coat_substitution_2,axiom,
    [--equal(A,B),
     --coat(C,A),
     ++coat(C,B)]).

input_clause(device_substitution_1,axiom,
    [--equal(A,B),
     --device(A,C),
     ++device(B,C)]).

input_clause(device_substitution_2,axiom,
    [--equal(A,B),
     --device(C,A),
     ++device(C,B)]).

input_clause(dirty_substitution_1,axiom,
    [--equal(A,B),
     --dirty(A,C),
     ++dirty(B,C)]).

input_clause(dirty_substitution_2,axiom,
    [--equal(A,B),
     --dirty(C,A),
     ++dirty(C,B)]).

input_clause(down_substitution_1,axiom,
    [--equal(A,B),
     --down(A,C,D),
     ++down(B,C,D)]).

input_clause(down_substitution_2,axiom,
    [--equal(A,B),
     --down(C,A,D),
     ++down(C,B,D)]).

input_clause(down_substitution_3,axiom,
    [--equal(A,B),
     --down(C,D,A),
     ++down(C,D,B)]).

input_clause(entity_substitution_1,axiom,
    [--equal(A,B),
     --entity(A,C),
     ++entity(B,C)]).

input_clause(entity_substitution_2,axiom,
    [--equal(A,B),
     --entity(C,A),
     ++entity(C,B)]).

input_clause(event_substitution_1,axiom,
    [--equal(A,B),
     --event(A,C),
     ++event(B,C)]).

input_clause(event_substitution_2,axiom,
    [--equal(A,B),
     --event(C,A),
     ++event(C,B)]).

input_clause(eventuality_substitution_1,axiom,
    [--equal(A,B),
     --eventuality(A,C),
     ++eventuality(B,C)]).

input_clause(eventuality_substitution_2,axiom,
    [--equal(A,B),
     --eventuality(C,A),
     ++eventuality(C,B)]).

input_clause(existent_substitution_1,axiom,
    [--equal(A,B),
     --existent(A,C),
     ++existent(B,C)]).

input_clause(existent_substitution_2,axiom,
    [--equal(A,B),
     --existent(C,A),
     ++existent(C,B)]).

input_clause(fellow_substitution_1,axiom,
    [--equal(A,B),
     --fellow(A,C),
     ++fellow(B,C)]).

input_clause(fellow_substitution_2,axiom,
    [--equal(A,B),
     --fellow(C,A),
     ++fellow(C,B)]).

input_clause(forename_substitution_1,axiom,
    [--equal(A,B),
     --forename(A,C),
     ++forename(B,C)]).

input_clause(forename_substitution_2,axiom,
    [--equal(A,B),
     --forename(C,A),
     ++forename(C,B)]).

input_clause(frontseat_substitution_1,axiom,
    [--equal(A,B),
     --frontseat(A,C),
     ++frontseat(B,C)]).

input_clause(frontseat_substitution_2,axiom,
    [--equal(A,B),
     --frontseat(C,A),
     ++frontseat(C,B)]).

input_clause(furniture_substitution_1,axiom,
    [--equal(A,B),
     --furniture(A,C),
     ++furniture(B,C)]).

input_clause(furniture_substitution_2,axiom,
    [--equal(A,B),
     --furniture(C,A),
     ++furniture(C,B)]).

input_clause(general_substitution_1,axiom,
    [--equal(A,B),
     --general(A,C),
     ++general(B,C)]).

input_clause(general_substitution_2,axiom,
    [--equal(A,B),
     --general(C,A),
     ++general(C,B)]).

input_clause(group_substitution_1,axiom,
    [--equal(A,B),
     --group(A,C),
     ++group(B,C)]).

input_clause(group_substitution_2,axiom,
    [--equal(A,B),
     --group(C,A),
     ++group(C,B)]).

input_clause(hollywood_placename_substitution_1,axiom,
    [--equal(A,B),
     --hollywood_placename(A,C),
     ++hollywood_placename(B,C)]).

input_clause(hollywood_placename_substitution_2,axiom,
    [--equal(A,B),
     --hollywood_placename(C,A),
     ++hollywood_placename(C,B)]).

input_clause(human_substitution_1,axiom,
    [--equal(A,B),
     --human(A,C),
     ++human(B,C)]).

input_clause(human_substitution_2,axiom,
    [--equal(A,B),
     --human(C,A),
     ++human(C,B)]).

input_clause(human_person_substitution_1,axiom,
    [--equal(A,B),
     --human_person(A,C),
     ++human_person(B,C)]).

input_clause(human_person_substitution_2,axiom,
    [--equal(A,B),
     --human_person(C,A),
     ++human_person(C,B)]).

input_clause(impartial_substitution_1,axiom,
    [--equal(A,B),
     --impartial(A,C),
     ++impartial(B,C)]).

input_clause(impartial_substitution_2,axiom,
    [--equal(A,B),
     --impartial(C,A),
     ++impartial(C,B)]).

input_clause(in_substitution_1,axiom,
    [--equal(A,B),
     --in(A,C,D),
     ++in(B,C,D)]).

input_clause(in_substitution_2,axiom,
    [--equal(A,B),
     --in(C,A,D),
     ++in(C,B,D)]).

input_clause(in_substitution_3,axiom,
    [--equal(A,B),
     --in(C,D,A),
     ++in(C,D,B)]).

input_clause(instrumentality_substitution_1,axiom,
    [--equal(A,B),
     --instrumentality(A,C),
     ++instrumentality(B,C)]).

input_clause(instrumentality_substitution_2,axiom,
    [--equal(A,B),
     --instrumentality(C,A),
     ++instrumentality(C,B)]).

input_clause(jules_forename_substitution_1,axiom,
    [--equal(A,B),
     --jules_forename(A,C),
     ++jules_forename(B,C)]).

input_clause(jules_forename_substitution_2,axiom,
    [--equal(A,B),
     --jules_forename(C,A),
     ++jules_forename(C,B)]).

input_clause(living_substitution_1,axiom,
    [--equal(A,B),
     --living(A,C),
     ++living(B,C)]).

input_clause(living_substitution_2,axiom,
    [--equal(A,B),
     --living(C,A),
     ++living(C,B)]).

input_clause(location_substitution_1,axiom,
    [--equal(A,B),
     --location(A,C),
     ++location(B,C)]).

input_clause(location_substitution_2,axiom,
    [--equal(A,B),
     --location(C,A),
     ++location(C,B)]).

input_clause(lonely_substitution_1,axiom,
    [--equal(A,B),
     --lonely(A,C),
     ++lonely(B,C)]).

input_clause(lonely_substitution_2,axiom,
    [--equal(A,B),
     --lonely(C,A),
     ++lonely(C,B)]).

input_clause(male_substitution_1,axiom,
    [--equal(A,B),
     --male(A,C),
     ++male(B,C)]).

input_clause(male_substitution_2,axiom,
    [--equal(A,B),
     --male(C,A),
     ++male(C,B)]).

input_clause(man_substitution_1,axiom,
    [--equal(A,B),
     --man(A,C),
     ++man(B,C)]).

input_clause(man_substitution_2,axiom,
    [--equal(A,B),
     --man(C,A),
     ++man(C,B)]).

input_clause(member_substitution_1,axiom,
    [--equal(A,B),
     --member(A,C,D),
     ++member(B,C,D)]).

input_clause(member_substitution_2,axiom,
    [--equal(A,B),
     --member(C,A,D),
     ++member(C,B,D)]).

input_clause(member_substitution_3,axiom,
    [--equal(A,B),
     --member(C,D,A),
     ++member(C,D,B)]).

input_clause(multiple_substitution_1,axiom,
    [--equal(A,B),
     --multiple(A,C),
     ++multiple(B,C)]).

input_clause(multiple_substitution_2,axiom,
    [--equal(A,B),
     --multiple(C,A),
     ++multiple(C,B)]).

input_clause(nonexistent_substitution_1,axiom,
    [--equal(A,B),
     --nonexistent(A,C),
     ++nonexistent(B,C)]).

input_clause(nonexistent_substitution_2,axiom,
    [--equal(A,B),
     --nonexistent(C,A),
     ++nonexistent(C,B)]).

input_clause(nonhuman_substitution_1,axiom,
    [--equal(A,B),
     --nonhuman(A,C),
     ++nonhuman(B,C)]).

input_clause(nonhuman_substitution_2,axiom,
    [--equal(A,B),
     --nonhuman(C,A),
     ++nonhuman(C,B)]).

input_clause(nonliving_substitution_1,axiom,
    [--equal(A,B),
     --nonliving(A,C),
     ++nonliving(B,C)]).

input_clause(nonliving_substitution_2,axiom,
    [--equal(A,B),
     --nonliving(C,A),
     ++nonliving(C,B)]).

input_clause(nonreflexive_substitution_1,axiom,
    [--equal(A,B),
     --nonreflexive(A,C),
     ++nonreflexive(B,C)]).

input_clause(nonreflexive_substitution_2,axiom,
    [--equal(A,B),
     --nonreflexive(C,A),
     ++nonreflexive(C,B)]).

input_clause(object_substitution_1,axiom,
    [--equal(A,B),
     --object(A,C),
     ++object(B,C)]).

input_clause(object_substitution_2,axiom,
    [--equal(A,B),
     --object(C,A),
     ++object(C,B)]).

input_clause(of_substitution_1,axiom,
    [--equal(A,B),
     --of(A,C,D),
     ++of(B,C,D)]).

input_clause(of_substitution_2,axiom,
    [--equal(A,B),
     --of(C,A,D),
     ++of(C,B,D)]).

input_clause(of_substitution_3,axiom,
    [--equal(A,B),
     --of(C,D,A),
     ++of(C,D,B)]).

input_clause(old_substitution_1,axiom,
    [--equal(A,B),
     --old(A,C),
     ++old(B,C)]).

input_clause(old_substitution_2,axiom,
    [--equal(A,B),
     --old(C,A),
     ++old(C,B)]).

input_clause(organism_substitution_1,axiom,
    [--equal(A,B),
     --organism(A,C),
     ++organism(B,C)]).

input_clause(organism_substitution_2,axiom,
    [--equal(A,B),
     --organism(C,A),
     ++organism(C,B)]).

input_clause(patient_substitution_1,axiom,
    [--equal(A,B),
     --patient(A,C,D),
     ++patient(B,C,D)]).

input_clause(patient_substitution_2,axiom,
    [--equal(A,B),
     --patient(C,A,D),
     ++patient(C,B,D)]).

input_clause(patient_substitution_3,axiom,
    [--equal(A,B),
     --patient(C,D,A),
     ++patient(C,D,B)]).

input_clause(placename_substitution_1,axiom,
    [--equal(A,B),
     --placename(A,C),
     ++placename(B,C)]).

input_clause(placename_substitution_2,axiom,
    [--equal(A,B),
     --placename(C,A),
     ++placename(C,B)]).

input_clause(present_substitution_1,axiom,
    [--equal(A,B),
     --present(A,C),
     ++present(B,C)]).

input_clause(present_substitution_2,axiom,
    [--equal(A,B),
     --present(C,A),
     ++present(C,B)]).

input_clause(relation_substitution_1,axiom,
    [--equal(A,B),
     --relation(A,C),
     ++relation(B,C)]).

input_clause(relation_substitution_2,axiom,
    [--equal(A,B),
     --relation(C,A),
     ++relation(C,B)]).

input_clause(relname_substitution_1,axiom,
    [--equal(A,B),
     --relname(A,C),
     ++relname(B,C)]).

input_clause(relname_substitution_2,axiom,
    [--equal(A,B),
     --relname(C,A),
     ++relname(C,B)]).

input_clause(seat_substitution_1,axiom,
    [--equal(A,B),
     --seat(A,C),
     ++seat(B,C)]).

input_clause(seat_substitution_2,axiom,
    [--equal(A,B),
     --seat(C,A),
     ++seat(C,B)]).

input_clause(set_substitution_1,axiom,
    [--equal(A,B),
     --set(A,C),
     ++set(B,C)]).

input_clause(set_substitution_2,axiom,
    [--equal(A,B),
     --set(C,A),
     ++set(C,B)]).

input_clause(singleton_substitution_1,axiom,
    [--equal(A,B),
     --singleton(A,C),
     ++singleton(B,C)]).

input_clause(singleton_substitution_2,axiom,
    [--equal(A,B),
     --singleton(C,A),
     ++singleton(C,B)]).

input_clause(specific_substitution_1,axiom,
    [--equal(A,B),
     --specific(A,C),
     ++specific(B,C)]).

input_clause(specific_substitution_2,axiom,
    [--equal(A,B),
     --specific(C,A),
     ++specific(C,B)]).

input_clause(ssSkP0_substitution_1,axiom,
    [--equal(A,B),
     --ssSkP0(A,C),
     ++ssSkP0(B,C)]).

input_clause(ssSkP0_substitution_2,axiom,
    [--equal(A,B),
     --ssSkP0(C,A),
     ++ssSkP0(C,B)]).

input_clause(ssSkP1_substitution_1,axiom,
    [--equal(A,B),
     --ssSkP1(A,C,D),
     ++ssSkP1(B,C,D)]).

input_clause(ssSkP1_substitution_2,axiom,
    [--equal(A,B),
     --ssSkP1(C,A,D),
     ++ssSkP1(C,B,D)]).

input_clause(ssSkP1_substitution_3,axiom,
    [--equal(A,B),
     --ssSkP1(C,D,A),
     ++ssSkP1(C,D,B)]).

input_clause(ssSkP2_substitution_1,axiom,
    [--equal(A,B),
     --ssSkP2(A,C,D),
     ++ssSkP2(B,C,D)]).

input_clause(ssSkP2_substitution_2,axiom,
    [--equal(A,B),
     --ssSkP2(C,A,D),
     ++ssSkP2(C,B,D)]).

input_clause(ssSkP2_substitution_3,axiom,
    [--equal(A,B),
     --ssSkP2(C,D,A),
     ++ssSkP2(C,D,B)]).

input_clause(state_substitution_1,axiom,
    [--equal(A,B),
     --state(A,C),
     ++state(B,C)]).

input_clause(state_substitution_2,axiom,
    [--equal(A,B),
     --state(C,A),
     ++state(C,B)]).

input_clause(street_substitution_1,axiom,
    [--equal(A,B),
     --street(A,C),
     ++street(B,C)]).

input_clause(street_substitution_2,axiom,
    [--equal(A,B),
     --street(C,A),
     ++street(C,B)]).

input_clause(thing_substitution_1,axiom,
    [--equal(A,B),
     --thing(A,C),
     ++thing(B,C)]).

input_clause(thing_substitution_2,axiom,
    [--equal(A,B),
     --thing(C,A),
     ++thing(C,B)]).

input_clause(transport_substitution_1,axiom,
    [--equal(A,B),
     --transport(A,C),
     ++transport(B,C)]).

input_clause(transport_substitution_2,axiom,
    [--equal(A,B),
     --transport(C,A),
     ++transport(C,B)]).

input_clause(two_substitution_1,axiom,
    [--equal(A,B),
     --two(A,C),
     ++two(B,C)]).

input_clause(two_substitution_2,axiom,
    [--equal(A,B),
     --two(C,A),
     ++two(C,B)]).

input_clause(unisex_substitution_1,axiom,
    [--equal(A,B),
     --unisex(A,C),
     ++unisex(B,C)]).

input_clause(unisex_substitution_2,axiom,
    [--equal(A,B),
     --unisex(C,A),
     ++unisex(C,B)]).

input_clause(vehicle_substitution_1,axiom,
    [--equal(A,B),
     --vehicle(A,C),
     ++vehicle(B,C)]).

input_clause(vehicle_substitution_2,axiom,
    [--equal(A,B),
     --vehicle(C,A),
     ++vehicle(C,B)]).

input_clause(way_substitution_1,axiom,
    [--equal(A,B),
     --way(A,C),
     ++way(B,C)]).

input_clause(way_substitution_2,axiom,
    [--equal(A,B),
     --way(C,A),
     ++way(C,B)]).

input_clause(wear_substitution_1,axiom,
    [--equal(A,B),
     --wear(A,C),
     ++wear(B,C)]).

input_clause(wear_substitution_2,axiom,
    [--equal(A,B),
     --wear(C,A),
     ++wear(C,B)]).

input_clause(wheel_substitution_1,axiom,
    [--equal(A,B),
     --wheel(A,C),
     ++wheel(B,C)]).

input_clause(wheel_substitution_2,axiom,
    [--equal(A,B),
     --wheel(C,A),
     ++wheel(C,B)]).

input_clause(white_substitution_1,axiom,
    [--equal(A,B),
     --white(A,C),
     ++white(B,C)]).

input_clause(white_substitution_2,axiom,
    [--equal(A,B),
     --white(C,A),
     ++white(C,B)]).

input_clause(young_substitution_1,axiom,
    [--equal(A,B),
     --young(A,C),
     ++young(B,C)]).

input_clause(young_substitution_2,axiom,
    [--equal(A,B),
     --young(C,A),
     ++young(C,B)]).

input_clause(clause1,axiom,
    [--member(U,V,V)]).

input_clause(clause2,axiom,
    [--state(U,V),
     ++eventuality(U,V)]).

input_clause(clause3,axiom,
    [--eventuality(U,V),
     ++thing(U,V)]).

input_clause(clause4,axiom,
    [--thing(U,V),
     ++singleton(U,V)]).

input_clause(clause5,axiom,
    [--eventuality(U,V),
     ++specific(U,V)]).

input_clause(clause6,axiom,
    [--eventuality(U,V),
     ++nonexistent(U,V)]).

input_clause(clause7,axiom,
    [--eventuality(U,V),
     ++unisex(U,V)]).

input_clause(clause8,axiom,
    [--state(U,V),
     ++event(U,V)]).

input_clause(clause9,axiom,
    [--event(U,V),
     ++eventuality(U,V)]).

input_clause(clause10,axiom,
    [--wheel(U,V),
     ++device(U,V)]).

input_clause(clause11,axiom,
    [--device(U,V),
     ++instrumentality(U,V)]).

input_clause(clause12,axiom,
    [--instrumentality(U,V),
     ++artifact(U,V)]).

input_clause(clause13,axiom,
    [--artifact(U,V),
     ++object(U,V)]).

input_clause(clause14,axiom,
    [--object(U,V),
     ++entity(U,V)]).

input_clause(clause15,axiom,
    [--entity(U,V),
     ++thing(U,V)]).

input_clause(clause16,axiom,
    [--entity(U,V),
     ++specific(U,V)]).

input_clause(clause17,axiom,
    [--entity(U,V),
     ++existent(U,V)]).

input_clause(clause18,axiom,
    [--object(U,V),
     ++nonliving(U,V)]).

input_clause(clause19,axiom,
    [--object(U,V),
     ++impartial(U,V)]).

input_clause(clause20,axiom,
    [--object(U,V),
     ++unisex(U,V)]).

input_clause(clause21,axiom,
    [--coat(U,V),
     ++clothes(U,V)]).

input_clause(clause22,axiom,
    [--clothes(U,V),
     ++artifact(U,V)]).

input_clause(clause23,axiom,
    [--group(U,V),
     ++set(U,V)]).

input_clause(clause24,axiom,
    [--set(U,V),
     ++multiple(U,V)]).

input_clause(clause25,axiom,
    [--wear(U,V),
     ++event(U,V)]).

input_clause(clause26,axiom,
    [--fellow(U,V),
     ++man(U,V)]).

input_clause(clause27,axiom,
    [--man(U,V),
     ++human_person(U,V)]).

input_clause(clause28,axiom,
    [--human_person(U,V),
     ++organism(U,V)]).

input_clause(clause29,axiom,
    [--organism(U,V),
     ++entity(U,V)]).

input_clause(clause30,axiom,
    [--organism(U,V),
     ++impartial(U,V)]).

input_clause(clause31,axiom,
    [--organism(U,V),
     ++living(U,V)]).

input_clause(clause32,axiom,
    [--human_person(U,V),
     ++human(U,V)]).

input_clause(clause33,axiom,
    [--human_person(U,V),
     ++animate(U,V)]).

input_clause(clause34,axiom,
    [--man(U,V),
     ++male(U,V)]).

input_clause(clause35,axiom,
    [--two(U,V),
     ++group(U,V)]).

input_clause(clause36,axiom,
    [--barrel(U,V),
     ++event(U,V)]).

input_clause(clause37,axiom,
    [--street(U,V),
     ++way(U,V)]).

input_clause(clause38,axiom,
    [--way(U,V),
     ++artifact(U,V)]).

input_clause(clause39,axiom,
    [--chevy(U,V),
     ++car(U,V)]).

input_clause(clause40,axiom,
    [--car(U,V),
     ++vehicle(U,V)]).

input_clause(clause41,axiom,
    [--vehicle(U,V),
     ++transport(U,V)]).

input_clause(clause42,axiom,
    [--transport(U,V),
     ++instrumentality(U,V)]).

input_clause(clause43,axiom,
    [--placename(U,V),
     ++relname(U,V)]).

input_clause(clause44,axiom,
    [--relname(U,V),
     ++relation(U,V)]).

input_clause(clause45,axiom,
    [--relation(U,V),
     ++abstraction(U,V)]).

input_clause(clause46,axiom,
    [--abstraction(U,V),
     ++thing(U,V)]).

input_clause(clause47,axiom,
    [--abstraction(U,V),
     ++nonhuman(U,V)]).

input_clause(clause48,axiom,
    [--abstraction(U,V),
     ++general(U,V)]).

input_clause(clause49,axiom,
    [--abstraction(U,V),
     ++unisex(U,V)]).

input_clause(clause50,axiom,
    [--hollywood_placename(U,V),
     ++placename(U,V)]).

input_clause(clause51,axiom,
    [--city(U,V),
     ++location(U,V)]).

input_clause(clause52,axiom,
    [--location(U,V),
     ++object(U,V)]).

input_clause(clause53,axiom,
    [--frontseat(U,V),
     ++seat(U,V)]).

input_clause(clause54,axiom,
    [--seat(U,V),
     ++furniture(U,V)]).

input_clause(clause55,axiom,
    [--furniture(U,V),
     ++instrumentality(U,V)]).

input_clause(clause56,axiom,
    [--forename(U,V),
     ++relname(U,V)]).

input_clause(clause57,axiom,
    [--jules_forename(U,V),
     ++forename(U,V)]).

input_clause(clause58,axiom,
    [--old(U,V),
     --young(U,V)]).

input_clause(clause59,axiom,
    [--black(U,V),
     --white(U,V)]).

input_clause(clause60,axiom,
    [--male(U,V),
     --unisex(U,V)]).

input_clause(clause61,axiom,
    [--general(U,V),
     --specific(U,V)]).

input_clause(clause62,axiom,
    [--multiple(U,V),
     --singleton(U,V)]).

input_clause(clause63,axiom,
    [--living(U,V),
     --nonliving(U,V)]).

input_clause(clause64,axiom,
    [--human(U,V),
     --nonhuman(U,V)]).

input_clause(clause65,axiom,
    [--nonexistent(U,V),
     --existent(U,V)]).

input_clause(clause66,axiom,
    [--nonliving(U,V),
     --animate(U,V)]).

input_clause(clause67,axiom,
    [--be(U,V,W,X),
     ++equal(W,X)]).

input_clause(clause68,axiom,
    [--two(U,V),
     ++member(U,skf26(V,U),V)]).

input_clause(clause69,axiom,
    [--two(U,V),
     ++member(U,skf24(V,U),V)]).

input_clause(clause70,axiom,
    [--equal(skf26(U,V),skf24(U,V)),
     --two(V,U)]).

input_clause(clause71,axiom,
    [--nonreflexive(U,V),
     --patient(U,V,W),
     --agent(U,V,W)]).

input_clause(clause72,axiom,
    [--member(U,V,W),
     --two(U,W),
     ++equal(V,skf24(W,U)),
     ++equal(V,skf26(W,U))]).

input_clause(clause73,axiom,
    [--member(U,V,W),
     --member(U,X,W),
     ++two(U,W),
     ++member(U,skf27(V,X,W,U),W),
     ++equal(V,X)]).

input_clause(clause74,axiom,
    [--equal(skf27(U,V,W,X),V),
     --member(Y,U,Z),
     --member(Y,V,Z),
     ++two(Y,Z),
     ++equal(U,V)]).

input_clause(clause75,axiom,
    [--equal(skf27(U,V,W,X),U),
     --member(Y,U,Z),
     --member(Y,X1,Z),
     ++two(Y,Z),
     ++equal(U,X1)]).

input_clause(clause76,axiom,
    [--placename(U,V),
     --of(U,W,X),
     --placename(U,W),
     --of(U,V,X),
     --entity(U,X),
     ++equal(W,V)]).

input_clause(clause77,axiom,
    [--forename(U,V),
     --of(U,W,X),
     --forename(U,W),
     --of(U,V,X),
     --entity(U,X),
     ++equal(W,V)]).

input_clause(clause78,conjecture,
    [++actual_world(skc8)]).

input_clause(clause79,conjecture,
    [++hollywood_placename(skc8,skc14)]).

input_clause(clause80,conjecture,
    [++placename(skc8,skc14)]).

input_clause(clause81,conjecture,
    [++lonely(skc8,skc13)]).

input_clause(clause82,conjecture,
    [++street(skc8,skc13)]).

input_clause(clause83,conjecture,
    [++city(skc8,skc13)]).

input_clause(clause84,conjecture,
    [++frontseat(skc8,skc11)]).

input_clause(clause85,conjecture,
    [++ssSkP0(skc10,skc8)]).

input_clause(clause86,conjecture,
    [++group(skc8,skc10)]).

input_clause(clause87,conjecture,
    [++two(skc8,skc10)]).

input_clause(clause88,conjecture,
    [++group(skc8,skc9)]).

input_clause(clause89,conjecture,
    [++old(skc8,skc15)]).

input_clause(clause90,conjecture,
    [++dirty(skc8,skc15)]).

input_clause(clause91,conjecture,
    [++white(skc8,skc15)]).

input_clause(clause92,conjecture,
    [++chevy(skc8,skc15)]).

input_clause(clause93,conjecture,
    [++event(skc8,skc12)]).

input_clause(clause94,conjecture,
    [++present(skc8,skc12)]).

input_clause(clause95,conjecture,
    [++barrel(skc8,skc12)]).

input_clause(clause96,conjecture,
    [++agent(skc8,skc12,skc15)]).

input_clause(clause97,conjecture,
    [++of(skc8,skc14,skc13)]).

input_clause(clause98,conjecture,
    [++in(skc8,skc12,skc13)]).

input_clause(clause99,conjecture,
    [++down(skc8,skc12,skc13)]).

input_clause(clause100,conjecture,
    [++ssSkP1(skc11,skc10,skc8)]).

input_clause(clause101,conjecture,
    [++ssSkP2(skc10,skc9,skc8)]).

input_clause(clause102,conjecture,
    [--member(skc8,U,skc9),
     ++cheap(skc8,U)]).

input_clause(clause103,conjecture,
    [--member(skc8,U,skc9),
     ++black(skc8,U)]).

input_clause(clause104,conjecture,
    [--member(skc8,U,skc9),
     ++coat(skc8,U)]).

input_clause(clause105,conjecture,
    [++ssSkP0(U,V),
     ++member(V,skf12(V,U),U)]).

input_clause(clause106,conjecture,
    [++ssSkP1(U,V,W),
     ++member(W,skf17(U,W,V),V)]).

input_clause(clause107,conjecture,
    [++ssSkP2(U,V,W),
     ++member(W,skf22(U,W,X),U)]).

input_clause(clause108,conjecture,
    [++ssSkP2(U,V,W),
     ++member(W,skf20(U,W,V),V)]).

input_clause(clause109,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++fellow(U,V)]).

input_clause(clause110,conjecture,
    [--member(U,V,W),
     --ssSkP0(W,U),
     ++young(U,V)]).

input_clause(clause111,conjecture,
    [--young(U,skf12(U,V)),
     --fellow(U,skf12(U,V)),
     ++ssSkP0(W,U)]).

input_clause(clause112,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++state(U,skf14(U,Y,Z))]).

input_clause(clause113,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++in(U,skf13(V,U,X),X)]).

input_clause(clause114,conjecture,
    [--member(U,V,W),
     --ssSkP1(X,W,U),
     ++be(U,skf14(U,Y,V),V,skf13(V,U,Y))]).

input_clause(clause115,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++wear(U,skf18(U,Z,X1))]).

input_clause(clause116,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++nonreflexive(U,skf18(U,Z,X1))]).

input_clause(clause117,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++present(U,skf18(U,Z,X1))]).

input_clause(clause118,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++event(U,skf18(U,Z,X1))]).

input_clause(clause119,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++agent(U,skf18(U,V,Z),V)]).

input_clause(clause120,conjecture,
    [--in(U,V,W),
     --be(U,X,skf17(W,U,Y),V),
     --state(U,X),
     ++ssSkP1(W,Z,U)]).

input_clause(clause121,conjecture,
    [--member(U,V,W),
     --member(U,X,Y),
     --ssSkP2(W,Y,U),
     ++patient(U,skf18(U,V,X),X)]).

input_clause(clause122,conjecture,
    [--wear(U,V),
     --nonreflexive(U,V),
     --present(U,V),
     --patient(U,V,skf20(W,U,X)),
     --agent(U,V,skf22(W,U,X)),
     --event(U,V),
     ++ssSkP2(W,Y,U)]).

input_clause(clause123,conjecture,
    [--group(U,V),
     --two(U,W),
     --group(U,W),
     --ssSkP0(W,U),
     --ssSkP2(W,V,U),
     --ssSkP1(X,W,U),
     --frontseat(U,X),
     --barrel(U,Y),
     --present(U,Y),
     --event(U,Y),
     --wheel(U,Z),
     --chevy(U,Z),
     --white(U,Z),
     --dirty(U,Z),
     --old(U,Z),
     --agent(U,Y,Z),
     --behind(U,X1,Z),
     --city(U,X2),
     --street(U,X2),
     --lonely(U,X2),
     --down(U,Y,X2),
     --in(U,Y,X2),
     --placename(U,X3),
     --hollywood_placename(U,X3),
     --of(U,X3,X2),
     --jules_forename(U,X4),
     --forename(U,X4),
     --be(U,X5,X6,X1),
     --man(U,X6),
     --of(U,X4,X6),
     --state(U,X5),
     --actual_world(U),
     ++member(U,skf11(U,V),V)]).

input_clause(clause124,conjecture,
    [--cheap(U,skf11(U,V)),
     --black(U,skf11(U,V)),
     --coat(U,skf11(U,V)),
     --group(U,W),
     --two(U,X),
     --group(U,X),
     --ssSkP0(X,U),
     --ssSkP2(X,W,U),
     --ssSkP1(Y,X,U),
     --frontseat(U,Y),
     --barrel(U,Z),
     --present(U,Z),
     --event(U,Z),
     --wheel(U,X1),
     --chevy(U,X1),
     --white(U,X1),
     --dirty(U,X1),
     --old(U,X1),
     --agent(U,Z,X1),
     --behind(U,X2,X1),
     --city(U,X3),
     --street(U,X3),
     --lonely(U,X3),
     --down(U,Z,X3),
     --in(U,Z,X3),
     --placename(U,X4),
     --hollywood_placename(U,X4),
     --of(U,X4,X3),
     --jules_forename(U,X5),
     --forename(U,X5),
     --be(U,X6,X7,X2),
     --man(U,X7),
     --of(U,X5,X7),
     --state(U,X6),
     --actual_world(U)]).
%--------------------------------------------------------------------------
