%--------------------------------------------------------------------------
% File     : NLP228+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Natural Language Processing
% Problem  : Vincent believes that every man smokes, problem 9
% Version  : [Bos00b] axioms.
% English  : Eliminating non-informative interpretations in the statement
%            "Vincent believes that every man smokes. Jules is a man."

% Refs     : [Bos00a] Bos (2000), DORIS: Discourse Oriented Representation a
%            [Bos00b] Bos (2000), Applied Theorem Proving - Natural Language
% Source   : [Bos00b]
% Names    : doris205 [Bos00b]

% Status   : satisfiable
% Rating   : 0.50 v2.6.0, 0.25 v2.5.0, 0.33 v2.4.0
% Syntax   : Number of formulae    :  151 (   1 unit)
%            Number of atoms       :  461 (  85 equality)
%            Maximal formula depth :   28 (   3 average)
%            Number of connectives :  318 (   8 ~  ;   0  |; 159  &)
%                                         (   0 <=>; 151 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   37 (   0 propositional; 1-4 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  456 (   0 singleton; 440 !;  16 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(abstraction_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(A,C) )
     => abstraction(B,C) )   )).

input_formula(abstraction_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & abstraction(C,A) )
     => abstraction(C,B) )   )).

input_formula(accessible_world_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & accessible_world(A,C) )
     => accessible_world(B,C) )   )).

input_formula(accessible_world_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & accessible_world(C,A) )
     => accessible_world(C,B) )   )).

input_formula(actual_world_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & actual_world(A) )
     => actual_world(B) )   )).

input_formula(agent_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(A,C,D) )
     => agent(B,C,D) )   )).

input_formula(agent_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,A,D) )
     => agent(C,B,D) )   )).

input_formula(agent_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & agent(C,D,A) )
     => agent(C,D,B) )   )).

input_formula(animate_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(A,C) )
     => animate(B,C) )   )).

input_formula(animate_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & animate(C,A) )
     => animate(C,B) )   )).

input_formula(be_substitution_1,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(A,C,D,E) )
     => be(B,C,D,E) )   )).

input_formula(be_substitution_2,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,A,D,E) )
     => be(C,B,D,E) )   )).

input_formula(be_substitution_3,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,D,A,E) )
     => be(C,D,B,E) )   )).

input_formula(be_substitution_4,axiom,(
    ! [A,B,C,D,E] : 
      ( ( equal(A,B)
        & be(C,D,E,A) )
     => be(C,D,E,B) )   )).

input_formula(entity_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(A,C) )
     => entity(B,C) )   )).

input_formula(entity_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & entity(C,A) )
     => entity(C,B) )   )).

input_formula(event_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(A,C) )
     => event(B,C) )   )).

input_formula(event_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & event(C,A) )
     => event(C,B) )   )).

input_formula(eventuality_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(A,C) )
     => eventuality(B,C) )   )).

input_formula(eventuality_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & eventuality(C,A) )
     => eventuality(C,B) )   )).

input_formula(existent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(A,C) )
     => existent(B,C) )   )).

input_formula(existent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & existent(C,A) )
     => existent(C,B) )   )).

input_formula(forename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & forename(A,C) )
     => forename(B,C) )   )).

input_formula(forename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & forename(C,A) )
     => forename(C,B) )   )).

input_formula(general_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(A,C) )
     => general(B,C) )   )).

input_formula(general_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & general(C,A) )
     => general(C,B) )   )).

input_formula(human_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(A,C) )
     => human(B,C) )   )).

input_formula(human_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human(C,A) )
     => human(C,B) )   )).

input_formula(human_person_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(A,C) )
     => human_person(B,C) )   )).

input_formula(human_person_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & human_person(C,A) )
     => human_person(C,B) )   )).

input_formula(impartial_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(A,C) )
     => impartial(B,C) )   )).

input_formula(impartial_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & impartial(C,A) )
     => impartial(C,B) )   )).

input_formula(jules_forename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & jules_forename(A,C) )
     => jules_forename(B,C) )   )).

input_formula(jules_forename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & jules_forename(C,A) )
     => jules_forename(C,B) )   )).

input_formula(living_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(A,C) )
     => living(B,C) )   )).

input_formula(living_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & living(C,A) )
     => living(C,B) )   )).

input_formula(male_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & male(A,C) )
     => male(B,C) )   )).

input_formula(male_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & male(C,A) )
     => male(C,B) )   )).

input_formula(man_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & man(A,C) )
     => man(B,C) )   )).

input_formula(man_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & man(C,A) )
     => man(C,B) )   )).

input_formula(nonexistent_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(A,C) )
     => nonexistent(B,C) )   )).

input_formula(nonexistent_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonexistent(C,A) )
     => nonexistent(C,B) )   )).

input_formula(nonhuman_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(A,C) )
     => nonhuman(B,C) )   )).

input_formula(nonhuman_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & nonhuman(C,A) )
     => nonhuman(C,B) )   )).

input_formula(of_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(A,C,D) )
     => of(B,C,D) )   )).

input_formula(of_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,A,D) )
     => of(C,B,D) )   )).

input_formula(of_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & of(C,D,A) )
     => of(C,D,B) )   )).

input_formula(organism_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(A,C) )
     => organism(B,C) )   )).

input_formula(organism_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & organism(C,A) )
     => organism(C,B) )   )).

input_formula(present_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(A,C) )
     => present(B,C) )   )).

input_formula(present_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & present(C,A) )
     => present(C,B) )   )).

input_formula(proposition_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & proposition(A,C) )
     => proposition(B,C) )   )).

input_formula(proposition_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & proposition(C,A) )
     => proposition(C,B) )   )).

input_formula(relation_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(A,C) )
     => relation(B,C) )   )).

input_formula(relation_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relation(C,A) )
     => relation(C,B) )   )).

input_formula(relname_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(A,C) )
     => relname(B,C) )   )).

input_formula(relname_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & relname(C,A) )
     => relname(C,B) )   )).

input_formula(singleton_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(A,C) )
     => singleton(B,C) )   )).

input_formula(singleton_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & singleton(C,A) )
     => singleton(C,B) )   )).

input_formula(smoke_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & smoke(A,C) )
     => smoke(B,C) )   )).

input_formula(smoke_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & smoke(C,A) )
     => smoke(C,B) )   )).

input_formula(specific_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(A,C) )
     => specific(B,C) )   )).

input_formula(specific_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & specific(C,A) )
     => specific(C,B) )   )).

input_formula(state_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & state(A,C) )
     => state(B,C) )   )).

input_formula(state_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & state(C,A) )
     => state(C,B) )   )).

input_formula(theme_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & theme(A,C,D) )
     => theme(B,C,D) )   )).

input_formula(theme_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & theme(C,A,D) )
     => theme(C,B,D) )   )).

input_formula(theme_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( ( equal(A,B)
        & theme(C,D,A) )
     => theme(C,D,B) )   )).

input_formula(thing_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(A,C) )
     => thing(B,C) )   )).

input_formula(thing_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & thing(C,A) )
     => thing(C,B) )   )).

input_formula(think_believe_consider_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & think_believe_consider(A,C) )
     => think_believe_consider(B,C) )   )).

input_formula(think_believe_consider_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & think_believe_consider(C,A) )
     => think_believe_consider(C,B) )   )).

input_formula(unisex_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(A,C) )
     => unisex(B,C) )   )).

input_formula(unisex_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & unisex(C,A) )
     => unisex(C,B) )   )).

input_formula(vincent_forename_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & vincent_forename(A,C) )
     => vincent_forename(B,C) )   )).

input_formula(vincent_forename_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & vincent_forename(C,A) )
     => vincent_forename(C,B) )   )).

input_formula(ax1,axiom,(
    ! [U,V] : 
      ( vincent_forename(U,V)
     => forename(U,V) )   )).

input_formula(ax2,axiom,(
    ! [U,V] : 
      ( proposition(U,V)
     => relation(U,V) )   )).

input_formula(ax3,axiom,(
    ! [U,V] : 
      ( smoke(U,V)
     => event(U,V) )   )).

input_formula(ax4,axiom,(
    ! [U,V] : 
      ( jules_forename(U,V)
     => forename(U,V) )   )).

input_formula(ax5,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => unisex(U,V) )   )).

input_formula(ax6,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => general(U,V) )   )).

input_formula(ax7,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => nonhuman(U,V) )   )).

input_formula(ax8,axiom,(
    ! [U,V] : 
      ( abstraction(U,V)
     => thing(U,V) )   )).

input_formula(ax9,axiom,(
    ! [U,V] : 
      ( relation(U,V)
     => abstraction(U,V) )   )).

input_formula(ax10,axiom,(
    ! [U,V] : 
      ( relname(U,V)
     => relation(U,V) )   )).

input_formula(ax11,axiom,(
    ! [U,V] : 
      ( forename(U,V)
     => relname(U,V) )   )).

input_formula(ax12,axiom,(
    ! [U,V] : 
      ( man(U,V)
     => male(U,V) )   )).

input_formula(ax13,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => animate(U,V) )   )).

input_formula(ax14,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => human(U,V) )   )).

input_formula(ax15,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => living(U,V) )   )).

input_formula(ax16,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => impartial(U,V) )   )).

input_formula(ax17,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => existent(U,V) )   )).

input_formula(ax18,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => specific(U,V) )   )).

input_formula(ax19,axiom,(
    ! [U,V] : 
      ( entity(U,V)
     => thing(U,V) )   )).

input_formula(ax20,axiom,(
    ! [U,V] : 
      ( organism(U,V)
     => entity(U,V) )   )).

input_formula(ax21,axiom,(
    ! [U,V] : 
      ( human_person(U,V)
     => organism(U,V) )   )).

input_formula(ax22,axiom,(
    ! [U,V] : 
      ( man(U,V)
     => human_person(U,V) )   )).

input_formula(ax23,axiom,(
    ! [U,V] : 
      ( event(U,V)
     => eventuality(U,V) )   )).

input_formula(ax24,axiom,(
    ! [U,V] : 
      ( state(U,V)
     => event(U,V) )   )).

input_formula(ax25,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => unisex(U,V) )   )).

input_formula(ax26,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => nonexistent(U,V) )   )).

input_formula(ax27,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => specific(U,V) )   )).

input_formula(ax28,axiom,(
    ! [U,V] : 
      ( thing(U,V)
     => singleton(U,V) )   )).

input_formula(ax29,axiom,(
    ! [U,V] : 
      ( eventuality(U,V)
     => thing(U,V) )   )).

input_formula(ax30,axiom,(
    ! [U,V] : 
      ( state(U,V)
     => eventuality(U,V) )   )).

input_formula(ax31,axiom,(
    ! [U,V] : 
      ( existent(U,V)
     => ~ nonexistent(U,V) )   )).

input_formula(ax32,axiom,(
    ! [U,V] : 
      ( nonhuman(U,V)
     => ~ human(U,V) )   )).

input_formula(ax33,axiom,(
    ! [U,V] : 
      ( specific(U,V)
     => ~ general(U,V) )   )).

input_formula(ax34,axiom,(
    ! [U,V] : 
      ( unisex(U,V)
     => ~ male(U,V) )   )).

input_formula(ax35,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & vincent_forename(V,U) )
     => vincent_forename(W,U) )   )).

input_formula(ax36,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & proposition(V,U) )
     => proposition(W,U) )   )).

input_formula(ax37,axiom,(
    ! [U,V,W,X] : 
      ( ( accessible_world(W,X)
        & theme(W,U,V) )
     => theme(X,U,V) )   )).

input_formula(ax38,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & think_believe_consider(V,U) )
     => think_believe_consider(W,U) )   )).

input_formula(ax39,axiom,(
    ! [U,V,W,X] : 
      ( ( accessible_world(W,X)
        & agent(W,U,V) )
     => agent(X,U,V) )   )).

input_formula(ax40,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & present(V,U) )
     => present(W,U) )   )).

input_formula(ax41,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & smoke(V,U) )
     => smoke(W,U) )   )).

input_formula(ax42,axiom,(
    ! [U,V,W,X] : 
      ( ( accessible_world(W,X)
        & of(W,U,V) )
     => of(X,U,V) )   )).

input_formula(ax43,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & jules_forename(V,U) )
     => jules_forename(W,U) )   )).

input_formula(ax44,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & general(V,U) )
     => general(W,U) )   )).

input_formula(ax45,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & nonhuman(V,U) )
     => nonhuman(W,U) )   )).

input_formula(ax46,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & abstraction(V,U) )
     => abstraction(W,U) )   )).

input_formula(ax47,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & relation(V,U) )
     => relation(W,U) )   )).

input_formula(ax48,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & relname(V,U) )
     => relname(W,U) )   )).

input_formula(ax49,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & forename(V,U) )
     => forename(W,U) )   )).

input_formula(ax50,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & male(V,U) )
     => male(W,U) )   )).

input_formula(ax51,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & animate(V,U) )
     => animate(W,U) )   )).

input_formula(ax52,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & human(V,U) )
     => human(W,U) )   )).

input_formula(ax53,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & living(V,U) )
     => living(W,U) )   )).

input_formula(ax54,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & impartial(V,U) )
     => impartial(W,U) )   )).

input_formula(ax55,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & existent(V,U) )
     => existent(W,U) )   )).

input_formula(ax56,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & entity(V,U) )
     => entity(W,U) )   )).

input_formula(ax57,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & organism(V,U) )
     => organism(W,U) )   )).

input_formula(ax58,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & human_person(V,U) )
     => human_person(W,U) )   )).

input_formula(ax59,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & man(V,U) )
     => man(W,U) )   )).

input_formula(ax60,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & event(V,U) )
     => event(W,U) )   )).

input_formula(ax61,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & unisex(V,U) )
     => unisex(W,U) )   )).

input_formula(ax62,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & nonexistent(V,U) )
     => nonexistent(W,U) )   )).

input_formula(ax63,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & specific(V,U) )
     => specific(W,U) )   )).

input_formula(ax64,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & singleton(V,U) )
     => singleton(W,U) )   )).

input_formula(ax65,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & thing(V,U) )
     => thing(W,U) )   )).

input_formula(ax66,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & eventuality(V,U) )
     => eventuality(W,U) )   )).

input_formula(ax67,axiom,(
    ! [U,V,W] : 
      ( ( accessible_world(V,W)
        & state(V,U) )
     => state(W,U) )   )).

input_formula(ax68,axiom,(
    ! [U,V,W,X,Y] : 
      ( ( accessible_world(X,Y)
        & be(X,U,V,W) )
     => be(Y,U,V,W) )   )).

input_formula(ax69,axiom,(
    ! [U,V,W,X,Y,Z] : 
      ( ( ( think_believe_consider(U,V)
          & proposition(U,Y)
          & theme(U,V,Y)
          & agent(U,V,X) )
        & think_believe_consider(U,W)
        & proposition(U,Z)
        & theme(U,W,Z)
        & agent(U,W,X) )
     => equal(Y,Z) )   )).

input_formula(ax70,axiom,(
    ! [U,V,W] : 
      ( ( entity(U,V)
        & forename(U,W)
        & of(U,W,V) )
     => ~ ( ? [X] : 
              ( forename(U,X)
              & ~ equal(X,W)
              & of(U,X,V) ) ) )   )).

input_formula(ax71,axiom,(
    ! [U,V,W,X] : 
      ( be(U,V,W,X)
     => equal(W,X) )   )).

input_formula(co1,conjecture,(
    ~ ( ? [U] : 
          ( actual_world(U)
          & ? [V,W,X,Y] : 
              ( of(U,W,V)
              & man(U,V)
              & vincent_forename(U,W)
              & forename(U,W)
              & proposition(U,Y)
              & agent(U,X,V)
              & theme(U,X,Y)
              & event(U,X)
              & present(U,X)
              & think_believe_consider(U,X)
              & accessible_world(U,Y)
              & ! [Z] : 
                  ( man(Y,Z)
                 => ? [X1] : 
                      ( event(Y,X1)
                      & agent(Y,X1,Z)
                      & present(Y,X1)
                      & smoke(Y,X1) ) ) ) )
      & ~ ( ? [X2] : 
              ( actual_world(X2)
              & ? [X3,V,W,X,Y,X4,X5] : 
                  ( of(X2,X3,V)
                  & jules_forename(X2,X3)
                  & forename(X2,X3)
                  & of(X2,W,V)
                  & man(X2,V)
                  & vincent_forename(X2,W)
                  & forename(X2,W)
                  & proposition(X2,Y)
                  & agent(X2,X,V)
                  & theme(X2,X,Y)
                  & event(X2,X)
                  & present(X2,X)
                  & think_believe_consider(X2,X)
                  & ( accessible_world(X2,Y)
                    & ! [Z] : 
                        ( man(Y,Z)
                       => ? [X1] : 
                            ( event(Y,X1)
                            & agent(Y,X1,Z)
                            & present(Y,X1)
                            & smoke(Y,X1) ) ) )
                  & man(X2,X4)
                  & state(X2,X5)
                  & be(X2,X5,V,X4) ) ) ) )   )).
%--------------------------------------------------------------------------
