%--------------------------------------------------------------------------
% File     : NUM018-1 : TPTP v2.6.0. Bugfixed v1.2.1.
% Domain   : Number Theory
% Problem  : There is an infinite number of twin prime numbers
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 245 [BL+86]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  406 (  59 non-Horn;  13 unit; 258 RR)
%            Number of literals   : 1047 ( 409 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   20 (   0 propositional; 1-5 arity)
%            Number of functors   :   91 (  12 constant; 0-5 arity)
%            Number of variables  : 1092 (  32 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Bugfix in NUM003-0.ax.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%----Include the equality axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.eq').
%----Include the axioms for number theory from Godel's set axioms 
include('Axioms/NUM003-0.ax').
%----Include the equality axioms for number theory from Godel's set 
%----axioms 
include('Axioms/NUM003-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_infinite_number_of_twin_primes,conjecture,
    [++finite(twin_prime_numbers)]).
%--------------------------------------------------------------------------
