%--------------------------------------------------------------------------
% File     : RNG004-2 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : X*Y = -X*-Y
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [McCharen, 1976]
% Names    : R2 [MOW76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.2.1, 0.44 v2.2.0, 0.43 v2.1.0, 0.50 v2.0.0
% Syntax   : Number of clauses    :   36 (   0 non-Horn;  10 unit;  25 RR)
%            Number of literals   :   93 (  27 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :  123 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include ring theory equality axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(cancellation1,axiom,
    [--sum(X,Y,Z),
     --sum(X,W,Z),
     ++equal(Y,W)]).

input_clause(cancellation2,axiom,
    [--sum(X,Y,Z),
     --sum(W,Y,Z),
     ++equal(X,W)]).

input_clause(a_times_b,hypothesis,
    [++product(a,b,c)]).

input_clause(a_inverse_times_b_inverse,hypothesis,
    [++product(additive_inverse(a),additive_inverse(b),d)]).

input_clause(prove_c_equals_d,conjecture,
    [--equal(c,d)]).
%--------------------------------------------------------------------------
