%--------------------------------------------------------------------------
% File     : ROB017-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(2f + h) = -(3f + h) = -h then 2f + h = 3f + h
% Version  : [Win90] (equality) axioms.
% English  : That is, 2f+h absorbs f.

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Lemma 3.8 [Win90]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   7 unit;   7 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   23 (   0 singleton)
%            Maximal term depth   :    7 (   2 average)

% Comments : This is formulated without the numbers, by adding.
%          : The extra lemma is required for the proof.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(condition1,hypothesis,
    [++equal(negate(add(f,add(f,h))),negate(h))]).

input_clause(condition2,hypothesis,
    [++equal(negate(add(f,add(f,add(f,h)))),negate(h))]).

%----This is the necessary lemma 
input_clause(lemma_3_7,axiom,
    [--equal(negate(add(X,negate(Y))),negate(Y)),
     ++equal(negate(add(Y,add(X,negate(add(X,negate(Y)))))),
negate(Y))]).

input_clause(prove_result,conjecture,
    [--equal(add(f,add(f,add(f,h))),add(f,add(f,h)))]).
%--------------------------------------------------------------------------
