%--------------------------------------------------------------------------
% File     : SET096-6 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : There are at most two subsets of a singleton set
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : SS13 [Qua92]

% Status   : unsatisfiable
% Rating   : 0.42 v2.6.0, 0.33 v2.5.0, 0.45 v2.4.0, 0.25 v2.2.1, 0.17 v2.2.0, 0.33 v2.1.0
% Syntax   : Number of clauses    :  162 (   8 non-Horn;  33 unit;  97 RR)
%            Number of literals   :  335 ( 162 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   40 (  10 constant; 0-3 arity)
%            Number of variables  :  378 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_two_subsets_of_singleton_1,conjecture,
    [++subclass(x,singleton(y))]).

input_clause(prove_two_subsets_of_singleton_2,conjecture,
    [--equal(x,null_class)]).

input_clause(prove_two_subsets_of_singleton_3,conjecture,
    [--equal(singleton(y),x)]).
%--------------------------------------------------------------------------
