%--------------------------------------------------------------------------
% File     : SET185+3 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : If X is a subset of  Y, then the union of X and Y is Y
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (35) [TS89] 

% Status   : theorem
% Rating   : 0.00 v2.2.1
% Syntax   : Number of formulae    :    7 (   2 unit)
%            Number of atoms       :   16 (   4 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    9 (   0 ~  ;   1  |;   1  &)
%                                         (   5 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 2-2 arity)
%            Number of variables   :   16 (   0 singleton;  16 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(2),1833042)
input_formula(union_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,union(B,C))
    <=> ( member(D,B)
        | member(D,C) ) )   )).

%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).

%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).

%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).

%---- line(hidden - axiom43,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).

%---- line(boole - th(35),1833266)
input_formula(prove_subset_union,conjecture,(
    ! [B,C] : 
      ( subset(B,C)
     => equal(union(B,C),C) )   )).
%--------------------------------------------------------------------------
