%--------------------------------------------------------------------------
% File     : SET442-6 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Restriction of function
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : FU4 [Qua92]
%          : FU10 [Quaife]

% Status   : unsatisfiable
% Rating   : 0.67 v2.5.0, 0.73 v2.4.0, 0.75 v2.3.0, 1.00 v2.1.0
% Syntax   : Number of clauses    :  189 (   8 non-Horn;  40 unit; 120 RR)
%            Number of literals   :  388 ( 182 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   47 (  13 constant; 0-3 arity)
%            Number of variables  :  436 (  32 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Theorem FU10 in [Quaife].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. With a few exceptions (the
%            problems that correspond to [BL+86] problems), the TPTP has
%            retained the order in which Quaife presents the problems. The
%            user may create an augmented version of this problem by adding
%            all previously proved theorems (the ones that correspond to
%            [BL+86] are easily identified and positioned using Quaife's
%            naming scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_restrict_a_function_1,conjecture,
    [++function(xf)]).

input_clause(prove_restrict_a_function_2,conjecture,
    [--equal(restrict(xf,universal_class,universal_class),xf)]).
%--------------------------------------------------------------------------
