%--------------------------------------------------------------------------
% File     : SET562-6 : TPTP v2.6.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Compatible function property 2
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [Bel97] Belinfante (1997), On Quaife's Development of Class Th
% Source   : [Quaife]
% Names    : CF5 [Qua92]

% Status   : unsatisfiable
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  191 (   8 non-Horn;  42 unit; 122 RR)
%            Number of literals   :  390 ( 181 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   11 (   0 propositional; 1-3 arity)
%            Number of functors   :   51 (  17 constant; 0-3 arity)
%            Number of variables  :  436 (  32 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. With a few exceptions (the
%            problems that correspond to [BL+86] problems), the TPTP has
%            retained the order in which Quaife presents the problems. The
%            user may create an augmented version of this problem by adding
%            all previously proved theorems (the ones that correspond to
%            [BL+86] are easily identified and positioned using Quaife's
%            naming scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Added prove_compatible_function_property2_0 [Bel97].
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%--------------------------------------------------------------------------
input_clause(prove_compatible_function_property2_0,conjecture,
    [++operation(xf2)]).

input_clause(prove_compatible_function_property2_1,conjecture,
    [++compatible(xh,xf1,xf2)]).

input_clause(prove_compatible_function_property2_2,conjecture,
    [++member(ordered_pair(x,y),cross_product(domain_of(xh),
domain_of(xh)))]).

input_clause(prove_compatible_function_property2_3,conjecture,
    [--member(ordered_pair(apply(xh,x),apply(xh,y)),domain_of(xf2))]).
%--------------------------------------------------------------------------
