%--------------------------------------------------------------------------
% File     : SET612+3 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X \ (Y U Z) = (X \ Y) ^ (X \ Z)
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The difference of X and (the union of Y and Z) is the 
%            intersection of (the difference of X and Y) and (the difference 
%            of X and Z).

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (85) [TS89] 

% Status   : theorem
% Rating   : 1.00 v2.6.0, 0.86 v2.5.0, 0.75 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :   13 (   5 unit)
%            Number of atoms       :   28 (   5 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   16 (   1 ~  ;   1  |;   4  &)
%                                         (   7 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   0 constant; 2-2 arity)
%            Number of variables   :   33 (   0 singleton;  33 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(2),1833042)
input_formula(union_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,union(B,C))
    <=> ( member(D,B)
        | member(D,C) ) )   )).

%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).

%---- line(boole - df(4),1833078)
input_formula(difference_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,difference(B,C))
    <=> ( member(D,B)
        & ~ member(D,C) ) )   )).

%---- line(boole - th(31),1833190)
input_formula(subset_of_union,axiom,(
    ! [B,C] : subset(B,union(B,C))   )).

%---- line(boole - th(39),1833302)
input_formula(intersection_of_subsets,axiom,(
    ! [B,C,D] : 
      ( ( subset(B,C)
        & subset(B,D) )
     => subset(B,intersection(C,D)) )   )).

%---- line(boole - th(47),1833437)
input_formula(subset_difference,axiom,(
    ! [B,C,D] : 
      ( subset(B,C)
     => subset(difference(D,C),difference(D,B)) )   )).

%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).

%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).

%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).

%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).

%---- line(hidden - axiom154,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).

%---- line(boole - th(85),1834078)
input_formula(prove_th85,conjecture,(
    ! [B,C,D] : equal(difference(B,union(C,D)),
intersection(difference(B,C),difference(B,D)))   )).
%--------------------------------------------------------------------------
