%--------------------------------------------------------------------------
% File     : SET617+3 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X sym\ the empty set = X and the empty set sym\ X = X
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The symmetric difference of X and the empty set is X and the 
%            symmetric difference of the empty set and X is X.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (92) [TS89] 

% Status   : theorem
% Rating   : 0.17 v2.6.0, 0.14 v2.5.0, 0.12 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :   13 (   8 unit)
%            Number of atoms       :   21 (  10 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   10 (   2 ~  ;   0  |;   2  &)
%                                         (   5 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   1 constant; 0-2 arity)
%            Number of variables   :   22 (   0 singleton;  22 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(7),1833089)
input_formula(symmetric_difference_defn,axiom,(
    ! [B,C] : equal(symmetric_difference(B,C),union(difference(B,C),
difference(C,B)))   )).

%---- line(boole - th(60),1833665)
input_formula(union_empty_set,axiom,(
    ! [B] : equal(union(B,empty_set),B)   )).

%---- line(boole - th(74),1833858)
input_formula(no_difference_with_empty_set1,axiom,(
    ! [B] : equal(difference(B,empty_set),B)   )).

%---- line(boole - th(75),1833864)
input_formula(no_difference_with_empty_set2,axiom,(
    ! [B] : equal(difference(empty_set,B),empty_set)   )).

%---- line(hidden - axiom167,1832636)
input_formula(empty_set_defn,axiom,(
    ! [B] : ~ member(B,empty_set)   )).

%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).

%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).

%---- property(commutativity,op(symmetric_difference,2,function))
input_formula(commutativity_of_symmetric_difference,axiom,(
    ! [B,C] : equal(symmetric_difference(B,C),symmetric_difference(C,B))   )).

%---- line(hidden - axiom168,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).

%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).

%---- line(hidden - axiom170,1832628)
input_formula(empty_defn,axiom,(
    ! [B] : 
      ( empty(B)
    <=> ! [C] : ~ member(C,B) )   )).

%---- line(boole - th(92),1834208)
input_formula(prove_th92,conjecture,(
    ! [B] : 
      ( equal(symmetric_difference(B,empty_set),B)
      & equal(symmetric_difference(empty_set,B),B) )   )).
%--------------------------------------------------------------------------
