%--------------------------------------------------------------------------
% File     : SET620+3 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X sym\ Y = (X U Y) \ X ^ Y
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The symmetric difference of X and Y is the difference of (the 
%            union of X and Y) and the intersection of X and Y.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (96) [TS89] 

% Status   : theorem
% Rating   : 0.00 v2.2.1
% Syntax   : Number of formulae    :   14 (   8 unit)
%            Number of atoms       :   26 (   9 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   13 (   1 ~  ;   1  |;   3  &)
%                                         (   7 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   33 (   0 singleton;  33 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(7),1833089)
input_formula(symmetric_difference_defn,axiom,(
    ! [B,C] : equal(symmetric_difference(B,C),union(difference(B,C),
difference(C,B)))   )).

%---- line(boole - th(77),1833883)
input_formula(difference_into_intersection,axiom,(
    ! [B,C] : equal(difference(B,intersection(B,C)),difference(B,C))   )).

%---- line(boole - th(89),1834187)
input_formula(difference_distributes_over_union,axiom,(
    ! [B,C,D] : equal(difference(union(B,C),D),union(difference(B,D),
difference(C,D)))   )).

%---- line(boole - df(2),1833042)
input_formula(union_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,union(B,C))
    <=> ( member(D,B)
        | member(D,C) ) )   )).

%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).

%---- line(boole - df(4),1833078)
input_formula(difference_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,difference(B,C))
    <=> ( member(D,B)
        & ~ member(D,C) ) )   )).

%---- line(boole - df(8),1833103)
input_formula(equal_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ( subset(B,C)
        & subset(C,B) ) )   )).

%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).

%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).

%---- property(commutativity,op(symmetric_difference,2,function))
input_formula(commutativity_of_symmetric_difference,axiom,(
    ! [B,C] : equal(symmetric_difference(B,C),symmetric_difference(C,B))   )).

%---- line(hidden - axiom177,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).

%---- line(tarski - df(3),1832749)
input_formula(subset_defn,axiom,(
    ! [B,C] : 
      ( subset(B,C)
    <=> ! [D] : 
          ( member(D,B)
         => member(D,C) ) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(reflexivity_of_subset,axiom,(
    ! [B] : subset(B,B)   )).

%---- line(boole - th(96),1834227)
input_formula(prove_th96,conjecture,(
    ! [B,C] : equal(symmetric_difference(B,C),
difference(union(B,C),intersection(B,C)))   )).
%--------------------------------------------------------------------------
