%--------------------------------------------------------------------------
% File     : SET630+3 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory (Boolean properties)
% Problem  : X ^ Y is disjoint from X sym\ Y
% Version  : [Try89] axioms : Reduced > Incomplete.
% English  : The intersection of X and Y is disjoint from the symmetric 
%            difference of X and Y.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Try89] Trybulec (1989), Tarski Grothendieck Set Theory
%          : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
% Source   : [ILF]
% Names    : BOOLE (112) [TS89] 

% Status   : theorem
% Rating   : 0.33 v2.6.0, 0.43 v2.5.0, 0.38 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :   12 (   6 unit)
%            Number of atoms       :   22 (   5 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   11 (   1 ~  ;   1  |;   2  &)
%                                         (   6 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   28 (   0 singleton;  27 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%---- line(boole - df(7),1833089)
input_formula(symmetric_difference_defn,axiom,(
    ! [B,C] : equal(symmetric_difference(B,C),union(difference(B,C),
difference(C,B)))   )).

%---- line(boole - th(100),1834297)
input_formula(intersect_with_union,axiom,(
    ! [B,C,D] : 
      ( intersect(B,union(C,D))
    <=> ( intersect(B,C)
        | intersect(B,D) ) )   )).

%---- line(boole - th(111),1834358)
input_formula(intersection_and_union_disjoint,axiom,(
    ! [B,C] : disjoint(intersection(B,C),difference(B,C))   )).

%---- line(boole - df(3),1833060)
input_formula(intersection_defn,axiom,(
    ! [B,C,D] : 
      ( member(D,intersection(B,C))
    <=> ( member(D,B)
        & member(D,C) ) )   )).

%---- line(boole - df(5),1833080)
input_formula(intersect_defn,axiom,(
    ! [B,C] : 
      ( intersect(B,C)
    <=> ? [D] : 
          ( member(D,B)
          & member(D,C) ) )   )).

%---- line(boole - axiom202,1833083)
input_formula(disjoint_defn,axiom,(
    ! [B,C] : 
      ( disjoint(B,C)
    <=> ~ intersect(B,C) )   )).

%---- property(commutativity,op(union,2,function))
input_formula(commutativity_of_union,axiom,(
    ! [B,C] : equal(union(B,C),union(C,B))   )).

%---- property(commutativity,op(intersection,2,function))
input_formula(commutativity_of_intersection,axiom,(
    ! [B,C] : equal(intersection(B,C),intersection(C,B))   )).

%---- property(commutativity,op(symmetric_difference,2,function))
input_formula(commutativity_of_symmetric_difference,axiom,(
    ! [B,C] : equal(symmetric_difference(B,C),symmetric_difference(C,B))   )).

%---- property(symmetry,op(intersect,2,predicate))
input_formula(symmetry_of_intersect,axiom,(
    ! [B,C] : 
      ( intersect(B,C)
     => intersect(C,B) )   )).

%---- line(hidden - axiom203,1832615)
input_formula(equal_member_defn,axiom,(
    ! [B,C] : 
      ( equal(B,C)
    <=> ! [D] : 
          ( member(D,B)
        <=> member(D,C) ) )   )).

%---- line(boole - th(112),1834367)
input_formula(prove_intersection_and_symmetric_difference_disjoint,conjecture,(
    ! [B,C] : disjoint(intersection(B,C),symmetric_difference(B,C))   )).
%--------------------------------------------------------------------------
