%--------------------------------------------------------------------------
% File     : SET675+3 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : R o R^-1(Y) is the range of R & R^-1(R o X) is the domain of R
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : A relation R from X to Y composed with the inverse of R applied 
%            to Y is the range of R; and the inverse of R applied to R 
%            composed with X is the domain of R.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (39) [Wor89]

% Status   : theorem
% Rating   : 0.17 v2.6.0, 0.14 v2.5.0, 0.12 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of formulae    :   36 (   2 unit)
%            Number of atoms       :  135 (  12 equality)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  103 (   4 ~  ;   0  |;  11  &)
%                                         (   8 <=>;  80 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   16 (   2 constant; 0-4 arity)
%            Number of variables   :   84 (   0 singleton;  78 !;   6 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(relat_1 - th(146),1920038)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => equal(image(B,domain_of(B)),range_of(B)) )   )).

%---- line(relat_1 - th(169),1920434)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => equal(inverse2(B,range_of(B)),domain_of(B)) )   )).

%---- line(relset_1 - th(38),1916809)
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ( equal(image4(B,C,D,B),range(B,C,D))
                & equal(inverse4(B,C,D,C),domain(B,C,D)) ) ) ) )   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p5,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- line(boole - df(8),1909359)
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( equal(B,C)
          <=> ( subset(B,C)
              & subset(C,B) ) ) ) )   )).

%---- declaration(op(inverse2,2,function))
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(inverse2(B,C),set_type) ) )   )).

%---- declaration(op(domain_of,1,function))
input_formula(p8,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(domain_of(B),set_type) )   )).

%---- declaration(op(cross_product,2,function))
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- declaration(op(range_of,1,function))
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(range_of(B),set_type) )   )).

%---- declaration(op(image,2,function))
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(image(B,C),set_type) ) )   )).

%---- line(relat_1 - axiom475,1917641)
input_formula(p12,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ilf_type(B,binary_relation_type)
      <=> ( relation_like(B)
          & ilf_type(B,set_type) ) ) )   )).

%---- type_nonempty(line(relat_1 - axiom475,1917641))
input_formula(p13,axiom,(
    ? [B] : ilf_type(B,binary_relation_type)   )).

%---- line(hidden - axiom476,1832648)
input_formula(p14,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom476,1832648))
input_formula(p15,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- line(tarski - df(3),1832749)
input_formula(p16,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( subset(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(p17,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => subset(B,B) )   )).

%---- line(hidden - axiom477,1832644)
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom477,1832644))
input_formula(p19,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(hidden - axiom478,1832640)
input_formula(p20,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom478,1832640))
input_formula(p21,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p22,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom481,relation_like)
input_formula(p23,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- declaration(op(ordered_pair,2,function))
input_formula(p24,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- line(hidden - axiom482,1832628)
input_formula(p25,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- conditional_cluster(axiom483,empty)
input_formula(p26,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- line(relset_1 - axiom487,1916330)
input_formula(p27,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => equal(domain(B,C,D),domain_of(D)) ) ) )   )).

%---- declaration(line(relset_1 - axiom487,1916330))
input_formula(p28,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ilf_type(domain(B,C,D),subset_type(B)) ) ) )   )).

%---- line(relset_1 - axiom488,1916334)
input_formula(p29,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => equal(range(B,C,D),range_of(D)) ) ) )   )).

%---- declaration(line(relset_1 - axiom488,1916334))
input_formula(p30,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ilf_type(range(B,C,D),subset_type(C)) ) ) )   )).

%---- line(relset_1 - axiom493,1916764)
input_formula(p31,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => equal(image4(B,C,D,E),image(D,E)) ) ) ) )   )).

%---- declaration(line(relset_1 - axiom493,1916764))
input_formula(p32,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ilf_type(image4(B,C,D,E),subset_type(C)) ) ) ) )   )).

%---- line(relset_1 - axiom494,1916768)
input_formula(p33,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => equal(inverse4(B,C,D,E),inverse2(D,E)) ) ) ) )   )).

%---- declaration(line(relset_1 - axiom494,1916768))
input_formula(p34,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ilf_type(inverse4(B,C,D,E),subset_type(B)) ) ) ) )   )).

%---- declaration(set)
input_formula(p35,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(39),1916819)
input_formula(prove_relset_1_39,conjecture,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(C,B))
             => ( equal(image4(C,B,D,inverse4(C,B,D,B)),range(C,B,D))
                & equal(inverse4(C,B,D,image4(C,B,D,C)),domain(C,B,D)) ) ) ) )   )).
%--------------------------------------------------------------------------
