%--------------------------------------------------------------------------
% File     : SET719+4 : TPTP v2.6.0. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : Inverse of composition 
% Version  : [Pas99] axioms.
% English  : The inverse of the composition of mappings is equal to the 
%            composition of the inverse mappings.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  355 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  243 (   2 ~  ;   2  |; 106  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  510 (   0 singleton; 501 !;   9 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII10,conjecture,(
    ! [F,G,A,B,C] :
      ( ( maps(F,A,B)
        & maps(G,B,C)
        & one_to_one(F,A,B)
        & one_to_one(G,B,C) )
     => equal_maps(inverse_function(compose_function(G,F,A,B,C),A,C),
compose_function(inverse_function(F,A,B),
inverse_function(G,B,C),C,B,A),C,A) )   )).
%--------------------------------------------------------------------------
