%--------------------------------------------------------------------------
% File     : SET725+4 : TPTP v2.6.0. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : If GoF and FoH are identities, then F is one-to-one
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  356 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  244 (   2 ~  ;   2  |; 107  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  510 (   0 singleton; 501 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII16,conjecture,(
    ! [F,G,H,A,B] : 
      ( ( maps(F,A,B)
        & maps(G,B,A)
        & maps(H,B,A)
        & identity(compose_function(G,F,A,B,A),A)
        & identity(compose_function(F,H,B,A,B),B) )
     => one_to_one(F,A,B) )   )).
%--------------------------------------------------------------------------
