%--------------------------------------------------------------------------
% File     : SET730+4 : TPTP v2.6.0. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : Property of restriction 1
% Version  : [Pas99] axioms.
% English  : If F is a mapping from A to B,and G equal to F on A and 
%            C =image2(F,A), then G is a mapping from A to C.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  358 ( 125 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  246 (   2 ~  ;   2  |; 107  &)
%                                         (  31 <=>; 104 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  512 (   0 singleton; 503 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII21,conjecture,(
    ! [F,G,A,B,C] : 
      ( ( maps(F,A,B)
        & subset(C,B)
        & equal(image2(F,A),C)
        & ! [X,Y] : 
            ( ( member(X,A)
              & member(Y,C) )
           => ( apply(G,X,Y)
            <=> apply(F,X,Y) ) ) )
     => maps(G,A,C) )   )).
%--------------------------------------------------------------------------
