%--------------------------------------------------------------------------
% File     : SET748+4 : TPTP v2.6.0. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : If F is decreasing and G increasing, then GoF is decreasing
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  355 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  243 (   2 ~  ;   2  |; 106  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  513 (   0 singleton; 504 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII39,conjecture,(
    ! [F,G,A,B,C,R,S,T] : 
      ( ( maps(F,A,B)
        & maps(G,B,C)
        & decreasing(F,A,R,B,S)
        & increasing(G,B,S,C,T) )
     => decreasing(compose_function(G,F,A,B,C),A,R,C,T) )   )).
%--------------------------------------------------------------------------
