%--------------------------------------------------------------------------
% File     : SET772+4 : TPTP v2.6.0. Released v2.2.0.
% Domain   : Set Theory (Equivalence relations)
% Problem  : Belonging of the same member of a partition is an equivalence 
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : 0.83 v2.6.0, 0.86 v2.5.0, 0.88 v2.4.0, 0.75 v2.3.0, 0.67 v2.2.1
% Syntax   : Number of formulae    :   49 (   2 unit)
%            Number of atoms       :  154 (  54 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :  108 (   3 ~  ;   2  |;  39  &)
%                                         (  16 <=>;  48 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 2-3 arity)
%            Number of functors    :   10 (   1 constant; 0-3 arity)
%            Number of variables   :  155 (   0 singleton; 150 !;   5 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include equivalence relation axioms
include('Axioms/SET006+2.ax').
include('Axioms/SET006+2.eq').
%--------------------------------------------------------------------------
input_formula(thIII08,conjecture,(
    ! [A,E,R] : 
      ( partition(A,E)
     => ( ! [X,Y] : 
            ( ( member(X,E)
              & member(Y,E) )
           => ( apply(R,X,Y)
            <=> ? [Z] : 
                  ( member(Z,A)
                  & member(X,Z)
                  & member(Y,Z) ) ) )
       => equivalence(R,E) ) )   )).
%--------------------------------------------------------------------------
