%--------------------------------------------------------------------------
% File     : SWC003+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_filter_ne_segment_x_del_max
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_filter_ne_segment_x_del_max [Wei00]

% Status   : theorem
% Rating   : 0.67 v2.6.0, 0.83 v2.4.0
% Syntax   : Number of formulae    :   96 (   9 unit)
%            Number of atoms       :  418 (  78 equality)
%            Maximal formula depth :   26 (   6 average)
%            Number of connectives :  353 (  31 ~  ;  15  |;  47  &)
%                                         (  26 <=>; 234 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  214 (   0 singleton; 197 !;  17 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ssList(X)
                 => ( ~ equal(V,X)
                    | ~ equal(U,W)
                    | ( ( ~ neq(V,nil)
                        | ? [Y] : 
                            ( ssList(Y)
                            & ? [Z] : 
                                ( ssList(Z)
                                & ? [X1] : 
                                    ( ssList(X1)
                                    & equal(app(app(Y,Z),X1),V)
                                    & equal(app(Y,X1),U)
                                    & neq(Z,nil) ) ) )
                        | ! [X2] : 
                            ( ssItem(X2)
                           => ! [X3] : 
                                ( ssList(X3)
                               => ! [X4] : 
                                    ( ssList(X4)
                                   => ( ~ equal(app(app(X3,cons(X2,nil)),X4),X)
                                      | ~ equal(app(X3,X4),W)
                                      | ? [X5] : 
                                          ( ssItem(X5)
                                          & ~ equal(X2,X5)
                                          & memberP(X,X5)
                                          & geq(X5,X2) ) ) ) ) ) )
                      & ( ~ neq(V,nil)
                        | neq(X,nil) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
