%--------------------------------------------------------------------------
% File     : SWC022-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_id_front_x_head1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.75 v2.6.0, 0.78 v2.4.0
% Syntax   : Number of clauses    :  234 (  35 non-Horn;  61 unit; 186 RR)
%            Number of literals   :  740 ( 152 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   53 (   7 constant; 0-2 arity)
%            Number of variables  :  428 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC022+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++neq(sk2,nil),
     ++neq(sk2,nil)]).

input_clause(co1_8,conjecture,
    [++neq(sk2,nil),
     --neq(sk4,nil)]).

input_clause(co1_9,conjecture,
    [--ssList(A),
     --neq(A,nil),
     --frontsegP(sk2,A),
     --frontsegP(sk1,A),
     ++neq(sk2,nil)]).

input_clause(co1_10,conjecture,
    [--ssList(A),
     ++equal(sk3,A),
     --ssItem(B),
     --equal(cons(B,nil),A),
     --equal(hd(sk4),B),
     --neq(nil,sk4),
     ++neq(sk2,nil)]).

input_clause(co1_11,conjecture,
    [--ssList(A),
     --neq(A,nil),
     --frontsegP(sk2,A),
     --frontsegP(sk1,A),
     --neq(sk4,nil)]).

input_clause(co1_12,conjecture,
    [--ssList(A),
     ++equal(sk3,A),
     --ssItem(B),
     --equal(cons(B,nil),A),
     --equal(hd(sk4),B),
     --neq(nil,sk4),
     --neq(sk4,nil)]).
%--------------------------------------------------------------------------
