%--------------------------------------------------------------------------
% File     : SWC066-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_id_segment_total1_x_run_ord_max1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  235 (  34 non-Horn;  63 unit; 187 RR)
%            Number of literals   :  733 ( 150 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   53 (   7 constant; 0-2 arity)
%            Number of variables  :  425 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC066+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++segmentP(sk4,sk3)]).

input_clause(co1_8,conjecture,
    [++totalorderedP(sk3)]).

input_clause(co1_9,conjecture,
    [--ssList(A),
     --neq(sk3,A),
     --segmentP(sk4,A),
     --segmentP(A,sk3),
     --totalorderedP(A)]).

input_clause(co1_10,conjecture,
    [++equal(nil,sk2),
     ++neq(sk2,nil)]).

input_clause(co1_11,conjecture,
    [++equal(nil,sk2),
     --ssList(A),
     --neq(A,nil),
     --segmentP(sk2,A),
     --segmentP(sk1,A)]).

input_clause(co1_12,conjecture,
    [--equal(nil,sk1),
     ++neq(sk2,nil)]).

input_clause(co1_13,conjecture,
    [--equal(nil,sk1),
     --ssList(A),
     --neq(A,nil),
     --segmentP(sk2,A),
     --segmentP(sk1,A)]).
%--------------------------------------------------------------------------
