%--------------------------------------------------------------------------
% File     : SWC096+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_last_x_last
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_last_x_last [Wei00]

% Status   : theorem
% Rating   : 0.67 v2.6.0, 0.50 v2.4.0
% Syntax   : Number of formulae    :   96 (   9 unit)
%            Number of atoms       :  411 (  77 equality)
%            Maximal formula depth :   20 (   6 average)
%            Number of connectives :  348 (  33 ~  ;  17  |;  42  &)
%                                         (  26 <=>; 230 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  211 (   0 singleton; 196 !;  15 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ~ ssList(X)
                  | ~ equal(V,X)
                  | ~ equal(U,W)
                  | ( ( ~ neq(V,nil)
                      | ? [Y] : 
                          ( ssItem(Y)
                          & ? [Z] : 
                              ( ssList(Z)
                              & equal(cons(Y,nil),U)
                              & equal(app(Z,cons(Y,nil)),V) ) )
                      | ! [X1] : 
                          ( ssItem(X1)
                         => ! [X2] : 
                              ( ~ ssList(X2)
                              | ~ equal(cons(X1,nil),W)
                              | ~ equal(app(X2,cons(X1,nil)),X) ) ) )
                    & ( ~ neq(V,nil)
                      | neq(X,nil) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
