%--------------------------------------------------------------------------
% File     : SWC231-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_pivoted2_x_pst_pivoted1
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.67 v2.6.0, 0.78 v2.5.0, 0.89 v2.4.0
% Syntax   : Number of clauses    :  239 (  38 non-Horn;  62 unit; 191 RR)
%            Number of literals   :  752 ( 158 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   57 (  10 constant; 0-3 arity)
%            Number of variables  :  438 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC231+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [--equal(nil,sk1)]).

input_clause(co1_8,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     ++ssItem(sk5(C,B,A))]).

input_clause(co1_9,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     ++memberP(B,sk5(C,B,A))]).

input_clause(co1_10,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     ++memberP(C,sk5(C,B,A))]).

input_clause(co1_11,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     ++leq(A,sk5(C,B,A))]).

input_clause(co1_12,conjecture,
    [--ssItem(A),
     --ssList(B),
     --ssList(C),
     --equal(app(app(B,cons(A,nil)),C),sk1),
     --lt(A,sk5(C,B,A))]).

input_clause(co1_13,conjecture,
    [++equal(nil,sk3),
     ++ssItem(sk6)]).

input_clause(co1_14,conjecture,
    [++equal(nil,sk3),
     ++ssList(sk7)]).

input_clause(co1_15,conjecture,
    [++equal(nil,sk3),
     ++ssList(sk8)]).

input_clause(co1_16,conjecture,
    [++equal(nil,sk3),
     ++equal(app(app(sk7,cons(sk6,nil)),sk8),sk3)]).

input_clause(co1_17,conjecture,
    [++equal(nil,sk3),
     --ssItem(A),
     ++leq(A,sk6),
     --memberP(sk7,A),
     --memberP(sk8,A),
     --leq(sk6,A)]).
%--------------------------------------------------------------------------
