%--------------------------------------------------------------------------
% File     : SWC299-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_top_sorted_x_pivot
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  249 (  43 non-Horn;  68 unit; 201 RR)
%            Number of literals   :  755 ( 165 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   61 (  15 constant; 0-2 arity)
%            Number of variables  :  426 (  49 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Created by CNF conversion from SWC299+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++ssItem(sk5)]).

input_clause(co1_8,conjecture,
    [++ssItem(sk6)]).

input_clause(co1_9,conjecture,
    [++ssList(sk7)]).

input_clause(co1_10,conjecture,
    [++ssList(sk8)]).

input_clause(co1_11,conjecture,
    [++ssList(sk9)]).

input_clause(co1_12,conjecture,
    [++equal(app(app(app(app(sk7,cons(sk5,nil)),sk8),cons(sk6,nil)),sk9),sk1)]).

input_clause(co1_13,conjecture,
    [++lt(sk6,sk5)]).

input_clause(co1_14,conjecture,
    [++ssItem(sk10),
     ++equal(nil,sk4)]).

input_clause(co1_15,conjecture,
    [++ssItem(sk10),
     ++equal(nil,sk3)]).

input_clause(co1_16,conjecture,
    [++ssList(sk11),
     ++equal(nil,sk4)]).

input_clause(co1_17,conjecture,
    [++ssList(sk12),
     ++equal(nil,sk4)]).

input_clause(co1_18,conjecture,
    [++equal(cons(sk10,nil),sk3),
     ++equal(nil,sk4)]).

input_clause(co1_19,conjecture,
    [++equal(app(app(sk11,sk3),sk12),sk4),
     ++equal(nil,sk4)]).

input_clause(co1_20,conjecture,
    [--ssItem(A),
     --memberP(sk11,A),
     --lt(sk10,A),
     ++equal(nil,sk4)]).

input_clause(co1_21,conjecture,
    [--ssItem(A),
     --memberP(sk12,A),
     --lt(A,sk10),
     ++equal(nil,sk4)]).

input_clause(co1_22,conjecture,
    [++ssList(sk11),
     ++equal(nil,sk3)]).

input_clause(co1_23,conjecture,
    [++ssList(sk12),
     ++equal(nil,sk3)]).

input_clause(co1_24,conjecture,
    [++equal(cons(sk10,nil),sk3),
     ++equal(nil,sk3)]).

input_clause(co1_25,conjecture,
    [++equal(app(app(sk11,sk3),sk12),sk4),
     ++equal(nil,sk3)]).

input_clause(co1_26,conjecture,
    [--ssItem(A),
     --memberP(sk11,A),
     --lt(sk10,A),
     ++equal(nil,sk3)]).

input_clause(co1_27,conjecture,
    [--ssItem(A),
     --memberP(sk12,A),
     --lt(A,sk10),
     ++equal(nil,sk3)]).
%--------------------------------------------------------------------------
