%--------------------------------------------------------------------------
% File     : SWC315+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_rot_l_total3_x_rot_l_total2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_rot_l_total3_x_rot_l_total2 [Wei00]

% Status   : theorem
% Rating   : 0.50 v2.6.0, 0.67 v2.4.0
% Syntax   : Number of formulae    :   96 (   9 unit)
%            Number of atoms       :  413 (  81 equality)
%            Maximal formula depth :   20 (   6 average)
%            Number of connectives :  352 (  35 ~  ;  19  |;  41  &)
%                                         (  26 <=>; 231 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  211 (   0 singleton; 198 !;  13 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ~ ssList(X)
                  | ~ equal(V,X)
                  | ~ equal(U,W)
                  | ( ~ equal(nil,W)
                    & equal(nil,X) )
                  | ( ! [Y] : 
                        ( ssItem(Y)
                       => ! [Z] : 
                            ( ~ ssList(Z)
                            | ~ equal(app(cons(Y,nil),Z),V)
                            | equal(app(Z,cons(Y,nil)),U) ) )
                    & ( ~ equal(nil,V)
                      | equal(nil,U) ) )
                  | ( ! [X1] : 
                        ( ssItem(X1)
                       => ! [X2] : 
                            ( ~ ssList(X2)
                            | ~ equal(app(cons(X1,nil),X2),X)
                            | ~ equal(app(X2,cons(X1,nil)),W) ) )
                    & neq(X,nil) ) ) ) ) )   )).
%--------------------------------------------------------------------------
