%--------------------------------------------------------------------------
% File     : SWC327-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_run_eq_front2_x_run_eq_front2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.92 v2.6.0, 0.89 v2.4.0
% Syntax   : Number of clauses    :  243 (  38 non-Horn;  64 unit; 195 RR)
%            Number of literals   :  772 ( 175 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   57 (   8 constant; 0-2 arity)
%            Number of variables  :  435 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC327+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++ssList(sk5)]).

input_clause(co1_8,conjecture,
    [++equal(app(sk3,sk5),sk4)]).

input_clause(co1_9,conjecture,
    [++equalelemsP(sk3)]).

input_clause(co1_10,conjecture,
    [--ssItem(A),
     --ssList(B),
     --equal(app(cons(A,nil),B),sk5),
     --ssList(C),
     --equal(app(C,cons(A,nil)),sk3)]).

input_clause(co1_11,conjecture,
    [++equal(nil,sk4),
     --equal(nil,sk3)]).

input_clause(co1_12,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++ssItem(sk6(A)),
     --equalelemsP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_13,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++ssItem(sk6(A)),
     --equalelemsP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_14,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++ssList(sk7(A)),
     --equalelemsP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_15,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++equal(app(cons(sk6(A),nil),sk7(A)),A),
     --equalelemsP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_16,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++ssList(sk8(A)),
     --equalelemsP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_17,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++equal(app(sk8(A),cons(sk6(A),nil)),sk1),
     --equalelemsP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_18,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++ssList(sk7(A)),
     --equalelemsP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_19,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++equal(app(cons(sk6(A),nil),sk7(A)),A),
     --equalelemsP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_20,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++ssList(sk8(A)),
     --equalelemsP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_21,conjecture,
    [--ssList(A),
     --equal(app(sk1,A),sk2),
     ++equal(app(sk8(A),cons(sk6(A),nil)),sk1),
     --equalelemsP(sk1),
     --equal(nil,sk2)]).
%--------------------------------------------------------------------------
