%--------------------------------------------------------------------------
% File     : SWC344-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_run_strict_ord_max2_x_run_strict_ord_max2
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses    :  333 ( 131 non-Horn;  65 unit; 285 RR)
%            Number of literals   : 1418 ( 405 equality)
%            Maximal clause size  :   10 (   4 average)
%            Number of predicates :   20 (   0 propositional; 1-2 arity)
%            Number of functors   :   63 (   9 constant; 0-2 arity)
%            Number of variables  :  626 (  49 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : Created by CNF conversion from SWC344+1
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
include('Axioms/SWC001-0.eq').
%--------------------------------------------------------------------------
input_clause(co1_1,conjecture,
    [++ssList(sk1)]).

input_clause(co1_2,conjecture,
    [++ssList(sk2)]).

input_clause(co1_3,conjecture,
    [++ssList(sk3)]).

input_clause(co1_4,conjecture,
    [++ssList(sk4)]).

input_clause(co1_5,conjecture,
    [++equal(sk2,sk4)]).

input_clause(co1_6,conjecture,
    [++equal(sk1,sk3)]).

input_clause(co1_7,conjecture,
    [++ssList(sk5)]).

input_clause(co1_8,conjecture,
    [++ssList(sk6)]).

input_clause(co1_9,conjecture,
    [++equal(app(app(sk5,sk3),sk6),sk4)]).

input_clause(co1_10,conjecture,
    [++strictorderedP(sk3)]).

input_clause(co1_11,conjecture,
    [--ssItem(A),
     --ssList(B),
     --equal(app(B,cons(A,nil)),sk5),
     --ssItem(C),
     --ssList(D),
     --equal(app(cons(C,nil),D),sk3),
     --lt(A,C)]).

input_clause(co1_12,conjecture,
    [--ssItem(A),
     --ssList(B),
     --equal(app(cons(A,nil),B),sk6),
     --ssItem(C),
     --ssList(D),
     --equal(app(D,cons(C,nil)),sk3),
     --lt(C,A)]).

input_clause(co1_13,conjecture,
    [++equal(nil,sk4),
     --equal(nil,sk3)]).

input_clause(co1_14,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_15,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_16,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_17,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_18,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_19,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_20,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_21,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_22,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_23,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_24,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_25,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_26,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_27,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_28,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_29,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_30,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_31,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_32,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_33,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_34,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_35,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_36,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_37,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_38,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_39,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_40,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_41,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_42,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_43,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_44,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_45,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_46,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_47,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_48,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_49,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_50,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_51,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_52,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_53,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_54,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_55,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_56,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_57,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_58,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_59,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_60,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_61,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_62,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_63,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     ++equal(nil,sk1)]).

input_clause(co1_64,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_65,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_66,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_67,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_68,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_69,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk7(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_70,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_71,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_72,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_73,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_74,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_75,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++ssItem(sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_76,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_77,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_78,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_79,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_80,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_81,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk8(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_82,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_83,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_84,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_85,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_86,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++ssList(sk12(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_87,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_88,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_89,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_90,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_91,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(sk8(B,A),cons(sk7(B,A),nil)),A),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_92,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_93,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_94,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_95,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++equal(app(cons(sk11(B,A),nil),sk12(B,A)),B),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_96,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_97,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_98,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_99,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssItem(sk9(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_100,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_101,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_102,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++ssItem(sk13(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_103,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_104,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_105,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++ssList(sk10(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_106,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_107,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++ssList(sk14(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_108,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_109,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++equal(app(cons(sk9(B,A),nil),sk10(B,A)),sk1),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_110,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++equal(app(sk14(B,A),cons(sk13(B,A),nil)),sk1),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).

input_clause(co1_111,conjecture,
    [--ssList(A),
     --ssList(B),
     --equal(app(app(A,sk1),B),sk2),
     ++lt(sk7(B,A),sk9(B,A)),
     ++lt(sk13(B,A),sk11(B,A)),
     --strictorderedP(sk1),
     --equal(nil,sk2)]).
%--------------------------------------------------------------------------
