%--------------------------------------------------------------------------
% File     : SWC414+1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_swap_x_swap_tos
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [Wei00]
% Names    : cond_swap_x_swap_tos [Wei00]

% Status   : theorem
% Rating   : 1.00 v2.4.0
% Syntax   : Number of formulae    :   96 (   9 unit)
%            Number of atoms       :  424 (  80 equality)
%            Maximal formula depth :   24 (   6 average)
%            Number of connectives :  361 (  33 ~  ;  17  |;  48  &)
%                                         (  26 <=>; 237 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    5 (   1 constant; 0-2 arity)
%            Number of variables   :  224 (   0 singleton; 203 !;  21 ?)
%            Maximal term depth    :    6 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include list specification axioms and substitution axioms
include('Axioms/SWC001+0.ax').
include('Axioms/SWC001+0.eq').
%--------------------------------------------------------------------------
input_formula(co1,conjecture,(
    ! [U] : 
      ( ssList(U)
     => ! [V] : 
          ( ssList(V)
         => ! [W] : 
              ( ssList(W)
             => ! [X] : 
                  ( ~ ssList(X)
                  | ~ equal(V,X)
                  | ~ equal(U,W)
                  | ( ( ? [Y] : 
                          ( ssItem(Y)
                          & ? [Z] : 
                              ( ssItem(Z)
                              & ? [X1] : 
                                  ( ssList(X1)
                                  & ? [X2] : 
                                      ( ssList(X2)
                                      & ? [X3] : 
                                          ( ssList(X3)
                                          & equal(app(app(app(app(X1,cons(Y,nil)),X2),cons(Z,nil)),X3),V)
                                          & equal(app(app(app(app(X1,cons(Z,nil)),X2),cons(Y,nil)),X3),U) ) ) ) ) )
                      | ! [X4] : 
                          ( ssItem(X4)
                         => ! [X5] : 
                              ( ssItem(X5)
                             => ! [X6] : 
                                  ( ssList(X6)
                                 => ~ equal(app(app(cons(X4,nil),cons(X5,nil)),X6),V) ) ) )
                      | ! [X7] : 
                          ( ssItem(X7)
                         => ! [X8] : 
                              ( ssItem(X8)
                             => ! [X9] : 
                                  ( ~ ssList(X9)
                                  | ~ equal(app(app(cons(X7,nil),cons(X8,nil)),X9),X)
                                  | ~ equal(app(app(cons(X8,nil),cons(X7,nil)),X9),W) ) ) ) )
                    & ( ? [X10] : 
                          ( ssItem(X10)
                          & ? [X11] : 
                              ( ssItem(X11)
                              & ? [X12] : 
                                  ( ssList(X12)
                                  & equal(app(app(cons(X10,nil),cons(X11,nil)),X12),X) ) ) )
                      | ! [X13] : 
                          ( ssItem(X13)
                         => ! [X14] : 
                              ( ssItem(X14)
                             => ! [X15] : 
                                  ( ssList(X15)
                                 => ~ equal(app(app(cons(X13,nil),cons(X14,nil)),X15),V) ) ) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
