%--------------------------------------------------------------------------
% File     : SWV008-1 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Software Verification
% Problem  : E7
% Version  : Especial.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SETHEO]
% Names    : E7 [MOW76]
%          : v7.lop [SETHEO]

% Status   : unsatisfiable
% Rating   : 0.17 v2.6.0, 0.20 v2.5.0, 0.42 v2.4.0, 0.33 v2.2.1, 0.33 v2.2.0, 0.56 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   23 (   2 non-Horn;   9 unit;  17 RR)
%            Number of literals   :   45 (  21 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   3 constant; 0-1 arity)
%            Number of variables  :   36 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : This problem was contributed to [MOW76] in private
%            correspondance from G. Ernst. The axioms are incomplete.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for this program verification 
include('Axioms/SWV001-0.ax').
include('Axioms/SWV001-0.eq').
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--less_than(n,l)]).

input_clause(clause_2,conjecture,
    [++less_than(one,l)]).

input_clause(clause_3,conjecture,
    [++less_than(a(l),a(predecessor(l)))]).

input_clause(clause_4,conjecture,
    [++less_than(X,n),
     ++less_than(n,X),
     --less_than(one,n),
     --less_than(a(X),a(predecessor(n)))]).

input_clause(clause_5,conjecture,
    [--less_than(one,X),
     --less_than(X,n),
     --less_than(a(X),a(predecessor(X)))]).
%--------------------------------------------------------------------------
