%--------------------------------------------------------------------------
% File     : SWV019-1 : TPTP v2.6.0. Released v2.4.0.
% Domain   : Software Verification
% Problem  : Maximal array element
% Version  : [Ver93] axioms : Incomplete.
% English  : 

% Refs     : [Ver93] Veroff (1993), Email to G. Sutcliffe
% Source   : [Ver93]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.08 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses    :   20 (   2 non-Horn;   6 unit;  15 RR)
%            Number of literals   :   46 (  18 equality)
%            Maximal clause size  :    7 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   6 constant; 0-2 arity)
%            Number of variables  :   33 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : [Ver93] says "Only the clauses needed for the proof are included.
%            What makes the problem interesting/challenging from a theorem 
%            proving perspective is the addition of standard sets of axioms 
%            (that don't participate in the proof, but sure get in the way 
%            of finding the proof).
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(array_value_at_substitution_1,axiom,
    [--equal(A,B),
     ++equal(array_value_at(A,C),array_value_at(B,C))]).

input_clause(array_value_at_substitution_2,axiom,
    [--equal(A,B),
     ++equal(array_value_at(C,A),array_value_at(C,B))]).

input_clause(successor_substitution_1,axiom,
    [--equal(A,B),
     ++equal(successor(A),successor(B))]).

input_clause(in_array_bounds_substitution_1,axiom,
    [--equal(A,B),
     --in_array_bounds(A,C),
     ++in_array_bounds(B,C)]).

input_clause(in_array_bounds_substitution_2,axiom,
    [--equal(A,B),
     --in_array_bounds(C,A),
     ++in_array_bounds(C,B)]).

input_clause(less_than_substitution_1,axiom,
    [--equal(A,B),
     --less_than(A,C),
     ++less_than(B,C)]).

input_clause(less_than_substitution_2,axiom,
    [--equal(A,B),
     --less_than(C,A),
     ++less_than(C,B)]).

input_clause(in_bounds,axiom,
    [++less_than(X1,lower_bound),
     ++less_than(upper_bound,X1),
     ++in_array_bounds(array,X1)]).

input_clause(predecessor_less,axiom,
    [--less_than(successor(X),successor(Y)),
     ++less_than(X,Y)]).

input_clause(transitivity_of_less,axiom,
    [--less_than(X,Y),
     --less_than(Y,Z),
     ++less_than(X,Z)]).

input_clause(successor_greater,axiom,
    [++less_than(X,successor(X))]).

input_clause(this_is_maximal,axiom,
    [--in_array_bounds(array,index_of_maximal),
     ++equal(maximal_value,array_value_at(array,index_of_maximal))]).

input_clause(maximal_before_somewhere,axiom,
    [++less_than(index_of_maximal,an_index)]).

input_clause(somewhere_above_lower_bound,axiom,
    [--less_than(an_index,lower_bound)]).

input_clause(somewhere_below_upper_bound,axiom,
    [--less_than(upper_bound,an_index)]).

input_clause(maximal_above_lower_bound,axiom,
    [--less_than(index_of_maximal,lower_bound)]).

input_clause(prove_this,conjecture,
    [--in_array_bounds(array,an_index),
     ++less_than(successor(an_index),lower_bound),
     ++less_than(successor(upper_bound),successor(an_index)),
     ++less_than(index_of_maximal,lower_bound),
     --less_than(index_of_maximal,successor(an_index)),
     --in_array_bounds(array,index_of_maximal),
     --equal(maximal_value,array_value_at(array,index_of_maximal))]).
%--------------------------------------------------------------------------
