%--------------------------------------------------------------------------
% File     : SYN003-1.006 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Implications that form a contradiction
% Version  : Biased.
% English  : P1 & Q1 -> P2     P1 & R1 -> P2     Q -> Q1     R -> R1   :
%            P2 & Q2 -> P3     P2 & R2 -> P3     Q -> Q2     R -> R2   :
%              ......           ......        ....      ....           :
%            Pk-1 & Qk-1 ->Pk  Pk-1 & Rk-1 -> Pk Q -> Qk-1   R -> Rk-1 :
%            P1                ~Pk               Q           R         :
%          : The size is k, in the above.

% Refs     : [Pla82] Plaisted (1982), A Simplified Problem Reduction Format
% Source   : [Pla82]
% Names    : Problem 5.2 [Pla82]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   24 (   0 non-Horn;   4 unit;  24 RR)
%            Number of literals   :   54 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :   18 (  18 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : "This set of clauses can cause the following strategies to 
%            generate a search space which is exponential in k: All-negative
%            resolution, set-of-support with ~Pk as the support set, input
%            resolution, SL-resolution, locking resolution with a bad choice
%            of indices, and ancestor-filter form (linear resolution)."
%            [Pla82] p.243.
%          : tptp2X: -f tptp -s6 SYN003-1.g 
%--------------------------------------------------------------------------
input_clause(pqp_1,conjecture,
    [--p_1,--q_1,++p_2]).

input_clause(pqp_2,conjecture,
    [--p_2,--q_2,++p_3]).

input_clause(pqp_3,conjecture,
    [--p_3,--q_3,++p_4]).

input_clause(pqp_4,conjecture,
    [--p_4,--q_4,++p_5]).

input_clause(pqp_5,conjecture,
    [--p_5,--q_5,++p_6]).

input_clause(prp_1,conjecture,
    [--p_1,--r_1,++p_2]).

input_clause(prp_2,conjecture,
    [--p_2,--r_2,++p_3]).

input_clause(prp_3,conjecture,
    [--p_3,--r_3,++p_4]).

input_clause(prp_4,conjecture,
    [--p_4,--r_4,++p_5]).

input_clause(prp_5,conjecture,
    [--p_5,--r_5,++p_6]).

input_clause(qq_1,conjecture,
    [--q,++q_1]).

input_clause(qq_2,conjecture,
    [--q,++q_2]).

input_clause(qq_3,conjecture,
    [--q,++q_3]).

input_clause(qq_4,conjecture,
    [--q,++q_4]).

input_clause(qq_5,conjecture,
    [--q,++q_5]).

input_clause(rr_1,conjecture,
    [--r,++r_1]).

input_clause(rr_2,conjecture,
    [--r,++r_2]).

input_clause(rr_3,conjecture,
    [--r,++r_3]).

input_clause(rr_4,conjecture,
    [--r,++r_4]).

input_clause(rr_5,conjecture,
    [--r,++r_5]).

input_clause(base_1,conjecture,
    [++p_1]).

input_clause(base_2,conjecture,
    [--p_6]).

input_clause(base_3,conjecture,
    [++q]).

input_clause(base_4,conjecture,
    [++r]).
%--------------------------------------------------------------------------
