%--------------------------------------------------------------------------
% File     : SYN004-1.007 : TPTP v2.6.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Implications that form a contradiction
% Version  : Biased.
% English  : P1 & Q1 -> P2     P1 & Q1 -> Q2     :
%            P2 & Q2 -> P3     P2 & Q2 -> Q3     :
%              ......           ......           :
%            Pk-1 & Qk-1 ->Pk  Pk-1 & Qk-1 -> Qk :
%            P1     Q1         ~Pk v ~Qk         :
%          : The size is k, in the above.

% Refs     : [Pla82] Plaisted (1982), A Simplified Problem Reduction Format
% Source   : [Pla82]
% Names    : Problem 5.3 [Pla82]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   15 (   0 non-Horn;   2 unit;  15 RR)
%            Number of literals   :   40 (   0 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :   14 (  14 propositional; 0-0 arity)
%            Number of functors   :    0 (   0 constant; --- arity)
%            Number of variables  :    0 (   0 singleton)
%            Maximal term depth   :    0 (   0 average)

% Comments : "This set of clauses can cause the following strategies to
%            generate minimal length proofs having length exponential in k:
%            SL-resolution, locking resolution with a bad choice of indices.
%            However, all of the following strategies can always generate
%            proofs polynomial in the size of S if S is an inconsistent set
%            of propositional Horn clauses: all-negative resolution,
%            set-of-support strategy, ancestry-filter form, and input
%            resolution." [Pla82] p.244.
%          : tptp2X: -f tptp -s7 SYN004-1.g 
%--------------------------------------------------------------------------
input_clause(pqp_1,conjecture,
    [--p_1,--q_1,++p_2]).

input_clause(pqp_2,conjecture,
    [--p_2,--q_2,++p_3]).

input_clause(pqp_3,conjecture,
    [--p_3,--q_3,++p_4]).

input_clause(pqp_4,conjecture,
    [--p_4,--q_4,++p_5]).

input_clause(pqp_5,conjecture,
    [--p_5,--q_5,++p_6]).

input_clause(pqp_6,conjecture,
    [--p_6,--q_6,++p_7]).

input_clause(pqq_1,conjecture,
    [--p_1,--q_1,++q_2]).

input_clause(pqq_2,conjecture,
    [--p_2,--q_2,++q_3]).

input_clause(pqq_3,conjecture,
    [--p_3,--q_3,++q_4]).

input_clause(pqq_4,conjecture,
    [--p_4,--q_4,++q_5]).

input_clause(pqq_5,conjecture,
    [--p_5,--q_5,++q_6]).

input_clause(pqq_6,conjecture,
    [--p_6,--q_6,++q_7]).

input_clause(base_1,conjecture,
    [++p_1]).

input_clause(base_2,conjecture,
    [++q_1]).

input_clause(base_3,conjecture,
    [--p_7,--q_7]).
%--------------------------------------------------------------------------
