%--------------------------------------------------------------------------
% File     : SYN067-2 : TPTP v2.6.0. Bugfixed v1.2.1.
% Domain   : Syntactic
% Problem  : Pelletier Problem 38
% Version  : Especial.
%            Theorem formulation : Different clausification.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.62 v2.6.0, 0.67 v2.5.0, 0.60 v2.4.0, 0.40 v2.3.0, 0.67 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses    :   55 (  44 non-Horn;   1 unit;  28 RR)
%            Number of literals   :  289 (   0 equality)
%            Maximal clause size  :    9 (   5 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :   12 (   6 constant; 0-1 arity)
%            Number of variables  :  150 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : A full predicate logic version of Pelletier 17 and 33.
%          : Created using the TPTP clausifier.
% Bugfixes : v1.2.1 - Clauses replaced due to bug found in TPTP clausifier
%--------------------------------------------------------------------------
input_clause(pel38_1,conjecture,
    [++big_r(sk2(B),sk1(B)),
     ++big_r(sk6(D),sk5(D)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_2,conjecture,
    [++big_r(B,sk2(B)),
     ++big_r(sk6(D),sk5(D)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_3,conjecture,
    [++big_r(D,sk6(D)),
     ++big_r(sk2(B),sk1(B)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_4,conjecture,
    [++big_r(D,sk6(D)),
     ++big_r(B,sk2(B)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_5,conjecture,
    [++big_p(sk1(B)),
     ++big_r(sk6(D),sk5(D)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_6,conjecture,
    [++big_p(sk1(B)),
     ++big_r(D,sk6(D)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_7,conjecture,
    [++big_p(sk5(D)),
     ++big_r(sk2(B),sk1(B)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_8,conjecture,
    [++big_p(sk5(D)),
     ++big_r(B,sk2(B)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_9,conjecture,
    [++big_p(sk1(B)),
     ++big_p(sk5(D)),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A)]).

input_clause(pel38_10,conjecture,
    [++big_p(A),
     ++big_r(sk2(A),sk1(A)),
     ++big_r(sk6(C),sk5(C)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_11,conjecture,
    [++big_p(A),
     ++big_r(C,sk6(C)),
     ++big_r(sk2(A),sk1(A)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_12,conjecture,
    [++big_p(A),
     ++big_r(A,sk2(A)),
     ++big_r(sk6(C),sk5(C)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_13,conjecture,
    [++big_p(A),
     ++big_r(C,sk6(C)),
     ++big_r(A,sk2(A)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_14,conjecture,
    [++big_p(A),
     ++big_p(sk5(C)),
     ++big_r(sk2(A),sk1(A)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_15,conjecture,
    [++big_p(A),
     ++big_p(sk5(C)),
     ++big_r(A,sk2(A)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_16,conjecture,
    [++big_p(C),
     ++big_r(sk2(B),sk1(B)),
     ++big_r(sk4(C),sk3(C)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_17,conjecture,
    [++big_p(C),
     ++big_r(B,sk2(B)),
     ++big_r(sk4(C),sk3(C)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_18,conjecture,
    [++big_p(C),
     ++big_r(C,sk4(C)),
     ++big_r(sk2(B),sk1(B)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_19,conjecture,
    [++big_p(C),
     ++big_r(C,sk4(C)),
     ++big_r(B,sk2(B)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_20,conjecture,
    [++big_p(C),
     ++big_p(sk1(B)),
     ++big_r(sk4(C),sk3(C)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_21,conjecture,
    [++big_p(C),
     ++big_p(sk1(B)),
     ++big_r(C,sk4(C)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_22,conjecture,
    [++big_p(C),
     ++big_p(sk3(C)),
     ++big_r(sk2(B),sk1(B)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_23,conjecture,
    [++big_p(C),
     ++big_p(sk3(C)),
     ++big_r(B,sk2(B)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_24,conjecture,
    [++big_p(C),
     ++big_p(sk1(B)),
     ++big_p(sk3(C)),
     --big_p(A),
     --big_r(B,A)]).

input_clause(pel38_25,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_r(sk2(A),sk1(A)),
     ++big_r(sk4(B),sk3(B))]).

input_clause(pel38_26,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_r(B,sk4(B)),
     ++big_r(sk2(A),sk1(A))]).

input_clause(pel38_27,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_r(A,sk2(A)),
     ++big_r(sk4(B),sk3(B))]).

input_clause(pel38_28,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_r(B,sk4(B)),
     ++big_r(A,sk2(A))]).

input_clause(pel38_29,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_p(sk3(B)),
     ++big_r(sk2(A),sk1(A))]).

input_clause(pel38_30,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_p(sk3(B)),
     ++big_r(A,sk2(A))]).

input_clause(pel38_31,conjecture,
    [++big_p(A),
     ++big_p(sk1(A)),
     ++big_r(sk6(C),sk5(C)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_32,conjecture,
    [++big_p(A),
     ++big_p(sk1(A)),
     ++big_r(C,sk6(C)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_33,conjecture,
    [++big_p(A),
     ++big_p(sk1(A)),
     ++big_p(sk5(C)),
     --big_p(B),
     --big_r(C,B)]).

input_clause(pel38_34,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_p(sk1(A)),
     ++big_r(sk4(B),sk3(B))]).

input_clause(pel38_35,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_p(sk1(A)),
     ++big_r(B,sk4(B))]).

input_clause(pel38_36,conjecture,
    [++big_p(B),
     ++big_p(A),
     ++big_p(sk1(A)),
     ++big_p(sk3(B))]).

input_clause(pel38_37,conjecture,
    [++big_p(a)]).

input_clause(pel38_38,conjecture,
    [++big_p(sk11),
     ++big_p(sk8),
     --big_p(sk7),
     --big_p(sk9)]).

input_clause(pel38_39,conjecture,
    [++big_p(sk8),
     ++big_r(sk10,sk11),
     --big_p(sk7),
     --big_p(sk9)]).

input_clause(pel38_40,conjecture,
    [++big_p(sk8),
     --big_p(A),
     --big_p(sk7),
     --big_p(sk9),
     --big_r(B,A),
     --big_r(sk10,B)]).

input_clause(pel38_41,conjecture,
    [++big_p(sk11),
     ++big_p(sk8),
     --big_p(A),
     --big_p(sk7),
     --big_r(B,A),
     --big_r(sk9,B)]).

input_clause(pel38_42,conjecture,
    [++big_p(sk8),
     ++big_r(sk10,sk11),
     --big_p(A),
     --big_p(sk7),
     --big_r(B,A),
     --big_r(sk9,B)]).

input_clause(pel38_43,conjecture,
    [++big_p(sk8),
     --big_p(C),
     --big_p(A),
     --big_p(sk7),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk10,D),
     --big_r(sk9,B)]).

input_clause(pel38_44,conjecture,
    [++big_p(sk11),
     ++big_r(sk7,sk8),
     --big_p(sk7),
     --big_p(sk9)]).

input_clause(pel38_45,conjecture,
    [++big_r(sk10,sk11),
     ++big_r(sk7,sk8),
     --big_p(sk7),
     --big_p(sk9)]).

input_clause(pel38_46,conjecture,
    [++big_r(sk7,sk8),
     --big_p(A),
     --big_p(sk7),
     --big_p(sk9),
     --big_r(B,A),
     --big_r(sk10,B)]).

input_clause(pel38_47,conjecture,
    [++big_p(sk11),
     ++big_r(sk7,sk8),
     --big_p(A),
     --big_p(sk7),
     --big_r(B,A),
     --big_r(sk9,B)]).

input_clause(pel38_48,conjecture,
    [++big_r(sk10,sk11),
     ++big_r(sk7,sk8),
     --big_p(A),
     --big_p(sk7),
     --big_r(B,A),
     --big_r(sk9,B)]).

input_clause(pel38_49,conjecture,
    [++big_r(sk7,sk8),
     --big_p(C),
     --big_p(A),
     --big_p(sk7),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk10,D),
     --big_r(sk9,B)]).

input_clause(pel38_50,conjecture,
    [++big_p(sk11),
     --big_p(A),
     --big_p(sk9),
     --big_r(B,A),
     --big_r(sk7,B)]).

input_clause(pel38_51,conjecture,
    [++big_r(sk10,sk11),
     --big_p(A),
     --big_p(sk9),
     --big_r(B,A),
     --big_r(sk7,B)]).

input_clause(pel38_52,conjecture,
    [--big_p(C),
     --big_p(A),
     --big_p(sk9),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk10,D),
     --big_r(sk7,B)]).

input_clause(pel38_53,conjecture,
    [++big_p(sk11),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk7,B),
     --big_r(sk9,D)]).

input_clause(pel38_54,conjecture,
    [++big_r(sk10,sk11),
     --big_p(C),
     --big_p(A),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk7,B),
     --big_r(sk9,D)]).

input_clause(pel38_55,conjecture,
    [--big_p(E),
     --big_p(C),
     --big_p(A),
     --big_r(F,E),
     --big_r(D,C),
     --big_r(B,A),
     --big_r(sk10,F),
     --big_r(sk7,B),
     --big_r(sk9,D)]).
%--------------------------------------------------------------------------
