%--------------------------------------------------------------------------
% File     : SYN071+1 : TPTP v2.6.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 48
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Rud93] Rudnicki (1993), Email to G. Sutcliffe
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 48 [Pel86]

% Status   : theorem
% Rating   : 0.00 v2.4.0, 0.00 v2.1.0
% Syntax   : Number of formulae    :    6 (   1 unit)
%            Number of atoms       :   12 (  12 equality)
%            Maximal formula depth :    4 (   2 average)
%            Number of connectives :    6 (   0 ~  ;   3  |;   1  &)
%                                         (   0 <=>;   2 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   4 constant; 0-0 arity)
%            Number of variables   :    6 (   0 singleton;   6 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : [Pel86] says that Rudnicki has not published this problem 
%            anywhere.
%          : [Rud93] says "I have seen it for the first time around 1977,
%            it was shown to me by A. Trybulec but I am sure it is folklore."
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
input_formula(pel48_1,axiom,(
    equal(a,b)
  | equal(c,d)   )).

input_formula(pel48_2,axiom,(
    equal(a,c)
  | equal(b,d)   )).

input_formula(pel48,conjecture,(
    equal(a,d)
  | equal(b,c)   )).
%--------------------------------------------------------------------------
