%--------------------------------------------------------------------------
% File     : SYN072+1 : TPTP v2.6.0. Released v2.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 49
% Version  : Especial.
% English  : 

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 49 [Pel86]

% Status   : theorem
% Rating   : 0.00 v2.4.0, 0.00 v2.3.0, 0.33 v2.2.1, 0.00 v2.1.0
% Syntax   : Number of formulae    :    9 (   5 unit)
%            Number of atoms       :   15 (  10 equality)
%            Maximal formula depth :    4 (   2 average)
%            Number of connectives :    7 (   1 ~  ;   1  |;   2  &)
%                                         (   0 <=>;   3 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   :   12 (   0 singleton;  10 !;   2 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(big_p_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & big_p(A) )
     => big_p(B) )   )).

%----Problem axioms
input_formula(pel49_1,axiom,(
    ? [X,Y] : 
    ! [Z] : 
      ( equal(Z,X)
      | equal(Z,Y) )   )).

input_formula(pel49_2,axiom,(
    big_p(a)   )).

input_formula(pel49_3,axiom,(
    big_p(b)   )).

input_formula(pel49_4,axiom,(
    ~ equal(a,b)   )).

input_formula(pel49,conjecture,(
    ! [X] : big_p(X)   )).
%--------------------------------------------------------------------------
