%--------------------------------------------------------------------------
% File     : SYN422-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=110, K=3, D=2, P=0, Index=097
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-110-3-2-097.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.6.0, 0.17 v2.5.0, 0.00 v2.4.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  529 ( 337 non-Horn;   0 unit; 472 RR)
%            Number of literals   : 2489 (   0 equality)
%            Maximal clause size  :   15 (   4 average)
%            Number of predicates :   80 (  47 propositional; 0-2 arity)
%            Number of functors   :  152 ( 152 constant; 0-0 arity)
%            Number of variables  :  457 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c7_0]).

input_clause(clause2,conjecture,
    [++c2_0,++c9_0]).

input_clause(clause3,conjecture,
    [++c3_0,++c7_0]).

input_clause(clause4,conjecture,
    [++c5_0,++c8_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC35]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC31]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC30]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC29]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC27]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC21]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC9]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause26,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause27,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause28,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause29,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause30,conjecture,
    [--ssSkC35,++ndr1_0,++c1_0]).

input_clause(clause31,conjecture,
    [++c6_1(a756),
     ++c7_0]).

input_clause(clause32,conjecture,
    [--ssSkC33,--ssSkC34,++ndr1_0]).

input_clause(clause33,conjecture,
    [--ssSkC30,++ndr1_0,++c10_0]).

input_clause(clause34,conjecture,
    [--ssSkC23,--ssSkC24,++ndr1_0]).

input_clause(clause35,conjecture,
    [--ssSkC21,++ndr1_0,++c2_0]).

input_clause(clause36,conjecture,
    [--ssSkC17,++ndr1_0,++c3_0]).

input_clause(clause37,conjecture,
    [--ssSkC16,++ndr1_0,++c3_0]).

input_clause(clause38,conjecture,
    [--ssSkC14,++ndr1_0,++c5_0]).

input_clause(clause39,conjecture,
    [--c8_0,++ndr1_0]).

input_clause(clause40,conjecture,
    [--ssSkC7,++ndr1_0,++c10_0]).

input_clause(clause41,conjecture,
    [++ndr1_0,++c8_0,++c2_0]).

input_clause(clause42,conjecture,
    [--ssSkC4,++ndr1_0,++c8_0]).

input_clause(clause43,conjecture,
    [++ndr1_0,++c9_0,++c1_0]).

input_clause(clause44,conjecture,
    [--c10_0,++c3_0]).

input_clause(clause45,conjecture,
    [--c1_0,++c8_0]).

input_clause(clause46,conjecture,
    [++c4_0,++c2_0,++c6_0]).

input_clause(clause47,conjecture,
    [++c5_1(a757),
     ++ssSkC35]).

input_clause(clause48,conjecture,
    [++c10_1(a757),
     ++ssSkC35]).

input_clause(clause49,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause50,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause51,conjecture,
    [++ndr1_1(a741),
     ++ssSkC31]).

input_clause(clause52,conjecture,
    [++ndr1_1(a734),
     ++ssSkC29]).

input_clause(clause53,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause54,conjecture,
    [++c6_1(a728),
     ++ssSkC27]).

input_clause(clause55,conjecture,
    [++c1_1(a728),
     ++ssSkC27]).

input_clause(clause56,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause57,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause58,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause59,conjecture,
    [++c8_1(a707),
     ++ssSkC21]).

input_clause(clause60,conjecture,
    [++c4_1(a703),
     ++ssSkC19]).

input_clause(clause61,conjecture,
    [++ndr1_1(a692),
     ++ssSkC16]).

input_clause(clause62,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause63,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause64,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause65,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause66,conjecture,
    [++c9_1(a670),
     ++ssSkC15]).

input_clause(clause67,conjecture,
    [++c8_1(a670),
     ++ssSkC15]).

input_clause(clause68,conjecture,
    [++c7_1(a663),
     ++ssSkC12]).

input_clause(clause69,conjecture,
    [++c1_1(a663),
     ++ssSkC12]).

input_clause(clause70,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause71,conjecture,
    [++c5_1(a660),
     ++ssSkC11]).

input_clause(clause72,conjecture,
    [++c2_1(a655),
     ++ssSkC10]).

input_clause(clause73,conjecture,
    [++c9_1(a649),
     ++ssSkC8]).

input_clause(clause74,conjecture,
    [++ndr1_1(a641),
     ++ssSkC7]).

input_clause(clause75,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause76,conjecture,
    [++ndr1_1(a631),
     ++ssSkC6]).

input_clause(clause77,conjecture,
    [++c5_1(a631),
     ++ssSkC6]).

input_clause(clause78,conjecture,
    [++c1_1(a621),
     ++ssSkC3]).

input_clause(clause79,conjecture,
    [++c5_1(a617),
     ++ssSkC2]).

input_clause(clause80,conjecture,
    [++c9_1(a617),
     ++ssSkC2]).

input_clause(clause81,conjecture,
    [++ndr1_1(a611),
     ++ssSkC1]).

input_clause(clause82,conjecture,
    [++c3_1(a611),
     ++ssSkC1]).

input_clause(clause83,conjecture,
    [--ssSkC35,
     ++c1_1(a758),
     ++c1_0]).

input_clause(clause84,conjecture,
    [--ssSkC35,
     ++c8_1(a758),
     ++c1_0]).

input_clause(clause85,conjecture,
    [--ssSkC35,
     ++c4_1(a758),
     ++c1_0]).

input_clause(clause86,conjecture,
    [--ssSkC33,
     --ssSkC34,
     ++ndr1_1(a753)]).

input_clause(clause87,conjecture,
    [--c7_0,++ndr1_0,++c8_0]).

input_clause(clause88,conjecture,
    [--ssSkC30,
     ++c4_1(a740),
     ++c10_0]).

input_clause(clause89,conjecture,
    [--ssSkC29,--c7_0,++ndr1_0]).

input_clause(clause90,conjecture,
    [--ssSkC28,--c10_0,++ndr1_0]).

input_clause(clause91,conjecture,
    [--ssSkC27,--c7_0,++ndr1_0]).

input_clause(clause92,conjecture,
    [--c7_0,++ndr1_0,++c9_0]).

input_clause(clause93,conjecture,
    [--ssSkC25,--c2_0,++ndr1_0]).

input_clause(clause94,conjecture,
    [--ssSkC23,
     --ssSkC24,
     ++c4_1(a721)]).

input_clause(clause95,conjecture,
    [--ssSkC18,--c1_0,++ndr1_0]).

input_clause(clause96,conjecture,
    [--c4_0,++ndr1_0,++c2_0]).

input_clause(clause97,conjecture,
    [--ssSkC17,
     ++c9_1(a697),
     ++c3_0]).

input_clause(clause98,conjecture,
    [--ssSkC16,
     ++c5_1(a695),
     ++c3_0]).

input_clause(clause99,conjecture,
    [--c4_0,++ndr1_0,++c8_0]).

input_clause(clause100,conjecture,
    [--c2_0,++ndr1_0,++c10_0]).

input_clause(clause101,conjecture,
    [--c8_0,
     ++c7_1(a658)]).

input_clause(clause102,conjecture,
    [--ssSkC10,--c3_0,++ndr1_0]).

input_clause(clause103,conjecture,
    [--ssSkC7,
     ++ndr1_1(a645),
     ++c10_0]).

input_clause(clause104,conjecture,
    [++c7_1(a630),
     ++c8_0,
     ++c2_0]).

input_clause(clause105,conjecture,
    [++c9_1(a630),
     ++c8_0,
     ++c2_0]).

input_clause(clause106,conjecture,
    [--ssSkC5,--c7_0,++ndr1_0]).

input_clause(clause107,conjecture,
    [--ssSkC4,
     ++ndr1_1(a625),
     ++c8_0]).

input_clause(clause108,conjecture,
    [--ssSkC4,
     ++c1_1(a625),
     ++c8_0]).

input_clause(clause109,conjecture,
    [--ssSkC4,
     ++c3_1(a625),
     ++c8_0]).

input_clause(clause110,conjecture,
    [--ssSkC3,--c9_0,++ndr1_0]).

input_clause(clause111,conjecture,
    [--ssSkC2,--c3_0,++ndr1_0]).

input_clause(clause112,conjecture,
    [--c2_0,++ndr1_0,++c9_0]).

input_clause(clause113,conjecture,
    [--c9_0,++c1_0,++c8_0]).

input_clause(clause114,conjecture,
    [--c6_0,++c7_0,++c10_0]).

input_clause(clause115,conjecture,
    [--c8_0,--c2_0]).

input_clause(clause116,conjecture,
    [--c1_1(a757),
     ++ssSkC35]).

input_clause(clause117,conjecture,
    [++c7_2(U,a749),
     ++ssSkP11(U)]).

input_clause(clause118,conjecture,
    [++c6_2(U,a749),
     ++ssSkP11(U)]).

input_clause(clause119,conjecture,
    [++c10_2(a741,a742),
     ++ssSkC31]).

input_clause(clause120,conjecture,
    [--c5_1(a741),
     ++ssSkC31]).

input_clause(clause121,conjecture,
    [--c2_1(a739),
     ++ssSkC30]).

input_clause(clause122,conjecture,
    [--c5_1(a739),
     ++ssSkC30]).

input_clause(clause123,conjecture,
    [--c7_1(a739),
     ++ssSkC30]).

input_clause(clause124,conjecture,
    [++c2_2(a734,a736),
     ++ssSkC29]).

input_clause(clause125,conjecture,
    [++c1_2(a734,a736),
     ++ssSkC29]).

input_clause(clause126,conjecture,
    [++c10_2(a734,a735),
     ++ssSkC29]).

input_clause(clause127,conjecture,
    [++c6_2(a734,a735),
     ++ssSkC29]).

input_clause(clause128,conjecture,
    [--c10_1(a734),
     ++ssSkC29]).

input_clause(clause129,conjecture,
    [++c3_2(U,a731),
     ++ssSkP9(U)]).

input_clause(clause130,conjecture,
    [++c9_2(U,a731),
     ++ssSkP9(U)]).

input_clause(clause131,conjecture,
    [++c10_2(U,a715),
     ++ssSkP7(U)]).

input_clause(clause132,conjecture,
    [++c8_2(U,a712),
     ++ssSkP6(U)]).

input_clause(clause133,conjecture,
    [--c10_1(a707),
     ++ssSkC21]).

input_clause(clause134,conjecture,
    [--c9_1(a705),
     ++ssSkC20]).

input_clause(clause135,conjecture,
    [--c3_1(a705),
     ++ssSkC20]).

input_clause(clause136,conjecture,
    [--c10_1(a703),
     ++ssSkC19]).

input_clause(clause137,conjecture,
    [--c7_1(a703),
     ++ssSkC19]).

input_clause(clause138,conjecture,
    [--c7_1(a700),
     ++ssSkC18]).

input_clause(clause139,conjecture,
    [--c9_1(a700),
     ++ssSkC18]).

input_clause(clause140,conjecture,
    [--c10_1(a700),
     ++ssSkC18]).

input_clause(clause141,conjecture,
    [--c1_1(a696),
     ++ssSkC17]).

input_clause(clause142,conjecture,
    [++c9_2(a692,a693),
     ++ssSkC16]).

input_clause(clause143,conjecture,
    [++c2_2(a692,a693),
     ++ssSkC16]).

input_clause(clause144,conjecture,
    [--c5_1(a692),
     ++ssSkC16]).

input_clause(clause145,conjecture,
    [++c6_2(U,a684),
     ++ssSkP5(U)]).

input_clause(clause146,conjecture,
    [++c1_2(U,a684),
     ++ssSkP5(U)]).

input_clause(clause147,conjecture,
    [++c7_2(U,a684),
     ++ssSkP5(U)]).

input_clause(clause148,conjecture,
    [++c3_2(U,a682),
     ++ssSkP4(U)]).

input_clause(clause149,conjecture,
    [++c8_2(U,a676),
     ++ssSkP3(U)]).

input_clause(clause150,conjecture,
    [++c5_2(U,a675),
     ++ssSkP2(U)]).

input_clause(clause151,conjecture,
    [++c8_2(U,a675),
     ++ssSkP2(U)]).

input_clause(clause152,conjecture,
    [--c3_1(a670),
     ++ssSkC15]).

input_clause(clause153,conjecture,
    [--c9_1(a668),
     ++ssSkC14]).

input_clause(clause154,conjecture,
    [--c2_1(a665),
     ++ssSkC13]).

input_clause(clause155,conjecture,
    [++c5_2(U,a661),
     ++ssSkP1(U)]).

input_clause(clause156,conjecture,
    [--c10_1(a660),
     ++ssSkC11]).

input_clause(clause157,conjecture,
    [--c6_1(a660),
     ++ssSkC11]).

input_clause(clause158,conjecture,
    [--c5_1(a651),
     ++ssSkC9]).

input_clause(clause159,conjecture,
    [--c9_1(a651),
     ++ssSkC9]).

input_clause(clause160,conjecture,
    [--c7_1(a651),
     ++ssSkC9]).

input_clause(clause161,conjecture,
    [--c1_1(a649),
     ++ssSkC8]).

input_clause(clause162,conjecture,
    [--c8_1(a649),
     ++ssSkC8]).

input_clause(clause163,conjecture,
    [++c8_2(a641,a642),
     ++ssSkC7]).

input_clause(clause164,conjecture,
    [++c6_2(a641,a642),
     ++ssSkC7]).

input_clause(clause165,conjecture,
    [++c2_2(a641,a642),
     ++ssSkC7]).

input_clause(clause166,conjecture,
    [++c8_2(U,a635),
     ++ssSkP0(U)]).

input_clause(clause167,conjecture,
    [++c3_2(U,a635),
     ++ssSkP0(U)]).

input_clause(clause168,conjecture,
    [++c10_2(a631,a632),
     ++ssSkC6]).

input_clause(clause169,conjecture,
    [++c8_2(a631,a632),
     ++ssSkC6]).

input_clause(clause170,conjecture,
    [--c3_1(a621),
     ++ssSkC3]).

input_clause(clause171,conjecture,
    [--c10_1(a617),
     ++ssSkC2]).

input_clause(clause172,conjecture,
    [--c5_1(a609),
     ++ssSkC0]).

input_clause(clause173,conjecture,
    [--c10_1(a609),
     ++ssSkC0]).

input_clause(clause174,conjecture,
    [--c8_1(a609),
     ++ssSkC0]).

input_clause(clause175,conjecture,
    [--c1_0,
     ++ndr1_1(a759),
     ++c7_0]).

input_clause(clause176,conjecture,
    [--ssSkC33,
     --ssSkC34,
     ++c10_2(a753,a754)]).

input_clause(clause177,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c9_1(a753)]).

input_clause(clause178,conjecture,
    [--c7_0,
     ++ndr1_1(a745),
     ++c8_0]).

input_clause(clause179,conjecture,
    [--c7_0,
     ++c2_1(a745),
     ++c8_0]).

input_clause(clause180,conjecture,
    [--ssSkC30,
     --c9_1(a740),
     ++c10_0]).

input_clause(clause181,conjecture,
    [--ssSkC29,
     --c7_0,
     ++ndr1_1(a737)]).

input_clause(clause182,conjecture,
    [--ssSkC29,
     --c7_0,
     ++c9_1(a737)]).

input_clause(clause183,conjecture,
    [--ssSkC27,
     --c7_0,
     ++ndr1_1(a729)]).

input_clause(clause184,conjecture,
    [--ssSkC27,
     --c7_0,
     ++c3_1(a729)]).

input_clause(clause185,conjecture,
    [--c7_0,
     ++ndr1_1(a724),
     ++c9_0]).

input_clause(clause186,conjecture,
    [--ssSkC25,
     --c2_0,
     ++c10_1(a723)]).

input_clause(clause187,conjecture,
    [--ssSkC25,
     --c2_0,
     ++c4_1(a723)]).

input_clause(clause188,conjecture,
    [--ssSkC25,
     --c2_0,
     ++c7_1(a723)]).

input_clause(clause189,conjecture,
    [--ssSkC23,
     --ssSkC24,
     --c1_1(a721)]).

input_clause(clause190,conjecture,
    [--ssSkC23,
     --ssSkC24,
     --c5_1(a721)]).

input_clause(clause191,conjecture,
    [--ssSkC21,
     --c5_1(a708),
     ++c2_0]).

input_clause(clause192,conjecture,
    [--ssSkC18,
     --c1_0,
     ++ndr1_1(a701)]).

input_clause(clause193,conjecture,
    [--c4_0,
     ++ndr1_1(a698),
     ++c2_0]).

input_clause(clause194,conjecture,
    [--c4_0,
     ++c2_1(a698),
     ++c2_0]).

input_clause(clause195,conjecture,
    [--c4_0,
     ++c9_1(a698),
     ++c2_0]).

input_clause(clause196,conjecture,
    [--ssSkC17,
     --c3_1(a697),
     ++c3_0]).

input_clause(clause197,conjecture,
    [--ssSkC16,
     --c10_1(a695),
     ++c3_0]).

input_clause(clause198,conjecture,
    [--ssSkC16,
     --c8_1(a695),
     ++c3_0]).

input_clause(clause199,conjecture,
    [--c8_0,
     ++ndr1_1(a686),
     ++c1_0]).

input_clause(clause200,conjecture,
    [--c8_0,
     ++c8_1(a686),
     ++c1_0]).

input_clause(clause201,conjecture,
    [--c4_0,
     ++ndr1_1(a679),
     ++c8_0]).

input_clause(clause202,conjecture,
    [--c2_0,
     ++c7_1(a672),
     ++c10_0]).

input_clause(clause203,conjecture,
    [--c2_0,
     ++c8_1(a672),
     ++c10_0]).

input_clause(clause204,conjecture,
    [--ssSkC14,
     --c2_1(a669),
     ++c5_0]).

input_clause(clause205,conjecture,
    [--ssSkC10,
     --c3_0,
     ++ndr1_1(a656)]).

input_clause(clause206,conjecture,
    [--ssSkC10,
     --c3_0,
     ++c7_1(a656)]).

input_clause(clause207,conjecture,
    [--ssSkC10,
     --c3_0,
     ++c1_1(a656)]).

input_clause(clause208,conjecture,
    [--ssSkC7,
     ++c5_2(a645,a647),
     ++c10_0]).

input_clause(clause209,conjecture,
    [--c6_1(a630),
     ++c8_0,
     ++c2_0]).

input_clause(clause210,conjecture,
    [--ssSkC5,
     --c7_0,
     ++ndr1_1(a628)]).

input_clause(clause211,conjecture,
    [--ssSkC5,
     --c7_0,
     ++c1_1(a628)]).

input_clause(clause212,conjecture,
    [--ssSkC4,
     ++c3_2(a625,a626),
     ++c8_0]).

input_clause(clause213,conjecture,
    [--ssSkC4,
     ++c6_2(a625,a626),
     ++c8_0]).

input_clause(clause214,conjecture,
    [--ssSkC3,
     --c9_0,
     ++ndr1_1(a622)]).

input_clause(clause215,conjecture,
    [--ssSkC3,
     --c9_0,
     ++c4_1(a622)]).

input_clause(clause216,conjecture,
    [--ssSkC2,
     --c3_0,
     ++c3_1(a618)]).

input_clause(clause217,conjecture,
    [--c2_0,
     ++ndr1_1(a614),
     ++c9_0]).

input_clause(clause218,conjecture,
    [--c9_1(a608),
     ++c9_0,
     ++c1_0]).

input_clause(clause219,conjecture,
    [--c10_1(a608),
     ++c9_0,
     ++c1_0]).

input_clause(clause220,conjecture,
    [--c4_1(a608),
     ++c9_0,
     ++c1_0]).

input_clause(clause221,conjecture,
    [--c5_0,--c6_0,++c9_0]).

input_clause(clause222,conjecture,
    [--c6_0,--c8_0,++c3_0]).

input_clause(clause223,conjecture,
    [--c2_0,--c7_0,++c8_0]).

input_clause(clause224,conjecture,
    [--c5_2(U,a749),
     ++ssSkP11(U)]).

input_clause(clause225,conjecture,
    [--c9_2(U,a743),
     ++ssSkP10(U)]).

input_clause(clause226,conjecture,
    [--c10_2(U,a743),
     ++ssSkP10(U)]).

input_clause(clause227,conjecture,
    [--c4_2(a741,a742),
     ++ssSkC31]).

input_clause(clause228,conjecture,
    [--c1_2(a741,a742),
     ++ssSkC31]).

input_clause(clause229,conjecture,
    [--c3_2(a734,a736),
     ++ssSkC29]).

input_clause(clause230,conjecture,
    [--c7_2(a734,a735),
     ++ssSkC29]).

input_clause(clause231,conjecture,
    [--c8_2(U,a718),
     ++ssSkP8(U)]).

input_clause(clause232,conjecture,
    [--c7_2(U,a718),
     ++ssSkP8(U)]).

input_clause(clause233,conjecture,
    [--c3_2(U,a715),
     ++ssSkP7(U)]).

input_clause(clause234,conjecture,
    [--c4_2(U,a712),
     ++ssSkP6(U)]).

input_clause(clause235,conjecture,
    [--c9_2(U,a712),
     ++ssSkP6(U)]).

input_clause(clause236,conjecture,
    [--c3_2(a692,a694),
     ++ssSkC16]).

input_clause(clause237,conjecture,
    [--c10_2(a692,a694),
     ++ssSkC16]).

input_clause(clause238,conjecture,
    [--c7_2(a692,a693),
     ++ssSkC16]).

input_clause(clause239,conjecture,
    [--c10_2(U,a682),
     ++ssSkP4(U)]).

input_clause(clause240,conjecture,
    [--c5_2(U,a682),
     ++ssSkP4(U)]).

input_clause(clause241,conjecture,
    [--c5_2(U,a676),
     ++ssSkP3(U)]).

input_clause(clause242,conjecture,
    [--c9_2(U,a676),
     ++ssSkP3(U)]).

input_clause(clause243,conjecture,
    [--c1_2(U,a675),
     ++ssSkP2(U)]).

input_clause(clause244,conjecture,
    [--c1_2(U,a661),
     ++ssSkP1(U)]).

input_clause(clause245,conjecture,
    [--c6_2(U,a661),
     ++ssSkP1(U)]).

input_clause(clause246,conjecture,
    [--c8_2(a641,a644),
     ++ssSkC7]).

input_clause(clause247,conjecture,
    [--c5_2(a641,a644),
     ++ssSkC7]).

input_clause(clause248,conjecture,
    [--c9_2(a641,a644),
     ++ssSkC7]).

input_clause(clause249,conjecture,
    [--c5_2(a641,a643),
     ++ssSkC7]).

input_clause(clause250,conjecture,
    [--c8_2(a641,a643),
     ++ssSkC7]).

input_clause(clause251,conjecture,
    [--c2_2(U,a635),
     ++ssSkP0(U)]).

input_clause(clause252,conjecture,
    [--c2_2(a631,a632),
     ++ssSkC6]).

input_clause(clause253,conjecture,
    [--c1_2(a611,a612),
     ++ssSkC1]).

input_clause(clause254,conjecture,
    [--c9_2(a611,a612),
     ++ssSkC1]).

input_clause(clause255,conjecture,
    [--c8_2(a611,a612),
     ++ssSkC1]).

input_clause(clause256,conjecture,
    [--c1_0,
     ++c2_2(a759,a760),
     ++c7_0]).

input_clause(clause257,conjecture,
    [--c8_1(a759),
     --c1_0,
     ++c7_0]).

input_clause(clause258,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c1_2(a753,a754)]).

input_clause(clause259,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c4_2(a753,a754)]).

input_clause(clause260,conjecture,
    [--c7_0,
     ++c4_2(a745,a746),
     ++c8_0]).

input_clause(clause261,conjecture,
    [--c7_0,
     ++c10_2(a745,a746),
     ++c8_0]).

input_clause(clause262,conjecture,
    [--ssSkC29,
     --c7_0,
     ++c9_2(a737,a738)]).

input_clause(clause263,conjecture,
    [--ssSkC29,
     --c7_0,
     ++c1_2(a737,a738)]).

input_clause(clause264,conjecture,
    [--ssSkC29,
     --c4_1(a737),
     --c7_0]).

input_clause(clause265,conjecture,
    [--ssSkC28,
     --c4_1(a733),
     --c10_0]).

input_clause(clause266,conjecture,
    [--ssSkC27,
     --c7_0,
     ++c7_2(a729,a730)]).

input_clause(clause267,conjecture,
    [--ssSkC27,
     --c7_0,
     ++c8_2(a729,a730)]).

input_clause(clause268,conjecture,
    [--ssSkC27,
     --c9_1(a729),
     --c7_0]).

input_clause(clause269,conjecture,
    [--c7_0,
     ++c4_2(a724,a725),
     ++c9_0]).

input_clause(clause270,conjecture,
    [--ssSkC18,
     --c1_0,
     ++c10_2(a701,a702)]).

input_clause(clause271,conjecture,
    [--ssSkC18,
     --c1_0,
     ++c6_2(a701,a702)]).

input_clause(clause272,conjecture,
    [--ssSkC18,
     --c8_1(a701),
     --c1_0]).

input_clause(clause273,conjecture,
    [--c4_0,
     ++c1_2(a698,a699),
     ++c2_0]).

input_clause(clause274,conjecture,
    [--c8_0,
     ++c4_2(a686,a688),
     ++c1_0]).

input_clause(clause275,conjecture,
    [--c8_0,
     ++c2_2(a686,a688),
     ++c1_0]).

input_clause(clause276,conjecture,
    [--c8_0,
     ++c4_2(a686,a687),
     ++c1_0]).

input_clause(clause277,conjecture,
    [--c4_0,
     ++c1_2(a679,a681),
     ++c8_0]).

input_clause(clause278,conjecture,
    [--c4_0,
     ++c8_2(a679,a680),
     ++c8_0]).

input_clause(clause279,conjecture,
    [--c4_0,
     ++c9_2(a679,a680),
     ++c8_0]).

input_clause(clause280,conjecture,
    [--c6_1(a672),
     --c2_0,
     ++c10_0]).

input_clause(clause281,conjecture,
    [--ssSkC10,
     --c3_0,
     ++c6_2(a656,a657)]).

input_clause(clause282,conjecture,
    [--ssSkC10,
     --c3_0,
     ++c3_2(a656,a657)]).

input_clause(clause283,conjecture,
    [--ssSkC7,
     --c9_2(a645,a647),
     ++c10_0]).

input_clause(clause284,conjecture,
    [--ssSkC7,
     --c3_2(a645,a647),
     ++c10_0]).

input_clause(clause285,conjecture,
    [--ssSkC7,
     --c9_2(a645,a646),
     ++c10_0]).

input_clause(clause286,conjecture,
    [--ssSkC7,
     --c3_2(a645,a646),
     ++c10_0]).

input_clause(clause287,conjecture,
    [--ssSkC7,
     --c5_2(a645,a646),
     ++c10_0]).

input_clause(clause288,conjecture,
    [--ssSkC5,
     --c7_0,
     ++c3_2(a628,a629)]).

input_clause(clause289,conjecture,
    [--ssSkC5,
     --c7_1(a628),
     --c7_0]).

input_clause(clause290,conjecture,
    [--ssSkC3,
     --c9_0,
     ++c6_2(a622,a623)]).

input_clause(clause291,conjecture,
    [--ssSkC3,
     --c9_0,
     ++c1_2(a622,a623)]).

input_clause(clause292,conjecture,
    [--ssSkC3,
     --c9_0,
     ++c2_2(a622,a623)]).

input_clause(clause293,conjecture,
    [--ssSkC3,
     --c8_1(a622),
     --c9_0]).

input_clause(clause294,conjecture,
    [--c2_0,
     ++c9_2(a614,a616),
     ++c9_0]).

input_clause(clause295,conjecture,
    [--c2_0,
     ++c10_2(a614,a616),
     ++c9_0]).

input_clause(clause296,conjecture,
    [--c2_0,
     ++c3_2(a614,a615),
     ++c9_0]).

input_clause(clause297,conjecture,
    [--c7_0,--c2_0,--c1_0]).

input_clause(clause298,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC22]).

input_clause(clause299,conjecture,
    [--c1_2(a759,a760),
     --c1_0,
     ++c7_0]).

input_clause(clause300,conjecture,
    [--c5_2(a759,a760),
     --c1_0,
     ++c7_0]).

input_clause(clause301,conjecture,
    [--c1_2(a745,a746),
     --c7_0,
     ++c8_0]).

input_clause(clause302,conjecture,
    [--ssSkC29,
     --c4_2(a737,a738),
     --c7_0]).

input_clause(clause303,conjecture,
    [--ssSkC27,
     --c9_2(a729,a730),
     --c7_0]).

input_clause(clause304,conjecture,
    [--c6_2(a724,a725),
     --c7_0,
     ++c9_0]).

input_clause(clause305,conjecture,
    [--ssSkC18,
     --c2_2(a701,a702),
     --c1_0]).

input_clause(clause306,conjecture,
    [--c5_2(a698,a699),
     --c4_0,
     ++c2_0]).

input_clause(clause307,conjecture,
    [--c1_2(a686,a687),
     --c8_0,
     ++c1_0]).

input_clause(clause308,conjecture,
    [--c8_2(a686,a687),
     --c8_0,
     ++c1_0]).

input_clause(clause309,conjecture,
    [--c5_2(a679,a681),
     --c4_0,
     ++c8_0]).

input_clause(clause310,conjecture,
    [--c9_2(a679,a681),
     --c4_0,
     ++c8_0]).

input_clause(clause311,conjecture,
    [--c1_2(a679,a680),
     --c4_0,
     ++c8_0]).

input_clause(clause312,conjecture,
    [--ssSkC5,
     --c5_2(a628,a629),
     --c7_0]).

input_clause(clause313,conjecture,
    [--ssSkC5,
     --c8_2(a628,a629),
     --c7_0]).

input_clause(clause314,conjecture,
    [--c1_2(a614,a616),
     --c2_0,
     ++c9_0]).

input_clause(clause315,conjecture,
    [--c5_2(a614,a615),
     --c2_0,
     ++c9_0]).

input_clause(clause316,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     ++c9_2(U,a713),
     ++ssSkC22]).

input_clause(clause317,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c3_1(U),
     ++ssSkC34]).

input_clause(clause318,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c6_1(U),
     ++ssSkC24]).

input_clause(clause319,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c2_1(U),
     ++ssSkC4]).

input_clause(clause320,conjecture,
    [--ssSkP1(U),
     --ssSkC11,
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause321,conjecture,
    [--ssSkP6(U),
     --c6_2(U,a713),
     --ndr1_0,
     ++ssSkC22]).

input_clause(clause322,conjecture,
    [--ssSkP6(U),
     --c10_2(U,a713),
     --ndr1_0,
     ++ssSkC22]).

input_clause(clause323,conjecture,
    [--ssSkP9(U),
     --c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC28]).

input_clause(clause324,conjecture,
    [--ndr1_0,
     ++c3_2(U,a720),
     ++c3_1(U),
     ++c6_1(U),
     ++ssSkC24]).

input_clause(clause325,conjecture,
    [--ssSkP8(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC23]).

input_clause(clause326,conjecture,
    [--ndr1_0,
     ++c5_2(U,a624),
     ++c4_1(U),
     ++c2_1(U),
     ++ssSkC4]).

input_clause(clause327,conjecture,
    [--ssSkC28,
     --c2_2(a733,U),
     --ndr1_1(a733),
     --c10_0]).

input_clause(clause328,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c5_1(U),
     ++c3_1(U),
     ++ndr1_1(a690),
     ++c4_0]).

input_clause(clause329,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c5_1(U),
     ++c3_1(U),
     ++c2_1(a690),
     ++c4_0]).

input_clause(clause330,conjecture,
    [--ssSkC13,
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c6_0]).

input_clause(clause331,conjecture,
    [--ssSkP1(U),
     --ssSkC11,
     --c8_1(U),
     --ndr1_0,
     ++c10_2(U,a662)]).

input_clause(clause332,conjecture,
    [--ssSkC1,
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c10_1(U)]).

input_clause(clause333,conjecture,
    [--ndr1_1(a665),
     ++c4_2(a665,U),
     ++c9_2(a665,U),
     ++ssSkC13]).

input_clause(clause334,conjecture,
    [--ssSkC14,
     --ndr1_1(a669),
     ++c6_2(a669,U),
     ++c1_2(a669,U),
     ++c5_0]).

input_clause(clause335,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c10_0,
     --c1_0,
     ++c9_1(U)]).

input_clause(clause336,conjecture,
    [--c4_2(U,a752),
     --ndr1_0,
     ++c10_1(U),
     ++c3_1(U),
     ++ssSkC34]).

input_clause(clause337,conjecture,
    [--c7_2(U,a752),
     --ndr1_0,
     ++c10_1(U),
     ++c3_1(U),
     ++ssSkC34]).

input_clause(clause338,conjecture,
    [--ssSkP9(U),
     --c9_1(U),
     --ndr1_0,
     ++c4_2(U,a732),
     ++ssSkC28]).

input_clause(clause339,conjecture,
    [--c10_2(U,a720),
     --ndr1_0,
     ++c3_1(U),
     ++c6_1(U),
     ++ssSkC24]).

input_clause(clause340,conjecture,
    [--ssSkP8(U),
     --c10_1(U),
     --ndr1_0,
     ++c2_2(U,a719),
     ++ssSkC23]).

input_clause(clause341,conjecture,
    [--c8_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC5]).

input_clause(clause342,conjecture,
    [--c9_2(U,a624),
     --ndr1_0,
     ++c4_1(U),
     ++c2_1(U),
     ++ssSkC4]).

input_clause(clause343,conjecture,
    [--ssSkC20,
     --c9_1(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_0]).

input_clause(clause344,conjecture,
    [--ssSkP5(U),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c7_0]).

input_clause(clause345,conjecture,
    [--ssSkP2(U),
     --ssSkP3(U),
     --ndr1_0,
     --c9_0,
     --c7_0,
     ++ndr1_1(U)]).

input_clause(clause346,conjecture,
    [--ssSkC13,
     --c3_1(U),
     --ndr1_0,
     ++c8_2(U,a666),
     ++c7_1(U),
     ++c6_0]).

input_clause(clause347,conjecture,
    [--ssSkC13,
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,a666),
     ++c7_1(U),
     ++c6_0]).

input_clause(clause348,conjecture,
    [--ssSkP1(U),
     --ssSkC11,
     --c6_2(U,a662),
     --c8_1(U),
     --ndr1_0]).

input_clause(clause349,conjecture,
    [--ssSkP1(U),
     --ssSkC11,
     --c2_2(U,a662),
     --c8_1(U),
     --ndr1_0]).

input_clause(clause350,conjecture,
    [--ssSkC8,
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c7_1(U)]).

input_clause(clause351,conjecture,
    [--ssSkC1,
     --ndr1_0,
     --c5_0,
     ++c9_2(U,a613),
     ++c2_1(U),
     ++c10_1(U)]).

input_clause(clause352,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c9_0,
     ++c1_1(U),
     ++c4_1(U),
     ++c8_0]).

input_clause(clause353,conjecture,
    [--c4_2(a668,U),
     --ndr1_1(a668),
     ++c1_2(a668,U),
     ++ssSkC14]).

input_clause(clause354,conjecture,
    [--c8_2(a611,U),
     --ndr1_1(a611),
     ++c3_2(a611,U),
     ++ssSkC1]).

input_clause(clause355,conjecture,
    [--ssSkC30,
     --c10_2(a740,U),
     --ndr1_1(a740),
     ++c6_2(a740,U),
     ++c10_0]).

input_clause(clause356,conjecture,
    [--ndr1_1(a724),
     --c7_0,
     ++c4_2(a724,U),
     ++c2_2(a724,U),
     ++c9_0]).

input_clause(clause357,conjecture,
    [--ndr1_1(a614),
     --c2_0,
     ++c9_2(a614,U),
     ++c7_2(a614,U),
     ++c9_0]).

input_clause(clause358,conjecture,
    [--ssSkP9(U),
     --c3_2(U,a732),
     --c9_1(U),
     --ndr1_0,
     ++ssSkC28]).

input_clause(clause359,conjecture,
    [--ssSkP8(U),
     --c7_2(U,a719),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC23]).

input_clause(clause360,conjecture,
    [--ssSkP8(U),
     --c4_2(U,a719),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC23]).

input_clause(clause361,conjecture,
    [--ssSkC20,
     --c9_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c6_2(U,a706),
     ++c6_0]).

input_clause(clause362,conjecture,
    [--ssSkC20,
     --c9_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,a706),
     ++c6_0]).

input_clause(clause363,conjecture,
    [--ndr1_0,
     --c5_2(a690,a691),
     ++c2_1(U),
     ++c5_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause364,conjecture,
    [--ndr1_0,
     --c9_2(a690,a691),
     ++c2_1(U),
     ++c5_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause365,conjecture,
    [--ndr1_0,
     --c10_2(a690,a691),
     ++c2_1(U),
     ++c5_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause366,conjecture,
    [--ssSkP5(U),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     ++c10_2(U,a685),
     ++c7_0]).

input_clause(clause367,conjecture,
    [--ssSkP5(U),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     ++c3_2(U,a685),
     ++c7_0]).

input_clause(clause368,conjecture,
    [--ssSkP2(U),
     --ssSkP3(U),
     --ndr1_0,
     --c9_0,
     --c7_0,
     ++c5_2(U,a677)]).

input_clause(clause369,conjecture,
    [--ssSkP2(U),
     --ssSkP3(U),
     --ndr1_0,
     --c9_0,
     --c7_0,
     ++c2_2(U,a677)]).

input_clause(clause370,conjecture,
    [--ssSkC13,
     --c7_2(U,a666),
     --c3_1(U),
     --ndr1_0,
     ++c7_1(U),
     ++c6_0]).

input_clause(clause371,conjecture,
    [--ssSkC8,
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c7_2(U,a650),
     ++c7_1(U)]).

input_clause(clause372,conjecture,
    [--ssSkC8,
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,a650),
     ++c7_1(U)]).

input_clause(clause373,conjecture,
    [--ssSkC8,
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,a650),
     ++c7_1(U)]).

input_clause(clause374,conjecture,
    [--ssSkC1,
     --c2_2(U,a613),
     --ndr1_0,
     --c5_0,
     ++c2_1(U),
     ++c10_1(U)]).

input_clause(clause375,conjecture,
    [--ssSkC33,
     --ssSkC34,
     --c4_2(a753,U),
     --c3_2(a753,U),
     --ndr1_1(a753)]).

input_clause(clause376,conjecture,
    [--ndr1_1(a655),
     ++c9_2(a655,U),
     ++c6_2(a655,U),
     ++c3_2(a655,U),
     ++ssSkC10]).

input_clause(clause377,conjecture,
    [--c10_2(U,a627),
     --c8_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ssSkC5]).

input_clause(clause378,conjecture,
    [--c5_2(U,a627),
     --c8_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ssSkC5]).

input_clause(clause379,conjecture,
    [--c2_2(U,a627),
     --c8_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ssSkC5]).

input_clause(clause380,conjecture,
    [--c4_2(a756,U),
     --ndr1_1(a756),
     ++c10_2(a756,U),
     ++c8_2(a756,U),
     ++c7_0]).

input_clause(clause381,conjecture,
    [--ssSkC20,
     --c9_2(U,a706),
     --c9_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c6_0]).

input_clause(clause382,conjecture,
    [--ssSkP5(U),
     --c6_2(U,a685),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     ++c7_0]).

input_clause(clause383,conjecture,
    [--ssSkP4(U),
     --c4_1(V),
     --ndr1_0,
     --c9_1(U),
     ++c7_1(V),
     ++ndr1_1(U),
     ++c3_0]).

input_clause(clause384,conjecture,
    [--ssSkP2(U),
     --ssSkP3(U),
     --c9_2(U,a677),
     --ndr1_0,
     --c9_0,
     --c7_0]).

input_clause(clause385,conjecture,
    [--ssSkC14,
     --ndr1_1(a669),
     ++c4_2(a669,U),
     ++c5_2(a669,U),
     ++c3_2(a669,U),
     ++c5_0]).

input_clause(clause386,conjecture,
    [--c8_1(U),
     --c3_1(U),
     --ndr1_0,
     --c9_0,
     --c5_0,
     ++c1_1(U)]).

input_clause(clause387,conjecture,
    [--c6_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_0,
     --c10_0,
     ++c3_1(U)]).

input_clause(clause388,conjecture,
    [--c3_2(a707,U),
     --ndr1_1(a707),
     ++c1_2(a707,U),
     ++c4_2(a707,U),
     ++ssSkC21]).

input_clause(clause389,conjecture,
    [--c3_2(a663,U),
     --ndr1_1(a663),
     ++c1_2(a663,U),
     ++c4_2(a663,U),
     ++ssSkC12]).

input_clause(clause390,conjecture,
    [--c2_2(a621,U),
     --ndr1_1(a621),
     ++c1_2(a621,U),
     ++c6_2(a621,U),
     ++ssSkC3]).

input_clause(clause391,conjecture,
    [--ssSkC21,
     --c5_2(a708,U),
     --ndr1_1(a708),
     ++c10_2(a708,U),
     ++c7_2(a708,U),
     ++c2_0]).

input_clause(clause392,conjecture,
    [--ssSkP4(U),
     --c4_1(V),
     --ndr1_0,
     --c9_1(U),
     ++c7_1(V),
     ++c6_2(U,a683),
     ++c3_0]).

input_clause(clause393,conjecture,
    [--ssSkP4(U),
     --c4_1(V),
     --ndr1_0,
     --c9_1(U),
     ++c7_1(V),
     ++c5_2(U,a683),
     ++c3_0]).

input_clause(clause394,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c2_0,
     ++c8_1(a637)]).

input_clause(clause395,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_1(a637)]).

input_clause(clause396,conjecture,
    [--c4_1(U),
     --c5_1(U),
     --c6_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_1(a637)]).

input_clause(clause397,conjecture,
    [--c7_2(a696,U),
     --c2_2(a696,U),
     --ndr1_1(a696),
     ++c5_2(a696,U),
     ++ssSkC17]).

input_clause(clause398,conjecture,
    [--c8_2(a668,U),
     --c3_2(a668,U),
     --ndr1_1(a668),
     ++c2_2(a668,U),
     ++ssSkC14]).

input_clause(clause399,conjecture,
    [--c1_2(a665,U),
     --c4_2(a665,U),
     --ndr1_1(a665),
     ++c7_2(a665,U),
     ++ssSkC13]).

input_clause(clause400,conjecture,
    [--c2_2(a655,U),
     --c10_2(a655,U),
     --ndr1_1(a655),
     ++c3_2(a655,U),
     ++ssSkC10]).

input_clause(clause401,conjecture,
    [--c1_2(a631,U),
     --c6_2(a631,U),
     --ndr1_1(a631),
     ++c7_2(a631,U),
     ++ssSkC6]).

input_clause(clause402,conjecture,
    [--c6_2(a759,U),
     --ndr1_1(a759),
     --c1_0,
     ++c7_2(a759,U),
     ++c8_2(a759,U),
     ++c7_0]).

input_clause(clause403,conjecture,
    [--ssSkC17,
     --c3_2(a697,U),
     --c6_2(a697,U),
     --ndr1_1(a697),
     ++c8_2(a697,U),
     ++c3_0]).

input_clause(clause404,conjecture,
    [--ssSkP4(U),
     --c4_1(V),
     --ndr1_0,
     --c4_2(U,a683),
     --c9_1(U),
     ++c7_1(V),
     ++c3_0]).

input_clause(clause405,conjecture,
    [--c9_2(a679,U),
     --ndr1_1(a679),
     --c4_0,
     ++c10_2(a679,U),
     ++c4_2(a679,U),
     ++c8_0]).

input_clause(clause406,conjecture,
    [--ssSkC2,
     --c10_2(a618,U),
     --ndr1_1(a618),
     --c3_0,
     ++c6_2(a618,U),
     ++c8_2(a618,U)]).

input_clause(clause407,conjecture,
    [--c2_2(a705,U),
     --c6_2(a705,U),
     --c7_2(a705,U),
     --ndr1_1(a705),
     ++ssSkC20]).

input_clause(clause408,conjecture,
    [--c3_2(a745,U),
     --c1_2(a745,U),
     --ndr1_1(a745),
     --c7_0,
     ++c9_2(a745,U),
     ++c8_0]).

input_clause(clause409,conjecture,
    [--ssSkC28,
     --c4_2(a733,U),
     --c6_2(a733,U),
     --ndr1_1(a733),
     --c10_0,
     ++c7_2(a733,U)]).

input_clause(clause410,conjecture,
    [--c8_2(a724,U),
     --c9_2(a724,U),
     --ndr1_1(a724),
     --c7_0,
     ++c6_2(a724,U),
     ++c9_0]).

input_clause(clause411,conjecture,
    [--ssSkC18,
     --c1_2(a701,U),
     --c6_2(a701,U),
     --ndr1_1(a701),
     --c1_0,
     ++c5_2(a701,U)]).

input_clause(clause412,conjecture,
    [--c5_2(a658,U),
     --c3_2(a658,U),
     --c4_2(a658,U),
     --ndr1_1(a658),
     --c8_0]).

input_clause(clause413,conjecture,
    [--ssSkC7,
     --c2_2(a645,U),
     --c5_2(a645,U),
     --c9_2(a645,U),
     --ndr1_1(a645),
     ++c10_0]).

input_clause(clause414,conjecture,
    [--ssSkC2,
     --c9_2(a618,U),
     --c8_2(a618,U),
     --ndr1_1(a618),
     --c3_0,
     ++c4_2(a618,U)]).

input_clause(clause415,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c8_1(U),
     ++c9_0]).

input_clause(clause416,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c1_2(U,a748),
     ++c8_1(U),
     ++ssSkC32]).

input_clause(clause417,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c10_2(U,a748),
     ++c8_1(U),
     ++ssSkC32]).

input_clause(clause418,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a748),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c8_1(U),
     ++ssSkC32]).

input_clause(clause419,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,a722),
     ++c6_1(U),
     ++ssSkC25]).

input_clause(clause420,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c5_2(U,a747),
     ++c6_0]).

input_clause(clause421,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c9_2(U,a747),
     ++c6_0]).

input_clause(clause422,conjecture,
    [--ssSkP10(U),
     --ssSkC31,
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c9_2(U,a744)]).

input_clause(clause423,conjecture,
    [--ssSkP10(U),
     --ssSkC31,
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c6_2(U,a744)]).

input_clause(clause424,conjecture,
    [--ssSkP10(U),
     --ssSkC31,
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c8_2(U,a744)]).

input_clause(clause425,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c1_2(U,a678),
     ++c7_1(U),
     ++c3_0]).

input_clause(clause426,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c1_2(U,a654),
     ++c9_0]).

input_clause(clause427,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,V),
     ++c1_2(U,a638),
     ++c8_0]).

input_clause(clause428,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c10_1(U),
     ++c3_1(U),
     ++c7_0,
     ++c2_0]).

input_clause(clause429,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c1_1(U),
     ++c5_1(U),
     ++c6_0]).

input_clause(clause430,conjecture,
    [--ndr1_0,
     --ndr1_1(a690),
     ++c2_1(U),
     ++c5_1(U),
     ++c3_1(U),
     ++c7_2(a690,V),
     ++c2_2(a690,V),
     ++c4_2(a690,V),
     ++c4_0]).

input_clause(clause431,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c3_2(U,a751),
     ++c7_1(U),
     ++ssSkC33]).

input_clause(clause432,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c2_2(U,a751),
     ++c7_1(U),
     ++ssSkC33]).

input_clause(clause433,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a726),
     --ndr1_0,
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c3_1(U),
     ++ssSkC26]).

input_clause(clause434,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a726),
     --ndr1_0,
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c3_1(U),
     ++ssSkC26]).

input_clause(clause435,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a722),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c6_1(U),
     ++ssSkC25]).

input_clause(clause436,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a722),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c6_1(U),
     ++ssSkC25]).

input_clause(clause437,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a747),
     --c2_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c6_0]).

input_clause(clause438,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a678),
     --ndr1_0,
     ++c1_2(U,V),
     ++c7_1(U),
     ++c3_0]).

input_clause(clause439,conjecture,
    [--c8_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a678),
     --ndr1_0,
     ++c1_2(U,V),
     ++c7_1(U),
     ++c3_0]).

input_clause(clause440,conjecture,
    [--ssSkC15,
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c9_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,V),
     ++c8_2(U,a671)]).

input_clause(clause441,conjecture,
    [--ssSkC15,
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c9_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,V),
     ++c2_2(U,a671)]).

input_clause(clause442,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a654),
     --c4_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c9_0]).

input_clause(clause443,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a654),
     --c4_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c6_2(U,V),
     ++c9_0]).

input_clause(clause444,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c2_1(U),
     ++c3_1(a648),
     ++c6_0]).

input_clause(clause445,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a638),
     --c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,V),
     ++c8_0]).

input_clause(clause446,conjecture,
    [--c9_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c6_0]).

input_clause(clause447,conjecture,
    [--ssSkP11(U),
     --ssSkC32,
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c9_2(U,V),
     ++c2_2(U,a750)]).

input_clause(clause448,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_0,
     ++c4_2(U,V),
     ++c5_2(U,a717),
     ++c3_1(U),
     ++c8_0]).

input_clause(clause449,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_0,
     ++c4_2(U,V),
     ++c7_2(U,a717),
     ++c3_1(U),
     ++c8_0]).

input_clause(clause450,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_0,
     ++c4_2(U,V),
     ++c4_2(U,a717),
     ++c3_1(U),
     ++c8_0]).

input_clause(clause451,conjecture,
    [--ssSkC22,
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c3_2(U,a714)]).

input_clause(clause452,conjecture,
    [--ssSkC22,
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c7_2(U,a714)]).

input_clause(clause453,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++ndr1_1(a673),
     ++c9_0]).

input_clause(clause454,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c9_1(a673),
     ++c9_0]).

input_clause(clause455,conjecture,
    [--ssSkC15,
     --ndr1_1(U),
     --c1_2(U,a671),
     --c3_1(U),
     --ndr1_0,
     --c9_0,
     ++c10_2(U,V),
     ++c7_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause456,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c7_1(a648),
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c2_1(U),
     ++c6_0]).

input_clause(clause457,conjecture,
    [--ssSkC6,
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++ndr1_1(a633)]).

input_clause(clause458,conjecture,
    [--ssSkC6,
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c10_1(a633)]).

input_clause(clause459,conjecture,
    [--c8_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c2_0,
     ++c1_0]).

input_clause(clause460,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c7_1(a755),
     --c10_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c10_1(U)]).

input_clause(clause461,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c6_1(a755),
     --c10_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c10_1(U)]).

input_clause(clause462,conjecture,
    [--ssSkP11(U),
     --ssSkC32,
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a750),
     --ndr1_0,
     --c4_0,
     ++c9_2(U,V)]).

input_clause(clause463,conjecture,
    [--ssSkP11(U),
     --ssSkC32,
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a750),
     --ndr1_0,
     --c4_0,
     ++c9_2(U,V)]).

input_clause(clause464,conjecture,
    [--ssSkC22,
     --c7_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a714),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c8_2(U,V)]).

input_clause(clause465,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c3_2(a673,a674),
     ++c9_0]).

input_clause(clause466,conjecture,
    [--ssSkC6,
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c9_2(a633,a634)]).

input_clause(clause467,conjecture,
    [--ssSkC6,
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c2_1(a633),
     ++c4_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause468,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c8_2(U,W),
     ++c6_2(U,W),
     ++c4_2(U,W),
     ++c5_1(U),
     ++ndr1_1(V),
     ++c7_1(V),
     ++c6_0]).

input_clause(clause469,conjecture,
    [--c9_1(U),
     --c5_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --ndr1_1(V),
     ++c2_1(U),
     ++c4_2(V,W),
     ++c7_2(V,a619),
     ++c7_1(V),
     ++c3_0]).

input_clause(clause470,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c6_1(U),
     --ndr1_0,
     --c4_2(a673,a674),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c9_0]).

input_clause(clause471,conjecture,
    [--ssSkC6,
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     --c10_2(a633,a634),
     ++c4_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause472,conjecture,
    [--c9_2(U,V),
     --c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c4_0,
     --c3_0,
     ++c2_1(U)]).

input_clause(clause473,conjecture,
    [--c9_1(U),
     --c5_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --ndr1_1(V),
     --c3_2(V,a619),
     ++c2_1(U),
     ++c4_2(V,W),
     ++c7_1(V),
     ++c3_0]).

input_clause(clause474,conjecture,
    [--ssSkC12,
     --c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_1(W),
     ++c1_2(U,V),
     ++ndr1_1(W)]).

input_clause(clause475,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c8_2(V,a659),
     --c4_1(V),
     ++c8_2(U,W),
     ++c6_2(U,W),
     ++c4_2(U,W),
     ++c5_1(U),
     ++c7_1(V),
     ++c6_0]).

input_clause(clause476,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(V,a659),
     --c4_1(V),
     ++c8_2(U,W),
     ++c6_2(U,W),
     ++c4_2(U,W),
     ++c5_1(U),
     ++c7_1(V),
     ++c6_0]).

input_clause(clause477,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c7_2(V,a659),
     --c4_1(V),
     ++c8_2(U,W),
     ++c6_2(U,W),
     ++c4_2(U,W),
     ++c5_1(U),
     ++c7_1(V),
     ++c6_0]).

input_clause(clause478,conjecture,
    [--ssSkC12,
     --c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_1(W),
     ++c1_2(U,V),
     ++c5_2(W,a664)]).

input_clause(clause479,conjecture,
    [--ssSkC12,
     --c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_1(W),
     ++c1_2(U,V),
     ++c2_2(W,a664)]).

input_clause(clause480,conjecture,
    [--ssSkC12,
     --c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_1(W),
     ++c1_2(U,V),
     ++c7_2(W,a664)]).

input_clause(clause481,conjecture,
    [--ssSkC9,
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,W),
     ++c8_1(U),
     ++ndr1_1(a652)]).

input_clause(clause482,conjecture,
    [--ssSkC26,
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c10_1(U),
     --ndr1_0,
     --c7_1(W),
     --c4_1(W),
     ++c3_2(U,V),
     ++ndr1_1(W)]).

input_clause(clause483,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     --c4_0,
     --c5_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,W),
     ++c1_2(U,a667)]).

input_clause(clause484,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     --c4_0,
     --c5_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,a667)]).

input_clause(clause485,conjecture,
    [--ssSkC9,
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,W),
     ++c8_1(U),
     ++c1_2(a652,a653)]).

input_clause(clause486,conjecture,
    [--ssSkC9,
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c2_1(a652),
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,W),
     ++c8_1(U)]).

input_clause(clause487,conjecture,
    [--ssSkC9,
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c8_1(a652),
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,W),
     ++c8_1(U)]).

input_clause(clause488,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     ++c5_2(U,V),
     ++c6_2(U,W),
     ++c8_2(U,W),
     ++c9_0]).

input_clause(clause489,conjecture,
    [--ssSkC26,
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c10_1(U),
     --ndr1_0,
     --c7_1(W),
     --c4_1(W),
     ++c3_2(U,V),
     ++c9_2(W,a727)]).

input_clause(clause490,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c10_2(U,a667),
     --ndr1_0,
     --c4_0,
     --c5_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c8_2(U,W),
     ++c3_2(U,W)]).

input_clause(clause491,conjecture,
    [--ssSkC9,
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c5_2(a652,a653),
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,W),
     ++c8_1(U)]).

input_clause(clause492,conjecture,
    [--ssSkC9,
     --c3_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c10_2(a652,a653),
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,W),
     ++c8_1(U)]).

input_clause(clause493,conjecture,
    [--ssSkC0,
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c2_2(U,W),
     --c4_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c6_2(U,V),
     ++c3_2(U,a610)]).

input_clause(clause494,conjecture,
    [--ssSkC0,
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c2_2(U,W),
     --c4_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c6_2(U,V),
     ++c4_2(U,a610)]).

input_clause(clause495,conjecture,
    [--ssSkC0,
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c2_2(U,W),
     --c4_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c6_2(U,V),
     ++c9_2(U,a610)]).

input_clause(clause496,conjecture,
    [--ssSkC19,
     --c1_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c7_1(X),
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c6_2(U,W),
     ++c4_2(U,W),
     ++c1_1(U),
     ++ndr1_1(X),
     ++c4_1(X)]).

input_clause(clause497,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c7_2(a648,W),
     --c3_2(a648,W),
     --ndr1_1(a648),
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c2_1(U),
     ++c6_0]).

input_clause(clause498,conjecture,
    [--ssSkC26,
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c10_1(U),
     --ndr1_0,
     --c7_2(W,a727),
     --c7_1(W),
     --c4_1(W),
     ++c3_2(U,V)]).

input_clause(clause499,conjecture,
    [--ssSkC26,
     --c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c10_1(U),
     --ndr1_0,
     --c6_2(W,a727),
     --c7_1(W),
     --c4_1(W),
     ++c3_2(U,V)]).

input_clause(clause500,conjecture,
    [--c7_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c1_2(U,W),
     ++ndr1_1(a709)]).

input_clause(clause501,conjecture,
    [--c7_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c1_2(U,W),
     ++c8_1(a709)]).

input_clause(clause502,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     ++c10_1(U),
     ++ndr1_1(a639),
     ++c2_0]).

input_clause(clause503,conjecture,
    [--ssSkC19,
     --c1_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c7_1(X),
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c6_2(U,W),
     ++c4_2(U,W),
     ++c1_1(U),
     ++c9_2(X,a704),
     ++c4_1(X)]).

input_clause(clause504,conjecture,
    [--c7_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c1_2(U,W),
     ++c9_2(a709,a710)]).

input_clause(clause505,conjecture,
    [--c7_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c9_1(a709),
     --c1_0,
     ++c4_2(U,V),
     ++c1_2(U,W)]).

input_clause(clause506,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     ++c10_1(U),
     ++c8_2(a639,a640),
     ++c2_0]).

input_clause(clause507,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c2_1(a639),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause508,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c8_1(a639),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause509,conjecture,
    [--ssSkC19,
     --c1_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c5_2(X,a704),
     --c7_1(X),
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c6_2(U,W),
     ++c4_2(U,W),
     ++c1_1(U),
     ++c4_1(X)]).

input_clause(clause510,conjecture,
    [--ssSkC19,
     --c1_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c3_2(X,a704),
     --c7_1(X),
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c6_2(U,W),
     ++c4_2(U,W),
     ++c1_1(U),
     ++c4_1(X)]).

input_clause(clause511,conjecture,
    [--ssSkP7(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --c6_1(V),
     --ndr1_0,
     --c7_2(U,X),
     --c3_2(U,X),
     --ndr1_1(U),
     --c7_0,
     ++c7_2(V,W),
     ++c2_2(U,a716)]).

input_clause(clause512,conjecture,
    [--ssSkP7(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --c6_1(V),
     --ndr1_0,
     --c7_2(U,X),
     --c3_2(U,X),
     --ndr1_1(U),
     --c7_0,
     ++c7_2(V,W),
     ++c3_2(U,a716)]).

input_clause(clause513,conjecture,
    [--ssSkP7(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --c6_1(V),
     --ndr1_0,
     --c7_2(U,X),
     --c3_2(U,X),
     --ndr1_1(U),
     --c7_0,
     ++c7_2(V,W),
     ++c1_2(U,a716)]).

input_clause(clause514,conjecture,
    [--c7_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c8_2(a709,a710),
     --c1_0,
     ++c4_2(U,V),
     ++c1_2(U,W)]).

input_clause(clause515,conjecture,
    [--c7_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c6_2(a709,a710),
     --c1_0,
     ++c4_2(U,V),
     ++c1_2(U,W)]).

input_clause(clause516,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c3_2(a639,a640),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause517,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c1_2(a639,a640),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause518,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c8_2(a755,W),
     --c7_2(a755,W),
     --ndr1_1(a755),
     --c10_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c6_2(a755,W)]).

input_clause(clause519,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c6_1(U),
     --ndr1_0,
     --c6_2(a673,W),
     --c3_2(a673,W),
     --ndr1_1(a673),
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c4_2(a673,W),
     ++c9_0]).

input_clause(clause520,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c5_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c7_1(X),
     --c5_0,
     ++c8_1(U),
     ++ndr1_1(X),
     ++c5_1(X)]).

input_clause(clause521,conjecture,
    [--ssSkP0(U),
     --c9_2(V,W),
     --c8_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --c3_1(V),
     --ndr1_0,
     --c10_2(U,X),
     --ndr1_1(U),
     ++c2_2(V,W),
     ++c5_2(U,X),
     ++c8_2(U,X),
     ++c10_2(U,a636),
     ++c3_0]).

input_clause(clause522,conjecture,
    [--ssSkP0(U),
     --c9_2(V,W),
     --c8_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --c3_1(V),
     --ndr1_0,
     --c10_2(U,X),
     --ndr1_1(U),
     ++c2_2(V,W),
     ++c5_2(U,X),
     ++c8_2(U,X),
     ++c8_2(U,a636),
     ++c3_0]).

input_clause(clause523,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c5_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c7_1(X),
     --c5_0,
     ++c8_1(U),
     ++c8_2(X,a711),
     ++c5_1(X)]).

input_clause(clause524,conjecture,
    [--ssSkP0(U),
     --c9_2(V,W),
     --c8_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --c3_1(V),
     --ndr1_0,
     --c10_2(U,X),
     --ndr1_1(U),
     --c4_2(U,a636),
     ++c2_2(V,W),
     ++c5_2(U,X),
     ++c8_2(U,X),
     ++c3_0]).

input_clause(clause525,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c5_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c10_2(X,a711),
     --c7_1(X),
     --c5_0,
     ++c8_1(U),
     ++c5_1(X)]).

input_clause(clause526,conjecture,
    [--c7_2(U,V),
     --c2_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c5_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c2_2(X,a711),
     --c7_1(X),
     --c5_0,
     ++c8_1(U),
     ++c5_1(X)]).

input_clause(clause527,conjecture,
    [--c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     ++c7_2(U,V),
     ++c9_2(U,W),
     ++c1_2(X,Y),
     ++c6_2(X,Y),
     ++c1_2(X,a620),
     ++c9_0]).

input_clause(clause528,conjecture,
    [--c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     ++c7_2(U,V),
     ++c9_2(U,W),
     ++c1_2(X,Y),
     ++c6_2(X,Y),
     ++c5_2(X,a620),
     ++c9_0]).

input_clause(clause529,conjecture,
    [--c6_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c10_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c3_2(X,Y),
     --ndr1_1(X),
     --c4_2(X,a620),
     ++c7_2(U,V),
     ++c9_2(U,W),
     ++c1_2(X,Y),
     ++c6_2(X,Y),
     ++c9_0]).
%--------------------------------------------------------------------------
