%--------------------------------------------------------------------------
% File     : SYN423-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=002
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-002.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.25 v2.6.0, 0.33 v2.5.0, 0.20 v2.4.0, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  629 ( 368 non-Horn;   2 unit; 556 RR)
%            Number of literals   : 2605 (   0 equality)
%            Maximal clause size  :   17 (   4 average)
%            Number of predicates :   86 (  53 propositional; 0-2 arity)
%            Number of functors   :  187 ( 187 constant; 0-0 arity)
%            Number of variables  :  447 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c6_0]).

input_clause(clause2,conjecture,
    [--ssSkC39,++ndr1_0]).

input_clause(clause3,conjecture,
    [--ssSkC38,++ndr1_0]).

input_clause(clause4,conjecture,
    [--ssSkC30,++ndr1_0]).

input_clause(clause5,conjecture,
    [--ssSkC25,++ndr1_0]).

input_clause(clause6,conjecture,
    [--ssSkC12,++ndr1_0]).

input_clause(clause7,conjecture,
    [--ssSkC11,++ndr1_0]).

input_clause(clause8,conjecture,
    [--ssSkC10,++ndr1_0]).

input_clause(clause9,conjecture,
    [++ndr1_0,++c7_0]).

input_clause(clause10,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause11,conjecture,
    [++ndr1_0,++c4_0]).

input_clause(clause12,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause13,conjecture,
    [++ndr1_0,++c10_0]).

input_clause(clause14,conjecture,
    [--c8_0]).

input_clause(clause15,conjecture,
    [++c10_0,++c7_0]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC41]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC40]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC39]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC38]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC37]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC35]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC29]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC27]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC25]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause26,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause27,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause28,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause29,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause30,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause31,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause32,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause33,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause34,conjecture,
    [--ssSkC40,--ssSkC41,++ndr1_0]).

input_clause(clause35,conjecture,
    [--ssSkC39,
     ++c7_1(a615)]).

input_clause(clause36,conjecture,
    [--ssSkC38,
     ++ndr1_1(a611)]).

input_clause(clause37,conjecture,
    [--ssSkC38,
     ++c6_1(a611)]).

input_clause(clause38,conjecture,
    [--ssSkC36,--ssSkC37,++ndr1_0]).

input_clause(clause39,conjecture,
    [--ssSkC34,--ssSkC35,++ndr1_0]).

input_clause(clause40,conjecture,
    [--ssSkC30,
     ++ndr1_1(a591)]).

input_clause(clause41,conjecture,
    [--ssSkC30,
     ++c6_1(a591)]).

input_clause(clause42,conjecture,
    [--ssSkC30,
     ++c9_1(a591)]).

input_clause(clause43,conjecture,
    [--c9_0,++ndr1_0]).

input_clause(clause44,conjecture,
    [--c7_0,++ndr1_0]).

input_clause(clause45,conjecture,
    [--ssSkC25,
     ++ndr1_1(a572)]).

input_clause(clause46,conjecture,
    [--c5_0,++ndr1_0]).

input_clause(clause47,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause48,conjecture,
    [--ssSkC14,++ndr1_0,++c9_0]).

input_clause(clause49,conjecture,
    [--ssSkC13,++ndr1_0,++c9_0]).

input_clause(clause50,conjecture,
    [--ssSkC12,
     ++c2_1(a516)]).

input_clause(clause51,conjecture,
    [--ssSkC12,
     ++c7_1(a516)]).

input_clause(clause52,conjecture,
    [--ssSkC11,
     ++c10_1(a513)]).

input_clause(clause53,conjecture,
    [--ssSkC11,
     ++c3_1(a513)]).

input_clause(clause54,conjecture,
    [--ssSkC10,
     ++ndr1_1(a508)]).

input_clause(clause55,conjecture,
    [--c10_0,++ndr1_0]).

input_clause(clause56,conjecture,
    [++ndr1_1(a501),
     ++c7_0]).

input_clause(clause57,conjecture,
    [++ndr1_1(a479),
     ++c5_0]).

input_clause(clause58,conjecture,
    [++ndr1_1(a470),
     ++c4_0]).

input_clause(clause59,conjecture,
    [++c8_1(a470),
     ++c4_0]).

input_clause(clause60,conjecture,
    [++ndr1_1(a465),
     ++c3_0]).

input_clause(clause61,conjecture,
    [++ndr1_1(a457),
     ++c10_0]).

input_clause(clause62,conjecture,
    [++ndr1_1(a455),
     ++c10_0]).

input_clause(clause63,conjecture,
    [++ndr1_1(a453),
     ++c10_0]).

input_clause(clause64,conjecture,
    [++c8_1(a453),
     ++c10_0]).

input_clause(clause65,conjecture,
    [--ssSkC0,++ndr1_0,++c1_0]).

input_clause(clause66,conjecture,
    [--c9_0,++c1_0]).

input_clause(clause67,conjecture,
    [--c1_0,++c7_0]).

input_clause(clause68,conjecture,
    [++ndr1_1(a617),
     ++ssSkC41]).

input_clause(clause69,conjecture,
    [++c6_1(a617),
     ++ssSkC41]).

input_clause(clause70,conjecture,
    [++c6_1(a616),
     ++ssSkC40]).

input_clause(clause71,conjecture,
    [++ndr1_1(a613),
     ++ssSkC39]).

input_clause(clause72,conjecture,
    [++c3_1(a613),
     ++ssSkC39]).

input_clause(clause73,conjecture,
    [++c8_1(a613),
     ++ssSkC39]).

input_clause(clause74,conjecture,
    [++c1_1(a610),
     ++ssSkC38]).

input_clause(clause75,conjecture,
    [++c4_1(a608),
     ++ssSkC37]).

input_clause(clause76,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause77,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause78,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause79,conjecture,
    [++ndr1_1(a586),
     ++ssSkC29]).

input_clause(clause80,conjecture,
    [++c1_1(a586),
     ++ssSkC29]).

input_clause(clause81,conjecture,
    [++ndr1_1(a579),
     ++ssSkC27]).

input_clause(clause82,conjecture,
    [++c7_1(a579),
     ++ssSkC27]).

input_clause(clause83,conjecture,
    [++c1_1(a571),
     ++ssSkC25]).

input_clause(clause84,conjecture,
    [++c6_1(a571),
     ++ssSkC25]).

input_clause(clause85,conjecture,
    [++c7_1(a571),
     ++ssSkC25]).

input_clause(clause86,conjecture,
    [++ndr1_1(a566),
     ++ssSkC24]).

input_clause(clause87,conjecture,
    [++c4_1(a566),
     ++ssSkC24]).

input_clause(clause88,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause89,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause90,conjecture,
    [++c1_1(a543),
     ++ssSkC18]).

input_clause(clause91,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause92,conjecture,
    [++c1_1(a515),
     ++ssSkC12]).

input_clause(clause93,conjecture,
    [++c8_1(a515),
     ++ssSkC12]).

input_clause(clause94,conjecture,
    [++c1_1(a499),
     ++ssSkC8]).

input_clause(clause95,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause96,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause97,conjecture,
    [++c6_1(a490),
     ++ssSkC6]).

input_clause(clause98,conjecture,
    [++c8_1(a490),
     ++ssSkC6]).

input_clause(clause99,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause100,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause101,conjecture,
    [++ndr1_1(a449),
     ++ssSkC2]).

input_clause(clause102,conjecture,
    [++c3_1(a449),
     ++ssSkC2]).

input_clause(clause103,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause104,conjecture,
    [++ndr1_1(a434),
     ++ssSkC0]).

input_clause(clause105,conjecture,
    [++c6_1(a434),
     ++ssSkC0]).

input_clause(clause106,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause107,conjecture,
    [--ssSkC40,
     --ssSkC41,
     ++c8_1(a619)]).

input_clause(clause108,conjecture,
    [--ssSkC39,
     --c1_1(a615)]).

input_clause(clause109,conjecture,
    [--ssSkC38,
     ++c1_2(a611,a612)]).

input_clause(clause110,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++ndr1_1(a604)]).

input_clause(clause111,conjecture,
    [--ssSkC30,
     ++c4_2(a591,a592)]).

input_clause(clause112,conjecture,
    [--c7_0,
     ++c1_1(a574)]).

input_clause(clause113,conjecture,
    [--ssSkC25,
     ++c8_2(a572,a573)]).

input_clause(clause114,conjecture,
    [--ssSkC25,
     --c1_1(a572)]).

input_clause(clause115,conjecture,
    [--c5_0,
     ++ndr1_1(a564)]).

input_clause(clause116,conjecture,
    [--c5_0,
     ++c10_1(a564)]).

input_clause(clause117,conjecture,
    [--ssSkC20,--c3_0,++ndr1_0]).

input_clause(clause118,conjecture,
    [--ssSkC19,--c3_0,++ndr1_0]).

input_clause(clause119,conjecture,
    [--ssSkC18,--c2_0,++ndr1_0]).

input_clause(clause120,conjecture,
    [--c1_0,
     ++ndr1_1(a528)]).

input_clause(clause121,conjecture,
    [--c1_0,
     ++c10_1(a528)]).

input_clause(clause122,conjecture,
    [--c1_0,
     ++c5_1(a528)]).

input_clause(clause123,conjecture,
    [--ssSkC14,
     ++ndr1_1(a524),
     ++c9_0]).

input_clause(clause124,conjecture,
    [--ssSkC14,
     ++c3_1(a524),
     ++c9_0]).

input_clause(clause125,conjecture,
    [--ssSkC13,
     ++ndr1_1(a521),
     ++c9_0]).

input_clause(clause126,conjecture,
    [--ssSkC12,
     --c4_1(a516)]).

input_clause(clause127,conjecture,
    [++c3_2(a501,a502),
     ++c7_0]).

input_clause(clause128,conjecture,
    [++c9_2(a501,a502),
     ++c7_0]).

input_clause(clause129,conjecture,
    [--ssSkC8,
     ++c10_1(a500),
     ++c7_0]).

input_clause(clause130,conjecture,
    [--ssSkC8,
     ++c4_1(a500),
     ++c7_0]).

input_clause(clause131,conjecture,
    [--ssSkC6,
     ++ndr1_1(a491),
     ++c5_0]).

input_clause(clause132,conjecture,
    [--ssSkC6,
     ++c8_1(a491),
     ++c5_0]).

input_clause(clause133,conjecture,
    [--ssSkC5,
     ++c3_1(a489),
     ++c5_0]).

input_clause(clause134,conjecture,
    [--ssSkC4,
     ++ndr1_1(a485),
     ++c5_0]).

input_clause(clause135,conjecture,
    [--ssSkC4,
     ++c1_1(a485),
     ++c5_0]).

input_clause(clause136,conjecture,
    [++c5_2(a479,a481),
     ++c5_0]).

input_clause(clause137,conjecture,
    [++c8_2(a479,a481),
     ++c5_0]).

input_clause(clause138,conjecture,
    [++c10_2(a479,a480),
     ++c5_0]).

input_clause(clause139,conjecture,
    [++c9_2(a479,a480),
     ++c5_0]).

input_clause(clause140,conjecture,
    [--ssSkC3,
     ++c10_1(a474),
     ++c4_0]).

input_clause(clause141,conjecture,
    [++c7_2(a470,a471),
     ++c4_0]).

input_clause(clause142,conjecture,
    [++c8_2(a470,a471),
     ++c4_0]).

input_clause(clause143,conjecture,
    [++ndr1_1(a468),
     ++c4_0,
     ++c5_0]).

input_clause(clause144,conjecture,
    [++c2_2(a465,a466),
     ++c3_0]).

input_clause(clause145,conjecture,
    [++c6_2(a465,a466),
     ++c3_0]).

input_clause(clause146,conjecture,
    [--c10_1(a465),
     ++c3_0]).

input_clause(clause147,conjecture,
    [++c1_1(a460),
     ++c2_0,
     ++c7_0]).

input_clause(clause148,conjecture,
    [++c2_1(a460),
     ++c2_0,
     ++c7_0]).

input_clause(clause149,conjecture,
    [++c10_2(a457,a459),
     ++c10_0]).

input_clause(clause150,conjecture,
    [++c1_2(a457,a458),
     ++c10_0]).

input_clause(clause151,conjecture,
    [++c8_2(a455,a456),
     ++c10_0]).

input_clause(clause152,conjecture,
    [++c7_2(a453,a454),
     ++c10_0]).

input_clause(clause153,conjecture,
    [--ssSkC2,
     ++ndr1_1(a451),
     ++c10_0]).

input_clause(clause154,conjecture,
    [++ndr1_1(a437),
     ++c10_0,
     ++c3_0]).

input_clause(clause155,conjecture,
    [--ssSkC0,
     ++c7_1(a436),
     ++c1_0]).

input_clause(clause156,conjecture,
    [--c9_0,++c10_0,++c5_0]).

input_clause(clause157,conjecture,
    [--c10_0,--c7_0]).

input_clause(clause158,conjecture,
    [--c4_0,--c5_0]).

input_clause(clause159,conjecture,
    [--c4_0,--c9_0]).

input_clause(clause160,conjecture,
    [++c10_2(a617,a618),
     ++ssSkC41]).

input_clause(clause161,conjecture,
    [--c1_1(a616),
     ++ssSkC40]).

input_clause(clause162,conjecture,
    [--c10_1(a603),
     ++ssSkC35]).

input_clause(clause163,conjecture,
    [--c6_1(a603),
     ++ssSkC35]).

input_clause(clause164,conjecture,
    [--c8_1(a603),
     ++ssSkC35]).

input_clause(clause165,conjecture,
    [++c1_2(U,a601),
     ++ssSkP11(U)]).

input_clause(clause166,conjecture,
    [++c2_2(U,a598),
     ++ssSkP10(U)]).

input_clause(clause167,conjecture,
    [++c5_2(U,a593),
     ++ssSkP9(U)]).

input_clause(clause168,conjecture,
    [++c9_2(a586,a587),
     ++ssSkC29]).

input_clause(clause169,conjecture,
    [--c7_1(a586),
     ++ssSkC29]).

input_clause(clause170,conjecture,
    [--c1_1(a579),
     ++ssSkC27]).

input_clause(clause171,conjecture,
    [++c8_2(a566,a567),
     ++ssSkC24]).

input_clause(clause172,conjecture,
    [++c2_2(U,a560),
     ++ssSkP8(U)]).

input_clause(clause173,conjecture,
    [++c5_2(U,a560),
     ++ssSkP8(U)]).

input_clause(clause174,conjecture,
    [++c6_2(U,a560),
     ++ssSkP8(U)]).

input_clause(clause175,conjecture,
    [++c1_2(U,a551),
     ++ssSkP7(U)]).

input_clause(clause176,conjecture,
    [++c2_2(U,a551),
     ++ssSkP7(U)]).

input_clause(clause177,conjecture,
    [--c1_1(a547),
     ++ssSkC20]).

input_clause(clause178,conjecture,
    [--c8_1(a547),
     ++ssSkC20]).

input_clause(clause179,conjecture,
    [--c2_1(a540),
     ++ssSkC17]).

input_clause(clause180,conjecture,
    [--c8_1(a540),
     ++ssSkC17]).

input_clause(clause181,conjecture,
    [++c8_2(U,a534),
     ++ssSkP6(U)]).

input_clause(clause182,conjecture,
    [--c7_1(a515),
     ++ssSkC12]).

input_clause(clause183,conjecture,
    [--c2_1(a499),
     ++ssSkC8]).

input_clause(clause184,conjecture,
    [++c4_2(U,a496),
     ++ssSkP5(U)]).

input_clause(clause185,conjecture,
    [++c9_2(U,a496),
     ++ssSkP5(U)]).

input_clause(clause186,conjecture,
    [++c2_2(U,a494),
     ++ssSkP4(U)]).

input_clause(clause187,conjecture,
    [++c5_2(U,a494),
     ++ssSkP4(U)]).

input_clause(clause188,conjecture,
    [++c8_2(U,a494),
     ++ssSkP4(U)]).

input_clause(clause189,conjecture,
    [--c9_1(a490),
     ++ssSkC6]).

input_clause(clause190,conjecture,
    [++c1_2(U,a475),
     ++ssSkP3(U)]).

input_clause(clause191,conjecture,
    [++c2_2(U,a472),
     ++ssSkP2(U)]).

input_clause(clause192,conjecture,
    [++c9_2(U,a472),
     ++ssSkP2(U)]).

input_clause(clause193,conjecture,
    [++c4_2(a449,a450),
     ++ssSkC2]).

input_clause(clause194,conjecture,
    [++c7_2(a449,a450),
     ++ssSkC2]).

input_clause(clause195,conjecture,
    [++c1_2(U,a446),
     ++ssSkP1(U)]).

input_clause(clause196,conjecture,
    [++c1_2(U,a431),
     ++ssSkP0(U)]).

input_clause(clause197,conjecture,
    [++c6_2(U,a431),
     ++ssSkP0(U)]).

input_clause(clause198,conjecture,
    [--ssSkC40,
     --ssSkC41,
     --c3_1(a619)]).

input_clause(clause199,conjecture,
    [--ssSkC38,
     --c5_2(a611,a612)]).

input_clause(clause200,conjecture,
    [--ssSkC38,
     --c7_2(a611,a612)]).

input_clause(clause201,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --c3_1(a609)]).

input_clause(clause202,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++c8_2(a604,a606)]).

input_clause(clause203,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++c7_2(a604,a605)]).

input_clause(clause204,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c6_1(a604)]).

input_clause(clause205,conjecture,
    [--ssSkC30,
     --c1_2(a591,a592)]).

input_clause(clause206,conjecture,
    [--ssSkC30,
     --c7_2(a591,a592)]).

input_clause(clause207,conjecture,
    [--c10_1(a574),
     --c7_0]).

input_clause(clause208,conjecture,
    [--c3_1(a574),
     --c7_0]).

input_clause(clause209,conjecture,
    [--ssSkC25,
     --c1_2(a572,a573)]).

input_clause(clause210,conjecture,
    [--ssSkC25,
     --c10_2(a572,a573)]).

input_clause(clause211,conjecture,
    [--ssSkC24,
     --c5_0,
     ++ndr1_1(a568)]).

input_clause(clause212,conjecture,
    [--c5_0,
     ++c10_2(a564,a565)]).

input_clause(clause213,conjecture,
    [--c5_0,
     ++c4_2(a564,a565)]).

input_clause(clause214,conjecture,
    [--c1_1(a564),
     --c5_0]).

input_clause(clause215,conjecture,
    [--ssSkC22,
     --c5_0,
     ++c4_1(a558)]).

input_clause(clause216,conjecture,
    [--ssSkC20,
     --c3_0,
     ++ndr1_1(a548)]).

input_clause(clause217,conjecture,
    [--ssSkC19,
     --c3_0,
     ++c3_1(a546)]).

input_clause(clause218,conjecture,
    [--ssSkC18,
     --c2_0,
     ++c2_1(a544)]).

input_clause(clause219,conjecture,
    [--ssSkC18,
     --c2_0,
     ++c6_1(a544)]).

input_clause(clause220,conjecture,
    [--ssSkC16,
     --c10_0,
     ++c3_1(a539)]).

input_clause(clause221,conjecture,
    [--ssSkC15,
     --c1_0,
     ++ndr1_1(a531)]).

input_clause(clause222,conjecture,
    [--ssSkC15,
     --c1_0,
     ++c8_1(a531)]).

input_clause(clause223,conjecture,
    [--c1_0,
     ++c4_2(a528,a529)]).

input_clause(clause224,conjecture,
    [--c1_0,
     ++c7_2(a528,a529)]).

input_clause(clause225,conjecture,
    [--c1_0,
     ++c9_2(a528,a529)]).

input_clause(clause226,conjecture,
    [--ssSkC14,
     ++c3_2(a524,a525),
     ++c9_0]).

input_clause(clause227,conjecture,
    [--ssSkC14,
     ++c7_2(a524,a525),
     ++c9_0]).

input_clause(clause228,conjecture,
    [--ssSkC13,
     ++c3_2(a521,a522),
     ++c9_0]).

input_clause(clause229,conjecture,
    [--ssSkC13,
     ++c8_2(a521,a522),
     ++c9_0]).

input_clause(clause230,conjecture,
    [--ssSkC13,
     ++c9_2(a521,a522),
     ++c9_0]).

input_clause(clause231,conjecture,
    [--c1_0,
     ++c3_1(a517),
     ++c9_0]).

input_clause(clause232,conjecture,
    [--ssSkC10,
     --c2_2(a508,a509)]).

input_clause(clause233,conjecture,
    [--ssSkC10,
     --c5_2(a508,a509)]).

input_clause(clause234,conjecture,
    [--ssSkC10,
     --c9_2(a508,a509)]).

input_clause(clause235,conjecture,
    [--c6_1(a503),
     --c10_0]).

input_clause(clause236,conjecture,
    [--c2_2(a501,a502),
     ++c7_0]).

input_clause(clause237,conjecture,
    [--ssSkC7,
     --c2_1(a498),
     ++c7_0]).

input_clause(clause238,conjecture,
    [--ssSkC7,
     --c6_1(a498),
     ++c7_0]).

input_clause(clause239,conjecture,
    [--c5_0,
     ++c2_1(a493),
     ++c7_0]).

input_clause(clause240,conjecture,
    [--ssSkC6,
     ++c3_2(a491,a492),
     ++c5_0]).

input_clause(clause241,conjecture,
    [--ssSkC6,
     --c4_1(a491),
     ++c5_0]).

input_clause(clause242,conjecture,
    [--ssSkC5,
     --c8_1(a489),
     ++c5_0]).

input_clause(clause243,conjecture,
    [--ssSkC4,
     ++c5_2(a485,a486),
     ++c5_0]).

input_clause(clause244,conjecture,
    [--ssSkC4,
     ++c7_2(a485,a486),
     ++c5_0]).

input_clause(clause245,conjecture,
    [--c7_0,
     ++c6_1(a483),
     ++c5_0]).

input_clause(clause246,conjecture,
    [--c7_0,
     ++c2_1(a482),
     ++c5_0]).

input_clause(clause247,conjecture,
    [--c4_2(a479,a481),
     ++c5_0]).

input_clause(clause248,conjecture,
    [--c1_0,
     ++c9_1(a477),
     ++c5_0]).

input_clause(clause249,conjecture,
    [--ssSkC3,
     --c8_1(a474),
     ++c4_0]).

input_clause(clause250,conjecture,
    [++c6_2(a468,a469),
     ++c4_0,
     ++c5_0]).

input_clause(clause251,conjecture,
    [++c9_2(a468,a469),
     ++c4_0,
     ++c5_0]).

input_clause(clause252,conjecture,
    [--c6_1(a468),
     ++c4_0,
     ++c5_0]).

input_clause(clause253,conjecture,
    [--c1_2(a465,a466),
     ++c3_0]).

input_clause(clause254,conjecture,
    [--c7_0,
     ++ndr1_1(a461),
     ++c2_0]).

input_clause(clause255,conjecture,
    [--c5_1(a460),
     ++c2_0,
     ++c7_0]).

input_clause(clause256,conjecture,
    [--c2_2(a457,a459),
     ++c10_0]).

input_clause(clause257,conjecture,
    [--c4_2(a457,a459),
     ++c10_0]).

input_clause(clause258,conjecture,
    [--c8_2(a457,a458),
     ++c10_0]).

input_clause(clause259,conjecture,
    [--c2_2(a455,a456),
     ++c10_0]).

input_clause(clause260,conjecture,
    [--c4_2(a455,a456),
     ++c10_0]).

input_clause(clause261,conjecture,
    [--c2_2(a453,a454),
     ++c10_0]).

input_clause(clause262,conjecture,
    [--c5_2(a453,a454),
     ++c10_0]).

input_clause(clause263,conjecture,
    [--ssSkC2,
     ++c5_2(a451,a452),
     ++c10_0]).

input_clause(clause264,conjecture,
    [--ssSkC2,
     --c6_1(a451),
     ++c10_0]).

input_clause(clause265,conjecture,
    [--ssSkC1,
     --c9_1(a448),
     ++c10_0]).

input_clause(clause266,conjecture,
    [--c7_0,
     ++ndr1_1(a443),
     ++c10_0]).

input_clause(clause267,conjecture,
    [--c7_0,
     ++c4_1(a443),
     ++c10_0]).

input_clause(clause268,conjecture,
    [++c9_2(a437,a438),
     ++c10_0,
     ++c3_0]).

input_clause(clause269,conjecture,
    [--c1_1(a437),
     ++c10_0,
     ++c3_0]).

input_clause(clause270,conjecture,
    [--ssSkC0,
     --c3_1(a436),
     ++c1_0]).

input_clause(clause271,conjecture,
    [--ssSkC0,
     --c9_1(a436),
     ++c1_0]).

input_clause(clause272,conjecture,
    [--c4_0,--c7_0,++c2_0]).

input_clause(clause273,conjecture,
    [--c4_0,--c7_0,++c3_0]).

input_clause(clause274,conjecture,
    [--c8_2(a617,a618),
     ++ssSkC41]).

input_clause(clause275,conjecture,
    [--c9_2(a617,a618),
     ++ssSkC41]).

input_clause(clause276,conjecture,
    [--c2_2(a613,a614),
     ++ssSkC39]).

input_clause(clause277,conjecture,
    [--c4_2(a613,a614),
     ++ssSkC39]).

input_clause(clause278,conjecture,
    [--c7_2(a613,a614),
     ++ssSkC39]).

input_clause(clause279,conjecture,
    [--c2_2(U,a601),
     ++ssSkP11(U)]).

input_clause(clause280,conjecture,
    [--c4_2(U,a601),
     ++ssSkP11(U)]).

input_clause(clause281,conjecture,
    [--c10_2(U,a598),
     ++ssSkP10(U)]).

input_clause(clause282,conjecture,
    [--c6_2(U,a598),
     ++ssSkP10(U)]).

input_clause(clause283,conjecture,
    [--c6_2(U,a593),
     ++ssSkP9(U)]).

input_clause(clause284,conjecture,
    [--c7_2(U,a593),
     ++ssSkP9(U)]).

input_clause(clause285,conjecture,
    [--c3_2(a586,a587),
     ++ssSkC29]).

input_clause(clause286,conjecture,
    [--c8_2(a586,a587),
     ++ssSkC29]).

input_clause(clause287,conjecture,
    [--c1_2(a579,a580),
     ++ssSkC27]).

input_clause(clause288,conjecture,
    [--c3_2(a579,a580),
     ++ssSkC27]).

input_clause(clause289,conjecture,
    [--c9_2(a579,a580),
     ++ssSkC27]).

input_clause(clause290,conjecture,
    [--c7_2(a566,a567),
     ++ssSkC24]).

input_clause(clause291,conjecture,
    [--c7_2(U,a551),
     ++ssSkP7(U)]).

input_clause(clause292,conjecture,
    [--c4_2(U,a534),
     ++ssSkP6(U)]).

input_clause(clause293,conjecture,
    [--c5_2(U,a534),
     ++ssSkP6(U)]).

input_clause(clause294,conjecture,
    [--c7_2(U,a496),
     ++ssSkP5(U)]).

input_clause(clause295,conjecture,
    [--c7_2(U,a475),
     ++ssSkP3(U)]).

input_clause(clause296,conjecture,
    [--c3_2(U,a472),
     ++ssSkP2(U)]).

input_clause(clause297,conjecture,
    [--c9_2(a449,a450),
     ++ssSkC2]).

input_clause(clause298,conjecture,
    [--c6_2(U,a446),
     ++ssSkP1(U)]).

input_clause(clause299,conjecture,
    [--c9_2(U,a446),
     ++ssSkP1(U)]).

input_clause(clause300,conjecture,
    [--c1_2(a434,a435),
     ++ssSkC0]).

input_clause(clause301,conjecture,
    [--c5_2(a434,a435),
     ++ssSkC0]).

input_clause(clause302,conjecture,
    [--c8_2(a434,a435),
     ++ssSkC0]).

input_clause(clause303,conjecture,
    [--c10_2(U,a431),
     ++ssSkP0(U)]).

input_clause(clause304,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c2_2(a604,a606)]).

input_clause(clause305,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c3_2(a604,a606)]).

input_clause(clause306,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c3_2(a604,a605)]).

input_clause(clause307,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c4_2(a604,a605)]).

input_clause(clause308,conjecture,
    [--ssSkC24,
     --c5_0,
     ++c5_2(a568,a570)]).

input_clause(clause309,conjecture,
    [--ssSkC24,
     --c5_0,
     ++c8_2(a568,a570)]).

input_clause(clause310,conjecture,
    [--ssSkC24,
     --c5_0,
     ++c10_2(a568,a569)]).

input_clause(clause311,conjecture,
    [--ssSkC24,
     --c5_0,
     ++c3_2(a568,a569)]).

input_clause(clause312,conjecture,
    [--ssSkC24,
     --c5_0,
     ++c9_2(a568,a569)]).

input_clause(clause313,conjecture,
    [--ssSkC24,
     --c7_1(a568),
     --c5_0]).

input_clause(clause314,conjecture,
    [--ssSkC22,
     --c9_1(a558),
     --c5_0]).

input_clause(clause315,conjecture,
    [--c5_0,
     --c9_0,
     ++ndr1_1(a553)]).

input_clause(clause316,conjecture,
    [--c5_0,
     --c9_0,
     ++c3_1(a553)]).

input_clause(clause317,conjecture,
    [--c5_0,
     --c9_0,
     ++c5_1(a553)]).

input_clause(clause318,conjecture,
    [--ssSkC20,
     --c3_0,
     ++c6_2(a548,a549)]).

input_clause(clause319,conjecture,
    [--ssSkC20,
     --c3_0,
     ++c9_2(a548,a549)]).

input_clause(clause320,conjecture,
    [--ssSkC18,
     --c1_1(a544),
     --c2_0]).

input_clause(clause321,conjecture,
    [--ssSkC17,
     --c5_1(a541),
     --c10_0]).

input_clause(clause322,conjecture,
    [--ssSkC17,
     --c8_1(a541),
     --c10_0]).

input_clause(clause323,conjecture,
    [--ssSkC16,
     --c9_1(a539),
     --c10_0]).

input_clause(clause324,conjecture,
    [--c10_0,
     --c5_0,
     ++ndr1_1(a536)]).

input_clause(clause325,conjecture,
    [--c10_0,
     --c5_0,
     ++c10_1(a536)]).

input_clause(clause326,conjecture,
    [--ssSkC15,
     --c1_0,
     ++c10_2(a531,a532)]).

input_clause(clause327,conjecture,
    [--ssSkC15,
     --c5_1(a531),
     --c1_0]).

input_clause(clause328,conjecture,
    [--c1_0,
     --c4_0,
     ++ndr1_1(a526)]).

input_clause(clause329,conjecture,
    [--ssSkC14,
     --c4_2(a524,a525),
     ++c9_0]).

input_clause(clause330,conjecture,
    [--ssSkC6,
     --c1_2(a491,a492),
     ++c5_0]).

input_clause(clause331,conjecture,
    [--ssSkC6,
     --c4_2(a491,a492),
     ++c5_0]).

input_clause(clause332,conjecture,
    [--ssSkC4,
     --c2_2(a485,a487),
     ++c5_0]).

input_clause(clause333,conjecture,
    [--ssSkC4,
     --c3_2(a485,a487),
     ++c5_0]).

input_clause(clause334,conjecture,
    [--ssSkC4,
     --c8_2(a485,a487),
     ++c5_0]).

input_clause(clause335,conjecture,
    [--ssSkC4,
     --c6_2(a485,a486),
     ++c5_0]).

input_clause(clause336,conjecture,
    [--c3_1(a483),
     --c7_0,
     ++c5_0]).

input_clause(clause337,conjecture,
    [--c5_1(a482),
     --c7_0,
     ++c5_0]).

input_clause(clause338,conjecture,
    [--c10_1(a477),
     --c1_0,
     ++c5_0]).

input_clause(clause339,conjecture,
    [--c3_1(a477),
     --c1_0,
     ++c5_0]).

input_clause(clause340,conjecture,
    [--c7_2(a468,a469),
     ++c4_0,
     ++c5_0]).

input_clause(clause341,conjecture,
    [--c3_1(a461),
     --c7_0,
     ++c2_0]).

input_clause(clause342,conjecture,
    [--c4_1(a461),
     --c7_0,
     ++c2_0]).

input_clause(clause343,conjecture,
    [--ssSkC2,
     --c6_2(a451,a452),
     ++c10_0]).

input_clause(clause344,conjecture,
    [--ssSkC2,
     --c9_2(a451,a452),
     ++c10_0]).

input_clause(clause345,conjecture,
    [--c7_0,
     ++c5_2(a443,a445),
     ++c10_0]).

input_clause(clause346,conjecture,
    [--c7_0,
     ++c1_2(a443,a444),
     ++c10_0]).

input_clause(clause347,conjecture,
    [--c4_2(a437,a438),
     ++c10_0,
     ++c3_0]).

input_clause(clause348,conjecture,
    [--c8_2(a437,a438),
     ++c10_0,
     ++c3_0]).

input_clause(clause349,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC4]).

input_clause(clause350,conjecture,
    [--ssSkC32,
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause351,conjecture,
    [--ssSkC24,
     --c7_2(a568,a570),
     --c5_0]).

input_clause(clause352,conjecture,
    [--c5_0,
     --c9_0,
     ++c1_2(a553,a554)]).

input_clause(clause353,conjecture,
    [--c5_0,
     --c9_0,
     ++c2_2(a553,a554)]).

input_clause(clause354,conjecture,
    [--ssSkC20,
     --c5_2(a548,a549),
     --c3_0]).

input_clause(clause355,conjecture,
    [--c10_0,
     --c5_0,
     ++c1_2(a536,a537)]).

input_clause(clause356,conjecture,
    [--c10_0,
     --c5_0,
     ++c2_2(a536,a537)]).

input_clause(clause357,conjecture,
    [--c6_1(a536),
     --c10_0,
     --c5_0]).

input_clause(clause358,conjecture,
    [--ssSkC15,
     --c8_2(a531,a532),
     --c1_0]).

input_clause(clause359,conjecture,
    [--ssSkC15,
     --c9_2(a531,a532),
     --c1_0]).

input_clause(clause360,conjecture,
    [--c1_0,
     --c4_0,
     ++c9_2(a526,a527)]).

input_clause(clause361,conjecture,
    [--c1_2(a461,a462),
     --c7_0,
     ++c2_0]).

input_clause(clause362,conjecture,
    [--c3_2(a461,a462),
     --c7_0,
     ++c2_0]).

input_clause(clause363,conjecture,
    [--c8_2(a461,a462),
     --c7_0,
     ++c2_0]).

input_clause(clause364,conjecture,
    [--c10_2(a443,a445),
     --c7_0,
     ++c10_0]).

input_clause(clause365,conjecture,
    [--c8_2(a443,a445),
     --c7_0,
     ++c10_0]).

input_clause(clause366,conjecture,
    [--c4_2(a443,a444),
     --c7_0,
     ++c10_0]).

input_clause(clause367,conjecture,
    [--c3_1(U),
     --c9_1(U),
     --ndr1_0]).

input_clause(clause368,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U)]).

input_clause(clause369,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC14]).

input_clause(clause370,conjecture,
    [--ndr1_0,
     ++c4_2(U,a484),
     ++c2_1(U),
     ++ssSkC4]).

input_clause(clause371,conjecture,
    [--ndr1_0,
     ++c5_2(U,a484),
     ++c2_1(U),
     ++ssSkC4]).

input_clause(clause372,conjecture,
    [--ndr1_0,
     ++c9_2(U,a484),
     ++c2_1(U),
     ++ssSkC4]).

input_clause(clause373,conjecture,
    [--ssSkC32,
     --c7_1(U),
     --ndr1_0,
     ++c10_2(U,a597)]).

input_clause(clause374,conjecture,
    [--c3_2(a553,a554),
     --c5_0,
     --c9_0]).

input_clause(clause375,conjecture,
    [--c7_2(a536,a537),
     --c10_0,
     --c5_0]).

input_clause(clause376,conjecture,
    [--c1_2(a526,a527),
     --c1_0,
     --c4_0]).

input_clause(clause377,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c8_1(U),
     ++ssSkC32]).

input_clause(clause378,conjecture,
    [--ssSkP9(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC31]).

input_clause(clause379,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++ssSkC1]).

input_clause(clause380,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_2(U,a504),
     ++c2_1(U)]).

input_clause(clause381,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c3_2(U,a504),
     ++c2_1(U)]).

input_clause(clause382,conjecture,
    [--ssSkP3(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause383,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c9_1(U),
     ++c10_0]).

input_clause(clause384,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c9_2(U,a523),
     ++ssSkC14]).

input_clause(clause385,conjecture,
    [--ssSkC32,
     --c3_2(U,a597),
     --c7_1(U),
     --ndr1_0]).

input_clause(clause386,conjecture,
    [--ssSkC32,
     --c5_2(U,a597),
     --c7_1(U),
     --ndr1_0]).

input_clause(clause387,conjecture,
    [--ndr1_0,
     --c10_0,
     --c4_0,
     ++ndr1_1(U),
     ++c7_1(U)]).

input_clause(clause388,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c10_0]).

input_clause(clause389,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_1(U),
     ++c2_0]).

input_clause(clause390,conjecture,
    [--ssSkP11(U),
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC34]).

input_clause(clause391,conjecture,
    [--ssSkP10(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC33]).

input_clause(clause392,conjecture,
    [--ssSkP9(U),
     --ndr1_0,
     ++c9_2(U,a594),
     ++c4_1(U),
     ++ssSkC31]).

input_clause(clause393,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++ssSkC26]).

input_clause(clause394,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC22]).

input_clause(clause395,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC21]).

input_clause(clause396,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC16]).

input_clause(clause397,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC10]).

input_clause(clause398,conjecture,
    [--ssSkP5(U),
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC7]).

input_clause(clause399,conjecture,
    [--ssSkP2(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC3]).

input_clause(clause400,conjecture,
    [--ndr1_0,
     --c3_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause401,conjecture,
    [--ssSkP3(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,a476),
     ++c5_0]).

input_clause(clause402,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++c10_0,
     ++c4_0]).

input_clause(clause403,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_0,
     ++c5_0]).

input_clause(clause404,conjecture,
    [--c10_2(U,a523),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC14]).

input_clause(clause405,conjecture,
    [--c2_2(U,a523),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC14]).

input_clause(clause406,conjecture,
    [--ndr1_1(a449),
     ++c3_2(a449,U),
     ++c6_2(a449,U),
     ++ssSkC2]).

input_clause(clause407,conjecture,
    [--ndr1_0,
     --c10_0,
     --c4_0,
     ++c10_2(U,a533),
     ++c7_1(U)]).

input_clause(clause408,conjecture,
    [--ndr1_0,
     --c10_0,
     --c4_0,
     ++c5_2(U,a533),
     ++c7_1(U)]).

input_clause(clause409,conjecture,
    [--ndr1_0,
     --c10_0,
     --c4_0,
     ++c8_2(U,a533),
     ++c7_1(U)]).

input_clause(clause410,conjecture,
    [--ssSkC10,
     --c6_2(a508,U),
     --ndr1_1(a508),
     ++c8_2(a508,U)]).

input_clause(clause411,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c10_2(U,a442),
     ++c10_0]).

input_clause(clause412,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,a442),
     ++c10_0]).

input_clause(clause413,conjecture,
    [--ssSkP11(U),
     --c4_1(U),
     --ndr1_0,
     ++c6_2(U,a602),
     ++ssSkC34]).

input_clause(clause414,conjecture,
    [--ssSkP11(U),
     --c4_1(U),
     --ndr1_0,
     ++c7_2(U,a602),
     ++ssSkC34]).

input_clause(clause415,conjecture,
    [--ssSkP11(U),
     --c4_1(U),
     --ndr1_0,
     ++c9_2(U,a602),
     ++ssSkC34]).

input_clause(clause416,conjecture,
    [--ssSkP10(U),
     --c10_1(U),
     --ndr1_0,
     ++c6_2(U,a599),
     ++ssSkC33]).

input_clause(clause417,conjecture,
    [--c2_2(U,a596),
     --ndr1_0,
     ++c5_1(U),
     ++c8_1(U),
     ++ssSkC32]).

input_clause(clause418,conjecture,
    [--c5_2(U,a596),
     --ndr1_0,
     ++c5_1(U),
     ++c8_1(U),
     ++ssSkC32]).

input_clause(clause419,conjecture,
    [--ssSkP9(U),
     --c10_2(U,a594),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC31]).

input_clause(clause420,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c5_2(U,a576),
     ++c8_1(U),
     ++ssSkC26]).

input_clause(clause421,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c10_2(U,a557),
     ++c2_1(U),
     ++ssSkC22]).

input_clause(clause422,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c5_2(U,a557),
     ++c2_1(U),
     ++ssSkC22]).

input_clause(clause423,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c1_2(U,a555),
     ++c1_1(U),
     ++ssSkC21]).

input_clause(clause424,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c2_2(U,a538),
     ++c3_1(U),
     ++ssSkC16]).

input_clause(clause425,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c5_2(U,a538),
     ++c3_1(U),
     ++ssSkC16]).

input_clause(clause426,conjecture,
    [--c1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC15]).

input_clause(clause427,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c1_2(U,a507),
     ++c9_1(U),
     ++ssSkC10]).

input_clause(clause428,conjecture,
    [--ssSkP5(U),
     --c4_1(U),
     --ndr1_0,
     ++c5_2(U,a497),
     ++ssSkC7]).

input_clause(clause429,conjecture,
    [--c3_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC5]).

input_clause(clause430,conjecture,
    [--ssSkP2(U),
     --c5_1(U),
     --ndr1_0,
     ++c5_2(U,a473),
     ++ssSkC3]).

input_clause(clause431,conjecture,
    [--ssSkP2(U),
     --c5_1(U),
     --ndr1_0,
     ++c8_2(U,a473),
     ++ssSkC3]).

input_clause(clause432,conjecture,
    [--ssSkP2(U),
     --c5_1(U),
     --ndr1_0,
     ++c9_2(U,a473),
     ++ssSkC3]).

input_clause(clause433,conjecture,
    [--ssSkP1(U),
     --c10_2(U,a447),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC1]).

input_clause(clause434,conjecture,
    [--ssSkP1(U),
     --c2_2(U,a447),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC1]).

input_clause(clause435,conjecture,
    [--ssSkP1(U),
     --c3_2(U,a447),
     --ndr1_0,
     ++c10_1(U),
     ++ssSkC1]).

input_clause(clause436,conjecture,
    [--ssSkP8(U),
     --ssSkC23,
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U)]).

input_clause(clause437,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause438,conjecture,
    [--ndr1_0,
     --c3_0,
     ++c6_2(U,a478),
     ++c10_1(U),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause439,conjecture,
    [--ssSkP3(U),
     --c10_2(U,a476),
     --c2_1(U),
     --ndr1_0,
     ++c5_0]).

input_clause(clause440,conjecture,
    [--ssSkP3(U),
     --c4_2(U,a476),
     --c2_1(U),
     --ndr1_0,
     ++c5_0]).

input_clause(clause441,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++c10_2(U,a432),
     ++c1_0,
     ++c5_0]).

input_clause(clause442,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,a432),
     ++c1_0,
     ++c5_0]).

input_clause(clause443,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++c5_2(U,a432),
     ++c1_0,
     ++c5_0]).

input_clause(clause444,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --c8_2(a609,U),
     --ndr1_1(a609),
     ++c4_2(a609,U)]).

input_clause(clause445,conjecture,
    [--c7_2(U,a442),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c10_0]).

input_clause(clause446,conjecture,
    [--ssSkP10(U),
     --c1_2(U,a599),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC33]).

input_clause(clause447,conjecture,
    [--ssSkP10(U),
     --c10_2(U,a599),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC33]).

input_clause(clause448,conjecture,
    [--c6_2(U,a576),
     --c1_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC26]).

input_clause(clause449,conjecture,
    [--c7_2(U,a576),
     --c1_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC26]).

input_clause(clause450,conjecture,
    [--c4_2(U,a557),
     --c8_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC22]).

input_clause(clause451,conjecture,
    [--c2_2(U,a555),
     --c7_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC21]).

input_clause(clause452,conjecture,
    [--c6_2(U,a555),
     --c7_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC21]).

input_clause(clause453,conjecture,
    [--c1_2(U,a538),
     --c8_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC16]).

input_clause(clause454,conjecture,
    [--c1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c8_2(U,a530),
     ++ssSkC15]).

input_clause(clause455,conjecture,
    [--c2_2(U,a507),
     --c4_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC10]).

input_clause(clause456,conjecture,
    [--c5_2(U,a507),
     --c4_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC10]).

input_clause(clause457,conjecture,
    [--ssSkP5(U),
     --c2_2(U,a497),
     --c4_1(U),
     --ndr1_0,
     ++ssSkC7]).

input_clause(clause458,conjecture,
    [--ssSkP5(U),
     --c7_2(U,a497),
     --c4_1(U),
     --ndr1_0,
     ++ssSkC7]).

input_clause(clause459,conjecture,
    [--c3_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c1_2(U,a488),
     ++ssSkC5]).

input_clause(clause460,conjecture,
    [--c3_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c4_2(U,a488),
     ++ssSkC5]).

input_clause(clause461,conjecture,
    [--c3_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c5_2(U,a488),
     ++ssSkC5]).

input_clause(clause462,conjecture,
    [--ssSkC29,
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ndr1_1(a588)]).

input_clause(clause463,conjecture,
    [--ssSkC27,
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c10_1(U),
     ++ndr1_1(a581)]).

input_clause(clause464,conjecture,
    [--ndr1_0,
     --c10_1(a542),
     --c2_0,
     ++c3_1(U),
     ++c5_1(U),
     ++c7_1(U)]).

input_clause(clause465,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,a519),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause466,conjecture,
    [--c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c9_0]).

input_clause(clause467,conjecture,
    [--c4_2(U,a478),
     --ndr1_0,
     --c3_0,
     ++c10_1(U),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause468,conjecture,
    [--c7_2(U,a478),
     --ndr1_0,
     --c3_0,
     ++c10_1(U),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause469,conjecture,
    [--c4_2(U,a439),
     --c2_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c10_0,
     ++c4_0]).

input_clause(clause470,conjecture,
    [--c5_2(U,a439),
     --c2_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c10_0,
     ++c4_0]).

input_clause(clause471,conjecture,
    [--c6_2(U,a439),
     --c2_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c10_0,
     ++c4_0]).

input_clause(clause472,conjecture,
    [--c6_1(U),
     --c7_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c1_0]).

input_clause(clause473,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c5_0,
     --c9_0,
     ++c6_1(U),
     ++c7_1(U)]).

input_clause(clause474,conjecture,
    [--c5_2(a575,U),
     --c7_2(a575,U),
     --ndr1_1(a575),
     --c9_0]).

input_clause(clause475,conjecture,
    [--c10_2(U,a530),
     --c1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC15]).

input_clause(clause476,conjecture,
    [--ssSkC36,
     --ssSkC37,
     --ndr1_1(a609),
     ++c10_2(a609,U),
     ++c7_2(a609,U),
     ++c8_2(a609,U)]).

input_clause(clause477,conjecture,
    [--ssSkC29,
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c6_2(a588,a589)]).

input_clause(clause478,conjecture,
    [--ssSkC29,
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(a588),
     ++c3_1(U)]).

input_clause(clause479,conjecture,
    [--ssSkC29,
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(a588),
     ++c3_1(U)]).

input_clause(clause480,conjecture,
    [--ssSkC27,
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c10_1(U),
     ++c4_2(a581,a582)]).

input_clause(clause481,conjecture,
    [--ssSkC27,
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_1(a581),
     ++c10_1(U)]).

input_clause(clause482,conjecture,
    [--ndr1_1(a575),
     --c9_0,
     ++c1_2(a575,U),
     ++c10_2(a575,U),
     ++c7_2(a575,U)]).

input_clause(clause483,conjecture,
    [--ssSkP8(U),
     --ssSkC23,
     --c1_2(U,a561),
     --c5_1(U),
     --ndr1_0,
     --c5_0]).

input_clause(clause484,conjecture,
    [--ssSkP8(U),
     --ssSkC23,
     --c8_2(U,a561),
     --c5_1(U),
     --ndr1_0,
     --c5_0]).

input_clause(clause485,conjecture,
    [--ssSkP8(U),
     --ssSkC23,
     --c9_2(U,a561),
     --c5_1(U),
     --ndr1_0,
     --c5_0]).

input_clause(clause486,conjecture,
    [--c1_2(U,a519),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c9_1(U),
     ++c9_0]).

input_clause(clause487,conjecture,
    [--c3_2(U,a519),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c9_1(U),
     ++c9_0]).

input_clause(clause488,conjecture,
    [--c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_0,
     ++c1_2(U,a518),
     ++c9_0]).

input_clause(clause489,conjecture,
    [--c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_0,
     ++c4_2(U,a518),
     ++c9_0]).

input_clause(clause490,conjecture,
    [--c7_2(a501,U),
     --ndr1_1(a501),
     ++c6_2(a501,U),
     ++c9_2(a501,U),
     ++c7_0]).

input_clause(clause491,conjecture,
    [--c4_2(a470,U),
     --ndr1_1(a470),
     ++c3_2(a470,U),
     ++c7_2(a470,U),
     ++c4_0]).

input_clause(clause492,conjecture,
    [--c1_2(a455,U),
     --ndr1_1(a455),
     ++c3_2(a455,U),
     ++c8_2(a455,U),
     ++c10_0]).

input_clause(clause493,conjecture,
    [--c1_2(a455,U),
     --ndr1_1(a455),
     ++c3_2(a455,U),
     ++c9_2(a455,U),
     ++c10_0]).

input_clause(clause494,conjecture,
    [--c6_1(U),
     --c7_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,a433),
     ++c1_0]).

input_clause(clause495,conjecture,
    [--ssSkC19,
     --c2_2(a546,U),
     --c3_2(a546,U),
     --ndr1_1(a546),
     --c3_0]).

input_clause(clause496,conjecture,
    [--c6_2(a616,U),
     --ndr1_1(a616),
     ++c10_2(a616,U),
     ++c3_2(a616,U),
     ++ssSkC40]).

input_clause(clause497,conjecture,
    [--c9_2(a543,U),
     --ndr1_1(a543),
     ++c10_2(a543,U),
     ++c3_2(a543,U),
     ++ssSkC18]).

input_clause(clause498,conjecture,
    [--c5_2(a543,U),
     --ndr1_1(a543),
     ++c8_2(a543,U),
     ++c9_2(a543,U),
     ++ssSkC18]).

input_clause(clause499,conjecture,
    [--c6_2(a540,U),
     --ndr1_1(a540),
     ++c5_2(a540,U),
     ++c8_2(a540,U),
     ++ssSkC17]).

input_clause(clause500,conjecture,
    [--ssSkC38,
     --c6_2(a611,U),
     --c9_2(a611,U),
     --ndr1_1(a611),
     ++c5_2(a611,U)]).

input_clause(clause501,conjecture,
    [--ssSkC29,
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_2(a588,a589),
     ++c3_1(U)]).

input_clause(clause502,conjecture,
    [--ssSkC29,
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_2(a588,a589),
     ++c3_1(U)]).

input_clause(clause503,conjecture,
    [--ssSkC27,
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c10_2(a581,a582),
     ++c10_1(U)]).

input_clause(clause504,conjecture,
    [--ssSkC25,
     --c2_2(a572,U),
     --c7_2(a572,U),
     --ndr1_1(a572),
     ++c9_2(a572,U)]).

input_clause(clause505,conjecture,
    [--ssSkC20,
     --ndr1_1(a548),
     --c3_0,
     ++c4_2(a548,U),
     ++c5_2(a548,U),
     ++c6_2(a548,U)]).

input_clause(clause506,conjecture,
    [--ssSkC19,
     --ndr1_1(a546),
     --c3_0,
     ++c1_2(a546,U),
     ++c3_2(a546,U),
     ++c7_2(a546,U)]).

input_clause(clause507,conjecture,
    [--ssSkC17,
     --ndr1_1(a541),
     --c10_0,
     ++c1_2(a541,U),
     ++c3_2(a541,U),
     ++c9_2(a541,U)]).

input_clause(clause508,conjecture,
    [--ssSkC13,
     --c4_2(a521,U),
     --ndr1_1(a521),
     ++c1_2(a521,U),
     ++c3_2(a521,U),
     ++c9_0]).

input_clause(clause509,conjecture,
    [--ssSkC13,
     --c4_2(a521,U),
     --ndr1_1(a521),
     ++c1_2(a521,U),
     ++c8_2(a521,U),
     ++c9_0]).

input_clause(clause510,conjecture,
    [--c8_2(U,a518),
     --c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_0]).

input_clause(clause511,conjecture,
    [--ssSkC11,
     --c2_2(a513,U),
     --c5_2(a513,U),
     --ndr1_1(a513),
     ++c8_2(a513,U)]).

input_clause(clause512,conjecture,
    [--c7_2(a503,U),
     --ndr1_1(a503),
     --c10_0,
     ++c4_2(a503,U),
     ++c9_2(a503,U)]).

input_clause(clause513,conjecture,
    [--c1_2(a503,U),
     --ndr1_1(a503),
     --c10_0,
     ++c8_2(a503,U),
     ++c9_2(a503,U)]).

input_clause(clause514,conjecture,
    [--c1_2(a501,U),
     --c6_2(a501,U),
     --ndr1_1(a501),
     ++c3_2(a501,U),
     ++c7_0]).

input_clause(clause515,conjecture,
    [--ssSkC5,
     --c1_2(a489,U),
     --ndr1_1(a489),
     ++c3_2(a489,U),
     ++c8_2(a489,U),
     ++c5_0]).

input_clause(clause516,conjecture,
    [--ssSkC3,
     --c3_2(a474,U),
     --ndr1_1(a474),
     ++c10_2(a474,U),
     ++c4_2(a474,U),
     ++c4_0]).

input_clause(clause517,conjecture,
    [--c4_2(a468,U),
     --ndr1_1(a468),
     ++c1_2(a468,U),
     ++c9_2(a468,U),
     ++c4_0,
     ++c5_0]).

input_clause(clause518,conjecture,
    [--c3_2(a465,U),
     --c4_2(a465,U),
     --ndr1_1(a465),
     ++c8_2(a465,U),
     ++c3_0]).

input_clause(clause519,conjecture,
    [--ssSkC1,
     --c8_2(a448,U),
     --ndr1_1(a448),
     ++c1_2(a448,U),
     ++c5_2(a448,U),
     ++c10_0]).

input_clause(clause520,conjecture,
    [--c8_2(a437,U),
     --ndr1_1(a437),
     ++c10_2(a437,U),
     ++c5_2(a437,U),
     ++c10_0,
     ++c3_0]).

input_clause(clause521,conjecture,
    [--c4_2(U,a433),
     --c6_1(U),
     --c7_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_0]).

input_clause(clause522,conjecture,
    [--c6_2(U,a433),
     --c6_1(U),
     --c7_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_0]).

input_clause(clause523,conjecture,
    [--c10_2(a608,U),
     --c7_2(a608,U),
     --ndr1_1(a608),
     ++c2_2(a608,U),
     ++ssSkC37]).

input_clause(clause524,conjecture,
    [--c5_2(a434,U),
     --c9_2(a434,U),
     --ndr1_1(a434),
     ++c10_2(a434,U),
     ++ssSkC0]).

input_clause(clause525,conjecture,
    [--ssSkC40,
     --ssSkC41,
     --c4_2(a619,U),
     --c7_2(a619,U),
     --ndr1_1(a619),
     ++c3_2(a619,U)]).

input_clause(clause526,conjecture,
    [--ssSkC39,
     --c4_2(a615,U),
     --c7_2(a615,U),
     --c9_2(a615,U),
     --ndr1_1(a615)]).

input_clause(clause527,conjecture,
    [--c6_2(a575,U),
     --c9_2(a575,U),
     --ndr1_1(a575),
     --c9_0,
     ++c1_2(a575,U)]).

input_clause(clause528,conjecture,
    [--ssSkC22,
     --c3_2(a558,U),
     --ndr1_1(a558),
     --c5_0,
     ++c4_2(a558,U),
     ++c9_2(a558,U)]).

input_clause(clause529,conjecture,
    [--ssSkC21,
     --c6_2(a556,U),
     --ndr1_1(a556),
     --c5_0,
     ++c1_2(a556,U),
     ++c5_2(a556,U)]).

input_clause(clause530,conjecture,
    [--ssSkC20,
     --c7_2(a548,U),
     --ndr1_1(a548),
     --c3_0,
     ++c4_2(a548,U),
     ++c8_2(a548,U)]).

input_clause(clause531,conjecture,
    [--c6_2(a517,U),
     --ndr1_1(a517),
     --c1_0,
     ++c1_2(a517,U),
     ++c5_2(a517,U),
     ++c9_0]).

input_clause(clause532,conjecture,
    [--c5_2(a493,U),
     --ndr1_1(a493),
     --c5_0,
     ++c10_2(a493,U),
     ++c3_2(a493,U),
     ++c7_0]).

input_clause(clause533,conjecture,
    [--c10_2(a453,U),
     --c4_2(a453,U),
     --c5_2(a453,U),
     --ndr1_1(a453),
     ++c10_0]).

input_clause(clause534,conjecture,
    [--ssSkC1,
     --c4_2(a448,U),
     --c6_2(a448,U),
     --ndr1_1(a448),
     ++c1_2(a448,U),
     ++c10_0]).

input_clause(clause535,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c10_1(U),
     ++ndr1_1(a584)]).

input_clause(clause536,conjecture,
    [--c10_2(a617,U),
     --c4_2(a617,U),
     --c5_2(a617,U),
     --ndr1_1(a617),
     ++ssSkC41]).

input_clause(clause537,conjecture,
    [--c10_2(a566,U),
     --c6_2(a566,U),
     --c8_2(a566,U),
     --ndr1_1(a566),
     ++ssSkC24]).

input_clause(clause538,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c6_2(U,a559),
     ++c7_1(U),
     ++ssSkC23]).

input_clause(clause539,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,a559),
     ++c7_1(U),
     ++ssSkC23]).

input_clause(clause540,conjecture,
    [--ssSkC21,
     --c6_2(a556,U),
     --c8_2(a556,U),
     --ndr1_1(a556),
     --c5_0,
     ++c10_2(a556,U)]).

input_clause(clause541,conjecture,
    [--ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c9_2(U,V),
     ++c1_1(U),
     ++c10_0]).

input_clause(clause542,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c10_1(U),
     ++c7_2(a584,a585)]).

input_clause(clause543,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --ndr1_0,
     --c8_1(a584),
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c10_1(U)]).

input_clause(clause544,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c1_1(U),
     ++c1_0]).

input_clause(clause545,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a559),
     --ndr1_0,
     ++c10_2(U,V),
     ++c7_1(U),
     ++ssSkC23]).

input_clause(clause546,conjecture,
    [--c7_2(a526,U),
     --c9_2(a526,U),
     --ndr1_1(a526),
     --c1_0,
     --c4_0,
     ++c8_2(a526,U)]).

input_clause(clause547,conjecture,
    [--c2_2(a526,U),
     --c4_2(a526,U),
     --ndr1_1(a526),
     --c1_0,
     --c4_0,
     ++c9_2(a526,U)]).

input_clause(clause548,conjecture,
    [--c10_2(U,V),
     --c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_0]).

input_clause(clause549,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a584,a585),
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c10_1(U)]).

input_clause(clause550,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a584,a585),
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c10_1(U)]).

input_clause(clause551,conjecture,
    [--ssSkP7(U),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c9_2(U,V),
     ++c3_2(U,a552)]).

input_clause(clause552,conjecture,
    [--ndr1_0,
     --c6_2(a542,U),
     --ndr1_1(a542),
     --c2_0,
     ++c3_1(V),
     ++c5_1(V),
     ++c7_1(V),
     ++c3_2(a542,U)]).

input_clause(clause553,conjecture,
    [--c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,a511)]).

input_clause(clause554,conjecture,
    [--c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c4_2(U,a511)]).

input_clause(clause555,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_1(a467),
     ++c3_0]).

input_clause(clause556,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c5_1(a467),
     ++c3_0]).

input_clause(clause557,conjecture,
    [--c10_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,a545),
     ++ssSkC19]).

input_clause(clause558,conjecture,
    [--c10_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,a545),
     ++ssSkC19]).

input_clause(clause559,conjecture,
    [--c1_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c1_0,
     ++c5_2(U,V),
     ++c3_0]).

input_clause(clause560,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     --c7_0,
     ++c10_2(U,V),
     ++c3_1(U)]).

input_clause(clause561,conjecture,
    [--ndr1_1(U),
     --c2_2(U,a607),
     --c9_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c9_2(U,V),
     ++ssSkC36]).

input_clause(clause562,conjecture,
    [--ndr1_1(U),
     --c3_2(U,a607),
     --c9_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c9_2(U,V),
     ++ssSkC36]).

input_clause(clause563,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a607),
     --c9_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c9_2(U,V),
     ++ssSkC36]).

input_clause(clause564,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c10_2(U,a583),
     ++ssSkC28]).

input_clause(clause565,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++c4_2(U,a583),
     ++ssSkC28]).

input_clause(clause566,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c8_2(U,a520),
     ++ssSkC13]).

input_clause(clause567,conjecture,
    [--c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c6_2(U,a505),
     ++c1_1(U),
     ++ssSkC9]).

input_clause(clause568,conjecture,
    [--ssSkC31,
     --c8_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     --c3_1(a595),
     ++c1_2(U,V)]).

input_clause(clause569,conjecture,
    [--ssSkC31,
     --c8_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     --c9_1(a595),
     ++c1_2(U,V)]).

input_clause(clause570,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c4_2(U,V),
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c8_1(U),
     ++c7_1(a562)]).

input_clause(clause571,conjecture,
    [--ssSkP7(U),
     --c2_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a552),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c9_2(U,V)]).

input_clause(clause572,conjecture,
    [--ssSkP7(U),
     --c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a552),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c9_2(U,V)]).

input_clause(clause573,conjecture,
    [--ssSkP6(U),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a535),
     --ndr1_0,
     --c10_0,
     --c5_0,
     ++c5_2(U,V)]).

input_clause(clause574,conjecture,
    [--ssSkP6(U),
     --c3_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a535),
     --ndr1_0,
     --c10_0,
     --c5_0,
     ++c5_2(U,V)]).

input_clause(clause575,conjecture,
    [--ssSkP6(U),
     --c3_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a535),
     --ndr1_0,
     --c10_0,
     --c5_0,
     ++c5_2(U,V)]).

input_clause(clause576,conjecture,
    [--c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a511),
     --c2_1(U),
     --ndr1_0,
     ++c8_2(U,V)]).

input_clause(clause577,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c6_1(a510)]).

input_clause(clause578,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c7_1(a510)]).

input_clause(clause579,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c6_1(a467),
     ++c5_2(U,V),
     ++c3_0]).

input_clause(clause580,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c7_2(U,a463),
     ++c4_1(U),
     ++c3_0,
     ++c7_0]).

input_clause(clause581,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c6_2(U,V),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause582,conjecture,
    [--c10_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a545),
     --ndr1_0,
     ++ssSkC19]).

input_clause(clause583,conjecture,
    [--c5_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a590),
     --ndr1_0,
     ++c3_2(U,V),
     ++c3_1(U),
     ++ssSkC30]).

input_clause(clause584,conjecture,
    [--c5_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a590),
     --ndr1_0,
     ++c3_2(U,V),
     ++c3_1(U),
     ++ssSkC30]).

input_clause(clause585,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a583),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c6_2(U,V),
     ++ssSkC28]).

input_clause(clause586,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a520),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++ssSkC13]).

input_clause(clause587,conjecture,
    [--c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a505),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_1(U),
     ++ssSkC9]).

input_clause(clause588,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c10_1(a562),
     --c5_0,
     ++c4_2(U,V),
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c8_1(U)]).

input_clause(clause589,conjecture,
    [--c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a550),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,V),
     ++c3_1(U)]).

input_clause(clause590,conjecture,
    [--c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a550),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,V),
     ++c3_1(U)]).

input_clause(clause591,conjecture,
    [--c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a550),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,V),
     ++c3_1(U)]).

input_clause(clause592,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_1(a510),
     ++c3_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause593,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,V),
     ++c3_2(U,a464),
     ++c6_1(U),
     ++c3_0]).

input_clause(clause594,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,V),
     ++c7_2(U,a464),
     ++c6_1(U),
     ++c3_0]).

input_clause(clause595,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a463),
     --ndr1_0,
     ++c9_2(U,V),
     ++c4_1(U),
     ++c3_0,
     ++c7_0]).

input_clause(clause596,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a463),
     --ndr1_0,
     ++c9_2(U,V),
     ++c4_1(U),
     ++c3_0,
     ++c7_0]).

input_clause(clause597,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c8_2(U,V),
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c9_2(U,W),
     ++c6_1(U),
     ++c4_0]).

input_clause(clause598,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,a512),
     ++ssSkC11]).

input_clause(clause599,conjecture,
    [--c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a464),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,V),
     ++c6_1(U),
     ++c3_0]).

input_clause(clause600,conjecture,
    [--c10_2(U,V),
     --c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_0,
     ++c9_1(U),
     ++c4_0]).

input_clause(clause601,conjecture,
    [--ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c9_2(U,V),
     ++c10_2(U,W),
     ++c2_2(U,W),
     ++c7_2(U,W),
     ++c10_1(a514)]).

input_clause(clause602,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a512),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC11]).

input_clause(clause603,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a512),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC11]).

input_clause(clause604,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_1(W),
     --c3_0,
     ++c6_2(U,V),
     ++c10_1(U),
     ++c3_1(U),
     ++c1_1(W)]).

input_clause(clause605,conjecture,
    [--ssSkC27,
     --c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_2(a581,V),
     --c8_2(a581,V),
     --ndr1_1(a581),
     ++c10_1(U),
     ++c1_2(a581,V)]).

input_clause(clause606,conjecture,
    [--ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_1(a514),
     ++c3_2(U,V),
     ++c8_2(U,V),
     ++c9_2(U,V),
     ++c10_2(U,W),
     ++c2_2(U,W),
     ++c7_2(U,W)]).

input_clause(clause607,conjecture,
    [--ssSkC9,
     --c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,W),
     ++c3_2(U,W),
     ++c6_2(U,a506)]).

input_clause(clause608,conjecture,
    [--ssSkP4(U),
     --c1_1(V),
     --c10_1(V),
     --ndr1_0,
     --c3_2(U,W),
     --ndr1_1(U),
     --c1_2(U,a495),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c7_0]).

input_clause(clause609,conjecture,
    [--ssSkP4(U),
     --c1_1(V),
     --c10_1(V),
     --ndr1_0,
     --c3_2(U,W),
     --ndr1_1(U),
     --c3_2(U,a495),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c7_0]).

input_clause(clause610,conjecture,
    [--ssSkP4(U),
     --c1_1(V),
     --c10_1(V),
     --ndr1_0,
     --c3_2(U,W),
     --ndr1_1(U),
     --c4_2(U,a495),
     ++c6_2(U,W),
     ++c7_2(U,W),
     ++c7_0]).

input_clause(clause611,conjecture,
    [--ssSkC9,
     --c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c1_2(U,a506),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,W),
     ++c3_2(U,W)]).

input_clause(clause612,conjecture,
    [--ssSkC9,
     --c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c8_2(U,a506),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,W),
     ++c3_2(U,W)]).

input_clause(clause613,conjecture,
    [--ssSkC31,
     --c8_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c8_1(U),
     --ndr1_0,
     --ndr1_1(a595),
     ++c1_2(U,V),
     ++c1_2(a595,W),
     ++c9_2(a595,W)]).

input_clause(clause614,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c10_2(U,W),
     ++c4_1(a563)]).

input_clause(clause615,conjecture,
    [--ssSkC28,
     --ndr1_1(U),
     --ndr1_0,
     --c7_2(a584,V),
     --ndr1_1(a584),
     ++c10_2(U,W),
     ++c2_2(U,W),
     ++c8_2(U,W),
     ++c10_1(U),
     ++c2_2(a584,V),
     ++c9_2(a584,V)]).

input_clause(clause616,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c8_1(a563),
     --c5_0,
     ++c5_2(U,V),
     ++c10_2(U,W)]).

input_clause(clause617,conjecture,
    [--c1_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(W),
     --c8_1(W),
     --c10_0,
     ++c10_2(U,V),
     ++c9_1(U),
     ++c10_1(W)]).

input_clause(clause618,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c10_2(a562,V),
     --c8_2(a562,V),
     --ndr1_1(a562),
     --c5_0,
     ++c4_2(U,W),
     ++c6_2(U,W),
     ++c8_2(U,W),
     ++c8_1(U),
     ++c2_2(a562,V)]).

input_clause(clause619,conjecture,
    [--ssSkC26,
     --c7_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c8_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c1_2(V,X),
     --c3_2(V,X),
     ++c1_1(U),
     ++c2_1(U),
     ++c9_2(V,X),
     ++c3_2(V,a577)]).

input_clause(clause620,conjecture,
    [--ssSkC26,
     --c7_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c8_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c1_2(V,X),
     --c3_2(V,X),
     ++c1_1(U),
     ++c2_1(U),
     ++c9_2(V,X),
     ++c9_2(V,a577)]).

input_clause(clause621,conjecture,
    [--ssSkC26,
     --c7_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --c8_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c1_2(V,X),
     --c3_2(V,X),
     --c8_2(V,a577),
     ++c1_1(U),
     ++c2_1(U),
     ++c9_2(V,X)]).

input_clause(clause622,conjecture,
    [--ssSkC33,
     --c5_2(U,V),
     --c8_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c8_2(U,W),
     --c3_2(U,X),
     --c6_2(U,X),
     --ndr1_0,
     ++c9_2(U,W),
     ++c10_2(U,X),
     ++c10_1(a600)]).

input_clause(clause623,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c6_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c10_2(a563,X),
     --c2_2(a563,X),
     --ndr1_1(a563),
     --c5_0,
     ++c5_2(U,V),
     ++c10_2(U,W),
     ++c6_2(a563,X)]).

input_clause(clause624,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --ndr1_1(X),
     --c10_1(X),
     --c3_1(X),
     --c4_0,
     ++c9_2(U,W),
     ++c1_2(X,Y),
     ++c5_2(X,Y)]).

input_clause(clause625,conjecture,
    [--ssSkC33,
     --c5_2(U,V),
     --c8_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c8_2(U,W),
     --c3_2(U,X),
     --c6_2(U,X),
     --ndr1_0,
     --c1_2(a600,Y),
     --ndr1_1(a600),
     ++c9_2(U,W),
     ++c10_2(U,X),
     ++c10_2(a600,Y)]).

input_clause(clause626,conjecture,
    [--c3_1(U),
     --ndr1_1(U),
     --c5_2(U,V),
     --c10_2(U,V),
     --c10_2(W,X),
     --c1_2(U,V),
     --ndr1_0,
     --c4_1(W),
     --c4_2(W,X),
     --ndr1_1(W),
     --c5_2(W,Y),
     --c8_2(W,Y),
     --c6_2(W,Y),
     ++c8_2(W,X),
     ++c6_1(Z),
     ++c1_1(Z),
     ++ndr1_1(Z)]).

input_clause(clause627,conjecture,
    [--c3_1(U),
     --ndr1_1(U),
     --c5_2(U,V),
     --c10_2(U,V),
     --c10_2(W,X),
     --c1_2(U,V),
     --ndr1_0,
     --c4_1(W),
     --c4_2(W,X),
     --ndr1_1(W),
     --c5_2(W,Y),
     --c8_2(W,Y),
     --c6_2(W,Y),
     ++c8_2(W,X),
     ++c6_1(Z),
     ++c1_1(Z),
     ++c4_2(Z,a578)]).

input_clause(clause628,conjecture,
    [--c3_1(U),
     --ndr1_1(U),
     --c5_2(U,V),
     --c10_2(U,V),
     --c10_2(W,X),
     --c1_2(U,V),
     --ndr1_0,
     --c4_1(W),
     --c4_2(W,X),
     --ndr1_1(W),
     --c5_2(W,Y),
     --c8_2(W,Y),
     --c6_2(W,Y),
     ++c8_2(W,X),
     ++c6_1(Z),
     ++c1_1(Z),
     ++c5_2(Z,a578)]).

input_clause(clause629,conjecture,
    [--c3_1(U),
     --ndr1_1(U),
     --c5_2(U,V),
     --c10_2(U,V),
     --c10_2(W,X),
     --c1_2(U,V),
     --ndr1_0,
     --c4_1(W),
     --c4_2(W,X),
     --ndr1_1(W),
     --c5_2(W,Y),
     --c8_2(W,Y),
     --c6_2(W,Y),
     ++c8_2(W,X),
     ++c6_1(Z),
     ++c1_1(Z),
     ++c9_2(Z,a578)]).
%--------------------------------------------------------------------------
