%--------------------------------------------------------------------------
% File     : SYN429-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=093
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-093.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.25 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.33 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses    :  735 ( 464 non-Horn;   0 unit; 628 RR)
%            Number of literals   : 3403 (   0 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :   85 (  46 propositional; 0-2 arity)
%            Number of functors   :  217 ( 217 constant; 0-0 arity)
%            Number of variables  :  618 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC34,++ndr1_0]).

input_clause(clause2,conjecture,
    [--ssSkC33,++ndr1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC34]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC32]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC30]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC28]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC27]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC21]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause18,conjecture,
    [--ssSkC34,
     ++ndr1_1(a215)]).

input_clause(clause19,conjecture,
    [--ssSkC33,
     ++ndr1_1(a210)]).

input_clause(clause20,conjecture,
    [--ssSkC33,
     ++c9_1(a210)]).

input_clause(clause21,conjecture,
    [--ssSkC31,--ssSkC32,++ndr1_0]).

input_clause(clause22,conjecture,
    [--ssSkC29,--ssSkC30,++ndr1_0]).

input_clause(clause23,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause24,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause25,conjecture,
    [--ssSkC9,++ndr1_0,++c6_0]).

input_clause(clause26,conjecture,
    [++ndr1_0,++c6_0,++c7_0]).

input_clause(clause27,conjecture,
    [--ssSkC8,++ndr1_0,++c5_0]).

input_clause(clause28,conjecture,
    [--ssSkC7,++ndr1_0,++c5_0]).

input_clause(clause29,conjecture,
    [--ssSkC6,++ndr1_0,++c5_0]).

input_clause(clause30,conjecture,
    [--ssSkC5,++ndr1_0,++c5_0]).

input_clause(clause31,conjecture,
    [++ndr1_0,++c5_0,++c7_0]).

input_clause(clause32,conjecture,
    [++ndr1_0,++c4_0,++c8_0]).

input_clause(clause33,conjecture,
    [--ssSkC3,++ndr1_0,++c3_0]).

input_clause(clause34,conjecture,
    [++ndr1_0,++c3_0,++c4_0]).

input_clause(clause35,conjecture,
    [--ssSkC2,++ndr1_0,++c2_0]).

input_clause(clause36,conjecture,
    [++ndr1_0,++c2_0,++c6_0]).

input_clause(clause37,conjecture,
    [--ssSkC1,++ndr1_0,++c10_0]).

input_clause(clause38,conjecture,
    [++ndr1_0,++c10_0,++c3_0]).

input_clause(clause39,conjecture,
    [++ndr1_0,++c1_0,++c6_0]).

input_clause(clause40,conjecture,
    [++ndr1_0,++c1_0,++c4_0]).

input_clause(clause41,conjecture,
    [++c1_0,++c2_0,++c9_0]).

input_clause(clause42,conjecture,
    [++c1_0,++c6_0,++c9_0]).

input_clause(clause43,conjecture,
    [++c5_0,++c8_0,++c9_0]).

input_clause(clause44,conjecture,
    [--c10_0,++c5_0]).

input_clause(clause45,conjecture,
    [--c10_0,++c9_0]).

input_clause(clause46,conjecture,
    [++ndr1_1(a213),
     ++ssSkC34]).

input_clause(clause47,conjecture,
    [++c8_1(a213),
     ++ssSkC34]).

input_clause(clause48,conjecture,
    [++ndr1_1(U),
     ++ssSkP17(U)]).

input_clause(clause49,conjecture,
    [++c10_1(a205),
     ++ssSkC32]).

input_clause(clause50,conjecture,
    [++c2_1(a205),
     ++ssSkC32]).

input_clause(clause51,conjecture,
    [++c4_1(a199),
     ++ssSkC30]).

input_clause(clause52,conjecture,
    [++ndr1_1(a189),
     ++ssSkC27]).

input_clause(clause53,conjecture,
    [++c2_1(a189),
     ++ssSkC27]).

input_clause(clause54,conjecture,
    [++c3_1(a187),
     ++ssSkC26]).

input_clause(clause55,conjecture,
    [++c10_1(a182),
     ++ssSkC24]).

input_clause(clause56,conjecture,
    [++c8_1(a182),
     ++ssSkC24]).

input_clause(clause57,conjecture,
    [++ndr1_1(U),
     ++ssSkP16(U)]).

input_clause(clause58,conjecture,
    [++ndr1_1(a172),
     ++ssSkC21]).

input_clause(clause59,conjecture,
    [++c5_1(a172),
     ++ssSkC21]).

input_clause(clause60,conjecture,
    [++ndr1_1(U),
     ++ssSkP15(U)]).

input_clause(clause61,conjecture,
    [++ndr1_1(a158),
     ++ssSkC19]).

input_clause(clause62,conjecture,
    [++c1_1(a158),
     ++ssSkC19]).

input_clause(clause63,conjecture,
    [++ndr1_1(U),
     ++ssSkP14(U)]).

input_clause(clause64,conjecture,
    [++c1_1(a145),
     ++ssSkC17]).

input_clause(clause65,conjecture,
    [++ndr1_1(a134),
     ++ssSkC15]).

input_clause(clause66,conjecture,
    [++c7_1(a134),
     ++ssSkC15]).

input_clause(clause67,conjecture,
    [++c2_1(a129),
     ++ssSkC14]).

input_clause(clause68,conjecture,
    [++ndr1_1(U),
     ++ssSkP13(U)]).

input_clause(clause69,conjecture,
    [++ndr1_1(U),
     ++ssSkP12(U)]).

input_clause(clause70,conjecture,
    [++ndr1_1(a119),
     ++ssSkC12]).

input_clause(clause71,conjecture,
    [++c5_1(a119),
     ++ssSkC12]).

input_clause(clause72,conjecture,
    [++c9_1(a119),
     ++ssSkC12]).

input_clause(clause73,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause74,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause75,conjecture,
    [++c1_1(a72),
     ++ssSkC8]).

input_clause(clause76,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause77,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause78,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause79,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause80,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause81,conjecture,
    [++ndr1_1(a27),
     ++ssSkC1]).

input_clause(clause82,conjecture,
    [++c2_1(a27),
     ++ssSkC1]).

input_clause(clause83,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause84,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause85,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause86,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause87,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause88,conjecture,
    [--ssSkC34,
     --c9_1(a215)]).

input_clause(clause89,conjecture,
    [--ssSkC33,
     ++c8_2(a210,a212)]).

input_clause(clause90,conjecture,
    [--ssSkC33,
     ++c10_2(a210,a211)]).

input_clause(clause91,conjecture,
    [--ssSkC33,
     ++c5_2(a210,a211)]).

input_clause(clause92,conjecture,
    [--ssSkC31,
     --ssSkC32,
     ++ndr1_1(a206)]).

input_clause(clause93,conjecture,
    [--ssSkC29,
     --ssSkC30,
     ++c8_1(a200)]).

input_clause(clause94,conjecture,
    [--ssSkC24,--c9_0,++ndr1_0]).

input_clause(clause95,conjecture,
    [--ssSkC21,--c8_0,++ndr1_0]).

input_clause(clause96,conjecture,
    [--ssSkC20,--c8_0,++ndr1_0]).

input_clause(clause97,conjecture,
    [--ssSkC19,--c7_0,++ndr1_0]).

input_clause(clause98,conjecture,
    [--ssSkC17,--c5_0,++ndr1_0]).

input_clause(clause99,conjecture,
    [--c4_0,
     ++ndr1_1(a132)]).

input_clause(clause100,conjecture,
    [--c4_0,
     ++c4_1(a132)]).

input_clause(clause101,conjecture,
    [--c4_0,
     ++c6_1(a132)]).

input_clause(clause102,conjecture,
    [--ssSkC13,--c3_0,++ndr1_0]).

input_clause(clause103,conjecture,
    [--ssSkC12,--c10_0,++ndr1_0]).

input_clause(clause104,conjecture,
    [--ssSkC11,--c10_0,++ndr1_0]).

input_clause(clause105,conjecture,
    [--c1_0,
     ++ndr1_1(a104)]).

input_clause(clause106,conjecture,
    [--c1_0,
     ++c1_1(a104)]).

input_clause(clause107,conjecture,
    [--c5_0,++ndr1_0,++c9_0]).

input_clause(clause108,conjecture,
    [--c10_0,++ndr1_0,++c8_0]).

input_clause(clause109,conjecture,
    [--c9_0,++ndr1_0,++c7_0]).

input_clause(clause110,conjecture,
    [++ndr1_1(a74),
     ++c6_0,
     ++c7_0]).

input_clause(clause111,conjecture,
    [++c4_1(a74),
     ++c6_0,
     ++c7_0]).

input_clause(clause112,conjecture,
    [++c6_1(a74),
     ++c6_0,
     ++c7_0]).

input_clause(clause113,conjecture,
    [--ssSkC8,
     ++c4_1(a73),
     ++c5_0]).

input_clause(clause114,conjecture,
    [--ssSkC6,
     ++c9_1(a69),
     ++c5_0]).

input_clause(clause115,conjecture,
    [--ssSkC5,
     ++c5_1(a67),
     ++c5_0]).

input_clause(clause116,conjecture,
    [--c9_0,++ndr1_0,++c5_0]).

input_clause(clause117,conjecture,
    [--c8_0,++ndr1_0,++c5_0]).

input_clause(clause118,conjecture,
    [++c4_1(a56),
     ++c5_0,
     ++c7_0]).

input_clause(clause119,conjecture,
    [++c6_1(a51),
     ++c4_0,
     ++c8_0]).

input_clause(clause120,conjecture,
    [--ssSkC3,
     ++ndr1_1(a49),
     ++c3_0]).

input_clause(clause121,conjecture,
    [--c7_0,++ndr1_0,++c3_0]).

input_clause(clause122,conjecture,
    [--c6_0,++ndr1_0,++c3_0]).

input_clause(clause123,conjecture,
    [--c2_0,++ndr1_0,++c3_0]).

input_clause(clause124,conjecture,
    [--c10_0,++ndr1_0,++c3_0]).

input_clause(clause125,conjecture,
    [--ssSkC2,
     ++ndr1_1(a35),
     ++c2_0]).

input_clause(clause126,conjecture,
    [++c2_1(a31),
     ++c2_0,
     ++c6_0]).

input_clause(clause127,conjecture,
    [--ssSkC1,
     ++ndr1_1(a29),
     ++c10_0]).

input_clause(clause128,conjecture,
    [--c9_0,++ndr1_0,++c10_0]).

input_clause(clause129,conjecture,
    [++ndr1_1(a12),
     ++c10_0,
     ++c3_0]).

input_clause(clause130,conjecture,
    [++ndr1_1(a7),
     ++c1_0,
     ++c6_0]).

input_clause(clause131,conjecture,
    [++ndr1_1(a4),
     ++c1_0,
     ++c6_0]).

input_clause(clause132,conjecture,
    [++c4_1(a4),
     ++c1_0,
     ++c6_0]).

input_clause(clause133,conjecture,
    [++ndr1_1(a1),
     ++c1_0,
     ++c4_0]).

input_clause(clause134,conjecture,
    [--c9_0,++c2_0,++c8_0]).

input_clause(clause135,conjecture,
    [--c9_0,++c3_0,++c5_0]).

input_clause(clause136,conjecture,
    [--c1_0,--c4_0]).

input_clause(clause137,conjecture,
    [--c2_0,--c6_0]).

input_clause(clause138,conjecture,
    [++c2_2(U,a208),
     ++ssSkP17(U)]).

input_clause(clause139,conjecture,
    [++c4_2(U,a208),
     ++ssSkP17(U)]).

input_clause(clause140,conjecture,
    [++c9_2(U,a208),
     ++ssSkP17(U)]).

input_clause(clause141,conjecture,
    [--c9_1(a199),
     ++ssSkC30]).

input_clause(clause142,conjecture,
    [--c2_1(a194),
     ++ssSkC28]).

input_clause(clause143,conjecture,
    [--c9_1(a194),
     ++ssSkC28]).

input_clause(clause144,conjecture,
    [++c2_2(a189,a191),
     ++ssSkC27]).

input_clause(clause145,conjecture,
    [++c8_2(a189,a191),
     ++ssSkC27]).

input_clause(clause146,conjecture,
    [++c2_2(a189,a190),
     ++ssSkC27]).

input_clause(clause147,conjecture,
    [++c4_2(a189,a190),
     ++ssSkC27]).

input_clause(clause148,conjecture,
    [--c1_1(a187),
     ++ssSkC26]).

input_clause(clause149,conjecture,
    [--c8_1(a187),
     ++ssSkC26]).

input_clause(clause150,conjecture,
    [++c6_2(U,a176),
     ++ssSkP16(U)]).

input_clause(clause151,conjecture,
    [--c7_1(a172),
     ++ssSkC21]).

input_clause(clause152,conjecture,
    [++c1_2(U,a167),
     ++ssSkP15(U)]).

input_clause(clause153,conjecture,
    [++c10_2(U,a167),
     ++ssSkP15(U)]).

input_clause(clause154,conjecture,
    [++c8_2(U,a167),
     ++ssSkP15(U)]).

input_clause(clause155,conjecture,
    [++c1_2(a158,a159),
     ++ssSkC19]).

input_clause(clause156,conjecture,
    [++c10_2(a158,a159),
     ++ssSkC19]).

input_clause(clause157,conjecture,
    [--c6_1(a158),
     ++ssSkC19]).

input_clause(clause158,conjecture,
    [++c10_2(U,a156),
     ++ssSkP14(U)]).

input_clause(clause159,conjecture,
    [++c3_2(U,a156),
     ++ssSkP14(U)]).

input_clause(clause160,conjecture,
    [--c8_1(a145),
     ++ssSkC17]).

input_clause(clause161,conjecture,
    [++c2_2(a134,a136),
     ++ssSkC15]).

input_clause(clause162,conjecture,
    [++c8_2(a134,a136),
     ++ssSkC15]).

input_clause(clause163,conjecture,
    [++c1_2(a134,a135),
     ++ssSkC15]).

input_clause(clause164,conjecture,
    [--c6_1(a129),
     ++ssSkC14]).

input_clause(clause165,conjecture,
    [++c1_2(U,a125),
     ++ssSkP13(U)]).

input_clause(clause166,conjecture,
    [++c4_2(U,a125),
     ++ssSkP13(U)]).

input_clause(clause167,conjecture,
    [++c1_2(U,a123),
     ++ssSkP12(U)]).

input_clause(clause168,conjecture,
    [++c7_2(U,a123),
     ++ssSkP12(U)]).

input_clause(clause169,conjecture,
    [++c1_2(a119,a120),
     ++ssSkC12]).

input_clause(clause170,conjecture,
    [++c5_2(U,a109),
     ++ssSkP11(U)]).

input_clause(clause171,conjecture,
    [++c1_2(U,a93),
     ++ssSkP10(U)]).

input_clause(clause172,conjecture,
    [++c6_2(U,a93),
     ++ssSkP10(U)]).

input_clause(clause173,conjecture,
    [--c3_1(a72),
     ++ssSkC8]).

input_clause(clause174,conjecture,
    [++c10_2(U,a64),
     ++ssSkP9(U)]).

input_clause(clause175,conjecture,
    [++c4_2(U,a57),
     ++ssSkP8(U)]).

input_clause(clause176,conjecture,
    [++c1_2(U,a53),
     ++ssSkP7(U)]).

input_clause(clause177,conjecture,
    [++c3_2(U,a53),
     ++ssSkP7(U)]).

input_clause(clause178,conjecture,
    [++c6_2(U,a41),
     ++ssSkP6(U)]).

input_clause(clause179,conjecture,
    [++c3_2(U,a40),
     ++ssSkP5(U)]).

input_clause(clause180,conjecture,
    [++c5_2(U,a40),
     ++ssSkP5(U)]).

input_clause(clause181,conjecture,
    [--c10_1(a27),
     ++ssSkC1]).

input_clause(clause182,conjecture,
    [++c1_2(U,a25),
     ++ssSkP4(U)]).

input_clause(clause183,conjecture,
    [++c1_2(U,a24),
     ++ssSkP3(U)]).

input_clause(clause184,conjecture,
    [++c7_2(U,a22),
     ++ssSkP2(U)]).

input_clause(clause185,conjecture,
    [++c9_2(U,a22),
     ++ssSkP2(U)]).

input_clause(clause186,conjecture,
    [++c1_2(U,a17),
     ++ssSkP1(U)]).

input_clause(clause187,conjecture,
    [++c2_2(U,a17),
     ++ssSkP1(U)]).

input_clause(clause188,conjecture,
    [++c6_2(U,a17),
     ++ssSkP1(U)]).

input_clause(clause189,conjecture,
    [++c1_2(U,a10),
     ++ssSkP0(U)]).

input_clause(clause190,conjecture,
    [++c2_2(U,a10),
     ++ssSkP0(U)]).

input_clause(clause191,conjecture,
    [++c9_2(U,a10),
     ++ssSkP0(U)]).

input_clause(clause192,conjecture,
    [--ssSkC34,
     --c6_2(a215,a217)]).

input_clause(clause193,conjecture,
    [--ssSkC34,
     --c7_2(a215,a217)]).

input_clause(clause194,conjecture,
    [--ssSkC34,
     --c1_2(a215,a216)]).

input_clause(clause195,conjecture,
    [--ssSkC34,
     --c5_2(a215,a216)]).

input_clause(clause196,conjecture,
    [--ssSkC34,
     --c9_2(a215,a216)]).

input_clause(clause197,conjecture,
    [--ssSkC33,
     --c10_2(a210,a212)]).

input_clause(clause198,conjecture,
    [--ssSkC33,
     --c4_2(a210,a212)]).

input_clause(clause199,conjecture,
    [--ssSkC33,
     --c3_2(a210,a211)]).

input_clause(clause200,conjecture,
    [--ssSkC31,
     --ssSkC32,
     ++c6_2(a206,a207)]).

input_clause(clause201,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c1_1(a206)]).

input_clause(clause202,conjecture,
    [--ssSkC24,
     --c9_0,
     ++ndr1_1(a183)]).

input_clause(clause203,conjecture,
    [--ssSkC20,
     --c8_0,
     ++ndr1_1(a169)]).

input_clause(clause204,conjecture,
    [--c8_0,--c9_0,++ndr1_0]).

input_clause(clause205,conjecture,
    [--c7_0,--c8_0,++ndr1_0]).

input_clause(clause206,conjecture,
    [--ssSkC17,
     --c5_0,
     ++ndr1_1(a146)]).

input_clause(clause207,conjecture,
    [--c5_0,--c9_0,++ndr1_0]).

input_clause(clause208,conjecture,
    [--c5_0,--c6_0,++ndr1_0]).

input_clause(clause209,conjecture,
    [--ssSkC15,
     --c4_0,
     ++ndr1_1(a137)]).

input_clause(clause210,conjecture,
    [--c4_0,
     ++c2_2(a132,a133)]).

input_clause(clause211,conjecture,
    [--c4_0,
     ++c8_2(a132,a133)]).

input_clause(clause212,conjecture,
    [--ssSkC14,
     --c4_0,
     ++ndr1_1(a130)]).

input_clause(clause213,conjecture,
    [--ssSkC13,
     --c3_0,
     ++ndr1_1(a127)]).

input_clause(clause214,conjecture,
    [--ssSkC12,
     --c10_0,
     ++ndr1_1(a121)]).

input_clause(clause215,conjecture,
    [--ssSkC11,
     --c10_0,
     ++ndr1_1(a117)]).

input_clause(clause216,conjecture,
    [--ssSkC11,
     --c10_0,
     ++c9_1(a117)]).

input_clause(clause217,conjecture,
    [--c10_0,--c7_0,++ndr1_0]).

input_clause(clause218,conjecture,
    [--c10_0,--c2_0,++ndr1_0]).

input_clause(clause219,conjecture,
    [--c1_0,
     ++c4_2(a104,a106)]).

input_clause(clause220,conjecture,
    [--c1_0,
     ++c1_2(a104,a105)]).

input_clause(clause221,conjecture,
    [--c1_0,
     ++c8_2(a104,a105)]).

input_clause(clause222,conjecture,
    [--ssSkC10,
     --c1_0,
     ++ndr1_1(a101)]).

input_clause(clause223,conjecture,
    [--c5_0,
     ++ndr1_1(a90),
     ++c9_0]).

input_clause(clause224,conjecture,
    [--c10_0,
     ++c7_1(a86),
     ++c8_0]).

input_clause(clause225,conjecture,
    [--c9_0,
     ++ndr1_1(a83),
     ++c7_0]).

input_clause(clause226,conjecture,
    [--c9_0,
     ++c5_1(a83),
     ++c7_0]).

input_clause(clause227,conjecture,
    [--ssSkC9,
     --c3_1(a79),
     ++c6_0]).

input_clause(clause228,conjecture,
    [++c10_2(a74,a75),
     ++c6_0,
     ++c7_0]).

input_clause(clause229,conjecture,
    [--ssSkC8,
     --c6_1(a73),
     ++c5_0]).

input_clause(clause230,conjecture,
    [--ssSkC6,
     --c4_1(a69),
     ++c5_0]).

input_clause(clause231,conjecture,
    [--c9_0,
     ++ndr1_1(a61),
     ++c5_0]).

input_clause(clause232,conjecture,
    [--c8_0,
     ++ndr1_1(a59),
     ++c5_0]).

input_clause(clause233,conjecture,
    [--c10_1(a56),
     ++c5_0,
     ++c7_0]).

input_clause(clause234,conjecture,
    [--ssSkC3,
     ++c2_2(a49,a50),
     ++c3_0]).

input_clause(clause235,conjecture,
    [--ssSkC3,
     ++c3_2(a49,a50),
     ++c3_0]).

input_clause(clause236,conjecture,
    [--c7_0,
     ++ndr1_1(a45),
     ++c3_0]).

input_clause(clause237,conjecture,
    [--c7_0,
     ++c7_1(a45),
     ++c3_0]).

input_clause(clause238,conjecture,
    [--c6_0,
     ++ndr1_1(a43),
     ++c3_0]).

input_clause(clause239,conjecture,
    [--c2_0,
     ++c1_1(a39),
     ++c3_0]).

input_clause(clause240,conjecture,
    [--c2_0,
     ++c5_1(a39),
     ++c3_0]).

input_clause(clause241,conjecture,
    [--c3_1(a37),
     ++c3_0,
     ++c4_0]).

input_clause(clause242,conjecture,
    [--ssSkC2,
     ++c2_2(a35,a36),
     ++c2_0]).

input_clause(clause243,conjecture,
    [--ssSkC2,
     --c9_1(a35),
     ++c2_0]).

input_clause(clause244,conjecture,
    [--c1_0,
     ++ndr1_1(a32),
     ++c2_0]).

input_clause(clause245,conjecture,
    [--ssSkC1,
     ++c2_2(a29,a30),
     ++c10_0]).

input_clause(clause246,conjecture,
    [--ssSkC1,
     ++c7_2(a29,a30),
     ++c10_0]).

input_clause(clause247,conjecture,
    [--ssSkC1,
     --c2_1(a29),
     ++c10_0]).

input_clause(clause248,conjecture,
    [--c9_0,
     ++c4_1(a19),
     ++c10_0]).

input_clause(clause249,conjecture,
    [--c1_0,
     ++ndr1_1(a15),
     ++c10_0]).

input_clause(clause250,conjecture,
    [++c3_2(a12,a14),
     ++c10_0,
     ++c3_0]).

input_clause(clause251,conjecture,
    [++c5_2(a12,a14),
     ++c10_0,
     ++c3_0]).

input_clause(clause252,conjecture,
    [++c10_2(a12,a13),
     ++c10_0,
     ++c3_0]).

input_clause(clause253,conjecture,
    [++c3_2(a12,a13),
     ++c10_0,
     ++c3_0]).

input_clause(clause254,conjecture,
    [--c9_1(a12),
     ++c10_0,
     ++c3_0]).

input_clause(clause255,conjecture,
    [++c7_2(a7,a8),
     ++c1_0,
     ++c6_0]).

input_clause(clause256,conjecture,
    [++c6_2(a4,a6),
     ++c1_0,
     ++c6_0]).

input_clause(clause257,conjecture,
    [++c6_2(a4,a5),
     ++c1_0,
     ++c6_0]).

input_clause(clause258,conjecture,
    [++c7_2(a4,a5),
     ++c1_0,
     ++c6_0]).

input_clause(clause259,conjecture,
    [++c6_2(a1,a2),
     ++c1_0,
     ++c4_0]).

input_clause(clause260,conjecture,
    [++c9_2(a1,a2),
     ++c1_0,
     ++c4_0]).

input_clause(clause261,conjecture,
    [--c10_0,--c4_0,++c1_0]).

input_clause(clause262,conjecture,
    [--c4_0,--c9_0,++c1_0]).

input_clause(clause263,conjecture,
    [--c1_0,--c8_0,++c2_0]).

input_clause(clause264,conjecture,
    [--c1_2(a213,a214),
     ++ssSkC34]).

input_clause(clause265,conjecture,
    [--c6_2(a213,a214),
     ++ssSkC34]).

input_clause(clause266,conjecture,
    [--c8_2(a213,a214),
     ++ssSkC34]).

input_clause(clause267,conjecture,
    [--c1_2(a189,a191),
     ++ssSkC27]).

input_clause(clause268,conjecture,
    [--c1_2(a189,a190),
     ++ssSkC27]).

input_clause(clause269,conjecture,
    [--c7_2(U,a176),
     ++ssSkP16(U)]).

input_clause(clause270,conjecture,
    [--c8_2(U,a176),
     ++ssSkP16(U)]).

input_clause(clause271,conjecture,
    [--c10_2(a172,a173),
     ++ssSkC21]).

input_clause(clause272,conjecture,
    [--c6_2(a172,a173),
     ++ssSkC21]).

input_clause(clause273,conjecture,
    [--c9_2(a158,a159),
     ++ssSkC19]).

input_clause(clause274,conjecture,
    [--c2_2(U,a156),
     ++ssSkP14(U)]).

input_clause(clause275,conjecture,
    [--c10_2(a134,a136),
     ++ssSkC15]).

input_clause(clause276,conjecture,
    [--c10_2(a134,a135),
     ++ssSkC15]).

input_clause(clause277,conjecture,
    [--c6_2(a134,a135),
     ++ssSkC15]).

input_clause(clause278,conjecture,
    [--c8_2(U,a125),
     ++ssSkP13(U)]).

input_clause(clause279,conjecture,
    [--c4_2(U,a123),
     ++ssSkP12(U)]).

input_clause(clause280,conjecture,
    [--c10_2(a119,a120),
     ++ssSkC12]).

input_clause(clause281,conjecture,
    [--c4_2(a119,a120),
     ++ssSkC12]).

input_clause(clause282,conjecture,
    [--c10_2(U,a109),
     ++ssSkP11(U)]).

input_clause(clause283,conjecture,
    [--c3_2(U,a109),
     ++ssSkP11(U)]).

input_clause(clause284,conjecture,
    [--c1_2(U,a64),
     ++ssSkP9(U)]).

input_clause(clause285,conjecture,
    [--c9_2(U,a64),
     ++ssSkP9(U)]).

input_clause(clause286,conjecture,
    [--c5_2(U,a57),
     ++ssSkP8(U)]).

input_clause(clause287,conjecture,
    [--c9_2(U,a57),
     ++ssSkP8(U)]).

input_clause(clause288,conjecture,
    [--c6_2(U,a53),
     ++ssSkP7(U)]).

input_clause(clause289,conjecture,
    [--c4_2(U,a41),
     ++ssSkP6(U)]).

input_clause(clause290,conjecture,
    [--c9_2(U,a41),
     ++ssSkP6(U)]).

input_clause(clause291,conjecture,
    [--c1_2(U,a40),
     ++ssSkP5(U)]).

input_clause(clause292,conjecture,
    [--c3_2(a27,a28),
     ++ssSkC1]).

input_clause(clause293,conjecture,
    [--c5_2(a27,a28),
     ++ssSkC1]).

input_clause(clause294,conjecture,
    [--c9_2(a27,a28),
     ++ssSkC1]).

input_clause(clause295,conjecture,
    [--c2_2(U,a25),
     ++ssSkP4(U)]).

input_clause(clause296,conjecture,
    [--c6_2(U,a25),
     ++ssSkP4(U)]).

input_clause(clause297,conjecture,
    [--c10_2(U,a24),
     ++ssSkP3(U)]).

input_clause(clause298,conjecture,
    [--c4_2(U,a24),
     ++ssSkP3(U)]).

input_clause(clause299,conjecture,
    [--c5_2(U,a22),
     ++ssSkP2(U)]).

input_clause(clause300,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c8_2(a206,a207)]).

input_clause(clause301,conjecture,
    [--ssSkC24,
     --c9_0,
     ++c1_2(a183,a184)]).

input_clause(clause302,conjecture,
    [--ssSkC24,
     --c6_1(a183),
     --c9_0]).

input_clause(clause303,conjecture,
    [--ssSkC21,
     --c3_1(a174),
     --c8_0]).

input_clause(clause304,conjecture,
    [--ssSkC21,
     --c5_1(a174),
     --c8_0]).

input_clause(clause305,conjecture,
    [--ssSkC20,
     --c8_0,
     ++c5_2(a169,a170)]).

input_clause(clause306,conjecture,
    [--ssSkC20,
     --c8_0,
     ++c6_2(a169,a170)]).

input_clause(clause307,conjecture,
    [--c8_0,
     --c9_0,
     ++ndr1_1(a162)]).

input_clause(clause308,conjecture,
    [--ssSkC19,
     --c10_1(a160),
     --c7_0]).

input_clause(clause309,conjecture,
    [--c7_0,
     --c8_0,
     ++ndr1_1(a152)]).

input_clause(clause310,conjecture,
    [--ssSkC17,
     --c5_0,
     ++c10_2(a146,a147)]).

input_clause(clause311,conjecture,
    [--ssSkC17,
     --c5_0,
     ++c3_2(a146,a147)]).

input_clause(clause312,conjecture,
    [--ssSkC17,
     --c4_1(a146),
     --c5_0]).

input_clause(clause313,conjecture,
    [--c5_0,
     --c9_0,
     ++ndr1_1(a141)]).

input_clause(clause314,conjecture,
    [--c5_0,
     --c6_0,
     ++ndr1_1(a139)]).

input_clause(clause315,conjecture,
    [--c5_0,
     --c6_0,
     ++c6_1(a139)]).

input_clause(clause316,conjecture,
    [--ssSkC15,
     --c4_0,
     ++c10_2(a137,a138)]).

input_clause(clause317,conjecture,
    [--ssSkC15,
     --c4_0,
     ++c5_2(a137,a138)]).

input_clause(clause318,conjecture,
    [--ssSkC15,
     --c5_1(a137),
     --c4_0]).

input_clause(clause319,conjecture,
    [--ssSkC15,
     --c8_1(a137),
     --c4_0]).

input_clause(clause320,conjecture,
    [--c4_2(a132,a133),
     --c4_0]).

input_clause(clause321,conjecture,
    [--ssSkC14,
     --c1_1(a130),
     --c4_0]).

input_clause(clause322,conjecture,
    [--ssSkC14,
     --c3_1(a130),
     --c4_0]).

input_clause(clause323,conjecture,
    [--ssSkC13,
     --c3_0,
     ++c1_2(a127,a128)]).

input_clause(clause324,conjecture,
    [--ssSkC13,
     --c3_0,
     ++c10_2(a127,a128)]).

input_clause(clause325,conjecture,
    [--ssSkC13,
     --c3_0,
     ++c7_2(a127,a128)]).

input_clause(clause326,conjecture,
    [--ssSkC13,
     --c6_1(a127),
     --c3_0]).

input_clause(clause327,conjecture,
    [--ssSkC13,
     --c9_1(a127),
     --c3_0]).

input_clause(clause328,conjecture,
    [--ssSkC12,
     --c10_0,
     ++c2_2(a121,a122)]).

input_clause(clause329,conjecture,
    [--ssSkC12,
     --c4_1(a121),
     --c10_0]).

input_clause(clause330,conjecture,
    [--ssSkC11,
     --c10_0,
     ++c10_2(a117,a118)]).

input_clause(clause331,conjecture,
    [--ssSkC11,
     --c10_0,
     ++c5_2(a117,a118)]).

input_clause(clause332,conjecture,
    [--ssSkC11,
     --c5_1(a117),
     --c10_0]).

input_clause(clause333,conjecture,
    [--c10_0,
     --c7_0,
     ++ndr1_1(a111)]).

input_clause(clause334,conjecture,
    [--c10_0,
     --c2_0,
     ++ndr1_1(a107)]).

input_clause(clause335,conjecture,
    [--c10_0,
     --c2_0,
     ++c1_1(a107)]).

input_clause(clause336,conjecture,
    [--c2_2(a104,a106),
     --c1_0]).

input_clause(clause337,conjecture,
    [--c5_2(a104,a106),
     --c1_0]).

input_clause(clause338,conjecture,
    [--c2_2(a104,a105),
     --c1_0]).

input_clause(clause339,conjecture,
    [--ssSkC10,
     --c1_0,
     ++c7_2(a101,a102)]).

input_clause(clause340,conjecture,
    [--c1_1(a86),
     --c10_0,
     ++c8_0]).

input_clause(clause341,conjecture,
    [--c5_1(a86),
     --c10_0,
     ++c8_0]).

input_clause(clause342,conjecture,
    [--c2_1(a83),
     --c9_0,
     ++c7_0]).

input_clause(clause343,conjecture,
    [--c1_2(a74,a75),
     ++c6_0,
     ++c7_0]).

input_clause(clause344,conjecture,
    [--c2_2(a74,a75),
     ++c6_0,
     ++c7_0]).

input_clause(clause345,conjecture,
    [--c9_0,
     ++c3_2(a61,a62),
     ++c5_0]).

input_clause(clause346,conjecture,
    [--c6_1(a61),
     --c9_0,
     ++c5_0]).

input_clause(clause347,conjecture,
    [--c8_0,
     ++c1_2(a59,a60),
     ++c5_0]).

input_clause(clause348,conjecture,
    [--c4_1(a59),
     --c8_0,
     ++c5_0]).

input_clause(clause349,conjecture,
    [--ssSkC3,
     --c10_2(a49,a50),
     ++c3_0]).

input_clause(clause350,conjecture,
    [--c7_0,
     ++c5_2(a45,a46),
     ++c3_0]).

input_clause(clause351,conjecture,
    [--c4_1(a45),
     --c7_0,
     ++c3_0]).

input_clause(clause352,conjecture,
    [--c6_0,
     ++c4_2(a43,a44),
     ++c3_0]).

input_clause(clause353,conjecture,
    [--c6_0,
     ++c5_2(a43,a44),
     ++c3_0]).

input_clause(clause354,conjecture,
    [--c6_0,
     ++c8_2(a43,a44),
     ++c3_0]).

input_clause(clause355,conjecture,
    [--c5_1(a38),
     --c10_0,
     ++c3_0]).

input_clause(clause356,conjecture,
    [--c7_1(a38),
     --c10_0,
     ++c3_0]).

input_clause(clause357,conjecture,
    [--ssSkC2,
     --c10_2(a35,a36),
     ++c2_0]).

input_clause(clause358,conjecture,
    [--ssSkC2,
     --c7_2(a35,a36),
     ++c2_0]).

input_clause(clause359,conjecture,
    [--c1_0,
     ++c3_2(a32,a33),
     ++c2_0]).

input_clause(clause360,conjecture,
    [--c1_0,
     ++c6_2(a32,a33),
     ++c2_0]).

input_clause(clause361,conjecture,
    [--c6_1(a32),
     --c1_0,
     ++c2_0]).

input_clause(clause362,conjecture,
    [--c9_1(a32),
     --c1_0,
     ++c2_0]).

input_clause(clause363,conjecture,
    [--ssSkC1,
     --c8_2(a29,a30),
     ++c10_0]).

input_clause(clause364,conjecture,
    [--c6_1(a19),
     --c9_0,
     ++c10_0]).

input_clause(clause365,conjecture,
    [--c1_0,
     ++c1_2(a15,a16),
     ++c10_0]).

input_clause(clause366,conjecture,
    [--c1_0,
     ++c8_2(a15,a16),
     ++c10_0]).

input_clause(clause367,conjecture,
    [--c4_1(a15),
     --c1_0,
     ++c10_0]).

input_clause(clause368,conjecture,
    [--c5_1(a15),
     --c1_0,
     ++c10_0]).

input_clause(clause369,conjecture,
    [--c1_2(a12,a14),
     ++c10_0,
     ++c3_0]).

input_clause(clause370,conjecture,
    [--c1_2(a12,a13),
     ++c10_0,
     ++c3_0]).

input_clause(clause371,conjecture,
    [--c10_2(a7,a8),
     ++c1_0,
     ++c6_0]).

input_clause(clause372,conjecture,
    [--c3_2(a7,a8),
     ++c1_0,
     ++c6_0]).

input_clause(clause373,conjecture,
    [--c2_2(a4,a6),
     ++c1_0,
     ++c6_0]).

input_clause(clause374,conjecture,
    [--c9_2(a4,a6),
     ++c1_0,
     ++c6_0]).

input_clause(clause375,conjecture,
    [--c8_2(a4,a5),
     ++c1_0,
     ++c6_0]).

input_clause(clause376,conjecture,
    [--c10_2(a1,a3),
     ++c1_0,
     ++c4_0]).

input_clause(clause377,conjecture,
    [--c7_2(a1,a3),
     ++c1_0,
     ++c4_0]).

input_clause(clause378,conjecture,
    [--c4_2(a1,a2),
     ++c1_0,
     ++c4_0]).

input_clause(clause379,conjecture,
    [--c10_0,--c8_0,--c9_0]).

input_clause(clause380,conjecture,
    [--c3_0,--c4_0,--c5_0]).

input_clause(clause381,conjecture,
    [--c3_0,--c6_0,--c8_0]).

input_clause(clause382,conjecture,
    [--ssSkC24,
     --c6_2(a183,a184),
     --c9_0]).

input_clause(clause383,conjecture,
    [--ssSkC24,
     --c8_2(a183,a184),
     --c9_0]).

input_clause(clause384,conjecture,
    [--ssSkC20,
     --c9_2(a169,a170),
     --c8_0]).

input_clause(clause385,conjecture,
    [--c8_0,
     --c9_0,
     ++c2_2(a162,a163)]).

input_clause(clause386,conjecture,
    [--c8_0,
     --c9_0,
     ++c5_2(a162,a163)]).

input_clause(clause387,conjecture,
    [--c8_0,
     --c9_0,
     ++c9_2(a162,a163)]).

input_clause(clause388,conjecture,
    [--c10_1(a162),
     --c8_0,
     --c9_0]).

input_clause(clause389,conjecture,
    [--c9_1(a162),
     --c8_0,
     --c9_0]).

input_clause(clause390,conjecture,
    [--c7_0,
     --c8_0,
     ++c3_2(a152,a154)]).

input_clause(clause391,conjecture,
    [--c7_0,
     --c8_0,
     ++c8_2(a152,a154)]).

input_clause(clause392,conjecture,
    [--c7_0,
     --c8_0,
     ++c10_2(a152,a153)]).

input_clause(clause393,conjecture,
    [--c7_0,
     --c8_0,
     ++c6_2(a152,a153)]).

input_clause(clause394,conjecture,
    [--c7_0,
     --c8_0,
     ++c7_2(a152,a153)]).

input_clause(clause395,conjecture,
    [--ssSkC17,
     --c5_2(a146,a147),
     --c5_0]).

input_clause(clause396,conjecture,
    [--c9_1(a141),
     --c5_0,
     --c9_0]).

input_clause(clause397,conjecture,
    [--c5_0,
     --c6_0,
     ++c6_2(a139,a140)]).

input_clause(clause398,conjecture,
    [--c2_1(a139),
     --c5_0,
     --c6_0]).

input_clause(clause399,conjecture,
    [--ssSkC15,
     --c6_2(a137,a138),
     --c4_0]).

input_clause(clause400,conjecture,
    [--ssSkC14,
     --c3_2(a130,a131),
     --c4_0]).

input_clause(clause401,conjecture,
    [--ssSkC14,
     --c6_2(a130,a131),
     --c4_0]).

input_clause(clause402,conjecture,
    [--ssSkC12,
     --c8_2(a121,a122),
     --c10_0]).

input_clause(clause403,conjecture,
    [--ssSkC12,
     --c9_2(a121,a122),
     --c10_0]).

input_clause(clause404,conjecture,
    [--ssSkC11,
     --c3_2(a117,a118),
     --c10_0]).

input_clause(clause405,conjecture,
    [--c10_0,
     --c7_0,
     ++c7_2(a111,a113)]).

input_clause(clause406,conjecture,
    [--c10_0,
     --c7_0,
     ++c6_2(a111,a112)]).

input_clause(clause407,conjecture,
    [--c10_0,
     --c7_0,
     ++c8_2(a111,a112)]).

input_clause(clause408,conjecture,
    [--c10_0,
     --c2_0,
     ++c5_2(a107,a108)]).

input_clause(clause409,conjecture,
    [--c10_0,
     --c2_0,
     ++c8_2(a107,a108)]).

input_clause(clause410,conjecture,
    [--ssSkC10,
     --c3_2(a101,a103),
     --c1_0]).

input_clause(clause411,conjecture,
    [--ssSkC10,
     --c4_2(a101,a103),
     --c1_0]).

input_clause(clause412,conjecture,
    [--ssSkC10,
     --c9_2(a101,a103),
     --c1_0]).

input_clause(clause413,conjecture,
    [--ssSkC10,
     --c3_2(a101,a102),
     --c1_0]).

input_clause(clause414,conjecture,
    [--c3_2(a90,a91),
     --c5_0,
     ++c9_0]).

input_clause(clause415,conjecture,
    [--c9_2(a90,a91),
     --c5_0,
     ++c9_0]).

input_clause(clause416,conjecture,
    [--c1_2(a83,a84),
     --c9_0,
     ++c7_0]).

input_clause(clause417,conjecture,
    [--c2_2(a83,a84),
     --c9_0,
     ++c7_0]).

input_clause(clause418,conjecture,
    [--c10_2(a61,a63),
     --c9_0,
     ++c5_0]).

input_clause(clause419,conjecture,
    [--c5_2(a61,a63),
     --c9_0,
     ++c5_0]).

input_clause(clause420,conjecture,
    [--c1_2(a61,a62),
     --c9_0,
     ++c5_0]).

input_clause(clause421,conjecture,
    [--c3_2(a59,a60),
     --c8_0,
     ++c5_0]).

input_clause(clause422,conjecture,
    [--c5_2(a59,a60),
     --c8_0,
     ++c5_0]).

input_clause(clause423,conjecture,
    [--c10_2(a45,a46),
     --c7_0,
     ++c3_0]).

input_clause(clause424,conjecture,
    [--c4_2(a45,a46),
     --c7_0,
     ++c3_0]).

input_clause(clause425,conjecture,
    [--c4_2(a32,a33),
     --c1_0,
     ++c2_0]).

input_clause(clause426,conjecture,
    [--c5_2(a15,a16),
     --c1_0,
     ++c10_0]).

input_clause(clause427,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC10]).

input_clause(clause428,conjecture,
    [--ssSkC25,
     --ndr1_0,
     ++c10_1(U),
     ++c2_1(U),
     ++c3_1(a186)]).

input_clause(clause429,conjecture,
    [--c1_2(a152,a154),
     --c7_0,
     --c8_0]).

input_clause(clause430,conjecture,
    [--c10_2(a141,a142),
     --c5_0,
     --c9_0]).

input_clause(clause431,conjecture,
    [--c3_2(a141,a142),
     --c5_0,
     --c9_0]).

input_clause(clause432,conjecture,
    [--c7_2(a141,a142),
     --c5_0,
     --c9_0]).

input_clause(clause433,conjecture,
    [--c1_2(a139,a140),
     --c5_0,
     --c6_0]).

input_clause(clause434,conjecture,
    [--c10_2(a111,a113),
     --c10_0,
     --c7_0]).

input_clause(clause435,conjecture,
    [--c4_2(a111,a112),
     --c10_0,
     --c7_0]).

input_clause(clause436,conjecture,
    [--c6_2(a107,a108),
     --c10_0,
     --c2_0]).

input_clause(clause437,conjecture,
    [--ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause438,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c9_1(U),
     ++ssSkC22]).

input_clause(clause439,conjecture,
    [--ssSkP13(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC13]).

input_clause(clause440,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c6_1(U),
     ++ssSkC5]).

input_clause(clause441,conjecture,
    [--ssSkP7(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC4]).

input_clause(clause442,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause443,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c5_1(U),
     ++c6_0,
     ++c9_0]).

input_clause(clause444,conjecture,
    [--ndr1_0,
     --c1_0,
     ++c2_1(U),
     ++c5_1(U),
     ++c7_1(U)]).

input_clause(clause445,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c3_2(U,a100),
     ++ssSkC10]).

input_clause(clause446,conjecture,
    [--ssSkC25,
     --ndr1_0,
     --c2_1(a186),
     ++c10_1(U),
     ++c2_1(U)]).

input_clause(clause447,conjecture,
    [--ssSkC25,
     --ndr1_0,
     --c9_1(a186),
     ++c10_1(U),
     ++c2_1(U)]).

input_clause(clause448,conjecture,
    [--ssSkC23,
     --c2_1(U),
     --ndr1_0,
     --c9_0,
     ++ndr1_1(U)]).

input_clause(clause449,conjecture,
    [--ndr1_0,
     --c8_0,
     --c9_0,
     ++ndr1_1(U),
     ++c10_1(U)]).

input_clause(clause450,conjecture,
    [--ndr1_0,
     --c5_0,
     ++c2_2(U,a9),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause451,conjecture,
    [--ndr1_0,
     --c5_0,
     ++c3_2(U,a9),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause452,conjecture,
    [--ndr1_0,
     ++c4_2(U,a175),
     ++c3_1(U),
     ++c9_1(U),
     ++ssSkC22]).

input_clause(clause453,conjecture,
    [--ndr1_0,
     ++c7_2(U,a175),
     ++c3_1(U),
     ++c9_1(U),
     ++ssSkC22]).

input_clause(clause454,conjecture,
    [--ndr1_0,
     ++c9_2(U,a175),
     ++c3_1(U),
     ++c9_1(U),
     ++ssSkC22]).

input_clause(clause455,conjecture,
    [--ssSkP15(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC20]).

input_clause(clause456,conjecture,
    [--ssSkP13(U),
     --ndr1_0,
     ++c4_2(U,a126),
     ++c9_1(U),
     ++ssSkC13]).

input_clause(clause457,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC11]).

input_clause(clause458,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause459,conjecture,
    [--ssSkP7(U),
     --ndr1_0,
     ++c8_2(U,a54),
     ++c9_1(U),
     ++ssSkC4]).

input_clause(clause460,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC3]).

input_clause(clause461,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC0]).

input_clause(clause462,conjecture,
    [--ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause463,conjecture,
    [--ndr1_0,
     ++c1_2(U,a76),
     ++c4_1(U),
     ++c5_1(U),
     ++c6_0,
     ++c9_0]).

input_clause(clause464,conjecture,
    [--ndr1_0,
     ++c4_2(U,a76),
     ++c4_1(U),
     ++c5_1(U),
     ++c6_0,
     ++c9_0]).

input_clause(clause465,conjecture,
    [--ssSkP8(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c5_0]).

input_clause(clause466,conjecture,
    [--ssSkP5(U),
     --ssSkP6(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c3_0]).

input_clause(clause467,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c6_1(U),
     ++c4_0,
     ++c7_0]).

input_clause(clause468,conjecture,
    [--c1_2(U,a100),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC10]).

input_clause(clause469,conjecture,
    [--c8_2(U,a100),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC10]).

input_clause(clause470,conjecture,
    [--ssSkC23,
     --c2_1(U),
     --ndr1_0,
     --c9_0,
     ++c10_2(U,a179)]).

input_clause(clause471,conjecture,
    [--ndr1_0,
     --c8_0,
     --c9_0,
     ++c4_2(U,a161),
     ++c10_1(U)]).

input_clause(clause472,conjecture,
    [--ndr1_0,
     --c8_0,
     --c9_0,
     ++c5_2(U,a161),
     ++c10_1(U)]).

input_clause(clause473,conjecture,
    [--ndr1_0,
     --c8_0,
     --c9_0,
     ++c6_2(U,a161),
     ++c10_1(U)]).

input_clause(clause474,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0,
     ++ndr1_1(U)]).

input_clause(clause475,conjecture,
    [--c8_2(U,a9),
     --ndr1_0,
     --c5_0,
     ++c3_1(U),
     ++c1_0]).

input_clause(clause476,conjecture,
    [--ssSkP15(U),
     --c1_1(U),
     --ndr1_0,
     ++c1_2(U,a168),
     ++ssSkC20]).

input_clause(clause477,conjecture,
    [--ssSkP15(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,a168),
     ++ssSkC20]).

input_clause(clause478,conjecture,
    [--c6_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC18]).

input_clause(clause479,conjecture,
    [--ssSkP13(U),
     --c10_2(U,a126),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC13]).

input_clause(clause480,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c7_2(U,a116),
     ++c9_1(U),
     ++ssSkC11]).

input_clause(clause481,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c10_2(U,a68),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause482,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c3_2(U,a68),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause483,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c7_2(U,a68),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause484,conjecture,
    [--c1_2(U,a66),
     --ndr1_0,
     ++c2_1(U),
     ++c6_1(U),
     ++ssSkC5]).

input_clause(clause485,conjecture,
    [--c5_2(U,a66),
     --ndr1_0,
     ++c2_1(U),
     ++c6_1(U),
     ++ssSkC5]).

input_clause(clause486,conjecture,
    [--c7_2(U,a66),
     --ndr1_0,
     ++c2_1(U),
     ++c6_1(U),
     ++ssSkC5]).

input_clause(clause487,conjecture,
    [--ssSkP7(U),
     --c10_2(U,a54),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC4]).

input_clause(clause488,conjecture,
    [--ssSkP7(U),
     --c6_2(U,a54),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC4]).

input_clause(clause489,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c10_2(U,a48),
     ++c9_1(U),
     ++ssSkC3]).

input_clause(clause490,conjecture,
    [--c7_1(U),
     --ndr1_0,
     ++c8_2(U,a48),
     ++c9_1(U),
     ++ssSkC3]).

input_clause(clause491,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_2(U,a21),
     ++c4_1(U),
     ++ssSkC0]).

input_clause(clause492,conjecture,
    [--ssSkP14(U),
     --ssSkC18,
     --c6_1(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U)]).

input_clause(clause493,conjecture,
    [--ssSkP11(U),
     --ndr1_0,
     --c10_0,
     --c3_0,
     ++ndr1_1(U),
     ++c7_1(U)]).

input_clause(clause494,conjecture,
    [--ssSkP10(U),
     --ndr1_0,
     --c1_0,
     --c9_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause495,conjecture,
    [--ndr1_0,
     --c4_0,
     ++c1_2(U,a89),
     ++c7_1(U),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause496,conjecture,
    [--c2_2(U,a87),
     --c9_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c8_0]).

input_clause(clause497,conjecture,
    [--c3_2(U,a87),
     --c9_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c8_0]).

input_clause(clause498,conjecture,
    [--c7_2(U,a87),
     --c9_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c8_0]).

input_clause(clause499,conjecture,
    [--c7_1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c7_0]).

input_clause(clause500,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c7_0]).

input_clause(clause501,conjecture,
    [--c5_2(U,a76),
     --ndr1_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c6_0,
     ++c9_0]).

input_clause(clause502,conjecture,
    [--ssSkP0(U),
     --c3_1(U),
     --ndr1_0,
     --c9_0,
     ++ndr1_1(U),
     ++c1_0]).

input_clause(clause503,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause504,conjecture,
    [--ssSkC23,
     --c1_2(U,a179),
     --c2_1(U),
     --ndr1_0,
     --c9_0]).

input_clause(clause505,conjecture,
    [--ssSkC23,
     --c3_2(U,a179),
     --c2_1(U),
     --ndr1_0,
     --c9_0]).

input_clause(clause506,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0,
     ++c4_2(U,a151)]).

input_clause(clause507,conjecture,
    [--ssSkC8,
     --c10_2(a73,U),
     --ndr1_1(a73),
     ++c8_2(a73,U),
     ++c5_0]).

input_clause(clause508,conjecture,
    [--c8_2(a51,U),
     --ndr1_1(a51),
     ++c10_2(a51,U),
     ++c4_0,
     ++c8_0]).

input_clause(clause509,conjecture,
    [--ssSkC3,
     --c4_2(a49,U),
     --ndr1_1(a49),
     ++c3_2(a49,U),
     ++c3_0]).

input_clause(clause510,conjecture,
    [--ssSkP15(U),
     --c6_2(U,a168),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC20]).

input_clause(clause511,conjecture,
    [--c3_2(U,a116),
     --c1_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC11]).

input_clause(clause512,conjecture,
    [--c4_2(U,a116),
     --c1_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC11]).

input_clause(clause513,conjecture,
    [--c5_2(U,a48),
     --c7_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC3]).

input_clause(clause514,conjecture,
    [--c8_2(U,a21),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC0]).

input_clause(clause515,conjecture,
    [--ssSkP14(U),
     --ssSkC18,
     --c6_1(U),
     --ndr1_0,
     --c7_0,
     ++c6_2(U,a157)]).

input_clause(clause516,conjecture,
    [--ssSkP14(U),
     --ssSkC18,
     --c6_1(U),
     --ndr1_0,
     --c7_0,
     ++c8_2(U,a157)]).

input_clause(clause517,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c6_0,
     ++c1_1(U),
     ++c4_1(U),
     ++ndr1_1(a148)]).

input_clause(clause518,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c10_0,
     ++c1_1(U),
     ++c9_1(U),
     ++ndr1_1(a114)]).

input_clause(clause519,conjecture,
    [--ssSkP11(U),
     --ndr1_0,
     --c10_0,
     --c3_0,
     ++c9_2(U,a110),
     ++c7_1(U)]).

input_clause(clause520,conjecture,
    [--c3_2(U,a89),
     --ndr1_0,
     --c4_0,
     ++c7_1(U),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause521,conjecture,
    [--c4_2(U,a89),
     --ndr1_0,
     --c4_0,
     ++c7_1(U),
     ++c9_1(U),
     ++c9_0]).

input_clause(clause522,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c1_0,
     ++c6_2(U,a81),
     ++c10_1(U),
     ++c7_0]).

input_clause(clause523,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c1_0,
     ++c8_2(U,a81),
     ++c10_1(U),
     ++c7_0]).

input_clause(clause524,conjecture,
    [--ssSkP8(U),
     --c2_2(U,a58),
     --ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c5_0]).

input_clause(clause525,conjecture,
    [--ssSkP8(U),
     --c3_2(U,a58),
     --ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c5_0]).

input_clause(clause526,conjecture,
    [--ssSkP8(U),
     --c9_2(U,a58),
     --ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c5_0]).

input_clause(clause527,conjecture,
    [--ssSkP5(U),
     --ssSkP6(U),
     --c2_2(U,a42),
     --ndr1_0,
     --c5_0,
     ++c3_0]).

input_clause(clause528,conjecture,
    [--ssSkP5(U),
     --ssSkP6(U),
     --c6_2(U,a42),
     --ndr1_0,
     --c5_0,
     ++c3_0]).

input_clause(clause529,conjecture,
    [--ssSkP5(U),
     --ssSkP6(U),
     --c8_2(U,a42),
     --ndr1_0,
     --c5_0,
     ++c3_0]).

input_clause(clause530,conjecture,
    [--ssSkP0(U),
     --c3_1(U),
     --ndr1_0,
     --c9_0,
     ++c1_2(U,a11),
     ++c1_0]).

input_clause(clause531,conjecture,
    [--c9_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0,
     ++c2_1(U),
     ++c3_1(U)]).

input_clause(clause532,conjecture,
    [--ssSkC24,
     --c4_2(a183,U),
     --ndr1_1(a183),
     --c9_0,
     ++c1_2(a183,U)]).

input_clause(clause533,conjecture,
    [--c6_2(U,a151),
     --c2_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0]).

input_clause(clause534,conjecture,
    [--c9_2(U,a151),
     --c2_1(U),
     --ndr1_0,
     --c7_0,
     --c8_0]).

input_clause(clause535,conjecture,
    [--ssSkC10,
     --c5_2(a101,U),
     --ndr1_1(a101),
     --c1_0,
     ++c2_2(a101,U)]).

input_clause(clause536,conjecture,
    [--ssSkC5,
     --c10_2(a67,U),
     --c9_2(a67,U),
     --ndr1_1(a67),
     ++c5_0]).

input_clause(clause537,conjecture,
    [--c3_2(a43,U),
     --ndr1_1(a43),
     --c6_0,
     ++c1_2(a43,U),
     ++c3_0]).

input_clause(clause538,conjecture,
    [--c7_2(a39,U),
     --ndr1_1(a39),
     --c2_0,
     ++c3_2(a39,U),
     ++c3_0]).

input_clause(clause539,conjecture,
    [--c1_2(U,a155),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ssSkC18]).

input_clause(clause540,conjecture,
    [--c7_2(U,a155),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ssSkC18]).

input_clause(clause541,conjecture,
    [--c9_2(U,a155),
     --c6_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ssSkC18]).

input_clause(clause542,conjecture,
    [--ssSkP14(U),
     --ssSkC18,
     --c1_2(U,a157),
     --c6_1(U),
     --ndr1_0,
     --c7_0]).

input_clause(clause543,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c6_0,
     ++c1_1(U),
     ++c4_1(U),
     ++c7_2(a148,a149)]).

input_clause(clause544,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c6_0,
     ++c1_1(U),
     ++c4_1(U),
     ++c9_2(a148,a149)]).

input_clause(clause545,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c1_1(a148),
     --c6_0,
     ++c1_1(U),
     ++c4_1(U)]).

input_clause(clause546,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c10_0,
     ++c1_1(U),
     ++c9_1(U),
     ++c3_2(a114,a115)]).

input_clause(clause547,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c5_1(a114),
     --c10_0,
     ++c1_1(U),
     ++c9_1(U)]).

input_clause(clause548,conjecture,
    [--ssSkP11(U),
     --c1_2(U,a110),
     --ndr1_0,
     --c10_0,
     --c3_0,
     ++c7_1(U)]).

input_clause(clause549,conjecture,
    [--ssSkP11(U),
     --c7_2(U,a110),
     --ndr1_0,
     --c10_0,
     --c3_0,
     ++c7_1(U)]).

input_clause(clause550,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_1(U),
     ++c9_1(a97)]).

input_clause(clause551,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_1(U),
     ++ndr1_1(a95)]).

input_clause(clause552,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_1(U),
     ++c9_1(a95)]).

input_clause(clause553,conjecture,
    [--ssSkP10(U),
     --c3_2(U,a94),
     --ndr1_0,
     --c1_0,
     --c9_0,
     ++c5_1(U)]).

input_clause(clause554,conjecture,
    [--ssSkP10(U),
     --c6_2(U,a94),
     --ndr1_0,
     --c1_0,
     --c9_0,
     ++c5_1(U)]).

input_clause(clause555,conjecture,
    [--c10_2(U,a82),
     --c7_1(U),
     --ndr1_0,
     --c6_0,
     ++c1_1(U),
     ++c7_0]).

input_clause(clause556,conjecture,
    [--c2_2(U,a82),
     --c7_1(U),
     --ndr1_0,
     --c6_0,
     ++c1_1(U),
     ++c7_0]).

input_clause(clause557,conjecture,
    [--c6_2(U,a82),
     --c7_1(U),
     --ndr1_0,
     --c6_0,
     ++c1_1(U),
     ++c7_0]).

input_clause(clause558,conjecture,
    [--c5_2(U,a81),
     --c5_1(U),
     --ndr1_0,
     --c1_0,
     ++c10_1(U),
     ++c7_0]).

input_clause(clause559,conjecture,
    [--ssSkC9,
     --ndr1_1(a79),
     ++c4_2(a79,U),
     ++c7_2(a79,U),
     ++c8_2(a79,U),
     ++c6_0]).

input_clause(clause560,conjecture,
    [--ndr1_1(a31),
     ++c2_2(a31,U),
     ++c4_2(a31,U),
     ++c6_2(a31,U),
     ++c2_0,
     ++c6_0]).

input_clause(clause561,conjecture,
    [--ssSkP0(U),
     --c4_2(U,a11),
     --c3_1(U),
     --ndr1_0,
     --c9_0,
     ++c1_0]).

input_clause(clause562,conjecture,
    [--ssSkP0(U),
     --c6_2(U,a11),
     --c3_1(U),
     --ndr1_0,
     --c9_0,
     ++c1_0]).

input_clause(clause563,conjecture,
    [--c10_2(a145,U),
     --ndr1_1(a145),
     ++c2_2(a145,U),
     ++c9_2(a145,U),
     ++ssSkC17]).

input_clause(clause564,conjecture,
    [--c3_2(a72,U),
     --ndr1_1(a72),
     ++c10_2(a72,U),
     ++c5_2(a72,U),
     ++ssSkC8]).

input_clause(clause565,conjecture,
    [--ssSkC31,
     --ssSkC32,
     --c7_2(a206,U),
     --ndr1_1(a206),
     ++c1_2(a206,U),
     ++c3_2(a206,U)]).

input_clause(clause566,conjecture,
    [--ssSkC29,
     --ssSkC30,
     --c3_2(a200,U),
     --ndr1_1(a200),
     ++c7_2(a200,U),
     ++c9_2(a200,U)]).

input_clause(clause567,conjecture,
    [--ssSkC20,
     --ndr1_1(a169),
     --c8_0,
     ++c1_2(a169,U),
     ++c3_2(a169,U),
     ++c8_2(a169,U)]).

input_clause(clause568,conjecture,
    [--ssSkC19,
     --ndr1_1(a160),
     --c7_0,
     ++c1_2(a160,U),
     ++c2_2(a160,U),
     ++c9_2(a160,U)]).

input_clause(clause569,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_2(a148,a149),
     --c6_0,
     ++c1_1(U),
     ++c4_1(U)]).

input_clause(clause570,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c2_2(a114,a115),
     --c10_0,
     ++c1_1(U),
     ++c9_1(U)]).

input_clause(clause571,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --c9_2(a114,a115),
     --c10_0,
     ++c1_1(U),
     ++c9_1(U)]).

input_clause(clause572,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_1(U),
     ++c1_2(a95,a96)]).

input_clause(clause573,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_1(U),
     ++c2_2(a95,a96)]).

input_clause(clause574,conjecture,
    [--ssSkC9,
     --c10_2(a79,U),
     --ndr1_1(a79),
     ++c1_2(a79,U),
     ++c6_2(a79,U),
     ++c6_0]).

input_clause(clause575,conjecture,
    [--ssSkC7,
     --c10_2(a71,U),
     --ndr1_1(a71),
     ++c2_2(a71,U),
     ++c7_2(a71,U),
     ++c5_0]).

input_clause(clause576,conjecture,
    [--ssSkC6,
     --c6_2(a69,U),
     --ndr1_1(a69),
     ++c2_2(a69,U),
     ++c5_2(a69,U),
     ++c5_0]).

input_clause(clause577,conjecture,
    [--ssSkC3,
     --c6_2(a49,U),
     --ndr1_1(a49),
     ++c10_2(a49,U),
     ++c4_2(a49,U),
     ++c3_0]).

input_clause(clause578,conjecture,
    [--ndr1_1(a19),
     --c9_0,
     ++c10_2(a19,U),
     ++c5_2(a19,U),
     ++c8_2(a19,U),
     ++c10_0]).

input_clause(clause579,conjecture,
    [--c3_2(a7,U),
     --ndr1_1(a7),
     ++c1_2(a7,U),
     ++c7_2(a7,U),
     ++c1_0,
     ++c6_0]).

input_clause(clause580,conjecture,
    [--ssSkP9(U),
     --c1_1(V),
     --ndr1_0,
     --c6_1(U),
     ++c10_1(V),
     ++c6_1(V),
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause581,conjecture,
    [--c2_2(a213,U),
     --c8_2(a213,U),
     --ndr1_1(a213),
     ++c7_2(a213,U),
     ++ssSkC34]).

input_clause(clause582,conjecture,
    [--c3_2(a199,U),
     --c4_2(a199,U),
     --ndr1_1(a199),
     ++c7_2(a199,U),
     ++ssSkC30]).

input_clause(clause583,conjecture,
    [--c1_2(a194,U),
     --c7_2(a194,U),
     --ndr1_1(a194),
     ++c8_2(a194,U),
     ++ssSkC28]).

input_clause(clause584,conjecture,
    [--c8_2(a129,U),
     --c9_2(a129,U),
     --ndr1_1(a129),
     ++c6_2(a129,U),
     ++ssSkC14]).

input_clause(clause585,conjecture,
    [--ssSkC29,
     --ssSkC30,
     --c3_2(a200,U),
     --c9_2(a200,U),
     --ndr1_1(a200),
     ++c5_2(a200,U)]).

input_clause(clause586,conjecture,
    [--ssSkC19,
     --c4_2(a160,U),
     --ndr1_1(a160),
     --c7_0,
     ++c2_2(a160,U),
     ++c6_2(a160,U)]).

input_clause(clause587,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c5_2(a95,a96),
     --c1_0,
     ++c2_1(U)]).

input_clause(clause588,conjecture,
    [--ssSkC7,
     --c4_2(a71,U),
     --c8_2(a71,U),
     --ndr1_1(a71),
     ++c1_2(a71,U),
     ++c5_0]).

input_clause(clause589,conjecture,
    [--ssSkC7,
     --c4_2(a71,U),
     --c6_2(a71,U),
     --ndr1_1(a71),
     ++c5_2(a71,U),
     ++c5_0]).

input_clause(clause590,conjecture,
    [--c10_2(a59,U),
     --ndr1_1(a59),
     --c8_0,
     ++c3_2(a59,U),
     ++c9_2(a59,U),
     ++c5_0]).

input_clause(clause591,conjecture,
    [--c2_2(a43,U),
     --ndr1_1(a43),
     --c6_0,
     ++c3_2(a43,U),
     ++c6_2(a43,U),
     ++c3_0]).

input_clause(clause592,conjecture,
    [--c8_2(a38,U),
     --ndr1_1(a38),
     --c10_0,
     ++c2_2(a38,U),
     ++c4_2(a38,U),
     ++c3_0]).

input_clause(clause593,conjecture,
    [--c4_2(a37,U),
     --c5_2(a37,U),
     --ndr1_1(a37),
     ++c7_2(a37,U),
     ++c3_0,
     ++c4_0]).

input_clause(clause594,conjecture,
    [--ssSkC2,
     --c3_2(a35,U),
     --c4_2(a35,U),
     --ndr1_1(a35),
     ++c10_2(a35,U),
     ++c2_0]).

input_clause(clause595,conjecture,
    [--c1_2(a7,U),
     --c5_2(a7,U),
     --ndr1_1(a7),
     ++c4_2(a7,U),
     ++c1_0,
     ++c6_0]).

input_clause(clause596,conjecture,
    [--c3_2(a1,U),
     --c6_2(a1,U),
     --ndr1_1(a1),
     ++c7_2(a1,U),
     ++c1_0,
     ++c4_0]).

input_clause(clause597,conjecture,
    [--ssSkP9(U),
     --c1_1(V),
     --ndr1_0,
     --c6_1(U),
     ++c10_1(V),
     ++c6_1(V),
     ++c2_2(U,a65),
     ++c5_0]).

input_clause(clause598,conjecture,
    [--ssSkP9(U),
     --c1_1(V),
     --ndr1_0,
     --c6_1(U),
     ++c10_1(V),
     ++c6_1(V),
     ++c4_2(U,a65),
     ++c5_0]).

input_clause(clause599,conjecture,
    [--ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c7_2(U,V),
     ++c10_2(U,a143),
     ++ssSkC16]).

input_clause(clause600,conjecture,
    [--ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c7_2(U,V),
     ++c5_2(U,a143),
     ++ssSkC16]).

input_clause(clause601,conjecture,
    [--ssSkC20,
     --c1_2(a169,U),
     --c9_2(a169,U),
     --ndr1_1(a169),
     --c8_0,
     ++c2_2(a169,U)]).

input_clause(clause602,conjecture,
    [--c8_2(a141,U),
     --ndr1_1(a141),
     --c5_0,
     --c9_0,
     ++c10_2(a141,U),
     ++c6_2(a141,U)]).

input_clause(clause603,conjecture,
    [--ssSkC12,
     --c10_2(a121,U),
     --c7_2(a121,U),
     --ndr1_1(a121),
     --c10_0,
     ++c1_2(a121,U)]).

input_clause(clause604,conjecture,
    [--c7_2(a111,U),
     --ndr1_1(a111),
     --c10_0,
     --c7_0,
     ++c6_2(a111,U),
     ++c9_2(a111,U)]).

input_clause(clause605,conjecture,
    [--c7_2(a107,U),
     --ndr1_1(a107),
     --c10_0,
     --c2_0,
     ++c10_2(a107,U),
     ++c3_2(a107,U)]).

input_clause(clause606,conjecture,
    [--c3_2(a56,U),
     --c6_2(a56,U),
     --c9_2(a56,U),
     --ndr1_1(a56),
     ++c5_0,
     ++c7_0]).

input_clause(clause607,conjecture,
    [--c2_2(a51,U),
     --c5_2(a51,U),
     --c8_2(a51,U),
     --ndr1_1(a51),
     ++c4_0,
     ++c8_0]).

input_clause(clause608,conjecture,
    [--c1_2(a37,U),
     --c7_2(a37,U),
     --c8_2(a37,U),
     --ndr1_1(a37),
     ++c3_0,
     ++c4_0]).

input_clause(clause609,conjecture,
    [--ssSkC28,
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c6_1(U),
     ++ndr1_1(a195)]).

input_clause(clause610,conjecture,
    [--ssSkP9(U),
     --c1_1(V),
     --ndr1_0,
     --c7_2(U,a65),
     --c6_1(U),
     ++c10_1(V),
     ++c6_1(V),
     ++c5_0]).

input_clause(clause611,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_2(U,V),
     ++c5_2(U,a178),
     ++c7_1(U),
     ++ssSkC23]).

input_clause(clause612,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_2(U,V),
     ++c8_2(U,a178),
     ++c7_1(U),
     ++ssSkC23]).

input_clause(clause613,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a78),
     --c6_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC9]).

input_clause(clause614,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a78),
     --c6_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC9]).

input_clause(clause615,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a78),
     --c6_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC9]).

input_clause(clause616,conjecture,
    [--ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c9_2(U,V),
     ++c8_2(U,a70),
     ++ssSkC7]).

input_clause(clause617,conjecture,
    [--ssSkC28,
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a195,a197),
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c6_1(U)]).

input_clause(clause618,conjecture,
    [--ssSkC28,
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_2(a195,a197),
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c6_1(U)]).

input_clause(clause619,conjecture,
    [--ssSkC28,
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_2(a195,a197),
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c6_1(U)]).

input_clause(clause620,conjecture,
    [--ssSkC28,
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a195,a196),
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c6_1(U)]).

input_clause(clause621,conjecture,
    [--ssSkC28,
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(a195,a196),
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c6_1(U)]).

input_clause(clause622,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c9_2(U,V),
     ++c1_2(U,a88),
     ++c9_0]).

input_clause(clause623,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c9_2(U,V),
     ++c2_2(U,a88),
     ++c9_0]).

input_clause(clause624,conjecture,
    [--ssSkP17(U),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c3_2(U,a209),
     ++ssSkC33]).

input_clause(clause625,conjecture,
    [--ssSkP17(U),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c5_2(U,a209),
     ++ssSkC33]).

input_clause(clause626,conjecture,
    [--ndr1_1(U),
     --c10_2(U,a70),
     --c9_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c9_2(U,V),
     ++ssSkC7]).

input_clause(clause627,conjecture,
    [--ndr1_1(U),
     --c6_2(U,a70),
     --c9_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c9_2(U,V),
     ++ssSkC7]).

input_clause(clause628,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,a34),
     ++ssSkC2]).

input_clause(clause629,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_2(U,V),
     ++c4_2(U,a34),
     ++ssSkC2]).

input_clause(clause630,conjecture,
    [--ssSkP2(U),
     --ssSkC0,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c8_2(U,a23),
     ++c10_0]).

input_clause(clause631,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_0]).

input_clause(clause632,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_1(U),
     ++c9_1(U)]).

input_clause(clause633,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(a164),
     --c8_0,
     ++c6_2(U,V),
     ++c3_1(U)]).

input_clause(clause634,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V),
     ++ndr1_1(a98)]).

input_clause(clause635,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a88),
     --ndr1_0,
     --c3_0,
     ++c9_2(U,V),
     ++c9_0]).

input_clause(clause636,conjecture,
    [--ssSkP17(U),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a209),
     --ndr1_0,
     ++c9_2(U,V),
     ++ssSkC33]).

input_clause(clause637,conjecture,
    [--c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,a204),
     ++ssSkC31]).

input_clause(clause638,conjecture,
    [--c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c8_2(U,a204),
     ++ssSkC31]).

input_clause(clause639,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c1_2(U,a198),
     ++ssSkC29]).

input_clause(clause640,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c4_2(U,a198),
     ++ssSkC29]).

input_clause(clause641,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a34),
     --c5_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_2(U,V),
     ++ssSkC2]).

input_clause(clause642,conjecture,
    [--ssSkC26,
     --c6_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(a188),
     ++c5_2(U,V),
     ++c3_1(U),
     ++c5_1(U)]).

input_clause(clause643,conjecture,
    [--ssSkC26,
     --c6_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_1(a188),
     ++c5_2(U,V),
     ++c3_1(U),
     ++c5_1(U)]).

input_clause(clause644,conjecture,
    [--ssSkP16(U),
     --ssSkC22,
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_0,
     ++c1_2(U,V),
     ++c8_2(U,a177)]).

input_clause(clause645,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c6_1(a92),
     ++c3_2(U,V),
     ++c9_2(U,V),
     ++c6_1(U),
     ++c9_0]).

input_clause(clause646,conjecture,
    [--ssSkC4,
     --c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a55),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c4_0]).

input_clause(clause647,conjecture,
    [--ssSkC4,
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a55),
     --c4_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c8_2(U,V),
     ++c4_0]).

input_clause(clause648,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_0,
     ++c7_2(U,V),
     ++c2_2(U,a52),
     ++c7_1(U),
     ++c4_0]).

input_clause(clause649,conjecture,
    [--ssSkP2(U),
     --ssSkC0,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a23),
     --ndr1_0,
     ++c5_2(U,V),
     ++c10_0]).

input_clause(clause650,conjecture,
    [--ssSkP2(U),
     --ssSkC0,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a23),
     --ndr1_0,
     ++c5_2(U,V),
     ++c10_0]).

input_clause(clause651,conjecture,
    [--ssSkP1(U),
     --c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c10_2(U,V),
     ++c1_2(U,a18),
     ++c10_0]).

input_clause(clause652,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_0,
     ++c9_2(U,V),
     ++c8_1(U),
     ++c6_0]).

input_clause(clause653,conjecture,
    [--c10_1(U),
     --ndr1_0,
     --ndr1_1(a114),
     --c10_0,
     ++c1_1(U),
     ++c9_1(U),
     ++c1_2(a114,V),
     ++c3_2(a114,V),
     ++c5_2(a114,V)]).

input_clause(clause654,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V),
     ++c7_2(a98,a99)]).

input_clause(clause655,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V),
     ++c8_2(a98,a99)]).

input_clause(clause656,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c8_1(a98),
     --c1_0,
     ++c2_2(U,V)]).

input_clause(clause657,conjecture,
    [--c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a198),
     --c1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++ssSkC29]).

input_clause(clause658,conjecture,
    [--ssSkP16(U),
     --ssSkC22,
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a177),
     --ndr1_0,
     --c9_0,
     ++c1_2(U,V)]).

input_clause(clause659,conjecture,
    [--ssSkP16(U),
     --ssSkC22,
     --c2_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a177),
     --ndr1_0,
     --c9_0,
     ++c1_2(U,V)]).

input_clause(clause660,conjecture,
    [--c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c3_0,
     ++c7_2(U,V),
     ++c1_2(U,a77),
     ++c6_0]).

input_clause(clause661,conjecture,
    [--c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c3_0,
     ++c7_2(U,V),
     ++c3_2(U,a77),
     ++c6_0]).

input_clause(clause662,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a52),
     --ndr1_0,
     --c8_0,
     ++c7_2(U,V),
     ++c7_1(U),
     ++c4_0]).

input_clause(clause663,conjecture,
    [--ssSkP1(U),
     --c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a18),
     --ndr1_0,
     --c4_0,
     ++c10_2(U,V),
     ++c10_0]).

input_clause(clause664,conjecture,
    [--ssSkP1(U),
     --c2_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a18),
     --ndr1_0,
     --c4_0,
     ++c10_2(U,V),
     ++c10_0]).

input_clause(clause665,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     --c6_0,
     ++c1_2(U,V),
     ++c7_2(U,V)]).

input_clause(clause666,conjecture,
    [--ndr1_1(U),
     --c10_2(U,V),
     --c3_2(U,a185),
     --ndr1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c7_2(U,W),
     ++c1_2(U,V),
     ++ssSkC25]).

input_clause(clause667,conjecture,
    [--ndr1_1(U),
     --c10_2(U,V),
     --c5_2(U,a185),
     --ndr1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c7_2(U,W),
     ++c1_2(U,V),
     ++ssSkC25]).

input_clause(clause668,conjecture,
    [--ndr1_1(U),
     --c10_2(U,V),
     --c6_2(U,a185),
     --ndr1_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c7_2(U,W),
     ++c1_2(U,V),
     ++ssSkC25]).

input_clause(clause669,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_2(a98,a99),
     --c1_0,
     ++c2_2(U,V)]).

input_clause(clause670,conjecture,
    [--c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --ndr1_1(a97),
     --c1_0,
     ++c4_1(U),
     ++c10_2(a97,V),
     ++c2_2(a97,V),
     ++c9_2(a97,V)]).

input_clause(clause671,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     --c1_1(a171),
     --c8_0,
     ++c10_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause672,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     --c4_1(a171),
     --c8_0,
     ++c10_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause673,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_1(a171),
     --c8_0,
     ++c10_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause674,conjecture,
    [--c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a77),
     --c6_1(U),
     --ndr1_0,
     --c3_0,
     ++c7_2(U,V),
     ++c6_0]).

input_clause(clause675,conjecture,
    [--c10_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c9_1(U),
     --ndr1_0,
     --c2_0,
     --c9_0,
     ++c2_2(U,V)]).

input_clause(clause676,conjecture,
    [--ssSkC16,
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c5_0,
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c10_2(U,a144)]).

input_clause(clause677,conjecture,
    [--ssSkC16,
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c5_0,
     ++c7_2(U,V),
     ++c3_2(U,W),
     ++c6_2(U,a144)]).

input_clause(clause678,conjecture,
    [--ssSkP3(U),
     --ssSkP4(U),
     --c3_2(V,W),
     --ndr1_1(V),
     --ndr1_0,
     ++c6_2(V,W),
     ++c7_2(V,W),
     ++c10_2(V,X),
     ++c6_2(V,X),
     ++c8_2(V,X),
     ++ndr1_1(U),
     ++c10_0]).

input_clause(clause679,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,V),
     ++c8_2(U,V),
     ++c4_2(U,W),
     ++c9_2(U,W),
     ++c8_1(U),
     ++c1_0]).

input_clause(clause680,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     ++c7_2(U,V),
     ++c9_2(U,V),
     ++c5_2(U,W),
     ++c8_1(U),
     ++c7_0,
     ++c9_0]).

input_clause(clause681,conjecture,
    [--ssSkC16,
     --c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c8_2(U,a144),
     --ndr1_0,
     --c5_0,
     ++c7_2(U,V),
     ++c3_2(U,W)]).

input_clause(clause682,conjecture,
    [--ssSkP3(U),
     --ssSkP4(U),
     --c3_2(V,W),
     --ndr1_1(V),
     --ndr1_0,
     ++c6_2(V,W),
     ++c7_2(V,W),
     ++c10_2(V,X),
     ++c6_2(V,X),
     ++c8_2(V,X),
     ++c6_2(U,a26),
     ++c10_0]).

input_clause(clause683,conjecture,
    [--ssSkP3(U),
     --ssSkP4(U),
     --c3_2(V,W),
     --ndr1_1(V),
     --ndr1_0,
     ++c6_2(V,W),
     ++c7_2(V,W),
     ++c10_2(V,X),
     ++c6_2(V,X),
     ++c8_2(V,X),
     ++c7_2(U,a26),
     ++c10_0]).

input_clause(clause684,conjecture,
    [--c2_1(U),
     --c6_1(U),
     --ndr1_0,
     --c3_2(V,W),
     --c7_2(V,W),
     --ndr1_1(V),
     --c3_1(V),
     ++c7_1(U),
     ++c1_2(V,W),
     ++c2_1(V),
     ++c10_0]).

input_clause(clause685,conjecture,
    [--ndr1_1(U),
     --c9_2(U,V),
     --ndr1_0,
     ++c4_2(U,W),
     ++c6_2(U,W),
     ++c10_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,X),
     ++c5_2(U,X),
     ++c6_2(U,X),
     ++c3_1(a80),
     ++c6_0]).

input_clause(clause686,conjecture,
    [--ndr1_1(U),
     --c9_2(U,V),
     --ndr1_0,
     ++c4_2(U,W),
     ++c6_2(U,W),
     ++c10_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,X),
     ++c5_2(U,X),
     ++c6_2(U,X),
     ++c7_1(a80),
     ++c6_0]).

input_clause(clause687,conjecture,
    [--ssSkC27,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     ++c9_2(U,V),
     ++c5_2(U,W),
     ++c3_1(U),
     ++ndr1_1(a192)]).

input_clause(clause688,conjecture,
    [--ssSkC27,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     ++c9_2(U,V),
     ++c5_2(U,W),
     ++c3_1(U),
     ++c3_1(a192)]).

input_clause(clause689,conjecture,
    [--ssSkC27,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     ++c9_2(U,V),
     ++c5_2(U,W),
     ++c3_1(U),
     ++c7_1(a192)]).

input_clause(clause690,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(a164,W),
     --ndr1_1(a164),
     --c8_0,
     ++c6_2(U,V),
     ++c3_1(U),
     ++c8_2(a164,W)]).

input_clause(clause691,conjecture,
    [--ssSkP3(U),
     --ssSkP4(U),
     --c3_2(V,W),
     --ndr1_1(V),
     --ndr1_0,
     --c1_2(U,a26),
     ++c6_2(V,W),
     ++c7_2(V,W),
     ++c10_2(V,X),
     ++c6_2(V,X),
     ++c8_2(V,X),
     ++c10_0]).

input_clause(clause692,conjecture,
    [--ndr1_1(U),
     --c9_2(U,V),
     --ndr1_0,
     --c5_1(a80),
     ++c4_2(U,W),
     ++c6_2(U,W),
     ++c10_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,X),
     ++c5_2(U,X),
     ++c6_2(U,X),
     ++c6_0]).

input_clause(clause693,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c9_2(U,W),
     --c2_2(U,X),
     --ndr1_0,
     ++c7_2(U,W),
     ++c10_2(U,X),
     ++c1_0,
     ++c4_0]).

input_clause(clause694,conjecture,
    [--ssSkC27,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     ++c9_2(U,V),
     ++c5_2(U,W),
     ++c3_1(U),
     ++c9_2(a192,a193)]).

input_clause(clause695,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c4_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c6_2(U,W),
     ++c6_1(U),
     ++ndr1_1(a165)]).

input_clause(clause696,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c4_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c6_2(U,W),
     ++c6_1(U),
     ++c4_1(a165)]).

input_clause(clause697,conjecture,
    [--c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c7_2(a98,W),
     --ndr1_1(a98),
     --c1_0,
     ++c2_2(U,V),
     ++c5_2(a98,W)]).

input_clause(clause698,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(a164),
     --c8_0,
     ++c6_2(U,V),
     ++c3_1(U),
     ++c5_2(a164,W),
     ++c7_2(a164,W),
     ++c9_2(a164,W)]).

input_clause(clause699,conjecture,
    [--ssSkC27,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     --c3_2(a192,a193),
     ++c9_2(U,V),
     ++c5_2(U,W),
     ++c3_1(U)]).

input_clause(clause700,conjecture,
    [--ssSkC27,
     --c4_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     --c7_2(a192,a193),
     ++c9_2(U,V),
     ++c5_2(U,W),
     ++c3_1(U)]).

input_clause(clause701,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c4_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c6_2(U,W),
     ++c6_1(U),
     ++c10_2(a165,a166)]).

input_clause(clause702,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c4_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c6_2(U,W),
     ++c6_1(U),
     ++c5_2(a165,a166)]).

input_clause(clause703,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c4_2(U,W),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,V),
     ++c6_2(U,W),
     ++c6_1(U),
     ++c9_2(a165,a166)]).

input_clause(clause704,conjecture,
    [--ssSkC28,
     --c10_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a195,W),
     --c2_2(a195,W),
     --c4_2(a195,W),
     --ndr1_1(a195),
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c6_1(U)]).

input_clause(clause705,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --ndr1_0,
     --c2_1(X),
     --c8_1(X),
     ++c3_2(U,V),
     ++c9_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c5_1(U),
     ++ndr1_1(X),
     ++c3_0]).

input_clause(clause706,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c6_2(a92,W),
     --ndr1_1(a92),
     ++c3_2(U,V),
     ++c9_2(U,V),
     ++c6_1(U),
     ++c10_2(a92,W),
     ++c3_2(a92,W),
     ++c9_0]).

input_clause(clause707,conjecture,
    [--ssSkP12(U),
     --c2_2(V,W),
     --c6_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c5_2(V,X),
     --ndr1_0,
     --c3_0,
     ++c7_2(V,X),
     ++c8_2(V,X),
     ++c8_1(V),
     ++ndr1_1(U),
     ++c9_1(U)]).

input_clause(clause708,conjecture,
    [--ssSkC26,
     --c6_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a188,W),
     --c8_2(a188,W),
     --ndr1_1(a188),
     ++c5_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++c7_2(a188,W)]).

input_clause(clause709,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c9_2(U,W),
     --c7_1(U),
     --ndr1_0,
     --c10_1(X),
     --c3_1(X),
     --c3_0,
     ++c3_2(U,V),
     ++c6_2(U,V),
     ++c1_2(U,W)]).

input_clause(clause710,conjecture,
    [--ssSkP12(U),
     --c2_2(V,W),
     --c6_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c5_2(V,X),
     --ndr1_0,
     --c3_0,
     ++c7_2(V,X),
     ++c8_2(V,X),
     ++c8_1(V),
     ++c3_2(U,a124),
     ++c9_1(U)]).

input_clause(clause711,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --ndr1_0,
     --c1_2(X,a47),
     --c2_1(X),
     --c8_1(X),
     ++c3_2(U,V),
     ++c9_2(U,V),
     ++c3_2(U,W),
     ++c8_2(U,W),
     ++c5_1(U),
     ++c3_0]).

input_clause(clause712,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     ++c4_2(U,X),
     ++c8_2(U,X),
     ++c9_2(U,X),
     ++c10_1(U),
     ++c5_2(V,W),
     ++c6_2(V,W),
     ++c2_2(V,a20),
     ++c10_0]).

input_clause(clause713,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     ++c4_2(U,X),
     ++c8_2(U,X),
     ++c9_2(U,X),
     ++c10_1(U),
     ++c5_2(V,W),
     ++c6_2(V,W),
     ++c5_2(V,a20),
     ++c10_0]).

input_clause(clause714,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --ndr1_1(V),
     --c2_1(V),
     ++c4_2(U,X),
     ++c8_2(U,X),
     ++c9_2(U,X),
     ++c10_1(U),
     ++c5_2(V,W),
     ++c6_2(V,W),
     ++c7_2(V,a20),
     ++c10_0]).

input_clause(clause715,conjecture,
    [--ssSkP12(U),
     --c2_2(V,W),
     --c6_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c5_2(V,X),
     --ndr1_0,
     --c4_2(U,a124),
     --c3_0,
     ++c7_2(V,X),
     ++c8_2(V,X),
     ++c8_1(V),
     ++c9_1(U)]).

input_clause(clause716,conjecture,
    [--ssSkP12(U),
     --c2_2(V,W),
     --c6_2(V,W),
     --c9_2(V,W),
     --ndr1_1(V),
     --c5_2(V,X),
     --ndr1_0,
     --c6_2(U,a124),
     --c3_0,
     ++c7_2(V,X),
     ++c8_2(V,X),
     ++c8_1(V),
     ++c9_1(U)]).

input_clause(clause717,conjecture,
    [--c10_2(U,V),
     --c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --c3_2(U,X),
     --c7_2(U,X),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,W),
     ++c4_2(U,X),
     ++ndr1_1(a180)]).

input_clause(clause718,conjecture,
    [--c10_2(U,V),
     --c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --c3_2(U,X),
     --c7_2(U,X),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,W),
     ++c4_2(U,X),
     ++c5_1(a180)]).

input_clause(clause719,conjecture,
    [--c10_2(U,V),
     --c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --c3_2(U,X),
     --c7_2(U,X),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,W),
     ++c4_2(U,X),
     ++c10_2(a180,a181)]).

input_clause(clause720,conjecture,
    [--c10_2(U,V),
     --c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --c3_2(U,X),
     --c7_2(U,X),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,W),
     ++c4_2(U,X),
     ++c7_2(a180,a181)]).

input_clause(clause721,conjecture,
    [--c10_2(U,V),
     --c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --c3_2(U,X),
     --c7_2(U,X),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,W),
     ++c4_2(U,X),
     ++c9_2(a180,a181)]).

input_clause(clause722,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --ndr1_1(W),
     --c7_2(W,Y),
     --c1_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c8_2(W,X),
     ++c3_2(W,Y),
     ++c5_2(W,Y),
     ++c4_1(W)]).

input_clause(clause723,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,X),
     --ndr1_0,
     --c9_1(Y),
     --c6_0,
     ++c5_2(U,W),
     ++c6_2(U,W),
     ++c10_2(U,X),
     ++c5_2(U,X),
     ++ndr1_1(Y),
     ++c2_1(Y)]).

input_clause(clause724,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_1(W),
     --c9_1(W),
     ++c2_2(U,V),
     ++c2_2(U,Y),
     ++c5_2(U,Y),
     ++c5_2(W,X),
     ++ndr1_1(a201)]).

input_clause(clause725,conjecture,
    [--ndr1_1(U),
     --c7_1(U),
     --c8_1(U),
     --ndr1_0,
     --c3_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c6_2(V,a85),
     ++c1_2(U,X),
     ++c7_2(U,X),
     ++c9_2(U,X),
     ++c4_2(V,W),
     ++c10_2(V,Y),
     ++c4_2(V,Y),
     ++c7_2(V,Y),
     ++c7_0]).

input_clause(clause726,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,X),
     --ndr1_0,
     --c10_2(Y,a150),
     --c9_1(Y),
     --c6_0,
     ++c5_2(U,W),
     ++c6_2(U,W),
     ++c10_2(U,X),
     ++c5_2(U,X),
     ++c2_1(Y)]).

input_clause(clause727,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,X),
     --ndr1_0,
     --c7_2(Y,a150),
     --c9_1(Y),
     --c6_0,
     ++c5_2(U,W),
     ++c6_2(U,W),
     ++c10_2(U,X),
     ++c5_2(U,X),
     ++c2_1(Y)]).

input_clause(clause728,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c6_2(U,X),
     --ndr1_0,
     --c8_2(Y,a150),
     --c9_1(Y),
     --c6_0,
     ++c5_2(U,W),
     ++c6_2(U,W),
     ++c10_2(U,X),
     ++c5_2(U,X),
     ++c2_1(Y)]).

input_clause(clause729,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_1(W),
     --c9_1(W),
     ++c2_2(U,V),
     ++c2_2(U,Y),
     ++c5_2(U,Y),
     ++c5_2(W,X),
     ++c3_2(a201,a203)]).

input_clause(clause730,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_1(W),
     --c9_1(W),
     ++c2_2(U,V),
     ++c2_2(U,Y),
     ++c5_2(U,Y),
     ++c5_2(W,X),
     ++c9_2(a201,a203)]).

input_clause(clause731,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_1(W),
     --c9_1(W),
     ++c2_2(U,V),
     ++c2_2(U,Y),
     ++c5_2(U,Y),
     ++c5_2(W,X),
     ++c1_2(a201,a202)]).

input_clause(clause732,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_1(W),
     --c9_1(W),
     --c7_2(a201,a203),
     ++c2_2(U,V),
     ++c2_2(U,Y),
     ++c5_2(U,Y),
     ++c5_2(W,X)]).

input_clause(clause733,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_1(W),
     --c9_1(W),
     --c3_2(a201,a202),
     ++c2_2(U,V),
     ++c2_2(U,Y),
     ++c5_2(U,Y),
     ++c5_2(W,X)]).

input_clause(clause734,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_1(W),
     --c9_1(W),
     --c9_2(a201,a202),
     ++c2_2(U,V),
     ++c2_2(U,Y),
     ++c5_2(U,Y),
     ++c5_2(W,X)]).

input_clause(clause735,conjecture,
    [--c10_2(U,V),
     --c5_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c7_2(U,W),
     --c3_2(U,X),
     --c7_2(U,X),
     --ndr1_0,
     --ndr1_1(a180),
     --c9_0,
     ++c5_2(U,W),
     ++c4_2(U,X),
     ++c1_2(a180,Y),
     ++c2_2(a180,Y),
     ++c6_2(a180,Y)]).
%--------------------------------------------------------------------------
