%--------------------------------------------------------------------------
% File     : SYN435-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=40, K=3, D=1, P=0, Index=046
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-40-3-1-046.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.25 v2.6.0, 0.17 v2.5.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  252 (  40 non-Horn;   0 unit; 247 RR)
%            Number of literals   :  679 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   58 (  54 propositional; 0-1 arity)
%            Number of functors   :   53 (  53 constant; 0-0 arity)
%            Number of variables  :   52 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++hskp50,++hskp51]).

input_clause(clause2,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause55,conjecture,
    [++hskp1,++hskp27,++hskp28]).

input_clause(clause56,conjecture,
    [++hskp19,++hskp18,++hskp20]).

input_clause(clause57,conjecture,
    [++hskp43,++hskp21,++hskp22]).

input_clause(clause58,conjecture,
    [++hskp43,++hskp42,++hskp44]).

input_clause(clause59,conjecture,
    [++hskp45,++hskp18,++hskp23]).

input_clause(clause60,conjecture,
    [++hskp46,++hskp47,++hskp24]).

input_clause(clause61,conjecture,
    [--hskp52,
     ++c2_1(a345)]).

input_clause(clause62,conjecture,
    [--hskp52,
     ++c1_1(a345)]).

input_clause(clause63,conjecture,
    [--hskp51,
     ++c0_1(a344)]).

input_clause(clause64,conjecture,
    [--hskp51,
     ++c3_1(a344)]).

input_clause(clause65,conjecture,
    [--hskp50,
     ++c0_1(a343)]).

input_clause(clause66,conjecture,
    [--hskp50,
     ++c1_1(a343)]).

input_clause(clause67,conjecture,
    [--hskp50,
     ++c3_1(a343)]).

input_clause(clause68,conjecture,
    [--hskp49,
     ++c3_1(a342)]).

input_clause(clause69,conjecture,
    [--hskp49,
     ++c0_1(a342)]).

input_clause(clause70,conjecture,
    [--hskp48,
     ++c1_1(a340)]).

input_clause(clause71,conjecture,
    [--hskp48,
     ++c2_1(a340)]).

input_clause(clause72,conjecture,
    [--hskp47,
     ++c1_1(a335)]).

input_clause(clause73,conjecture,
    [--hskp46,
     ++c2_1(a334)]).

input_clause(clause74,conjecture,
    [--hskp45,
     ++c1_1(a331)]).

input_clause(clause75,conjecture,
    [--hskp45,
     ++c2_1(a331)]).

input_clause(clause76,conjecture,
    [--hskp44,
     ++c2_1(a330)]).

input_clause(clause77,conjecture,
    [--hskp44,
     ++c0_1(a330)]).

input_clause(clause78,conjecture,
    [--hskp43,
     ++c1_1(a325)]).

input_clause(clause79,conjecture,
    [--hskp43,
     ++c3_1(a325)]).

input_clause(clause80,conjecture,
    [--hskp42,
     ++c0_1(a316)]).

input_clause(clause81,conjecture,
    [--hskp41,
     ++c1_1(a315)]).

input_clause(clause82,conjecture,
    [--hskp41,
     ++c3_1(a315)]).

input_clause(clause83,conjecture,
    [--hskp41,
     ++c2_1(a315)]).

input_clause(clause84,conjecture,
    [--hskp40,
     ++c2_1(a307)]).

input_clause(clause85,conjecture,
    [--hskp40,
     ++c1_1(a307)]).

input_clause(clause86,conjecture,
    [--hskp39,
     ++c0_1(a305)]).

input_clause(clause87,conjecture,
    [--hskp38,
     ++c0_1(a304)]).

input_clause(clause88,conjecture,
    [--hskp38,
     ++c1_1(a304)]).

input_clause(clause89,conjecture,
    [--hskp37,
     ++c0_1(a303)]).

input_clause(clause90,conjecture,
    [--hskp37,
     ++c1_1(a303)]).

input_clause(clause91,conjecture,
    [--hskp37,
     ++c2_1(a303)]).

input_clause(clause92,conjecture,
    [--hskp36,
     ++c1_1(a302)]).

input_clause(clause93,conjecture,
    [--hskp36,
     ++c0_1(a302)]).

input_clause(clause94,conjecture,
    [--hskp36,
     ++c3_1(a302)]).

input_clause(clause95,conjecture,
    [--hskp35,
     ++c2_1(a298)]).

input_clause(clause96,conjecture,
    [--hskp34,
     ++c2_1(a296)]).

input_clause(clause97,conjecture,
    [--hskp34,
     ++c1_1(a296)]).

input_clause(clause98,conjecture,
    [--hskp33,
     ++c1_1(a293)]).

input_clause(clause99,conjecture,
    [--hskp33,
     ++c0_1(a293)]).

input_clause(clause100,conjecture,
    [--hskp32,
     ++c2_1(a289)]).

input_clause(clause101,conjecture,
    [--hskp32,
     ++c3_1(a289)]).

input_clause(clause102,conjecture,
    [--hskp32,
     ++c0_1(a289)]).

input_clause(clause103,conjecture,
    [--hskp31,
     ++c3_1(a288)]).

input_clause(clause104,conjecture,
    [--hskp30,
     ++c2_1(a287)]).

input_clause(clause105,conjecture,
    [--hskp30,
     ++c0_1(a287)]).

input_clause(clause106,conjecture,
    [--hskp30,
     ++c3_1(a287)]).

input_clause(clause107,conjecture,
    [--hskp29,
     ++c2_1(a286)]).

input_clause(clause108,conjecture,
    [--hskp28,
     ++c0_1(a285)]).

input_clause(clause109,conjecture,
    [--hskp28,
     ++c2_1(a285)]).

input_clause(clause110,conjecture,
    [--hskp28,
     ++c1_1(a285)]).

input_clause(clause111,conjecture,
    [--hskp27,
     ++c1_1(a284)]).

input_clause(clause112,conjecture,
    [--hskp27,
     ++c2_1(a284)]).

input_clause(clause113,conjecture,
    [--hskp24,
     ++c0_1(a336)]).

input_clause(clause114,conjecture,
    [--hskp23,
     ++c1_1(a333)]).

input_clause(clause115,conjecture,
    [--hskp22,
     ++c3_1(a327)]).

input_clause(clause116,conjecture,
    [--hskp21,
     ++c0_1(a326)]).

input_clause(clause117,conjecture,
    [--hskp19,
     ++c3_1(a322)]).

input_clause(clause118,conjecture,
    [--hskp18,
     ++c1_1(a319)]).

input_clause(clause119,conjecture,
    [--hskp16,
     ++c3_1(a317)]).

input_clause(clause120,conjecture,
    [--hskp16,
     ++c1_1(a317)]).

input_clause(clause121,conjecture,
    [--hskp15,
     ++c1_1(a313)]).

input_clause(clause122,conjecture,
    [--hskp15,
     ++c3_1(a313)]).

input_clause(clause123,conjecture,
    [--hskp13,
     ++c3_1(a311)]).

input_clause(clause124,conjecture,
    [--hskp13,
     ++c0_1(a311)]).

input_clause(clause125,conjecture,
    [--hskp11,
     ++c1_1(a309)]).

input_clause(clause126,conjecture,
    [--hskp11,
     ++c0_1(a309)]).

input_clause(clause127,conjecture,
    [--hskp9,
     ++c1_1(a301)]).

input_clause(clause128,conjecture,
    [--hskp8,
     ++c0_1(a300)]).

input_clause(clause129,conjecture,
    [--hskp7,
     ++c2_1(a299)]).

input_clause(clause130,conjecture,
    [--hskp7,
     ++c0_1(a299)]).

input_clause(clause131,conjecture,
    [--hskp6,
     ++c2_1(a297)]).

input_clause(clause132,conjecture,
    [--hskp6,
     ++c0_1(a297)]).

input_clause(clause133,conjecture,
    [--hskp5,
     ++c2_1(a294)]).

input_clause(clause134,conjecture,
    [--hskp3,
     ++c0_1(a291)]).

input_clause(clause135,conjecture,
    [--hskp1,
     ++c2_1(a283)]).

input_clause(clause136,conjecture,
    [--hskp0,
     ++c2_1(a282)]).

input_clause(clause137,conjecture,
    [--hskp0,
     ++c3_1(a282)]).

input_clause(clause138,conjecture,
    [--c0_1(a345),
     --hskp52]).

input_clause(clause139,conjecture,
    [--c1_1(a344),
     --hskp51]).

input_clause(clause140,conjecture,
    [--c1_1(a342),
     --hskp49]).

input_clause(clause141,conjecture,
    [--c3_1(a340),
     --hskp48]).

input_clause(clause142,conjecture,
    [--c0_1(a335),
     --hskp47]).

input_clause(clause143,conjecture,
    [--c2_1(a335),
     --hskp47]).

input_clause(clause144,conjecture,
    [--c3_1(a334),
     --hskp46]).

input_clause(clause145,conjecture,
    [--c0_1(a334),
     --hskp46]).

input_clause(clause146,conjecture,
    [--c3_1(a331),
     --hskp45]).

input_clause(clause147,conjecture,
    [--c3_1(a330),
     --hskp44]).

input_clause(clause148,conjecture,
    [--c2_1(a325),
     --hskp43]).

input_clause(clause149,conjecture,
    [--c1_1(a316),
     --hskp42]).

input_clause(clause150,conjecture,
    [--c3_1(a316),
     --hskp42]).

input_clause(clause151,conjecture,
    [--c0_1(a307),
     --hskp40]).

input_clause(clause152,conjecture,
    [--c2_1(a305),
     --hskp39]).

input_clause(clause153,conjecture,
    [--c1_1(a305),
     --hskp39]).

input_clause(clause154,conjecture,
    [--c2_1(a304),
     --hskp38]).

input_clause(clause155,conjecture,
    [--c0_1(a298),
     --hskp35]).

input_clause(clause156,conjecture,
    [--c3_1(a298),
     --hskp35]).

input_clause(clause157,conjecture,
    [--c3_1(a296),
     --hskp34]).

input_clause(clause158,conjecture,
    [--c2_1(a293),
     --hskp33]).

input_clause(clause159,conjecture,
    [--c1_1(a288),
     --hskp31]).

input_clause(clause160,conjecture,
    [--c2_1(a288),
     --hskp31]).

input_clause(clause161,conjecture,
    [--c1_1(a286),
     --hskp29]).

input_clause(clause162,conjecture,
    [--c0_1(a286),
     --hskp29]).

input_clause(clause163,conjecture,
    [--c0_1(a284),
     --hskp27]).

input_clause(clause164,conjecture,
    [--c0_1(a347),
     --hskp26]).

input_clause(clause165,conjecture,
    [--c2_1(a347),
     --hskp26]).

input_clause(clause166,conjecture,
    [--c1_1(a347),
     --hskp26]).

input_clause(clause167,conjecture,
    [--c2_1(a337),
     --hskp25]).

input_clause(clause168,conjecture,
    [--c0_1(a337),
     --hskp25]).

input_clause(clause169,conjecture,
    [--c3_1(a337),
     --hskp25]).

input_clause(clause170,conjecture,
    [--c2_1(a336),
     --hskp24]).

input_clause(clause171,conjecture,
    [--c1_1(a336),
     --hskp24]).

input_clause(clause172,conjecture,
    [--c2_1(a333),
     --hskp23]).

input_clause(clause173,conjecture,
    [--c3_1(a333),
     --hskp23]).

input_clause(clause174,conjecture,
    [--c1_1(a327),
     --hskp22]).

input_clause(clause175,conjecture,
    [--c0_1(a327),
     --hskp22]).

input_clause(clause176,conjecture,
    [--c1_1(a326),
     --hskp21]).

input_clause(clause177,conjecture,
    [--c2_1(a326),
     --hskp21]).

input_clause(clause178,conjecture,
    [--c3_1(a324),
     --hskp20]).

input_clause(clause179,conjecture,
    [--c2_1(a324),
     --hskp20]).

input_clause(clause180,conjecture,
    [--c0_1(a324),
     --hskp20]).

input_clause(clause181,conjecture,
    [--c2_1(a322),
     --hskp19]).

input_clause(clause182,conjecture,
    [--c1_1(a322),
     --hskp19]).

input_clause(clause183,conjecture,
    [--c2_1(a319),
     --hskp18]).

input_clause(clause184,conjecture,
    [--c0_1(a319),
     --hskp18]).

input_clause(clause185,conjecture,
    [--c0_1(a318),
     --hskp17]).

input_clause(clause186,conjecture,
    [--c3_1(a318),
     --hskp17]).

input_clause(clause187,conjecture,
    [--c2_1(a318),
     --hskp17]).

input_clause(clause188,conjecture,
    [--c0_1(a317),
     --hskp16]).

input_clause(clause189,conjecture,
    [--c2_1(a313),
     --hskp15]).

input_clause(clause190,conjecture,
    [--c3_1(a312),
     --hskp14]).

input_clause(clause191,conjecture,
    [--c0_1(a312),
     --hskp14]).

input_clause(clause192,conjecture,
    [--c2_1(a312),
     --hskp14]).

input_clause(clause193,conjecture,
    [--c1_1(a311),
     --hskp13]).

input_clause(clause194,conjecture,
    [--c3_1(a310),
     --hskp12]).

input_clause(clause195,conjecture,
    [--c1_1(a310),
     --hskp12]).

input_clause(clause196,conjecture,
    [--c2_1(a310),
     --hskp12]).

input_clause(clause197,conjecture,
    [--c2_1(a309),
     --hskp11]).

input_clause(clause198,conjecture,
    [--c1_1(a306),
     --hskp10]).

input_clause(clause199,conjecture,
    [--c3_1(a306),
     --hskp10]).

input_clause(clause200,conjecture,
    [--c2_1(a306),
     --hskp10]).

input_clause(clause201,conjecture,
    [--c3_1(a301),
     --hskp9]).

input_clause(clause202,conjecture,
    [--c0_1(a301),
     --hskp9]).

input_clause(clause203,conjecture,
    [--c1_1(a300),
     --hskp8]).

input_clause(clause204,conjecture,
    [--c2_1(a300),
     --hskp8]).

input_clause(clause205,conjecture,
    [--c3_1(a299),
     --hskp7]).

input_clause(clause206,conjecture,
    [--c1_1(a297),
     --hskp6]).

input_clause(clause207,conjecture,
    [--c1_1(a294),
     --hskp5]).

input_clause(clause208,conjecture,
    [--c3_1(a294),
     --hskp5]).

input_clause(clause209,conjecture,
    [--c0_1(a292),
     --hskp4]).

input_clause(clause210,conjecture,
    [--c3_1(a292),
     --hskp4]).

input_clause(clause211,conjecture,
    [--c1_1(a292),
     --hskp4]).

input_clause(clause212,conjecture,
    [--c2_1(a291),
     --hskp3]).

input_clause(clause213,conjecture,
    [--c1_1(a291),
     --hskp3]).

input_clause(clause214,conjecture,
    [--c1_1(a290),
     --hskp2]).

input_clause(clause215,conjecture,
    [--c3_1(a290),
     --hskp2]).

input_clause(clause216,conjecture,
    [--c0_1(a290),
     --hskp2]).

input_clause(clause217,conjecture,
    [--c1_1(a283),
     --hskp1]).

input_clause(clause218,conjecture,
    [--c3_1(a283),
     --hskp1]).

input_clause(clause219,conjecture,
    [--c1_1(a282),
     --hskp0]).

input_clause(clause220,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c0_1(U),
     ++hskp33,
     ++hskp34]).

input_clause(clause221,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++c1_1(U),
     ++hskp30,
     ++hskp11]).

input_clause(clause222,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp32,
     ++hskp2]).

input_clause(clause223,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp37,
     ++hskp38]).

input_clause(clause224,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++hskp13,
     ++hskp14]).

input_clause(clause225,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp41,
     ++hskp42]).

input_clause(clause226,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp52,
     ++c0_1(U)]).

input_clause(clause227,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp29,
     ++hskp30]).

input_clause(clause228,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp3,
     ++hskp4]).

input_clause(clause229,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp39,
     ++hskp10]).

input_clause(clause230,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp15,
     ++hskp13]).

input_clause(clause231,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp17,
     ++hskp18]).

input_clause(clause232,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp41,
     ++hskp26]).

input_clause(clause233,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp33,
     ++hskp5]).

input_clause(clause234,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp19,
     ++hskp48]).

input_clause(clause235,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp45,
     ++hskp49]).

input_clause(clause236,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp13]).

input_clause(clause237,conjecture,
    [--ndr1_0,
     --c0_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++hskp0]).

input_clause(clause238,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp16]).

input_clause(clause239,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c0_1(U),
     ++c3_1(V),
     ++c2_1(V),
     ++hskp4]).

input_clause(clause240,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c3_1(V),
     ++hskp8]).

input_clause(clause241,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++hskp9]).

input_clause(clause242,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp36]).

input_clause(clause243,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c0_1(U),
     --c1_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp40]).

input_clause(clause244,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp12]).

input_clause(clause245,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++hskp25]).

input_clause(clause246,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++hskp6]).

input_clause(clause247,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp35]).

input_clause(clause248,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp7]).

input_clause(clause249,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++hskp31]).

input_clause(clause250,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++hskp7]).

input_clause(clause251,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c2_1(W),
     --c3_1(W),
     ++c1_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++c0_1(W)]).

input_clause(clause252,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     --c1_1(V),
     --c2_1(W),
     --c1_1(W),
     ++c0_1(U),
     ++c0_1(W)]).
%--------------------------------------------------------------------------
