%--------------------------------------------------------------------------
% File     : SYN437-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=48, K=3, D=1, P=0, Index=082
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-48-3-1-082.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.25 v2.6.0, 0.50 v2.5.0, 0.40 v2.4.0, 0.33 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses    :  256 (  47 non-Horn;   0 unit; 250 RR)
%            Number of literals   :  761 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   57 (  53 propositional; 0-1 arity)
%            Number of functors   :   52 (  52 constant; 0-0 arity)
%            Number of variables  :   79 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause53,conjecture,
    [++hskp1,++hskp3,++hskp28]).

input_clause(clause54,conjecture,
    [++hskp3,++hskp2,++hskp37]).

input_clause(clause55,conjecture,
    [++hskp24,++hskp48,++hskp46]).

input_clause(clause56,conjecture,
    [++hskp50,++hskp17,++hskp51]).

input_clause(clause57,conjecture,
    [--hskp51,
     ++c1_1(a464)]).

input_clause(clause58,conjecture,
    [--hskp51,
     ++c0_1(a464)]).

input_clause(clause59,conjecture,
    [--hskp50,
     ++c3_1(a462)]).

input_clause(clause60,conjecture,
    [--hskp50,
     ++c0_1(a462)]).

input_clause(clause61,conjecture,
    [--hskp49,
     ++c0_1(a459)]).

input_clause(clause62,conjecture,
    [--hskp48,
     ++c3_1(a455)]).

input_clause(clause63,conjecture,
    [--hskp48,
     ++c2_1(a455)]).

input_clause(clause64,conjecture,
    [--hskp48,
     ++c1_1(a455)]).

input_clause(clause65,conjecture,
    [--hskp47,
     ++c0_1(a449)]).

input_clause(clause66,conjecture,
    [--hskp47,
     ++c1_1(a449)]).

input_clause(clause67,conjecture,
    [--hskp46,
     ++c1_1(a446)]).

input_clause(clause68,conjecture,
    [--hskp45,
     ++c3_1(a439)]).

input_clause(clause69,conjecture,
    [--hskp45,
     ++c0_1(a439)]).

input_clause(clause70,conjecture,
    [--hskp44,
     ++c1_1(a438)]).

input_clause(clause71,conjecture,
    [--hskp44,
     ++c2_1(a438)]).

input_clause(clause72,conjecture,
    [--hskp43,
     ++c2_1(a436)]).

input_clause(clause73,conjecture,
    [--hskp43,
     ++c3_1(a436)]).

input_clause(clause74,conjecture,
    [--hskp42,
     ++c2_1(a435)]).

input_clause(clause75,conjecture,
    [--hskp42,
     ++c0_1(a435)]).

input_clause(clause76,conjecture,
    [--hskp41,
     ++c0_1(a434)]).

input_clause(clause77,conjecture,
    [--hskp41,
     ++c1_1(a434)]).

input_clause(clause78,conjecture,
    [--hskp41,
     ++c3_1(a434)]).

input_clause(clause79,conjecture,
    [--hskp40,
     ++c1_1(a432)]).

input_clause(clause80,conjecture,
    [--hskp40,
     ++c2_1(a432)]).

input_clause(clause81,conjecture,
    [--hskp39,
     ++c3_1(a431)]).

input_clause(clause82,conjecture,
    [--hskp39,
     ++c1_1(a431)]).

input_clause(clause83,conjecture,
    [--hskp39,
     ++c2_1(a431)]).

input_clause(clause84,conjecture,
    [--hskp38,
     ++c1_1(a429)]).

input_clause(clause85,conjecture,
    [--hskp37,
     ++c3_1(a427)]).

input_clause(clause86,conjecture,
    [--hskp36,
     ++c3_1(a424)]).

input_clause(clause87,conjecture,
    [--hskp36,
     ++c2_1(a424)]).

input_clause(clause88,conjecture,
    [--hskp35,
     ++c2_1(a419)]).

input_clause(clause89,conjecture,
    [--hskp35,
     ++c1_1(a419)]).

input_clause(clause90,conjecture,
    [--hskp35,
     ++c3_1(a419)]).

input_clause(clause91,conjecture,
    [--hskp34,
     ++c1_1(a417)]).

input_clause(clause92,conjecture,
    [--hskp34,
     ++c2_1(a417)]).

input_clause(clause93,conjecture,
    [--hskp33,
     ++c1_1(a415)]).

input_clause(clause94,conjecture,
    [--hskp33,
     ++c0_1(a415)]).

input_clause(clause95,conjecture,
    [--hskp32,
     ++c3_1(a414)]).

input_clause(clause96,conjecture,
    [--hskp32,
     ++c1_1(a414)]).

input_clause(clause97,conjecture,
    [--hskp31,
     ++c0_1(a412)]).

input_clause(clause98,conjecture,
    [--hskp30,
     ++c1_1(a410)]).

input_clause(clause99,conjecture,
    [--hskp29,
     ++c0_1(a409)]).

input_clause(clause100,conjecture,
    [--hskp28,
     ++c2_1(a408)]).

input_clause(clause101,conjecture,
    [--hskp27,
     ++c1_1(a404)]).

input_clause(clause102,conjecture,
    [--hskp26,
     ++c1_1(a461)]).

input_clause(clause103,conjecture,
    [--hskp26,
     ++c3_1(a461)]).

input_clause(clause104,conjecture,
    [--hskp25,
     ++c1_1(a460)]).

input_clause(clause105,conjecture,
    [--hskp25,
     ++c2_1(a460)]).

input_clause(clause106,conjecture,
    [--hskp24,
     ++c0_1(a454)]).

input_clause(clause107,conjecture,
    [--hskp23,
     ++c3_1(a452)]).

input_clause(clause108,conjecture,
    [--hskp21,
     ++c3_1(a450)]).

input_clause(clause109,conjecture,
    [--hskp19,
     ++c2_1(a445)]).

input_clause(clause110,conjecture,
    [--hskp19,
     ++c0_1(a445)]).

input_clause(clause111,conjecture,
    [--hskp18,
     ++c0_1(a444)]).

input_clause(clause112,conjecture,
    [--hskp17,
     ++c2_1(a443)]).

input_clause(clause113,conjecture,
    [--hskp16,
     ++c1_1(a441)]).

input_clause(clause114,conjecture,
    [--hskp15,
     ++c2_1(a440)]).

input_clause(clause115,conjecture,
    [--hskp15,
     ++c0_1(a440)]).

input_clause(clause116,conjecture,
    [--hskp12,
     ++c1_1(a430)]).

input_clause(clause117,conjecture,
    [--hskp12,
     ++c3_1(a430)]).

input_clause(clause118,conjecture,
    [--hskp10,
     ++c0_1(a422)]).

input_clause(clause119,conjecture,
    [--hskp9,
     ++c3_1(a421)]).

input_clause(clause120,conjecture,
    [--hskp9,
     ++c2_1(a421)]).

input_clause(clause121,conjecture,
    [--hskp8,
     ++c1_1(a420)]).

input_clause(clause122,conjecture,
    [--hskp7,
     ++c1_1(a418)]).

input_clause(clause123,conjecture,
    [--hskp6,
     ++c2_1(a416)]).

input_clause(clause124,conjecture,
    [--hskp5,
     ++c0_1(a413)]).

input_clause(clause125,conjecture,
    [--hskp2,
     ++c1_1(a405)]).

input_clause(clause126,conjecture,
    [--hskp2,
     ++c0_1(a405)]).

input_clause(clause127,conjecture,
    [--hskp1,
     ++c2_1(a403)]).

input_clause(clause128,conjecture,
    [--hskp1,
     ++c3_1(a403)]).

input_clause(clause129,conjecture,
    [--c2_1(a464),
     --hskp51]).

input_clause(clause130,conjecture,
    [--c1_1(a462),
     --hskp50]).

input_clause(clause131,conjecture,
    [--c2_1(a459),
     --hskp49]).

input_clause(clause132,conjecture,
    [--c1_1(a459),
     --hskp49]).

input_clause(clause133,conjecture,
    [--c3_1(a449),
     --hskp47]).

input_clause(clause134,conjecture,
    [--c2_1(a446),
     --hskp46]).

input_clause(clause135,conjecture,
    [--c3_1(a446),
     --hskp46]).

input_clause(clause136,conjecture,
    [--c2_1(a439),
     --hskp45]).

input_clause(clause137,conjecture,
    [--c0_1(a438),
     --hskp44]).

input_clause(clause138,conjecture,
    [--c0_1(a436),
     --hskp43]).

input_clause(clause139,conjecture,
    [--c3_1(a435),
     --hskp42]).

input_clause(clause140,conjecture,
    [--c3_1(a432),
     --hskp40]).

input_clause(clause141,conjecture,
    [--c0_1(a429),
     --hskp38]).

input_clause(clause142,conjecture,
    [--c3_1(a429),
     --hskp38]).

input_clause(clause143,conjecture,
    [--c1_1(a427),
     --hskp37]).

input_clause(clause144,conjecture,
    [--c2_1(a427),
     --hskp37]).

input_clause(clause145,conjecture,
    [--c0_1(a424),
     --hskp36]).

input_clause(clause146,conjecture,
    [--c0_1(a417),
     --hskp34]).

input_clause(clause147,conjecture,
    [--c3_1(a415),
     --hskp33]).

input_clause(clause148,conjecture,
    [--c0_1(a414),
     --hskp32]).

input_clause(clause149,conjecture,
    [--c3_1(a412),
     --hskp31]).

input_clause(clause150,conjecture,
    [--c2_1(a412),
     --hskp31]).

input_clause(clause151,conjecture,
    [--c0_1(a410),
     --hskp30]).

input_clause(clause152,conjecture,
    [--c2_1(a410),
     --hskp30]).

input_clause(clause153,conjecture,
    [--c1_1(a409),
     --hskp29]).

input_clause(clause154,conjecture,
    [--c3_1(a409),
     --hskp29]).

input_clause(clause155,conjecture,
    [--c0_1(a408),
     --hskp28]).

input_clause(clause156,conjecture,
    [--c3_1(a408),
     --hskp28]).

input_clause(clause157,conjecture,
    [--c3_1(a404),
     --hskp27]).

input_clause(clause158,conjecture,
    [--c2_1(a404),
     --hskp27]).

input_clause(clause159,conjecture,
    [--c0_1(a461),
     --hskp26]).

input_clause(clause160,conjecture,
    [--c0_1(a460),
     --hskp25]).

input_clause(clause161,conjecture,
    [--c3_1(a454),
     --hskp24]).

input_clause(clause162,conjecture,
    [--c2_1(a454),
     --hskp24]).

input_clause(clause163,conjecture,
    [--c1_1(a452),
     --hskp23]).

input_clause(clause164,conjecture,
    [--c0_1(a452),
     --hskp23]).

input_clause(clause165,conjecture,
    [--c0_1(a451),
     --hskp22]).

input_clause(clause166,conjecture,
    [--c3_1(a451),
     --hskp22]).

input_clause(clause167,conjecture,
    [--c2_1(a451),
     --hskp22]).

input_clause(clause168,conjecture,
    [--c0_1(a450),
     --hskp21]).

input_clause(clause169,conjecture,
    [--c2_1(a450),
     --hskp21]).

input_clause(clause170,conjecture,
    [--c0_1(a448),
     --hskp20]).

input_clause(clause171,conjecture,
    [--c1_1(a448),
     --hskp20]).

input_clause(clause172,conjecture,
    [--c3_1(a448),
     --hskp20]).

input_clause(clause173,conjecture,
    [--c1_1(a445),
     --hskp19]).

input_clause(clause174,conjecture,
    [--c2_1(a444),
     --hskp18]).

input_clause(clause175,conjecture,
    [--c1_1(a444),
     --hskp18]).

input_clause(clause176,conjecture,
    [--c1_1(a443),
     --hskp17]).

input_clause(clause177,conjecture,
    [--c0_1(a443),
     --hskp17]).

input_clause(clause178,conjecture,
    [--c0_1(a441),
     --hskp16]).

input_clause(clause179,conjecture,
    [--c2_1(a441),
     --hskp16]).

input_clause(clause180,conjecture,
    [--c3_1(a440),
     --hskp15]).

input_clause(clause181,conjecture,
    [--c3_1(a437),
     --hskp14]).

input_clause(clause182,conjecture,
    [--c1_1(a437),
     --hskp14]).

input_clause(clause183,conjecture,
    [--c2_1(a437),
     --hskp14]).

input_clause(clause184,conjecture,
    [--c2_1(a433),
     --hskp13]).

input_clause(clause185,conjecture,
    [--c3_1(a433),
     --hskp13]).

input_clause(clause186,conjecture,
    [--c0_1(a433),
     --hskp13]).

input_clause(clause187,conjecture,
    [--c2_1(a430),
     --hskp12]).

input_clause(clause188,conjecture,
    [--c0_1(a428),
     --hskp11]).

input_clause(clause189,conjecture,
    [--c1_1(a428),
     --hskp11]).

input_clause(clause190,conjecture,
    [--c2_1(a428),
     --hskp11]).

input_clause(clause191,conjecture,
    [--c1_1(a422),
     --hskp10]).

input_clause(clause192,conjecture,
    [--c2_1(a422),
     --hskp10]).

input_clause(clause193,conjecture,
    [--c0_1(a421),
     --hskp9]).

input_clause(clause194,conjecture,
    [--c2_1(a420),
     --hskp8]).

input_clause(clause195,conjecture,
    [--c3_1(a420),
     --hskp8]).

input_clause(clause196,conjecture,
    [--c3_1(a418),
     --hskp7]).

input_clause(clause197,conjecture,
    [--c2_1(a418),
     --hskp7]).

input_clause(clause198,conjecture,
    [--c3_1(a416),
     --hskp6]).

input_clause(clause199,conjecture,
    [--c1_1(a416),
     --hskp6]).

input_clause(clause200,conjecture,
    [--c1_1(a413),
     --hskp5]).

input_clause(clause201,conjecture,
    [--c3_1(a413),
     --hskp5]).

input_clause(clause202,conjecture,
    [--c2_1(a411),
     --hskp4]).

input_clause(clause203,conjecture,
    [--c1_1(a411),
     --hskp4]).

input_clause(clause204,conjecture,
    [--c3_1(a411),
     --hskp4]).

input_clause(clause205,conjecture,
    [--c1_1(a407),
     --hskp3]).

input_clause(clause206,conjecture,
    [--c0_1(a407),
     --hskp3]).

input_clause(clause207,conjecture,
    [--c3_1(a407),
     --hskp3]).

input_clause(clause208,conjecture,
    [--c2_1(a405),
     --hskp2]).

input_clause(clause209,conjecture,
    [--c1_1(a403),
     --hskp1]).

input_clause(clause210,conjecture,
    [--c3_1(a402),
     --hskp0]).

input_clause(clause211,conjecture,
    [--c2_1(a402),
     --hskp0]).

input_clause(clause212,conjecture,
    [--c1_1(a402),
     --hskp0]).

input_clause(clause213,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++c1_1(U),
     ++hskp39,
     ++hskp40]).

input_clause(clause214,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++c2_1(U),
     ++hskp25,
     ++hskp26]).

input_clause(clause215,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp29,
     ++hskp30]).

input_clause(clause216,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp33,
     ++hskp6]).

input_clause(clause217,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp35,
     ++hskp8]).

input_clause(clause218,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++hskp9,
     ++hskp10]).

input_clause(clause219,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp22,
     ++hskp23]).

input_clause(clause220,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp27,
     ++hskp2]).

input_clause(clause221,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp38,
     ++hskp12]).

input_clause(clause222,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp13,
     ++hskp41]).

input_clause(clause223,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp17,
     ++hskp18]).

input_clause(clause224,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp11,
     ++hskp20]).

input_clause(clause225,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp11,
     ++hskp49]).

input_clause(clause226,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp45,
     ++hskp15]).

input_clause(clause227,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp47,
     ++hskp21]).

input_clause(clause228,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp4]).

input_clause(clause229,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp31]).

input_clause(clause230,conjecture,
    [--c3_1(U),
     --c0_1(V),
     --ndr1_0,
     --c0_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++c1_1(U)]).

input_clause(clause231,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp42]).

input_clause(clause232,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp14]).

input_clause(clause233,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp16]).

input_clause(clause234,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp37]).

input_clause(clause235,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c0_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++c1_1(V),
     ++c1_1(U),
     ++hskp40]).

input_clause(clause236,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp0]).

input_clause(clause237,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp32]).

input_clause(clause238,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp0]).

input_clause(clause239,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c3_1(V),
     ++hskp43]).

input_clause(clause240,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp44]).

input_clause(clause241,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp46]).

input_clause(clause242,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++hskp5]).

input_clause(clause243,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     ++c0_1(U),
     ++c3_1(V),
     ++hskp34]).

input_clause(clause244,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c1_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++hskp36]).

input_clause(clause245,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp11]).

input_clause(clause246,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp19]).

input_clause(clause247,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp36]).

input_clause(clause248,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp34]).

input_clause(clause249,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++hskp1]).

input_clause(clause250,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c3_1(V),
     ++c3_1(W),
     ++c1_1(W),
     ++c2_1(W),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V)]).

input_clause(clause251,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c3_1(V),
     ++hskp7]).

input_clause(clause252,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c1_1(U),
     --c1_1(V),
     --c0_1(V),
     ++c2_1(W),
     ++c1_1(W),
     ++c0_1(W),
     ++c2_1(U),
     ++c2_1(V)]).

input_clause(clause253,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     --c3_1(W),
     --c2_1(W),
     ++c3_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++c0_1(W)]).

input_clause(clause254,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c0_1(W),
     ++c0_1(U),
     ++c0_1(V),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause255,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     --c3_1(V),
     --c3_1(W),
     --c2_1(W),
     ++c2_1(U),
     ++c0_1(W)]).

input_clause(clause256,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c3_1(W),
     --c2_1(W),
     ++c0_1(V),
     ++c0_1(W)]).
%--------------------------------------------------------------------------
