%--------------------------------------------------------------------------
% File     : SYN441-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=010
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-010.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.50 v2.6.0, 0.67 v2.5.0, 0.80 v2.4.0, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  364 (  60 non-Horn;   0 unit; 345 RR)
%            Number of literals   : 1029 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   81 (  77 propositional; 0-1 arity)
%            Number of functors   :   76 (  76 constant; 0-0 arity)
%            Number of variables  :   94 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp75,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp74,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp73,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp72,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp71,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp70,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp69,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp68,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp67,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp66,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp65,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp64,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp63,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp62,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp61,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp60,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp59,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause60,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause61,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause62,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause63,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause64,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause65,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause66,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause67,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause68,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause69,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause70,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause71,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause72,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause73,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause74,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause75,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause76,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause77,conjecture,
    [++hskp11,++hskp12,++hskp56]).

input_clause(clause78,conjecture,
    [++hskp13,++hskp14,++hskp57]).

input_clause(clause79,conjecture,
    [++hskp20,++hskp21,++hskp22]).

input_clause(clause80,conjecture,
    [++hskp25,++hskp11,++hskp26]).

input_clause(clause81,conjecture,
    [++hskp27,++hskp28,++hskp42]).

input_clause(clause82,conjecture,
    [++hskp67,++hskp68,++hskp69]).

input_clause(clause83,conjecture,
    [--hskp75,
     ++c2_1(a1902)]).

input_clause(clause84,conjecture,
    [--hskp75,
     ++c1_1(a1902)]).

input_clause(clause85,conjecture,
    [--hskp74,
     ++c0_1(a1899)]).

input_clause(clause86,conjecture,
    [--hskp74,
     ++c1_1(a1899)]).

input_clause(clause87,conjecture,
    [--hskp73,
     ++c3_1(a1898)]).

input_clause(clause88,conjecture,
    [--hskp73,
     ++c1_1(a1898)]).

input_clause(clause89,conjecture,
    [--hskp73,
     ++c0_1(a1898)]).

input_clause(clause90,conjecture,
    [--hskp72,
     ++c2_1(a1897)]).

input_clause(clause91,conjecture,
    [--hskp71,
     ++c3_1(a1894)]).

input_clause(clause92,conjecture,
    [--hskp71,
     ++c0_1(a1894)]).

input_clause(clause93,conjecture,
    [--hskp70,
     ++c1_1(a1889)]).

input_clause(clause94,conjecture,
    [--hskp70,
     ++c2_1(a1889)]).

input_clause(clause95,conjecture,
    [--hskp70,
     ++c3_1(a1889)]).

input_clause(clause96,conjecture,
    [--hskp69,
     ++c0_1(a1887)]).

input_clause(clause97,conjecture,
    [--hskp69,
     ++c1_1(a1887)]).

input_clause(clause98,conjecture,
    [--hskp68,
     ++c3_1(a1886)]).

input_clause(clause99,conjecture,
    [--hskp68,
     ++c0_1(a1886)]).

input_clause(clause100,conjecture,
    [--hskp68,
     ++c1_1(a1886)]).

input_clause(clause101,conjecture,
    [--hskp67,
     ++c3_1(a1885)]).

input_clause(clause102,conjecture,
    [--hskp67,
     ++c2_1(a1885)]).

input_clause(clause103,conjecture,
    [--hskp66,
     ++c1_1(a1879)]).

input_clause(clause104,conjecture,
    [--hskp65,
     ++c3_1(a1878)]).

input_clause(clause105,conjecture,
    [--hskp65,
     ++c1_1(a1878)]).

input_clause(clause106,conjecture,
    [--hskp64,
     ++c3_1(a1874)]).

input_clause(clause107,conjecture,
    [--hskp64,
     ++c1_1(a1874)]).

input_clause(clause108,conjecture,
    [--hskp64,
     ++c2_1(a1874)]).

input_clause(clause109,conjecture,
    [--hskp63,
     ++c1_1(a1868)]).

input_clause(clause110,conjecture,
    [--hskp63,
     ++c3_1(a1868)]).

input_clause(clause111,conjecture,
    [--hskp62,
     ++c2_1(a1867)]).

input_clause(clause112,conjecture,
    [--hskp62,
     ++c3_1(a1867)]).

input_clause(clause113,conjecture,
    [--hskp62,
     ++c0_1(a1867)]).

input_clause(clause114,conjecture,
    [--hskp61,
     ++c1_1(a1863)]).

input_clause(clause115,conjecture,
    [--hskp60,
     ++c1_1(a1860)]).

input_clause(clause116,conjecture,
    [--hskp60,
     ++c0_1(a1860)]).

input_clause(clause117,conjecture,
    [--hskp60,
     ++c3_1(a1860)]).

input_clause(clause118,conjecture,
    [--hskp59,
     ++c1_1(a1852)]).

input_clause(clause119,conjecture,
    [--hskp59,
     ++c0_1(a1852)]).

input_clause(clause120,conjecture,
    [--hskp59,
     ++c2_1(a1852)]).

input_clause(clause121,conjecture,
    [--hskp58,
     ++c2_1(a1849)]).

input_clause(clause122,conjecture,
    [--hskp58,
     ++c3_1(a1849)]).

input_clause(clause123,conjecture,
    [--hskp58,
     ++c1_1(a1849)]).

input_clause(clause124,conjecture,
    [--hskp57,
     ++c3_1(a1848)]).

input_clause(clause125,conjecture,
    [--hskp56,
     ++c0_1(a1845)]).

input_clause(clause126,conjecture,
    [--hskp55,
     ++c0_1(a1842)]).

input_clause(clause127,conjecture,
    [--hskp55,
     ++c3_1(a1842)]).

input_clause(clause128,conjecture,
    [--hskp54,
     ++c1_1(a1839)]).

input_clause(clause129,conjecture,
    [--hskp53,
     ++c0_1(a1838)]).

input_clause(clause130,conjecture,
    [--hskp52,
     ++c0_1(a1836)]).

input_clause(clause131,conjecture,
    [--hskp52,
     ++c2_1(a1836)]).

input_clause(clause132,conjecture,
    [--hskp51,
     ++c0_1(a1835)]).

input_clause(clause133,conjecture,
    [--hskp51,
     ++c3_1(a1835)]).

input_clause(clause134,conjecture,
    [--hskp51,
     ++c2_1(a1835)]).

input_clause(clause135,conjecture,
    [--hskp50,
     ++c0_1(a1834)]).

input_clause(clause136,conjecture,
    [--hskp50,
     ++c2_1(a1834)]).

input_clause(clause137,conjecture,
    [--hskp49,
     ++c3_1(a1830)]).

input_clause(clause138,conjecture,
    [--hskp49,
     ++c0_1(a1830)]).

input_clause(clause139,conjecture,
    [--hskp49,
     ++c2_1(a1830)]).

input_clause(clause140,conjecture,
    [--hskp48,
     ++c2_1(a1827)]).

input_clause(clause141,conjecture,
    [--hskp47,
     ++c2_1(a1825)]).

input_clause(clause142,conjecture,
    [--hskp47,
     ++c3_1(a1825)]).

input_clause(clause143,conjecture,
    [--hskp46,
     ++c2_1(a1823)]).

input_clause(clause144,conjecture,
    [--hskp46,
     ++c3_1(a1823)]).

input_clause(clause145,conjecture,
    [--hskp45,
     ++c0_1(a1822)]).

input_clause(clause146,conjecture,
    [--hskp45,
     ++c2_1(a1822)]).

input_clause(clause147,conjecture,
    [--hskp45,
     ++c3_1(a1822)]).

input_clause(clause148,conjecture,
    [--hskp44,
     ++c3_1(a1821)]).

input_clause(clause149,conjecture,
    [--hskp44,
     ++c0_1(a1821)]).

input_clause(clause150,conjecture,
    [--hskp43,
     ++c2_1(a1820)]).

input_clause(clause151,conjecture,
    [--hskp42,
     ++c2_1(a1819)]).

input_clause(clause152,conjecture,
    [--hskp42,
     ++c0_1(a1819)]).

input_clause(clause153,conjecture,
    [--hskp42,
     ++c3_1(a1819)]).

input_clause(clause154,conjecture,
    [--hskp40,
     ++c1_1(a1900)]).

input_clause(clause155,conjecture,
    [--hskp38,
     ++c1_1(a1895)]).

input_clause(clause156,conjecture,
    [--hskp37,
     ++c0_1(a1892)]).

input_clause(clause157,conjecture,
    [--hskp36,
     ++c3_1(a1891)]).

input_clause(clause158,conjecture,
    [--hskp36,
     ++c1_1(a1891)]).

input_clause(clause159,conjecture,
    [--hskp35,
     ++c1_1(a1890)]).

input_clause(clause160,conjecture,
    [--hskp34,
     ++c3_1(a1882)]).

input_clause(clause161,conjecture,
    [--hskp34,
     ++c1_1(a1882)]).

input_clause(clause162,conjecture,
    [--hskp32,
     ++c2_1(a1876)]).

input_clause(clause163,conjecture,
    [--hskp31,
     ++c3_1(a1875)]).

input_clause(clause164,conjecture,
    [--hskp31,
     ++c2_1(a1875)]).

input_clause(clause165,conjecture,
    [--hskp30,
     ++c2_1(a1873)]).

input_clause(clause166,conjecture,
    [--hskp30,
     ++c1_1(a1873)]).

input_clause(clause167,conjecture,
    [--hskp29,
     ++c0_1(a1872)]).

input_clause(clause168,conjecture,
    [--hskp27,
     ++c0_1(a1869)]).

input_clause(clause169,conjecture,
    [--hskp27,
     ++c3_1(a1869)]).

input_clause(clause170,conjecture,
    [--hskp25,
     ++c2_1(a1864)]).

input_clause(clause171,conjecture,
    [--hskp24,
     ++c3_1(a1862)]).

input_clause(clause172,conjecture,
    [--hskp24,
     ++c0_1(a1862)]).

input_clause(clause173,conjecture,
    [--hskp22,
     ++c0_1(a1858)]).

input_clause(clause174,conjecture,
    [--hskp21,
     ++c3_1(a1857)]).

input_clause(clause175,conjecture,
    [--hskp21,
     ++c2_1(a1857)]).

input_clause(clause176,conjecture,
    [--hskp19,
     ++c1_1(a1855)]).

input_clause(clause177,conjecture,
    [--hskp18,
     ++c0_1(a1854)]).

input_clause(clause178,conjecture,
    [--hskp17,
     ++c0_1(a1853)]).

input_clause(clause179,conjecture,
    [--hskp17,
     ++c2_1(a1853)]).

input_clause(clause180,conjecture,
    [--hskp16,
     ++c1_1(a1851)]).

input_clause(clause181,conjecture,
    [--hskp15,
     ++c3_1(a1850)]).

input_clause(clause182,conjecture,
    [--hskp14,
     ++c3_1(a1847)]).

input_clause(clause183,conjecture,
    [--hskp13,
     ++c1_1(a1846)]).

input_clause(clause184,conjecture,
    [--hskp13,
     ++c3_1(a1846)]).

input_clause(clause185,conjecture,
    [--hskp11,
     ++c3_1(a1843)]).

input_clause(clause186,conjecture,
    [--hskp10,
     ++c2_1(a1841)]).

input_clause(clause187,conjecture,
    [--hskp9,
     ++c2_1(a1840)]).

input_clause(clause188,conjecture,
    [--hskp9,
     ++c0_1(a1840)]).

input_clause(clause189,conjecture,
    [--hskp8,
     ++c1_1(a1837)]).

input_clause(clause190,conjecture,
    [--hskp8,
     ++c0_1(a1837)]).

input_clause(clause191,conjecture,
    [--hskp7,
     ++c3_1(a1833)]).

input_clause(clause192,conjecture,
    [--hskp5,
     ++c1_1(a1831)]).

input_clause(clause193,conjecture,
    [--hskp3,
     ++c3_1(a1828)]).

input_clause(clause194,conjecture,
    [--hskp2,
     ++c3_1(a1826)]).

input_clause(clause195,conjecture,
    [--hskp2,
     ++c0_1(a1826)]).

input_clause(clause196,conjecture,
    [--c3_1(a1902),
     --hskp75]).

input_clause(clause197,conjecture,
    [--c3_1(a1899),
     --hskp74]).

input_clause(clause198,conjecture,
    [--c0_1(a1897),
     --hskp72]).

input_clause(clause199,conjecture,
    [--c1_1(a1897),
     --hskp72]).

input_clause(clause200,conjecture,
    [--c1_1(a1894),
     --hskp71]).

input_clause(clause201,conjecture,
    [--c3_1(a1887),
     --hskp69]).

input_clause(clause202,conjecture,
    [--c1_1(a1885),
     --hskp67]).

input_clause(clause203,conjecture,
    [--c0_1(a1879),
     --hskp66]).

input_clause(clause204,conjecture,
    [--c2_1(a1879),
     --hskp66]).

input_clause(clause205,conjecture,
    [--c0_1(a1878),
     --hskp65]).

input_clause(clause206,conjecture,
    [--c0_1(a1868),
     --hskp63]).

input_clause(clause207,conjecture,
    [--c3_1(a1863),
     --hskp61]).

input_clause(clause208,conjecture,
    [--c0_1(a1863),
     --hskp61]).

input_clause(clause209,conjecture,
    [--c0_1(a1848),
     --hskp57]).

input_clause(clause210,conjecture,
    [--c1_1(a1848),
     --hskp57]).

input_clause(clause211,conjecture,
    [--c2_1(a1845),
     --hskp56]).

input_clause(clause212,conjecture,
    [--c3_1(a1845),
     --hskp56]).

input_clause(clause213,conjecture,
    [--c2_1(a1842),
     --hskp55]).

input_clause(clause214,conjecture,
    [--c2_1(a1839),
     --hskp54]).

input_clause(clause215,conjecture,
    [--c0_1(a1839),
     --hskp54]).

input_clause(clause216,conjecture,
    [--c2_1(a1838),
     --hskp53]).

input_clause(clause217,conjecture,
    [--c1_1(a1838),
     --hskp53]).

input_clause(clause218,conjecture,
    [--c3_1(a1836),
     --hskp52]).

input_clause(clause219,conjecture,
    [--c1_1(a1834),
     --hskp50]).

input_clause(clause220,conjecture,
    [--c3_1(a1827),
     --hskp48]).

input_clause(clause221,conjecture,
    [--c1_1(a1827),
     --hskp48]).

input_clause(clause222,conjecture,
    [--c0_1(a1825),
     --hskp47]).

input_clause(clause223,conjecture,
    [--c0_1(a1823),
     --hskp46]).

input_clause(clause224,conjecture,
    [--c2_1(a1821),
     --hskp44]).

input_clause(clause225,conjecture,
    [--c1_1(a1820),
     --hskp43]).

input_clause(clause226,conjecture,
    [--c0_1(a1820),
     --hskp43]).

input_clause(clause227,conjecture,
    [--c1_1(a1901),
     --hskp41]).

input_clause(clause228,conjecture,
    [--c3_1(a1901),
     --hskp41]).

input_clause(clause229,conjecture,
    [--c2_1(a1901),
     --hskp41]).

input_clause(clause230,conjecture,
    [--c3_1(a1900),
     --hskp40]).

input_clause(clause231,conjecture,
    [--c0_1(a1900),
     --hskp40]).

input_clause(clause232,conjecture,
    [--c0_1(a1896),
     --hskp39]).

input_clause(clause233,conjecture,
    [--c1_1(a1896),
     --hskp39]).

input_clause(clause234,conjecture,
    [--c3_1(a1896),
     --hskp39]).

input_clause(clause235,conjecture,
    [--c2_1(a1895),
     --hskp38]).

input_clause(clause236,conjecture,
    [--c0_1(a1895),
     --hskp38]).

input_clause(clause237,conjecture,
    [--c1_1(a1892),
     --hskp37]).

input_clause(clause238,conjecture,
    [--c3_1(a1892),
     --hskp37]).

input_clause(clause239,conjecture,
    [--c2_1(a1891),
     --hskp36]).

input_clause(clause240,conjecture,
    [--c3_1(a1890),
     --hskp35]).

input_clause(clause241,conjecture,
    [--c0_1(a1890),
     --hskp35]).

input_clause(clause242,conjecture,
    [--c0_1(a1882),
     --hskp34]).

input_clause(clause243,conjecture,
    [--c1_1(a1881),
     --hskp33]).

input_clause(clause244,conjecture,
    [--c0_1(a1881),
     --hskp33]).

input_clause(clause245,conjecture,
    [--c3_1(a1881),
     --hskp33]).

input_clause(clause246,conjecture,
    [--c1_1(a1876),
     --hskp32]).

input_clause(clause247,conjecture,
    [--c3_1(a1876),
     --hskp32]).

input_clause(clause248,conjecture,
    [--c1_1(a1875),
     --hskp31]).

input_clause(clause249,conjecture,
    [--c0_1(a1873),
     --hskp30]).

input_clause(clause250,conjecture,
    [--c3_1(a1872),
     --hskp29]).

input_clause(clause251,conjecture,
    [--c1_1(a1872),
     --hskp29]).

input_clause(clause252,conjecture,
    [--c1_1(a1870),
     --hskp28]).

input_clause(clause253,conjecture,
    [--c2_1(a1870),
     --hskp28]).

input_clause(clause254,conjecture,
    [--c0_1(a1870),
     --hskp28]).

input_clause(clause255,conjecture,
    [--c2_1(a1869),
     --hskp27]).

input_clause(clause256,conjecture,
    [--c0_1(a1866),
     --hskp26]).

input_clause(clause257,conjecture,
    [--c2_1(a1866),
     --hskp26]).

input_clause(clause258,conjecture,
    [--c1_1(a1866),
     --hskp26]).

input_clause(clause259,conjecture,
    [--c0_1(a1864),
     --hskp25]).

input_clause(clause260,conjecture,
    [--c3_1(a1864),
     --hskp25]).

input_clause(clause261,conjecture,
    [--c2_1(a1862),
     --hskp24]).

input_clause(clause262,conjecture,
    [--c2_1(a1859),
     --hskp23]).

input_clause(clause263,conjecture,
    [--c3_1(a1859),
     --hskp23]).

input_clause(clause264,conjecture,
    [--c1_1(a1859),
     --hskp23]).

input_clause(clause265,conjecture,
    [--c2_1(a1858),
     --hskp22]).

input_clause(clause266,conjecture,
    [--c3_1(a1858),
     --hskp22]).

input_clause(clause267,conjecture,
    [--c0_1(a1857),
     --hskp21]).

input_clause(clause268,conjecture,
    [--c0_1(a1856),
     --hskp20]).

input_clause(clause269,conjecture,
    [--c1_1(a1856),
     --hskp20]).

input_clause(clause270,conjecture,
    [--c2_1(a1856),
     --hskp20]).

input_clause(clause271,conjecture,
    [--c0_1(a1855),
     --hskp19]).

input_clause(clause272,conjecture,
    [--c2_1(a1855),
     --hskp19]).

input_clause(clause273,conjecture,
    [--c1_1(a1854),
     --hskp18]).

input_clause(clause274,conjecture,
    [--c3_1(a1854),
     --hskp18]).

input_clause(clause275,conjecture,
    [--c1_1(a1853),
     --hskp17]).

input_clause(clause276,conjecture,
    [--c2_1(a1851),
     --hskp16]).

input_clause(clause277,conjecture,
    [--c3_1(a1851),
     --hskp16]).

input_clause(clause278,conjecture,
    [--c1_1(a1850),
     --hskp15]).

input_clause(clause279,conjecture,
    [--c0_1(a1850),
     --hskp15]).

input_clause(clause280,conjecture,
    [--c2_1(a1847),
     --hskp14]).

input_clause(clause281,conjecture,
    [--c0_1(a1847),
     --hskp14]).

input_clause(clause282,conjecture,
    [--c2_1(a1846),
     --hskp13]).

input_clause(clause283,conjecture,
    [--c3_1(a1844),
     --hskp12]).

input_clause(clause284,conjecture,
    [--c0_1(a1844),
     --hskp12]).

input_clause(clause285,conjecture,
    [--c2_1(a1844),
     --hskp12]).

input_clause(clause286,conjecture,
    [--c2_1(a1843),
     --hskp11]).

input_clause(clause287,conjecture,
    [--c0_1(a1843),
     --hskp11]).

input_clause(clause288,conjecture,
    [--c0_1(a1841),
     --hskp10]).

input_clause(clause289,conjecture,
    [--c1_1(a1841),
     --hskp10]).

input_clause(clause290,conjecture,
    [--c3_1(a1840),
     --hskp9]).

input_clause(clause291,conjecture,
    [--c3_1(a1837),
     --hskp8]).

input_clause(clause292,conjecture,
    [--c2_1(a1833),
     --hskp7]).

input_clause(clause293,conjecture,
    [--c1_1(a1833),
     --hskp7]).

input_clause(clause294,conjecture,
    [--c3_1(a1832),
     --hskp6]).

input_clause(clause295,conjecture,
    [--c1_1(a1832),
     --hskp6]).

input_clause(clause296,conjecture,
    [--c0_1(a1832),
     --hskp6]).

input_clause(clause297,conjecture,
    [--c0_1(a1831),
     --hskp5]).

input_clause(clause298,conjecture,
    [--c2_1(a1831),
     --hskp5]).

input_clause(clause299,conjecture,
    [--c3_1(a1829),
     --hskp4]).

input_clause(clause300,conjecture,
    [--c1_1(a1829),
     --hskp4]).

input_clause(clause301,conjecture,
    [--c2_1(a1829),
     --hskp4]).

input_clause(clause302,conjecture,
    [--c1_1(a1828),
     --hskp3]).

input_clause(clause303,conjecture,
    [--c0_1(a1828),
     --hskp3]).

input_clause(clause304,conjecture,
    [--c1_1(a1826),
     --hskp2]).

input_clause(clause305,conjecture,
    [--c0_1(a1824),
     --hskp1]).

input_clause(clause306,conjecture,
    [--c3_1(a1824),
     --hskp1]).

input_clause(clause307,conjecture,
    [--c1_1(a1824),
     --hskp1]).

input_clause(clause308,conjecture,
    [--c1_1(a1818),
     --hskp0]).

input_clause(clause309,conjecture,
    [--c2_1(a1818),
     --hskp0]).

input_clause(clause310,conjecture,
    [--c3_1(a1818),
     --hskp0]).

input_clause(clause311,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp6,
     ++hskp7]).

input_clause(clause312,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c1_1(U),
     ++hskp18,
     ++hskp19]).

input_clause(clause313,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(U),
     ++hskp29,
     ++hskp30]).

input_clause(clause314,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++c1_1(U),
     ++hskp31,
     ++hskp32]).

input_clause(clause315,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++hskp71,
     ++hskp38]).

input_clause(clause316,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp45,
     ++hskp46]).

input_clause(clause317,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp58,
     ++hskp15]).

input_clause(clause318,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp65,
     ++hskp66]).

input_clause(clause319,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp32,
     ++hskp33]).

input_clause(clause320,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++hskp40,
     ++hskp41]).

input_clause(clause321,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp1,
     ++hskp47]).

input_clause(clause322,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp23,
     ++hskp60]).

input_clause(clause323,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp24,
     ++hskp61]).

input_clause(clause324,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp62,
     ++hskp63]).

input_clause(clause325,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp47,
     ++hskp22]).

input_clause(clause326,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp73,
     ++hskp74]).

input_clause(clause327,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp48,
     ++hskp3]).

input_clause(clause328,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp49,
     ++hskp5]).

input_clause(clause329,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --c0_1(U),
     --ndr1_0,
     ++hskp53,
     ++hskp54]).

input_clause(clause330,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp59,
     ++hskp17]).

input_clause(clause331,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++hskp61,
     ++hskp70]).

input_clause(clause332,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp37,
     ++hskp28]).

input_clause(clause333,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp39,
     ++hskp72]).

input_clause(clause334,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(V),
     ++c0_1(U),
     ++c2_1(V),
     ++c3_1(V)]).

input_clause(clause335,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp43]).

input_clause(clause336,conjecture,
    [--ndr1_0,
     --c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c2_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++hskp44]).

input_clause(clause337,conjecture,
    [--ndr1_0,
     --c1_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++hskp4]).

input_clause(clause338,conjecture,
    [--ndr1_0,
     --c2_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++c1_1(U),
     ++c0_1(U),
     ++hskp55]).

input_clause(clause339,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp10]).

input_clause(clause340,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp49]).

input_clause(clause341,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++hskp64]).

input_clause(clause342,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp34]).

input_clause(clause343,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp36]).

input_clause(clause344,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp2]).

input_clause(clause345,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp50]).

input_clause(clause346,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp9]).

input_clause(clause347,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(V),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp16]).

input_clause(clause348,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++hskp63]).

input_clause(clause349,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp51]).

input_clause(clause350,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp52]).

input_clause(clause351,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(V),
     ++c2_1(V),
     ++hskp8]).

input_clause(clause352,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++hskp35]).

input_clause(clause353,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp75]).

input_clause(clause354,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++hskp0]).

input_clause(clause355,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(V),
     ++c2_1(V),
     ++hskp42]).

input_clause(clause356,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c0_1(U),
     ++c2_1(U),
     ++c1_1(W),
     ++c2_1(W),
     ++c0_1(W),
     ++c0_1(V)]).

input_clause(clause357,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c0_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++c2_1(W),
     ++c3_1(W),
     ++c0_1(W)]).

input_clause(clause358,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c3_1(W),
     ++c0_1(U),
     ++c3_1(U),
     ++c3_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause359,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     --c3_1(W),
     ++c1_1(U),
     ++c3_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause360,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c1_1(W),
     --c2_1(W),
     ++c0_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c3_1(W)]).

input_clause(clause361,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c1_1(U),
     --c3_1(U),
     --c2_1(V),
     --c1_1(V),
     ++c3_1(W),
     ++c2_1(W),
     ++c1_1(W),
     ++c0_1(V)]).

input_clause(clause362,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     ++c3_1(V),
     ++c2_1(W),
     ++c3_1(W),
     ++c0_1(W)]).

input_clause(clause363,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c3_1(V),
     --c0_1(W),
     --c1_1(W),
     ++c3_1(U),
     ++c2_1(U),
     ++c3_1(W)]).

input_clause(clause364,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c3_1(V),
     --c3_1(W),
     --c0_1(W),
     ++c0_1(U),
     ++c2_1(U),
     ++c1_1(W)]).
%--------------------------------------------------------------------------
