%--------------------------------------------------------------------------
% File     : SYN453-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=044
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-044.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.50 v2.5.0, 0.60 v2.4.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  344 (  58 non-Horn;   0 unit; 335 RR)
%            Number of literals   :  971 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   76 (  72 propositional; 0-1 arity)
%            Number of functors   :   71 (  71 constant; 0-0 arity)
%            Number of variables  :   86 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp70,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp69,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp68,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp67,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp66,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp65,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp64,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp63,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp62,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp61,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp60,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp59,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause60,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause61,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause62,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause63,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause64,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause65,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause66,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause67,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause68,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause69,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause70,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause71,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause72,conjecture,
    [++hskp13,++hskp38,++hskp45]).

input_clause(clause73,conjecture,
    [++hskp48,++hskp49,++hskp50]).

input_clause(clause74,conjecture,
    [++hskp17,++hskp53,++hskp18]).

input_clause(clause75,conjecture,
    [++hskp19,++hskp47,++hskp41]).

input_clause(clause76,conjecture,
    [++hskp55,++hskp56,++hskp57]).

input_clause(clause77,conjecture,
    [++hskp23,++hskp58,++hskp59]).

input_clause(clause78,conjecture,
    [++hskp49,++hskp26,++hskp6]).

input_clause(clause79,conjecture,
    [++hskp21,++hskp68,++hskp69]).

input_clause(clause80,conjecture,
    [--hskp70,
     ++c2_1(a2078)]).

input_clause(clause81,conjecture,
    [--hskp70,
     ++c0_1(a2078)]).

input_clause(clause82,conjecture,
    [--hskp70,
     ++c3_1(a2078)]).

input_clause(clause83,conjecture,
    [--hskp69,
     ++c0_1(a2074)]).

input_clause(clause84,conjecture,
    [--hskp68,
     ++c1_1(a2073)]).

input_clause(clause85,conjecture,
    [--hskp68,
     ++c0_1(a2073)]).

input_clause(clause86,conjecture,
    [--hskp67,
     ++c3_1(a2070)]).

input_clause(clause87,conjecture,
    [--hskp66,
     ++c0_1(a2067)]).

input_clause(clause88,conjecture,
    [--hskp66,
     ++c3_1(a2067)]).

input_clause(clause89,conjecture,
    [--hskp66,
     ++c2_1(a2067)]).

input_clause(clause90,conjecture,
    [--hskp65,
     ++c0_1(a2063)]).

input_clause(clause91,conjecture,
    [--hskp65,
     ++c1_1(a2063)]).

input_clause(clause92,conjecture,
    [--hskp64,
     ++c3_1(a2061)]).

input_clause(clause93,conjecture,
    [--hskp64,
     ++c1_1(a2061)]).

input_clause(clause94,conjecture,
    [--hskp63,
     ++c2_1(a2059)]).

input_clause(clause95,conjecture,
    [--hskp63,
     ++c1_1(a2059)]).

input_clause(clause96,conjecture,
    [--hskp62,
     ++c1_1(a2058)]).

input_clause(clause97,conjecture,
    [--hskp62,
     ++c3_1(a2058)]).

input_clause(clause98,conjecture,
    [--hskp61,
     ++c1_1(a2054)]).

input_clause(clause99,conjecture,
    [--hskp61,
     ++c2_1(a2054)]).

input_clause(clause100,conjecture,
    [--hskp61,
     ++c3_1(a2054)]).

input_clause(clause101,conjecture,
    [--hskp60,
     ++c0_1(a2053)]).

input_clause(clause102,conjecture,
    [--hskp60,
     ++c1_1(a2053)]).

input_clause(clause103,conjecture,
    [--hskp59,
     ++c0_1(a2052)]).

input_clause(clause104,conjecture,
    [--hskp59,
     ++c2_1(a2052)]).

input_clause(clause105,conjecture,
    [--hskp58,
     ++c3_1(a2051)]).

input_clause(clause106,conjecture,
    [--hskp57,
     ++c0_1(a2048)]).

input_clause(clause107,conjecture,
    [--hskp56,
     ++c3_1(a2047)]).

input_clause(clause108,conjecture,
    [--hskp56,
     ++c0_1(a2047)]).

input_clause(clause109,conjecture,
    [--hskp55,
     ++c0_1(a2046)]).

input_clause(clause110,conjecture,
    [--hskp55,
     ++c1_1(a2046)]).

input_clause(clause111,conjecture,
    [--hskp55,
     ++c2_1(a2046)]).

input_clause(clause112,conjecture,
    [--hskp54,
     ++c2_1(a2037)]).

input_clause(clause113,conjecture,
    [--hskp54,
     ++c3_1(a2037)]).

input_clause(clause114,conjecture,
    [--hskp53,
     ++c2_1(a2035)]).

input_clause(clause115,conjecture,
    [--hskp53,
     ++c1_1(a2035)]).

input_clause(clause116,conjecture,
    [--hskp52,
     ++c2_1(a2033)]).

input_clause(clause117,conjecture,
    [--hskp51,
     ++c2_1(a2030)]).

input_clause(clause118,conjecture,
    [--hskp51,
     ++c1_1(a2030)]).

input_clause(clause119,conjecture,
    [--hskp50,
     ++c1_1(a2029)]).

input_clause(clause120,conjecture,
    [--hskp50,
     ++c2_1(a2029)]).

input_clause(clause121,conjecture,
    [--hskp49,
     ++c0_1(a2028)]).

input_clause(clause122,conjecture,
    [--hskp49,
     ++c3_1(a2028)]).

input_clause(clause123,conjecture,
    [--hskp48,
     ++c1_1(a2027)]).

input_clause(clause124,conjecture,
    [--hskp48,
     ++c3_1(a2027)]).

input_clause(clause125,conjecture,
    [--hskp48,
     ++c0_1(a2027)]).

input_clause(clause126,conjecture,
    [--hskp47,
     ++c2_1(a2026)]).

input_clause(clause127,conjecture,
    [--hskp47,
     ++c0_1(a2026)]).

input_clause(clause128,conjecture,
    [--hskp46,
     ++c3_1(a2025)]).

input_clause(clause129,conjecture,
    [--hskp46,
     ++c0_1(a2025)]).

input_clause(clause130,conjecture,
    [--hskp45,
     ++c2_1(a2022)]).

input_clause(clause131,conjecture,
    [--hskp45,
     ++c3_1(a2022)]).

input_clause(clause132,conjecture,
    [--hskp44,
     ++c2_1(a2018)]).

input_clause(clause133,conjecture,
    [--hskp44,
     ++c0_1(a2018)]).

input_clause(clause134,conjecture,
    [--hskp43,
     ++c2_1(a2017)]).

input_clause(clause135,conjecture,
    [--hskp42,
     ++c3_1(a2010)]).

input_clause(clause136,conjecture,
    [--hskp42,
     ++c2_1(a2010)]).

input_clause(clause137,conjecture,
    [--hskp41,
     ++c3_1(a2007)]).

input_clause(clause138,conjecture,
    [--hskp41,
     ++c1_1(a2007)]).

input_clause(clause139,conjecture,
    [--hskp41,
     ++c0_1(a2007)]).

input_clause(clause140,conjecture,
    [--hskp40,
     ++c0_1(a2005)]).

input_clause(clause141,conjecture,
    [--hskp39,
     ++c0_1(a2004)]).

input_clause(clause142,conjecture,
    [--hskp39,
     ++c2_1(a2004)]).

input_clause(clause143,conjecture,
    [--hskp39,
     ++c1_1(a2004)]).

input_clause(clause144,conjecture,
    [--hskp38,
     ++c3_1(a2003)]).

input_clause(clause145,conjecture,
    [--hskp37,
     ++c3_1(a2002)]).

input_clause(clause146,conjecture,
    [--hskp37,
     ++c1_1(a2002)]).

input_clause(clause147,conjecture,
    [--hskp36,
     ++c1_1(a1997)]).

input_clause(clause148,conjecture,
    [--hskp35,
     ++c2_1(a1996)]).

input_clause(clause149,conjecture,
    [--hskp35,
     ++c3_1(a1996)]).

input_clause(clause150,conjecture,
    [--hskp35,
     ++c0_1(a1996)]).

input_clause(clause151,conjecture,
    [--hskp34,
     ++c0_1(a1995)]).

input_clause(clause152,conjecture,
    [--hskp34,
     ++c1_1(a1995)]).

input_clause(clause153,conjecture,
    [--hskp33,
     ++c2_1(a1993)]).

input_clause(clause154,conjecture,
    [--hskp33,
     ++c1_1(a1993)]).

input_clause(clause155,conjecture,
    [--hskp33,
     ++c0_1(a1993)]).

input_clause(clause156,conjecture,
    [--hskp29,
     ++c3_1(a2079)]).

input_clause(clause157,conjecture,
    [--hskp29,
     ++c2_1(a2079)]).

input_clause(clause158,conjecture,
    [--hskp28,
     ++c1_1(a2069)]).

input_clause(clause159,conjecture,
    [--hskp28,
     ++c2_1(a2069)]).

input_clause(clause160,conjecture,
    [--hskp27,
     ++c0_1(a2068)]).

input_clause(clause161,conjecture,
    [--hskp27,
     ++c1_1(a2068)]).

input_clause(clause162,conjecture,
    [--hskp26,
     ++c3_1(a2065)]).

input_clause(clause163,conjecture,
    [--hskp26,
     ++c2_1(a2065)]).

input_clause(clause164,conjecture,
    [--hskp24,
     ++c2_1(a2057)]).

input_clause(clause165,conjecture,
    [--hskp22,
     ++c2_1(a2045)]).

input_clause(clause166,conjecture,
    [--hskp21,
     ++c3_1(a2044)]).

input_clause(clause167,conjecture,
    [--hskp20,
     ++c1_1(a2041)]).

input_clause(clause168,conjecture,
    [--hskp20,
     ++c3_1(a2041)]).

input_clause(clause169,conjecture,
    [--hskp19,
     ++c1_1(a2038)]).

input_clause(clause170,conjecture,
    [--hskp19,
     ++c0_1(a2038)]).

input_clause(clause171,conjecture,
    [--hskp18,
     ++c3_1(a2036)]).

input_clause(clause172,conjecture,
    [--hskp18,
     ++c0_1(a2036)]).

input_clause(clause173,conjecture,
    [--hskp16,
     ++c0_1(a2032)]).

input_clause(clause174,conjecture,
    [--hskp14,
     ++c2_1(a2023)]).

input_clause(clause175,conjecture,
    [--hskp14,
     ++c0_1(a2023)]).

input_clause(clause176,conjecture,
    [--hskp13,
     ++c1_1(a2020)]).

input_clause(clause177,conjecture,
    [--hskp11,
     ++c0_1(a2016)]).

input_clause(clause178,conjecture,
    [--hskp11,
     ++c2_1(a2016)]).

input_clause(clause179,conjecture,
    [--hskp10,
     ++c3_1(a2015)]).

input_clause(clause180,conjecture,
    [--hskp10,
     ++c1_1(a2015)]).

input_clause(clause181,conjecture,
    [--hskp7,
     ++c0_1(a2011)]).

input_clause(clause182,conjecture,
    [--hskp6,
     ++c3_1(a2009)]).

input_clause(clause183,conjecture,
    [--hskp5,
     ++c2_1(a2006)]).

input_clause(clause184,conjecture,
    [--hskp3,
     ++c1_1(a2000)]).

input_clause(clause185,conjecture,
    [--hskp2,
     ++c1_1(a1999)]).

input_clause(clause186,conjecture,
    [--hskp1,
     ++c0_1(a1998)]).

input_clause(clause187,conjecture,
    [--hskp1,
     ++c3_1(a1998)]).

input_clause(clause188,conjecture,
    [--hskp0,
     ++c0_1(a1994)]).

input_clause(clause189,conjecture,
    [--c2_1(a2074),
     --hskp69]).

input_clause(clause190,conjecture,
    [--c3_1(a2074),
     --hskp69]).

input_clause(clause191,conjecture,
    [--c2_1(a2073),
     --hskp68]).

input_clause(clause192,conjecture,
    [--c1_1(a2070),
     --hskp67]).

input_clause(clause193,conjecture,
    [--c0_1(a2070),
     --hskp67]).

input_clause(clause194,conjecture,
    [--c3_1(a2063),
     --hskp65]).

input_clause(clause195,conjecture,
    [--c2_1(a2061),
     --hskp64]).

input_clause(clause196,conjecture,
    [--c3_1(a2059),
     --hskp63]).

input_clause(clause197,conjecture,
    [--c2_1(a2058),
     --hskp62]).

input_clause(clause198,conjecture,
    [--c2_1(a2053),
     --hskp60]).

input_clause(clause199,conjecture,
    [--c1_1(a2052),
     --hskp59]).

input_clause(clause200,conjecture,
    [--c2_1(a2051),
     --hskp58]).

input_clause(clause201,conjecture,
    [--c1_1(a2051),
     --hskp58]).

input_clause(clause202,conjecture,
    [--c3_1(a2048),
     --hskp57]).

input_clause(clause203,conjecture,
    [--c1_1(a2048),
     --hskp57]).

input_clause(clause204,conjecture,
    [--c2_1(a2047),
     --hskp56]).

input_clause(clause205,conjecture,
    [--c0_1(a2037),
     --hskp54]).

input_clause(clause206,conjecture,
    [--c0_1(a2035),
     --hskp53]).

input_clause(clause207,conjecture,
    [--c3_1(a2033),
     --hskp52]).

input_clause(clause208,conjecture,
    [--c1_1(a2033),
     --hskp52]).

input_clause(clause209,conjecture,
    [--c0_1(a2030),
     --hskp51]).

input_clause(clause210,conjecture,
    [--c3_1(a2029),
     --hskp50]).

input_clause(clause211,conjecture,
    [--c1_1(a2028),
     --hskp49]).

input_clause(clause212,conjecture,
    [--c3_1(a2026),
     --hskp47]).

input_clause(clause213,conjecture,
    [--c2_1(a2025),
     --hskp46]).

input_clause(clause214,conjecture,
    [--c0_1(a2022),
     --hskp45]).

input_clause(clause215,conjecture,
    [--c1_1(a2018),
     --hskp44]).

input_clause(clause216,conjecture,
    [--c1_1(a2017),
     --hskp43]).

input_clause(clause217,conjecture,
    [--c0_1(a2017),
     --hskp43]).

input_clause(clause218,conjecture,
    [--c0_1(a2010),
     --hskp42]).

input_clause(clause219,conjecture,
    [--c1_1(a2005),
     --hskp40]).

input_clause(clause220,conjecture,
    [--c3_1(a2005),
     --hskp40]).

input_clause(clause221,conjecture,
    [--c1_1(a2003),
     --hskp38]).

input_clause(clause222,conjecture,
    [--c2_1(a2003),
     --hskp38]).

input_clause(clause223,conjecture,
    [--c0_1(a2002),
     --hskp37]).

input_clause(clause224,conjecture,
    [--c2_1(a1997),
     --hskp36]).

input_clause(clause225,conjecture,
    [--c3_1(a1997),
     --hskp36]).

input_clause(clause226,conjecture,
    [--c3_1(a1995),
     --hskp34]).

input_clause(clause227,conjecture,
    [--c2_1(a2083),
     --hskp32]).

input_clause(clause228,conjecture,
    [--c3_1(a2083),
     --hskp32]).

input_clause(clause229,conjecture,
    [--c1_1(a2083),
     --hskp32]).

input_clause(clause230,conjecture,
    [--c1_1(a2081),
     --hskp31]).

input_clause(clause231,conjecture,
    [--c3_1(a2081),
     --hskp31]).

input_clause(clause232,conjecture,
    [--c2_1(a2081),
     --hskp31]).

input_clause(clause233,conjecture,
    [--c1_1(a2080),
     --hskp30]).

input_clause(clause234,conjecture,
    [--c0_1(a2080),
     --hskp30]).

input_clause(clause235,conjecture,
    [--c2_1(a2080),
     --hskp30]).

input_clause(clause236,conjecture,
    [--c1_1(a2079),
     --hskp29]).

input_clause(clause237,conjecture,
    [--c0_1(a2069),
     --hskp28]).

input_clause(clause238,conjecture,
    [--c2_1(a2068),
     --hskp27]).

input_clause(clause239,conjecture,
    [--c0_1(a2065),
     --hskp26]).

input_clause(clause240,conjecture,
    [--c3_1(a2062),
     --hskp25]).

input_clause(clause241,conjecture,
    [--c1_1(a2062),
     --hskp25]).

input_clause(clause242,conjecture,
    [--c2_1(a2062),
     --hskp25]).

input_clause(clause243,conjecture,
    [--c3_1(a2057),
     --hskp24]).

input_clause(clause244,conjecture,
    [--c0_1(a2057),
     --hskp24]).

input_clause(clause245,conjecture,
    [--c2_1(a2050),
     --hskp23]).

input_clause(clause246,conjecture,
    [--c0_1(a2050),
     --hskp23]).

input_clause(clause247,conjecture,
    [--c3_1(a2050),
     --hskp23]).

input_clause(clause248,conjecture,
    [--c0_1(a2045),
     --hskp22]).

input_clause(clause249,conjecture,
    [--c3_1(a2045),
     --hskp22]).

input_clause(clause250,conjecture,
    [--c1_1(a2044),
     --hskp21]).

input_clause(clause251,conjecture,
    [--c0_1(a2044),
     --hskp21]).

input_clause(clause252,conjecture,
    [--c0_1(a2041),
     --hskp20]).

input_clause(clause253,conjecture,
    [--c3_1(a2038),
     --hskp19]).

input_clause(clause254,conjecture,
    [--c1_1(a2036),
     --hskp18]).

input_clause(clause255,conjecture,
    [--c2_1(a2034),
     --hskp17]).

input_clause(clause256,conjecture,
    [--c1_1(a2034),
     --hskp17]).

input_clause(clause257,conjecture,
    [--c0_1(a2034),
     --hskp17]).

input_clause(clause258,conjecture,
    [--c1_1(a2032),
     --hskp16]).

input_clause(clause259,conjecture,
    [--c2_1(a2032),
     --hskp16]).

input_clause(clause260,conjecture,
    [--c2_1(a2031),
     --hskp15]).

input_clause(clause261,conjecture,
    [--c3_1(a2031),
     --hskp15]).

input_clause(clause262,conjecture,
    [--c0_1(a2031),
     --hskp15]).

input_clause(clause263,conjecture,
    [--c3_1(a2023),
     --hskp14]).

input_clause(clause264,conjecture,
    [--c3_1(a2020),
     --hskp13]).

input_clause(clause265,conjecture,
    [--c2_1(a2020),
     --hskp13]).

input_clause(clause266,conjecture,
    [--c1_1(a2019),
     --hskp12]).

input_clause(clause267,conjecture,
    [--c2_1(a2019),
     --hskp12]).

input_clause(clause268,conjecture,
    [--c0_1(a2019),
     --hskp12]).

input_clause(clause269,conjecture,
    [--c1_1(a2016),
     --hskp11]).

input_clause(clause270,conjecture,
    [--c0_1(a2015),
     --hskp10]).

input_clause(clause271,conjecture,
    [--c3_1(a2014),
     --hskp9]).

input_clause(clause272,conjecture,
    [--c2_1(a2014),
     --hskp9]).

input_clause(clause273,conjecture,
    [--c0_1(a2014),
     --hskp9]).

input_clause(clause274,conjecture,
    [--c3_1(a2013),
     --hskp8]).

input_clause(clause275,conjecture,
    [--c0_1(a2013),
     --hskp8]).

input_clause(clause276,conjecture,
    [--c1_1(a2013),
     --hskp8]).

input_clause(clause277,conjecture,
    [--c3_1(a2011),
     --hskp7]).

input_clause(clause278,conjecture,
    [--c2_1(a2011),
     --hskp7]).

input_clause(clause279,conjecture,
    [--c0_1(a2009),
     --hskp6]).

input_clause(clause280,conjecture,
    [--c1_1(a2009),
     --hskp6]).

input_clause(clause281,conjecture,
    [--c1_1(a2006),
     --hskp5]).

input_clause(clause282,conjecture,
    [--c0_1(a2006),
     --hskp5]).

input_clause(clause283,conjecture,
    [--c3_1(a2001),
     --hskp4]).

input_clause(clause284,conjecture,
    [--c2_1(a2001),
     --hskp4]).

input_clause(clause285,conjecture,
    [--c1_1(a2001),
     --hskp4]).

input_clause(clause286,conjecture,
    [--c3_1(a2000),
     --hskp3]).

input_clause(clause287,conjecture,
    [--c0_1(a2000),
     --hskp3]).

input_clause(clause288,conjecture,
    [--c2_1(a1999),
     --hskp2]).

input_clause(clause289,conjecture,
    [--c3_1(a1999),
     --hskp2]).

input_clause(clause290,conjecture,
    [--c1_1(a1998),
     --hskp1]).

input_clause(clause291,conjecture,
    [--c1_1(a1994),
     --hskp0]).

input_clause(clause292,conjecture,
    [--c3_1(a1994),
     --hskp0]).

input_clause(clause293,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c2_1(U),
     ++hskp41,
     ++hskp37]).

input_clause(clause294,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++c0_1(U),
     ++hskp2,
     ++hskp64]).

input_clause(clause295,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++c3_1(U),
     ++hskp31,
     ++hskp47]).

input_clause(clause296,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++hskp34,
     ++hskp35]).

input_clause(clause297,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp4,
     ++hskp37]).

input_clause(clause298,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp40,
     ++hskp5]).

input_clause(clause299,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp51,
     ++hskp15]).

input_clause(clause300,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++hskp16,
     ++hskp52]).

input_clause(clause301,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp60,
     ++hskp61]).

input_clause(clause302,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++hskp62,
     ++hskp63]).

input_clause(clause303,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp25,
     ++hskp65]).

input_clause(clause304,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++hskp70,
     ++hskp29]).

input_clause(clause305,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp36,
     ++hskp1]).

input_clause(clause306,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp44,
     ++hskp12]).

input_clause(clause307,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp5,
     ++hskp46]).

input_clause(clause308,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp43,
     ++hskp48]).

input_clause(clause309,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp21,
     ++hskp22]).

input_clause(clause310,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp33,
     ++hskp59]).

input_clause(clause311,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp67,
     ++hskp10]).

input_clause(clause312,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp48,
     ++hskp54]).

input_clause(clause313,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp32,
     ++hskp10]).

input_clause(clause314,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp2,
     ++hskp8]).

input_clause(clause315,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp7]).

input_clause(clause316,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c1_1(V),
     ++hskp14]).

input_clause(clause317,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp20]).

input_clause(clause318,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c1_1(V),
     ++c0_1(U),
     ++hskp3]).

input_clause(clause319,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp11]).

input_clause(clause320,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_1(U),
     ++c0_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp43]).

input_clause(clause321,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp47]).

input_clause(clause322,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp66]).

input_clause(clause323,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp33]).

input_clause(clause324,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c0_1(U),
     ++c1_1(V),
     ++hskp2]).

input_clause(clause325,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c0_1(U),
     ++c1_1(V),
     ++hskp38]).

input_clause(clause326,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp39]).

input_clause(clause327,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp6]).

input_clause(clause328,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++hskp9]).

input_clause(clause329,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp54]).

input_clause(clause330,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(U),
     ++c3_1(V),
     ++c2_1(V),
     ++hskp27]).

input_clause(clause331,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp28]).

input_clause(clause332,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp20]).

input_clause(clause333,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++hskp10]).

input_clause(clause334,conjecture,
    [--c3_1(U),
     --c3_1(V),
     --c1_1(V),
     --c0_1(V),
     --ndr1_0,
     --c1_1(U),
     ++c2_1(U)]).

input_clause(clause335,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp42]).

input_clause(clause336,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++hskp42]).

input_clause(clause337,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c0_1(V),
     ++hskp56]).

input_clause(clause338,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++hskp24]).

input_clause(clause339,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++hskp30]).

input_clause(clause340,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c3_1(V),
     ++hskp0]).

input_clause(clause341,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c0_1(U),
     --c1_1(V),
     --c2_1(V),
     ++c1_1(W),
     ++c3_1(W),
     ++c2_1(W),
     ++c1_1(U),
     ++c3_1(V)]).

input_clause(clause342,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c2_1(V),
     --c1_1(W),
     --c2_1(W),
     ++c2_1(U),
     ++c0_1(U),
     ++c0_1(W)]).

input_clause(clause343,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(W),
     --c1_1(W),
     --c0_1(W),
     ++c2_1(U),
     ++c0_1(V),
     ++c3_1(V)]).

input_clause(clause344,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c1_1(V),
     --c0_1(W),
     --c3_1(W),
     ++c1_1(U),
     ++c1_1(W)]).
%--------------------------------------------------------------------------
