%--------------------------------------------------------------------------
% File     : SYN470-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=68, K=3, D=1, P=0, Index=095
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-68-3-1-095.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : 0.50 v2.6.0, 0.56 v2.5.0, 0.00 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1, 0.00 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses    :  196 (  68 non-Horn;   0 unit; 187 RR)
%            Number of literals   :  731 (   0 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   37 (  33 propositional; 0-1 arity)
%            Number of functors   :   32 (  32 constant; 0-0 arity)
%            Number of variables  :  105 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause33,conjecture,
    [++hskp15,++hskp13,++hskp12]).

input_clause(clause34,conjecture,
    [++hskp28,++hskp13,++hskp10]).

input_clause(clause35,conjecture,
    [++hskp28,++hskp21,++hskp20]).

input_clause(clause36,conjecture,
    [++hskp13,++hskp6,++hskp14]).

input_clause(clause37,conjecture,
    [++hskp27,++hskp10,++hskp26]).

input_clause(clause38,conjecture,
    [++hskp11,++hskp17,++hskp26]).

input_clause(clause39,conjecture,
    [++hskp4,++hskp8,++hskp2]).

input_clause(clause40,conjecture,
    [--hskp31,
     ++c0_1(a522)]).

input_clause(clause41,conjecture,
    [--hskp31,
     ++c1_1(a522)]).

input_clause(clause42,conjecture,
    [--hskp31,
     ++c2_1(a522)]).

input_clause(clause43,conjecture,
    [--hskp30,
     ++c1_1(a512)]).

input_clause(clause44,conjecture,
    [--hskp30,
     ++c2_1(a512)]).

input_clause(clause45,conjecture,
    [--hskp30,
     ++c3_1(a512)]).

input_clause(clause46,conjecture,
    [--hskp29,
     ++c0_1(a504)]).

input_clause(clause47,conjecture,
    [--hskp29,
     ++c1_1(a504)]).

input_clause(clause48,conjecture,
    [--hskp29,
     ++c3_1(a504)]).

input_clause(clause49,conjecture,
    [--hskp28,
     ++c0_1(a500)]).

input_clause(clause50,conjecture,
    [--hskp28,
     ++c2_1(a500)]).

input_clause(clause51,conjecture,
    [--hskp28,
     ++c3_1(a500)]).

input_clause(clause52,conjecture,
    [--hskp27,
     ++c0_1(a568)]).

input_clause(clause53,conjecture,
    [--hskp27,
     ++c3_1(a568)]).

input_clause(clause54,conjecture,
    [--hskp25,
     ++c2_1(a558)]).

input_clause(clause55,conjecture,
    [--hskp24,
     ++c0_1(a554)]).

input_clause(clause56,conjecture,
    [--hskp23,
     ++c0_1(a541)]).

input_clause(clause57,conjecture,
    [--hskp23,
     ++c1_1(a541)]).

input_clause(clause58,conjecture,
    [--hskp22,
     ++c1_1(a540)]).

input_clause(clause59,conjecture,
    [--hskp22,
     ++c3_1(a540)]).

input_clause(clause60,conjecture,
    [--hskp21,
     ++c0_1(a538)]).

input_clause(clause61,conjecture,
    [--hskp19,
     ++c1_1(a534)]).

input_clause(clause62,conjecture,
    [--hskp18,
     ++c1_1(a533)]).

input_clause(clause63,conjecture,
    [--hskp18,
     ++c2_1(a533)]).

input_clause(clause64,conjecture,
    [--hskp17,
     ++c3_1(a532)]).

input_clause(clause65,conjecture,
    [--hskp16,
     ++c2_1(a530)]).

input_clause(clause66,conjecture,
    [--hskp16,
     ++c3_1(a530)]).

input_clause(clause67,conjecture,
    [--hskp15,
     ++c0_1(a528)]).

input_clause(clause68,conjecture,
    [--hskp15,
     ++c1_1(a528)]).

input_clause(clause69,conjecture,
    [--hskp14,
     ++c2_1(a527)]).

input_clause(clause70,conjecture,
    [--hskp13,
     ++c0_1(a520)]).

input_clause(clause71,conjecture,
    [--hskp13,
     ++c2_1(a520)]).

input_clause(clause72,conjecture,
    [--hskp12,
     ++c1_1(a514)]).

input_clause(clause73,conjecture,
    [--hskp12,
     ++c3_1(a514)]).

input_clause(clause74,conjecture,
    [--hskp11,
     ++c0_1(a510)]).

input_clause(clause75,conjecture,
    [--hskp10,
     ++c0_1(a509)]).

input_clause(clause76,conjecture,
    [--hskp10,
     ++c3_1(a509)]).

input_clause(clause77,conjecture,
    [--hskp9,
     ++c3_1(a507)]).

input_clause(clause78,conjecture,
    [--hskp8,
     ++c2_1(a505)]).

input_clause(clause79,conjecture,
    [--hskp8,
     ++c3_1(a505)]).

input_clause(clause80,conjecture,
    [--hskp6,
     ++c1_1(a501)]).

input_clause(clause81,conjecture,
    [--hskp6,
     ++c2_1(a501)]).

input_clause(clause82,conjecture,
    [--hskp5,
     ++c0_1(a499)]).

input_clause(clause83,conjecture,
    [--hskp5,
     ++c2_1(a499)]).

input_clause(clause84,conjecture,
    [--hskp4,
     ++c1_1(a498)]).

input_clause(clause85,conjecture,
    [--hskp3,
     ++c2_1(a497)]).

input_clause(clause86,conjecture,
    [--hskp1,
     ++c1_1(a495)]).

input_clause(clause87,conjecture,
    [--hskp0,
     ++c3_1(a494)]).

input_clause(clause88,conjecture,
    [--c1_1(a568),
     --hskp27]).

input_clause(clause89,conjecture,
    [--c0_1(a559),
     --hskp26]).

input_clause(clause90,conjecture,
    [--c2_1(a559),
     --hskp26]).

input_clause(clause91,conjecture,
    [--c3_1(a559),
     --hskp26]).

input_clause(clause92,conjecture,
    [--c0_1(a558),
     --hskp25]).

input_clause(clause93,conjecture,
    [--c3_1(a558),
     --hskp25]).

input_clause(clause94,conjecture,
    [--c2_1(a554),
     --hskp24]).

input_clause(clause95,conjecture,
    [--c3_1(a554),
     --hskp24]).

input_clause(clause96,conjecture,
    [--c2_1(a541),
     --hskp23]).

input_clause(clause97,conjecture,
    [--c0_1(a540),
     --hskp22]).

input_clause(clause98,conjecture,
    [--c1_1(a538),
     --hskp21]).

input_clause(clause99,conjecture,
    [--c3_1(a538),
     --hskp21]).

input_clause(clause100,conjecture,
    [--c0_1(a536),
     --hskp20]).

input_clause(clause101,conjecture,
    [--c1_1(a536),
     --hskp20]).

input_clause(clause102,conjecture,
    [--c2_1(a536),
     --hskp20]).

input_clause(clause103,conjecture,
    [--c2_1(a534),
     --hskp19]).

input_clause(clause104,conjecture,
    [--c3_1(a534),
     --hskp19]).

input_clause(clause105,conjecture,
    [--c0_1(a533),
     --hskp18]).

input_clause(clause106,conjecture,
    [--c1_1(a532),
     --hskp17]).

input_clause(clause107,conjecture,
    [--c2_1(a532),
     --hskp17]).

input_clause(clause108,conjecture,
    [--c1_1(a530),
     --hskp16]).

input_clause(clause109,conjecture,
    [--c3_1(a528),
     --hskp15]).

input_clause(clause110,conjecture,
    [--c1_1(a527),
     --hskp14]).

input_clause(clause111,conjecture,
    [--c3_1(a527),
     --hskp14]).

input_clause(clause112,conjecture,
    [--c3_1(a520),
     --hskp13]).

input_clause(clause113,conjecture,
    [--c2_1(a514),
     --hskp12]).

input_clause(clause114,conjecture,
    [--c1_1(a510),
     --hskp11]).

input_clause(clause115,conjecture,
    [--c2_1(a510),
     --hskp11]).

input_clause(clause116,conjecture,
    [--c2_1(a509),
     --hskp10]).

input_clause(clause117,conjecture,
    [--c0_1(a507),
     --hskp9]).

input_clause(clause118,conjecture,
    [--c1_1(a507),
     --hskp9]).

input_clause(clause119,conjecture,
    [--c0_1(a505),
     --hskp8]).

input_clause(clause120,conjecture,
    [--c0_1(a502),
     --hskp7]).

input_clause(clause121,conjecture,
    [--c1_1(a502),
     --hskp7]).

input_clause(clause122,conjecture,
    [--c3_1(a502),
     --hskp7]).

input_clause(clause123,conjecture,
    [--c3_1(a501),
     --hskp6]).

input_clause(clause124,conjecture,
    [--c1_1(a499),
     --hskp5]).

input_clause(clause125,conjecture,
    [--c0_1(a498),
     --hskp4]).

input_clause(clause126,conjecture,
    [--c2_1(a498),
     --hskp4]).

input_clause(clause127,conjecture,
    [--c0_1(a497),
     --hskp3]).

input_clause(clause128,conjecture,
    [--c1_1(a497),
     --hskp3]).

input_clause(clause129,conjecture,
    [--c1_1(a496),
     --hskp2]).

input_clause(clause130,conjecture,
    [--c2_1(a496),
     --hskp2]).

input_clause(clause131,conjecture,
    [--c3_1(a496),
     --hskp2]).

input_clause(clause132,conjecture,
    [--c0_1(a495),
     --hskp1]).

input_clause(clause133,conjecture,
    [--c3_1(a495),
     --hskp1]).

input_clause(clause134,conjecture,
    [--c0_1(a494),
     --hskp0]).

input_clause(clause135,conjecture,
    [--c2_1(a494),
     --hskp0]).

input_clause(clause136,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp10,
     ++hskp11]).

input_clause(clause137,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp18,
     ++hskp19]).

input_clause(clause138,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp28,
     ++hskp6]).

input_clause(clause139,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp29,
     ++hskp8]).

input_clause(clause140,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp6,
     ++hskp9]).

input_clause(clause141,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp30,
     ++hskp4]).

input_clause(clause142,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp12,
     ++hskp8]).

input_clause(clause143,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp1,
     ++hskp7]).

input_clause(clause144,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c3_1(U),
     ++hskp13,
     ++hskp30]).

input_clause(clause145,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp31,
     ++hskp4]).

input_clause(clause146,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp5,
     ++hskp7]).

input_clause(clause147,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp12,
     ++hskp20]).

input_clause(clause148,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp31,
     ++hskp30]).

input_clause(clause149,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp31,
     ++hskp1]).

input_clause(clause150,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp28,
     ++hskp16]).

input_clause(clause151,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp4,
     ++hskp17]).

input_clause(clause152,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp5,
     ++hskp4]).

input_clause(clause153,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp15,
     ++hskp10]).

input_clause(clause154,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp25,
     ++hskp26]).

input_clause(clause155,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp16,
     ++hskp25]).

input_clause(clause156,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp12,
     ++hskp8]).

input_clause(clause157,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp13,
     ++hskp3]).

input_clause(clause158,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp27,
     ++hskp19]).

input_clause(clause159,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp22,
     ++hskp17]).

input_clause(clause160,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp0]).

input_clause(clause161,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp1]).

input_clause(clause162,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp6]).

input_clause(clause163,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp9]).

input_clause(clause164,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp9]).

input_clause(clause165,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp22]).

input_clause(clause166,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp2]).

input_clause(clause167,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp3]).

input_clause(clause168,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp4]).

input_clause(clause169,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp7]).

input_clause(clause170,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp28]).

input_clause(clause171,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp8]).

input_clause(clause172,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp10]).

input_clause(clause173,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp14]).

input_clause(clause174,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp20]).

input_clause(clause175,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp9]).

input_clause(clause176,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp21]).

input_clause(clause177,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp23]).

input_clause(clause178,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp5]).

input_clause(clause179,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp28]).

input_clause(clause180,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp15]).

input_clause(clause181,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp3]).

input_clause(clause182,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++hskp29]).

input_clause(clause183,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp20]).

input_clause(clause184,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++hskp2]).

input_clause(clause185,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp24]).

input_clause(clause186,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp17]).

input_clause(clause187,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(V),
     ++hskp31]).

input_clause(clause188,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c3_1(V),
     ++hskp2]).

input_clause(clause189,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c3_1(V),
     ++hskp0]).

input_clause(clause190,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c1_1(W),
     ++c3_1(W)]).

input_clause(clause191,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(W),
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause192,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++c0_1(W),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause193,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(W),
     ++c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause194,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c0_1(V),
     ++c0_1(W),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause195,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     --c1_1(W),
     ++c2_1(U),
     ++c0_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause196,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c1_1(W),
     --c3_1(W),
     ++c3_1(U),
     ++c1_1(V),
     ++c0_1(W)]).
%--------------------------------------------------------------------------
