%--------------------------------------------------------------------------
% File     : SYN527-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=025
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-025.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of clauses    :   84 (  50 non-Horn;   0 unit;  72 RR)
%            Number of literals   :  315 (   0 equality)
%            Maximal clause size  :    9 (   3 average)
%            Number of predicates :   21 (   8 propositional; 0-2 arity)
%            Number of functors   :   26 (  26 constant; 0-0 arity)
%            Number of variables  :   41 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c5_0,++c3_0]).

input_clause(clause3,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause4,conjecture,
    [--c2_0,++ndr1_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++c4_0,++c2_0]).

input_clause(clause6,conjecture,
    [--ssSkC0,++ndr1_0,++c2_0]).

input_clause(clause7,conjecture,
    [--c1_0,++c2_0]).

input_clause(clause8,conjecture,
    [++c4_0,++c5_0,++c2_0]).

input_clause(clause9,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause10,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause11,conjecture,
    [++c5_1(a251),
     ++ssSkC0]).

input_clause(clause12,conjecture,
    [++c4_1(a264),
     ++c5_0,
     ++c3_0]).

input_clause(clause13,conjecture,
    [--c1_0,
     ++ndr1_1(a262)]).

input_clause(clause14,conjecture,
    [--c1_0,
     ++c4_1(a262)]).

input_clause(clause15,conjecture,
    [--c2_0,
     ++ndr1_1(a258)]).

input_clause(clause16,conjecture,
    [++ndr1_1(a256),
     ++c4_0,
     ++c2_0]).

input_clause(clause17,conjecture,
    [--ssSkC0,
     ++ndr1_1(a252),
     ++c2_0]).

input_clause(clause18,conjecture,
    [++c5_2(U,a254),
     ++ssSkP0(U)]).

input_clause(clause19,conjecture,
    [--c3_0,--c4_0,++ndr1_0]).

input_clause(clause20,conjecture,
    [--c2_1(a264),
     ++c5_0,
     ++c3_0]).

input_clause(clause21,conjecture,
    [--c5_1(a264),
     ++c5_0,
     ++c3_0]).

input_clause(clause22,conjecture,
    [--c1_0,
     ++c2_2(a262,a263)]).

input_clause(clause23,conjecture,
    [--c5_1(a262),
     --c1_0]).

input_clause(clause24,conjecture,
    [--c2_0,
     ++c1_1(a260),
     ++c1_0]).

input_clause(clause25,conjecture,
    [--c2_0,
     ++c3_2(a258,a259)]).

input_clause(clause26,conjecture,
    [--c2_0,
     ++c5_2(a258,a259)]).

input_clause(clause27,conjecture,
    [--c2_1(a258),
     --c2_0]).

input_clause(clause28,conjecture,
    [++c1_2(a256,a257),
     ++c4_0,
     ++c2_0]).

input_clause(clause29,conjecture,
    [--c4_1(a256),
     ++c4_0,
     ++c2_0]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++c4_2(a252,a253),
     ++c2_0]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++c1_2(a252,a253),
     ++c2_0]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++c5_2(a252,a253),
     ++c2_0]).

input_clause(clause33,conjecture,
    [--c1_2(U,a272),
     ++ssSkP1(U)]).

input_clause(clause34,conjecture,
    [--c2_2(U,a272),
     ++ssSkP1(U)]).

input_clause(clause35,conjecture,
    [--c2_2(U,a254),
     ++ssSkP0(U)]).

input_clause(clause36,conjecture,
    [--c1_0,
     --c5_0,
     ++c1_1(a274)]).

input_clause(clause37,conjecture,
    [--c1_0,
     --c5_0,
     ++c4_1(a274)]).

input_clause(clause38,conjecture,
    [--c5_0,
     --c1_0,
     ++ndr1_1(a267)]).

input_clause(clause39,conjecture,
    [--c5_0,
     --c1_0,
     ++c5_1(a267)]).

input_clause(clause40,conjecture,
    [--c3_0,
     --c4_0,
     ++ndr1_1(a265)]).

input_clause(clause41,conjecture,
    [--c5_2(a262,a263),
     --c1_0]).

input_clause(clause42,conjecture,
    [--c3_2(a262,a263),
     --c1_0]).

input_clause(clause43,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause44,conjecture,
    [--c2_1(a260),
     --c2_0,
     ++c1_0]).

input_clause(clause45,conjecture,
    [--c4_2(a256,a257),
     ++c4_0,
     ++c2_0]).

input_clause(clause46,conjecture,
    [--c3_2(a256,a257),
     ++c4_0,
     ++c2_0]).

input_clause(clause47,conjecture,
    [--c3_0,--c5_0,--c2_0]).

input_clause(clause48,conjecture,
    [--c2_0,--c1_0,--c4_0]).

input_clause(clause49,conjecture,
    [--c5_1(a274),
     --c1_0,
     --c5_0]).

input_clause(clause50,conjecture,
    [--c5_0,
     --c1_0,
     ++c1_2(a267,a268)]).

input_clause(clause51,conjecture,
    [--c5_0,
     --c1_0,
     ++c3_2(a267,a268)]).

input_clause(clause52,conjecture,
    [--c3_0,
     --c4_0,
     ++c1_2(a265,a266)]).

input_clause(clause53,conjecture,
    [--c3_0,
     --c4_0,
     ++c5_2(a265,a266)]).

input_clause(clause54,conjecture,
    [--ndr1_0,
     ++c4_2(U,a261),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause55,conjecture,
    [--ndr1_0,
     ++c1_2(U,a261),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause56,conjecture,
    [--ndr1_0,
     ++c3_2(U,a261),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause57,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_0]).

input_clause(clause58,conjecture,
    [--c4_2(a267,a268),
     --c5_0,
     --c1_0]).

input_clause(clause59,conjecture,
    [--ndr1_0,
     --c3_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c1_0]).

input_clause(clause60,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC1]).

input_clause(clause61,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_0,
     ++c2_0]).

input_clause(clause62,conjecture,
    [--ndr1_1(a251),
     ++c2_2(a251,U),
     ++c4_2(a251,U),
     ++ssSkC0]).

input_clause(clause63,conjecture,
    [--ndr1_1(a258),
     --c2_0,
     ++c1_2(a258,U),
     ++c3_2(a258,U)]).

input_clause(clause64,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c5_2(U,a269),
     ++c4_1(U),
     ++ssSkC1]).

input_clause(clause65,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c3_1(U),
     ++ndr1_1(a275),
     ++c4_0]).

input_clause(clause66,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,a255),
     ++c3_0,
     ++c2_0]).

input_clause(clause67,conjecture,
    [--c3_2(U,a269),
     --c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC1]).

input_clause(clause68,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c3_1(U),
     ++c1_2(a275,a276),
     ++c4_0]).

input_clause(clause69,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c3_1(U),
     ++c4_2(a275,a276),
     ++c4_0]).

input_clause(clause70,conjecture,
    [--ssSkC1,
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++ndr1_1(a270)]).

input_clause(clause71,conjecture,
    [--ssSkC1,
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_1(a270)]).

input_clause(clause72,conjecture,
    [--ssSkP0(U),
     --c1_2(U,a255),
     --c2_1(U),
     --ndr1_0,
     ++c3_0,
     ++c2_0]).

input_clause(clause73,conjecture,
    [--ssSkP0(U),
     --c5_2(U,a255),
     --c2_1(U),
     --ndr1_0,
     ++c3_0,
     ++c2_0]).

input_clause(clause74,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_2(a275,a276),
     ++c4_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause75,conjecture,
    [--ssSkC1,
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_2(a270,a271)]).

input_clause(clause76,conjecture,
    [--ssSkC1,
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c5_2(a270,a271)]).

input_clause(clause77,conjecture,
    [--ssSkC1,
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_1(a270),
     ++c2_1(U)]).

input_clause(clause78,conjecture,
    [--ndr1_1(a256),
     ++c1_2(a256,U),
     ++c4_2(a256,U),
     ++c3_2(a256,U),
     ++c4_0,
     ++c2_0]).

input_clause(clause79,conjecture,
    [--ssSkC1,
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_2(a270,a271),
     ++c2_1(U)]).

input_clause(clause80,conjecture,
    [--c2_2(a265,U),
     --ndr1_1(a265),
     --c3_0,
     --c4_0,
     ++c4_2(a265,U),
     ++c3_2(a265,U)]).

input_clause(clause81,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --ndr1_1(a275),
     ++c4_1(U),
     ++c3_1(U),
     ++c1_2(a275,V),
     ++c2_2(a275,V),
     ++c4_0]).

input_clause(clause82,conjecture,
    [--ssSkP1(U),
     --c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c1_2(U,V),
     ++c2_2(U,a273)]).

input_clause(clause83,conjecture,
    [--ssSkP1(U),
     --c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a273),
     --ndr1_0,
     --c3_0,
     ++c1_2(U,V)]).

input_clause(clause84,conjecture,
    [--c4_2(U,V),
     --c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c1_0,
     ++c4_0]).
%--------------------------------------------------------------------------
