%--------------------------------------------------------------------------
% File     : SYN541-1 : TPTP v2.6.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=45, K=3, D=2, P=0, Index=096
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-45-3-2-096.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.4.0, 0.00 v2.2.1, 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  145 (  85 non-Horn;   3 unit; 140 RR)
%            Number of literals   :  665 (   0 equality)
%            Maximal clause size  :   12 (   4 average)
%            Number of predicates :   26 (  14 propositional; 0-2 arity)
%            Number of functors   :   49 (  49 constant; 0-0 arity)
%            Number of variables  :  119 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0]).

input_clause(clause2,conjecture,
    [++c2_1(a731)]).

input_clause(clause3,conjecture,
    [++c4_1(a731)]).

input_clause(clause4,conjecture,
    [--ssSkC5,
     ++ndr1_1(a759)]).

input_clause(clause5,conjecture,
    [--ssSkC5,
     ++c3_1(a759)]).

input_clause(clause6,conjecture,
    [--c4_0,++c1_0]).

input_clause(clause7,conjecture,
    [--c2_0,++c3_0]).

input_clause(clause8,conjecture,
    [--c5_0,++c4_0]).

input_clause(clause9,conjecture,
    [++ndr1_1(a772),
     ++ssSkC7]).

input_clause(clause10,conjecture,
    [++c2_1(a772),
     ++ssSkC7]).

input_clause(clause11,conjecture,
    [++c5_1(a772),
     ++ssSkC7]).

input_clause(clause12,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause13,conjecture,
    [++ndr1_1(a750),
     ++ssSkC4]).

input_clause(clause14,conjecture,
    [++ndr1_1(a744),
     ++ssSkC3]).

input_clause(clause15,conjecture,
    [++c3_1(a744),
     ++ssSkC3]).

input_clause(clause16,conjecture,
    [++ndr1_1(a742),
     ++ssSkC2]).

input_clause(clause17,conjecture,
    [++c3_1(a742),
     ++ssSkC2]).

input_clause(clause18,conjecture,
    [++c4_1(a734),
     ++ssSkC1]).

input_clause(clause19,conjecture,
    [++ndr1_1(a726),
     ++ssSkC0]).

input_clause(clause20,conjecture,
    [--ssSkC7,
     ++c3_1(a774),
     ++c1_0]).

input_clause(clause21,conjecture,
    [++c4_1(a771),
     ++c4_0,
     ++c1_0]).

input_clause(clause22,conjecture,
    [--ssSkC6,
     ++ndr1_1(a767),
     ++c1_0]).

input_clause(clause23,conjecture,
    [--ssSkC6,
     ++c5_1(a767),
     ++c1_0]).

input_clause(clause24,conjecture,
    [--ssSkC5,
     ++c4_2(a759,a760)]).

input_clause(clause25,conjecture,
    [--c2_0,
     ++c4_1(a757)]).

input_clause(clause26,conjecture,
    [--c4_0,
     ++c2_1(a741)]).

input_clause(clause27,conjecture,
    [--c4_0,
     ++c3_1(a741)]).

input_clause(clause28,conjecture,
    [++c5_2(a772,a773),
     ++ssSkC7]).

input_clause(clause29,conjecture,
    [++c3_2(U,a755),
     ++ssSkP0(U)]).

input_clause(clause30,conjecture,
    [++c4_2(a750,a751),
     ++ssSkC4]).

input_clause(clause31,conjecture,
    [++c2_2(a750,a751),
     ++ssSkC4]).

input_clause(clause32,conjecture,
    [--c2_1(a750),
     ++ssSkC4]).

input_clause(clause33,conjecture,
    [++c3_2(a744,a745),
     ++ssSkC3]).

input_clause(clause34,conjecture,
    [++c1_2(a744,a745),
     ++ssSkC3]).

input_clause(clause35,conjecture,
    [--c5_1(a744),
     ++ssSkC3]).

input_clause(clause36,conjecture,
    [++c2_2(a742,a743),
     ++ssSkC2]).

input_clause(clause37,conjecture,
    [--c5_1(a734),
     ++ssSkC1]).

input_clause(clause38,conjecture,
    [++c2_2(a726,a728),
     ++ssSkC0]).

input_clause(clause39,conjecture,
    [++c2_2(a726,a727),
     ++ssSkC0]).

input_clause(clause40,conjecture,
    [++c4_2(a726,a727),
     ++ssSkC0]).

input_clause(clause41,conjecture,
    [--ssSkC6,
     ++c4_2(a767,a768),
     ++c1_0]).

input_clause(clause42,conjecture,
    [--ssSkC6,
     ++c3_2(a767,a768),
     ++c1_0]).

input_clause(clause43,conjecture,
    [--ssSkC6,
     --c4_1(a767),
     ++c1_0]).

input_clause(clause44,conjecture,
    [--ssSkC5,
     --c1_2(a759,a760)]).

input_clause(clause45,conjecture,
    [--ssSkC5,
     --c3_2(a759,a760)]).

input_clause(clause46,conjecture,
    [--c1_1(a757),
     --c2_0]).

input_clause(clause47,conjecture,
    [--c4_0,
     ++ndr1_1(a747),
     ++c5_0]).

input_clause(clause48,conjecture,
    [--c4_1(a741),
     --c4_0]).

input_clause(clause49,conjecture,
    [--c1_0,
     ++ndr1_1(a736),
     ++c2_0]).

input_clause(clause50,conjecture,
    [--c1_0,
     ++c4_1(a736),
     ++c2_0]).

input_clause(clause51,conjecture,
    [--ssSkC0,
     --c3_0,
     ++c4_1(a729)]).

input_clause(clause52,conjecture,
    [--c1_2(a772,a773),
     ++ssSkC7]).

input_clause(clause53,conjecture,
    [--c4_2(a772,a773),
     ++ssSkC7]).

input_clause(clause54,conjecture,
    [--c4_2(U,a755),
     ++ssSkP0(U)]).

input_clause(clause55,conjecture,
    [--c1_2(a750,a751),
     ++ssSkC4]).

input_clause(clause56,conjecture,
    [--c4_2(a744,a745),
     ++ssSkC3]).

input_clause(clause57,conjecture,
    [--c4_2(a742,a743),
     ++ssSkC2]).

input_clause(clause58,conjecture,
    [--c1_2(a742,a743),
     ++ssSkC2]).

input_clause(clause59,conjecture,
    [--c4_2(a726,a728),
     ++ssSkC0]).

input_clause(clause60,conjecture,
    [--c5_2(a726,a727),
     ++ssSkC0]).

input_clause(clause61,conjecture,
    [--c1_0,
     --c3_0,
     ++ndr1_1(a769)]).

input_clause(clause62,conjecture,
    [--ssSkC6,
     --c5_2(a767,a768),
     ++c1_0]).

input_clause(clause63,conjecture,
    [--c4_0,
     --c3_0,
     ++c5_1(a765)]).

input_clause(clause64,conjecture,
    [--c4_0,
     ++c3_2(a747,a749),
     ++c5_0]).

input_clause(clause65,conjecture,
    [--c1_0,
     ++c5_2(a736,a737),
     ++c2_0]).

input_clause(clause66,conjecture,
    [--c3_1(a736),
     --c1_0,
     ++c2_0]).

input_clause(clause67,conjecture,
    [--c1_0,
     --c3_0,
     ++c4_2(a769,a770)]).

input_clause(clause68,conjecture,
    [--c1_0,
     --c3_0,
     ++c3_2(a769,a770)]).

input_clause(clause69,conjecture,
    [--c3_1(a769),
     --c1_0,
     --c3_0]).

input_clause(clause70,conjecture,
    [--c4_1(a765),
     --c4_0,
     --c3_0]).

input_clause(clause71,conjecture,
    [--c2_2(a747,a749),
     --c4_0,
     ++c5_0]).

input_clause(clause72,conjecture,
    [--c4_2(a747,a749),
     --c4_0,
     ++c5_0]).

input_clause(clause73,conjecture,
    [--c4_2(a747,a748),
     --c4_0,
     ++c5_0]).

input_clause(clause74,conjecture,
    [--c2_2(a747,a748),
     --c4_0,
     ++c5_0]).

input_clause(clause75,conjecture,
    [--c3_2(a747,a748),
     --c4_0,
     ++c5_0]).

input_clause(clause76,conjecture,
    [--c4_2(a736,a737),
     --c1_0,
     ++c2_0]).

input_clause(clause77,conjecture,
    [--c3_2(a736,a737),
     --c1_0,
     ++c2_0]).

input_clause(clause78,conjecture,
    [--c2_2(a769,a770),
     --c1_0,
     --c3_0]).

input_clause(clause79,conjecture,
    [--ssSkC1,
     --c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause80,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++ndr1_1(a732),
     ++c3_0]).

input_clause(clause81,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c1_0]).

input_clause(clause82,conjecture,
    [--ssSkC1,
     --c4_1(U),
     --ndr1_0,
     ++c1_2(U,a735),
     ++c5_1(U)]).

input_clause(clause83,conjecture,
    [--ssSkC1,
     --c4_1(U),
     --ndr1_0,
     ++c4_2(U,a735),
     ++c5_1(U)]).

input_clause(clause84,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c4_2(a732,a733),
     ++c3_0]).

input_clause(clause85,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_1(a732),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause86,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c2_0,
     ++c1_2(U,a756),
     ++c4_1(U),
     ++c1_0]).

input_clause(clause87,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,a756),
     ++c4_1(U),
     ++c1_0]).

input_clause(clause88,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c3_1(U),
     ++ndr1_1(a738),
     ++c4_0]).

input_clause(clause89,conjecture,
    [--ssSkC1,
     --c5_2(U,a735),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U)]).

input_clause(clause90,conjecture,
    [--c5_2(a726,U),
     --ndr1_1(a726),
     ++c3_2(a726,U),
     ++ssSkC0]).

input_clause(clause91,conjecture,
    [--ssSkC7,
     --c4_2(a774,U),
     --ndr1_1(a774),
     ++c1_2(a774,U),
     ++c1_0]).

input_clause(clause92,conjecture,
    [--ssSkC7,
     --c1_2(a774,U),
     --ndr1_1(a774),
     ++c2_2(a774,U),
     ++c1_0]).

input_clause(clause93,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c3_2(a732,a733),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause94,conjecture,
    [--ssSkP0(U),
     --c4_2(U,a756),
     --ndr1_0,
     --c2_0,
     ++c4_1(U),
     ++c1_0]).

input_clause(clause95,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c3_1(U),
     ++c1_2(a738,a740),
     ++c4_0]).

input_clause(clause96,conjecture,
    [--c2_2(a750,U),
     --c1_2(a750,U),
     --ndr1_1(a750),
     ++ssSkC4]).

input_clause(clause97,conjecture,
    [--c3_2(a747,U),
     --ndr1_1(a747),
     --c4_0,
     ++c1_2(a747,U),
     ++c5_0]).

input_clause(clause98,conjecture,
    [--ndr1_1(a742),
     ++c4_2(a742,U),
     ++c1_2(a742,U),
     ++c3_2(a742,U),
     ++ssSkC2]).

input_clause(clause99,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c5_2(a738,a740),
     ++c4_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause100,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c4_2(a738,a739),
     ++c4_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause101,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_2(a738,a739),
     ++c4_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause102,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c5_2(a738,a739),
     ++c4_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause103,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_0,
     --c5_0,
     ++ndr1_1(U)]).

input_clause(clause104,conjecture,
    [--ssSkC0,
     --c4_2(a729,U),
     --c1_2(a729,U),
     --ndr1_1(a729),
     --c3_0]).

input_clause(clause105,conjecture,
    [--ssSkC5,
     --c5_2(a759,U),
     --c2_2(a759,U),
     --ndr1_1(a759),
     ++c1_2(a759,U)]).

input_clause(clause106,conjecture,
    [--c2_2(a771,U),
     --c5_2(a771,U),
     --ndr1_1(a771),
     ++c3_2(a771,U),
     ++c4_0,
     ++c1_0]).

input_clause(clause107,conjecture,
    [--ndr1_1(a769),
     --c1_0,
     --c3_0,
     ++c1_2(a769,U),
     ++c3_2(a769,U),
     ++c4_2(a769,U)]).

input_clause(clause108,conjecture,
    [--c2_2(U,a730),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_0,
     --c5_0]).

input_clause(clause109,conjecture,
    [--c3_2(U,a730),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_0,
     --c5_0]).

input_clause(clause110,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c3_2(U,a766),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause111,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,a758),
     ++c1_1(U),
     ++ssSkC5]).

input_clause(clause112,conjecture,
    [--c3_2(a765,U),
     --ndr1_1(a765),
     --c4_0,
     --c3_0,
     ++c1_2(a765,U),
     ++c2_2(a765,U)]).

input_clause(clause113,conjecture,
    [--ssSkC0,
     --c5_2(a729,U),
     --c1_2(a729,U),
     --ndr1_1(a729),
     --c3_0,
     ++c4_2(a729,U)]).

input_clause(clause114,conjecture,
    [--ndr1_0,
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_2(U,V),
     --c1_2(U,V),
     ++c1_0,
     ++c5_0]).

input_clause(clause115,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause116,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a766),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause117,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a766),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause118,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a758),
     --ndr1_0,
     ++c1_2(U,V),
     ++c1_1(U),
     ++ssSkC5]).

input_clause(clause119,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c5_1(U),
     ++c3_0]).

input_clause(clause120,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(W),
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c5_1(U),
     ++ndr1_1(W)]).

input_clause(clause121,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,a754),
     ++c1_1(U),
     ++c4_0,
     ++c2_0]).

input_clause(clause122,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c4_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause123,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(W),
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c5_1(U),
     ++c3_2(W,a762)]).

input_clause(clause124,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(W),
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c5_1(U),
     ++c2_2(W,a762)]).

input_clause(clause125,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a754),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c1_1(U),
     ++c4_0,
     ++c2_0]).

input_clause(clause126,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_0,
     ++c3_2(U,V),
     ++c2_1(U)]).

input_clause(clause127,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_1(U),
     ++ndr1_1(a763),
     ++c2_0]).

input_clause(clause128,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,W),
     ++c1_0]).

input_clause(clause129,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_1(U),
     ++c1_2(a763,a764),
     ++c2_0]).

input_clause(clause130,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_1(U),
     ++c2_2(a763,a764),
     ++c2_0]).

input_clause(clause131,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_1(U),
     ++c5_2(a763,a764),
     ++c2_0]).

input_clause(clause132,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(a763),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c2_0]).

input_clause(clause133,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --c5_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c5_2(U,a746)]).

input_clause(clause134,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --c5_2(U,V),
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,a746)]).

input_clause(clause135,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(W),
     --c3_0,
     ++ndr1_1(W)]).

input_clause(clause136,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(W),
     --c3_0,
     ++c3_2(W,a761)]).

input_clause(clause137,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(W),
     --c3_0,
     ++c5_2(W,a761)]).

input_clause(clause138,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_2(W,a761),
     --c3_1(W),
     --c3_0]).

input_clause(clause139,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_1(W),
     --c1_1(W),
     --c4_0,
     ++c2_2(U,V),
     ++c3_1(U),
     ++ndr1_1(W)]).

input_clause(clause140,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_1(W),
     --c1_1(W),
     --c4_0,
     ++c2_2(U,V),
     ++c3_1(U),
     ++c2_2(W,a753)]).

input_clause(clause141,conjecture,
    [--ssSkC4,
     --c4_2(U,V),
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c5_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c3_2(U,a752),
     ++c2_0]).

input_clause(clause142,conjecture,
    [--ssSkC4,
     --c4_2(U,V),
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c5_2(U,W),
     --ndr1_0,
     ++c3_2(U,W),
     ++c5_2(U,a752),
     ++c2_0]).

input_clause(clause143,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_2(W,a753),
     --c2_1(W),
     --c1_1(W),
     --c4_0,
     ++c2_2(U,V),
     ++c3_1(U)]).

input_clause(clause144,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_2(W,a753),
     --c2_1(W),
     --c1_1(W),
     --c4_0,
     ++c2_2(U,V),
     ++c3_1(U)]).

input_clause(clause145,conjecture,
    [--c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --ndr1_1(a763),
     ++c4_2(U,V),
     ++c3_1(U),
     ++c2_2(a763,W),
     ++c5_2(a763,W),
     ++c4_2(a763,W),
     ++c2_0]).
%--------------------------------------------------------------------------
