%--------------------------------------------------------------------------
% File     : SYN738-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT - K=4 C=20 V=8 D=1.8
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-cnf-K4-C20-V8-D1.8 [Sch01]

% Status   : satisfiable
% Rating   : 0.00 v2.5.0
% Syntax   : Number of clauses    :   21 (   9 non-Horn;   1 unit;  20 RR)
%            Number of literals   :  122 (   0 equality)
%            Maximal clause size  :    7 (   5 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :   62 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The relational translation for the PSAT problem.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssRr(U,skf1(U))]).

input_clause(clause2,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssPv8(U),
     ++ssPv4(U),
     ++ssPv5(U)]).

input_clause(clause3,conjecture,
    [--ssRr(U,V),
     --ssPv5(U),
     --ssPv8(U),
     ++ssPv2(V),
     ++ssPv2(U)]).

input_clause(clause4,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssPv2(U),
     ++ssPv1(U),
     ++ssPv7(U)]).

input_clause(clause5,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssPv3(U),
     --ssPv4(U),
     ++ssPv6(U)]).

input_clause(clause6,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     ++ssPv5(W),
     ++ssPv6(U),
     ++ssPv8(U)]).

input_clause(clause7,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssPv4(U),
     ++ssPv5(V),
     ++ssPv3(W),
     ++ssPv5(U)]).

input_clause(clause8,conjecture,
    [--ssRr(U,V),
     --ssPv8(V),
     --ssRr(U,W),
     --ssPv4(W),
     ++ssPv5(U),
     ++ssPv7(U)]).

input_clause(clause9,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(U,W),
     --ssPv4(U),
     --ssPv5(U),
     ++ssPv6(W)]).

input_clause(clause10,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(U,W),
     --ssPv3(U),
     --ssPv8(U),
     ++ssPv8(W)]).

input_clause(clause11,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(U,W),
     --ssPv3(U),
     --ssPv8(U),
     ++ssPv7(W)]).

input_clause(clause12,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv1(U),
     --ssPv6(U),
     ++ssPv7(W)]).

input_clause(clause13,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(U,W),
     --ssPv1(U),
     --ssPv2(U),
     ++ssPv4(W)]).

input_clause(clause14,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv2(W),
     --ssPv1(U),
     ++ssPv8(U)]).

input_clause(clause15,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(U,W),
     --ssPv2(W),
     --ssPv2(U),
     ++ssPv7(U)]).

input_clause(clause16,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv3(W),
     --ssPv4(U),
     --ssPv8(U)]).

input_clause(clause17,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(U,W),
     --ssRr(U,X),
     ++ssPv8(W),
     ++ssPv3(X),
     ++ssPv4(U)]).

input_clause(clause18,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(U,W),
     --ssRr(U,X),
     --ssPv3(U),
     ++ssPv8(W),
     ++ssPv6(X)]).

input_clause(clause19,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(U,W),
     --ssRr(U,X),
     --ssPv5(U),
     ++ssPv6(W),
     ++ssPv4(X)]).

input_clause(clause20,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(U,W),
     --ssPv3(W),
     --ssRr(U,X),
     --ssPv4(U),
     ++ssPv5(X)]).

input_clause(clause21,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv1(W),
     --ssRr(U,X),
     --ssPv7(U),
     ++ssPv7(X)]).
%--------------------------------------------------------------------------
