%--------------------------------------------------------------------------
% File     : SYN755-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT - K=4 C=50 V=4 D=1.1
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-cnf-K4-C50-V4-D1.1 [Sch01]

% Status   : unsatisfiable
% Rating   : 0.38 v2.6.0, 0.33 v2.5.0
% Syntax   : Number of clauses    :   51 (  35 non-Horn;   1 unit;  50 RR)
%            Number of literals   :  310 (   0 equality)
%            Maximal clause size  :    7 (   6 average)
%            Number of predicates :    5 (   0 propositional; 1-2 arity)
%            Number of functors   :    1 (   0 constant; 1-1 arity)
%            Number of variables  :  160 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The relational translation for the PSAT problem.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssRr(U,skf1(U))]).

input_clause(clause2,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     ++ssPv1(U),
     ++ssPv2(U),
     ++ssPv3(U)]).

input_clause(clause3,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssPv2(U),
     ++ssPv3(U),
     ++ssPv4(U)]).

input_clause(clause4,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssPv2(U),
     ++ssPv3(U),
     ++ssPv4(U)]).

input_clause(clause5,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssPv2(U),
     ++ssPv1(U),
     ++ssPv3(U)]).

input_clause(clause6,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssPv2(U),
     --ssPv4(U),
     ++ssPv3(V)]).

input_clause(clause7,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssPv2(U),
     --ssPv3(U),
     --ssPv4(U)]).

input_clause(clause8,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     ++ssPv4(V),
     ++ssPv1(W),
     ++ssPv2(U),
     ++ssPv3(U)]).

input_clause(clause9,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssPv1(U),
     ++ssPv4(V),
     ++ssPv1(W),
     ++ssPv4(U)]).

input_clause(clause10,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssPv2(U),
     ++ssPv3(V),
     ++ssPv2(W),
     ++ssPv3(U)]).

input_clause(clause11,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(U,W),
     ++ssPv3(W),
     ++ssPv3(U),
     ++ssPv4(U)]).

input_clause(clause12,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     ++ssPv4(W),
     ++ssPv2(U),
     ++ssPv4(U)]).

input_clause(clause13,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     ++ssPv1(W),
     ++ssPv2(U),
     ++ssPv4(U)]).

input_clause(clause14,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     ++ssPv3(W),
     ++ssPv2(U),
     ++ssPv3(U)]).

input_clause(clause15,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     ++ssPv3(W),
     ++ssPv1(U),
     ++ssPv2(U)]).

input_clause(clause16,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(U,W),
     ++ssPv3(W),
     ++ssPv1(U),
     ++ssPv2(U)]).

input_clause(clause17,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv2(U),
     ++ssPv2(W),
     ++ssPv4(U)]).

input_clause(clause18,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv4(U),
     ++ssPv3(W),
     ++ssPv3(U)]).

input_clause(clause19,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(U,W),
     --ssPv2(U),
     ++ssPv2(W),
     ++ssPv3(U)]).

input_clause(clause20,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv3(U),
     ++ssPv3(W),
     ++ssPv2(U)]).

input_clause(clause21,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     --ssPv1(U),
     ++ssPv4(W),
     ++ssPv2(U)]).

input_clause(clause22,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv1(U),
     ++ssPv2(W),
     ++ssPv2(U)]).

input_clause(clause23,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(U,W),
     --ssPv1(U),
     ++ssPv1(W),
     ++ssPv2(U)]).

input_clause(clause24,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv3(W),
     ++ssPv2(U),
     ++ssPv4(U)]).

input_clause(clause25,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     --ssPv4(U),
     ++ssPv2(W),
     ++ssPv1(U)]).

input_clause(clause26,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssRr(U,W),
     --ssPv4(U),
     ++ssPv1(W),
     ++ssPv1(U)]).

input_clause(clause27,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv3(U),
     ++ssPv4(W),
     ++ssPv1(U)]).

input_clause(clause28,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv2(U),
     ++ssPv4(W),
     ++ssPv1(U)]).

input_clause(clause29,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv2(W),
     ++ssPv1(U),
     ++ssPv3(U)]).

input_clause(clause30,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv2(U),
     --ssPv4(U),
     ++ssPv3(W)]).

input_clause(clause31,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     --ssPv2(U),
     --ssPv4(U),
     ++ssPv1(W)]).

input_clause(clause32,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv1(U),
     --ssPv4(U),
     ++ssPv3(W)]).

input_clause(clause33,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv3(W),
     --ssPv4(U),
     ++ssPv3(U)]).

input_clause(clause34,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv1(W),
     --ssPv4(U),
     ++ssPv3(U)]).

input_clause(clause35,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     --ssPv1(W),
     --ssPv4(U),
     ++ssPv2(U)]).

input_clause(clause36,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv3(W),
     --ssPv3(U),
     ++ssPv1(U)]).

input_clause(clause37,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     --ssRr(U,X),
     ++ssPv3(W),
     ++ssPv1(X),
     ++ssPv4(U)]).

input_clause(clause38,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     --ssRr(U,X),
     ++ssPv2(W),
     ++ssPv1(X),
     ++ssPv3(U)]).

input_clause(clause39,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssRr(U,X),
     ++ssPv3(W),
     ++ssPv2(X),
     ++ssPv2(U)]).

input_clause(clause40,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssRr(U,X),
     ++ssPv4(W),
     ++ssPv1(X),
     ++ssPv2(U)]).

input_clause(clause41,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv2(W),
     --ssRr(U,X),
     ++ssPv2(X),
     ++ssPv4(U)]).

input_clause(clause42,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssRr(U,X),
     --ssPv4(U),
     ++ssPv3(W),
     ++ssPv2(X)]).

input_clause(clause43,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssRr(U,X),
     --ssPv3(U),
     ++ssPv4(W),
     ++ssPv3(X)]).

input_clause(clause44,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(U,W),
     --ssRr(U,X),
     --ssPv3(U),
     ++ssPv4(W),
     ++ssPv3(X)]).

input_clause(clause45,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv3(W),
     --ssRr(U,X),
     ++ssPv2(X),
     ++ssPv4(U)]).

input_clause(clause46,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv2(W),
     --ssRr(U,X),
     --ssPv1(U),
     ++ssPv4(X)]).

input_clause(clause47,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv2(W),
     --ssRr(U,X),
     --ssPv1(U),
     ++ssPv4(X)]).

input_clause(clause48,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv2(W),
     --ssRr(U,X),
     --ssPv1(U),
     ++ssPv3(X)]).

input_clause(clause49,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv1(W),
     --ssRr(U,X),
     --ssPv1(U),
     ++ssPv1(X)]).

input_clause(clause50,conjecture,
    [--ssRr(U,V),
     --ssPv3(V),
     --ssRr(U,W),
     --ssPv1(W),
     --ssRr(U,X),
     --ssPv3(U),
     ++ssPv4(X)]).

input_clause(clause51,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     --ssPv2(W),
     --ssRr(U,X),
     --ssPv1(X),
     --ssPv3(U)]).
%--------------------------------------------------------------------------
