%--------------------------------------------------------------------------
% File     : SYN773-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT inverse - K=4 C=20 V=8 D=2.6
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-inv-cnf-K4-C20-V8-D2.6 [Sch01]

% Status   : satisfiable
% Rating   : 0.80 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    :   22 (  14 non-Horn;   2 unit;  20 RR)
%            Number of literals   :  162 (   0 equality)
%            Maximal clause size  :   10 (   7 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    2 (   0 constant; 1-1 arity)
%            Number of variables  :  102 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The relational translation for the PSAT inverse problem.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssRr(skf3(U),U)]).

input_clause(clause2,conjecture,
    [++ssRr(U,skf2(U))]).

input_clause(clause3,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv8(W),
     ++ssPv2(U),
     ++ssPv1(W),
     ++ssPv4(W)]).

input_clause(clause4,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(V,W),
     --ssPv6(W),
     ++ssPv1(W),
     ++ssPv7(W)]).

input_clause(clause5,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(V,W),
     --ssPv3(W),
     --ssPv5(W),
     ++ssPv8(W)]).

input_clause(clause6,conjecture,
    [--ssRr(U,V),
     --ssRr(W,X),
     --ssRr(V,W),
     --ssPv5(V),
     ++ssPv4(U),
     ++ssPv7(X),
     ++ssPv2(V)]).

input_clause(clause7,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssRr(X,W),
     --ssPv5(W),
     --ssPv8(W),
     ++ssPv7(U),
     ++ssPv6(X)]).

input_clause(clause8,conjecture,
    [--ssRr(U,V),
     --ssPv3(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(W,X),
     ++ssPv5(Y),
     ++ssPv1(W),
     ++ssPv3(W)]).

input_clause(clause9,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssPv1(W),
     ++ssPv2(X),
     ++ssPv6(W)]).

input_clause(clause10,conjecture,
    [--ssRr(U,V),
     --ssPv3(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv1(W),
     ++ssPv1(Y),
     ++ssPv4(W)]).

input_clause(clause11,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(W,V),
     --ssRr(X,Y),
     --ssRr(V,X),
     --ssPv1(V),
     ++ssPv8(W),
     ++ssPv6(Y)]).

input_clause(clause12,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssPv7(W),
     ++ssPv7(X),
     ++ssPv6(W)]).

input_clause(clause13,conjecture,
    [--ssRr(U,V),
     --ssPv2(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv5(Y),
     --ssRr(W,X),
     --ssPv4(W),
     ++ssPv3(W)]).

input_clause(clause14,conjecture,
    [--ssRr(U,V),
     --ssPv5(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv5(Y),
     --ssRr(W,X),
     --ssPv2(W),
     --ssPv4(W)]).

input_clause(clause15,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv7(Y),
     --ssRr(W,X),
     --ssPv3(W),
     --ssPv6(W)]).

input_clause(clause16,conjecture,
    [--ssRr(U,V),
     --ssRr(W,X),
     --ssRr(V,W),
     --ssRr(Y,Z),
     --ssRr(V,Y),
     ++ssPv2(U),
     ++ssPv8(X),
     ++ssPv7(Z),
     ++ssPv6(V)]).

input_clause(clause17,conjecture,
    [--ssRr(U,V),
     --ssRr(W,X),
     --ssPv4(X),
     --ssRr(V,W),
     --ssRr(Y,Z),
     --ssRr(V,Y),
     ++ssPv4(U),
     ++ssPv6(Z),
     ++ssPv1(V)]).

input_clause(clause18,conjecture,
    [--ssRr(U,V),
     --ssRr(W,X),
     --ssPv6(X),
     --ssRr(V,W),
     --ssRr(Y,Z),
     --ssRr(V,Y),
     ++ssPv7(U),
     ++ssPv8(Z),
     ++ssPv5(V)]).

input_clause(clause19,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssRr(W,Z),
     --ssPv1(Z),
     ++ssPv4(X),
     ++ssPv2(W)]).

input_clause(clause20,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssRr(Z,W),
     --ssPv2(Z),
     --ssPv6(W),
     ++ssPv7(U),
     ++ssPv1(X)]).

input_clause(clause21,conjecture,
    [--ssRr(U,V),
     --ssPv7(U),
     --ssRr(V,W),
     --ssRr(X,W),
     --ssRr(Y,Z),
     --ssPv8(Z),
     --ssRr(W,Y),
     --ssPv7(W),
     ++ssPv5(X)]).

input_clause(clause22,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssRr(Z,X1),
     --ssPv5(X1),
     --ssRr(W,Z),
     --ssPv7(W),
     ++ssPv5(X)]).
%--------------------------------------------------------------------------
