%--------------------------------------------------------------------------
% File     : SYN781-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT inverse - K=4 C=30 V=8 D=2.3
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-inv-cnf-K4-C30-V8-D2.3 [Sch01]

% Status   : satisfiable
% Rating   : 0.80 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    :   32 (  19 non-Horn;   2 unit;  30 RR)
%            Number of literals   :  257 (   0 equality)
%            Maximal clause size  :   10 (   8 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    2 (   0 constant; 1-1 arity)
%            Number of variables  :  167 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The relational translation for the PSAT inverse problem.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssRr(skf3(U),U)]).

input_clause(clause2,conjecture,
    [++ssRr(U,skf2(U))]).

input_clause(clause3,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(V,W),
     --ssRr(W,X),
     ++ssPv4(X),
     ++ssPv1(W),
     ++ssPv4(W)]).

input_clause(clause4,conjecture,
    [--ssRr(U,V),
     --ssRr(W,X),
     --ssPv8(X),
     --ssRr(V,W),
     --ssPv5(V),
     ++ssPv6(U),
     ++ssPv3(V)]).

input_clause(clause5,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(V,W),
     --ssRr(W,X),
     --ssPv5(W),
     --ssPv7(W),
     ++ssPv2(X)]).

input_clause(clause6,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(W,X),
     --ssRr(V,W),
     --ssPv1(V),
     --ssPv8(V),
     ++ssPv4(X)]).

input_clause(clause7,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     ++ssPv6(U),
     ++ssPv2(X),
     ++ssPv5(W),
     ++ssPv7(W)]).

input_clause(clause8,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     ++ssPv2(Y),
     ++ssPv3(W),
     ++ssPv6(W)]).

input_clause(clause9,conjecture,
    [--ssRr(U,V),
     --ssPv5(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     ++ssPv8(X),
     ++ssPv3(W),
     ++ssPv4(W)]).

input_clause(clause10,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     ++ssPv1(Y),
     ++ssPv2(W),
     ++ssPv3(W)]).

input_clause(clause11,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssRr(X,W),
     --ssRr(W,Y),
     --ssPv5(W),
     ++ssPv7(U),
     ++ssPv6(X),
     ++ssPv4(Y)]).

input_clause(clause12,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv1(W),
     --ssPv2(W),
     ++ssPv6(U),
     ++ssPv7(Y)]).

input_clause(clause13,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv6(Y),
     --ssRr(W,X),
     ++ssPv3(W),
     ++ssPv8(W)]).

input_clause(clause14,conjecture,
    [--ssRr(U,V),
     --ssPv2(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssPv7(W),
     ++ssPv8(Y),
     ++ssPv4(W)]).

input_clause(clause15,conjecture,
    [--ssRr(U,V),
     --ssRr(W,U),
     --ssRr(W,X),
     --ssPv8(X),
     --ssRr(W,Y),
     --ssPv5(Y),
     --ssPv8(W),
     ++ssPv4(V)]).

input_clause(clause16,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv7(Y),
     --ssRr(W,X),
     --ssPv4(W),
     ++ssPv7(W)]).

input_clause(clause17,conjecture,
    [--ssRr(U,V),
     --ssPv3(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv7(Y),
     --ssRr(W,X),
     --ssPv2(W),
     --ssPv7(W)]).

input_clause(clause18,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv2(X),
     --ssRr(Y,W),
     --ssPv3(W),
     --ssPv7(W)]).

input_clause(clause19,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssRr(Z,W),
     ++ssPv7(X),
     ++ssPv3(Z),
     ++ssPv6(W)]).

input_clause(clause20,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv4(Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     ++ssPv6(U),
     ++ssPv3(Z),
     ++ssPv7(W)]).

input_clause(clause21,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssRr(W,Z),
     --ssPv4(W),
     ++ssPv6(U),
     ++ssPv1(X),
     ++ssPv8(Z)]).

input_clause(clause22,conjecture,
    [--ssRr(U,V),
     --ssPv5(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssRr(Z,W),
     --ssPv1(W),
     ++ssPv4(X),
     ++ssPv1(Z)]).

input_clause(clause23,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv1(Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     ++ssPv7(Z),
     ++ssPv3(W)]).

input_clause(clause24,conjecture,
    [--ssRr(U,V),
     --ssPv7(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv5(X),
     --ssRr(Y,W),
     --ssRr(Z,W),
     ++ssPv5(Z),
     ++ssPv5(W)]).

input_clause(clause25,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(W,U),
     --ssRr(X,Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv3(Z),
     ++ssPv2(Y),
     ++ssPv8(W)]).

input_clause(clause26,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(V,W),
     --ssRr(X,W),
     --ssPv8(X),
     --ssRr(Y,Z),
     --ssPv1(Z),
     --ssRr(W,Y),
     ++ssPv1(W)]).

input_clause(clause27,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv1(Y),
     --ssRr(W,X),
     --ssRr(W,Z),
     --ssPv5(Z),
     ++ssPv6(W)]).

input_clause(clause28,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssRr(Z,X1),
     --ssPv7(X1),
     --ssRr(W,Z),
     --ssPv7(W),
     ++ssPv8(U),
     ++ssPv2(X)]).

input_clause(clause29,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssRr(Y,W),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     --ssPv2(W),
     ++ssPv8(X),
     ++ssPv6(X1)]).

input_clause(clause30,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv6(Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     --ssPv3(W),
     ++ssPv6(X1)]).

input_clause(clause31,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv1(Y),
     --ssRr(W,X),
     --ssRr(Z,X1),
     --ssRr(W,Z),
     --ssPv8(W),
     ++ssPv3(X1)]).

input_clause(clause32,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(V,W),
     --ssRr(X,Y),
     --ssPv4(X),
     --ssRr(Y,W),
     --ssRr(Z,X1),
     --ssPv3(Z),
     --ssRr(X1,W),
     ++ssPv4(W)]).
%--------------------------------------------------------------------------
