%--------------------------------------------------------------------------
% File     : SYN803-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : PSAT inverse - K=4 C=50 V=8 D=1.2
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-psat-inv-cnf-K4-C50-V8-D1.2 [Sch01]

% Status   : satisfiable
% Rating   : 0.80 v2.6.0, 0.75 v2.5.0
% Syntax   : Number of clauses    :   52 (  34 non-Horn;   2 unit;  50 RR)
%            Number of literals   :  294 (   0 equality)
%            Maximal clause size  :    7 (   5 average)
%            Number of predicates :    9 (   0 propositional; 1-2 arity)
%            Number of functors   :    2 (   0 constant; 1-1 arity)
%            Number of variables  :  144 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : The relational translation for the PSAT inverse problem.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssRr(skf3(U),U)]).

input_clause(clause2,conjecture,
    [++ssRr(U,skf2(U))]).

input_clause(clause3,conjecture,
    [--ssRr(U,V),
     --ssPv7(V),
     ++ssPv6(U),
     ++ssPv3(V),
     ++ssPv8(V)]).

input_clause(clause4,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     ++ssPv7(V),
     ++ssPv2(U),
     ++ssPv4(U)]).

input_clause(clause5,conjecture,
    [--ssRr(U,V),
     --ssPv2(U),
     ++ssPv2(V),
     ++ssPv1(U),
     ++ssPv8(U)]).

input_clause(clause6,conjecture,
    [--ssRr(U,V),
     --ssPv7(U),
     ++ssPv6(V),
     ++ssPv1(U),
     ++ssPv6(U)]).

input_clause(clause7,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     ++ssPv5(V),
     ++ssPv1(U),
     ++ssPv5(U)]).

input_clause(clause8,conjecture,
    [--ssRr(U,V),
     --ssPv3(U),
     --ssPv6(U),
     ++ssPv6(V),
     ++ssPv8(U)]).

input_clause(clause9,conjecture,
    [--ssRr(U,V),
     --ssPv7(U),
     --ssPv2(V),
     ++ssPv4(V),
     ++ssPv5(V)]).

input_clause(clause10,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssPv7(U),
     ++ssPv1(U),
     ++ssPv5(U)]).

input_clause(clause11,conjecture,
    [--ssRr(U,V),
     --ssPv8(V),
     --ssPv4(U),
     ++ssPv1(U),
     ++ssPv3(U)]).

input_clause(clause12,conjecture,
    [--ssRr(U,V),
     --ssPv1(U),
     --ssPv3(V),
     --ssPv8(V),
     ++ssPv7(V)]).

input_clause(clause13,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssPv6(V),
     --ssPv7(V),
     ++ssPv5(V)]).

input_clause(clause14,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssPv3(V),
     --ssPv4(V),
     ++ssPv1(V)]).

input_clause(clause15,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssPv1(V),
     --ssPv6(V),
     --ssPv8(V)]).

input_clause(clause16,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssPv1(V),
     --ssPv4(V),
     --ssPv6(V)]).

input_clause(clause17,conjecture,
    [--ssRr(U,V),
     --ssPv1(V),
     --ssPv1(U),
     --ssPv2(U),
     --ssPv6(U)]).

input_clause(clause18,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     ++ssPv3(U),
     ++ssPv6(W),
     ++ssPv5(V),
     ++ssPv7(V)]).

input_clause(clause19,conjecture,
    [--ssRr(U,V),
     --ssRr(W,V),
     --ssPv2(V),
     ++ssPv6(U),
     ++ssPv3(W),
     ++ssPv8(V)]).

input_clause(clause20,conjecture,
    [--ssRr(U,V),
     --ssRr(W,V),
     --ssPv5(V),
     ++ssPv4(U),
     ++ssPv1(W),
     ++ssPv7(V)]).

input_clause(clause21,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv5(W),
     ++ssPv6(U),
     ++ssPv6(V),
     ++ssPv7(V)]).

input_clause(clause22,conjecture,
    [--ssRr(U,V),
     --ssRr(W,V),
     --ssPv2(V),
     ++ssPv8(U),
     ++ssPv3(W),
     ++ssPv5(V)]).

input_clause(clause23,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(U,W),
     ++ssPv8(W),
     ++ssPv5(U),
     ++ssPv7(U)]).

input_clause(clause24,conjecture,
    [--ssRr(U,V),
     --ssRr(U,W),
     --ssPv6(U),
     ++ssPv4(V),
     ++ssPv2(W),
     ++ssPv3(U)]).

input_clause(clause25,conjecture,
    [--ssRr(U,V),
     --ssPv3(U),
     --ssRr(V,W),
     ++ssPv5(W),
     ++ssPv3(V),
     ++ssPv7(V)]).

input_clause(clause26,conjecture,
    [--ssRr(U,V),
     --ssPv4(V),
     --ssRr(U,W),
     ++ssPv6(W),
     ++ssPv3(U),
     ++ssPv5(U)]).

input_clause(clause27,conjecture,
    [--ssRr(U,V),
     --ssPv2(U),
     --ssRr(V,W),
     ++ssPv3(W),
     ++ssPv2(V),
     ++ssPv8(V)]).

input_clause(clause28,conjecture,
    [--ssRr(U,V),
     --ssPv2(U),
     --ssRr(V,W),
     ++ssPv3(W),
     ++ssPv2(V),
     ++ssPv5(V)]).

input_clause(clause29,conjecture,
    [--ssRr(U,V),
     --ssPv8(V),
     --ssRr(U,W),
     ++ssPv6(W),
     ++ssPv1(U),
     ++ssPv5(U)]).

input_clause(clause30,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv3(V),
     --ssPv7(V),
     ++ssPv4(U),
     ++ssPv1(W)]).

input_clause(clause31,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv4(W),
     --ssPv6(V),
     ++ssPv7(U),
     ++ssPv7(V)]).

input_clause(clause32,conjecture,
    [--ssRr(U,V),
     --ssPv6(V),
     --ssRr(U,W),
     --ssPv2(U),
     ++ssPv4(W),
     ++ssPv7(U)]).

input_clause(clause33,conjecture,
    [--ssRr(U,V),
     --ssPv8(V),
     --ssRr(U,W),
     --ssPv3(U),
     ++ssPv3(W),
     ++ssPv5(U)]).

input_clause(clause34,conjecture,
    [--ssRr(U,V),
     --ssPv5(U),
     --ssRr(V,W),
     --ssPv6(W),
     ++ssPv5(V),
     ++ssPv8(V)]).

input_clause(clause35,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv8(W),
     --ssPv7(V),
     ++ssPv6(U),
     ++ssPv4(V)]).

input_clause(clause36,conjecture,
    [--ssRr(U,V),
     --ssPv5(V),
     --ssRr(U,W),
     --ssPv6(U),
     ++ssPv6(W),
     ++ssPv4(U)]).

input_clause(clause37,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(V,W),
     --ssPv3(W),
     ++ssPv1(V),
     ++ssPv2(V)]).

input_clause(clause38,conjecture,
    [--ssRr(U,V),
     --ssPv2(U),
     --ssRr(V,W),
     --ssPv1(V),
     --ssPv8(V),
     ++ssPv3(W)]).

input_clause(clause39,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv2(W),
     --ssPv1(V),
     --ssPv7(V),
     ++ssPv5(U)]).

input_clause(clause40,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(V,W),
     --ssPv1(V),
     --ssPv5(V),
     ++ssPv4(W)]).

input_clause(clause41,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(W,V),
     --ssPv1(W),
     --ssPv4(V),
     ++ssPv8(V)]).

input_clause(clause42,conjecture,
    [--ssRr(U,V),
     --ssPv7(U),
     --ssRr(W,V),
     --ssPv5(W),
     --ssPv7(V),
     ++ssPv4(V)]).

input_clause(clause43,conjecture,
    [--ssRr(U,V),
     --ssPv6(U),
     --ssRr(V,W),
     --ssPv7(W),
     --ssPv5(V),
     ++ssPv1(V)]).

input_clause(clause44,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(W,V),
     --ssPv2(W),
     --ssPv3(V),
     --ssPv6(V)]).

input_clause(clause45,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(V,W),
     --ssPv3(W),
     --ssPv1(V),
     --ssPv5(V)]).

input_clause(clause46,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv4(W),
     --ssRr(V,X),
     ++ssPv2(U),
     ++ssPv5(X),
     ++ssPv8(V)]).

input_clause(clause47,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(W,V),
     --ssRr(X,V),
     ++ssPv2(W),
     ++ssPv1(X),
     ++ssPv5(V)]).

input_clause(clause48,conjecture,
    [--ssRr(U,V),
     --ssPv4(U),
     --ssRr(V,W),
     --ssRr(V,X),
     ++ssPv7(W),
     ++ssPv5(X),
     ++ssPv4(V)]).

input_clause(clause49,conjecture,
    [--ssRr(U,V),
     --ssRr(W,V),
     --ssRr(V,X),
     --ssPv3(X),
     ++ssPv7(U),
     ++ssPv4(W),
     ++ssPv3(V)]).

input_clause(clause50,conjecture,
    [--ssRr(U,V),
     --ssPv5(U),
     --ssRr(W,V),
     --ssPv3(W),
     --ssRr(V,X),
     ++ssPv3(X),
     ++ssPv4(V)]).

input_clause(clause51,conjecture,
    [--ssRr(U,V),
     --ssRr(V,W),
     --ssPv6(W),
     --ssRr(V,X),
     --ssPv1(X),
     --ssPv5(V),
     ++ssPv5(U)]).

input_clause(clause52,conjecture,
    [--ssRr(U,V),
     --ssPv8(U),
     --ssRr(W,V),
     --ssPv4(W),
     --ssRr(V,X),
     --ssPv6(X),
     --ssPv1(V)]).
%--------------------------------------------------------------------------
