%--------------------------------------------------------------------------
% File     : SYN874-1 : TPTP v2.6.0. Released v2.5.0.
% Domain   : Syntactic (Translated)
% Problem  : QBF, SSS - K=4 C=30 V=4 D=4.6
% Version  : Especial.
% English  : 

% Refs     : [Sch99] Schmidt (1999), Decidability by Resolution for Proposit
%          : [HS00a] Hustadt & Schmidt (2000), MSPASS: Modal Reasoning by Tr
%          : [HS00b] Hustadt & Schmidt (2000), Issues of Decidability for De
%          : [Sch01] Schmidt (2001), Email to G. Sutcliffe
% Source   : [Sch01]
% Names    : p-qbf-cnfSSS-K4-C30-V4-D4.6 [Sch01]

% Status   : unsatisfiable
% Rating   : 0.00 v2.6.0, 0.12 v2.5.0
% Syntax   : Number of clauses    :   66 (  18 non-Horn;   1 unit;  26 RR)
%            Number of literals   : 1014 (   0 equality)
%            Maximal clause size  :   24 (  15 average)
%            Number of predicates :   40 (   1 propositional; 0-20 arity)
%            Number of functors   :   16 (  16 constant; 0-0 arity)
%            Number of variables  :  858 (  65 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : Optimised functional translation in terms of n-ary predicates
%            for the modal QBF formulae.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ssNder1_0]).

input_clause(clause2,conjecture,
    [--ssNder1_0,
     ++ssNder1_1r1(U)]).

input_clause(clause3,conjecture,
    [--ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_2r1r1(U,V)]).

input_clause(clause4,conjecture,
    [--ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_3r1r1r1(U,V,W)]).

input_clause(clause5,conjecture,
    [--ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_4r1r1r1r1(U,V,W,X)]).

input_clause(clause6,conjecture,
    [--ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv16_5r1r1r1r1r1(U,V,W,X,skc30)]).

input_clause(clause7,conjecture,
    [--ssPv16_5r1r1r1r1r1(U,V,W,X,skc31),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause8,conjecture,
    [--ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_5r1r1r1r1r1(U,V,W,X,Y)]).

input_clause(clause9,conjecture,
    [--ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,skc28)]).

input_clause(clause10,conjecture,
    [--ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,skc29),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause11,conjecture,
    [--ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z)]).

input_clause(clause12,conjecture,
    [--ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv14_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,skc26)]).

input_clause(clause13,conjecture,
    [--ssPv14_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,skc27),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause14,conjecture,
    [--ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1)]).

input_clause(clause15,conjecture,
    [--ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,skc24)]).

input_clause(clause16,conjecture,
    [--ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,skc25),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause17,conjecture,
    [--ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2)]).

input_clause(clause18,conjecture,
    [--ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3)]).

input_clause(clause19,conjecture,
    [--ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4)]).

input_clause(clause20,conjecture,
    [--ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5)]).

input_clause(clause21,conjecture,
    [--ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6)]).

input_clause(clause22,conjecture,
    [--ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv8_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,skc22)]).

input_clause(clause23,conjecture,
    [--ssPv8_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,skc23),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause24,conjecture,
    [--ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7)]).

input_clause(clause25,conjecture,
    [--ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,skc20)]).

input_clause(clause26,conjecture,
    [--ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,skc21),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause27,conjecture,
    [--ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8)]).

input_clause(clause28,conjecture,
    [--ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,skc18)]).

input_clause(clause29,conjecture,
    [--ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,skc19),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause30,conjecture,
    [--ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssPv8_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv10_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv20_1r1(U)]).

input_clause(clause31,conjecture,
    [--ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9)]).

input_clause(clause32,conjecture,
    [--ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,skc16)]).

input_clause(clause33,conjecture,
    [--ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,skc17),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause34,conjecture,
    [--ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssPv12_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssPv20_1r1(U),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv16_5r1r1r1r1r1(U,V,W,X,Y)]).

input_clause(clause35,conjecture,
    [--ssPv9_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssPv8_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv10_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2)]).

input_clause(clause36,conjecture,
    [--ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssPv10_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssPv19_2r1r1(U,V),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause37,conjecture,
    [--ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)]).

input_clause(clause38,conjecture,
    [--ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssPv8_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssPv20_1r1(U),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv19_2r1r1(U,V)]).

input_clause(clause39,conjecture,
    [--ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssPv20_1r1(U),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     ++ssPv17_4r1r1r1r1(U,V,W,X)]).

input_clause(clause40,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11)]).

input_clause(clause41,conjecture,
    [--ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv9_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssPv12_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     ++ssPv8_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7)]).

input_clause(clause42,conjecture,
    [--ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssPv12_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssPv14_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     ++ssPv20_1r1(U)]).

input_clause(clause43,conjecture,
    [--ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv9_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssPv17_4r1r1r1r1(U,V,W,X),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0]).

input_clause(clause44,conjecture,
    [--ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)]).

input_clause(clause45,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssPv20_1r1(U),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     ++ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     ++ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,Z)]).

input_clause(clause46,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssPv19_2r1r1(U,V),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     ++ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     ++ssPv16_5r1r1r1r1r1(U,V,W,X,Y)]).

input_clause(clause47,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     ++ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     ++ssPv18_3r1r1r1(U,V,W)]).

input_clause(clause48,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssPv18_3r1r1r1(U,V,W),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11)]).

input_clause(clause49,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     ++ssPv10_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5)]).

input_clause(clause50,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13)]).

input_clause(clause51,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     ++ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     ++ssPv12_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3)]).

input_clause(clause52,conjecture,
    [--ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssPv8_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv9_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8)]).

input_clause(clause53,conjecture,
    [--ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv9_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv3_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     ++ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     ++ssPv16_5r1r1r1r1r1(U,V,W,X,Y)]).

input_clause(clause54,conjecture,
    [--ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssPv3_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     ++ssPv17_4r1r1r1r1(U,V,W,X)]).

input_clause(clause55,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssPv16_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssPv17_4r1r1r1r1(U,V,W,X),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13)]).

input_clause(clause56,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     ++ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     ++ssPv20_1r1(U)]).

input_clause(clause57,conjecture,
    [--ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssPv3_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssPv9_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9)]).

input_clause(clause58,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssPv14_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     ++ssPv9_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     ++ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2)]).

input_clause(clause59,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssPv20_1r1(U),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)]).

input_clause(clause60,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssPv18_3r1r1r1(U,V,W),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     ++ssPv14_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1)]).

input_clause(clause61,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     ++ssPv11_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     ++ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2)]).

input_clause(clause62,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssPv17_4r1r1r1r1(U,V,W,X),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     ++ssPv7_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8)]).

input_clause(clause63,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssPv15_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     ++ssPv8_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7)]).

input_clause(clause64,conjecture,
    [--ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssPv4_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv2_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     ++ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9)]).

input_clause(clause65,conjecture,
    [--ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssPv1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssPv12_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssPv14_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv13_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2)]).

input_clause(clause66,conjecture,
    [--ssNder1_19r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13),
     --ssPv1_20r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12,X13,X14),
     --ssNder1_18r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12),
     --ssNder1_17r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11),
     --ssNder1_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     --ssNder1_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     --ssNder1_14r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8),
     --ssNder1_13r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7),
     --ssNder1_12r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6),
     --ssNder1_11r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5),
     --ssNder1_10r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4),
     --ssNder1_9r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3),
     --ssNder1_8r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2),
     --ssNder1_7r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1),
     --ssNder1_6r1r1r1r1r1r1(U,V,W,X,Y,Z),
     --ssNder1_5r1r1r1r1r1(U,V,W,X,Y),
     --ssNder1_4r1r1r1r1(U,V,W,X),
     --ssNder1_3r1r1r1(U,V,W),
     --ssNder1_2r1r1(U,V),
     --ssNder1_1r1(U),
     --ssNder1_0,
     ++ssPv5_16r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9,X10),
     ++ssPv6_15r1r1r1r1r1r1r1r1r1r1r1r1r1r1r1(U,V,W,X,Y,Z,X1,X2,X3,X4,X5,X6,X7,X8,X9),
     ++ssPv19_2r1r1(U,V)]).
%--------------------------------------------------------------------------
